<?php
	
include_once( get_template_directory() . '/theme/liquid-vc-page-templates.php' );

add_filter( 'vc_load_default_templates', 'liquid_reset_default_templates' ); // Hook in
function liquid_reset_default_templates( $data ) {
    return array(); // This will remove all default templates. Basically you should use native PHP functions to modify existing array and then return it.
}

function liquid_add_default_templates() {

	$templates = liquid_vc_templates();
	$page_templates = liquid_vc_page_templates();
	
	$templates = array_merge( $templates, $page_templates );
	
	return array_map( 'vc_add_default_templates', $templates );

}

liquid_add_default_templates();

function liquid_vc_templates(){
	
	$sections_uri = get_template_directory_uri() . '/liquid/assets/img/liquid-templates/sections/';
	$pages_uri = get_template_directory_uri() . '/liquid/assets/img/liquid-templates/pages/';
	$templates = array();

	/*###################
		SECTION TEMPLATES
	###################*/

	//Category Accordions
	//Accordion 1
	$data = array();
	$data['name'] = esc_html__( 'Accordion 01', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'accordion-1.jpg' );
	$data['sort_name'] = 'Accordion, Fancy Box';
	$data['custom_class'] = 'general accordion fancybox';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" css=".vc_custom_1602154964430{padding-top: 65px !important;}" responsive_css="border_top_medium:200px|padding_top_medium:100px|padding_bottom_medium:50px|padding_top_small:65px"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" align="text-center" offset="vc_col-md-offset-3 vc_col-md-6" css=".vc_custom_1577271701433{margin-bottom: 60px !important;}" responsive_css="padding_right_medium:5%25|padding_left_medium:5%25" ca_duration="1800" ca_delay="180" ca_init_translate_y="35" responsive_align="text-center"][ld_fancy_heading tag="h2"]global experts[/ld_fancy_heading][ld_fancy_heading tag="p"]As a partner of corporates, Liquid has more than 9,000 partners of all sizes and all potential of session.[/ld_fancy_heading][/vc_column][vc_column responsive_css="margin_bottom_medium:80px|margin_bottom_small:45px" css=".vc_custom_1602155570185{margin-bottom: 45px !important;}"][vc_row_inner enable_content_animation="yes" equal_height="yes" content_placement="bottom" gap="20" animation_preset="Fade In" ca_delay="80"][vc_column_inner enable_link="enable_column_link" enable_overlay="yes" enable_column_hover_shadowbox="yes" css=".vc_custom_1595423449007{margin-bottom: 30px !important;padding-top: 215px !important;padding-right: 50px !important;padding-bottom: 30px !important;padding-left: 50px !important;background-image: url(https://companyhub.liquid-themes.com/staging/wp-content/uploads/2019/12/Image@2x.jpg?id=8661) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;border-radius: 5px !important;}" offset="vc_col-md-4" overlay_bg="linear-gradient(0deg, rgba(24, 27, 49, 0.6) 0%, rgba(0, 0, 0, 0) 100%)" hover_overlay_bg="rgba(24, 27, 49, 0.65)" column_hover_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2215px%22%2C%22blur_radius%22%3A%22100px%22%2C%22shadow_color%22%3A%22rgba(0%2C%200%2C%200%2C%200.2)%22%7D%5D" link="url:%23|||"][ld_fancy_heading tag="h6" enable_bg="yes" fh_border_radius="semi-round" use_custom_fonts_title="true" color="rgb(24, 67, 65)" fs="13px" fw="700" padding="top_small:6px|right_small:15px|bottom_small:6px|left_small:15px" fh_bg="rgb(255, 255, 255)" margin="bottom_small:1em"]finance[/ld_fancy_heading][ld_fancy_heading tag="h2" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" color="rgb(255, 255, 255)" fs="text_small:28px" lh="text_small:1em" padding="right_all:20%25|right_large:16%25"]banking and business partnership[/ld_fancy_heading][/vc_column_inner][vc_column_inner enable_link="enable_column_link" enable_overlay="yes" enable_column_hover_shadowbox="yes" css=".vc_custom_1595423440522{margin-bottom: 30px !important;padding-top: 215px !important;padding-right: 50px !important;padding-bottom: 30px !important;padding-left: 50px !important;background-image: url(https://companyhub.liquid-themes.com/staging/wp-content/uploads/2019/12/Image-2@2x.jpg?id=8659) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;border-radius: 5px !important;}" offset="vc_col-md-4" overlay_bg="linear-gradient(0deg, rgba(24, 27, 49, 0.6) 0%, rgba(0, 0, 0, 0) 100%)" hover_overlay_bg="rgba(24, 27, 49, 0.65)" column_hover_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2215px%22%2C%22blur_radius%22%3A%22100px%22%2C%22shadow_color%22%3A%22rgba(0%2C%200%2C%200%2C%200.2)%22%7D%5D" link="url:%23|||"][ld_fancy_heading tag="h6" enable_bg="yes" fh_border_radius="semi-round" use_custom_fonts_title="true" color="rgb(24, 67, 65)" fs="13px" fw="700" padding="top_small:6px|right_small:15px|bottom_small:6px|left_small:15px" fh_bg="rgb(255, 255, 255)" margin="bottom_small:1em"]analytics[/ld_fancy_heading][ld_fancy_heading tag="h2" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" color="rgb(255, 255, 255)" fs="28px" lh="1em" padding="right_all:20%25|right_large:16%25"]big data integration for startups[/ld_fancy_heading][/vc_column_inner][vc_column_inner enable_link="enable_column_link" enable_overlay="yes" enable_column_hover_shadowbox="yes" css=".vc_custom_1595423456095{margin-bottom: 30px !important;padding-top: 215px !important;padding-right: 50px !important;padding-bottom: 30px !important;padding-left: 50px !important;background-image: url(https://companyhub.liquid-themes.com/staging/wp-content/uploads/2019/12/Image-1@2x.jpg?id=8660) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;border-radius: 5px !important;}" offset="vc_col-md-4" overlay_bg="linear-gradient(0deg, rgba(24, 27, 49, 0.6) 0%, rgba(0, 0, 0, 0) 100%)" hover_overlay_bg="rgba(24, 27, 49, 0.65)" column_hover_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2215px%22%2C%22blur_radius%22%3A%22100px%22%2C%22shadow_color%22%3A%22rgba(0%2C%200%2C%200%2C%200.2)%22%7D%5D" link="url:%23|||"][ld_fancy_heading tag="h6" enable_bg="yes" fh_border_radius="semi-round" use_custom_fonts_title="true" color="rgb(24, 67, 65)" fs="13px" fw="700" padding="top_small:6px|right_small:15px|bottom_small:6px|left_small:15px" fh_bg="rgb(255, 255, 255)" margin="bottom_small:1em"]consulting[/ld_fancy_heading][ld_fancy_heading tag="h2" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" color="rgb(255, 255, 255)" fs="text_small:28px" lh="text_small:1em" padding="right_all:20%25|right_large:16%25"]analyzing company reports[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-5" css=".vc_custom_1606898355338{margin-bottom: 65px !important;}" responsive_css="padding_right_medium:8%25" ca_duration="1800" ca_delay="180" ca_init_translate_y="35"][ld_fancy_heading tag="h2"]leading the best marketing team.[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:2.25em"]We help our clients succeed by creating brand identities, digital experiences, and print materials that communicate clearly, achieve marketing.[/ld_fancy_heading][ld_button style="btn-solid" title="learn more" shape="round" size="btn-lg" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" fs="16px" css=".vc_custom_1595351930590{padding-right: 0.75em !important;padding-left: 0.75em !important;}" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" i_size="20px" hover_color="rgb(24, 67, 65)"][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-offset-1 vc_col-md-6" css=".vc_custom_1577272089640{margin-bottom: 30px !important;}" ca_duration="1800" ca_start_delay="350" ca_delay="180" ca_init_translate_y="35"][vc_accordion size="lg" borders="accordion-title-bordered" border_round="accordion-title-round" show_icon="yes" i_add_icon="true" expander_size="accordion-expander-lg" i_type="linea" active_add_icon="true" active_type="linea" use_custom_fonts_title="true" bottom_margin="30px" fs="16px" fw="700" i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-down" active_icon_linea="lqd-icn-ess icon-ion-ios-arrow-up" bg_color="rgb(248, 245, 243)" active_bg_color="rgb(24, 67, 65)" heading_color="rgb(24, 67, 65)" active_heading_color="rgb(255, 255, 255)" exp_color="rgb(24, 67, 65)" active_exp_color="rgb(255, 255, 255)" lh="1.5em" border_color="rgb(255, 250, 247)" active_border_color="rgb(24, 67, 65)"][vc_accordion_tab title="First-class investment solutions" tab_id="ld-1576843306949-c9811b96-fe6b"][ld_fancy_heading tag="p" margin="bottom_small:0px"]Hub IT allows your business and technology<br /> computers to store, transmit, analyze,<br /> and manipulate big data.[/ld_fancy_heading][/vc_accordion_tab][vc_accordion_tab title="Building the idea of future" tab_id="ld-1576843455029-57b05fca-b401"][ld_fancy_heading tag="p" margin="bottom_small:0px"]Hub IT allows your business and technology<br /> computers to store, transmit, analyze,<br /> and manipulate big data.[/ld_fancy_heading][/vc_accordion_tab][vc_accordion_tab title="Business consultation for startups" tab_id="ld-1576843473475-7ad9f679-ee46"][ld_fancy_heading tag="p" margin="bottom_small:0px"]Hub IT allows your business and technology<br /> computers to store, transmit, analyze,<br /> and manipulate big data.[/ld_fancy_heading][/vc_accordion_tab][/vc_accordion][/vc_column][/vc_row]
CONTENT;
	
	$templates[] = $data;
	
	//Accordion 2
	$data = array();
	$data['name'] = esc_html__( 'Accordion 02', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'accordion-2.jpg' );
	$data['sort_name'] = 'Accordion, Icon';
	$data['custom_class'] = 'general accordion icon';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1576240570995{padding-top: 120px !important;padding-bottom: 100px !important;background-color: #f4f4f4 !important;}" responsive_css="border_right_medium:200px"][vc_column offset="vc_col-lg-6 vc_col-md-7" css=".vc_custom_1607931989373{margin-bottom: 35px !important;}"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_medium:40px|text_small:36px"]Inspiration, innovation, and countless opportunities.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="18px" lh="30px" margin="bottom_small:2em"]Take advantage of the experiential-learning opportunities built into many programs. You can work in labs on and off[/ld_fancy_heading][vc_accordion size="lg" borders="accordion-title-bordered" border_round="accordion-title-round" show_icon="yes" i_add_icon="true" expander_size="accordion-expander-lg" i_type="linea" active_add_icon="true" active_type="linea" use_custom_fonts_title="true" bottom_margin="20px" fs="16px" i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-down" active_icon_linea="lqd-icn-ess icon-ion-ios-arrow-up" heading_color="rgb(57, 55, 77)" active_heading_color="rgb(255, 255, 255)" bg_color="rgb(255, 255, 255)" border_color="rgb(255, 255, 255)" fw="700" active_bg_color="rgb(24, 67, 65)"][vc_accordion_tab title="Hub Business' Vision" tab_id="lqd-1575466271794-292b803f-ecd6"][vc_column_text]Take advantage of the experiential-learning opportunities built into many programs. You can work in labs on and off[/vc_column_text][/vc_accordion_tab][vc_accordion_tab title="Our mission for Sustainability" tab_id="ld-1575466481374-e9a15b23-39d2"][vc_column_text]Take advantage of the experiential-learning opportunities built into many programs. You can work in labs on and off[/vc_column_text][/vc_accordion_tab][vc_accordion_tab title="Qualified Team" tab_id="ld-1575466494877-1af59567-b066"][vc_column_text]Take advantage of the experiential-learning opportunities built into many programs. You can work in labs on and off[/vc_column_text][/vc_accordion_tab][/vc_accordion][/vc_column][vc_column offset="vc_col-lg-offset-1 vc_col-md-5"][ld_images_group_element parallax="yes" enable_image_shadow="yes" shadow_style="4" enable_roudness="yes" image_roudness="8" enable_shadow="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" image="8658" margin="right_large:-12%25" translate_from_y="60" translate_to_y="-75"][/ld_images_group_element][/vc_column][vc_column][ld_spacer height="72px"][vc_row_inner enable_content_animation="yes" equal_height="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" ca_duration="1800" ca_delay="180" ca_init_translate_x="0"][vc_column_inner width="1/2" offset="vc_col-md-3"][ld_icon_box i_type="linea" heading_size="custom" toggleable="yes" i_size="xl" fill="yes" border_radius="iconbox-round" shadow="iconbox-shadow" title="Diversity and Inclusion" title_mb="1" custom_heading_size="16px" icon_mb="25" fill_color="rgb(255, 255, 255)" css=".vc_custom_1611246569369{padding-top: 55px !important;padding-bottom: 50px !important;}" link="|||" i_icon_linea="lqd-icn-ess icon-lqd-presentation" icon_size="49px" i_color="rgb(24, 67, 65)"]International Partners[/ld_icon_box][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-3"][ld_icon_box i_type="linea" heading_size="custom" toggleable="yes" i_size="xl" fill="yes" border_radius="iconbox-round" shadow="iconbox-shadow" title="Diversity and Inclusion" title_mb="1" custom_heading_size="16px" icon_mb="25" fill_color="rgb(255, 255, 255)" css=".vc_custom_1611246647927{padding-top: 55px !important;padding-bottom: 50px !important;}" link="|||" i_icon_linea="lqd-icn-ess icon-lqd-target" icon_size="49px" i_color="rgb(24, 67, 65)"]International Partners[/ld_icon_box][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-3"][ld_icon_box i_type="linea" heading_size="custom" toggleable="yes" i_size="xl" fill="yes" border_radius="iconbox-round" shadow="iconbox-shadow" title="Diversity and Inclusion" title_mb="1" custom_heading_size="16px" icon_mb="25" fill_color="rgb(255, 255, 255)" css=".vc_custom_1611246618793{padding-top: 55px !important;padding-bottom: 50px !important;}" link="|||" i_icon_linea="lqd-icn-ess icon-lqd-path" icon_size="49px" i_color="rgb(24, 67, 65)"]International Partners[/ld_icon_box][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-3"][ld_icon_box i_type="linea" heading_size="custom" toggleable="yes" i_size="xl" fill="yes" border_radius="iconbox-round" shadow="iconbox-shadow" title="Diversity and Inclusion" title_mb="1" custom_heading_size="16px" icon_mb="25" fill_color="rgb(255, 255, 255)" css=".vc_custom_1611246601414{padding-top: 55px !important;padding-bottom: 50px !important;}" link="|||" i_icon_linea="lqd-icn-ess icon-lqd-mobile" icon_size="49px" i_color="rgb(24, 67, 65)"]International Partners[/ld_icon_box][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Accordion 3 - startuphub
	$data = array();
	$data['name'] = esc_html__( 'Accordion 03', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'accordion-3.jpg' );
	$data['sort_name'] = 'Accordion';
	$data['custom_class'] = 'general accordion process';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" css=".vc_custom_1596109247090{padding-top: 20px !important;padding-bottom: 10px !important;}"][vc_column offset="vc_col-md-6" responsive_css="margin_bottom_medium:0px" css=".vc_custom_1605832601085{margin-bottom: 40px !important;}"][ld_images_group_element img_size="80%" enable_hover3d="yes" enable_float_effect="yes" image="4380"][/ld_images_group_element][/vc_column][vc_column offset="vc_col-lg-offset-1 vc_col-lg-5 vc_col-md-6"][ld_fancy_heading tag="h6" transform="text-uppercase" enable_bg="yes" fh_border_radius="round" use_custom_fonts_title="true" color="rgb(51, 59, 65)" fs="text_small:11px" ls="text_small:0.1em" padding="top_small:7px|right_small:20px|bottom_small:7px|left_small:20px" fh_bg="rgb(237, 243, 247)" margin="bottom_small:1.5em"]Workflow Integration[/ld_fancy_heading][ld_fancy_heading tag="h2" highlight_reset_onhover="lqd-highlight-reset-onhover" use_custom_fonts_title="true" fs="text_large:48px|text_small:45px" lh="text_small:1.02em" margin="bottom_large:30px" highlight_color="rgba(157, 95, 255, 0.16)"]Platform [ld_highlight]Integration[/ld_highlight][/ld_fancy_heading][vc_accordion size="lg" borders="accordion-title-bordered" border_round="accordion-title-circle" active_style="yes" show_icon="yes" i_add_icon="true" expander_size="accordion-expander-lg" i_type="linea" active_add_icon="true" active_type="linea" use_custom_fonts_title="true" fs="18px" lh="1.55em" i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-down" active_icon_linea="lqd-icn-ess icon-ion-ios-arrow-up" heading_color="rgb(21, 21, 23)" active_heading_color="rgb(21, 21, 23)" exp_color="rgb(131, 131, 131)" active_exp_color="rgb(77, 102, 255)" active_tab="1" border_color="rgb(255, 255, 255)" bottom_margin="0px"][vc_accordion_tab title="Track and analyze business reports" tab_id="lqd-1587034043819-84b84fd6-594f"][ld_fancy_heading tag="p" color="rgb(47, 47, 47)"]Hub is the all-in-one builder with ultra high performance, intuitive editor, exclusive features and award-winning design collection.[/ld_fancy_heading][/vc_accordion_tab][vc_accordion_tab title="Increase your conversion rate" tab_id="lqd-1596289116665-e12466c4-780e"][ld_fancy_heading tag="p" color="rgb(47, 47, 47)"]Hub is the all-in-one builder with ultra high performance, intuitive editor, exclusive features and award-winning design collection.[/ld_fancy_heading][/vc_accordion_tab][vc_accordion_tab title="End-to-end encryption for messages" tab_id="lqd-1587034043874-e9d0bbcd-65a3"][ld_fancy_heading tag="p" color="rgb(47, 47, 47)"]Hub is the all-in-one builder with ultra high performance, intuitive editor, exclusive features and award-winning design collection.[/ld_fancy_heading][/vc_accordion_tab][/vc_accordion][/vc_column][/vc_row][vc_row css=".vc_custom_1605833009940{padding-top: 40px !important;padding-bottom: 80px !important;}" row_hide="hidden-xs hidden-sm"][vc_column custom_border_radius="50em" responsive_css="border_top_medium:1px|border_right_medium:1px|border_bottom_medium:1px|border_left_medium:1px|padding_top_medium:32px|padding_right_medium:60px|padding_bottom_medium:32px|padding_left_medium:60px" css=".vc_custom_1605833063145{border-top-width: 0px !important;border-right-width: 0px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;border-left-color: rgba(212,214,219,0.35) !important;border-left-style: solid !important;border-right-color: rgba(212,214,219,0.35) !important;border-right-style: solid !important;border-top-color: rgba(212,214,219,0.35) !important;border-top-style: solid !important;border-bottom-color: rgba(212,214,219,0.35) !important;border-bottom-style: solid !important;}" responsive_align="text-center text-md-left"][ld_process_box_container template="style05"][ld_process_box use_custom_fonts_title="true" title="Register your email" fs="16px" ls="0px" title_color="rgb(17, 36, 70)" count="01" image="800"][/ld_process_box][ld_process_box use_custom_fonts_title="true" title="Accept Invitations" fs="16px" ls="0px" title_color="rgb(17, 36, 70)"][/ld_process_box][ld_process_box use_custom_fonts_title="true" title="Start using your email" fs="16px" ls="0px" title_color="rgb(17, 36, 70)"][/ld_process_box][/ld_process_box_container][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Accordion 4 - gridportfolio
	$data = array();
	$data['name'] = esc_html__( 'Accordion 04', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'accordion-4.jpg' );
	$data['sort_name'] = 'Accordion';
	$data['custom_class'] = 'general accordion';
	$data['content'] = <<<CONTENT
	[vc_row gap="0" equal_height="yes" content_placement="top" css=".vc_custom_1588772707964{padding-top: 30px !important;padding-bottom: 30px !important;}" responsive_css="margin_top_medium:50px|margin_bottom_medium:50px"][vc_column offset="vc_col-lg-6 vc_col-md-7" responsive_css="padding_right_medium:50px" css=".vc_custom_1588757803815{padding-right: 15px !important;padding-left: 15px !important;}"][ld_fancy_heading tag="h6" color="rgb(0, 0, 0)" margin="top_small:1em|bottom_small:2em"]— I build designs systems for companies[/ld_fancy_heading][ld_fancy_heading tag="h3" highlight_type="lqd-highlight-custom-underline" highlight_height="50%" duration="1400" delay="150" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" margin="bottom_small:1.2em" lh="text_small:1.35em"]I am an award-winning digital designer from London, in the business of creating unforgettable interactive experiences.[/ld_fancy_heading][/vc_column][vc_column responsive_css="margin_top_medium:0px|padding_left_medium:5%25|margin_top_small:0px|padding_right_small:30px|padding_left_small:30px" offset="vc_col-lg-offset-0 vc_col-md-6" css=".vc_custom_1605879852432{padding-right: 15px !important;padding-left: 15px !important;}"][vc_accordion size="lg" borders="accordion-title-underlined" show_icon="yes" i_add_icon="true" expander_size="accordion-expander-lg" i_type="linea" active_add_icon="true" active_type="linea" use_custom_fonts_title="true" bottom_margin="0px" fs="20px" lh="1.5em" i_icon_linea="lqd-icn-ess icon-ion-ios-add" active_icon_linea="lqd-icn-ess icon-ion-ios-remove" heading_color="rgb(20, 20, 20)" border_color="rgb(0, 0, 0)" exp_color="rgb(20, 20, 20)" active_exp_color="rgb(0, 0, 0)" ls="0px" active_heading_color="rgb(0, 0, 0)" active_border_color="rgb(0, 0, 0)"][vc_accordion_tab title="Understand the whole customer story" tab_id="lqd-1587831664813-aeecfaeb-451a"][ld_fancy_heading tag="p"]Hub gives you incomparable insight into what your customers are perusing, clicking, and craving.[/ld_fancy_heading][/vc_accordion_tab][vc_accordion_tab title="Build trust and loyalty programs" tab_id="lqd-1587831664920-2b73c907-de32"][ld_fancy_heading tag="p"]Easily segment the clients, build loyalty programs with cross-selling automation.[/ld_fancy_heading][/vc_accordion_tab][vc_accordion_tab title="Analyze and optimize with data at your fingertips" tab_id="lqd-1587831665033-9829583b-1af9"][ld_fancy_heading tag="p"]Our design services starts and ends with a best-in-class experience strategy that builds brands.[/ld_fancy_heading][/vc_accordion_tab][/vc_accordion][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;
	
	//Accordion 5 - newsletterhub
	$data = array();
	$data['name'] = esc_html__( 'Accordion 05', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'accordion-5.jpg' );
	$data['sort_name'] = 'Accordion';
	$data['custom_class'] = 'general accordion';
	$data['content'] = <<<CONTENT
[vc_row bg_position="custom" css=".vc_custom_1606474718115{padding-top: 85px !important;padding-bottom: 15px !important;background-image: url(https://mainhub.liquid-themes.com/staging/wp-content/uploads/2019/11/dots-bg-1.png?id=4186) !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}" bg_pos_h="50%" bg_pos_v="-20%"][vc_column][ld_images_group_container parallax="yes" move_to_parent_row="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" absolute_pos="yes" translate_from_y="48" translate_to_y="-175" position="top_small:-45px|left_small:10%25"][ld_images_group_element image="380"][/ld_images_group_element][/ld_images_group_container][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-offset-2 vc_col-md-8" ca_duration="1800" ca_delay="200" ca_init_translate_y="35"][vc_accordion size="md" borders="accordion-title-underlined" show_icon="yes" i_add_icon="true" expander_size="accordion-expander-lg" i_type="linea" active_add_icon="true" active_type="linea" use_custom_fonts_title="true" i_icon_linea="lqd-icn-ess icon-ion-ios-add" active_icon_linea="lqd-icn-ess icon-ion-ios-remove" fs="18px" border_color="rgb(240, 242, 250)" exp_color="rgb(0, 109, 255)" bottom_margin="15px" heading_color="rgb(0, 35, 82)" fw="600"][vc_accordion_tab title="1. Problems sending or receiving messages" tab_id="ld-1573557703923-2b536dc1-8433"][vc_column_text]<span style="font-size: 17px; line-height: 29px;">Passionate about solving problems through creative communications. Offering affordable goods.</span>[/vc_column_text][/vc_accordion_tab][vc_accordion_tab title="2. End-to-end encryption for messages" tab_id="ld-1573557848857-fe47078b-be98"][vc_column_text]<span style="font-size: 17px; line-height: 29px;">Passionate about solving problems through creative communications. Offering affordable goods.</span>[/vc_column_text][/vc_accordion_tab][vc_accordion_tab title="3. Restore your chat history?" tab_id="ld-1573557855085-a110d9e8-dd5b"][vc_column_text]<span style="font-size: 17px; line-height: 29px;">Passionate about solving problems through creative communications. Offering affordable goods.</span>[/vc_column_text][/vc_accordion_tab][vc_accordion_tab title="4. Deleting and clearing chats in the application" tab_id="ld-1573557971281-cb873053-3190"][vc_column_text]<span style="font-size: 17px; line-height: 29px;">Passionate about solving problems through creative communications. Offering affordable goods.</span>[/vc_column_text][/vc_accordion_tab][vc_accordion_tab title="5. Getting messages from businesses" tab_id="ld-1573557979674-b9d6884a-b21e"][vc_column_text]<span style="font-size: 17px; line-height: 29px;">Passionate about solving problems through creative communications. Offering affordable goods.</span>[/vc_column_text][/vc_accordion_tab][vc_accordion_tab title="6. Calling unavailable in some countries" tab_id="ld-1573557986530-b01574dd-230b"][vc_column_text]<span style="font-size: 17px; line-height: 29px;">Passionate about solving problems through creative communications. Offering affordable goods.</span>[/vc_column_text][/vc_accordion_tab][/vc_accordion][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;
	
	//Accordion 6 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Accordion 06', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'accordion-6.jpg' );
	$data['sort_name'] = 'Accordion';
	$data['custom_class'] = 'general accordion';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1605606348218{padding-top: 60px !important;}" responsive_css="padding_top_medium:100px|padding_bottom_medium:100px"][vc_column offset="vc_col-lg-4 vc_col-md-5"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:24px" lh="text_small:1.5em"]Hi, I’m Daniel.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:15px" lh="text_small:1.46em" color="rgba(255, 255, 255, 0.6)"]Creating brand identities, digital experiences, that communicate clearly to the client. My name is Eugenia, I’m a freelance Branding and Digital Designer.[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-offset-2 vc_col-md-5"][vc_accordion size="md" show_icon="yes" i_add_icon="true" i_type="linea" active_add_icon="true" active_type="linea" use_custom_fonts_title="true" fs="19px" lh="1.5em" i_icon_linea="lqd-icn-ess icon-ion-ios-add" active_icon_linea="lqd-icn-ess icon-ion-ios-remove" heading_color="rgba(255, 255, 255, 0.56)" active_heading_color="rgb(255, 255, 255)" border_color="rgb(185, 185, 185)"][vc_accordion_tab title="Developing core applications" tab_id="lqd-1588404458746-15ba10e7-18eb"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:12px" lh="text_small:1.5em" color="rgba(255, 255, 255, 0.6)"]Creating brand identities, digital experiences, that communicate clearly to the client. My name is Eugenia, I’m a freelance Branding and Digital Designer.[/ld_fancy_heading][/vc_accordion_tab][vc_accordion_tab title="Digital business consultation" tab_id="lqd-1596793559971-4fb7d693-bff9"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:12px" lh="text_small:1.5em"]Creating brand identities, digital experiences, that communicate clearly to the client. My name is Eugenia, I’m a freelance Branding and Digital Designer.[/ld_fancy_heading][/vc_accordion_tab][vc_accordion_tab title="Tailor-made digital products" tab_id="lqd-1588404722047-49fc3c81-db7f"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:12px" lh="text_small:1.5em"]Creating brand identities, digital experiences, that communicate clearly to the client. My name is Eugenia, I’m a freelance Branding and Digital Designer.[/ld_fancy_heading][/vc_accordion_tab][/vc_accordion][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Accordion 7 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Accordion 07', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'accordion-7.jpg' );
	$data['sort_name'] = 'Accordion';
	$data['custom_class'] = 'general accordion';
	$data['content'] = <<<CONTENT
	[vc_row equal_height="yes" content_placement="middle" bg_position="custom" css=".vc_custom_1610879009876{padding-top: 60px !important;padding-bottom: 60px !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}" bg_pos_h="104%" bg_pos_v="10%" responsive_css="margin_left_medium:100px|padding_top_medium:70px|padding_bottom_medium:70px|padding_bottom_small:40px"][vc_column offset="vc_col-md-4" css=".vc_custom_1610836127832{margin-bottom: 20px !important;}" responsive_css="padding_top_medium:70px"][ld_images_group_container][ld_images_group_element img_size="55%" enable_image_shadow="yes" shadow_style="4" enable_shadow="yes" absolute_pos="yes" image="49" position="top_large:-15%25|left_large:-7vw|left_medium:10vw|top_small:-15%25|left_small:0px"][/ld_images_group_element][ld_images_group_element img_size="55%" enable_image_shadow="yes" shadow_style="4" enable_shadow="yes" absolute_pos="yes" image="48" position="right_large:-30%25|right_medium:9vw|top_small:-26%25|right_small:0px"][/ld_images_group_element][ld_images_group_element img_size="55%" enable_image_shadow="yes" shadow_style="4" enable_shadow="yes" image="47" margin="top_large:90px" position="left_large:0px|left_medium:25vw|left_small:18vw"][/ld_images_group_element][/ld_images_group_container][/vc_column][vc_column offset="vc_col-lg-offset-2 vc_col-lg-5 vc_col-md-offset-1 vc_col-md-6"][ld_fancy_heading tag="h6" margin="bottom_small:2em"]La solution a vos mobile online payments[/ld_fancy_heading][ld_fancy_heading tag="h2" tag_to_inherite="h3" use_inheritance="true" margin="bottom_small:1.5em"]We create brand identities, digital experiences, and print materials look fantastic.[/ld_fancy_heading][vc_accordion size="md" borders="accordion-title-bordered" border_round="accordion-title-round" heading_shadow="yes" show_icon="yes" i_add_icon="true" expander_size="accordion-expander-lg" i_type="linea" active_add_icon="true" active_type="linea" use_custom_fonts_title="true" bottom_margin="25px" fs="18px" lh="1.75em" i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-down" active_icon_linea="lqd-icn-ess icon-ion-ios-arrow-up" bg_color="rgb(255, 255, 255)" active_bg_color="rgb(255, 255, 255)" heading_color="rgb(21, 21, 23)" active_heading_color="rgb(21, 21, 23)" exp_color="rgb(77, 102, 255)" active_exp_color="rgb(77, 102, 255)" border_color="rgb(255, 255, 255)" active_border_color="rgb(255, 255, 255)"][vc_accordion_tab title="increase your conversion rate" tab_id="lqd-1587034043819-84b84fd6-594f"][ld_fancy_heading tag="p"]Helping innovators and brands through cultural insight, strategic vision, and innovation.[/ld_fancy_heading][/vc_accordion_tab][vc_accordion_tab title="End-to-end encryption for messages" tab_id="lqd-1587034043874-e9d0bbcd-65a3"][ld_fancy_heading tag="p"]Helping innovators and brands through cultural insight, strategic vision, and innovation.[/ld_fancy_heading][/vc_accordion_tab][/vc_accordion][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Accordion 8 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Accordion 08', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'accordion-8.jpg' );
	$data['sort_name'] = 'Accordion';
	$data['custom_class'] = 'general accordion';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1605606348218{padding-top: 60px !important;}" responsive_css="padding_top_medium:100px|padding_bottom_medium:100px"][vc_column offset="vc_col-lg-4 vc_col-md-5"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:24px" lh="text_small:1.5em"]Hi, I’m Daniel.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:15px" lh="text_small:1.46em" color="rgba(255, 255, 255, 0.6)"]Creating brand identities, digital experiences, that communicate clearly to the client. My name is Eugenia, I’m a freelance Branding and Digital Designer.[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-offset-2 vc_col-md-5"][vc_accordion size="md" show_icon="yes" i_add_icon="true" i_type="linea" active_add_icon="true" active_type="linea" use_custom_fonts_title="true" fs="19px" lh="1.5em" i_icon_linea="lqd-icn-ess icon-ion-ios-add" active_icon_linea="lqd-icn-ess icon-ion-ios-remove" heading_color="rgba(255, 255, 255, 0.56)" active_heading_color="rgb(255, 255, 255)" border_color="rgb(185, 185, 185)"][vc_accordion_tab title="Developing core applications" tab_id="lqd-1588404458746-15ba10e7-18eb"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:12px" lh="text_small:1.5em" color="rgba(255, 255, 255, 0.6)"]Creating brand identities, digital experiences, that communicate clearly to the client. My name is Eugenia, I’m a freelance Branding and Digital Designer.[/ld_fancy_heading][/vc_accordion_tab][vc_accordion_tab title="Digital business consultation" tab_id="lqd-1596793559971-4fb7d693-bff9"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:12px" lh="text_small:1.5em"]Creating brand identities, digital experiences, that communicate clearly to the client. My name is Eugenia, I’m a freelance Branding and Digital Designer.[/ld_fancy_heading][/vc_accordion_tab][vc_accordion_tab title="Tailor-made digital products" tab_id="lqd-1588404722047-49fc3c81-db7f"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:12px" lh="text_small:1.5em"]Creating brand identities, digital experiences, that communicate clearly to the client. My name is Eugenia, I’m a freelance Branding and Digital Designer.[/ld_fancy_heading][/vc_accordion_tab][/vc_accordion][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Accordion 9 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Accordion 09', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'accordion-9.jpg' );
	$data['sort_name'] = 'Accordion';
	$data['custom_class'] = 'general accordion';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" responsive_css="padding_top_medium:70px|padding_bottom_medium:70px" css=".vc_custom_1602652556487{padding-top: 30px !important;}"][vc_column offset="vc_col-md-5"][ld_fancy_heading tag="h6" margin="bottom_small:1.5em"]Increase Values[/ld_fancy_heading][ld_fancy_heading tag="h2"]Social marketing made easy.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:19px" lh="text_small:1.5em" color="rgb(49, 63, 88)" margin="bottom_small:1.25em"]We craft premium digital work for web, mobile and experiential with creative agencies and global brands alike – putting passion.[/ld_fancy_heading][ld_button style="btn-naked" title="Learn more" transformation="text-uppercase" hover_txt_effect="btn-hover-txt-liquid-x" i_type="linea" i_hover_reveal="btn-hover-swp" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" fs="12px" ls="0.1em" i_size="1.25em"][/vc_column][vc_column offset="vc_col-md-offset-1 vc_col-md-6" css=".vc_custom_1620722318109{background-position: 0 0 !important;background-repeat: no-repeat !important;}"][vc_accordion size="lg" borders="accordion-title-underlined" show_icon="yes" i_add_icon="true" expander_size="accordion-expander-lg" i_type="linea" active_add_icon="true" active_type="linea" use_custom_fonts_title="true" fs="19px" lh="1.75em" i_icon_linea="lqd-icn-ess icon-ion-ios-add" active_icon_linea="lqd-icn-ess icon-ion-ios-remove" heading_color="rgb(0, 0, 0)" active_heading_color="rgb(0, 0, 0)" border_color="rgba(185, 185, 185, 0.7)" active_border_color="rgb(185, 185, 185)" fw="600"][vc_accordion_tab title="Developing core applications" tab_id="lqd-1588594296702-fdd94918-81f9"][ld_fancy_heading tag="p"]Through a deep understanding of our audience’s makeup and motivations, we design digital experiences that connect with people.[/ld_fancy_heading][/vc_accordion_tab][vc_accordion_tab title="Unique brand identity and strategy" tab_id="lqd-1588594383516-68391adc-4eea"][ld_fancy_heading tag="p"]Through a deep understanding of our audience’s makeup and motivations, we design digital experiences that connect with people.[/ld_fancy_heading][/vc_accordion_tab][vc_accordion_tab title="Tailor-made digital products" tab_id="lqd-1588594394127-bf7b723e-2841"][ld_fancy_heading tag="p"]Through a deep understanding of our audience’s makeup and motivations, we design digital experiences that connect with people.[/ld_fancy_heading][/vc_accordion_tab][/vc_accordion][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Accordion 10 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Accordion 10', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'accordion-10.jpg' );
	$data['sort_name'] = 'Accordion';
	$data['custom_class'] = 'general accordion';
	$data['content'] = <<<CONTENT
	[vc_row equal_height="yes" content_placement="middle" css=".vc_custom_1605616186759{padding-top: 40px !important;padding-bottom: 60px !important;}"][vc_column offset="vc_col-md-5" responsive_css="margin_bottom_medium:0px" css=".vc_custom_1605616127527{margin-bottom: 40px !important;}"][ld_images_group_element image="4310"][/ld_images_group_element][/vc_column][vc_column offset="vc_col-md-offset-1 vc_col-md-6" responsive_css="padding_right_large:7%25|padding_right_medium:5%25|padding_left_medium:8%25"][ld_fancy_heading tag="h6" margin="bottom_small:1.25em"]— Arch Philosophy[/ld_fancy_heading][ld_fancy_heading tag="h2" tag_to_inherite="h3" use_inheritance="true" margin="bottom_small:1.5em"]As the complexity of buildings to increase, the field of architecture became multi-disciplinary with technological expertise.[/ld_fancy_heading][vc_accordion size="md" borders="accordion-title-underlined" show_icon="yes" i_add_icon="true" i_type="linea" active_add_icon="true" active_type="linea" use_custom_fonts_title="true" fs="18px" lh="1.8em" i_icon_linea="lqd-icn-ess icon-ion-ios-add" active_icon_linea="lqd-icn-ess icon-ion-ios-remove" heading_color="rgb(0, 0, 0)" active_heading_color="rgb(0, 0, 0)" fw="400" border_color="rgb(185, 185, 185)"][vc_accordion_tab title="01. Building the future cities" tab_id="lqd-1584631046124-4d7a24d6-c841"][vc_column_text css=".vc_custom_1584946903012{margin-bottom: 15px !important;}"]As the complexity of buildings to increase, the field of architecture became multi-disciplinary with technological expertise.[/vc_column_text][/vc_accordion_tab][vc_accordion_tab title="02. Unique and influential design" tab_id="lqd-1584631246270-3f120044-72ac"][vc_column_text css=".vc_custom_1584946910333{margin-bottom: 15px !important;}"]As the complexity of buildings to increase, the field of architecture became multi-disciplinary with technological expertise.[/vc_column_text][/vc_accordion_tab][vc_accordion_tab title="03. Award-winning Architecture" tab_id="lqd-1584631247309-5c26887d-1aeb"][vc_column_text css=".vc_custom_1584946916841{margin-bottom: 15px !important;}"]As the complexity of buildings to increase, the field of architecture became multi-disciplinary with technological expertise.[/vc_column_text][/vc_accordion_tab][/vc_accordion][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Accordion 11 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Accordion 11', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'accordion-11.jpg' );
	$data['sort_name'] = 'Accordion';
	$data['custom_class'] = 'general accordion';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" gap="0" equal_height="yes" content_placement="middle"][vc_column row_scale_bg_onhover="yes" width="1/2" bg_position="center center" css=".vc_custom_1611007077105{padding-top: 50vw !important;padding-bottom: 50vw !important;background-image: url(https://architecturepro.liquid-themes.com/wp-content/uploads/2021/01/bg@2x-1.jpg?id=4573) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" responsive_css="padding_top_small:0px|padding_bottom_small:0px"][/vc_column][vc_column width="1/2" css=".vc_custom_1611573024379{padding-top: 60px !important;padding-right: 5vw !important;padding-bottom: 60px !important;padding-left: 5vw !important;}" responsive_css="padding_top_medium:15vh|padding_right_medium:7vw|padding_bottom_medium:15vh|padding_left_medium:7vw|padding_top_small:10vh|padding_bottom_small:10vh"][ld_fancy_heading tag="h6" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" enable_split="true" use_mask="true" margin="bottom_small:2em"]— Arch Philosophy[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_small:43px" fw="text_small:500" margin="bottom_small:0.8em"]Innovative <em class="h3">design</em>[/ld_fancy_heading][vc_accordion size="md" borders="accordion-title-underlined" show_icon="yes" i_add_icon="true" i_type="linea" active_add_icon="true" active_type="linea" use_custom_fonts_title="true" i_icon_linea="lqd-icn-ess icon-ion-ios-add" active_icon_linea="lqd-icn-ess icon-ion-ios-remove" fs="18px" lh="1.5em"][vc_accordion_tab title="Building the future cities" tab_id="lqd-1610034274098-5324ce09-d98a"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:14px" lh="text_small:1.6em"]Urban design draws together the many strands of place-making, environmental stewardship, social equity and economic viability into the creation.[/ld_fancy_heading][/vc_accordion_tab][vc_accordion_tab title="Unique and influential design" tab_id="lqd-1610034392114-11835d46-6615"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:14px" lh="text_small:1.6em"]Urban design draws together the many strands of place-making, environmental stewardship, social equity and economic viability into the creation.[/ld_fancy_heading][/vc_accordion_tab][vc_accordion_tab title="Award-winning Architecture" tab_id="lqd-1610034405942-f5a3b918-932c"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:14px" lh="text_small:1.6em"]Urban design draws together the many strands of place-making, environmental stewardship, social equity and economic viability into the creation.[/ld_fancy_heading][/vc_accordion_tab][/vc_accordion][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Accordion 12 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Accordion 12', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'accordion-12.jpg' );
	$data['sort_name'] = 'Accordion';
	$data['custom_class'] = 'general accordion';
	$data['content'] = <<<CONTENT
	[vc_row equal_height="yes" content_placement="middle" responsive_css="padding_top_medium:50px|padding_bottom_medium:165px" css=".vc_custom_1617787581517{padding-bottom: 60px !important;}"][vc_column align="text-center" offset="vc_col-md-6 vc_hidden-sm vc_hidden-xs" responsive_align="text-center"][ld_images_group_container][ld_images_group_element img_size="65%" enable_effects="yes" parallax="yes" enable_image_shadow="yes" shadow_style="3" enable_reveal="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" absolute_pos="yes" image="137" translate_from_y="35" rotate_from_y="0" translate_to_y="-45" position="top_small:-15%25|left_small:0%25"][/ld_images_group_element][ld_images_group_element img_size="40%" enable_effects="yes" parallax="yes" enable_image_shadow="yes" shadow_style="3" enable_roudness="yes" image_roudness="4" enable_shadow="yes" enable_reveal="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" image="136" translate_from_y="90" translate_to_y="-70" margin="top_large:100px"][/ld_images_group_element][/ld_images_group_container][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-lg-offset-1 vc_col-lg-5 vc_col-md-6" responsive_css="padding_left_medium:10%25" ca_duration="1800" ca_delay="180" ca_init_translate_y="35"][ld_fancy_heading tag="h6" margin="bottom_small:1em"]Who we are[/ld_fancy_heading][ld_fancy_heading tag="h2" split_type="words" duration="1000" delay="120" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" enable_fit="true" minfontsize="40" fs="text_large:48px|text_small:40px" ca_init_translate_y="70"]Hub connects creative people.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:18px" lh="text_small:1.666em" margin="bottom_small:3.35em"]With over 25 years of experience, we have crafted thousands of strategic discovery process.[/ld_fancy_heading][vc_accordion size="md" borders="accordion-title-bordered" border_round="accordion-title-circle" show_icon="yes" i_add_icon="true" i_type="linea" active_add_icon="true" active_type="linea" use_custom_fonts_title="true" bottom_margin="25px" fs="17px" lh="1.35em" fw="700" i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-down" active_icon_linea="lqd-icn-ess icon-ion-ios-arrow-up" bg_color="rgb(247, 248, 249)" heading_color="rgb(0, 0, 0)" active_heading_color="rgb(255, 255, 255)" border_color="rgb(247, 248, 249)"][vc_accordion_tab title="Global search engine optimization" tab_id="lqd-1579175585568-fabb85cc-3af9"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:15px" lh="text_small:1.73em" margin="bottom_small:0.25em"]A startup or start-up is started by individual founders or entrepreneurs to search for a repeatable and scalable business model.[/ld_fancy_heading][/vc_accordion_tab][vc_accordion_tab title="Complete Social Media Integration" tab_id="ld-1579175796106-906f8cfc-cbda"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="15px" lh="1.73em" margin="bottom_small:0.25em"]A startup or start-up is started by individual founders or entrepreneurs to search for a repeatable and scalable business model. A startup or start-up is started by individual founders or[/ld_fancy_heading][/vc_accordion_tab][vc_accordion_tab title="Branding Strategy for startups" tab_id="ld-1579175803325-17b3ad82-140a"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="15px" lh="1.73em" margin="bottom_small:0.25em"]A startup or start-up is started by individual founders or entrepreneurs to search for a repeatable and scalable business model. A startup or start-up is started by individual founders or[/ld_fancy_heading][/vc_accordion_tab][/vc_accordion][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Accordion 13 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Accordion 13', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'accordion-13.jpg' );
	$data['sort_name'] = 'Accordion';
	$data['custom_class'] = 'general accordion';
	$data['content'] = <<<CONTENT
	[vc_row][vc_column][ld_gdpr_box]<span class="d-flex" style="font-size: 11px; line-height: 16px;">This website uses cookies to improve your web experience.[ld_br]See our Privacy Policy to learn more.</span>[/ld_gdpr_box][/vc_column][/vc_row][vc_row content_placement="middle" responsive_css="padding_top_medium:100px|padding_bottom_medium:100px" css=".vc_custom_1621609863490{padding-top: 60px !important;padding-bottom: 60px !important;}"][vc_column offset="vc_col-md-5" responsive_css="margin_right_medium:-55px|margin_left_medium:-70px"][vc_single_image image="3541" css=".vc_custom_1621610157644{margin-bottom: -10% !important;}"][/vc_column][vc_column offset="vc_col-md-7"][ld_fancy_heading tag="h2" use_inheritance="true"]Have questions?[/ld_fancy_heading][vc_accordion size="md" borders="accordion-title-underlined" show_icon="yes" i_add_icon="true" expander_size="accordion-expander-lg" i_type="linea" active_add_icon="true" active_type="linea" use_custom_fonts_title="true" fs="18px" fw="500" i_icon_linea="lqd-icn-ess icon-ion-ios-add" active_icon_linea="lqd-icn-ess icon-ion-ios-remove" active_tab="-1"][vc_accordion_tab title="End-to-end encryption for business messages for iOS Devices" tab_id="lqd-1621609909807-7c8e442a-b7d2"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.35em" margin="bottom_small:0px"]We embrace holistic development and support for employees the aim of being a first-choice employer[/ld_fancy_heading][/vc_accordion_tab][vc_accordion_tab title="Sending media, documents, location and contacts" tab_id="lqd-1621610030115-79744a97-73cc"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.35em" margin="bottom_small:0px"]We embrace holistic development and support for employees the aim of being a first-choice employer[/ld_fancy_heading][/vc_accordion_tab][vc_accordion_tab title="Get insights on key metrics like response time and issue volume" tab_id="lqd-1621610043743-cf0472eb-37bd"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.35em" margin="bottom_small:0px"]We embrace holistic development and support for employees the aim of being a first-choice employer[/ld_fancy_heading][/vc_accordion_tab][vc_accordion_tab title="Problems sending or receiving messages" tab_id="lqd-1621610057760-774f53da-141d"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.35em" margin="bottom_small:0px"]We embrace holistic development and support for employees the aim of being a first-choice employer[/ld_fancy_heading][/vc_accordion_tab][vc_accordion_tab title="Calling unavailable in some countries" tab_id="lqd-1621610073214-89ff4f0f-20b5"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.35em" margin="bottom_small:0px"]We embrace holistic development and support for employees the aim of being a first-choice employer[/ld_fancy_heading][/vc_accordion_tab][/vc_accordion][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Accordion 14 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Accordion 14', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'accordion-14.jpg' );
	$data['sort_name'] = 'Accordion';
	$data['custom_class'] = 'general accordion';
	$data['content'] = <<<CONTENT
	[vc_row gap="0" equal_height="yes" content_placement="top" css=".vc_custom_1605830781335{padding-top: 60px !important;padding-bottom: 60px !important;background-color: #d1f0fc !important;}" responsive_css="padding_top_medium:120px|padding_bottom_medium:120px"][vc_column enable_pin="enable_pin" offset="vc_col-lg-6 vc_col-md-7" responsive_css="padding_right_medium:50px" css=".vc_custom_1620293176118{padding-right: 15px !important;padding-left: 15px !important;}"][ld_fancy_heading tag="h6" color="rgb(0, 0, 0)" margin="top_small:1em|bottom_small:2em"]— I build designs systems for companies[/ld_fancy_heading][ld_fancy_heading tag="h3" highlight_type="lqd-highlight-custom-underline" highlight_height="50%" duration="1400" delay="150" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" margin="bottom_small:1.2em" lh="text_small:1.35em"]I am an award-winning digital designer from London, in the business of creating unforgettable interactive experiences.[/ld_fancy_heading][/vc_column][vc_column responsive_css="margin_top_medium:0px|padding_left_medium:5%25|margin_top_small:0px|padding_right_small:30px|padding_left_small:30px" offset="vc_col-lg-6 vc_col-md-5" css=".vc_custom_1603283491133{margin-top: 50px !important;padding-right: 15px !important;padding-left: 15px !important;}"][vc_accordion show_icon="yes" i_add_icon="true" expander_size="accordion-expander-lg" i_type="linea" active_add_icon="true" active_type="linea" use_custom_fonts_title="true" bottom_margin="0px" fs="20px" lh="1.5em" active_icon_linea="lqd-icn-ess icon-ion-ios-remove" heading_color="rgb(20, 20, 20)" border_color="rgb(0, 0, 0)" exp_color="rgb(0, 0, 0)" active_exp_color="rgb(0, 0, 0)" ls="0px" active_heading_color="rgb(0, 0, 0)" active_border_color="rgb(0, 0, 0)" i_icon_linea="lqd-icn-ess icon-ion-ios-add"][vc_accordion_tab title="Digital Branding" tab_id="lqd-1587831664813-aeecfaeb-451a"][ld_fancy_heading tag="p"]Hub gives you incomparable insight into what your customers are perusing, clicking, and craving.[/ld_fancy_heading][/vc_accordion_tab][vc_accordion_tab title="Development" tab_id="lqd-1587831664920-2b73c907-de32"][ld_fancy_heading tag="p"]Easily segment the clients, build loyalty programs with cross-selling automation.[/ld_fancy_heading][/vc_accordion_tab][vc_accordion_tab title="UX Analyze" tab_id="lqd-1587831665033-9829583b-1af9"][ld_fancy_heading tag="p"]Our design services starts and ends with a best-in-class experience strategy that builds brands.[/ld_fancy_heading][/vc_accordion_tab][vc_accordion_tab title="Consulting" tab_id="lqd-1588936464398-e3a365d2-2231"][ld_fancy_heading tag="p"]Our design services starts and ends with a best-in-class experience strategy that builds brands.[/ld_fancy_heading][/vc_accordion_tab][vc_accordion_tab title="Branding Strategy" tab_id="lqd-1588936465753-4eba7f77-46fa"][ld_fancy_heading tag="p"]Our design services starts and ends with a best-in-class experience strategy that builds brands.[/ld_fancy_heading][/vc_accordion_tab][vc_accordion_tab title="Mobile App Design" tab_id="lqd-1588953058595-670a06ef-3fd0"][ld_fancy_heading tag="p"]Our design services starts and ends with a best-in-class experience strategy that builds brands.[/ld_fancy_heading][/vc_accordion_tab][/vc_accordion][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Accordion 15 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Accordion 15', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'accordion-15.jpg' );
	$data['sort_name'] = 'Accordion';
	$data['custom_class'] = 'general accordion';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" gap="0" equal_height="yes" content_placement="middle" css=".vc_custom_1614669941565{background-color: #fafafa !important;}" el_id="howitworks"][vc_column row_scale_bg_onhover="yes" bg_position="center center" align="text-center" offset="vc_col-md-6" css=".vc_custom_1620719918371{padding-top: 30vw !important;padding-bottom: 30vw !important;background-image: url(https://itbusinesspro.liquid-themes.com/wp-content/uploads/2020/01/bg-3@2x.jpg?id=52) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" responsive_align="text-center" responsive_css="padding_top_medium:15vw|padding_bottom_medium:15vw|padding_top_small:25vw|padding_bottom_small:25vw"][ld_button style="btn-naked" link_type="lightbox" i_type="linea" i_position="top" i_shape="btn-icon-circle" i_shape_style="btn-icon-bordered" i_shape_bw="btn-icon-border-thickest" i_shape_size="btn-icon-xlg" i_ripple="btn-icon-ripple" i_add_icon="true" i_icon_linea="icon-ion-ios-play" i_size="24px" color="rgb(255, 255, 255)" link="url:https%3A%2F%2Fwww.youtube.com%2Fwatch%3Fv%3DcVEemOmHw9Y|||" i_hcolor="rgb(0, 0, 0)" i_fill_hcolor2="rgb(255, 255, 255)"][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" responsive_css="padding_top_medium:90px|padding_right_medium:12%25|padding_bottom_medium:90px|padding_left_medium:12%25" css=".vc_custom_1607346561233{padding-top: 60px !important;padding-right: 15px !important;padding-left: 15px !important;}" offset="vc_col-md-6" ca_duration="1800" ca_delay="180" ca_init_translate_x="0" ca_init_translate_y="35"][ld_fancy_heading tag="h2"]The Creative Process[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.64em" margin="bottom_small:2.6em"]Hub IT allows your business and technology computers to store, transmit, analyze, and manipulate big data in the digital world.[/ld_fancy_heading][vc_accordion size="lg" show_icon="yes" i_add_icon="true" i_type="linea" active_add_icon="true" active_type="linea" use_custom_fonts_title="true" bottom_margin="25px" fs="18px" lh="1.5em" i_icon_linea="icon-ion-ios-arrow-down" active_icon_linea="icon-ion-ios-arrow-up" bg_color="rgb(255, 255, 255)" heading_color="rgb(21, 21, 23)" active_tab="-1"][vc_accordion_tab title="increase your conversion rate" tab_id="ld-1578911887679-d3801bcc-f354"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.64em"]Hub IT allows your business and technology computers to store, transmit, analyze, and manipulate big data in the digital world.[/ld_fancy_heading][/vc_accordion_tab][vc_accordion_tab title="End-to-end encryption for messages" tab_id="ld-1578911887956-3fb39dcc-5ffb"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.64em"]Hub IT allows your business and technology computers to store, transmit, analyze, and manipulate big data in the digital world.[/ld_fancy_heading][/vc_accordion_tab][vc_accordion_tab title="Getting messages from businesses" tab_id="ld-1578911888239-a4e132ad-1dd9"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.64em"]Hub IT allows your business and technology computers to store, transmit, analyze, and manipulate big data in the digital world.[/ld_fancy_heading][/vc_accordion_tab][/vc_accordion][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Accordion 16 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Accordion 16', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'accordion-16.jpg' );
	$data['sort_name'] = 'Accordion';
	$data['custom_class'] = 'general accordion';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1614343884838{padding-top: 70px !important;}" el_id="help"][vc_column width="2/3"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_medium:45px|text_small:10vw" lh="text_small:1.1em" margin="bottom_small:0.35em"]Frequently Asked Questions.[/ld_fancy_heading][/vc_column][vc_column width="1/3" responsive_align="text-md-right"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:15px" color="rgb(0, 0, 0)"]Support Team  <img class="alignnone size-full wp-image-985" src="https://saaspro.liquid-themes.com/wp-content/uploads/2021/01/Images@2x.jpg" alt="" width="93" height="44" />[/ld_fancy_heading][/vc_column][vc_column css=".vc_custom_1587634210152{margin-top: 50px !important;}"][vc_accordion size="lg" borders="accordion-title-underlined" show_icon="yes" i_add_icon="true" expander_size="accordion-expander-lg" i_type="linea" active_add_icon="true" active_type="linea" use_custom_fonts_title="true" active_tab="-1" bottom_margin="10px" fs="19px" lh="1.5em" i_icon_linea="lqd-icn-ess icon-ion-ios-add" active_icon_linea="lqd-icn-ess icon-ion-ios-remove" heading_color="rgb(0, 0, 0)" active_heading_color="rgb(0, 0, 0)" exp_color="rgb(101, 31, 222)" active_exp_color="rgb(101, 31, 222)"][vc_accordion_tab title="End-to-end encryption for business messages for iOS Devices" tab_id="lqd-1587633968163-3eddfcbd-9bd6"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:18px" lh="text_small:1.666em" ls="text_small:-0.01em" margin="bottom_small:1.5em"]Ultimate shop experience. Effortlessly build high-converting online shops and start selling in a few minutes.[/ld_fancy_heading][/vc_accordion_tab][vc_accordion_tab title="Sending media, documents, location and contacts" tab_id="lqd-1587634212758-10ff1f99-248a"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:18px" lh="text_small:1.666em" ls="text_small:-0.01em" margin="bottom_small:1.5em"]Ultimate shop experience. Effortlessly build high-converting online shops and start selling in a few minutes.[/ld_fancy_heading][/vc_accordion_tab][vc_accordion_tab title="Get insights on key metrics like response time and issue volume" tab_id="lqd-1587634220162-d4df9acf-2261"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:18px" lh="text_small:1.666em" ls="text_small:-0.01em" margin="bottom_small:1.5em"]Ultimate shop experience. Effortlessly build high-converting online shops and start selling in a few minutes.[/ld_fancy_heading][/vc_accordion_tab][vc_accordion_tab title="Calling unavailable in some countries" tab_id="lqd-1587634230666-40e488b0-0149"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:18px" lh="text_small:1.666em" ls="text_small:-0.01em" margin="bottom_small:1.5em"]Ultimate shop experience. Effortlessly build high-converting online shops and start selling in a few minutes.[/ld_fancy_heading][/vc_accordion_tab][vc_accordion_tab title="Problems sending or receiving messages" tab_id="lqd-1587634239018-7a00bd0a-306a"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:18px" lh="text_small:1.666em" ls="text_small:-0.01em" margin="bottom_small:1.5em"]Ultimate shop experience. Effortlessly build high-converting online shops and start selling in a few minutes.[/ld_fancy_heading][/vc_accordion_tab][vc_accordion_tab title="How to restore your chat history?" tab_id="lqd-1587634247253-380ad72d-09c1"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:18px" lh="text_small:1.666em" ls="text_small:-0.01em" margin="bottom_small:1.5em"]Ultimate shop experience. Effortlessly build high-converting online shops and start selling in a few minutes.[/ld_fancy_heading][/vc_accordion_tab][/vc_accordion][ld_images_group_container][ld_images_group_element img_size="50%" parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" absolute_pos="yes" image="987" position="right_small:-80px|bottom_small:250px" translate_from_y="65" rotate_from_z="-30" translate_to_y="-106" rotate_to_z="23"][/ld_images_group_element][ld_images_group_element img_size="50%" parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" absolute_pos="yes" image="931" position="bottom_small:400px|left_small:-80px" translate_from_y="-54" rotate_from_z="26" translate_to_y="95" rotate_to_z="-19"][/ld_images_group_element][/ld_images_group_container][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Accordion 17 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Accordion 17', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'accordion-17.jpg' );
	$data['sort_name'] = 'Accordion';
	$data['custom_class'] = 'general accordion';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" bg_position="center center" responsive_css="padding_top_medium:30px|padding_bottom_medium:30px" css=".vc_custom_1610701098486{padding-top: 30px !important;padding-bottom: 30px !important;}"][vc_column offset="vc_col-md-5" responsive_css="margin_bottom_medium:0px" css=".vc_custom_1610700906404{margin-bottom: 40px !important;}"][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" margin="bottom_small:0.75em" color="rgb(86, 154, 204)" fs="text_small:16px"]Industry Experiences[/ld_fancy_heading][ld_fancy_heading tag="h2" color="rgb(31, 42, 88)"]Digital solutions for your business.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:19px" lh="text_small:1.5em" margin="bottom_small:1.5em"]Hub IT allows your business and technology computers to store, transmit, analyze, and manipulate big data.[/ld_fancy_heading][ld_button style="btn-naked" title="Learn more" hover_txt_effect="btn-hover-txt-liquid-x" i_type="linea" i_add_icon="true" color="rgb(38, 139, 225)" fs="18px" i_icon_linea="lqd-icn-ess icon-md-arrow-forward"][/vc_column][vc_column offset="vc_col-lg-offset-2 vc_col-md-offset-2 vc_col-md-5"][vc_accordion size="md" borders="accordion-title-underlined" show_icon="yes" i_add_icon="true" i_type="linea" active_add_icon="true" active_type="linea" use_custom_fonts_title="true" fs="18px" lh="1.5em" i_icon_linea="lqd-icn-ess icon-ion-ios-add" active_icon_linea="lqd-icn-ess icon-ion-ios-remove" heading_color="rgb(6, 14, 98)" active_tab="-1" exp_color="rgb(0, 109, 255)"][vc_accordion_tab title="Google mobile can monetize your app" tab_id="lqd-1588064599041-461442b0-64e9"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px" lh="text_small:1.5em" margin="bottom_small:0px"]Hub IT allows your business and technology computers to store, transmit, analyze, and manipulate big data.<br />[/ld_fancy_heading][/vc_accordion_tab][vc_accordion_tab title="Track the location of your cars" tab_id="lqd-1588064792424-c7f59e69-a015"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px" lh="text_small:1.5em" margin="bottom_small:0px"]Hub IT allows your business and technology computers to store, transmit, analyze, and manipulate big data.<br />[/ld_fancy_heading][/vc_accordion_tab][vc_accordion_tab title="Google mobile can monetize your app" tab_id="lqd-1610699873300-fb5273ca-8730"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px" lh="text_small:1.5em" margin="bottom_small:0px"]Hub IT allows your business and technology computers to store, transmit, analyze, and manipulate big data.<br />[/ld_fancy_heading][/vc_accordion_tab][/vc_accordion][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Accordion 18 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Accordion 18', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'accordion-18.jpg' );
	$data['sort_name'] = 'Accordion';
	$data['custom_class'] = 'general accordion';
	$data['content'] = <<<CONTENT
	[vc_row enable_gradient="yes" enable_row_dividers="yes" css=".vc_custom_1614781167031{padding-top: 70px !important;padding-bottom: 70px !important;}" gradient_bg="linear-gradient(125deg, rgb(47, 52, 66) 3.1847133757961785%, rgb(52, 61, 82) 100%)" row_svg_divider="top_shape_type:6|top_shape_color:%23ffffff|top_shape_height:26|bottom_shape_type:5|bottom_shape_color:%23ffffff|bottom_shape_height:142"][vc_column align="text-center" offset="vc_col-md-offset-2 vc_col-md-8" responsive_align="text-center"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" color="rgb(255, 255, 255)" margin="bottom_small:60px" fs="text_medium:43px|text_small:35px"]Frequently Asked Questions[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-offset-1 vc_col-md-10"][vc_accordion size="lg" borders="accordion-body-underlined" show_icon="yes" i_add_icon="true" expander_position="accordion-expander-left" expander_size="accordion-expander-lg" i_type="fontawesome" active_add_icon="true" active_type="fontawesome" use_custom_fonts_title="true" fs="22px" lh="1.15em" fw="500" i_icon_fontawesome="fa fa-caret-right" active_icon_fontawesome="fa fa-caret-down" heading_color="rgb(255, 255, 255)" active_heading_color="rgb(255, 255, 255)" border_color="rgba(255, 255, 255, 0.15)" exp_color="rgb(41, 128, 185)" bottom_margin="8px"][vc_accordion_tab title="1. Problems sending or receiving messages" tab_id="ld-1573803431648-7cf3a11b-5d1e"][ld_fancy_heading tag="p" color="rgba(255, 255, 255, 0.65)"]Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut pretium pretium tempor. Ut eget imperdiet neque. In volutpat ante semper diam molestie, et aliquam erat laoreet.[/ld_fancy_heading][/vc_accordion_tab][vc_accordion_tab title="3. Restore your chat history?" tab_id="ld-1573803546811-4677b40e-217e"][ld_fancy_heading tag="p" color="rgba(255, 255, 255, 0.65)"]Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut pretium pretium tempor. Ut eget imperdiet neque. In volutpat ante semper diam molestie, et aliquam erat laoreet.[/ld_fancy_heading][/vc_accordion_tab][vc_accordion_tab title="4. Deleting and clearing chats in the application" tab_id="ld-1573803589737-d409622f-8e88"][ld_fancy_heading tag="p" color="rgba(255, 255, 255, 0.65)"]Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut pretium pretium tempor. Ut eget imperdiet neque. In volutpat ante semper diam molestie, et aliquam erat laoreet.[/ld_fancy_heading][/vc_accordion_tab][vc_accordion_tab title="5. Getting messages from businesses" tab_id="ld-1573803612994-83c41c11-b476"][ld_fancy_heading tag="p" color="rgba(255, 255, 255, 0.65)"]Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut pretium pretium tempor. Ut eget imperdiet neque. In volutpat ante semper diam molestie, et aliquam erat laoreet.[/ld_fancy_heading][/vc_accordion_tab][vc_accordion_tab title="6. Calling unavailable in some countries" tab_id="ld-1573803620387-6e5cf80e-5706"][ld_fancy_heading tag="p" color="rgba(255, 255, 255, 0.65)"]Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut pretium pretium tempor. Ut eget imperdiet neque. In volutpat ante semper diam molestie, et aliquam erat laoreet.[/ld_fancy_heading][/vc_accordion_tab][/vc_accordion][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Accordion 19 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Accordion 19', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'accordion-19.jpg' );
	$data['sort_name'] = 'Accordion';
	$data['custom_class'] = 'general accordion';
	$data['content'] = <<<CONTENT
	[vc_row enable_gradient="yes" css=".vc_custom_1611421914720{margin-top: 90px !important;padding-top: 70px !important;padding-bottom: 30px !important;}" gradient_bg="linear-gradient(115deg, rgb(243, 248, 248) 0.3184713375796178%, rgb(255, 255, 255) 55.4140127388535%)"][vc_column width="1/2"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_small:45px" lh="text_small:1.1em" margin="bottom_small:0.35em"]Have a question?[/ld_fancy_heading][/vc_column][vc_column width="1/2" responsive_align="text-md-right"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px"]Alex Martinez   <img class="alignnone size-full wp-image-82" src="https://asymmetric-landing.liquid-themes.com/staging/wp-content/uploads/2020/04/imgs@2x.png" alt="" width="93" height="44" />[/ld_fancy_heading][/vc_column][vc_column css=".vc_custom_1587634210152{margin-top: 50px !important;}"][vc_accordion size="lg" borders="accordion-title-underlined" show_icon="yes" i_add_icon="true" expander_size="accordion-expander-lg" i_type="linea" active_add_icon="true" active_type="linea" use_custom_fonts_title="true" active_tab="-1" bottom_margin="18px" fs="19px" lh="1.4em" i_icon_linea="lqd-icn-ess icon-ion-ios-add" active_icon_linea="lqd-icn-ess icon-ion-ios-remove" heading_color="rgb(0, 0, 0)" active_heading_color="rgb(0, 0, 0)" exp_color="rgb(101, 31, 222)" active_exp_color="rgb(101, 31, 222)"][vc_accordion_tab title="End-to-end encryption for business messages for iOS Devices" tab_id="lqd-1587633968163-3eddfcbd-9bd6"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:18px" lh="text_small:1.666em" ls="text_small:-0.01em" margin="bottom_small:1.5em"]Install any demo or template with a single click. You can mix and match all the demos &amp; templates. Every demo can be turned into one or multi-page. You can also use the shop features for all demos.[/ld_fancy_heading][/vc_accordion_tab][vc_accordion_tab title="Sending media, documents, location and contacts" tab_id="lqd-1587634212758-10ff1f99-248a"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:18px" lh="text_small:1.666em" ls="text_small:-0.01em" margin="bottom_small:1.5em"]Install any demo or template with a single click. You can mix and match all the demos &amp; templates. Every demo can be turned into one or multi-page. You can also use the shop features for all demos.[/ld_fancy_heading][/vc_accordion_tab][vc_accordion_tab title="Get insights on key metrics like response time and issue volume" tab_id="lqd-1587634220162-d4df9acf-2261"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:18px" lh="text_small:1.666em" ls="text_small:-0.01em" margin="bottom_small:1.5em"]Install any demo or template with a single click. You can mix and match all the demos &amp; templates. Every demo can be turned into one or multi-page. You can also use the shop features for all demos.[/ld_fancy_heading][/vc_accordion_tab][vc_accordion_tab title="Calling unavailable in some countries" tab_id="lqd-1587634230666-40e488b0-0149"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:18px" lh="text_small:1.666em" ls="text_small:-0.01em" margin="bottom_small:1.5em"]Install any demo or template with a single click. You can mix and match all the demos &amp; templates. Every demo can be turned into one or multi-page. You can also use the shop features for all demos.[/ld_fancy_heading][/vc_accordion_tab][vc_accordion_tab title="Problems sending or receiving messages" tab_id="lqd-1587634239018-7a00bd0a-306a"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:18px" lh="text_small:1.666em" ls="text_small:-0.01em" margin="bottom_small:1.5em"]Install any demo or template with a single click. You can mix and match all the demos &amp; templates. Every demo can be turned into one or multi-page. You can also use the shop features for all demos.[/ld_fancy_heading][/vc_accordion_tab][vc_accordion_tab title="How to restore your chat history?" tab_id="lqd-1587634247253-380ad72d-09c1"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:18px" lh="text_small:1.666em" ls="text_small:-0.01em" margin="bottom_small:1.5em"]Install any demo or template with a single click. You can mix and match all the demos &amp; templates. Every demo can be turned into one or multi-page. You can also use the shop features for all demos.[/ld_fancy_heading][/vc_accordion_tab][/vc_accordion][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Accordion 20 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Accordion 20', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'accordion-20.jpg' );
	$data['sort_name'] = 'Accordion';
	$data['custom_class'] = 'general accordion';
	$data['content'] = <<<CONTENT
CONTENT;
	$templates[] = $data;

	//Accordion 21 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Accordion 21', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'accordion-21.jpg' );
	$data['sort_name'] = 'Accordion';
	$data['custom_class'] = 'general accordion';
	$data['content'] = <<<CONTENT
CONTENT;
	$templates[] = $data;

	//Accordion 22 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Accordion 22', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'accordion-22.jpg' );
	$data['sort_name'] = 'Accordion';
	$data['custom_class'] = 'general accordion';
	$data['content'] = <<<CONTENT
CONTENT;
	$templates[] = $data;

	//Accordion 23 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Accordion 23', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'accordion-23.jpg' );
	$data['sort_name'] = 'Accordion';
	$data['custom_class'] = 'general accordion';
	$data['content'] = <<<CONTENT
	[vc_row responsive_css="padding_top_medium:130px|padding_bottom_medium:130px" css=".vc_custom_1621849312172{padding-top: 70px !important;padding-bottom: 70px !important;}"][vc_column offset="vc_col-md-6" responsive_css="margin_bottom_medium:0px|margin_bottom_small:160px" css=".vc_custom_1621864061246{margin-bottom: 70px !important;}"][ld_images_group_container][ld_images_group_element img_size="50%" enable_image_shadow="yes" shadow_style="4" enable_hover3d="yes" enable_roudness="yes" image_roudness="8" enable_shadow="yes" image="83"][/ld_images_group_element][ld_images_group_element img_size="50%" enable_image_shadow="yes" shadow_style="4" enable_hover3d="yes" enable_roudness="yes" image_roudness="8" enable_shadow="yes" absolute_pos="yes" image="84" position="top_small:25%25|left_small:25%25" shadow_delay="250"][/ld_images_group_element][/ld_images_group_container][/vc_column][vc_column offset="vc_col-lg-offset-1 vc_col-lg-5 vc_col-md-6"][ld_fancy_heading tag="h2" margin="bottom_small:0.35em"]Smart and effective business solutions.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:18px" margin="bottom_small:1.25em"]Our process applies techniques from a variety of disciplines, values distinction in detail and gives[/ld_fancy_heading][ld_button style="btn-underlined" title="Learn more" link_type="scroll_to_section" border="border-thick" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" fs="text_small:17px" css=".vc_custom_1621865280408{margin-right: 40px !important;}"][ld_button style="btn-naked" title="Play Video" link_type="lightbox" i_type="linea" i_hover_reveal="btn-hover-swp" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-ion-ios-play" fs="text_small:17px" i_size="14px" link="url:https%3A%2F%2Fwww.youtube.com%2Fwatch%3Fv%3DWaSvMAl4zPw||target:%20_blank|"][ld_spacer height="30px"][vc_accordion size="md" borders="accordion-title-underlined" show_icon="yes" i_add_icon="true" i_type="linea" active_add_icon="true" active_type="linea" use_custom_fonts_title="true" active_tab="1" fs="19px" i_icon_linea="lqd-icn-ess icon-ion-ios-add" active_icon_linea="lqd-icn-ess icon-ion-ios-remove" fw="500"][vc_accordion_tab title="Business Consultation" tab_id="lqd-1621849870257-a6c90671-f7f1"][ld_fancy_heading tag="p" margin="bottom_small:0px"]Many strands of place-making, environmental stewardship, social equity and economic viability into the creation of places with distinct beauty and identity.[/ld_fancy_heading][/vc_accordion_tab][vc_accordion_tab title="Strategetic Vision and Insight" tab_id="lqd-1621850133313-fcc50966-e093"][ld_fancy_heading tag="p" margin="bottom_small:0px"]Many strands of place-making, environmental stewardship, social equity and economic viability into the creation of places with distinct beauty and identity.[/ld_fancy_heading][/vc_accordion_tab][vc_accordion_tab title="Private Property and Business" tab_id="lqd-1621850376284-61924f49-73ec"][ld_fancy_heading tag="p" margin="bottom_small:0px"]Many strands of place-making, environmental stewardship, social equity and economic viability into the creation of places with distinct beauty and identity.[/ld_fancy_heading][/vc_accordion_tab][/vc_accordion][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Accordion 24 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Accordion 24', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'accordion-24.jpg' );
	$data['sort_name'] = 'Accordion';
	$data['custom_class'] = 'general accordion';
	$data['content'] = <<<CONTENT
	[vc_row responsive_css="padding_top_medium:75px|padding_bottom_medium:75px" css=".vc_custom_1622033294126{padding-top: 35px !important;padding-bottom: 35px !important;}"][vc_column offset="vc_col-md-6" responsive_css="margin_bottom_medium:0px|margin_bottom_small:240px" css=".vc_custom_1622100886801{margin-bottom: 220px !important;}"][ld_images_group_container][ld_images_group_element img_size="50%" parallax="yes" enable_image_shadow="yes" shadow_style="4" enable_shadow="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" image="27" translate_from_y="40" translate_to_y="-45"][/ld_images_group_element][ld_images_group_element img_size="50%" parallax="yes" enable_image_shadow="yes" shadow_style="4" enable_shadow="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" absolute_pos="yes" image="28" position="right_large:0px|right_medium:20%25|top_small:20px|right_small:0px" translate_from_y="50" translate_to_y="-55" shadow_delay="240"][/ld_images_group_element][ld_images_group_element img_size="50%" parallax="yes" enable_image_shadow="yes" shadow_style="4" enable_shadow="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" absolute_pos="yes" image="26" position="left_medium:90px|top_small:80px|right_small:8%25|left_small:10%25" translate_from_y="75" translate_to_y="-105" shadow_delay="120"][/ld_images_group_element][/ld_images_group_container][/vc_column][vc_column offset="vc_col-md-offset-1 vc_col-md-5"][ld_fancy_heading tag="h6" margin="bottom_small:1em"]Legal disciplines.[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_medium:45px"]Legal <u>aid</u> from professionals.[/ld_fancy_heading][vc_accordion size="md" borders="accordion-title-underlined" show_icon="yes" i_add_icon="true" i_type="linea" active_add_icon="true" active_type="linea" use_custom_fonts_title="true" active_tab="1" fs="19px" fw="500" i_icon_linea="lqd-icn-ess icon-ion-ios-add" active_icon_linea="lqd-icn-ess icon-ion-ios-remove"][vc_accordion_tab title="Anti-money Laundering" tab_id="lqd-1622033590191-308418da-a55b"][ld_fancy_heading tag="p" use_custom_fonts_title="true" margin="bottom_small:0px" fs="text_small:14px" lh="text_small:1.64em"]Many strands of place-making, environmental stewardship, social equity and economic viability into the creation of places with distinct beauty and identity.[/ld_fancy_heading][/vc_accordion_tab][vc_accordion_tab title="Immigration and Citizenship" tab_id="lqd-1622033689521-14822213-718e"][ld_fancy_heading tag="p" use_custom_fonts_title="true" margin="bottom_small:0px" fs="text_small:14px" lh="text_small:1.64em"]Many strands of place-making, environmental stewardship, social equity and economic viability into the creation of places with distinct beauty and identity.[/ld_fancy_heading][/vc_accordion_tab][vc_accordion_tab title="Private Property and Business" tab_id="lqd-1622033685660-808da547-f3b8"][ld_fancy_heading tag="p" use_custom_fonts_title="true" margin="bottom_small:0px" fs="text_small:14px" lh="text_small:1.64em"]Many strands of place-making, environmental stewardship, social equity and economic viability into the creation of places with distinct beauty and identity.[/ld_fancy_heading][/vc_accordion_tab][/vc_accordion][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Category Banners
	//Banner 1
	$data = array();
	$data['name'] = esc_html__( 'Banner 01', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'banner-1.jpg' );
	$data['sort_name'] = 'Banner';
	$data['custom_class'] = 'general banner';
	$data['content'] = <<<CONTENT
	[vc_row full_height="yes" content_placement="middle" responsive_css="padding_top_medium:0px|padding_bottom_medium:0px|padding_top_small:60px|padding_bottom_small:60px" css=".vc_custom_1607342656970{padding-top: 70px !important;padding-bottom: 30px !important;}"][vc_column width="7/12" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_origin_x="0%" ca_an_opacity="1" ca_duration="2000" ca_delay="180" ca_init_translate_y="100" ca_init_rotate_y="15" ca_init_rotate_x="0" ca_init_translate_x="0" responsive_align="text-center text-sm-left"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:13px" margin="bottom_small:1.15em" color="rgba(255, 255, 255, 0.75)"]<img class="alignnone size-full wp-image-31" src="https://darkapp.liquid-themes.com/wp-content/uploads/2020/10/Group-28148.svg" alt="Image" />  Introducing Reminder Tools[/ld_fancy_heading][ld_fancy_heading use_custom_fonts_title="true" fs="text_large:86px|text_medium:7vw|text_small:13vw" lh="text_small:1em" margin="right_all:5%25|bottom_small:0.3em" padding="right_large:0px|left_large:0px|right_medium:1vw|left_medium:1vw"]E-wallet in your pocket 🤑[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_large:20px|text_medium:22px|text_small:18px" lh="text_small:1.5em"]Preferred stock may be hybrid by having the qualities of bonds of fixed returns and common stock voting rightson.[/ld_fancy_heading][vc_row_inner content_placement="middle" css=".vc_custom_1602597013022{padding-top: 22px !important;}"][vc_column_inner offset="vc_col-md-5" css=".vc_custom_1607342265389{margin-bottom: 15px !important;}"][ld_button style="btn-default" title="Get the app" transformation="text-uppercase" link_type="scroll_to_section" shape="circle" border="border-thick" hover_txt_effect="btn-hover-txt-switch btn-hover-txt-switch-y" i_type="fontawesome" i_position="left" i_add_icon="true" color="rgb(255, 255, 255)" hover_color="rgb(255, 255, 255)" htext_color="rgb(0, 0, 0)" fs="13px" fw="700" ls="0.05em" i_icon_fontawesome="fab fa-apple" i_size="23px" i_margin_right="0.85em" css=".vc_custom_1605283164168{padding-right: 0.75em !important;padding-left: 0.75em !important;}" lh="2.5em"][/vc_column_inner][vc_column_inner css=".vc_custom_1607342274637{margin-bottom: 15px !important;}" offset="vc_col-md-6"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:13px" lh="text_small:1em"]Get your tools for free. [ld_br]<br /> For a limited time.[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/vc_column][vc_column width="5/12" column_top_onmobile="yes" align="text-center" offset="vc_col-sm-offset-0 vc_col-xs-offset-1 vc_col-xs-10" css=".vc_custom_1607342664586{padding-top: 120px !important;}" responsive_css="padding_top_medium:20%25" responsive_align="text-center text-md-left"][ld_images_group_container enable_item_animation="yes" pf_init_scale_x="1" pf_init_scale_y="1" pf_init_opacity="0" pf_an_scale_x="1" pf_an_scale_y="1" pf_an_opacity="1" pf_duration="1800" pf_start_delay="1250" pf_delay="180" pf_init_translate_y="35" pf_init_rotate_x="-12"][ld_images_group_element img_size="50%" absolute_pos="yes" image="84" position="top_small:-20%25|right_small:0px|left_small:12px"][/ld_images_group_element][ld_images_group_element img_size="55%" image="85" margin="bottom_large:-10%25"][/ld_images_group_element][/ld_images_group_container][/vc_column][vc_column][ld_particles as_bg="yes" absolute_pos="yes" color_type="multi_color" opacity="1" enable_random_size="yes" modes_grab_opacity="1" retina_detect="yes" particle_id="lqd-1605275107996-f48f08c1-2ce5" position="top_small:0px|right_small:0px|bottom_small:0px|left_small:0px" number="8" multi_color_values="%5B%7B%22scolor%22%3A%22%234cfd89%22%7D%2C%7B%22scolor%22%3A%22%230fbbb4%22%7D%2C%7B%22scolor%22%3A%22%23fda44c%22%7D%2C%7B%22scolor%22%3A%22%23fdc14c%22%7D%5D" size="4"][/vc_column][/vc_row]</p>
CONTENT;
	$templates[] = $data;

	//Banner 2
	$data = array();
	$data['name'] = esc_html__( 'Banner 02', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'banner-2.jpg' );
	$data['sort_name'] = 'Banner';
	$data['custom_class'] = 'general banner';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" bg_position="center top" css=".vc_custom_1605278322098{padding-top: 65px !important;padding-bottom: 35px !important;background-image: url(https://darkapp.liquid-themes.com/wp-content/uploads/2020/11/bg-circles.svg?id=120) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" el_id="download"][vc_column offset="vc_col-lg-5 vc_col-md-6" responsive_css="margin_bottom_medium:0px" css=".vc_custom_1605283182083{margin-bottom: 35px !important;}"][ld_images_group_element image="121" margin="bottom_small:20px"][/ld_images_group_element][ld_fancy_heading tag="h2" enable_txt_rotator="yes" items="%5B%7B%22word%22%3A%22easy%20%F0%9F%A4%91%22%7D%2C%7B%22word%22%3A%22secure%20%F0%9F%92%B6%22%7D%2C%7B%22word%22%3A%22public%20%F0%9F%8F%A6%22%7D%5D" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_medium:61px|text_small:12vw" lh="text_small:1em" margin="bottom_small:0.25em"]E-Stock trading made[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:20px" lh="text_small:1.5em"]All in one  and startup solutions. Endless use-cases that make it highly[/ld_fancy_heading][vc_row_inner content_placement="middle" css=".vc_custom_1602597013022{padding-top: 22px !important;}"][vc_column_inner offset="vc_col-md-6" css=".vc_custom_1605278083336{margin-bottom: 15px !important;}"][ld_button style="btn-default" title="Get the app" transformation="text-uppercase" link_type="scroll_to_section" shape="circle" border="border-thick" hover_txt_effect="btn-hover-txt-switch btn-hover-txt-switch-y" i_type="fontawesome" i_position="left" i_add_icon="true" color="rgb(255, 255, 255)" hover_color="rgb(255, 255, 255)" htext_color="rgb(0, 0, 0)" fs="13px" fw="700" ls="0.05em" i_icon_fontawesome="fab fa-apple" i_size="23px" i_margin_right="0.85em" css=".vc_custom_1605283164168{padding-right: 0.75em !important;padding-left: 0.75em !important;}" lh="2.5em"][/vc_column_inner][vc_column_inner width="1/2" css=".vc_custom_1602594290870{margin-bottom: 15px !important;}"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:13px" lh="text_small:1em"]Get your tools for free. [ld_br]<br /> For a limited time.[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/vc_column][vc_column width="2/3" offset="vc_col-md-offset-1 vc_col-md-5 vc_col-xs-10"][ld_images_group_element enable_hover3d="yes" image="124"][/ld_images_group_element][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Banner 3
	$data = array();
	$data['name'] = esc_html__( 'Banner 03', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'banner-3.jpg' );
	$data['sort_name'] = 'Banner';
	$data['custom_class'] = 'general banner';
	$data['content'] = <<<CONTENT
	[vc_row full_height="yes" enable_slideshow_bg="yes" slideshow_images="155,156" bg_attachment="fixed" enable_overlay="yes" enable_row_dividers="yes" enable_loading_bg="yes" css=".vc_custom_1610355277015{padding-top: 150px !important;padding-bottom: 150px !important;background-image: url(https://barber.liquid-themes.com/staging/wp-content/uploads/2020/03/barber-slide-1_2x-scaled_b590a2c2e8ef2da9b9d2f62b8155a2a0.jpg?id=155) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" row_svg_divider="top_shape_height:0|bottom_shape_type:11|bottom_shape_color:%23fffdf8|bottom_shape_height:86" overlay_bg="rgba(0, 0, 0, 0.31)" responsive_css="padding_top_medium:0px|padding_bottom_medium:0px|padding_top_small:60px|padding_bottom_small:60px"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" align="text-center" offset="vc_col-md-offset-2 vc_col-md-8" ca_duration="1800" ca_delay="180" ca_init_translate_y="45" ca_start_delay="250" responsive_align="text-center"][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="11px" margin="bottom_small:2em" fw="700" ls="0.2em"]Enjoy Your Haircut[/ld_fancy_heading][ld_spacer height="12px"][ld_fancy_heading transform="text-uppercase" split_type="words" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" enable_fit="true" color="rgb(255, 255, 255)" minfontsize="44" fs="text_medium:53px|text_small:9vw" lh="text_small:1.33em" fw="text_small:900" ca_init_translate_y="71"]NYC’s Favourite Barber Shop.[/ld_fancy_heading][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="14px" fw="700" ls="2px"]14th St, SOHO, NYC. APPOINTMENT: +123 456 789[/ld_fancy_heading][ld_spacer height="25px"][ld_button style="btn-solid" title="Book Appointment" transformation="text-uppercase" size="btn-lg" border="border-none" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" color="rgb(255, 255, 255)" hover_color="rgb(0, 0, 0)" text_color="rgb(0, 0, 0)" htext_color="rgb(255, 255, 255)" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" fs="11px" ls="0.15em"][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" align="text-center" el_id="scroll-down-link-container" ca_duration="1800" ca_start_delay="1000" ca_delay="180" ca_init_translate_y="40" responsive_align="text-center"][ld_button style="btn-naked" link_type="scroll_to_section" i_type="linea" i_position="bottom" i_shape="btn-icon-round" i_shape_style="btn-icon-solid" i_shape_size="btn-icon-md" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-down" i_size="18px" i_color="rgb(0, 0, 0)" i_fill_color="rgb(255, 255, 255)" i_hcolor="rgb(255, 255, 255)" i_fill_hcolor="rgb(0, 0, 0)"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Banner 4
	$data = array();
	$data['name'] = esc_html__( 'Banner 04', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'banner-4.jpg' );
	$data['sort_name'] = 'Banner';
	$data['custom_class'] = 'general banner';
	$data['content'] = <<<CONTENT
	[vc_row full_height="yes" columns_placement="bottom" fade_scroll="yes" enable_slideshow_bg="yes" slideshow_images="4595,4520,4524" enable_overlay="yes" css=".vc_custom_1603704921801{padding-top: 110px !important;padding-bottom: 110px !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" overlay_bg="linear-gradient(0deg, rgb(15,15,20) 2.8662420382165603%, rgba(15, 15, 20, 0.38) 29.006369426751593%, rgba(20,19,26,0) 54.77707006369427%)"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" align="text-center" offset="vc_col-md-offset-2 vc_col-md-8" css=".vc_custom_1596021144870{margin-bottom: 10vh !important;}" ca_init_rotate_y="64" ca_duration="1400" ca_delay="80" ca_init_translate_y="52" responsive_align="text-center"][ld_fancy_heading transform="text-uppercase" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" enable_fit="true" color="rgb(255, 255, 255)" minfontsize="68" fs="text_medium:120px|text_small:26vw" compressor="0.6" ls="text_small:0.035em" lh="text_small:1.4em" ca_init_translate_y="0" ca_init_rotate_y="0"]Daniel[ld_br]Mcbride[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-offset-2 vc_col-md-8"][vc_row_inner enable_content_animation="yes" ca_init_scale_x="1.2" ca_init_scale_y="1.2" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" ca_duration="1800" ca_start_delay="800" ca_delay="180" ca_init_translate_y="50" ca_init_rotate_x="-25"][vc_column_inner width="1/3" align="text-center" offset="vc_col-xs-4" responsive_align="text-center"][ld_button style="btn-naked" title="Apple Music" transformation="text-uppercase" hover_txt_effect="btn-hover-txt-liquid-y-alt" i_type="fontawesome" i_position="top" i_add_icon="true" i_size="44px" i_margin_bottom="20px" i_color="rgb(255, 255, 255)" text_color="rgba(255, 255, 255, 0.7)" fs="14px" i_icon_fontawesome="fab fa-apple" link="url:%23|||" i_hcolor="rgb(165, 116, 80)"][/vc_column_inner][vc_column_inner width="1/3" align="text-center" offset="vc_col-xs-4" responsive_align="text-center"][ld_button style="btn-naked" title="Spotify" transformation="text-uppercase" hover_txt_effect="btn-hover-txt-liquid-y-alt" i_type="fontawesome" i_position="top" i_add_icon="true" i_size="44px" i_margin_bottom="20px" i_color="rgb(255, 255, 255)" text_color="rgba(255, 255, 255, 0.7)" fs="14px" i_icon_fontawesome="fab fa-spotify" i_hcolor="rgb(165, 116, 80)"][/vc_column_inner][vc_column_inner width="1/3" align="text-center" offset="vc_col-xs-4" responsive_align="text-center"][ld_button style="btn-naked" title="Youtube" transformation="text-uppercase" hover_txt_effect="btn-hover-txt-liquid-y-alt" i_type="fontawesome" i_position="top" i_add_icon="true" i_size="44px" i_margin_bottom="20px" i_color="rgb(255, 255, 255)" text_color="rgba(255, 255, 255, 0.7)" fs="14px" i_icon_fontawesome="fab fa-youtube" i_hcolor="rgb(165, 116, 80)"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Banner 5
	$data = array();
	$data['name'] = esc_html__( 'Banner 05', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'banner-5.jpg' );
	$data['sort_name'] = 'Banner';
	$data['custom_class'] = 'general banner';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1605626634888{padding-bottom: 60px !important;}" responsive_css="margin_top_medium:100px|padding_top_medium:70px|padding_bottom_medium:70px"][vc_column][ld_bananas_banner use_custom_fonts_heading="true" use_custom_fonts_heading2="true" image="4569" heading="Available on Spotify." heading2="New album is out!" fs="clamp(32px, 7vw, 110px)" fs2="clamp(32px, 7vw, 110px)"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Banner 6
	$data = array();
	$data['name'] = esc_html__( 'Banner 06', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'banner-6.jpg' );
	$data['sort_name'] = 'Banner';
	$data['custom_class'] = 'general banner';
	$data['content'] = <<<CONTENT
	[vc_row full_height="yes" equal_height="yes" bg_attachment="fixed" enable_overlay="yes" enable_loading_bg="yes" css=".vc_custom_1603104694188{padding-top: 180px !important;padding-bottom: 120px !important;background-image: url(https://companyhub.liquid-themes.com/staging/wp-content/uploads/2020/07/banner-company-optimized@2x-scaled.jpg?id=8821) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" overlay_bg="rgba(0, 34, 44, 0.43)" responsive_css="padding_top_medium:135px|padding_bottom_medium:35px|padding_top_small:80px|padding_bottom_small:80px"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-7" ca_duration="1600" ca_start_delay="600" ca_delay="160" ca_init_translate_y="50"][ld_fancy_heading split_type="chars, words" highlight_type="lqd-highlight-custom-underline" highlight_height="0.2em" highlight_offset="0em" duration="1000" delay="45" direction="random" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(255, 255, 255)" fs="text_all:88px|text_large:84px|text_small:13.5vw" lh="text_small:0.9em" margin="bottom_small:0.1em" ca_init_translate_y="0" ls="text_small:-0.02em"][ld_highlight]first[/ld_highlight]class investments[/ld_fancy_heading][ld_fancy_heading tag="p" duration="" delay="" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgba(255, 255, 255, 0.7)" fs="text_medium:23px|text_small:20px" lh="text_medium:1.7em|text_small:1.5em" padding="right_large:20%25" ca_init_translate_y="0"]Take your business to the next level Hub’s built-in risk and profit management tools.[/ld_fancy_heading][vc_row_inner css=".vc_custom_1612086109115{padding-top: 25px !important;}"][vc_column_inner width="1/2" offset="vc_col-md-5" css=".vc_custom_1576834675024{margin-bottom: 15px !important;}"][ld_button style="btn-solid" title="Get a quote" link_type="scroll_to_section" shape="round" size="btn-lg" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" fs="16px" css=".vc_custom_1609755564039{padding-right: 0.75em !important;padding-left: 0.75em !important;}" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" i_size="20px" hover_color="rgb(24, 67, 65)"][/vc_column_inner][vc_column_inner width="1/2" css=".vc_custom_1576834683574{margin-bottom: 15px !important;}"][vc_column_text]</p> <h6><span style="font-size: 13px; color: #ffffff;">call us now</span><br /> <span style="font-size: 19px; color: var(--color-primary);">+1 114 7788</span></h6> <p>[/vc_column_text][/vc_column_inner][/vc_row_inner][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="2.05" ca_init_scale_y="2.05" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-offset-1 vc_col-md-3" responsive_align="text-md-right" ca_duration="1800" ca_start_delay="1200"][ld_spacer height="15px" md_height="120px" sm_height="30px"][ld_button style="btn-naked" link_type="lightbox" i_type="linea" i_position="top" i_shape="btn-icon-circle" i_shape_style="btn-icon-bordered" i_shape_bw="btn-icon-border-thickest" i_shape_size="btn-icon-custom-size" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-ion-ios-play" i_size="24px" i_shape_custom_size="96px" color="rgb(255, 255, 255)" hover_color="rgba(255, 255, 255, 0.8)" link="url:https%3A%2F%2Fwww.youtube.com%2Fwatch%3Fv%3DQxdxYr6CRN4%26ab_channel%3DIntapp|||"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Banner 7
	$data = array();
	$data['name'] = esc_html__( 'Banner 07', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'banner-7.jpg' );
	$data['sort_name'] = 'Banner';
	$data['custom_class'] = 'general banner';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" full_height="yes" content_placement="middle" data_tooltip="Find your music" responsive_css="padding_top_medium:6vh|padding_right_medium:10vw|padding_bottom_medium:0px|padding_left_medium:10vw|padding_bottom_small:100px" css=".vc_custom_1612169239907{padding-top: 160px !important;padding-bottom: 60px !important;background-image: url(https://appblocks.liquid-themes.com/staging/wp-content/uploads/2020/07/lines-5.svg?id=204) !important;background-position: 0 0 !important;background-repeat: repeat !important;}" el_id="home"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-6" responsive_css="margin_bottom_medium:0px" css=".vc_custom_1612169489054{margin-bottom: 35px !important;}" responsive_align="text-center text-sm-left" ca_duration="1600" ca_delay="160" ca_init_translate_y="45"][ld_fancy_heading use_custom_fonts_title="true" lh="text_small:1em" fs="text_large:5vw|text_medium:77px|text_small:17vw" color="rgb(0, 0, 0)" margin="bottom_small:0px" ls="text_small:-0.02em"]Experience[/ld_fancy_heading][ld_fancy_heading use_custom_fonts_title="true" lh="text_small:1.1em" fs="text_large:5vw|text_medium:77px|text_small:23.5vw" gradient="linear-gradient(90deg, rgb(245, 58, 139) 15.923566878980886%, rgb(238, 112, 74) 50.63694267515923%, rgb(107,133,255) 99.68152866242038%)" ls="text_small:-0.02em" margin="bottom_small:0.35em"]magical sound.[/ld_fancy_heading][ld_fancy_heading tag="p" duration="" delay="" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" fs="text_small:21px" lh="text_small:33px" margin="bottom_small:1.67em" padding="right_large:15%25" ca_init_translate_y="0"]Listen to playlists curated for every occasion. Get daily podcasts and music recommendations.[/ld_fancy_heading][vc_row_inner][vc_column_inner][ld_button style="btn-solid" title="App store `{`ld_span`}`Get it for free`{`/ld_span`}`" transformation="text-uppercase" shape="round" size="btn-lg" border="border-none" i_type="fontawesome" i_separator="btn-icon-sep" enable_row_shadowbox="yes" i_add_icon="true" i_icon_fontawesome="fab fa-apple" i_size="22px" color="rgb(44, 46, 49)" text_color="rgb(255, 255, 255)" htext_color="rgb(255, 255, 255)" fs="12px" lh="1.5em" fw="700" ls="0.05em" button_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2220px%22%2C%22blur_radius%22%3A%2240px%22%2C%22shadow_color%22%3A%22rgba(73%2C76%2C137%2C0.13)%22%7D%5D" hover_button_box_shadow="%5B%7B%7D%5D" css=".vc_custom_1611745315515{margin-bottom: 25px !important;padding-top: 0.5em !important;padding-bottom: 0.5em !important;}"][vc_column_text]    Try for free. No credit card required.[/vc_column_text][/vc_column_inner][/vc_row_inner][/vc_column][vc_column column_top_onmobile="yes" align="text-center" offset="vc_col-md-6" css=".vc_custom_1606982949576{margin-bottom: 30px !important;background-position: center !important;background-repeat: no-repeat !important;background-size: contain !important;}" responsive_align="text-center" responsive_css="margin_bottom_small:0px"][ld_images_group_element img_size="100%" image="189" margin="left_large:-18%25"][/ld_images_group_element][/vc_column][vc_column][ld_particles as_bg="yes" color_type="multi_color" opacity="1" enable_random_opacity="yes" enable_anim_opacity="yes" enable_random_size="yes" enable_anim_size="yes" enable_move="yes" move_direction="right" enable_random_move="yes" modes_grab_opacity="1" retina_detect="yes" particle_id="lqd-1595673746671-a27c94f3-ba8e" number="7" multi_color_values="%5B%7B%22scolor%22%3A%22%2340f292%22%7D%2C%7B%22scolor%22%3A%22%2397dff4%22%7D%2C%7B%22scolor%22%3A%22%23ffefd2%22%7D%2C%7B%22scolor%22%3A%22%23ffe3d1%22%7D%5D" anim_opacity_speed="0.2" anim_opacity_min="0.5" size="4" move_speed="1.5" anim_size_speed="1" anim_size_min="70"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Banner 8
	$data = array();
	$data['name'] = esc_html__( 'Banner 08', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'banner-8.jpg' );
	$data['sort_name'] = 'Banner';
	$data['custom_class'] = 'general banner';
	$data['content'] = <<<CONTENT
	[vc_row full_height="yes" content_placement="middle" css=".vc_custom_1612169257837{padding-top: 100px !important;background-image: url(https://appblocks.liquid-themes.com/staging/wp-content/uploads/2020/07/lines-5.svg?id=204) !important;background-position: 0 0 !important;background-repeat: repeat !important;}" data_tooltip="Better Sound" responsive_css="padding_bottom_medium:150px|padding_top_small:150px" el_id="features"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-6" ca_duration="1800" ca_delay="180" ca_init_translate_y="35" responsive_css="padding_top_medium:35px"][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" fs="text_small:12px" fw="text_small:700" ls="text_small:0.05em" margin="bottom_small:1em"]Daily Podcasts[/ld_fancy_heading][ld_fancy_heading tag="h2" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" fs="text_medium:60px|text_small:12vw" lh="text_large:1.1em"]Enjoy live podcasts.[/ld_fancy_heading][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" fs="text_small:21px" lh="text_small:33px" margin="bottom_small:1.67em" ca_init_translate_y="0" start_delay="1150"]All in one  and startup solutions. Endless cases that make it highly flexible and adaptable in the app.[/ld_fancy_heading][ld_icon_box i_type="linea" heading_size="custom" heading_weight="font-weight-normal" position="iconbox-side" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title="High performance gaming mode" title_mb="1" custom_heading_size="18px" icon_size="21px" icon_mb="16" css=".vc_custom_1595835474587{margin-bottom: 15px !important;}"][/ld_icon_box][ld_icon_box i_type="linea" heading_size="custom" heading_weight="font-weight-normal" position="iconbox-side" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title="Smart and affordable mobility solutions" title_mb="1" custom_heading_size="18px" icon_size="21px" icon_mb="16" css=".vc_custom_1595835458681{margin-bottom: 15px !important;}"][/ld_icon_box][ld_spacer][ld_button style="btn-solid" title="See Live Podcasts" shape="round" i_type="fontawesome" i_add_icon="true" fs="18px" lh="1.15em" i_icon_fontawesome="fas fa-play" i_size="10px" i_margin_left="20px" color="rgb(44, 46, 49)" text_color="rgb(255, 255, 255)"][/vc_column][vc_column align="text-center" offset="vc_col-md-6" responsive_align="text-center"][ld_hotspots image="107" identities="%5B%7B%22title%22%3A%22Gaming%20Headphones%22%2C%22description%22%3A%22Focus%20and%20target%20your%20audience%20through%20the%20right%20channels.%22%2C%22position%22%3A%22lqd-hotspot-t%22%2C%22top%22%3A%2235%25%22%2C%22left%22%3A%2235%25%22%7D%2C%7B%22title%22%3A%22Smartphone%20Integration%22%2C%22description%22%3A%22Focus%20and%20target%20your%20audience%20through%20the%20right%20channels.%22%2C%22position%22%3A%22lqd-hotspot-t%22%2C%22top%22%3A%2220%25%22%2C%22right%22%3A%2227%25%22%7D%5D"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Banner 9
	$data = array();
	$data['name'] = esc_html__( 'Banner 09', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'banner-9.jpg' );
	$data['sort_name'] = 'Banner';
	$data['custom_class'] = 'general banner';
	$data['content'] = <<<CONTENT
	[vc_row full_height="yes" content_placement="middle" luminosity="dark" css=".vc_custom_1612169328782{padding-top: 80px !important;padding-bottom: 80px !important;background-color: #000000 !important;background-position: 0 0 !important;background-repeat: repeat !important;}" data_tooltip="Better Sound" responsive_css="padding_top_medium:150px|padding_bottom_medium:150px|padding_top_small:100px|padding_bottom_small:100px"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-6" ca_duration="1800" ca_delay="180" ca_init_translate_y="35"][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" fs="text_small:12px" fw="text_small:700" ls="text_small:0.05em" margin="bottom_small:1em" color="rgba(255, 255, 255, 0.57)"]Live Composition Mode[/ld_fancy_heading][ld_fancy_heading tag="h2" duration="" delay="" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" ca_init_translate_x="0" ca_init_translate_y="0" ca_init_translate_z="0" ca_init_rotate_x="0" lh="text_small:1.1em" padding="right_large:35%25" color="rgb(255, 255, 255)" fs="text_medium:65px|text_small:12vw"]Record and share.[/ld_fancy_heading][ld_fancy_heading tag="p" duration="" delay="" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" fs="text_small:21px" lh="text_small:33px" margin="bottom_small:1.67em" ca_init_translate_y="0" color="rgba(255, 255, 255, 0.57)"]All in one  and startup solutions. Endless use-cases that make it highly flexible, adaptable, and scalable for everyone in the community.[/ld_fancy_heading][ld_button style="btn-solid" title="Explore Daily Mix" shape="round" i_type="fontawesome" i_add_icon="true" fs="18px" lh="1.15em" i_icon_fontawesome="fas fa-music" i_size="13px" i_margin_left="20px" color="rgb(44, 46, 49)"][/vc_column][vc_column column_top_onmobile="yes" align="text-center" offset="vc_col-md-6" responsive_css="padding_top_medium:0px|margin_bottom_small:0px|padding_top_small:60px" css=".vc_custom_1606983223802{margin-bottom: 20px !important;}" responsive_align="text-center"][ld_images_group_element img_size="60%" image="228"][/ld_images_group_element][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Banner 10
	$data = array();
	$data['name'] = esc_html__( 'Banner 10', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'banner-10.jpg' );
	$data['sort_name'] = 'Banner';
	$data['custom_class'] = 'general banner';
	$data['content'] = <<<CONTENT
	[vc_row full_height="yes" content_placement="middle" css=".vc_custom_1612169289087{padding-top: 150px !important;padding-bottom: 150px !important;background-image: url(https://appblocks.liquid-themes.com/staging/wp-content/uploads/2020/07/lines-5.svg?id=204) !important;background-position: 0 0 !important;background-repeat: repeat !important;}" data_tooltip="Available for all devices" el_id="download"][vc_column width="5/6" offset="vc_hidden-lg vc_hidden-md vc_col-xs-offset-1 vc_col-xs-10"][vc_single_image image="222" alignment="center"][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-6" responsive_align="text-center text-md-left" ca_duration="1600" ca_delay="160" ca_init_translate_y="65"][ld_fancy_heading tag="h2" split_type="words" duration="" delay="" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" enable_fit="true" ca_init_translate_x="0" ca_init_translate_y="0" ca_init_translate_z="0" ca_init_rotate_x="0" lh="text_small:1.1em" compressor="0.7" minfontsize="50" fs="text_medium:60px|text_small:12vw" padding="right_large:25%25"]Available for all devices.[/ld_fancy_heading][ld_fancy_heading tag="p" duration="" delay="" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" fs="text_small:21px" lh="text_small:33px" margin="bottom_small:1.67em" padding="right_large:15%25" ca_init_translate_y="0"]All in one  and startup solutions. Endless use-cases that make it highly adaptable.[/ld_fancy_heading][vc_row_inner][vc_column_inner][ld_button style="btn-solid" title="App store `{`ld_span`}`Get it for free`{`/ld_span`}`" transformation="text-uppercase" shape="round" size="btn-lg" border="border-none" i_type="fontawesome" i_separator="btn-icon-sep" enable_row_shadowbox="yes" i_add_icon="true" i_icon_fontawesome="fab fa-apple" i_size="22px" color="rgb(44, 46, 49)" text_color="rgb(255, 255, 255)" htext_color="rgb(255, 255, 255)" fs="12px" lh="1.5em" fw="700" ls="0.05em" button_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2220px%22%2C%22blur_radius%22%3A%2240px%22%2C%22shadow_color%22%3A%22rgba(73%2C76%2C137%2C0.13)%22%7D%5D" hover_button_box_shadow="%5B%7B%7D%5D" css=".vc_custom_1611745327563{margin-bottom: 25px !important;padding-top: 0.5em !important;padding-bottom: 0.5em !important;}"][vc_column_text]    Try for free. No credit card required.[/vc_column_text][/vc_column_inner][/vc_row_inner][/vc_column][vc_column offset="vc_col-md-6 vc_hidden-sm vc_hidden-xs"][ld_images_group_element image="222" margin="bottom_large:-5vw"][/ld_images_group_element][/vc_column][vc_column][ld_particles as_bg="yes" color_type="multi_color" opacity="1" enable_random_opacity="yes" enable_anim_opacity="yes" enable_random_size="yes" enable_anim_size="yes" enable_move="yes" move_direction="right" enable_random_move="yes" modes_grab_opacity="1" retina_detect="yes" particle_id="lqd-ld-1572606562223-6c86d24f-61ae" number="7" multi_color_values="%5B%7B%22scolor%22%3A%22%2340f292%22%7D%2C%7B%22scolor%22%3A%22%2397dff4%22%7D%2C%7B%22scolor%22%3A%22%23ffefd2%22%7D%2C%7B%22scolor%22%3A%22%23ffe3d1%22%7D%5D" anim_opacity_speed="0.2" anim_opacity_min="0.5" size="4" move_speed="1.5" anim_size_speed="1" anim_size_min="70"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Banner 11
	$data = array();
	$data['name'] = esc_html__( 'Banner 11', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'banner-11.jpg' );
	$data['sort_name'] = 'Banner';
	$data['custom_class'] = 'general banner';
	$data['content'] = <<<CONTENT
	[vc_row full_height="yes" bg_position="center center" enable_overlay="yes" enable_row_dividers="yes" enable_loading_bg="yes" css=".vc_custom_1603179531850{padding-top: 160px !important;padding-bottom: 200px !important;background-image: url(https://marketinghub.liquid-themes.com/staging/wp-content/uploads/2020/05/marketing-bg@2x-scaled.jpg?id=5865) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" overlay_bg="rgba(12, 13, 14, 0.34)" responsive_css="padding_bottom_medium:100px|padding_top_small:100px" row_svg_divider="bottom_shape_type:12|bottom_shape_color:%23ffffff|bottom_shape_height:153"][vc_column align="text-center" offset="vc_col-md-offset-1 vc_col-md-10" css=".vc_custom_1595576723011{background-position: 0 0 !important;background-repeat: no-repeat !important;}" responsive_align="text-center"][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:13px" ls="text_small:0.1em" margin="bottom_small:1.8em"]Digital Marketing Agency[/ld_fancy_heading][ld_fancy_heading split_type="chars, words" highlight_type="lqd-highlight-custom-underline" duration="1300" delay="70" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" use_inheritance="true" enable_split="true" enable_fit="true" color="rgb(255, 255, 255)" compressor="0.8" minfontsize="57" fs="text_large:100px|text_medium:90px|text_small:65px" lh="text_small:1.1em" ls="text_small:-0.02em" margin="bottom_small:0.3em" ca_init_translate_y="0" ca_init_translate_x="0" ca_init_rotate_z="3"]Unique digital ideas.[/ld_fancy_heading][vc_row_inner][vc_column_inner offset="vc_col-md-offset-1 vc_col-md-10" responsive_css="padding_right_medium:7%25|padding_left_medium:7%25" css=".vc_custom_1572887826278{margin-bottom: 30px !important;}"][ld_fancy_heading tag="p" delay="200" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgba(255, 255, 255, 0.8)" fs="text_medium:21px|text_small:18px" start_delay="900" ca_init_translate_y="70" lh="text_small:1.62em"]We help our clients succeed by creating brand identities, digital experiences, and print materials.[/ld_fancy_heading][/vc_column_inner][vc_column_inner enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" ca_duration="1800" ca_start_delay="1200" ca_delay="200" ca_init_translate_y="35"][ld_button style="btn-solid" title="Let's Talk" shape="circle" size="btn-lg" border="border-none" hover_txt_effect="btn-hover-txt-liquid-x" i_type="linea" i_hover_reveal="btn-hover-swp" i_add_icon="true" css=".vc_custom_1603179547119{margin-bottom: 10px !important;padding-right: 0.75em !important;padding-left: 0.75em !important;}" color="rgb(0, 127, 255)" color2="rgb(255, 77, 84)" hover_color="rgb(255, 0, 0)" fs="18px" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" hover_color2="rgb(0, 127, 255)"][ld_button style="btn-default" title="Explore Hub" link_type="scroll_to_section" shape="circle" size="btn-lg" i_type="linea" i_hover_reveal="btn-hover-swp" i_add_icon="true" css=".vc_custom_1603179559060{margin-right: 12px !important;margin-bottom: 10px !important;margin-left: 12px !important;}" color="rgba(255, 255, 255, 0.25)" text_color="rgb(255, 255, 255)" lh="1.3em" fs="18px" hover_color="rgb(255, 255, 255)" htext_color="rgb(0, 0, 0)" i_icon_linea="lqd-icn-ess icon-md-arrow-forward"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Banner 12
	$data = array();
	$data['name'] = esc_html__( 'Banner 12', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'banner-12.jpg' );
	$data['sort_name'] = 'Banner';
	$data['custom_class'] = 'general banner';
	$data['content'] = <<<CONTENT
	[vc_row gap="0" row_scale_bg_onhover="yes"][vc_column row_scale_bg_onhover="yes" parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" enable_column_shadowbox="yes" column_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2250px%22%2C%22blur_radius%22%3A%2280px%22%2C%22shadow_color%22%3A%22rgba(0%2C%200%2C%200%2C%200.2)%22%7D%5D" css=".vc_custom_1606722264142{border-radius: 10px !important;}" translate_from_y="20" translate_to_y="-70"][vc_row_inner row_scale_bg_onhover="yes" bg_position="left center" enable_overlay="yes" responsive_css="padding_top_medium:300px|padding_bottom_medium:75px|padding_left_medium:50px" css=".vc_custom_1606722443480{padding-top: 70px !important;padding-right: 20px !important;padding-bottom: 70px !important;padding-left: 20px !important;background-image: url(https://marketinghub.liquid-themes.com/staging/wp-content/uploads/2019/11/bg-2@2x.jpg?id=5820) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;border-radius: 10px !important;}" hover_overlay_bg="rgba(0, 0, 0, 0.19)"][vc_column_inner offset="vc_col-md-8" responsive_align="text-left"][ld_fancy_heading tag="h2" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" enable_fit="true" color="rgb(255, 255, 255)" fs="text_large:35px|text_small:30px" lh="text_small:1.26em" margin="bottom_small:0.75em" compressor="0.7" minfontsize="38"]Watch the creative process behind the digital marketing.[/ld_fancy_heading][ld_button style="btn-naked" title="`{`ld_small`}`Click to Watch`{`/ld_small`}`See how it works" link_type="lightbox" i_type="linea" i_position="left" i_shape="btn-icon-circle" i_shape_style="btn-icon-bordered" i_shape_size="btn-icon-custom-size" enable_icon_shadowbox="yes" i_add_icon="true" i_size="16px" i_shape_custom_size="62px" i_color="rgb(255, 255, 255)" i_fill_color2="rgba(255, 255, 255, 0.35)" i_fill_hcolor2="rgb(255, 255, 255)" fs="18px" icon_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%220%22%2C%22blur_radius%22%3A%220%22%2C%22spread_radius%22%3A%222px%22%2C%22shadow_color%22%3A%22rgba(255%2C255%2C255%2C0.35)%22%7D%5D" h_icon_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%220%22%2C%22blur_radius%22%3A%220%22%2C%22spread_radius%22%3A%222px%22%2C%22shadow_color%22%3A%22%23ffffff%22%7D%5D" color="rgb(255, 255, 255)" hover_color="rgb(255, 255, 255)" link="url:https%3A%2F%2Fwww.youtube.com%2Fwatch%3Fv%3DIC9urbiVp4M|||" i_icon_linea="lqd-icn-ess icon-ion-ios-play" i_hcolor="rgb(0, 0, 0)"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Banner 13
	$data = array();
	$data['name'] = esc_html__( 'Banner 13', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'banner-13.jpg' );
	$data['sort_name'] = 'Banner';
	$data['custom_class'] = 'general banner';
	$data['content'] = <<<CONTENT
	[vc_row enable_gradient="yes" enable_row_dividers="yes" css=".vc_custom_1612870817541{margin-top: 40px !important;padding-top: 160px !important;padding-bottom: 85px !important;background-image: url(https://marketinghub.liquid-themes.com/staging/wp-content/uploads/2020/05/marketing-bg@2x-1-scaled.jpg?id=5958) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" gradient_bg="linear-gradient(90deg, rgb(52, 122, 255) 0.3184713375796178%, rgb(250, 65, 94) 100%)" row_svg_divider="top_shape_type:12|top_shape_color:%23ffffff|top_shape_height:65" responsive_css="margin_top_small:75px"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" align="text-center" offset="vc_col-lg-offset-3 vc_col-lg-6 vc_col-md-offset-2 vc_col-md-8" responsive_align="text-center" ca_duration="1600" ca_delay="200" ca_init_translate_y="65"][ld_fancy_heading tag="h2" split_type="words" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" enable_fit="true" color="rgb(255, 255, 255)" fs="text_large:45px|text_small:32px" lh="text_small:1.26em" margin="bottom_small:0.75em" compressor="0.75" minfontsize="38"]Any questions à Projects? Let’s get started.[/ld_fancy_heading][ld_button style="btn-solid" title="Send a Message" shape="circle" size="btn-lg" i_type="linea" i_add_icon="true" css=".vc_custom_1595584965098{margin-right: 12px !important;margin-bottom: 15px !important;margin-left: 12px !important;padding-right: 1em !important;padding-left: 1em !important;}" color="rgb(255, 255, 255)" text_color="rgb(0, 0, 0)" lh="1.3em" fs="16px" hover_color="rgb(32, 35, 41)" htext_color="rgb(255, 255, 255)" i_icon_linea="lqd-icn-ess icon-lqd-pen"][ld_button style="btn-default" title="Get started" shape="circle" size="btn-lg" css=".vc_custom_1573385436113{margin-right: 12px !important;margin-bottom: 15px !important;margin-left: 12px !important;padding-right: 1em !important;padding-left: 1em !important;}" color="rgba(255, 255, 255, 0.25)" text_color="rgb(255, 255, 255)" lh="1.3em" fs="16px" hover_color="rgb(255, 255, 255)" htext_color="rgb(0, 0, 0)"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Banner 14 - startuphub
	$data = array();
	$data['name'] = esc_html__( 'Banner 14', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'banner-14.jpg' );
	$data['sort_name'] = 'Banner';
	$data['custom_class'] = 'general banner';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" full_height="yes" content_placement="middle" css=".vc_custom_1607065376522{padding-top: 160px !important;}" responsive_css="padding_top_medium:0px|padding_right_medium:10vw|padding_left_medium:10vw"][vc_column][ld_images_group_container move_to_parent_row="yes" absolute_pos="yes" position="top_all:0px|top_large:-20%25|right_large:0px|top_medium:-15%25|top_small:-10%25|right_small:-10%25"][ld_images_group_element image="4409"][/ld_images_group_element][/ld_images_group_container][/vc_column][vc_column offset="vc_col-lg-5 vc_col-md-7"][ld_fancy_heading enable_txt_rotator="yes" items="%5B%7B%22word%22%3A%22payments.%22%7D%2C%7B%22word%22%3A%22tax%20forms.%22%7D%2C%7B%22word%22%3A%22contracts.%22%7D%5D" use_custom_fonts_title="true" gradient="linear-gradient(156deg, #3d00c6 0%, rgb(241,77,255) 70.06369426751593%)" fs="text_large:6.5vw|text_small:17vw" lh="text_small:0.85em" ls="text_small:-0.02em" margin="bottom_small:0.35em" fw="text_small:700"]Online[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(49, 63, 88)" fs="text_small:20px" lh="text_small:1.45em" margin="bottom_small:1.25em"]The ultimate one-click collection crafted by world-class designers. Give it a try![/ld_fancy_heading][ld_spacer height="15px"][ld_newsletter use_opt_in="Yes" style="solid" inputs_size="ld-sf--size-lg" inputs_radius="ld-sf--round" inputs_border="ld-sf--border-none" inputs_shadow="ld-sf--input-shadow" btn_style="solid" btn_display="label_icon" btn_label="Get started" btn_position="ld-sf--button-inline" enable_btn_shadowbox="yes" i_type="linea" use_custom_fonts_input="true" use_custom_fonts_label="true" i_add_icon="true" placeholder_text="Enter your email address" fs="16px" label_fs="17px" btn_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%227px%22%2C%22blur_radius%22%3A%2220px%22%2C%22shadow_color%22%3A%22rgba(132%2C92%2C255%2C0.2)%22%7D%5D" txt_color="rgb(49, 63, 88)" bg_color="rgb(255, 255, 255)" txt_f_color="rgb(0, 0, 0)" btn_txt_color="rgb(255, 255, 255)" btn_bg_color="rgb(132, 92, 255)" hover_btn_txt_color="rgb(255, 255, 255)" hover_btn_bg_color="rgb(132, 92, 255)" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" i_size="15px"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:12px" color="rgb(0, 0, 0)"]   Try for free. No credit card required.[/ld_fancy_heading][/vc_column][vc_column width="5/6" offset="vc_col-lg-offset-1 vc_col-lg-6 vc_col-md-offset-0 vc_col-md-5 vc_col-sm-offset-1"][ld_images_group_element enable_float_effect="yes" float_easing="ease-in-out" image="792"][/ld_images_group_element][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Banner 15 - newsletter
	$data = array();
	$data['name'] = esc_html__( 'Banner 15', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'banner-15.jpg' );
	$data['sort_name'] = 'Banner';
	$data['custom_class'] = 'general banner newsletter';
	$data['content'] = <<<CONTENT
	[vc_row full_height="yes" bg_position="center bottom" sticky_row="yes" css=".vc_custom_1610357228901{padding-top: 150px !important;padding-bottom: 380px !important;background: #f7f8fb url(https://newsletterhub.liquid-themes.com/staging/wp-content/uploads/2019/11/people-2.svg?id=36) !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}" responsive_css="padding_top_medium:0px|padding_bottom_medium:0px|padding_top_small:80px|padding_bottom_small:180px"][vc_column offset="vc_hidden-sm vc_hidden-xs"][ld_images_group_container enable_item_animation="yes" move_to_parent_row="yes" pf_init_scale_x="0.75" pf_init_scale_y="0.75" pf_init_opacity="0" pf_an_scale_x="1" pf_an_scale_y="1" pf_an_opacity="1" absolute_pos="yes" position="top_small:0px|right_small:0px|bottom_small:0px|left_small:0px" pf_duration="1800" pf_delay="220" pf_init_translate_y="117"][ld_images_group_element parallax="yes" scale_from_x="1.1" scale_from_y="1.1" scale_from_z="1" from_opacity="1" scale_to_x="1.4" scale_to_y="1.4" scale_to_z="1" to_opacity="1" absolute_pos="yes" image="28" translate_from_y="16" translate_to_y="-129" position="right_small:0px|bottom_small:0px"][/ld_images_group_element][/ld_images_group_container][/vc_column][vc_column parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" parallax_trigger="number" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" align="text-center" offset="vc_col-md-offset-1 vc_col-md-10" responsive_css="padding_right_medium:7%25|padding_left_medium:7%25" ca_duration="1800" ca_delay="200" ca_init_translate_y="70" ca_init_rotate_x="0" translate_from_y="1" translate_to_y="-125" parallax_trigger_number="0.3" responsive_align="text-center"][ld_fancy_heading enable_txt_rotator="yes" items="%5B%7B%22word%22%3A%22online%20forms%22%7D%2C%7B%22word%22%3A%22offline%20forms%22%7D%2C%7B%22word%22%3A%22any%20forms%22%7D%5D" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" enable_fit="true" fs="text_large:65px|text_medium:55px|text_small:13vw" lh="text_small:1em" word_colors="rgb(43, 189, 204)" padding="right_large:4%25|left_large:4%25" compressor="0.7" minfontsize="44"]Generate more innovative leads and[/ld_fancy_heading][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" fs="text_small:20px" margin="bottom_small:2.5em"]Beautiful layouts, super customizable, blazing fast, customer first approach.[/ld_fancy_heading][ld_newsletter enable_name_field="yes" show_inline="ld-sf--inputs-inline" style="bordered" inputs_size="ld-sf--size-lg" inputs_radius="ld-sf--round" inputs_border="ld-sf--border-none" inputs_shadow="ld-sf--input-shadow" btn_style="solid" btn_display="label_icon" btn_label="Sign up" btn_position="ld-sf--button-inline" btn_padding="0px" i_type="linea" use_custom_fonts_input="true" use_custom_fonts_label="true" i_add_icon="true" fs="16px" label_fs="16px" margin="bottom_small:0px" bg_color="rgb(255, 255, 255)" placeholder_text="Email address" placeholder_nametext="Your Name" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" label_fw="700" txt_color="rgb(110, 121, 130)"][/vc_column][vc_column][vc_row_inner enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" css=".vc_custom_1607064674952{padding-top: 25px !important;}" ca_duration="1800" ca_delay="180" ca_init_translate_y="30" ca_start_delay="650" responsive_css="padding_top_small:5px"][vc_column_inner width="1/4" offset="vc_col-lg-offset-3 vc_col-lg-2 vc_col-sm-offset-2"][ld_icon_box i_type="linea" heading_size="custom" heading_weight="font-weight-normal" position="iconbox-inline" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title="30 Day Free Trial" icon_size="14px" custom_heading_size="16px"][/ld_icon_box][/vc_column_inner][vc_column_inner width="1/4" offset="vc_col-lg-2"][ld_icon_box i_type="linea" heading_size="custom" heading_weight="font-weight-normal" position="iconbox-inline" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title="No Hidden Fees" icon_size="14px" custom_heading_size="16px"][/ld_icon_box][/vc_column_inner][vc_column_inner width="1/4" offset="vc_col-lg-2"][ld_icon_box i_type="linea" heading_size="custom" heading_weight="font-weight-normal" position="iconbox-inline" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title="Cancel Anytime" icon_size="14px" custom_heading_size="16px"][/ld_icon_box][/vc_column_inner][/vc_row_inner][/vc_column][vc_column][ld_particles as_bg="yes" color_type="multi_color" shape_type="triangle" opacity="1" enable_move="yes" move_direction="top" modes_grab_opacity="1" particle_id="ld-1579791733747-f28cf823-c73d" number="10" multi_color_values="%5B%7B%22scolor%22%3A%22%23ff7cac%22%7D%2C%7B%22scolor%22%3A%22%237ef3d6%22%7D%2C%7B%22scolor%22%3A%22%23ffe798%22%7D%5D" size="5" move_speed="1.75"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Banner 16 - gridportfolio
	$data = array();
	$data['name'] = esc_html__( 'Banner 16', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'banner-16.jpg' );
	$data['sort_name'] = 'Banner';
	$data['custom_class'] = 'general banner';
	$data['content'] = <<<CONTENT
	[vc_row responsive_css="padding_top_medium:150px|padding_bottom_medium:150px|padding_top_small:160px" css=".vc_custom_1603117181334{padding-top: 140px !important;padding-bottom: 100px !important;}" el_id="works"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" align="text-center" offset="vc_col-md-offset-1 vc_col-md-10" ca_init_translate_y="-20" ca_init_rotate_y="-46" ca_duration="1800" ca_delay="140" responsive_align="text-center"][ld_fancy_heading tag="h6" margin="bottom_small:1em"]Digital Designer based in London.[/ld_fancy_heading][ld_fancy_heading use_custom_fonts_title="true" fs="text_large:81px|text_medium:68px|text_small:13.5vw" margin="bottom_small:0px"]Hi, I’m David. I create[/ld_fancy_heading][ld_fancy_heading tag="h2" enable_txt_rotator="yes" items="%5B%7B%22word%22%3A%22designs%22%7D%2C%7B%22word%22%3A%22illustrations%22%7D%2C%7B%22word%22%3A%22websites%22%7D%5D" use_custom_fonts_title="true" fs="text_large:81px|text_medium:68px|text_small:13.5vw" margin="bottom_small:0.35em"]beautiful[/ld_fancy_heading][ld_button style="btn-naked" title="— Would you like to work with me?" link_type="modal_window" hover_txt_effect="btn-hover-txt-liquid-y" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" color="rgb(0, 0, 0)" css=".vc_custom_1615372919780{margin-top: 0.5em !important;}" anchor_id="#header-contact-modal"][ld_particles as_bg="yes" color_type="random_color" opacity="1" modes_grab_opacity="1" retina_detect="yes" particle_id="lqd-1588757654892-fd309525-a54e" number="7" size="3"][/vc_column][vc_column][ld_modal_window modal_type="fullscreen" el_id="header-contact-modal"][vc_row_inner full_width="" equal_height="yes" content_placement="middle" bg_position="center center" responsive_css="padding_top_medium:80px|padding_bottom_medium:80px" css=".vc_custom_1615372857273{padding-top: 60px !important;padding-bottom: 60px !important;background-image: url(https://gridportfolio.liquid-themes.com/staging/wp-content/uploads/2021/03/bg-2@2x-scaled-1.jpeg?id=4893) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" el_class="h-vh-100 align-items-center"][vc_column_inner width="1/2" css=".vc_custom_1615219219533{margin-bottom: 30px !important;}" responsive_css="padding_right_medium:10%25"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_large:122px|text_medium:48px|text_small:34px" fw="text_small:500" color="rgb(0, 0, 0)" lh="text_medium:0.75em|text_small:1em" margin="bottom_small:0.5em"]Send a message.[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:2.5em"]We’re here to answer any question you may have.[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/2" responsive_css="padding_top_medium:45px|padding_right_medium:65px|padding_bottom_medium:45px|padding_left_medium:65px" css=".vc_custom_1615219159553{margin-bottom: -130px !important;background-color: #ffffff !important;border-radius: 10px !important;}"][ld_cf7 id="4892" shape="lqd-contact-form-inputs-underlined" btn_size="lqd-contact-form-button-lg" btn_width="lqd-contact-form-button-block" use_custom_fonts_input="true" use_custom_fonts_submit="true" fs="13px" submit_fs="17px" color="rgb(0, 0, 0)" h_color="rgb(0, 0, 0)" css=".vc_custom_1615372838390{margin-bottom: 0px !important;}" submit_fw="500" border_color="rgba(0, 0, 0, 0.12)" hover_border_color="rgb(0, 0, 0)" submit_lh="1.5em" bm="13px"][/vc_column_inner][vc_column_inner width="1/4"][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" fs="text_small:13px" fw="text_small:700" ls="text_small:0.1em" margin="bottom_small:1.25em" color="rgb(0, 0, 0)"]careers[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px" lh="text_small:1.18em" margin="bottom_small:0.75em" color="rgb(0, 0, 0)"]Would you like to join our growing team?[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px" lh="text_small:1.18em" fw="text_small:700" color="rgb(0, 0, 0)"]careers@hub.com[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/4"][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" fs="text_small:13px" fw="text_small:700" ls="text_small:0.1em" margin="bottom_small:1.25em" color="rgb(0, 0, 0)"]Feedbacks[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px" lh="text_small:1.18em" margin="bottom_small:0.75em" color="rgb(0, 0, 0)"]Have a project in mind? Send a message.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px" lh="text_small:1.18em" fw="text_small:700" color="rgb(0, 0, 0)"]info@hub.com[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_modal_window][/vc_column][/vc_row][vc_row][vc_column][ld_portfolio_listing style="style02" grid_columns="2" columns_gap="27" bottom_gap="90" post_type="liquid-portfolio" posts_per_page="6" show_filter="yes" custom_cursor_style="lqd-cc-icon-trigger" filter_lbl_all="All" filter_mb="50" show_button="yes" ib_style="btn-naked" ib_title="See more" ib_i_type="linea" color_type="lqd-pf-color-custom" ib_i_add_icon="true" filter_id="lqd-1588770546136-5772c7db-b381" filter_cats="branding, custom-print, digital-design" ib_i_icon_linea="lqd-icn-ess icon-md-arrow-forward" filter_normal_color="rgb(77, 77, 77)" filter_hover_color="rgb(0, 0, 0)" filter_title="Filter by" ib_color="rgb(77, 77, 77)" color_primary="linear-gradient(0deg, rgb(91, 25, 183) 0.3184713375796178%, rgba(255, 255, 255, 0.36) 100%)" title_size="17px" overlay_arrow_color="rgba(255, 255, 255, 0)"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Banner 17 - verticalportfolio
	$data = array();
	$data['name'] = esc_html__( 'Banner 17', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'banner-17.jpg' );
	$data['sort_name'] = 'Banner';
	$data['custom_class'] = 'general banner';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" gap="0" enable_cc_circle="yes" cc_circle_color="rgb(255, 255, 255)"][vc_column][ld_slideshow_2 height="100vh"][ld_slideshow_section title="ScottBank" image="121"][vc_row_inner content_placement="middle"][vc_column_inner css=".vc_custom_1611322379049{margin-bottom: 30px !important;}" offset="vc_col-md-10"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_large:140px|text_small:18vw" margin="top_large:0px|top_medium:120px|top_small:160px|bottom_small:0px" link="url:http%3A%2F%2Fverticalportfolio.liquid-themes.com%2Fportfolio%2Fnexa-mobile%2F|title:Nexa%20Mobile||"]Nexa Mobile[/ld_fancy_heading][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" fs="text_medium:20px|text_small:18px" color="rgb(255, 255, 255)" lh="text_small:1.3em" margin="bottom_small:2em"]We build digital experiences that communicate clearly and look fantastic on any device.[/ld_fancy_heading][ld_button style="btn-naked" title="See case details" i_type="linea" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" color="rgb(255, 255, 255)" hover_color="rgba(255, 255, 255, 0.85)" link="url:http%3A%2F%2Fverticalportfolio.liquid-themes.com%2Fportfolio%2Fnexa-mobile%2F|||"][/vc_column_inner][vc_column_inner responsive_align="text-md-center" css=".vc_custom_1611322407282{margin-bottom: 30px !important;}" offset="vc_col-md-2"][ld_button style="btn-naked" link_type="lightbox" i_type="linea" i_shape="btn-icon-circle" i_shape_style="btn-icon-bordered" i_shape_size="btn-icon-custom-size" i_ripple="btn-icon-ripple" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-ion-ios-play" i_shape_custom_size="152px" i_fill_color2="rgba(255, 255, 255, 0.25)" color="rgb(255, 255, 255)" i_hcolor="rgb(0, 0, 0)" i_fill_hcolor2="rgb(255, 255, 255)" link="url:https%3A%2F%2Fyoutu.be%2FJLE228ZuGGA|||"][/vc_column_inner][/vc_row_inner][/ld_slideshow_section][ld_slideshow_section title="Kontrast" image="66"][vc_row_inner content_placement="middle"][vc_column_inner css=".vc_custom_1611322379049{margin-bottom: 30px !important;}" offset="vc_col-md-10"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_large:140px|text_small:20vw" margin="top_large:0px|top_medium:120px|top_small:160px|bottom_small:0px" link="url:http%3A%2F%2Fverticalportfolio.liquid-themes.com%2Fportfolio%2Fnike-shopping%2F|title:Nike%20Shopping||"]Kontrast[/ld_fancy_heading][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" fs="text_medium:20px|text_small:18px" color="rgb(255, 255, 255)" lh="text_small:1.3em" margin="bottom_small:2em"]We build digital experiences that communicate clearly and look fantastic on any device.[/ld_fancy_heading][ld_button style="btn-naked" title="See case details" i_type="linea" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" color="rgb(255, 255, 255)" hover_color="rgba(255, 255, 255, 0.85)" link="url:http%3A%2F%2Fverticalportfolio.liquid-themes.com%2Fportfolio%2Fnike-shopping%2F|||"][/vc_column_inner][vc_column_inner responsive_align="text-md-center" css=".vc_custom_1611322407282{margin-bottom: 30px !important;}" offset="vc_col-md-2"][ld_button style="btn-naked" link_type="lightbox" i_type="linea" i_shape="btn-icon-circle" i_shape_style="btn-icon-bordered" i_shape_size="btn-icon-custom-size" i_ripple="btn-icon-ripple" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-ion-ios-play" i_shape_custom_size="152px" i_fill_color2="rgba(255, 255, 255, 0.25)" color="rgb(255, 255, 255)" i_hcolor="rgb(0, 0, 0)" i_fill_hcolor2="rgb(255, 255, 255)" link="url:https%3A%2F%2Fyoutu.be%2FJLE228ZuGGA|||"][/vc_column_inner][/vc_row_inner][/ld_slideshow_section][ld_slideshow_section title="S-Klasse" image="120"][vc_row_inner content_placement="middle"][vc_column_inner css=".vc_custom_1611322379049{margin-bottom: 30px !important;}" offset="vc_col-md-10"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_large:140px|text_medium:15vw|text_small:20vw" margin="top_large:0px|top_medium:120px|top_small:160px|bottom_small:0px" link="url:http%3A%2F%2Fverticalportfolio.liquid-themes.com%2Fportfolio%2Faliens-do-3d-automobile%2F|||"]S-Klasse[/ld_fancy_heading][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" fs="text_medium:20px|text_small:18px" color="rgb(255, 255, 255)" lh="text_small:1.3em" margin="bottom_small:2em"]We build digital experiences that communicate clearly and look fantastic on any device.[/ld_fancy_heading][ld_button style="btn-naked" title="See case details" i_type="linea" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" color="rgb(255, 255, 255)" hover_color="rgba(255, 255, 255, 0.85)" link="url:http%3A%2F%2Fverticalportfolio.liquid-themes.com%2Fportfolio%2Faliens-do-3d-automobile%2F|||"][/vc_column_inner][vc_column_inner responsive_align="text-md-center" css=".vc_custom_1611322407282{margin-bottom: 30px !important;}" offset="vc_col-md-2"][ld_button style="btn-naked" link_type="lightbox" i_type="linea" i_shape="btn-icon-circle" i_shape_style="btn-icon-bordered" i_shape_size="btn-icon-custom-size" i_ripple="btn-icon-ripple" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-ion-ios-play" i_shape_custom_size="152px" i_fill_color2="rgba(255, 255, 255, 0.25)" color="rgb(255, 255, 255)" i_hcolor="rgb(0, 0, 0)" i_fill_hcolor2="rgb(255, 255, 255)" link="url:https%3A%2F%2Fyoutu.be%2FJLE228ZuGGA|||"][/vc_column_inner][/vc_row_inner][/ld_slideshow_section][ld_slideshow_section title="Insider" image="123"][vc_row_inner content_placement="middle"][vc_column_inner css=".vc_custom_1611322379049{margin-bottom: 30px !important;}" offset="vc_col-md-10"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_all:140px|text_large:130px|text_small:20vw" margin="top_large:0px|top_medium:120px|top_small:160px|bottom_small:0px" link="url:http%3A%2F%2Fverticalportfolio.liquid-themes.com%2Fportfolio%2Finspiration-board%2F|||"]Insider[/ld_fancy_heading][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" fs="text_medium:20px|text_small:18px" color="rgb(255, 255, 255)" lh="text_small:1.3em" margin="bottom_small:2em"]We build digital experiences that communicate clearly and look fantastic on any device.[/ld_fancy_heading][ld_button style="btn-naked" title="See case details" i_type="linea" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" color="rgb(255, 255, 255)" hover_color="rgba(255, 255, 255, 0.85)" link="url:http%3A%2F%2Fverticalportfolio.liquid-themes.com%2Fportfolio%2Finspiration-board%2F|||"][/vc_column_inner][vc_column_inner responsive_align="text-md-center" css=".vc_custom_1611322407282{margin-bottom: 30px !important;}" offset="vc_col-md-2"][ld_button style="btn-naked" link_type="lightbox" i_type="linea" i_shape="btn-icon-circle" i_shape_style="btn-icon-bordered" i_shape_size="btn-icon-custom-size" i_ripple="btn-icon-ripple" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-ion-ios-play" i_shape_custom_size="152px" i_fill_color2="rgba(255, 255, 255, 0.25)" color="rgb(255, 255, 255)" i_hcolor="rgb(0, 0, 0)" i_fill_hcolor2="rgb(255, 255, 255)" link="url:https%3A%2F%2Fyoutu.be%2FJLE228ZuGGA|||"][/vc_column_inner][/vc_row_inner][/ld_slideshow_section][/ld_slideshow_2][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Banner 18 - split
	$data = array();
	$data['name'] = esc_html__( 'Banner 18', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'banner-18.jpg' );
	$data['sort_name'] = 'Banner';
	$data['custom_class'] = 'general banner';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" gap="0" full_height="yes" columns_placement="stretch" equal_height="yes" content_placement="middle" luminosity="dark" bg_position="left center" css=".vc_custom_1596194795190{background-color: #161616 !important;background-position: center !important;background-repeat: no-repeat !important;background-size: contain !important;}" data_tooltip="Mobile Connection" el_id="about"][vc_column offset="vc_col-md-6" responsive_css="padding_top_medium:0px|padding_right_medium:10vmax|padding_bottom_medium:0px|padding_left_medium:10vmax" css=".vc_custom_1611748325327{padding-top: 160px !important;padding-right: 15px !important;padding-bottom: 5vh !important;padding-left: 15px !important;}"][ld_fancy_heading tag="h2" transform="text-uppercase" enable_txt_rotator="yes" rotator_type="basic" items="%5B%7B%22word%22%3A%22experiences%22%7D%2C%7B%22word%22%3A%22illustrations%22%7D%2C%7B%22word%22%3A%22products%22%7D%2C%7B%22word%22%3A%22videos%22%7D%5D" highlight_type="lqd-highlight-custom-underline" delay="100" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" enable_fit="true" maxfontsize="65" minfontsize="50" margin="bottom_small:0.35em" compressor="0.7" color="rgb(255, 255, 255)" start_delay="500" highlight_color_brush="rgb(255, 255, 255)" word_colors="rgb(255, 255, 255)" fs="text_large:7vmin|text_medium:8vw|text_small:11vw"]Hi, I'm David. [ld_br] I create[/ld_fancy_heading][ld_spacer height="22px"][ld_fancy_heading tag="p" split_type="words" delay="80" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" color="rgba(255, 255, 255, 0.55)" fs="23px" lh="1.52em" margin="bottom_small:1.75em" start_delay="850" ca_init_translate_x="0" ca_init_translate_y="-1"]App Design / UX Research / Wireframing / Motion Design / Front-End Development[/ld_fancy_heading][vc_row_inner enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" ca_duration="1800" ca_start_delay="1100" ca_delay="180" ca_init_translate_y="35"][vc_column_inner enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" ca_start_delay="1000"][ld_spacer height="15px"][ld_social_icons style="" size="social-icon-lg" identities="%5B%7B%22network%22%3A%22fa-pinterest%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-twitter%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-behance-square%22%2C%22url%22%3A%22%23%22%7D%5D" font_size="27px" primary_color="rgba(255,255,255,0.43)" hover_color="#ffffff"][/vc_column_inner][/vc_row_inner][ld_gdpr_box]We use cookies to provide the best web experience possible . [/ld_gdpr_box][/vc_column][vc_column bg_position="center top" offset="vc_col-md-6" css=".vc_custom_1606209488800{padding-top: 20vh !important;padding-bottom: 20vh !important;background-image: url(https://split.liquid-themes.com/staging/wp-content/uploads/2020/07/split1@2x.jpg?id=1137) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Banner 19 - split
	$data = array();
	$data['name'] = esc_html__( 'Banner 19', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'banner-19.jpg' );
	$data['sort_name'] = 'Banner';
	$data['custom_class'] = 'general banner';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" gap="0" full_height="yes" columns_placement="stretch" equal_height="yes" content_placement="bottom" css=".vc_custom_1610725640932{background-color: #f6dbb8 !important;}" data_tooltip="Pull and Bear" el_id="pull-and-bear"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-6" responsive_css="padding_top_medium:0px|padding_right_medium:10vmax|padding_bottom_medium:120px|padding_left_medium:10vmax|padding_top_small:150px|padding_bottom_small:150px" css=".vc_custom_1610725391311{padding-top: 110px !important;padding-right: 15px !important;padding-bottom: 60px !important;padding-left: 15px !important;}" ca_init_translate_y="55" ca_init_rotate_y="50" ca_duration="1600" ca_delay="180"][ld_button style="btn-naked" title="Play" link_type="lightbox" i_type="linea" i_position="left" i_hover_reveal="btn-hover-swp" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-ion-ios-play" color="rgb(118, 56, 56)" link="url:https%3A%2F%2Fyoutu.be%2FJLE228ZuGGA|||" hover_color="rgb(0, 0, 0)"][ld_fancy_heading tag="h2" transform="text-uppercase" use_custom_fonts_title="true" enable_fit="true" maxfontsize="80" minfontsize="68" margin="top_small:0.15em|bottom_small:0.2em" compressor="0.6" fs="text_large:6.5vw|text_medium:70px|text_small:60px" color="rgb(118, 56, 56)" lh="text_small:1em" ls="text_small:-0.02em"]Pull and Bear[/ld_fancy_heading][ld_fancy_heading tag="p" color="rgb(118, 56, 56)" margin="bottom_small:1.75em"]I built digital experiences, and print materials that communicate clearly and look fantastic.[/ld_fancy_heading][ld_button style="btn-naked" title="⸺ See case study" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" color="rgb(118, 56, 56)" hover_color="rgb(0, 0, 0)" link="url:https%3A%2F%2Fsplit.liquid-themes.com%2Fportfolio%2Faliens-do-3d-automobile%2F|title:Inspiration%20Board||"][/vc_column][vc_column enable_link="enable_column_link" column_top_onmobile="yes" bg_position="center center" offset="vc_col-md-6" css=".vc_custom_1612357592538{padding-top: 25vh !important;padding-bottom: 25vh !important;background-image: url(https://split.liquid-themes.com/staging/wp-content/uploads/2021/01/img-1@2x.jpg?id=4754) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" responsive_css="padding_top_medium:0px|padding_bottom_medium:0px" link="url:https%3A%2F%2Fsplit.liquid-themes.com%2Fportfolio%2Faliens-do-3d-automobile%2F|||"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Banner 20 - split
	$data = array();
	$data['name'] = esc_html__( 'Banner 20', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'banner-20.jpg' );
	$data['sort_name'] = 'Banner';
	$data['custom_class'] = 'general banner';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" gap="0" full_height="yes" columns_placement="stretch" equal_height="yes" content_placement="bottom" css=".vc_custom_1610726102949{background-color: #002b3b !important;}" data_tooltip="Coast Drone" el_id="coast-drone"][vc_column enable_link="enable_column_link" column_top_onmobile="yes" bg_position="center center" offset="vc_col-md-6" css=".vc_custom_1612357648338{padding-top: 25vh !important;padding-bottom: 25vh !important;background-image: url(https://split.liquid-themes.com/staging/wp-content/uploads/2021/01/img-2@2x.jpg?id=4755) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" responsive_css="padding_top_medium:0px|padding_bottom_medium:0px" link="url:https%3A%2F%2Fsplit.liquid-themes.com%2Fportfolio%2Fthe-portraits%2F|||"][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-6" responsive_css="padding_top_medium:0px|padding_right_medium:10vmax|padding_bottom_medium:120px|padding_left_medium:10vmax|padding_top_small:150px|padding_bottom_small:150px" css=".vc_custom_1610725391311{padding-top: 110px !important;padding-right: 15px !important;padding-bottom: 60px !important;padding-left: 15px !important;}" ca_init_translate_y="55" ca_init_rotate_y="50" ca_duration="1600" ca_delay="180"][ld_fancy_heading tag="h6" color="rgb(198, 229, 195)"]2021 - case study[/ld_fancy_heading][ld_fancy_heading tag="h2" transform="text-uppercase" use_custom_fonts_title="true" enable_fit="true" maxfontsize="80" minfontsize="68" margin="top_small:0.15em|bottom_small:0.2em" compressor="0.6" fs="text_large:6.5vw|text_medium:70px|text_small:60px" color="rgb(198, 229, 195)" lh="text_small:1em" ls="text_small:-0.02em"]Coast Drone[/ld_fancy_heading][ld_fancy_heading tag="p" color="rgb(198, 229, 195)" margin="bottom_small:1.75em"]I built digital experiences, and print materials that communicate clearly and look fantastic.[/ld_fancy_heading][ld_button style="btn-naked" title="⸺ See case study" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" color="rgb(198, 229, 195)" hover_color="rgb(255, 255, 255)" link="url:https%3A%2F%2Fsplit.liquid-themes.com%2Fportfolio%2Fthe-portraits%2F|title:The%20Portraits||"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Banner 21 - split
	$data = array();
	$data['name'] = esc_html__( 'Banner 21', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'banner-21.jpg' );
	$data['sort_name'] = 'Banner';
	$data['custom_class'] = 'general banner';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" gap="0" full_height="yes" columns_placement="stretch" equal_height="yes" content_placement="bottom" bg_position="center center" css=".vc_custom_1610726560646{background: #502e23 url(https://split.liquid-themes.com/staging/wp-content/uploads/2021/01/img-4@2x.jpg?id=4756) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" data_tooltip="Mercedes S-klasse" el_id="mercedes-s-klasse"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-6" responsive_css="padding_top_medium:0px|padding_right_medium:10vmax|padding_bottom_medium:120px|padding_left_medium:10vmax|padding_top_small:150px|padding_bottom_small:150px" css=".vc_custom_1610725391311{padding-top: 110px !important;padding-right: 15px !important;padding-bottom: 60px !important;padding-left: 15px !important;}" ca_init_translate_y="55" ca_init_rotate_y="50" ca_duration="1600" ca_delay="180"][ld_button style="btn-naked" title="Play" link_type="lightbox" i_type="linea" i_position="left" i_hover_reveal="btn-hover-swp" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-ion-ios-play" color="rgb(242, 235, 225)" link="url:https%3A%2F%2Fyoutu.be%2FJLE228ZuGGA|||" hover_color="rgb(255, 255, 255)"][ld_fancy_heading tag="h2" transform="text-uppercase" use_custom_fonts_title="true" enable_fit="true" maxfontsize="80" minfontsize="68" margin="top_small:0.15em|bottom_small:0.2em" compressor="0.6" fs="text_large:6.5vw|text_medium:70px|text_small:60px" color="rgb(242, 235, 225)" lh="text_small:1em" ls="text_small:-0.02em" link="url:https%3A%2F%2Fsplit.liquid-themes.com%2Fportfolio%2Fmercedez-benz-coupe%2F|||"]Mercedes S-klasse[/ld_fancy_heading][ld_fancy_heading tag="p" color="rgb(242, 235, 225)" margin="bottom_small:1.75em"]I built digital experiences, and print materials that communicate clearly and look fantastic.[/ld_fancy_heading][ld_button style="btn-naked" title="⸺ See case study" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" color="rgb(242, 235, 225)" hover_color="rgb(255, 255, 255)" link="url:https%3A%2F%2Fsplit.liquid-themes.com%2Fportfolio%2Fmercedez-benz-coupe%2F|title:Mercedez-Benz%20Coupe||"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Banner 22 - split
	$data = array();
	$data['name'] = esc_html__( 'Banner 22', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'banner-22.jpg' );
	$data['sort_name'] = 'Banner';
	$data['custom_class'] = 'general banner';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" gap="0" full_height="yes" columns_placement="stretch" equal_height="yes" content_placement="bottom" css=".vc_custom_1610726708653{background-color: #16161d !important;}" data_tooltip="Nexa mobile" el_id="nexa-mobile"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-6" responsive_css="padding_top_medium:0px|padding_right_medium:10vmax|padding_bottom_medium:120px|padding_left_medium:10vmax|padding_top_small:150px|padding_bottom_small:150px" css=".vc_custom_1610725391311{padding-top: 110px !important;padding-right: 15px !important;padding-bottom: 60px !important;padding-left: 15px !important;}" ca_init_translate_y="55" ca_init_rotate_y="50" ca_duration="1600" ca_delay="180"][ld_button style="btn-naked" title="Play" link_type="lightbox" i_type="linea" i_position="left" i_hover_reveal="btn-hover-swp" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-ion-ios-play" color="rgb(255, 255, 255)" link="url:https%3A%2F%2Fyoutu.be%2FJLE228ZuGGA|||" hover_color="rgb(255, 255, 255)"][ld_fancy_heading tag="h2" transform="text-uppercase" use_custom_fonts_title="true" enable_fit="true" maxfontsize="80" minfontsize="68" margin="top_small:0.15em|bottom_small:0.2em" compressor="0.6" fs="text_large:6.5vw|text_medium:70px|text_small:60px" color="rgb(255, 255, 255)" lh="text_small:1em" ls="text_small:-0.02em"]Nexa mobile[/ld_fancy_heading][ld_fancy_heading tag="p" color="rgb(255, 255, 255)" margin="bottom_small:1.75em"]I built digital experiences, and print materials that communicate clearly and look fantastic.[/ld_fancy_heading][ld_button style="btn-naked" title="⸺ See case study" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" color="rgb(255, 255, 255)" link="url:https%3A%2F%2Fsplit.liquid-themes.com%2Fportfolio%2Fnexa-mobile%2F|title:Nexa%20Mobile||"][/vc_column][vc_column enable_link="enable_column_link" column_top_onmobile="yes" bg_position="center center" offset="vc_col-md-6" css=".vc_custom_1612357735534{padding-top: 25vh !important;padding-bottom: 25vh !important;background-image: url(https://split.liquid-themes.com/staging/wp-content/uploads/2021/01/img-5@2x.jpg?id=4757) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" responsive_css="padding_top_medium:0px|padding_bottom_medium:0px" link="url:https%3A%2F%2Fsplit.liquid-themes.com%2Fportfolio%2Fnexa-mobile%2F|||"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Banner 23 - split
	$data = array();
	$data['name'] = esc_html__( 'Banner 23', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'banner-23.jpg' );
	$data['sort_name'] = 'Banner';
	$data['custom_class'] = 'general banner';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" gap="0" full_height="yes" columns_placement="stretch" equal_height="yes" content_placement="bottom" css=".vc_custom_1610726881702{background-color: #002B3B !important;}" data_tooltip="Insider Magazine" el_id="insider-magazine"][vc_column enable_link="enable_column_link" column_top_onmobile="yes" bg_position="center center" offset="vc_col-md-offset-1 vc_col-md-6" css=".vc_custom_1612357676542{padding-top: 25vh !important;padding-bottom: 25vh !important;background-image: url(https://split.liquid-themes.com/staging/wp-content/uploads/2021/01/img-7@2x.jpg?id=4758) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" responsive_css="padding_top_medium:0px|padding_bottom_medium:0px" link="url:https%3A%2F%2Fsplit.liquid-themes.com%2Fportfolio%2Fphoto-retouching%2F|||"][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-5" responsive_css="margin_left_medium:-15%25|padding_top_medium:0px|padding_right_medium:10vmax|padding_bottom_medium:120px|padding_top_small:150px|padding_bottom_small:150px" css=".vc_custom_1610726927822{padding-top: 110px !important;padding-right: 15px !important;padding-bottom: 60px !important;padding-left: 15px !important;}" ca_init_translate_y="55" ca_init_rotate_y="50" ca_duration="1600" ca_delay="180"][ld_button style="btn-naked" title="Play" link_type="lightbox" i_type="linea" i_position="left" i_hover_reveal="btn-hover-swp" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-ion-ios-play" color="rgb(255, 255, 255)" link="url:https%3A%2F%2Fyoutu.be%2FJLE228ZuGGA|||" hover_color="rgb(255, 255, 255)"][ld_fancy_heading tag="h2" transform="text-uppercase" use_custom_fonts_title="true" enable_fit="true" maxfontsize="80" minfontsize="68" margin="top_small:0.15em|bottom_small:0.2em" compressor="0.6" fs="text_large:6.5vw|text_medium:70px|text_small:60px" color="rgb(255, 255, 255)" lh="text_small:1em" ls="text_small:-0.02em"]Insider Magazine[/ld_fancy_heading][ld_fancy_heading tag="p" color="rgb(255, 255, 255)" margin="bottom_small:1.75em"]I built digital experiences, and print materials that communicate clearly and look fantastic.[/ld_fancy_heading][ld_button style="btn-naked" title="⸺ See case study" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" color="rgb(255, 255, 255)" hover_color="rgb(255, 255, 255)" link="url:https%3A%2F%2Fsplit.liquid-themes.com%2Fportfolio%2Fphoto-retouching%2F|title:Photo%20Retouching||"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Banner 24 - split
	$data = array();
	$data['name'] = esc_html__( 'Banner 24', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'banner-24.jpg' );
	$data['sort_name'] = 'Banner';
	$data['custom_class'] = 'general banner';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" gap="0" full_height="yes" columns_placement="stretch" equal_height="yes" content_placement="middle" css=".vc_custom_1578567359580{background-color: #ffffff !important;}" data_tooltip="Social Connection"][vc_column row_scale_bg_onhover="yes" enable_link="enable_column_link" bg_position="center center" align="text-center" offset="vc_col-md-6" css=".vc_custom_1612358796277{padding-top: 20vh !important;padding-bottom: 20vh !important;background-image: url(https://split.liquid-themes.com/staging/wp-content/uploads/2020/07/split-pf-3@2x.jpg?id=1154) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" responsive_align="text-center" responsive_css="padding_top_medium:0px|padding_bottom_medium:0px" link="url:https%3A%2F%2Fsplit.liquid-themes.com%2Fportfolio%2Fnike-shopping%2F|||"][ld_button style="btn-naked" title="Play Video" link_type="lightbox" i_type="linea" i_position="top" i_shape="btn-icon-circle" i_shape_style="btn-icon-bordered" i_shape_bw="btn-icon-border-thick" i_shape_size="btn-icon-xlg" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-ion-ios-play" color="rgb(255, 255, 255)" text_color="rgb(255, 255, 255)" i_size="22px" link="url:https%3A%2F%2Fwww.youtube.com%2Fwatch%3Fv%3DTCMnrssX1NE%26ab_channel%3DApple|||" hover_color="rgb(255, 255, 255)" i_hcolor="rgb(0, 0, 0)" i_fill_hcolor2="rgb(255, 255, 255)"][/vc_column][vc_column offset="vc_col-md-6" responsive_css="padding_top_medium:0px|padding_right_medium:10vmax|padding_bottom_medium:0px|padding_left_medium:10vmax|padding_top_small:150px|padding_bottom_small:150px" css=".vc_custom_1605618568268{padding-top: 60px !important;padding-right: 15px !important;padding-bottom: 60px !important;padding-left: 15px !important;}"][ld_fancy_heading tag="h6"]2021 - case study[/ld_fancy_heading][ld_fancy_heading tag="h2" transform="text-uppercase" use_custom_fonts_title="true" enable_fit="true" maxfontsize="80" minfontsize="68" margin="top_small:0.15em|bottom_small:0.2em" compressor="0.6" fs="text_large:6.5vw|text_medium:70px|text_small:60px" lh="text_small:1em" ls="text_small:-0.02em"]Android Cast [/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:1.75em"]I built digital experiences, and print materials that communicate clearly and look fantastic.[/ld_fancy_heading][ld_button style="btn-naked" title="⸺ See case study" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" color="rgb(0, 0, 0)" link="url:https%3A%2F%2Fsplit.liquid-themes.com%2Fportfolio%2Fnike-shopping%2F|title:Nike%20Shopping||"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;
	
	//Banner 25 - newsletterhub
	$data = array();
	$data['name'] = esc_html__( 'Banner 25', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'banner-25.jpg' );
	$data['sort_name'] = 'Banner';
	$data['custom_class'] = 'general banner';
	$data['content'] = <<<CONTENT
	[vc_row full_height="yes" bg_position="center bottom" sticky_row="yes" css=".vc_custom_1610357228901{padding-top: 150px !important;padding-bottom: 380px !important;background: #f7f8fb url(https://newsletterhub.liquid-themes.com/staging/wp-content/uploads/2019/11/people-2.svg?id=36) !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}" responsive_css="padding_top_medium:0px|padding_bottom_medium:0px|padding_top_small:80px|padding_bottom_small:180px"][vc_column offset="vc_hidden-sm vc_hidden-xs"][ld_images_group_container enable_item_animation="yes" move_to_parent_row="yes" pf_init_scale_x="0.75" pf_init_scale_y="0.75" pf_init_opacity="0" pf_an_scale_x="1" pf_an_scale_y="1" pf_an_opacity="1" absolute_pos="yes" position="top_small:0px|right_small:0px|bottom_small:0px|left_small:0px" pf_duration="1800" pf_delay="220" pf_init_translate_y="117"][ld_images_group_element parallax="yes" scale_from_x="1.1" scale_from_y="1.1" scale_from_z="1" from_opacity="1" scale_to_x="1.4" scale_to_y="1.4" scale_to_z="1" to_opacity="1" absolute_pos="yes" image="28" translate_from_y="16" translate_to_y="-129" position="right_small:0px|bottom_small:0px"][/ld_images_group_element][/ld_images_group_container][/vc_column][vc_column parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" parallax_trigger="number" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" align="text-center" offset="vc_col-md-offset-1 vc_col-md-10" responsive_css="padding_right_medium:7%25|padding_left_medium:7%25" ca_duration="1800" ca_delay="200" ca_init_translate_y="70" ca_init_rotate_x="0" translate_from_y="1" translate_to_y="-125" parallax_trigger_number="0.3" responsive_align="text-center"][ld_fancy_heading enable_txt_rotator="yes" items="%5B%7B%22word%22%3A%22online%20forms%22%7D%2C%7B%22word%22%3A%22offline%20forms%22%7D%2C%7B%22word%22%3A%22any%20forms%22%7D%5D" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" enable_fit="true" fs="text_large:65px|text_medium:55px|text_small:13vw" lh="text_small:1em" word_colors="rgb(43, 189, 204)" padding="right_large:4%25|left_large:4%25" compressor="0.7" minfontsize="44"]Generate more innovative leads and[/ld_fancy_heading][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" fs="text_small:20px" margin="bottom_small:2.5em"]Beautiful layouts, super customizable, blazing fast, customer first approach.[/ld_fancy_heading][ld_newsletter enable_name_field="yes" show_inline="ld-sf--inputs-inline" style="bordered" inputs_size="ld-sf--size-lg" inputs_radius="ld-sf--round" inputs_border="ld-sf--border-none" inputs_shadow="ld-sf--input-shadow" btn_style="solid" btn_display="label_icon" btn_label="Sign up" btn_position="ld-sf--button-inline" btn_padding="0px" i_type="linea" use_custom_fonts_input="true" use_custom_fonts_label="true" i_add_icon="true" fs="16px" label_fs="16px" margin="bottom_small:0px" bg_color="rgb(255, 255, 255)" placeholder_text="Email address" placeholder_nametext="Your Name" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" label_fw="700" txt_color="rgb(110, 121, 130)"][/vc_column][vc_column][vc_row_inner enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" css=".vc_custom_1607064674952{padding-top: 25px !important;}" ca_duration="1800" ca_delay="180" ca_init_translate_y="30" ca_start_delay="650" responsive_css="padding_top_small:5px"][vc_column_inner width="1/4" offset="vc_col-lg-offset-3 vc_col-lg-2 vc_col-sm-offset-2"][ld_icon_box i_type="linea" heading_size="custom" heading_weight="font-weight-normal" position="iconbox-inline" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title="30 Day Free Trial" icon_size="14px" custom_heading_size="16px"][/ld_icon_box][/vc_column_inner][vc_column_inner width="1/4" offset="vc_col-lg-2"][ld_icon_box i_type="linea" heading_size="custom" heading_weight="font-weight-normal" position="iconbox-inline" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title="No Hidden Fees" icon_size="14px" custom_heading_size="16px"][/ld_icon_box][/vc_column_inner][vc_column_inner width="1/4" offset="vc_col-lg-2"][ld_icon_box i_type="linea" heading_size="custom" heading_weight="font-weight-normal" position="iconbox-inline" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title="Cancel Anytime" icon_size="14px" custom_heading_size="16px"][/ld_icon_box][/vc_column_inner][/vc_row_inner][/vc_column][vc_column][ld_particles as_bg="yes" color_type="multi_color" shape_type="triangle" opacity="1" enable_move="yes" move_direction="top" modes_grab_opacity="1" particle_id="ld-1579791733747-f28cf823-c73d" number="10" multi_color_values="%5B%7B%22scolor%22%3A%22%23ff7cac%22%7D%2C%7B%22scolor%22%3A%22%237ef3d6%22%7D%2C%7B%22scolor%22%3A%22%23ffe798%22%7D%5D" size="5" move_speed="1.75"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;
	
	//Banner 26 - newsletterhub
	$data = array();
	$data['name'] = esc_html__( 'Banner 26', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'banner-26.jpg' );
	$data['sort_name'] = 'Banner';
	$data['custom_class'] = 'general banner';
	$data['content'] = <<<CONTENT
[vc_row content_placement="middle" responsive_css="padding_top_medium:135px" css=".vc_custom_1608904295031{padding-top: 90px !important;padding-bottom: 30px !important;}"][vc_column width="1/2"][ld_images_group_container enable_item_animation="yes" pf_init_scale_x="1" pf_init_scale_y="1" pf_init_opacity="0" pf_an_scale_x="1" pf_an_scale_y="1" pf_an_opacity="1" pf_duration="1600" pf_delay="160" pf_init_translate_x="-35" pf_init_translate_y="0" pf_init_rotate_y="0"][ld_images_group_element img_size="50%" enable_effects="yes" enable_image_shadow="yes" shadow_style="4" enable_roudness="yes" image_roudness="6" enable_shadow="yes" enable_reveal="yes" image="273" reveal_delay="150"][/ld_images_group_element][ld_images_group_element absolute_pos="yes" image="274" position="bottom_small:0px|left_small:0px"][/ld_images_group_element][/ld_images_group_container][/vc_column][vc_column width="1/2" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" ca_duration="1600" ca_delay="120" ca_init_translate_y="45" ca_init_rotate_z="0" responsive_css="padding_left_large:7%25|margin_bottom_small:0px" css=".vc_custom_1608905281532{margin-bottom: 55px !important;}" ca_start_delay="500"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_large:70px" fw="text_small:700" ls="text_small:-0.015em" lh="text_small:1em" margin="bottom_small:0px"]We don’t sell[/ld_fancy_heading][ld_fancy_heading tag="h2" highlight_height="0.15em" highlight_offset="0.325em" hover_text_outline="ld-fh-outline" outline_appearance="ld-fh-outline-static" use_custom_fonts_title="true" color="rgb(15, 90, 100)" fs="text_large:78px" ls="text_small:-0.015em" lh="text_small:1em" margin="bottom_small:0px" hover_text_outline_color="rgb(0, 0, 0)" highlight_color="rgba(255, 126, 126, 0.65)" hover_text_outline_width="1px" fw="text_small:700"][ld_highlight]user data[/ld_highlight][/ld_fancy_heading][ld_fancy_heading tag="h2" highlight_height="0.15em" highlight_offset="0.325em" hover_text_outline="ld-fh-outline" outline_appearance="ld-fh-outline-static" use_custom_fonts_title="true" color="rgb(15, 90, 100)" fs="text_all:78px|text_large:70px" ls="text_small:-0.015em" lh="text_small:1em" margin="bottom_small:0px" hover_text_outline_color="rgb(0, 0, 0)" highlight_color="rgba(255, 126, 126, 0.65)" hover_text_outline_width="1px" fw="text_small:700"][ld_highlight]sensitive info[/ld_highlight][/ld_fancy_heading][ld_fancy_heading tag="h2" highlight_height="0.15em" highlight_offset="0.325em" hover_text_outline="ld-fh-outline" outline_appearance="ld-fh-outline-static" use_custom_fonts_title="true" color="rgb(15, 90, 100)" fs="text_large:78px" ls="text_small:-0.015em" lh="text_small:1em" margin="bottom_small:0px" hover_text_outline_color="rgb(0, 0, 0)" highlight_color="rgba(255, 126, 126, 0.65)" hover_text_outline_width="1px" fw="text_small:700"][ld_highlight]information[/ld_highlight][/ld_fancy_heading][ld_spacer height="10px"][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgba(70, 77, 101, 0.8)" fs="text_small:18px" lh="text_small:1.44em" margin="right_all:22%25|bottom_small:1em"]Hub allows your business and technology computers to store, transmit, analyze, and manipulate big data.[/ld_fancy_heading][ld_button style="btn-naked" title="Learn more" link_type="lightbox" i_type="linea" i_hover_reveal="btn-hover-swp" i_add_icon="true" link="url:https%3A%2F%2Fyoutu.be%2FJLE228ZuGGA|||" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" fs="18px"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;
	
	//Banner 27 - classic
	$data = array();
	$data['name'] = esc_html__( 'Banner 27', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'banner-27.jpg' );
	$data['sort_name'] = 'Banner';
	$data['custom_class'] = 'general banner';
	$data['content'] = <<<CONTENT
	[vc_row enable_loading_bg="yes" css=".vc_custom_1595415099940{padding-top: 140px !important;padding-bottom: 140px !important;background-image: url(https://classichub.liquid-themes.com/staging/wp-content/uploads/2020/03/bg-11@2x-scaled.jpg?id=59) !important;background-position: center;background-repeat: no-repeat;background-size:cover !important;}" responsive_css="padding_right_large:140px|padding_left_large:140px|padding_right_medium:100px|padding_left_medium:100px"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-lg-5 vc_col-md-6" ca_duration="1800" ca_delay="180" ca_init_translate_y="45" ca_init_rotate_z="0"][ld_fancy_heading ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" enable_split="true" ca_init_translate_y="0" ca_init_rotate_z="0" margin="bottom_small:0.35em"]Take your business to the next level.[/ld_fancy_heading][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" fs="text_small:17px" lh="text_small:30px" margin="bottom_small:2em"]Hub IT allows your business and technology computers to store, transmit and analyze. [/ld_fancy_heading][vc_row_inner equal_height="yes" content_placement="middle"][vc_column_inner width="1/3" offset="vc_col-md-6"][ld_button style="btn-solid" title="Explore hub" transformation="text-uppercase" link_type="scroll_to_section" shape="round" i_type="linea" i_hover_reveal="btn-hover-swp" i_add_icon="true" css=".vc_custom_1595490224601{padding-right: 0.6em !important;padding-left: 0.6em !important;}" lh="1.5em" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" fw="700" hover_color="rgb(22, 22, 22)"][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-6"][vc_column_text css=".vc_custom_1583768679211{margin-bottom: 0px !important;}"]Hotline: (733) 860-2906[/vc_column_text][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;
	
	//Banner 28 - photography
	$data = array();
	$data['name'] = esc_html__( 'Banner 28', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'banner-28.jpg' );
	$data['sort_name'] = 'Banner';
	$data['custom_class'] = 'general banner';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" responsive_css="padding_top_medium:220px|padding_right_medium:35px|padding_left_medium:35px" css=".vc_custom_1611750213101{padding-top: 120px !important;}"][vc_column offset="vc_col-lg-5 vc_col-md-6"][ld_fancy_heading tag="h6" use_custom_fonts_title="true" margin="bottom_small:0.5em" ls="text_small:-0.02em" fs="text_small:17px"]Hi, I’m Tom.[/ld_fancy_heading][ld_fancy_heading tag="h2" split_type="words" delay="80" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" margin="bottom_small:0.5em" ls="text_small:-0.02em"]I’m a freelance Branding and Digital Designer based in NYC.[/ld_fancy_heading][ld_button style="btn-naked" title="— Would you like to work with me?" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-md-arrow-forward"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;
	
	//Banner 29 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Banner 29', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'banner-29.jpg' );
	$data['sort_name'] = 'Banner';
	$data['custom_class'] = 'general banner';
	$data['content'] = <<<CONTENT
	[vc_row full_height="yes" bg_position="center top" css=".vc_custom_1602670018904{padding-top: 80px !important;padding-bottom: 80px !important;background: #bcb1cf url(https://productshop.liquid-themes.com/staging/wp-content/uploads/2020/10/Banner@2x.jpg?id=165) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}"][vc_column width="1/2" offset="vc_col-lg-5" responsive_css="padding_right_medium:18%25" css=".vc_custom_1603288619112{padding-bottom: 70px !important;}"][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" fs="text_small:10px" ls="text_small:0.08em" fw="text_small:700" margin="bottom_small:1.5em"]<img class="alignnone size-full wp-image-167" src="https://productshop.liquid-themes.com/staging/wp-content/uploads/2020/10/intro.svg" alt="Image" />  Hub Wired Collection[/ld_fancy_heading][ld_fancy_heading use_custom_fonts_title="true" fs="text_small:59px" lh="text_small:1em" color="rgb(0, 0, 0)" ls="text_small:-0.01em" margin="bottom_small:0.25em"]Easy skin care routine.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px" lh="text_small:19px" padding="right_all:7%25" margin="bottom_small:1.85em"]Hub offers a range of skincare products that are feminine, delicate and long-lasting with vitamins and nutritions to improve your skin condition.[/ld_fancy_heading][ld_button style="btn-solid" title="Shop Products" shape="circle" size="btn-sm" i_type="linea" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" lh="1.35em" color="rgb(35, 38, 27)" hover_color="rgb(255, 255, 255)" htext_color="rgb(0, 0, 0)" css=".vc_custom_1610714720297{padding-right: 0.65em !important;padding-left: 0.65em !important;}" fw="500"][/vc_column][/vc_row][vc_row full_width="stretch_row" gap="0" css=".vc_custom_1602671540471{margin-top: -75px !important;padding-top: 25px !important;padding-bottom: 25px !important;background-color: #ffd78b !important;}"][vc_column][ld_carousel_marquee_tab columns_auto_width="yes" auto_width_padding="2%" cellalign="center"][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1603288497441-8bf20fef-4083"][ld_icon_box i_type="fontawesome" i_icon_fontawesome="fas fa-circle" title_mb="1" icon_size="8px" icon_mb="1" css=".vc_custom_1603288495552{margin-bottom: 0px !important;}"][/ld_icon_box][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1602670644137-e38675d2-149a"][ld_fancy_heading tag="h4" whitespace="ws-nowrap" use_custom_fonts_title="true" fs="text_small:17px" margin="bottom_small:0px" fw="text_small:500"]I feel amazing when I use Hub Cosmetics.[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1603288409283-989c28c2-d697"][ld_icon_box i_type="fontawesome" i_icon_fontawesome="fas fa-circle" title_mb="1" icon_size="8px" icon_mb="1" css=".vc_custom_1603288483752{margin-bottom: 0px !important;}"][/ld_icon_box][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1602671192095-46abc435-ec95"][ld_fancy_heading tag="h4" whitespace="ws-nowrap" use_custom_fonts_title="true" fs="text_small:17px" margin="bottom_small:0px" fw="text_small:500"]The best products I’ve ever tried! Simply amazing![/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1602670963432-11920b84-244e"][ld_icon_box i_type="fontawesome" i_icon_fontawesome="fas fa-circle" title_mb="1" icon_size="8px" icon_mb="1" css=".vc_custom_1603288495552{margin-bottom: 0px !important;}"][/ld_icon_box][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1602670954055-fa8296fb-8b7e"][ld_fancy_heading tag="h4" whitespace="ws-nowrap" use_custom_fonts_title="true" fs="text_small:17px" margin="bottom_small:0px" fw="text_small:500"]I was super happy when I got the package! It’s the best skin care product I’ve ever used![/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1603288526674-65d262fc-eff4"][ld_icon_box i_type="fontawesome" i_icon_fontawesome="fas fa-circle" title_mb="1" icon_size="8px" icon_mb="1" css=".vc_custom_1603288495552{margin-bottom: 0px !important;}"][/ld_icon_box][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1602670975168-2be5953e-7120"][ld_fancy_heading tag="h4" whitespace="ws-nowrap" use_custom_fonts_title="true" fs="text_small:17px" margin="bottom_small:0px" fw="text_small:500"]The best products I’ve ever tried! Simply amazing![/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1603288521994-c8c46d08-1455"][ld_icon_box i_type="fontawesome" i_icon_fontawesome="fas fa-circle" title_mb="1" icon_size="8px" icon_mb="1" css=".vc_custom_1603288495552{margin-bottom: 0px !important;}"][/ld_icon_box][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1602671209218-19459e63-0fea"][ld_fancy_heading tag="h4" whitespace="ws-nowrap" use_custom_fonts_title="true" fs="text_small:17px" margin="bottom_small:0px" fw="text_small:500"]I was super happy when I got the package! It’s the best skin care product I’ve ever used![/ld_fancy_heading][/ld_carousel_marquee_section][/ld_carousel_marquee_tab][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;
	
	//Banner 30 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Banner 30', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'banner-30.jpg' );
	$data['sort_name'] = 'Banner';
	$data['custom_class'] = 'general banner';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" bg_position="custom" css=".vc_custom_1603434252834{padding-top: 160px !important;padding-bottom: 50px !important;background-image: url(https://shadow.liquid-themes.com/staging/wp-content/uploads/2020/05/bg-1.png?id=29) !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}" bg_pos_h="50%" bg_pos_v="-145px" responsive_css="padding_top_medium:200px|padding_right_medium:7vw|padding_left_medium:7vw"][vc_column][ld_images_group_element img_size="50%" absolute_pos="yes" image="36" position="top_small:8%25|right_small:5vw" el_class="z-index-3"][/ld_images_group_element][vc_row_inner el_class="z-index-2"][vc_column_inner][ld_fancy_heading transform="text-uppercase" enable_txt_rotator="yes" items="%5B%7B%22word%22%3A%22UX%20Designer%22%7D%2C%7B%22word%22%3A%22Illustrator%22%7D%2C%7B%22word%22%3A%22Developer%22%7D%5D" use_custom_fonts_title="true" fs="text_large:11vw|text_small:13vw" lh="text_small:0.9em" margin="left_large:2vw|bottom_small:0px"][/ld_fancy_heading][ld_fancy_heading tag="h2" alignment="text-right" transform="text-uppercase" split_type="chars, words" delay="80" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" gradient="linear-gradient(180deg, rgba(19, 17, 23, 0.65) 0%, rgb(255, 255, 255) 100%)" fs="text_large:11vw|text_small:13vw" lh="text_small:0.9em" margin="bottom_small:0px"]In London[/ld_fancy_heading][ld_fancy_heading tag="h2" transform="text-uppercase" hover_text_outline="ld-fh-outline" outline_appearance="ld-fh-outline-static" use_custom_fonts_title="true" fs="text_small:11vw" lh="text_small:0.9em" margin="bottom_small:0px" el_class="z-index-1" hover_text_outline_color="rgba(255, 255, 255, 0.33)" hover_text_outline_width="1px"]See my works[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;
	
	//Banner 31 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Banner 31', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'banner-31.jpg' );
	$data['sort_name'] = 'Banner';
	$data['custom_class'] = 'general banner';
	$data['content'] = <<<CONTENT
	[vc_row full_height="yes" columns_placement="bottom" content_placement="middle" parallax="enable_parallax" bg_position="center center" enable_overlay="yes" css=".vc_custom_1608027163774{padding-bottom: 50px !important;background-image: url(https://shadow.liquid-themes.com/staging/wp-content/uploads/2020/12/bg-image@2x.jpg?id=247) !important;background-position: center;background-repeat: no-repeat;background-size:cover !important;}" overlay_bg="linear-gradient(180deg, rgba(0, 0, 0, 0) 70%, rgb(23, 25, 26) 99.68152866242038%)"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-5" css=".vc_custom_1608020287127{margin-bottom: 35px !important;}" responsive_css="margin_bottom_medium:0px" ca_duration="1600" ca_delay="160" ca_init_translate_y="35" ca_start_delay="650"][ld_fancy_heading split_type="chars, words" duration="1600" delay="80" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_x="0%" ca_init_origin_y="100%" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" fs="text_all:160px|text_large:120px|text_medium:16vw|text_small:25vw" lh="text_small:0.85em" ls="text_small:-0.05em" margin="bottom_small:0.1em" ca_init_translate_y="0" ca_init_rotate_z="3" ca_init_translate_x="60" ca_init_rotate_x="0" ca_init_rotate_y="12"]Zack[ld_br]Cherry[/ld_fancy_heading][ld_button style="btn-naked" title="Interaction. Design. .Strategy. `{`ld_br`}` Mobile App. Development" i_type="linea" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" color="rgb(255, 255, 255)" hover_color="rgba(255, 255, 255, 0.9)" i_margin_left="1em"][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-3 vc_hidden-sm vc_hidden-xs" responsive_css="margin_bottom_medium:0px|padding_top_medium:75px|padding_right_medium:15px|padding_left_medium:15px" ca_duration="1600" ca_delay="160" ca_init_translate_y="35" ca_start_delay="650" css=".vc_custom_1612016898745{margin-bottom: 15px !important;}"][vc_separator color="custom" border_width="10" accent_color="#ffffff" css=".vc_custom_1608019633241{margin-bottom: 0px !important;}"][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-4" ca_duration="1600" ca_delay="160" ca_init_translate_y="35" ca_start_delay="900"][ld_fancy_heading tag="h2" hover_text_outline="ld-fh-outline" outline_appearance="ld-fh-outline-static" use_custom_fonts_title="true" fs="text_all:138px|text_large:100px|text_medium:11vw|text_small:20vw" margin="bottom_large:-0.5em|bottom_small:0px" ls="text_small:-0.05em" hover_text_outline_color="rgb(255, 255, 255)"]About[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Banner 32 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Banner 32', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'banner-32.jpg' );
	$data['sort_name'] = 'Banner';
	$data['custom_class'] = 'general banner';
	$data['content'] = <<<CONTENT
	[vc_row full_height="yes" css=".vc_custom_1603704684299{background-color: #ffc1c5 !important;}"][vc_column][ld_fancy_heading tag="h6" use_custom_fonts_title="true" fs="text_small:17px" margin="bottom_small:1em"]Digital Designer based in Los Angeles[/ld_fancy_heading][ld_fancy_heading mask_bg_size="cover" mask_bg_repeat="no-repeat" mask_bg_position="center center" use_custom_fonts_title="true" use_bg_mask="true" fs="text_large:80px|text_medium:8vw|text_small:10vw" lh="text_small:1.1em" ls="text_small:-0.02em" gradient="linear-gradient(111deg, #0bccee 0%, rgb(235, 173, 105) 41.082802547770704%, rgb(194, 80, 80) 79.29936305732484%, #ac1de1 100%)"]Hi, I'm Alix. I work at <i class="fa fa-apple"></i>. I craft original effective brand experiences. My aim is to build your website so that it is functional and user friendly.[/ld_fancy_heading][ld_button style="btn-naked" title="— See my works" link_type="scroll_to_section" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" color="rgb(0, 0, 0)" hover_color="rgba(0, 0, 0, 0.75)" fs="19px" i_icon_linea="lqd-icn-ess icon-md-arrow-down"][ld_particles as_bg="yes" color_type="random_color" opacity="1" modes_grab_opacity="1" retina_detect="yes" particle_id="lqd-1596101585154-567d0b79-a330" number="12" size="2px"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Banner 33 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Banner 33', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'banner-33.jpg' );
	$data['sort_name'] = 'Banner';
	$data['custom_class'] = 'general banner';
	$data['content'] = <<<CONTENT
	[vc_row full_height="yes" css=".vc_custom_1608296878382{padding-top: 70px !important;padding-bottom: 70px !important;background-color: #ffaac7 !important;}" responsive_css="padding_top_medium:120px"][vc_column responsive_align="text-center"][ld_images_group_element img_size="50%" enable_effects="yes" parallax="yes" enable_reveal="yes" reveal_direction="bt" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" absolute_pos="yes" image="238" reveal_color="rgb(185, 223, 255)" position="top_all:-15%25|top_large:-25%25|top_medium:-50%25|left_medium:50%25|top_small:-60%25|left_small:0px" margin="left_medium:-290px|left_small:0px" translate_from_y="130" translate_to_y="-130"][/ld_images_group_element][ld_fancy_heading split_type="chars, words" duration="1600" delay="100" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_y="150%" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_origin_y="100%" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" color="rgb(185, 223, 255)" fs="text_all:370px|text_large:300px|text_medium:32vw|text_small:30vw" lh="text_small:0.71em" ls="text_small:-0.02em" margin="bottom_small:0px" ca_init_translate_y="200" ca_init_rotate_x="125" start_delay="350" fw="text_small:500"]Hi, I’m Paul.[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Banner 34 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Banner 34', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'banner-34.jpg' );
	$data['sort_name'] = 'Banner';
	$data['custom_class'] = 'general banner';
	$data['content'] = <<<CONTENT
	[vc_row full_height="yes" content_placement="middle" enable_overlay="yes" enable_row_dividers="yes" enable_loading_bg="yes" css=".vc_custom_1615495996267{padding-top: 160px !important;padding-bottom: 100px !important;background-image: url(https://servicepro.liquid-themes.com/wp-content/uploads/2021/03/bannerbg-1-min.jpg?id=8808) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" row_svg_divider="bottom_shape_type:3|bottom_shape_color:%23ffffff|bottom_shape_height:105" overlay_bg="rgba(0, 0, 0, 0.2)" responsive_css="padding_top_medium:140px|padding_top_small:120px"][vc_column enable_content_animation="yes" animation_preset="Fade In" offset="vc_col-lg-7" ca_delay="120" responsive_css="margin_bottom_large:0px" css=".vc_custom_1603368113564{margin-bottom: 60px !important;}"][ld_fancy_heading split_type="words" highlight_type="lqd-highlight-custom-underline" duration="1600" delay="280" easing="expo.inOut" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" color="rgb(255, 255, 255)" fs="text_medium:110px|text_small:22vw" lh="text_small:1em" ca_init_translate_x="90" margin="bottom_small:0px" highlight_color_brush="rgba(255, 255, 255, 0.76)"]Send money. [ld_highlight]No fees.[/ld_highlight][/ld_fancy_heading][vc_row_inner css=".vc_custom_1595256612980{padding-top: 45px !important;}"][vc_column_inner enable_overlay="yes" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" ca_duration="1600" ca_start_delay="1750" ca_init_translate_y="30"][ld_button style="btn-naked" title="New to Hub? See how it works." link_type="lightbox" i_type="linea" i_position="left" i_shape="btn-icon-circle" i_shape_style="btn-icon-bordered" i_shape_bw="btn-icon-border-thicker" i_shape_size="btn-icon-custom-size" i_ripple="btn-icon-ripple" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-ion-ios-play" i_size="20px" i_margin_right="28px" i_color="rgb(255, 227, 209)" i_hcolor="rgb(255, 255, 255)" color="rgb(255, 255, 255)" hover_color="rgb(255, 255, 255)" link="url:https%3A%2F%2Fwww.youtube.com%2Fwatch%3Fv%3DHAZiE9NtRfs|||" i_shape_custom_size="70px"][/vc_column_inner][/vc_row_inner][/vc_column][vc_column enable_column_shadowbox="yes" offset="vc_col-lg-5 vc_col-md-offset-0" css=".vc_custom_1603368293347{padding-top: 40px !important;padding-right: 25px !important;padding-bottom: 30px !important;padding-left: 25px !important;background-color: #ffffff !important;border-radius: 10px !important;}" column_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2210px%22%2C%22blur_radius%22%3A%2260px%22%2C%22shadow_color%22%3A%22rgba(0%2C%200%2C%200%2C%200.24)%22%7D%5D" responsive_css="padding_right_small:50px|padding_left_small:50px"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" padding="right_large:14%25" margin="bottom_small:0px" fs="30px"]Transfer money[/ld_fancy_heading][ld_fancy_heading tag="h6" margin="bottom_small:0.75em"]Already have an account? Log in.[/ld_fancy_heading][ld_spacer height="12px"][ld_cf7 id="3986" shape="lqd-contact-form-inputs-filled" size="lqd-contact-form-inputs-lg" btn_size="lqd-contact-form-button-lg" btn_width="lqd-contact-form-button-block" btn_roundness="lqd-contact-form-button-round" use_custom_fonts_input="true" use_custom_fonts_submit="true" fs="14px" fw="400" submit_fs="16px" submit_fw="700" lqd_bg_color="rgb(236, 241, 245)" color="rgb(0, 0, 0)" css=".vc_custom_1593506218247{margin-bottom: 0px !important;}" submit_color="rgb(255, 255, 255)"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Banner 35 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Banner 35', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'banner-35.jpg' );
	$data['sort_name'] = 'Banner';
	$data['custom_class'] = 'general banner';
	$data['content'] = <<<CONTENT
	[vc_row full_height="yes" content_placement="middle" luminosity="dark" bg_position="center center" enable_loading_bg="yes" css=".vc_custom_1611404061825{border-top-width: 10px !important;border-right-width: 10px !important;border-bottom-width: 10px !important;border-left-width: 10px !important;padding-top: 100px !important;padding-bottom: 40px !important;background-image: url(https://modernbusiness.liquid-themes.com/staging/wp-content/uploads/2020/02/bg-11@2x-min-scaled.jpg?id=27) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;border-left-color: #ffffff !important;border-left-style: solid !important;border-right-color: #ffffff !important;border-right-style: solid !important;border-top-color: #ffffff !important;border-top-style: solid !important;border-bottom-color: #ffffff !important;border-bottom-style: solid !important;}" responsive_css="border_top_medium:10px|border_right_medium:10px|border_bottom_medium:10px|border_left_medium:10px|padding_top_medium:0px|padding_bottom_medium:0px" data_tooltip="Home"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" align="text-center" offset="vc_col-lg-offset-1 vc_col-lg-10" ca_duration="1800" ca_start_delay="850" ca_delay="180" ca_init_translate_y="35" responsive_align="text-center"][ld_spacer height="" sm_height="100px" md_height="200px" lg_height="210px"][ld_fancy_heading split_type="chars, words" highlight_type="lqd-highlight-custom-underline" duration="" delay="50" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_x="100%" ca_init_origin_y="100%" ca_init_origin_z="100px" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_origin_z="-100px" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" color="rgb(255, 255, 255)" ca_init_translate_y="0" ca_init_translate_z="0" ca_init_rotate_y="0" margin="bottom_small:0px" highlight_color_brush="rgb(255, 255, 255)" ca_init_rotate_x="0" fs="text_large:84px|text_medium:66px|text_small:45px"]We build [ld_highlight]immersive[/ld_highlight][/ld_fancy_heading][ld_fancy_heading tag="h2" split_type="chars, words" enable_txt_rotator="yes" items="%5B%7B%22word%22%3A%22digital%20products.%22%7D%2C%7B%22word%22%3A%22business%20solutions%22%7D%2C%7B%22word%22%3A%22digital%20startups%22%7D%5D" highlight_type="lqd-highlight-custom-underline" duration="" delay="50" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_x="100%" ca_init_origin_y="100%" ca_init_origin_z="100px" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_origin_z="-100px" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" color="rgb(255, 255, 255)" ca_init_translate_y="0" ca_init_translate_z="0" ca_init_rotate_y="0" margin="bottom_small:0px" highlight_color_brush="rgb(255, 255, 255)" ca_init_rotate_x="0" fs="text_large:84px|text_medium:66px|text_small:40px" start_delay="600"][/ld_fancy_heading][ld_spacer height="55px"][ld_button style="btn-naked" link_type="lightbox" i_type="linea" i_position="top" i_shape="btn-icon-circle" i_shape_style="btn-icon-bordered" i_shape_bw="btn-icon-border-thickest" i_shape_size="btn-icon-lg" i_ripple="btn-icon-ripple" i_add_icon="true" link="url:https%3A%2F%2Fyoutu.be%2FJLE228ZuGGA|||" i_icon_linea="lqd-icn-ess icon-ion-ios-play" i_size="25px" color="rgb(255, 255, 255)" hover_color="rgb(255, 255, 255)" i_hcolor="rgb(0, 0, 0)" i_fill_hcolor2="rgb(255, 255, 255)"][ld_spacer height="" sm_height="70px" md_height="110px" lg_height="110px"][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:10px" fw="text_small:700" ls="text_small:0.1em" padding="top_small:5px|right_small:10px|bottom_small:5px|left_small:10px" margin="bottom_small:1.5em"]Trusted Partners[/ld_fancy_heading][/vc_column][vc_column width="1/6" offset="vc_col-md-2 vc_col-xs-4"][vc_single_image image="71" alignment="center"][/vc_column][vc_column width="1/6" offset="vc_col-md-2 vc_col-xs-4"][vc_single_image image="4195" alignment="center"][/vc_column][vc_column width="1/6" offset="vc_col-md-2 vc_col-xs-4"][vc_single_image image="4193" alignment="center"][/vc_column][vc_column width="1/6" offset="vc_col-md-2 vc_col-xs-4"][vc_single_image image="4199" alignment="center"][/vc_column][vc_column width="1/6" offset="vc_col-md-2 vc_col-xs-4"][vc_single_image image="4194" alignment="center"][/vc_column][vc_column width="1/6" offset="vc_col-md-2 vc_col-xs-4"][vc_single_image image="4197" alignment="center"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Banner 36 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Banner 36', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'banner-36.jpg' );
	$data['sort_name'] = 'Banner';
	$data['custom_class'] = 'general banner';
	$data['content'] = <<<CONTENT
	[vc_row full_height="yes" equal_height="yes" content_placement="middle" bg_position="right top" css=".vc_custom_1602588719073{padding-top: 150px !important;padding-bottom: 20px !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}" responsive_css="padding_top_medium:50px|padding_bottom_medium:0px"][vc_column][ld_images_group_container enable_item_animation="yes" move_to_parent_row="yes" pf_init_scale_x="1" pf_init_scale_y="1" pf_init_opacity="0" pf_an_scale_x="1" pf_an_scale_y="1" pf_an_opacity="1" absolute_pos="yes" position="top_large:-2%25|top_medium:-12%25|top_small:0px|right_small:-5%25" pf_duration="1800" pf_init_translate_x="55" pf_init_translate_y="-45"][ld_images_group_element img_size="50%" image="173"][/ld_images_group_element][/ld_images_group_container][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-6" ca_duration="1600" ca_delay="160" ca_init_translate_y="45"][ld_fancy_heading tag="p" enable_bg="yes" fh_border_radius="circle" use_custom_fonts_title="true" color="rgb(0, 0, 0)" margin="bottom_small:1.85em" padding="top_small:0.3em|right_small:1em|bottom_small:0.3em|left_small:1em" fh_bg="rgb(245, 245, 245)" fs="text_small:14px"]On sale for a limited time[/ld_fancy_heading][ld_fancy_heading highlight_reset_onhover="lqd-highlight-reset-onhover" highlight_offset="5px" duration="" delay="" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" enable_fit="true" fs="text_large:65px|text_medium:11vw|text_small:13vw" lh="text_small:1.1em" compressor="0.7" minfontsize="60" margin="bottom_small:0.2em" ca_init_translate_y="0" highlight_color="rgba(98, 73, 201, 0.21)"]Plan your next trip on [ld_highlight]budget[/ld_highlight][/ld_fancy_heading][ld_fancy_heading tag="p" duration="" delay="" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" fs="text_small:20px" lh="text_small:30px" margin="bottom_small:1.35em" padding="right_large:18%25" ca_init_translate_y="0"]No coding required to make customizations. The live customizer has everything you need.[/ld_fancy_heading][vc_row_inner content_placement="middle"][vc_column_inner offset="vc_col-md-5"][ld_button style="btn-solid" title="App store `{`ld_span`}`Get it for free`{`/ld_span`}`" transformation="text-uppercase" shape="round" size="btn-lg" border="border-none" i_type="fontawesome" i_separator="btn-icon-sep" enable_row_shadowbox="yes" i_add_icon="true" css=".vc_custom_1602587253742{margin-bottom: 30px !important;}" hover_color="rgb(239, 75, 121)" i_icon_fontawesome="fab fa-apple" color="rgb(255, 255, 255)" text_color="rgb(21, 86, 108)" htext_color="rgb(255, 255, 255)" i_size="22px" fs="12px" lh="1.8em" fw="700" button_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%220%22%2C%22blur_radius%22%3A%2250px%22%2C%22shadow_color%22%3A%22rgba(73%2C76%2C137%2C0.12)%22%7D%5D" hover_button_box_shadow="%5B%7B%7D%5D" ls="0.05em" hover_color2="rgb(198, 123, 255)"][/vc_column_inner][vc_column_inner offset="vc_col-md-offset-1 vc_col-md-6"][vc_single_image image="38" css=".vc_custom_1599036499811{margin-bottom: 30px !important;padding-left: 10px !important;}"][/vc_column_inner][vc_column_inner][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgba(0, 0, 0, 0.65)" fs="15px"]Available for all platforms.[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_y="100%" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" align="text-right" offset="vc_col-md-6" ca_duration="1800" ca_start_delay="1100" ca_init_translate_x="100" ca_init_rotate_z="7" responsive_align="text-right"][ld_images_group_element enable_float_effect="yes" image="231" margin="right_large:-45%25|left_large:-15%25"][/ld_images_group_element][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Banner 37 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Banner 37', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'banner-37.jpg' );
	$data['sort_name'] = 'Banner';
	$data['custom_class'] = 'general banner';
	$data['content'] = <<<CONTENT
	[vc_row full_height="yes" content_placement="middle" css=".vc_custom_1602676934910{background-color: #f9fbfe !important;}"][vc_column offset="vc_hidden-sm vc_hidden-xs"][ld_particles as_bg="yes" opacity="1" enable_random_size="yes" modes_grab_opacity="1" particle_id="lqd-1602677587125-1b0404bc-e681" number="3" color="#fda44c" size="6"][/vc_column][vc_column offset="vc_col-md-5" responsive_css="margin_bottom_medium:0px" css=".vc_custom_1602677924943{margin-bottom: 35px !important;}"][ld_images_group_element image="22" margin="bottom_small:15px"][/ld_images_group_element][ld_fancy_heading use_custom_fonts_title="true" fs="text_medium:64px|text_small:48px" lh="text_small:1em" margin="bottom_small:0.1em"]Share your ride at <img class="alignnone size-full wp-image-24" style="height: 0.525em; vertical-align: baseline;" src="https://mobilemodernpro.liquid-themes.com/wp-content/uploads/2020/10/Mask-Group-2.svg" alt="zero" /> cost.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(49, 63, 88)" fs="text_small:18px" lh="text_small:1.35em" margin="bottom_small:2em"]Earn money leading people on activities you love. designed and led by locals.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgba(0, 0, 0, 0.6)" fs="text_small:15px" margin="bottom_small:0.8em"]<img class="alignnone size-full wp-image-25" src="https://mobilemodernpro.liquid-themes.com/wp-content/uploads/2020/10/btn@2x.png" alt="" width="149" height="50" />    Latest version 3.7[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgba(0, 0, 0, 0.5)" fs="text_small:13px"]<a href="https://mobilemodernpro.liquid-themes.com/wp-content/uploads/2020/10/stars.svg"><img class="alignnone size-full wp-image-26" src="https://mobilemodernpro.liquid-themes.com/wp-content/uploads/2020/10/stars.svg" alt="" /></a>   3.98 Best Rated App Based on Reviews[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-7" responsive_css="padding_left_large:5%25|margin_right_medium:-25%25"][ld_images_group_element absolute_pos="yes" image="31" position="top_small:0px|right_small:0px|bottom_small:0px|left_small:0px"][/ld_images_group_element][ld_masked_image image="27"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Banner 38 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Banner 38', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'banner-38.jpg' );
	$data['sort_name'] = 'Banner';
	$data['custom_class'] = 'general banner';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" gap="0" bg_position="right top" css=".vc_custom_1609871210232{padding-top: 38vh !important;padding-bottom: 38vh !important;background-color: #ffda01 !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}"][vc_column][/vc_column][/vc_row][vc_row full_width="stretch_row" gap="0" css=".vc_custom_1603353492576{padding-right: 15px !important;padding-bottom: 60px !important;padding-left: 15px !important;}" responsive_css="padding_right_medium:0px|padding_left_medium:0px"][vc_column offset="vc_col-md-offset-1 vc_col-md-10" css=".vc_custom_1611568479247{margin-top: -60vh !important;}"][ld_asymmetric_slider show_button="yes" ib_style="btn-solid" ib_title="See latest projects" ib_size="btn-lg" ib_i_type="linea" ib_i_hover_reveal="btn-hover-swp" ib_i_separator="btn-icon-sep" ib_i_add_icon="true" identities="%5B%7B%22title%22%3A%22Building%20villas%22%2C%22subtitle%22%3A%22Villa%22%2C%22description%22%3A%2201.%20Private%20properties%20%3Cbr%3E%20in%20Rome%2C%20Italy.%22%2C%22image%22%3A%224255%22%2C%22btn_label%22%3A%22See%20latest%20projects%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22title%22%3A%22Interior%20Design%22%2C%22subtitle%22%3A%22Architecture%22%2C%22description%22%3A%2202.%20Private%20properties%20%3Cbr%3E%20in%20Lazio%2C%20Italy.%22%2C%22image%22%3A%224306%22%2C%22btn_label%22%3A%22See%20latest%20projects%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22title%22%3A%22Urban%20City%22%2C%22subtitle%22%3A%22Urban%20City%22%2C%22description%22%3A%2201.%20Private%20properties%20%3Cbr%3E%20in%20Nice%2C%20France.%22%2C%22image%22%3A%224582%22%2C%22btn_label%22%3A%22See%20latest%20projects%22%2C%22url%22%3A%22%23%22%7D%5D" stroke_width="2px" ib_i_icon_linea="lqd-icn-ess icon-md-arrow-forward" ib_text_color="rgb(255, 255, 255)" ib_fs="16px" ib_i_separator_color="rgba(0, 0, 0, 0.1)" ib_htext_color="rgb(255, 255, 255)" ib_color="rgb(31, 31, 31)" ib_hover_color="rgb(0, 0, 0)"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Banner 39 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Banner 39', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'banner-39.jpg' );
	$data['sort_name'] = 'Banner';
	$data['custom_class'] = 'general banner';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" gap="0" luminosity="dark" responsive_css="margin_right_large:16%25|margin_right_medium:8%25|margin_bottom_medium:80px"][vc_column][ld_slideshow_2 height="700px" overlay_bg="rgba(0, 0, 0, 0.3)"][ld_slideshow_section title="Interior Design" image="4306"][ld_fancy_heading tag="h6" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" enable_split="true" color="rgb(255, 255, 255)" margin="bottom_small:1.5em"]— Latest projects[/ld_fancy_heading][ld_fancy_heading tag="h3" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" color="rgb(255, 255, 255)" fs="text_large:81px|text_small:40px" lh="text_small:1.15em"]Building the<br />
city marks[/ld_fancy_heading][/ld_slideshow_section][ld_slideshow_section title="Construction" image="4263"][ld_fancy_heading tag="h6" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" enable_split="true" color="rgb(255, 255, 255)" margin="bottom_small:1.5em"]— Latest projects[/ld_fancy_heading][ld_fancy_heading tag="h3" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" color="rgb(255, 255, 255)" fs="text_large:81px|text_small:40px" lh="text_small:0.96em"]Building the<br />
city marks[/ld_fancy_heading][/ld_slideshow_section][ld_slideshow_section title="Residential" image="4445"][ld_fancy_heading tag="h6" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" enable_split="true" color="rgb(255, 255, 255)" margin="bottom_small:1.5em"]— Latest projects[/ld_fancy_heading][ld_fancy_heading tag="h3" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" color="rgb(255, 255, 255)" fs="text_large:80px|text_small:40px" lh="text_small:0.96em"]Building the<br />
city marks[/ld_fancy_heading][/ld_slideshow_section][ld_slideshow_section title="City planning" image="4260"][ld_fancy_heading tag="h6" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" enable_split="true" color="rgb(255, 255, 255)" margin="bottom_small:1.5em"]— Latest projects[/ld_fancy_heading][ld_fancy_heading tag="h3" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" color="rgb(255, 255, 255)" fs="text_large:80px|text_small:40px" lh="text_small:0.96em"]Building the<br />
city marks[/ld_fancy_heading][/ld_slideshow_section][/ld_slideshow_2][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Banner 40 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Banner 40', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'banner-40.jpg' );
	$data['sort_name'] = 'Banner';
	$data['custom_class'] = 'general banner';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" full_height="yes" content_placement="middle" bg_position="right top" css=".vc_custom_1612078152307{padding-top: 130px !important;padding-bottom: 90px !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" responsive_css="padding_top_large:130px|padding_right_medium:6vw|padding_left_medium:6vw|padding_top_small:90px"][vc_column][ld_particles as_bg="yes" enable_density="yes" opacity="1" enable_move="yes" move_direction="right" enable_random_move="yes" modes_grab_opacity="1" retina_detect="yes" particle_id="lqd-1574947035246-eebb4f98-33c1" number="17" size="4" move_speed="1" color="#d8d8d8" density="170"][/vc_column][vc_column width="7/12" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-6" ca_duration="1000" ca_init_translate_x="-25" ca_init_translate_y="70" responsive_css="padding_right_large:6vw"][ld_fancy_heading tag="h6" transform="text-uppercase" enable_bg="yes" fh_border_radius="circle" use_custom_fonts_title="true" padding="top_small:15px|right_small:22px|bottom_small:15px|left_small:22px" fh_bg="rgba(16, 114, 250, 0.09)" margin="bottom_small:2em" fs="text_small:11px" color="rgb(16, 114, 250)"]50% Off for your first purchase[/ld_fancy_heading][ld_fancy_heading ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" fs="text_all:47px|text_medium:40px|text_small:9vw" lh="text_small:1.15em"]Browse the internet securely. No Proxy needed.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:19px" lh="text_small:31px" margin="bottom_small:1.75em" padding="right_large:12%25"]Forget about design limits! Build and customize your site visually. It’s fun, fast and super-easy![/ld_fancy_heading][ld_newsletter style="bordered" inputs_size="ld-sf--size-lg" inputs_radius="ld-sf--round" btn_style="solid" btn_label="GET STARTED" btn_position="ld-sf--button-inline" btn_padding="7px" use_custom_fonts_input="true" use_custom_fonts_label="true" placeholder_text="Enter your email address" fs="14px" label_fs="13px" label_ls="0.065em" margin="bottom_small:20px" brd_color="rgb(219, 219, 219)" brd_f_color="rgb(54, 54, 54)" btn_txt_color="rgb(255, 255, 255)" hover_btn_txt_color="rgb(255, 255, 255)" label_fw="700" txt_color="rgb(87, 87, 87)"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(167, 167, 167)" fs="12px"]Try for free. No credit card required.[/ld_fancy_heading][/vc_column][vc_column width="5/12" column_top_onmobile="yes" offset="vc_col-md-6" responsive_css="margin_bottom_small:0px" css=".vc_custom_1607343177591{margin-bottom: 30px !important;}"][ld_images_group_element img_size="50%" image="116" margin="right_large:0px|right_medium:-50%25"][/ld_images_group_element][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Banner 41 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Banner 41', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'banner-41.jpg' );
	$data['sort_name'] = 'Banner';
	$data['custom_class'] = 'general banner';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" gap="0" full_height="yes" columns_placement="stretch" equal_height="yes"][vc_column][ld_carousel_tab columns="xs:1|spacing_xs:0px" inactiv_opacity="1" cellalign="center" prevnextbuttons="yes" wraparound="yes" navarrow="6" navappend="parent_row" navsize="carousel-nav-xl" navfill="carousel-nav-solid" navshape="carousel-nav-square" navshadow="carousel-nav-shadowed-onhover" navhalign="carousel-nav-center" navfloated="carousel-nav-floated" navvalign="carousel-nav-middle" nav_arrow_color="rgb(0, 0, 0)" nav_bg_color="rgb(255, 255, 255)"][ld_carousel_section title="Carousel Item" tab_id="lqd-1611317854415-f0a8c8d2-a3d0"][vc_row_inner content_placement="middle" css=".vc_custom_1614076909624{background-image: url(https://fashionstorepro.liquid-themes.com/wp-content/uploads/2020/10/fashionstore@2x.jpg?id=4562) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" el_class="h-vh-100" responsive_css="padding_right_medium:5vw|padding_left_medium:5vw"][vc_column_inner width="1/2" css=".vc_custom_1611318102646{padding-right: 5vw !important;padding-left: 5vw !important;}"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_large:78px|text_medium:48px|text_small:15vw" lh="text_small:1em" margin="bottom_small:0.35em" fw="text_small:900"]Hub SS-21 Editorial.[/ld_fancy_heading][ld_button style="btn-naked" title="Shop Women" transformation="text-uppercase" i_type="linea" i_hover_reveal="btn-hover-swp" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" color="rgb(255, 255, 255)" fs="text_small:12px" ls="text_small:0.1em" hover_color="rgb(255, 255, 255)" link="url:https%3A%2F%2Ffashionstorepro.liquid-themes.com%2Fproduct-category%2Fparty-collection%2F|||"][/vc_column_inner][vc_column_inner enable_link="enable_column_link" width="1/2" css=".vc_custom_1614065254631{padding-right: 5vw !important;padding-left: 5vw !important;}" link="url:%23|||"][ld_button style="btn-naked" title="Knit Sweater `{`ld_span`}`£39.90`{`/ld_span`}`" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" css=".vc_custom_1591010928148{border-left-width: 2px !important;padding-left: 18px !important;border-left-color: #ffffff !important;border-left-style: solid !important;}" color="rgb(255, 255, 255)" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" hover_color="rgb(255, 255, 255)"][/vc_column_inner][/vc_row_inner][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1611318332923-0548805a-f76d"][vc_row_inner content_placement="middle" bg_position="center bottom" css=".vc_custom_1614076665745{background-image: url(https://fashionstorepro.liquid-themes.com/wp-content/uploads/2021/02/fashionstore3@2x.jpg?id=4777) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" el_class="h-vh-100" responsive_css="padding_right_medium:5vw|padding_left_medium:5vw"][vc_column_inner width="1/2" css=".vc_custom_1611318102646{padding-right: 5vw !important;padding-left: 5vw !important;}"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_large:78px|text_medium:48px|text_small:15vw" lh="text_small:1em" margin="bottom_small:0.35em" fw="text_small:900"]#stayhome essentials.[/ld_fancy_heading][ld_button style="btn-naked" title="Shop Women" transformation="text-uppercase" i_type="linea" i_hover_reveal="btn-hover-swp" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" color="rgb(255, 255, 255)" fs="12px" ls="0.1em" hover_color="rgb(255, 255, 255)"][/vc_column_inner][vc_column_inner enable_link="enable_column_link" width="1/2" css=".vc_custom_1614065240562{padding-right: 5vw !important;padding-left: 5vw !important;}" link="url:%23|||"][ld_button style="btn-naked" title="Blue Hoodie `{`ld_span`}`£19.90`{`/ld_span`}`" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" css=".vc_custom_1614064371866{border-left-width: 2px !important;padding-left: 18px !important;border-left-color: #ffffff !important;border-left-style: solid !important;}" color="rgb(255, 255, 255)" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" hover_color="rgb(255, 255, 255)"][/vc_column_inner][/vc_row_inner][/ld_carousel_section][/ld_carousel_tab][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Banner 42 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Banner 42', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'banner-42.jpg' );
	$data['sort_name'] = 'Banner';
	$data['custom_class'] = 'general banner';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" full_height="yes" equal_height="yes" content_placement="middle" responsive_css="padding_right_large:5vw|padding_left_large:5vw|padding_right_medium:30px|padding_bottom_medium:60px|padding_left_medium:30px" css=".vc_custom_1605399378146{padding-top: 125px !important;padding-bottom: 60px !important;}"][vc_column width="7/12" offset="vc_col-lg-5 vc_col-md-6" responsive_css="padding_right_medium:3vw"][ld_images_group_container enable_item_animation="yes" pf_init_scale_x="1" pf_init_scale_y="1" pf_init_opacity="0" pf_an_scale_x="1" pf_an_scale_y="1" pf_an_opacity="1" absolute_pos="yes" position="top_small:0px|right_small:0px|bottom_small:0px|left_small:0px" pf_duration="1800" pf_delay="180" pf_init_translate_y="0"][ld_images_group_element img_size="50%" parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" absolute_pos="yes" image="50" position="top_small:80px|left_small:5%25" translate_from_y="90" translate_to_y="-130" rotate_from_z="25" rotate_to_z="-25"][/ld_images_group_element][ld_images_group_element img_size="50%" parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" absolute_pos="yes" image="51" position="right_small:3%25|bottom_small:-20%25" translate_from_y="15" translate_to_y="-130" translate_from_x="10" translate_to_x="120"][/ld_images_group_element][/ld_images_group_container][ld_fancy_heading tag="h6" use_custom_fonts_title="true" fs="text_small:15px" ls="text_small:0.1em" margin="bottom_small:1em|left_small:10px" color="rgb(0, 0, 0)"]Global Experience[/ld_fancy_heading][ld_fancy_heading highlight_type="lqd-highlight-custom-underline" highlight_height="0.325em" highlight_offset="-0.05em" use_custom_fonts_title="true" enable_fit="true" minfontsize="50" fs="text_large:clamp(47px%2C%203.5vw%2C%2060px)|text_medium:6vw|text_small:10vw" lh="text_small:1.1em" margin="right_all:0px|right_large:-12%25|bottom_small:0.6em"][ld_highlight]Immersive[/ld_highlight] digital experience.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_large:21px|text_medium:18px|text_small:17px" lh="text_small:1.61em" color="rgb(29, 41, 63)" margin="bottom_large:1.15em|bottom_medium:0.75em|bottom_small:1.15em"]We merge imagination and technology to help thousands of brands grow in an age of digital transformation.[/ld_fancy_heading][vc_row_inner content_placement="middle" gap="0" css=".vc_custom_1618491590503{margin-top: 30px !important;}"][vc_column_inner offset="vc_col-lg-6"][ld_button style="btn-solid" title="See how we work" transformation="text-uppercase" shape="circle" enable_row_shadowbox="yes" fs="14px" lh="1.75em" button_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2220px%22%2C%22blur_radius%22%3A%2250px%22%2C%22shadow_color%22%3A%22rgba(0%2C207%2C50%2C0.2)%22%7D%5D" hover_button_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2225px%22%2C%22blur_radius%22%3A%2260px%22%2C%22shadow_color%22%3A%22rgba(10%2C0%2C0%2C0.16)%22%7D%5D" hover_color="rgb(27, 27, 27)" css=".vc_custom_1602667824194{margin-bottom: 30px !important;padding-right: 1em !important;padding-left: 1em !important;}"][/vc_column_inner][/vc_row_inner][ld_spacer height="20px" sm_height="30px" md_height="90px"][ld_fancy_heading tag="h6" use_custom_fonts_title="true" margin="bottom_medium:45px|bottom_small:30px" fs="text_small:15px" ls="text_small:0.1em" color="rgb(0, 0, 0)"]Trusted by[/ld_fancy_heading][ld_carousel_tab columns="xs:3|spacing_sm:6%25|spacing_xs:15px" inactiv_opacity="1" groupcells="no" wraparound="yes" equalheightcells="yes" middlealigncontent="yes" autoplay="yes"][ld_carousel_section title="Tab" tab_id="lqd-1595668354598-ceef2cee-b183"][vc_single_image image="23" css=".vc_custom_1579169149743{margin-bottom: 0px !important;}"][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595668354789-68171aa6-413b"][vc_single_image image="21" css=".vc_custom_1579169160676{margin-bottom: 0px !important;}"][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595668354978-a9095e5d-30de"][vc_single_image image="22" css=".vc_custom_1579169168550{margin-bottom: 0px !important;}"][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595668433282-eca54d7d-4496"][vc_single_image image="21" css=".vc_custom_1579169160676{margin-bottom: 0px !important;}"][/ld_carousel_section][/ld_carousel_tab][/vc_column][vc_column width="5/12" column_top_onmobile="yes" align="text-right" offset="vc_col-lg-offset-1 vc_col-md-6" responsive_align="text-right" responsive_css="margin_bottom_small:0px" css=".vc_custom_1607345108348{margin-bottom: 30px !important;}"][ld_images_group_container margin="right_large:0px|right_medium:-20%25"][ld_images_group_element img_size="50%" image="170"][/ld_images_group_element][/ld_images_group_container][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" ca_duration="1800" ca_delay="180" ca_init_translate_y="35"][ld_particles as_bg="yes" opacity="1" modes_grab_opacity="1" retina_detect="yes" particle_id="lqd-579174300002-14637266-1f34" number="2" color="#32a703" size="3"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Banner 43 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Banner 43', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'banner-43.jpg' );
	$data['sort_name'] = 'Banner';
	$data['custom_class'] = 'general banner';
	$data['content'] = <<<CONTENT
	[vc_row full_height="yes" content_placement="middle"][vc_column align="text-center" responsive_align="text-center"][ld_d_depth_banner height="100vh" target=".ld-container" image="119" second_image="118" vth="40" hth="70"][ld_fancy_heading split_type="chars, words" duration="2000" delay="45" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" color="rgb(242, 240, 226)" fs="text_large:8vw|text_small:17vw" fw="text_small:700" margin="bottom_small:0px" ls="text_small:-0.015em" lh="text_small:0.9em" ca_init_translate_x="20"]Just another creative Designer in London[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Banner 44 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Banner 44', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'banner-44.jpg' );
	$data['sort_name'] = 'Banner';
	$data['custom_class'] = 'general banner';
	$data['content'] = <<<CONTENT
	[vc_row full_height="yes" columns_placement="stretch" equal_height="yes" content_placement="middle" bg_position="center top" css=".vc_custom_1603443617279{background-position: 0 0 !important;background-repeat: no-repeat !important;}" responsive_css="padding_top_large:6vh"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" bg_position="right top" css=".vc_custom_1603443442209{padding-top: 150px !important;background-image: url(https://sidefoliopro.liquid-themes.com/wp-content/uploads/2020/08/memphis.svg?id=4437) !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}" offset="vc_col-lg-5 vc_col-md-6" ca_delay="180" el_class="z-index-2" ca_duration="1600" responsive_css="padding_bottom_medium:150px"][ld_fancy_heading tag="h6" use_custom_fonts_title="true" fs="17px" margin="bottom_small:1.75em"]Hi, I’m Daniel Mcbride.[/ld_fancy_heading][ld_fancy_heading duration="" delay="" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" fs="text_all:6.5vw|text_large:10vw|text_medium:15vw|text_small:17vw" lh="text_small:0.9em" fw="text_small:700" margin="bottom_small:0.2em|left_small:-0.07em" ls="text_small:-0.05em"].freelancer .stratégie .concept .grafik .design[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-lg-7 vc_col-md-6" css=".vc_custom_1603443825768{background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" responsive_css="margin_top_medium:0px|margin_left_medium:0px|margin_top_small:-40vh|margin_left_small:35vw"][ld_particles as_bg="yes" enable_density="yes" opacity="1" modes_grab_opacity="1" retina_detect="yes" particle_id="ld-1579696659771-5fc42be0-c0f3" number="10" density="200" size="3" height="100vh" color="#232323"][ld_images_group_element img_size="50%" enable_hover3d="yes" enable_roudness="yes" image_roudness="6" image="4686"][/ld_images_group_element][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Banner 45 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Banner 45', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'banner-45.jpg' );
	$data['sort_name'] = 'Banner';
	$data['custom_class'] = 'general banner';
	$data['content'] = <<<CONTENT
	[vc_row full_height="yes" columns_placement="middle" bg_position="custom" bg_attachment="fixed" css=".vc_custom_1621616572533{background-image: url(https://insurance.liquid-themes.com/wp-content/uploads/2020/10/bnnr-img@2x.jpg?id=18) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" bg_pos_h="60%" bg_pos_v="50%"][vc_column offset="vc_col-lg-6 vc_col-md-8" responsive_css="padding_top_medium:150px"][ld_fancy_heading use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_large:70px|text_medium:80px" margin="bottom_small:0.3em"]Private medical insurance plans.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.6)" fs="text_small:20px" lh="text_small:1.4em"]Holistic development and support for employees the aim of being a first-choice employer within our sectors.[/ld_fancy_heading][vc_row_inner content_placement="middle" css=".vc_custom_1621518999565{padding-top: 35px !important;}"][vc_column_inner width="1/3" offset="vc_col-md-5"][ld_button style="btn-solid" title="Request a Quote" link_type="scroll_to_section" shape="circle" border="border-none" color="rgb(255, 255, 255)" hover_color="rgb(15, 90, 100)" text_color="rgb(15, 90, 100)" htext_color="rgb(255, 255, 255)" lh="text_small:1.25em" css=".vc_custom_1621617177690{margin-bottom: 15px !important;}"][/vc_column_inner][vc_column_inner width="1/2"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:16px" margin="bottom_small:15px"]<strong>0123 267 8901</strong>[ld_br]<span style="font-size: 14px;">Free Consultation</span>[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row content_placement="middle" css=".vc_custom_1621519714114{border-bottom-width: 1px !important;padding-top: 15px !important;padding-bottom: 15px !important;border-bottom-color: #e5e5e5 !important;border-bottom-style: solid !important;}"][vc_column width="1/2" css=".vc_custom_1621616870150{margin-bottom: 15px !important;}" responsive_align="text-center text-sm-left" responsive_css="margin_bottom_medium:0px"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(50, 54, 67)" fs="text_small:14px" margin="bottom_small:0px"]<img class="alignnone size-full wp-image-3472" src="https://insurance.liquid-themes.com/wp-content/uploads/2021/05/img@2x.png" alt="Ageny" width="47" height="47" />  Looking for an agent? <a href="#">Talk to our finance agent</a>[/ld_fancy_heading][/vc_column][vc_column width="1/2" responsive_align="text-center text-sm-right"][ld_button style="btn-naked" title="Our design services starts and ends with a best-in-class." i_type="linea" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-forward" color="rgb(115, 116, 127)" fs="text_small:15px"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Banner 46 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Banner 46', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'banner-46.jpg' );
	$data['sort_name'] = 'Banner';
	$data['custom_class'] = 'general banner';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" gap="0" equal_height="yes"][vc_column bg_position="left center" offset="vc_col-md-8 vc_hidden-sm vc_hidden-xs"][ld_carousel_tab columns="xs:1|spacing_xs:15px" inactiv_opacity="1" prevnextbuttons="yes" wraparound="yes" equalheightcells="yes" navarrow="6" navsize="carousel-nav-xl" navfill="carousel-nav-solid" navshape="carousel-nav-circle" navshadow="carousel-nav-shadowed-onhover" navfloated="carousel-nav-floated" navvalign="carousel-nav-bottom" mobile_dots_position="carousel-dots-mobile-inside" mobile_align_dots="carousel-dots-mobile-left" nav_arrow_color="rgb(0, 0, 0)" nav_arrow_color_hover="rgb(255, 255, 255)" nav_bg_color="rgb(226, 229, 237)" nav_bg_hcolor="rgb(0, 0, 0)" navoffset="bottom: 5vmin, left: 75px"][ld_carousel_section title="Tab" tab_id="lqd-1601018635800-01c6a68e-2755"][vc_row_inner bg_position="right top" css=".vc_custom_1601017881351{padding-top: 110px !important;padding-right: 15px !important;padding-bottom: 25vh !important;padding-left: 15px !important;background-image: url(https://marketplacepro.liquid-themes.com/wp-content/uploads/2020/06/market-carousel-1@2x.jpg?id=257) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" responsive_css="padding_top_medium:60px|padding_right_medium:60px|padding_bottom_medium:52.5vh|padding_left_medium:60px"][vc_column_inner][ld_fancy_heading]Samsung
Galaxy Z Flip[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:1.5em"]Subscribe and get 20% off your first purchase.[/ld_fancy_heading][ld_button style="btn-solid" title="Starting From £699" shape="round" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" color="rgb(255, 194, 33)" text_color="rgb(4, 30, 66)" lh="text_small:1.15em" css=".vc_custom_1618676258114{padding-right: 1em !important;padding-left: 1em !important;}" link="url:https%3A%2F%2Fmarketplacepro.liquid-themes.com%2Fproduct-category%2Fcomputers%2Fhome-theather%2F|||"][/vc_column_inner][/vc_row_inner][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1601018636769-5de63bf6-d606"][vc_row_inner bg_position="right top" css=".vc_custom_1601017893679{padding-top: 110px !important;padding-right: 15px !important;padding-bottom: 25vh !important;padding-left: 15px !important;background-image: url(https://marketplacepro.liquid-themes.com/wp-content/uploads/2020/09/macbook@2x.jpg?id=337) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" responsive_css="padding_top_medium:60px|padding_right_medium:60px|padding_bottom_medium:52.5vh|padding_left_medium:60px"][vc_column_inner][ld_fancy_heading]13-inch MacBook Air Touch ID[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:1.5em"]Subscribe and get 20% off your first purchase.[/ld_fancy_heading][ld_button style="btn-solid" title="Starting From £699" shape="round" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" color="rgb(255, 194, 33)" text_color="rgb(4, 30, 66)" lh="text_small:1.15em" css=".vc_custom_1618676266205{padding-right: 1em !important;padding-left: 1em !important;}" link="url:https%3A%2F%2Fmarketplacepro.liquid-themes.com%2Fproduct-category%2Fcomputers%2Fhome-theather%2F|||"][/vc_column_inner][/vc_row_inner][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1601018637759-e8157fc6-7bb1"][vc_row_inner bg_position="right top" css=".vc_custom_1601017908263{padding-top: 110px !important;padding-right: 15px !important;padding-bottom: 25vh !important;padding-left: 15px !important;background-image: url(https://marketplacepro.liquid-themes.com/wp-content/uploads/2020/09/macbook@2x.jpg?id=337) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" responsive_css="padding_top_medium:60px|padding_right_medium:60px|padding_bottom_medium:52.5vh|padding_left_medium:60px"][vc_column_inner][ld_fancy_heading]Samsung
Galaxy Z Flip[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:1.5em"]Subscribe and get 20% off your first purchase.[/ld_fancy_heading][ld_button style="btn-solid" title="Starting From £699" shape="round" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" color="rgb(255, 194, 33)" text_color="rgb(4, 30, 66)" lh="1.15em" css=".vc_custom_1599563765727{padding-right: 1em !important;padding-left: 1em !important;}"][/vc_column_inner][/vc_row_inner][/ld_carousel_section][/ld_carousel_tab][/vc_column][vc_column offset="vc_col-md-4"][vc_row_inner equal_height="yes" content_placement="bottom" gap="0"][vc_column_inner row_scale_bg_onhover="yes" enable_link="enable_column_link" width="1/2" enable_overlay="yes" bg_position="left center" link="url:%23|||" css=".vc_custom_1611238611716{padding-top: 10vh !important;padding-right: 15px !important;padding-bottom: 40px !important;padding-left: 15px !important;background-image: url(https://marketplacepro.liquid-themes.com/wp-content/uploads/2020/05/bg-2@2x.jpg?id=127) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" hover_overlay_bg="rgba(0, 0, 0, 0.1)" offset="vc_col-md-12 vc_col-xs-6" responsive_css="padding_top_small:28.725vh|padding_right_small:35px|padding_left_small:35px"][ld_fancy_heading tag="h2" margin="bottom_small:0px" color="rgb(255, 255, 255)"]AirPods Pro 3[/ld_fancy_heading][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" margin="bottom_small:0px" fs="text_small:28px" lh="text_small:1em" ls="text_small:-0.01em"]On sale[/ld_fancy_heading][/vc_column_inner][vc_column_inner row_scale_bg_onhover="yes" enable_link="enable_column_link" width="1/2" enable_overlay="yes" bg_position="left center" css=".vc_custom_1611238616182{padding-top: 10vh !important;padding-right: 15px !important;padding-bottom: 40px !important;padding-left: 15px !important;background-image: url(https://marketplacepro.liquid-themes.com/wp-content/uploads/2020/05/bg-3@2x.jpg?id=126) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" link="url:%23|||" hover_overlay_bg="rgba(0, 0, 0, 0.1)" offset="vc_col-md-12 vc_col-xs-6" responsive_css="padding_top_small:28.725vh|padding_right_small:35px|padding_left_small:35px"][ld_fancy_heading tag="h2" margin="bottom_small:0px"]PS5 Virtual
Reality[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Banner 47 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Banner 47', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'banner-47.jpg' );
	$data['sort_name'] = 'Banner';
	$data['custom_class'] = 'general banner';
	$data['content'] = <<<CONTENT
	[vc_row full_height="yes" columns_placement="middle" bg_position="custom" enable_overlay="yes" css=".vc_custom_1622118022498{background-image: url(http://multipurpose.liquid-themes.com/wp-content/uploads/2021/05/mp-banner@2x.jpg?id=165) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" overlay_bg="linear-gradient(65deg, rgb(35, 42, 59) 0%, rgba(35, 42, 59, 0) 100%)" bg_pos_h="80%" bg_pos_v="50%"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-lg-offset-2 vc_col-lg-8 vc_col-md-offset-1 vc_col-md-10" responsive_align="text-center" ca_duration="1600" ca_delay="160" ca_init_translate_y="70"][ld_fancy_heading transform="text-uppercase" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(255, 255, 255)" fs="text_medium:74px|text_small:14vw" lh="text_small:1.125em" ls="text_small:-0.005em" margin="bottom_small:0.35em"]Business In the Digital Age.[/ld_fancy_heading][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgba(255, 255, 255, 0.8)" fs="text_medium:21px|text_small:19px" lh="text_small:1.38em" padding="right_all:12%25|left_all:12%25" margin="bottom_small:2em"]Our process applies techniques from a variety of disciplines, values distinction in detail and gives careful[/ld_fancy_heading][ld_button style="btn-solid" title="See Case Studies" link_type="scroll_to_section" shape="circle" border="border-none" hover_txt_effect="btn-hover-txt-switch-change btn-hover-txt-switch btn-hover-txt-switch-y" title_secondary="Explore Portfolio" i_type="linea" i_shape="btn-icon-circle" i_shape_style="btn-icon-solid" i_shape_size="btn-icon-custom-size" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-forward" i_size="18px" i_shape_custom_size="41px" i_margin_left="11px" color="rgb(255, 255, 255)" i_color="rgb(15, 64, 100)" i_fill_color="rgba(15, 64, 100, 0.12)" text_color="rgb(0, 0, 0)" fs="text_small:18px" i_hcolor="rgb(255, 255, 255)" i_fill_hcolor="rgba(255, 255, 255, 0.15)"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Banner 48 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Banner 48', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'banner-48.jpg' );
	$data['sort_name'] = 'Banner';
	$data['custom_class'] = 'general banner';
	$data['content'] = <<<CONTENT
	[vc_row full_height="yes" columns_placement="middle" parallax="enable_parallax" enable_overlay="yes" css=".vc_custom_1622025734482{background-image: url(https://staging.liquid-themes.com/lawyer/wp-content/uploads/2021/05/bg-1@2x.jpg?id=24) !important;background-position: center;background-repeat: no-repeat;background-size:cover;}" overlay_bg="linear-gradient(56deg, rgb(11, 16, 44) 7%, rgba(11, 16, 44, 0) 88.21656050955414%)"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-lg-offset-2 vc_col-lg-8 vc_col-md-offset-1 vc_col-md-10" responsive_align="text-center" ca_duration="1600" ca_delay="160" ca_init_translate_y="65" ca_init_rotate_y="50" responsive_css="padding_top_medium:90px"][ld_fancy_heading use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_medium:80px|text_small:15vw" lh="text_small:1em" margin="bottom_small:0.35em"]Citizenship[ld_br]and immigration.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.85)" fs="text_small:18px" lh="text_small:1.33em" padding="right_all:15%25|left_all:15%25|right_large:0px|left_large:0px|right_medium:12%25|left_medium:12%25" margin="bottom_small:1.75em"]Our process applies techniques from a variety of disciplines, values distinction in detail and gives careful[/ld_fancy_heading][ld_button style="btn-solid" title="Schedule Consultation" link_type="scroll_to_section" size="btn-xlg" border="border-none" hover_txt_effect="btn-hover-txt-switch btn-hover-txt-switch-y" color="rgb(255, 255, 255)" text_color="rgba(0, 0, 0, 0.85)" css=".vc_custom_1622201211149{padding-top: 0.5em !important;padding-right: 0.5em !important;padding-bottom: 0.5em !important;padding-left: 0.5em !important;}" ls="text_small:0.28em"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:15px" fw="text_small:500" margin="top_small:1.15em"]Or call us at 0123 567 8901[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Banner 49 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Banner 49', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'banner-49.jpg' );
	$data['sort_name'] = 'Banner';
	$data['custom_class'] = 'general banner';
	$data['content'] = <<<CONTENT
	[vc_row full_height="yes" columns_placement="middle" content_placement="middle" bg_position="custom" enable_overlay="yes" enable_row_dividers="yes" css=".vc_custom_1621940353482{background-image: url(https://staging.liquid-themes.com/kids/wp-content/uploads/2021/05/bg-1@2x.jpg?id=32) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" bg_pos_h="60%" bg_pos_v="50%" overlay_bg="linear-gradient(38deg, rgb(66,186,177) 0%, rgba(95,54,234,0.22) 21.337579617834397%, rgba(95,54,234,0) 44.90445859872611%)" row_svg_divider="bottom_shape_type:7|bottom_shape_color:%23ffffff|bottom_shape_height:16"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_x="120%" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_origin_z="-80px" ca_an_opacity="1" offset="vc_col-lg-7 vc_col-md-8" responsive_css="margin_bottom_medium:0px" css=".vc_custom_1621955825986{margin-bottom: 30px !important;}" ca_duration="1600" ca_delay="160" ca_init_translate_y="100" ca_init_rotate_y="-54" ca_init_rotate_z="12"][ld_fancy_heading enable_txt_rotator="yes" items="%5B%7B%22word%22%3A%22creativity.%22%7D%2C%7B%22word%22%3A%22personality.%22%7D%2C%7B%22word%22%3A%22education.%22%7D%5D" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_medium:66px" lh="text_small:1em" margin="bottom_small:0.35em"]Helping kids unleash their[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.7)" fs="text_small:21px" lh="text_small:1.38em" margin="bottom_small:1.25em" padding="right_all:15%25"]Join us in the 100 campaign, a year-long journey to bring 100 children home to 100 families.[/ld_fancy_heading][ld_button style="btn-solid" title="Join the Program" link_type="scroll_to_section" shape="circle" border="border-none" hover_txt_effect="btn-hover-txt-switch-change btn-hover-txt-switch btn-hover-txt-switch-y" title_secondary="See the terms" i_type="linea" i_shape="btn-icon-circle" i_shape_style="btn-icon-solid" i_shape_size="btn-icon-custom-size" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-forward" i_shape_custom_size="33px" i_margin_left="10px" color="rgb(255, 255, 255)" i_color="rgb(45, 65, 98)" i_fill_color="rgba(45, 65, 98, 0.05)" text_color="rgb(45, 65, 98)" i_fill_hcolor="rgba(255, 255, 255, 0.2)" i_hcolor="rgb(255, 255, 255)"][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="1.15" ca_init_scale_y="1.15" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-lg-5 vc_col-md-4" responsive_align="text-md-center" ca_duration="1600" ca_delay="160" ca_start_delay="450" ca_init_translate_y="29"][ld_button style="btn-naked" title="Play Video" link_type="lightbox" hover_txt_effect="btn-hover-txt-liquid-y" i_type="linea" i_position="top" i_shape="btn-icon-circle" i_shape_style="btn-icon-bordered" i_shape_bw="btn-icon-border-thickest" i_shape_size="btn-icon-custom-size" i_ripple="btn-icon-ripple" i_add_icon="true" link="url:https%3A%2F%2Fwww.youtube.com%2Fwatch%3Fv%3DWaSvMAl4zPw||target:%20_blank|" i_icon_linea="lqd-icn-ess icon-ion-ios-play" i_shape_custom_size="85px" i_margin_bottom="15px" color="rgb(255, 255, 255)" i_hcolor="rgb(0, 0, 0)" i_fill_hcolor2="rgb(255, 255, 255)" hover_color="rgb(255, 255, 255)"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Banner 50 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Banner 50', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'banner-50.jpg' );
	$data['sort_name'] = 'Banner';
	$data['custom_class'] = 'general banner';
	$data['content'] = <<<CONTENT
	[vc_row full_height="yes" css=".vc_custom_1611767767518{padding-top: 60px !important;padding-bottom: 50px !important;}" responsive_css="padding_top_medium:35px"][vc_column][ld_particles as_bg="yes" color_type="multi_color" shape_type="circle,edge,triangle,polygon" opacity="1" enable_random_opacity="yes" modes_grab_opacity="1" retina_detect="yes" particle_id="lqd-1611230331606-91ba8f6f-a5f8" number="5" multi_color_values="%5B%7B%22scolor%22%3A%22%23fdc14c%22%7D%2C%7B%22scolor%22%3A%22%23fd5c4c%22%7D%2C%7B%22scolor%22%3A%22%2348bb0f%22%7D%2C%7B%22scolor%22%3A%22%23fda44c%22%7D%5D" size="5"][ld_images_group_container parallax="yes" move_to_parent_row="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" absolute_pos="yes" position="top_small:20%25|left_small:0px" translate_from_y="114" translate_to_y="-122"][ld_images_group_element img_size="50%" image="889"][/ld_images_group_element][/ld_images_group_container][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" align="text-center" offset="vc_col-lg-offset-2 vc_col-lg-8 vc_col-md-offset-1 vc_col-md-10" ca_duration="1800" ca_delay="180" ca_init_translate_y="35" ca_init_rotate_y="25" ca_init_rotate_x="10" responsive_align="text-center" responsive_css="padding_right_large:15%25|padding_left_large:15%25|padding_right_medium:10%25|padding_left_medium:10%25"][ld_fancy_heading ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" fs="text_medium:69px|text_small:12vw" fw="text_small:600" ls="text_small:-0.02em" lh="text_small:1em" margin="bottom_small:0.35em"]Track your daily work <span class="gradient-word">activity</span>[/ld_fancy_heading][ld_fancy_heading tag="p" duration="" delay="" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" fs="text_medium:18px|text_small:16px" lh="text_small:30px" color="rgb(64, 64, 70)"]No more complex codes or boring designs. Creating an attractive and functional site has never been easier.[/ld_fancy_heading][ld_spacer height="20px"][ld_button style="btn-solid" title="Sign up free" link_type="scroll_to_section" shape="circle" border="border-none" hover_txt_effect="btn-hover-txt-switch btn-hover-txt-switch-y" i_type="linea" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" fs="17px" lh="1.5em" css=".vc_custom_1614348590399{margin-right: 10px !important;margin-bottom: 10px !important;margin-left: 10px !important;padding-right: 1em !important;padding-left: 1em !important;}" hover_color="rgb(0, 0, 0)"][ld_button style="btn-default" title="Watch Demo" link_type="lightbox" shape="circle" border="border-thick" hover_txt_effect="btn-hover-txt-switch btn-hover-txt-switch-y" i_type="linea" i_position="left" i_hover_reveal="btn-hover-swp" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-ion-ios-play" fs="17px" lh="1.5em" css=".vc_custom_1614348229733{margin-right: 10px !important;margin-bottom: 10px !important;margin-left: 10px !important;padding-right: 0.5em !important;padding-left: 0.5em !important;}" hover_color="rgb(0, 0, 0)" color="rgb(237, 237, 237)" text_color="rgb(0, 0, 0)" i_color="rgb(66, 91, 255)" link="url:https%3A%2F%2Fyoutu.be%2FJLE228ZuGGA|||"][/vc_column][vc_column offset="vc_col-lg-offset-2 vc_col-lg-8 vc_col-md-offset-1 vc_col-md-10 vc_col-xs-12" css=".vc_custom_1611341441659{padding-top: 35px !important;padding-bottom: 15px !important;}" responsive_css="padding_top_small:50px" responsive_align="text-center"][vc_row_inner enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" ca_duration="1800" ca_start_delay="850" ca_delay="180" ca_init_translate_y="35"][vc_column_inner width="1/3" responsive_align="text-center"][ld_icon_box i_type="linea" heading_size="custom" i_shape="circle" i_border="" position="iconbox-inline" items_alignment="align-items-center" title="Huge Template Library" title_mb="1" custom_heading_size="14px" link="url:%23|||" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" i_color="rgb(0, 108, 227)" shape_color="rgb(246, 245, 255)" icon_size="16px" custom_i_size="30px"][/ld_icon_box][/vc_column_inner][vc_column_inner width="1/3" responsive_align="text-center"][ld_icon_box i_type="linea" heading_size="custom" i_shape="circle" i_border="" position="iconbox-inline" items_alignment="align-items-center" title="Live Customizer" title_mb="1" custom_heading_size="14px" link="url:%23|||" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" i_color="rgb(0, 108, 227)" shape_color="rgb(246, 245, 255)" icon_size="14px" custom_i_size="30px"][/ld_icon_box][/vc_column_inner][vc_column_inner width="1/3" responsive_align="text-center"][ld_icon_box i_type="linea" heading_size="custom" i_shape="circle" i_border="" position="iconbox-inline" items_alignment="align-items-center" title="On Demand Live Support" title_mb="1" custom_heading_size="14px" link="url:%23|||" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" i_color="rgb(0, 108, 227)" shape_color="rgb(246, 245, 255)" icon_size="14px" custom_i_size="30px"][/ld_icon_box][/vc_column_inner][/vc_row_inner][/vc_column][vc_column align="text-center" offset="vc_col-lg-offset-1 vc_col-lg-10" responsive_align="text-center"][ld_images_group_container enable_item_animation="yes" pf_init_scale_x="0.85" pf_init_scale_y="0.85" pf_init_opacity="0" pf_an_scale_x="1" pf_an_scale_y="1" pf_an_opacity="1" pf_duration="1800" pf_delay="180" pf_init_rotate_y="0" pf_init_translate_y="80" pf_start_delay="1450" pf_init_rotate_x="0"][ld_images_group_element absolute_pos="yes" image="928" position="right_small:-100px|bottom_small:-230px|left_small:-100px"][/ld_images_group_element][ld_images_group_element img_size="50%" enable_image_shadow="yes" shadow_style="4" enable_hover3d="yes" enable_roudness="yes" image_roudness="8" image="934"][/ld_images_group_element][ld_images_group_element img_size="50%" parallax="yes" enable_roudness="yes" image_roudness="8" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" absolute_pos="yes" image="931" position="top_small:10%25|left_small:-5%25" translate_from_y="-11" rotate_from_z="-1" translate_to_y="185" rotate_to_z="15"][/ld_images_group_element][ld_images_group_element img_size="50%" parallax="yes" enable_roudness="yes" image_roudness="8" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" absolute_pos="yes" image="932" position="top_small:70%25|right_small:-5%25" translate_from_y="99" rotate_from_z="-1" translate_to_y="-165" rotate_to_z="15"][/ld_images_group_element][/ld_images_group_container][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Banner 51 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Banner 51', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'banner-51.jpg' );
	$data['sort_name'] = 'Banner';
	$data['custom_class'] = 'general banner';
	$data['content'] = <<<CONTENT
	[vc_row full_height="yes" equal_height="yes" content_placement="middle" bg_position="custom" css=".vc_custom_1613498682007{padding-top: 120px !important;padding-bottom: 80px !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}" bg_pos_h="50vw" bg_pos_v="120%" responsive_css="padding_top_medium:80px"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-5" ca_start_delay="700" ca_delay="170" ca_duration="1800" ca_init_translate_y="64" ca_init_rotate_y="64"][ld_fancy_heading tag="h6" use_custom_fonts_title="true" fs="text_small:12px" margin="bottom_small:2em" fw="text_small:700" ls="text_small:0.13em" color="rgb(36, 36, 36)"]CREATIVE SOLUTIONS FOR EVERYONE[/ld_fancy_heading][ld_fancy_heading tag="h2" enable_txt_rotator="yes" items="%5B%7B%22word%22%3A%22marketing%22%7D%2C%7B%22word%22%3A%22design%22%7D%2C%7B%22word%22%3A%22mobile%20apps%22%7D%5D" use_custom_fonts_title="true" fs="text_all:72px|text_large:64px|text_medium:11vw|text_small:11vw" lh="text_small:1.06em" ls="text_small:0" margin="right_large:0px|right_medium:12%25|bottom_small:0.35em"]Digital age adventure in[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="20px" lh="32px" margin="bottom_small:2em"]Passionate about solving problems through creative and digital products.[/ld_fancy_heading][vc_row_inner][vc_column_inner][ld_button style="btn-solid" title="Get a Quote" transformation="text-uppercase" link_type="scroll_to_section" shape="circle" size="btn-xlg" border="border-none" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" css=".vc_custom_1598369525565{margin-right: 30px !important;margin-bottom: 25px !important;}" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" hover_color="rgb(255, 77, 84)" color="rgb(0, 127, 255)" color2="rgb(255, 77, 84)" hover_color2="rgb(0, 127, 255)"][ld_button style="btn-naked" title="Discover Hub" transformation="text-uppercase" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" color="rgb(2, 33, 82)" css=".vc_custom_1579623428579{margin-bottom: 25px !important;margin-left: 10px !important;}" i_icon_linea="icon-ion-ios-arrow-round-down"][/vc_column_inner][/vc_row_inner][/vc_column][vc_column column_top_ontablet="yes" column_top_onmobile="yes" offset="vc_col-md-7" responsive_css="margin_right_medium:-15%25"][ld_masked_image image="4341" bg_pos_x="50%" bg_pos_y="50%"][/vc_column][vc_column offset="vc_hidden-sm vc_hidden-xs"][ld_particles as_bg="yes" absolute_pos="yes" enable_density="yes" color_type="multi_color" opacity="1" enable_random_size="yes" enable_anim_size="yes" enable_move="yes" move_direction="right" enable_random_move="yes" modes_grab_opacity="1" retina_detect="yes" particle_id="lqd-1579874781983-fb436513-72aa" height="100vh" position="right_small:0px|bottom_small:0px" number="14" multi_color_values="%5B%7B%22scolor%22%3A%22%23f27e3f%22%7D%2C%7B%22scolor%22%3A%22%230fbbb4%22%7D%2C%7B%22scolor%22%3A%22%2348bb0f%22%7D%2C%7B%22scolor%22%3A%22%233ff292%22%7D%2C%7B%22scolor%22%3A%22%23899bff%22%7D%5D" size="6" anim_size_speed="1" anim_size_min="50" density="200"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Banner 52 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Banner 52', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'banner-52.jpg' );
	$data['sort_name'] = 'Banner';
	$data['custom_class'] = 'general banner';
	$data['content'] = <<<CONTENT
	[vc_row full_height="yes" css=".vc_custom_1611479397932{padding-top: 60px !important;padding-bottom: 50px !important;}" responsive_css="padding_top_medium:150px|padding_bottom_medium:150px"][vc_column bg_position="right bottom" offset="vc_col-md-6" css=".vc_custom_1611479449153{background-image: url(https://modernagencypro.liquid-themes.com/wp-content/uploads/2020/08/asset-1.svg?id=4262) !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}"][ld_particles as_bg="yes" color_type="multi_color" opacity="1" modes_grab_opacity="1" retina_detect="yes" particle_id="lqd-1580387421529-fc2793d3-d4fc" number="4" multi_color_values="%5B%7B%22scolor%22%3A%22%23fda44c%22%7D%2C%7B%22scolor%22%3A%22%23604cfd%22%7D%2C%7B%22scolor%22%3A%22%23f85976%22%7D%2C%7B%22scolor%22%3A%22%230fbbb4%22%7D%5D" size="4"][ld_fancy_heading tag="h6" transform="text-lowercase" duration="1600" delay="100" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" enable_bg="yes" fh_border_radius="circle" enable_split="true" margin="bottom_small:0.75em" ca_init_translate_x="0" ca_init_rotate_y="0" ca_init_translate_y="35" color="rgb(255, 90, 61)" padding="top_small:10px|right_small:20px|bottom_small:10px|left_small:20px" fh_bg="rgb(255, 234, 230)"]Digital Experience[/ld_fancy_heading][ld_fancy_heading highlight_offset="0.1em" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_origin_z="-80px" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" enable_fit="true" compressor="0.75" minfontsize="44" ca_init_translate_x="0" ca_init_translate_y="30" ca_init_rotate_x="-75" start_delay="250" ca_init_translate_z="-130" ca_init_rotate_y="0" fs="text_medium:52px|text_small:10vw" ls="text_small:-0.02em" highlight_color="rgba(255, 185, 158, 0.5)"]Branding, digital [ld_highlight]marketing[/ld_highlight] and business solutions[/ld_fancy_heading][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" fs="text_medium:20px|text_small:18px" lh="text_small:1.5em" start_delay="850" ca_init_translate_y="65"]We merge imagination and technology to help thousands of brands grow in an age of digital transformation.[/ld_fancy_heading][vc_row_inner enable_content_animation="yes" equal_height="yes" content_placement="middle" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_origin_z="-50px" ca_an_opacity="1" css=".vc_custom_1580394487759{padding-top: 45px !important;}" ca_duration="1800" ca_start_delay="1350" ca_delay="180" ca_init_translate_y="5" ca_init_translate_z="-70" ca_init_rotate_x="-90"][vc_column_inner offset="vc_col-md-6"][ld_button style="btn-solid" title="See how we work" transformation="text-uppercase" link_type="scroll_to_section" shape="circle" hover_txt_effect="btn-hover-txt-switch btn-hover-txt-switch-x" i_type="linea" i_hover_reveal="btn-hover-reveal" enable_row_shadowbox="yes" i_add_icon="true" button_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2220px%22%2C%22blur_radius%22%3A%2260px%22%2C%22shadow_color%22%3A%22rgba(248%2C85%2C78%2C0.15)%22%7D%5D" hover_button_box_shadow="%5B%7B%7D%5D" css=".vc_custom_1611478338953{margin-bottom: 35px !important;padding-right: 1em !important;padding-left: 1em !important;}" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" hover_color="rgb(51, 106, 234)"][/vc_column_inner][vc_column_inner offset="vc_col-md-6"][vc_column_text css=".vc_custom_1580292171884{margin-bottom: 35px !important;}"]<span style="color: #000000;">Hotline: <span style="color: var(--color-primary);">(733) 860-2906</span></span>[/vc_column_text][/vc_column_inner][/vc_row_inner][/vc_column][vc_column offset="vc_hidden-sm vc_hidden-xs"][ld_images_group_container move_to_parent_row="yes" absolute_pos="yes" position="top_large:-40px|top_small:30px|right_small:0px"][ld_images_group_element img_size="35%" image="4301"][ld_button style="btn-naked" link_type="lightbox" i_type="linea" i_position="top" i_shape="btn-icon-circle" i_shape_style="btn-icon-bordered" i_shape_bw="btn-icon-border-thickest" i_shape_size="btn-icon-xlg" i_ripple="btn-icon-ripple" i_add_icon="true" i_size="22px" color="rgb(255, 255, 255)" link="url:https%3A%2F%2Fyoutu.be%2FJLE228ZuGGA|||" i_hcolor="rgb(0, 0, 0)" i_fill_hcolor2="rgb(255, 255, 255)" i_icon_linea="lqd-icn-ess icon-ion-ios-play"][/ld_images_group_element][/ld_images_group_container][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Banner 53 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Banner 53', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'banner-53.jpg' );
	$data['sort_name'] = 'Banner';
	$data['custom_class'] = 'general banner';
	$data['content'] = <<<CONTENT
	[vc_row full_height="yes" content_placement="middle" bg_position="custom" enable_overlay="yes" enable_row_dividers="yes" css=".vc_custom_1607336739703{padding-top: 90px !important;padding-bottom: 90px !important;background-image: url(https://businessstartuppro.liquid-themes.com/wp-content/uploads/2019/11/bg-1@2x-scaled.jpg?id=36) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" overlay_bg="rgba(0, 0, 0, 0.25)" row_svg_divider="bottom_shape_type:12|bottom_shape_color:%23ffffff|bottom_shape_height:96" bg_pos_h="85%" bg_pos_v="50%"][vc_column width="3/4" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" align="text-center" offset="vc_col-md-6" ca_duration="1800" ca_delay="180" ca_init_translate_y="60" responsive_align="text-center text-sm-left" responsive_css="margin_bottom_small:0px" css=".vc_custom_1603370852638{margin-bottom: 40px !important;}"][ld_fancy_heading use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_large:68px|text_medium:50px|text_small:46px" lh="text_large:1em" fw="text_large:700"]Consulting agency for your business.[/ld_fancy_heading][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" color="rgba(255, 255, 255, 0.6)" fs="text_small:20px" lh="text_small:32px" margin="bottom_small:1.8em"]Hub IT allows your business and technology computers to store, transmit and analyze.[/ld_fancy_heading][ld_button style="btn-solid" title="Get Started Hub" link_type="scroll_to_section" shape="circle" size="btn-lg" i_type="linea" i_hover_reveal="btn-hover-swp" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" hover_color="rgb(255, 255, 255)" htext_color="rgb(0, 0, 0)"][/vc_column][vc_column width="1/4" enable_content_animation="yes" ca_init_scale_x="0.8" ca_init_scale_y="0.8" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" column_top_onmobile="yes" align="text-center" offset="vc_col-md-offset-2 vc_col-md-4" ca_duration="1800" ca_start_delay="950" responsive_align="text-center" responsive_css="margin_bottom_small:0px" css=".vc_custom_1607336221074{margin-bottom: 20px !important;}"][ld_button style="btn-naked" link_type="lightbox" i_type="linea" i_position="top" i_shape="btn-icon-circle" i_shape_style="btn-icon-bordered" i_shape_bw="btn-icon-border-thickest" i_shape_size="btn-icon-custom-size" i_ripple="btn-icon-ripple" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-ion-ios-play" i_size="30px" i_shape_custom_size="87px" color="rgb(255, 255, 255)" i_color="rgb(255, 255, 255)" i_hcolor="rgb(0, 0, 0)" i_fill_color2="rgb(255, 255, 255)" i_fill_hcolor2="rgb(255, 255, 255)" link="url:https%3A%2F%2Fyoutu.be%2FJLE228ZuGGA|||"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Banner 54 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Banner 54', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'banner-54.jpg' );
	$data['sort_name'] = 'Banner';
	$data['custom_class'] = 'general banner';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" gap="0" full_height="yes" columns_placement="stretch" content_placement="middle" bg_position="left center" css=".vc_custom_1610914977012{background-position: 0 0 !important;background-repeat: no-repeat !important;}"][vc_column offset="vc_col-md-8" gradient_bg_color="linear-gradient(115deg, rgb(255,183,183) 1.2738853503184713%, rgb(195,214,250) 51.59235668789809%, rgb(175, 255, 242) 100%)" responsive_css="padding_top_medium:0px|padding_right_medium:0px|padding_bottom_medium:0px|padding_left_medium:12vw|padding_top_small:160px|padding_bottom_small:340px" css=".vc_custom_1611571884701{padding-top: 140px !important;padding-right: 15px !important;padding-bottom: 250px !important;padding-left: 15px !important;}"][vc_row_inner][vc_column_inner offset="vc_col-lg-8 vc_col-md-10"][ld_fancy_heading tag="h5" use_custom_fonts_title="true" color="rgb(224, 23, 101)" fs="text_small:13px" margin="top_small:1em"]— Building the £9Billion Market[/ld_fancy_heading][ld_fancy_heading enable_txt_rotator="yes" items="%5B%7B%22word%22%3A%22video%20calls.%22%7D%2C%7B%22word%22%3A%22group%20chats.%22%7D%5D" highlight_reset_onhover="lqd-highlight-reset-onhover" highlight_height="0.175em" highlight_offset="7px" use_custom_fonts_title="true" fs="text_large:5.5vw|text_medium:8.5vw|text_small:15vw" lh="text_small:1em" margin="bottom_small:0.2em" highlight_color="rgba(62, 196, 175, 0.35)" ls="text_small:-0.02em"]Make [ld_highlight]free[/ld_highlight][/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:20px" lh="text_small:1.666em" ls="text_small:-0.01em" padding="right_large:6vw" margin="bottom_small:1.6em" fw="text_small:500"]Complete Toolkit – The only theme covers all aspects; beautiful layouts, super customizable.[/ld_fancy_heading][ld_button style="btn-solid" title="Get Started — It’s free" link_type="scroll_to_section" size="btn-lg" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" text_color="rgb(255, 255, 255)" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" ls="0.02em" fs="15px"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(0, 0, 0)" fs="text_small:15px" margin="top_small:1em"]Try for free. No credit card required.[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/vc_column][vc_column offset="vc_col-md-4"][ld_images_group_container position="left_large:-27%25" margin="top_large:90px|top_medium:-250px|top_small:-180px|bottom_small:0px"][ld_images_group_element absolute_pos="yes" image="285" position="top_small:-20px|left_small:-20px"][/ld_images_group_element][ld_images_group_element absolute_pos="yes" image="44" position="top_small:18%25|right_small:0px|left_small:30%25"][/ld_images_group_element][ld_images_group_element img_size="60%" enable_hover3d="yes" image="274"][/ld_images_group_element][/ld_images_group_container][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Banner 55 - softwarehub
	$data = array();
	$data['name'] = esc_html__( 'Banner 55', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'banner-55.jpg' );
	$data['sort_name'] = 'Banner';
	$data['custom_class'] = 'general banner';
	$data['content'] = <<<CONTENT
	[vc_row full_height="yes" content_placement="middle" bg_position="right center" enable_row_dividers="yes" css=".vc_custom_1621436916963{padding-top: 60px !important;padding-bottom: 60px !important;background-color: #8fe8f2 !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}" row_svg_divider="top_shape_color:%23ffffff|top_shape_height:0|bottom_shape_type:13|bottom_shape_color:%23ffffff|bottom_shape_height:440" responsive_css="padding_top_medium:110px|padding_bottom_medium:110px"][vc_column offset="vc_col-lg-6 vc_col-md-7"][ld_fancy_heading use_custom_fonts_title="true" enable_fit="true" compressor="0.8" minfontsize="48" fs="text_medium:66px|text_small:60px" ls="text_small:-0.04em" lh="text_small:1em" margin="bottom_small:0.2em"]Automate all your notifications.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(49, 63, 88)" fs="text_small:20px" lh="text_small:1.25em" margin="bottom_small:2em" padding="right_large:17%25"]Centralize email, Facebook, Twitter, message, web chat and 30+ apps in one place.[/ld_fancy_heading][ld_button style="btn-solid" title="Download hub" transformation="text-uppercase" link_type="scroll_to_section" shape="circle" size="btn-lg" border="border-none" i_type="fontawesome" i_separator="btn-icon-sep" i_add_icon="true" i_size="22px" color="rgb(255, 255, 255)" hover_color="rgb(74, 33, 112)" fs="text_small:12px" i_separator_color="rgba(0, 0, 0, 0.1)" htext_color="rgb(255, 255, 255)" css=".vc_custom_1621245074221{margin-right: 20px !important;margin-bottom: 20px !important;}" i_color="rgb(74, 33, 112)" text_color="rgb(0, 0, 0)" i_icon_fontawesome="fab fa-apple" ls="text_small:0.09em" i_hcolor="rgb(255, 255, 255)" i_separator_hcolor="rgba(255, 255, 255, 0.15)" fw="text_small:700"][ld_button style="btn-naked" title="`{`ld_small font-size=``11px```}`Watch Demo`{`/ld_small`}`See how it works" link_type="lightbox" i_type="linea" i_position="left" i_shape="btn-icon-circle" i_shape_style="btn-icon-bordered" i_shape_bw="btn-icon-border-thick" i_shape_size="btn-icon-custom-size" i_add_icon="true" i_size="18px" color="rgb(110, 35, 128)" fs="text_small:14px" lh="text_small:1.25em" css=".vc_custom_1621244998586{margin-bottom: 20px !important;}" i_icon_linea="lqd-icn-ess icon-ion-ios-play" i_shape_custom_size="48px" hover_color="rgb(0, 0, 0)" fw="text_small:500" i_hcolor="rgb(255, 255, 255)" i_fill_hcolor2="rgb(0, 0, 0)" link="url:https%3A%2F%2Fwww.youtube.com%2Fwatch%3Fv%3DWaSvMAl4zPw||target:%20_blank|"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgba(0, 0, 0, 0.65)" fs="text_small:15px"]Free 30 days trial   ·   Exclusive Support   ·   No Fees[/ld_fancy_heading][/vc_column][vc_column width="5/6" column_top_ontablet="yes" column_top_onmobile="yes" offset="vc_col-lg-6 vc_col-md-offset-0 vc_col-md-5 vc_col-sm-offset-1 vc_hidden-xs" responsive_align="text-md-right"][ld_images_group_container el_class="z-index-2"][ld_images_group_element img_size="60%" enable_float_effect="yes" image="153" margin="right_all:-10%25|top_large:-20%25|right_large:-45%25|top_small:-2vw|right_small:-20vw"][/ld_images_group_element][ld_images_group_element img_size="55%" enable_hover3d="yes" enable_float_effect="yes" absolute_pos="yes" image="154" position="bottom_all:-25%25|left_all:-20%25|bottom_large:-50%25|left_large:-25%25|bottom_small:-10vw|left_small:-12vw"][/ld_images_group_element][/ld_images_group_container][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Banner 56 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Banner 56', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'banner-56.jpg' );
	$data['sort_name'] = 'Banner';
	$data['custom_class'] = 'general banner';
	$data['content'] = <<<CONTENT
CONTENT;
	$templates[] = $data;

	//Banner 57 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Banner 57', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'banner-57.jpg' );
	$data['sort_name'] = 'Banner';
	$data['custom_class'] = 'general banner';
	$data['content'] = <<<CONTENT
CONTENT;
	$templates[] = $data;
	
	//Banner 58 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Banner 58', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'banner-58.jpg' );
	$data['sort_name'] = 'Banner';
	$data['custom_class'] = 'general banner';
	$data['content'] = <<<CONTENT
CONTENT;
	$templates[] = $data;

	//Banner 59 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Banner 59', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'banner-59.jpg' );
	$data['sort_name'] = 'Banner';
	$data['custom_class'] = 'general banner';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" full_height="yes" enable_gradient="yes" enable_row_dividers="yes" responsive_css="padding_right_medium:8vw|padding_left_medium:8vw" gradient_bg="linear-gradient(90deg, rgb(141, 239, 255) 0.3184713375796178%, rgb(255, 175, 251) 97.13375796178345%)" row_svg_divider="bottom_shape_type:12|bottom_shape_color:%23ffffff|bottom_shape_height:113" css=".vc_custom_1611764336293{padding-top: 140px !important;padding-bottom: 100px !important;}"][vc_column offset="vc_col-lg-5 vc_col-md-6" responsive_css="margin_bottom_medium:0px" css=".vc_custom_1603198065121{margin-bottom: 45px !important;}" responsive_align="text-center text-sm-left"][ld_fancy_heading tag="h6" margin="bottom_small:1.5em"]Global Experience[/ld_fancy_heading][ld_fancy_heading use_custom_fonts_title="true" gradient="linear-gradient(121deg, rgb(252, 0, 223) 0.9554140127388535%, rgb(59, 89, 255) 98%)" fs="text_all:7.5vw|text_large:110px|text_medium:12vw|text_small:25vw" margin="bottom_small:0.1em" lh="text_large:1em|text_medium:1.25em|text_small:1em"]Digital Studio[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:19px" lh="text_small:1.5em" color="rgb(49, 63, 88)" margin="bottom_small:2em"]Our design services starts and ends with a best in class experience strategy that builds brands.[/ld_fancy_heading][ld_button style="btn-solid" title="Let’s talk — Send a message" link_type="scroll_to_section" shape="circle" size="btn-lg" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-lqd-pen" fs="15px" lh="1.5em" color="rgb(255, 255, 255)" text_color="rgb(0, 0, 0)"][/vc_column][vc_column offset="vc_col-lg-7 vc_col-md-6"][ld_images_group_container][ld_images_group_element absolute_pos="yes" image="43" position="top_small:12%25|right_small:12%25"][/ld_images_group_element][ld_images_group_element img_size="50%" image="41"][/ld_images_group_element][/ld_images_group_container][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Banner 60 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Banner 60', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'banner-60.jpg' );
	$data['sort_name'] = 'Banner';
	$data['custom_class'] = 'general banner';
	$data['content'] = <<<CONTENT
CONTENT;
	$templates[] = $data;

	//Banner 61 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Banner 61', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'banner-61.jpg' );
	$data['sort_name'] = 'Banner';
	$data['custom_class'] = 'general banner';
	$data['content'] = <<<CONTENT
	[vc_row full_height="yes" css=".vc_custom_1603704684299{background-color: #ffc1c5 !important;}"][vc_column][ld_fancy_heading tag="h6" use_custom_fonts_title="true" fs="text_small:17px" margin="bottom_small:1em"]Digital Designer based in Los Angeles[/ld_fancy_heading][ld_fancy_heading mask_bg_size="cover" mask_bg_repeat="no-repeat" mask_bg_position="center center" use_custom_fonts_title="true" use_bg_mask="true" fs="text_large:80px|text_medium:8vw|text_small:10vw" lh="text_small:1.1em" ls="text_small:-0.02em" gradient="linear-gradient(111deg, #0bccee 0%, rgb(235, 173, 105) 41.082802547770704%, rgb(194, 80, 80) 79.29936305732484%, #ac1de1 100%)"]Hi, I'm Alix. I work at <i class="fa fa-apple"></i>. I craft original effective brand experiences. My aim is to build your website so that it is functional and user friendly.[/ld_fancy_heading][ld_button style="btn-naked" title="— See my works" link_type="scroll_to_section" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" color="rgb(0, 0, 0)" hover_color="rgba(0, 0, 0, 0.75)" fs="19px" i_icon_linea="lqd-icn-ess icon-md-arrow-down"][ld_particles as_bg="yes" color_type="random_color" opacity="1" modes_grab_opacity="1" retina_detect="yes" particle_id="lqd-1596101585154-567d0b79-a330" number="12" size="2px"][/vc_column][/vc_row][vc_row css=".vc_custom_1606205965159{padding-top: 40px !important;padding-bottom: 40px !important;background-color: #d5f5ff !important;}" responsive_css="padding_top_medium:10vh|padding_bottom_medium:10vh"][vc_column offset="vc_col-md-offset-1 vc_col-md-10"][ld_promo show_dynamic_shape="yes" show_button="yes" ib_style="btn-naked" ib_title="— view project" ib_transformation="text-uppercase" ib_i_type="linea" ib_i_hover_reveal="btn-hover-reveal" use_custom_fonts_title="true" ib_i_add_icon="true" title="Anti Dote" image="307" ib_i_icon_linea="lqd-icn-ess icon-md-arrow-forward" ib_color="rgb(0, 74, 199)" ib_hover_color="rgb(0, 0, 0)" ib_fs="text_small:13px" ib_ls="text_small:0.1em" color="rgb(0, 74, 199)" overlay_color="rgb(255, 255, 255)" dynamic_shape_bg="rgb(255, 255, 255)" fs="9vw" ib_fw="text_small:700" ib_link="url:http%3A%2F%2Fadaptivecolorspro.liquid-themes.com%2Fportfolio%2Fnexa-mobile%2F|title:Starter%20Kit||" link="url:http%3A%2F%2Fadaptivecolorspro.liquid-themes.com%2Fportfolio%2Fnexa-mobile%2F|||"]Sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.
Ut enim ad minim veniam[/ld_promo][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Banner 62 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Banner 62', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'banner-62.jpg' );
	$data['sort_name'] = 'Banner';
	$data['custom_class'] = 'general banner';
	$data['content'] = <<<CONTENT
	[vc_row full_height="yes" css=".vc_custom_1608296878382{padding-top: 70px !important;padding-bottom: 70px !important;background-color: #ffaac7 !important;}" responsive_css="padding_top_medium:120px"][vc_column responsive_align="text-center"][ld_images_group_element img_size="50%" enable_effects="yes" parallax="yes" enable_reveal="yes" reveal_direction="bt" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" absolute_pos="yes" image="238" reveal_color="rgb(185, 223, 255)" position="top_all:-15%25|top_large:-25%25|top_medium:-50%25|left_medium:50%25|top_small:-60%25|left_small:0px" margin="left_medium:-290px|left_small:0px" translate_from_y="130" translate_to_y="-130"][/ld_images_group_element][ld_fancy_heading split_type="chars, words" duration="1600" delay="100" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_y="150%" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_origin_y="100%" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" color="rgb(185, 223, 255)" fs="text_large:300px|text_medium:32vw|text_small:30vw" lh="text_small:0.9em" ls="text_small:-0.05em" margin="bottom_small:0px" ca_init_translate_y="200" ca_init_rotate_x="125" start_delay="350"]Hi, I’m Paul.[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Banner 63 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Banner 63', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'banner-63.jpg' );
	$data['sort_name'] = 'Banner';
	$data['custom_class'] = 'general banner';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1606205965159{padding-top: 40px !important;padding-bottom: 40px !important;background-color: #d5f5ff !important;}" responsive_css="padding_top_medium:10vh|padding_bottom_medium:10vh"][vc_column offset="vc_col-md-offset-1 vc_col-md-10"][ld_promo show_dynamic_shape="yes" show_button="yes" ib_style="btn-naked" ib_title="— view project" ib_transformation="text-uppercase" ib_i_type="linea" ib_i_hover_reveal="btn-hover-reveal" use_custom_fonts_title="true" ib_i_add_icon="true" title="Anti Dote" image="307" ib_i_icon_linea="lqd-icn-ess icon-md-arrow-forward" ib_color="rgb(0, 74, 199)" ib_hover_color="rgb(0, 0, 0)" ib_fs="text_small:13px" ib_ls="text_small:0.1em" color="rgb(0, 74, 199)" overlay_color="rgb(255, 255, 255)" dynamic_shape_bg="rgb(255, 255, 255)" fs="9vw" ib_fw="text_small:700" ib_link="url:http%3A%2F%2Fadaptivecolorspro.liquid-themes.com%2Fportfolio%2Fnexa-mobile%2F|title:Starter%20Kit||" link="url:http%3A%2F%2Fadaptivecolorspro.liquid-themes.com%2Fportfolio%2Fnexa-mobile%2F|||"]Sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<br />
Ut enim ad minim veniam[/ld_promo][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Category CTA
	//CTA 1 - newsletterhub
	$data = array();
	$data['name'] = esc_html__( 'Call To Action 01', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'cta-1.jpg' );
	$data['sort_name'] = 'Call to action';
	$data['custom_class'] = 'general cta call-to-action';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" css=".vc_custom_1610920943854{padding-top: 130px !important;padding-bottom: 100px !important;background-color: #edf7f8 !important;}" el_id="installation"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_origin_z="-80px" ca_an_opacity="1" offset="vc_col-md-5" ca_duration="1600" ca_delay="160" ca_init_translate_y="40" ca_init_rotate_x="-90"][ld_particles as_bg="yes" shape_type="image" opacity="1" enable_random_opacity="yes" enable_random_size="yes" enable_move="yes" move_direction="right" enable_random_move="yes" modes_grab_opacity="1" particle_id="lqd-1608817134008-f5183198-5a24" number="10" image="282" image_width="74" image_height="45" size="50" color="#ffffff" move_speed="1"][ld_fancy_heading ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" color="rgb(17, 36, 70)" fs="text_medium:55px" lh="text_small:1.1em" margin="bottom_small:0.35em"]Our Data-Driven Unique Features.[/ld_fancy_heading][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" fs="text_small:19px" lh="text_small:1.3em" color="rgb(0, 27, 56)" margin="bottom_small:1.65em"]No more complex codes. Creating an attractive and functional site has never been easier.[/ld_fancy_heading][ld_button style="btn-solid" title="Sign up — It’s Free" link_type="scroll_to_section" shape="circle" size="btn-lg" border="border-none" i_type="linea" i_hover_reveal="btn-hover-swp" i_add_icon="true" lh="1.25em" css=".vc_custom_1611424185971{padding-right: 0.25em !important;padding-left: 0.25em !important;}" fs="16px" color="rgb(10, 98, 115)" fw="500" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" hover_color="rgb(20, 20, 20)" htext_color="rgb(255, 255, 255)" ls="0.01em"][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" column_top_ontablet="yes" column_top_onmobile="yes" responsive_align="text-md-right" offset="vc_col-md-7" ca_duration="1600" ca_start_delay="450" ca_delay="160" ca_init_translate_x="45" ca_init_translate_y="0"][ld_images_group_element image="280"][/ld_images_group_element][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;
	
	//CTA 2 - newsletterhub
	$data = array();
	$data['name'] = esc_html__( 'Call To Action 02', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'cta-2.jpg' );
	$data['sort_name'] = 'Call to action';
	$data['custom_class'] = 'general cta call-to-action';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" bg_position="center top" el_id="pricing" css=".vc_custom_1608821054922{padding-top: 70px !important;padding-bottom: 70px !important;background-image: url(https://softwarehub.liquid-themes.com/staging/wp-content/uploads/2020/12/bg-2.svg?id=250) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" ca_duration="1600" ca_delay="160" ca_init_translate_x="-35" offset="vc_col-md-6"][ld_images_group_element image="280"][/ld_images_group_element][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-lg-offset-1 vc_col-lg-5 vc_col-md-6" ca_duration="1600" ca_start_delay="250" ca_delay="160" ca_init_translate_y="30"][ld_fancy_heading tag="h2" highlight_height="0.3em" highlight_offset="5px" use_custom_fonts_title="true" color="rgb(17, 36, 70)" fs="text_small:38px" ls="text_small:-0.01em" margin="bottom_small:0.55em" highlight_color="rgba(57, 107, 255, 0.17)"]High Performance Servers.[/ld_fancy_heading][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" color="rgb(74, 98, 126)" lh="text_small:1.375em" margin="bottom_small:1.5em"]Choose a pre-built header or create a custom layout that perfectly suits your needs. It’s easy and fast. Your time is precious for us. Install any demo, plugin or template in a matter of seconds.[/ld_fancy_heading][ld_button style="btn-naked" title="See it in Action" i_type="linea" i_hover_reveal="btn-hover-swp" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-forward" color="rgb(27, 58, 90)" fs="15px"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;
	
	//CTA 3 - newsletterhub
	$data = array();
	$data['name'] = esc_html__( 'Call To Action 03', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'cta-3.jpg' );
	$data['sort_name'] = 'Call to action';
	$data['custom_class'] = 'general cta call-to-action';
	$data['content'] = <<<CONTENT
	[vc_row enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_origin_z="-80px" ca_an_opacity="1" ca_duration="1600" ca_delay="160" ca_init_translate_y="80" ca_init_rotate_x="-90" el_id="download" css=".vc_custom_1611417764708{padding-bottom: 10px !important;}"][vc_column css=".vc_custom_1610378810132{padding-top: 60px !important;padding-right: 15px !important;padding-bottom: 60px !important;padding-left: 15px !important;border-radius: 5px !important;}" responsive_css="padding_right_medium:70px|padding_left_medium:70px|padding_right_small:20px|padding_left_small:20px"][vc_row_inner content_placement="middle"][vc_column_inner width="2/3" responsive_align="text-center" responsive_css="margin_bottom_small:0px" css=".vc_custom_1610378804362{margin-bottom: 20px !important;}" offset="vc_col-md-offset-2"][ld_fancy_heading tag="h2" highlight_height="0.3em" highlight_offset="5px" use_custom_fonts_title="true" fs="text_small:46px" margin="bottom_small:0.15em" highlight_color="rgba(57, 107, 255, 0.15)"]Join Hub and get limited [ld_highlight] discount[/ld_highlight][/ld_fancy_heading][ld_spacer height="18px"][ld_fancy_heading tag="p" use_custom_fonts_title="true"]We offer no questions asked refund policy for 14 days from the policy date.[/ld_fancy_heading][ld_spacer height="18px"][ld_button style="btn-solid" title="Sign up — It’s Free" shape="circle" size="btn-lg" border="border-none" i_type="linea" i_hover_reveal="btn-hover-swp" i_add_icon="true" lh="1.25em" css=".vc_custom_1611417745568{padding-right: 0.75em !important;padding-left: 0.75em !important;}" fs="16px" color="rgb(232, 251, 255)" fw="500" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" text_color="rgb(10, 98, 115)" hover_color="rgb(37, 37, 37)" htext_color="rgb(255, 255, 255)"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;
	
	//CTA 4 - classic
	$data = array();
	$data['name'] = esc_html__( 'Call To Action 04', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'cta-4.jpg' );
	$data['sort_name'] = 'Call to action';
	$data['custom_class'] = 'general cta call-to-action';
	$data['content'] = <<<CONTENT
	[vc_row row_scale_bg_onhover="yes" bg_position="custom" enable_overlay="yes" enable_row_shadowbox="yes" css=".vc_custom_1611924976884{padding-top: 60px !important;padding-bottom: 60px !important;background-image: url(https://classichub.liquid-themes.com/staging/wp-content/uploads/2020/03/bg-2@2x-scaled.jpg?id=69) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" overlay_bg="rgba(43, 43, 43, 0.35)" row_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2222px%22%2C%22blur_radius%22%3A%2255px%22%2C%22shadow_color%22%3A%22rgba(0%2C0%2C0%2C0.13)%22%7D%5D" responsive_css="padding_top_medium:100px|padding_bottom_medium:100px|padding_top_small:60px|padding_bottom_small:60px" bg_pos_h="25%" bg_pos_v="50%"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" align="text-center" offset="vc_col-md-offset-2 vc_col-md-8" ca_duration="1800" ca_delay="180" ca_init_translate_y="45" responsive_align="text-left text-md-center"][ld_fancy_heading tag="h2" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_inheritance="true" enable_split="true" color="rgb(255, 255, 255)" padding="right_large:7%25|left_large:7%25"]We help people to build and expand their services.[/ld_fancy_heading][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" margin="bottom_small:2em" fs="text_small:17px" lh="text_small:28px" color="rgba(255, 255, 255, 0.8)" padding="right_large:15%25|left_large:15%25"]Hub IT allows your business and technology computers to store, transmit and analyze. [/ld_fancy_heading][ld_button style="btn-solid" title="Explore hub" transformation="text-uppercase" link_type="scroll_to_section" shape="round" i_type="linea" i_hover_reveal="btn-hover-swp" i_add_icon="true" lh="1.5em" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" hover_color="rgb(59, 59, 59)"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;
	
	//CTA 5 - classic
	$data = array();
	$data['name'] = esc_html__( 'Call To Action 05', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'cta-5.jpg' );
	$data['sort_name'] = 'Call to action';
	$data['custom_class'] = 'general cta call-to-action';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" row_scale_bg_onhover="yes" enable_overlay="yes" css=".vc_custom_1610893415509{padding-top: 60px !important;padding-bottom: 60px !important;background-image: url(https://classichub.liquid-themes.com/staging/wp-content/uploads/2020/03/bg-3@2x-scaled.jpg?id=77) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" overlay_bg="rgba(0, 0, 0, 0.22)" hover_overlay_bg="rgba(0, 0, 0, 0.4)" responsive_css="padding_top_medium:100px|padding_bottom_medium:80px|padding_top_small:60px|padding_bottom_small:60px"][vc_column align="text-center" offset="vc_col-md-7" responsive_align="text-md-left" css=".vc_custom_1595400834749{margin-bottom: 45px !important;}"][ld_fancy_heading tag="h2" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(255, 255, 255)" fs="text_medium:45px|text_small:35px" ls="text_small:-0.01em" margin="bottom_small:0px" ca_init_translate_y="90"]Schedule a meeting to take your business to the next level.[/ld_fancy_heading][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" align="text-center" offset="vc_col-md-offset-2 vc_col-md-3" ca_init_translate_y="39" responsive_align="text-md-right"][ld_button style="btn-solid" title="Get in Touch" transformation="text-uppercase" link_type="scroll_to_section" shape="round" size="btn-xlg" i_type="linea" i_hover_reveal="btn-hover-swp" i_add_icon="true" lh="1.5em" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" hover_color="rgb(59, 59, 59)"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//CTA 6 - classic
	$data = array();
	$data['name'] = esc_html__( 'Call To Action 06', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'cta-6.jpg' );
	$data['sort_name'] = 'Call to action';
	$data['custom_class'] = 'general cta call-to-action';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" row_scale_bg_onhover="yes" enable_cc_circle="yes" enable_overlay="yes" css=".vc_custom_1611576458077{padding-top: 60px !important;padding-bottom: 60px !important;background-image: url(https://asymmetric-businesspro.liquid-themes.com/wp-content/uploads/2020/10/asy-business-banner@2x.jpg?id=4375) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" overlay_bg="rgba(0, 0, 0, 0.1)" responsive_css="margin_left_medium:100px|padding_top_medium:110px|padding_right_medium:7vw|padding_bottom_medium:110px|padding_left_medium:7vw" hover_overlay_bg="rgba(29, 30, 60, 0.13)"][vc_column offset="vc_col-lg-4 vc_col-md-5"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" use_inheritance="true" color="rgb(255, 255, 255)" fs="text_large:55px|text_small:45px" lh="text_small:1em" margin="bottom_small:0.65em"]Looking for a collaboration?[/ld_fancy_heading][ld_button style="btn-solid" title="Send message" shape="round" size="btn-sm" border="border-none" hover_txt_effect="btn-hover-txt-liquid-y" hover_bg_effect="btn-hover-bg-liquid" hover_bg_color="rgb(0, 0, 0)" color="rgb(255, 255, 255)" hover_color="rgb(0, 0, 0)" text_color="rgb(0, 0, 0)" htext_color="rgb(255, 255, 255)" css=".vc_custom_1610691148684{padding-right: 0.5em !important;padding-left: 0.5em !important;}"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//CTA 7 - classic
	$data = array();
	$data['name'] = esc_html__( 'Call To Action 07', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'cta-7.jpg' );
	$data['sort_name'] = 'Call to action';
	$data['custom_class'] = 'general cta call-to-action';
	$data['content'] = <<<CONTENT
	[vc_row bg_position="custom" css=".vc_custom_1587035098972{margin-bottom: 70px !important;padding-top: 80px !important;padding-bottom: 90px !important;background: #c10909 url(https://asymmetric-businesspro.liquid-themes.com/wp-content/uploads/2020/04/bg-2.svg?id=45) !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}" bg_pos_h="35%" bg_pos_v="-110px" responsive_css="margin_left_medium:100px"][vc_column offset="vc_col-md-6"][ld_fancy_heading tag="h4" color="rgb(255, 255, 255)" margin="bottom_small:1.5em"]Our Story[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-lg-5 vc_col-md-6"][ld_fancy_heading tag="p" tag_to_inherite="h4" use_inheritance="true" color="rgb(255, 255, 255)" margin="bottom_small:1.35em"]Hub is a digital design studio that develops <span style="text-decoration: underline;">strategic vision</span> and products through cultural insight and emotion.[/ld_fancy_heading][ld_button style="btn-solid" title="Send message" shape="round" size="btn-sm" border="border-none" hover_txt_effect="btn-hover-txt-liquid-y" i_type="linea" i_hover_reveal="btn-hover-swp" i_add_icon="true" color="rgb(255, 255, 255)" text_color="rgb(0, 0, 0)" css=".vc_custom_1596372112707{padding-right: 0.5em !important;padding-left: 0.5em !important;}" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" hover_color="rgb(37, 37, 37)" htext_color="rgb(255, 255, 255)"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//CTA 8 - classic
	$data = array();
	$data['name'] = esc_html__( 'Call To Action 08', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'cta-8.jpg' );
	$data['sort_name'] = 'Call to action';
	$data['custom_class'] = 'general cta call-to-action';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1572002552033{padding-top: 35px !important;}"][vc_column enable_overlay="yes" enable_column_shadowbox="yes" css=".vc_custom_1572002832942{margin-bottom: -180px !important;padding-top: 75px !important;padding-right: 30px !important;padding-bottom: 75px !important;padding-left: 30px !important;background-image: url(https://servicepro.liquid-themes.com/wp-content/uploads/2019/10/bg-5.jpg?id=4318) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;border-radius: 10px !important;}" overlay_bg="rgba(1, 82, 197, 0.85)" column_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2230px%22%2C%22blur_radius%22%3A%2280px%22%2C%22shadow_color%22%3A%22rgba(0%2C%200%2C%200%2C%200.1)%22%7D%5D" responsive_css="padding_right_medium:100px|padding_left_medium:100px|padding_right_small:50px|padding_left_small:50px"][vc_row_inner content_placement="bottom"][vc_column_inner enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-7" ca_duration="1800" ca_delay="200" ca_init_translate_y="80"][ld_fancy_heading tag="h2" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(255, 227, 209)" fs="text_small:49px" lh="text_small:1.15em" margin="bottom_large:70px|bottom_small:40px" ca_init_translate_y="0"]La solution à vos mobile online payments[/ld_fancy_heading][/vc_column_inner][vc_column_inner][/vc_column_inner][vc_column_inner enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-4" ca_duration="1800" ca_init_translate_y="30"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.5)" fs="14px" margin="bottom_large:15px|bottom_small:35px"]Unpredictable rates may apply for $59[/ld_fancy_heading][/vc_column_inner][vc_column_inner enable_content_animation="yes" ca_init_scale_x="1.25" ca_init_scale_y="1.25" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-8" ca_duration="1800" ca_start_delay="200" ca_delay="200" responsive_align="text-md-right"][ld_button style="btn-solid" title="Become a Retailer" shape="round" size="btn-lg" border="border-none" color="rgb(255, 255, 255)" text_color="rgb(0, 36, 88)" fs="16px" lh="1.5em" hover_color="rgb(255, 227, 209)" htext_color="rgb(0, 36, 88)" css=".vc_custom_1605985793367{margin-right: 20px !important;margin-bottom: 15px !important;}"][ld_button style="btn-solid" title="Send money" shape="round" size="btn-lg" border="border-none" color="rgb(0, 203, 153)" text_color="rgb(255, 255, 255)" fs="16px" lh="1.5em" hover_color="rgb(255, 227, 209)" htext_color="rgb(0, 36, 88)" css=".vc_custom_1572002497948{margin-bottom: 15px !important;}"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//CTA 9 - classic
	$data = array();
	$data['name'] = esc_html__( 'Call To Action 09', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'cta-9.jpg' );
	$data['sort_name'] = 'Call to action';
	$data['custom_class'] = 'general cta call-to-action';
	$data['content'] = <<<CONTENT
	[vc_row enable_overlay="yes" css=".vc_custom_1615189193861{padding-top: 50px !important;padding-bottom: 10px !important;}" overlay_bg="linear-gradient(0deg, rgb(255, 255, 255) 0%, rgba(255, 255, 255, 0) 100%)" responsive_css="padding_top_medium:90px|padding_top_small:70px" el_id="contact"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-4" ca_duration="1600" ca_delay="160" ca_init_translate_y="50" css=".vc_custom_1572354204050{margin-bottom: 30px !important;}"][ld_fancy_heading tag="h2" highlight_offset="5px" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" highlight_color="rgb(211, 255, 248)" fs="text_small:42px" lh="text_small:1.333em"][ld_highlight]Any questions à [/ld_highlight] [ld_highlight]Projects?[/ld_highlight][/ld_fancy_heading][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" enable_split="true" color="rgb(0, 35, 82)"]Digital experiences, and print materials that communicate marketing goals.[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-2 vc_hidden-sm vc_hidden-xs" el_class="z-index-2"][ld_images_group_element img_size="150%" enable_hover3d="yes" enable_float_effect="yes" absolute_pos="yes" image="4415" position="top_large:0px|right_large:0px|left_large:0px"][/ld_images_group_element][/vc_column][vc_column enable_column_shadowbox="yes" offset="vc_col-md-6" column_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2216px%22%2C%22blur_radius%22%3A%2250px%22%2C%22shadow_color%22%3A%22rgb(238%2C%20241%2C%20246)%22%7D%5D" css=".vc_custom_1572354237830{background-color: #ffffff !important;}"][vc_row_inner enable_content_animation="yes" equal_height="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" ca_duration="1600" ca_delay="160" ca_init_translate_y="40"][vc_column_inner width="1/2" css=".vc_custom_1602650745639{border-right-width: 1px !important;padding-top: 33px !important;padding-right: 20px !important;padding-bottom: 15px !important;padding-left: 20px !important;border-right-color: #ebebeb !important;border-right-style: solid !important;}" responsive_css="padding_right_large:40px|padding_left_large:40px|border_right_medium:1px|padding_top_medium:33px|padding_right_medium:20px|padding_bottom_medium:33px|padding_left_medium:20px"][ld_fancy_heading tag="p" color="rgba(0, 35, 82, 0.6)" margin="bottom_small:0.25em"]Project Offers[/ld_fancy_heading][ld_fancy_heading tag="h4" color="rgb(0, 35, 82)" margin="bottom_small:0px"]info.liquid.com[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/2" responsive_css="padding_right_large:40px|padding_left_large:40px" css=".vc_custom_1588598769887{padding-top: 33px !important;padding-right: 20px !important;padding-bottom: 33px !important;padding-left: 20px !important;}"][ld_fancy_heading tag="p" color="rgba(0, 35, 82, 0.6)" margin="bottom_small:0.25em"]Consultation[/ld_fancy_heading][ld_fancy_heading tag="h4" color="rgb(0, 35, 82)" margin="bottom_small:0px"]+ 1 223 38 87[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//CTA 10 - classic
	$data = array();
	$data['name'] = esc_html__( 'Call To Action 10', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'cta-10.jpg' );
	$data['sort_name'] = 'Call to action';
	$data['custom_class'] = 'general cta call-to-action';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" responsive_css="padding_top_medium:40px|padding_bottom_medium:40px" css=".vc_custom_1621614035928{padding-top: 30px !important;padding-bottom: 30px !important;}" el_id="vehicle-insurance"][vc_column offset="vc_col-md-5"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_large:47px" margin="bottom_small:0.75em"]Covering your family’s needs.[/ld_fancy_heading][ld_fancy_heading tag="h3"]Protectec Insurance Policy[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.35em" margin="bottom_small:2.65em"]Mobile insurance packages made easy, forget about worrying for your mobile and live your life.[/ld_fancy_heading][ld_fancy_heading tag="h3"]Competitive Packages[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.35em" margin="bottom_small:2.65em"]We embrace holistic development and support for employees the aim of being a first-choice employer[/ld_fancy_heading][ld_button style="btn-solid" title="Request a Quote" shape="circle" border="border-none" i_type="linea" i_shape="btn-icon-circle" i_shape_style="btn-icon-solid" i_shape_size="btn-icon-custom-size" i_add_icon="true" link="url:%23|||" i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-forward" i_shape_custom_size="30px" hover_color="rgb(15, 90, 100)" text_color="rgb(15, 90, 100)" color="rgba(7, 124, 88, 0.11)" htext_color="rgb(255, 255, 255)" i_hcolor="rgb(15, 90, 100)" i_fill_hcolor="rgb(255, 255, 255)" i_color="rgb(15, 90, 100)" fs="text_small:14px" lh="text_small:2em" i_margin_left="12px" fw="text_small:500"][/vc_column][vc_column column_top_ontablet="yes" column_top_onmobile="yes" offset="vc_col-md-offset-1 vc_col-md-6" responsive_css="margin_bottom_medium:0px" css=".vc_custom_1621616442735{margin-bottom: 30px !important;}"][vc_single_image image="3532" css=".vc_custom_1621606897777{margin-bottom: 0px !important;}"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//CTA 11 - classic
	$data = array();
	$data['name'] = esc_html__( 'Call To Action 11', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'cta-11.jpg' );
	$data['sort_name'] = 'Call to action';
	$data['custom_class'] = 'general cta call-to-action';
	$data['content'] = <<<CONTENT
	[vc_row enable_gradient="yes" gradient_bg="linear-gradient(179deg, #eef7fa 0.6369426751592356%, rgb(255, 255, 255) 100%)" css=".vc_custom_1605833651153{padding-top: 70px !important;padding-bottom: 50px !important;}"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-6" ca_duration="1800" ca_delay="180" ca_init_translate_y="65"][ld_fancy_heading tag="h2" highlight_reset_onhover="lqd-highlight-reset-onhover" margin="bottom_small:0.3em" highlight_color="rgba(157, 95, 255, 0.1)"]Start your [ld_highlight]free trial.[/ld_highlight][/ld_fancy_heading][ld_fancy_heading tag="h4" color="rgba(21, 86, 108, 0.45)" margin="bottom_small:1.5em"]Ready to get started?[/ld_fancy_heading][ld_newsletter style="solid" inputs_size="ld-sf--size-xl" inputs_radius="ld-sf--round" inputs_shadow="ld-sf--input-shadow" btn_style="naked" btn_display="label_icon" btn_label="GET STARTED" btn_position="ld-sf--button-inside" i_type="linea" use_custom_fonts_input="true" use_custom_fonts_label="true" i_add_icon="true" placeholder_text="Your email address" fs="18px" label_fs="15px" label_ls="0.01em" txt_color="rgb(128, 129, 171)" txt_f_color="rgb(0, 0, 0)" margin="bottom_small:15px" i_icon_linea="lqd-icn-ess icon-md-arrow-forward"][vc_column_text]<a href="https://startup.liquid-themes.com/wp-content/uploads/2019/10/shapes-1.svg"><img class="alignnone size-full wp-image-640" src="https://startup.liquid-themes.com/wp-content/uploads/2019/10/shapes-1.svg" alt="" /></a>    <span style="color: #000000; font-size: 12px;">Try for free. No credit card required.</span>[/vc_column_text][/vc_column][vc_column offset="vc_col-lg-4 vc_col-md-offset-1 vc_col-md-5 vc_hidden-sm vc_hidden-xs"][ld_images_group_container margin="top_large:-50%25"][ld_images_group_element enable_hover3d="yes" enable_float_effect="yes" image="766"][/ld_images_group_element][/ld_images_group_container][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//CTA 12 - classic
	$data = array();
	$data['name'] = esc_html__( 'Call To Action 12', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'cta-12.jpg' );
	$data['sort_name'] = 'Call to action';
	$data['custom_class'] = 'general cta call-to-action';
	$data['content'] = <<<CONTENT
	[vc_row parallax="enable_parallax" enable_content_animation="yes" ca_init_scale_x="1.2" ca_init_scale_y="1.2" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" bg_position="center center" css=".vc_custom_1620300872542{padding-top: 100px !important;padding-bottom: 100px !important;background-image: url(https://itbusinesspro.liquid-themes.com/wp-content/uploads/2020/01/bg-2@2x-scaled.jpg?id=47) !important;background-position: center;background-repeat: no-repeat !important;background-size: cover !important;}" ca_duration="1800" ca_delay="180" ca_init_translate_x="100" ca_init_rotate_x="0" ca_init_rotate_y="60"][vc_column row_scale_bg_onhover="yes" enable_backdrop_filter="yes" enable_column_shadowbox="yes" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" backfilter_blur="0" backfilter_saturation="1" backfilter_brightness="1" backfilter_contrast="1" backfilter_grayscale="0" backfilter_hue="0" backfilter_sepia="1" backfilter_opacity="1" offset="vc_col-md-offset-7 vc_col-md-5" css=".vc_custom_1609183980636{padding-top: 55px !important;padding-right: 40px !important;padding-bottom: 70px !important;padding-left: 40px !important;background-color: #ffffff !important;}" column_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2220px%22%2C%22blur_radius%22%3A%2260px%22%2C%22shadow_color%22%3A%22rgba(0%2C%200%2C%200%2C%200.1)%22%7D%5D" ca_duration="1800" ca_delay="180" ca_init_translate_y="35" ca_start_delay="500" responsive_css="padding_right_medium:70px|padding_left_medium:70px|padding_right_small:30px|padding_left_small:30px"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="40px" margin="bottom_small:0.85em"]Key benefits[/ld_fancy_heading][ld_icon_box i_type="linea" heading_size="custom" heading_weight="font-weight-normal" position="iconbox-inline" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title="IT Solutions for your business" title_mb="1" icon_mb="7" custom_heading_size="17px" icon_size="18px" css=".vc_custom_1607346409497{margin-bottom: 15px !important;}"][/ld_icon_box][ld_icon_box i_type="linea" heading_size="custom" heading_weight="font-weight-normal" position="iconbox-inline" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title="Complete API Integration" title_mb="1" icon_mb="7" custom_heading_size="17px" icon_size="18px" css=".vc_custom_1607346422524{margin-bottom: 15px !important;}"][/ld_icon_box][ld_icon_box i_type="linea" heading_size="custom" heading_weight="font-weight-normal" position="iconbox-inline" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title="Simple registration system" title_mb="1" icon_mb="7" custom_heading_size="17px" icon_size="18px" css=".vc_custom_1607346433700{margin-bottom: 40px !important;}"][/ld_icon_box][ld_button style="btn-solid" title="See how we work" transformation="text-uppercase" shape="round" border="border-none" hover_txt_effect="btn-hover-txt-liquid-y" hover_bg_effect="btn-hover-bg-liquid" hover_bg_color="rgb(0, 0, 0)" fs="14px"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//CTA 13 - classic
	$data = array();
	$data['name'] = esc_html__( 'Call To Action 13', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'cta-13.jpg' );
	$data['sort_name'] = 'Call to action';
	$data['custom_class'] = 'general cta call-to-action';
	$data['content'] = <<<CONTENT
	[vc_row row_scale_bg_onhover="yes" bg_position="center center" enable_loading_bg="yes" css=".vc_custom_1620300997589{padding-top: 60px !important;padding-bottom: 70px !important;background-image: url(https://itbusinesspro.liquid-themes.com/wp-content/uploads/2020/01/bg-4@2x-1-scaled.jpg?id=66) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" responsive_css="padding_top_medium:110px|padding_bottom_medium:120px"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" align="text-center" offset="vc_col-md-offset-2 vc_col-md-8" ca_duration="1800" ca_delay="180" ca_init_translate_y="45" responsive_align="text-left text-md-center"][ld_fancy_heading tag="h2" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" enable_fit="true" color="rgb(255, 255, 255)" minfontsize="52" fs="text_medium:62px|text_small:13vw" lh="text_small:1.161em"]Contact us to secure your IT needs.[/ld_fancy_heading][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" color="rgb(255, 255, 255)" fs="24px" lh="1.25em" margin="bottom_small:1.75em"]Let’s collaborate and make an impact with our cross-discipline approach to design and deveopment.[/ld_fancy_heading][ld_button style="btn-solid" title="Let’s work together" transformation="text-uppercase" shape="round" border="border-none" hover_txt_effect="btn-hover-txt-liquid-y" hover_bg_effect="btn-hover-bg-liquid" hover_bg_color="rgb(0, 0, 0)" fs="14px"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//CTA 14 - classic
	$data = array();
	$data['name'] = esc_html__( 'Call To Action 14', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'cta-14.jpg' );
	$data['sort_name'] = 'Call to action';
	$data['custom_class'] = 'general cta call-to-action';
	$data['content'] = <<<CONTENT
	[vc_row row_scale_bg_onhover="yes" enable_overlay="yes" css=".vc_custom_1614671578707{padding-top: 120px !important;padding-bottom: 120px !important;background-image: url(https://itbusinesspro.liquid-themes.com/wp-content/uploads/2021/01/opus-two-background.jpg?id=8852) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" overlay_bg="rgba(22, 22, 22, 0.15)" hover_overlay_bg="rgba(22, 22, 22, 0.45)"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" align="text-center" offset="vc_col-lg-5 vc_col-md-6" ca_duration="1200" ca_delay="180" ca_init_translate_y="40" ca_init_translate_z="-161" ca_init_rotate_x="-80" css=".vc_custom_1545130653593{padding-top: 5% !important;padding-right: 5% !important;padding-bottom: 5% !important;padding-left: 5% !important;background-color: #ffffff !important;border-radius: 4px !important;}" responsive_align="text-center"][ld_spacer height="18px"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="36px" lh="1.111em"]Get in Touch[/ld_fancy_heading][ld_spacer height="12px"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px" lh="text_small:25px" color="rgba(24, 27, 49, 0.502)"]Top-notch support, free lifetime updates, and bonus plugins included in the package![/ld_fancy_heading][ld_spacer height="22px"][ld_button style="btn-solid" title="Join to download" shape="round" width="btn-block" fs="15px" lh="1.5em" ls="0.02em" css=".vc_custom_1609858528105{padding-right: 2em !important;padding-left: 2em !important;}" hover_color="rgb(37, 37, 37)"][ld_spacer height="22px"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//CTA 15 - classic
	$data = array();
	$data['name'] = esc_html__( 'Call To Action 15', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'cta-15.jpg' );
	$data['sort_name'] = 'Call to action';
	$data['custom_class'] = 'general cta call-to-action';
	$data['content'] = <<<CONTENT
	[vc_row enable_content_animation="yes" ca_init_scale_x="0.85" ca_init_scale_y="0.85" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" css=".vc_custom_1614344011038{padding-top: 15px !important;}" ca_duration="1800" ca_delay="180" ca_init_translate_y="65" ca_init_rotate_x="-35" el_id="download"][vc_column parallax="yes" scale_from_x="1.2" scale_from_y="1.2" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" enable_column_shadowbox="yes" bg_position="center center" responsive_css="padding_right_medium:90px|padding_left_medium:90px" css=".vc_custom_1614345414070{margin-bottom: -100px !important;padding-top: 55px !important;padding-right: 15px !important;padding-bottom: 55px !important;padding-left: 15px !important;background-color: #030343 !important;background-position: 0 0 !important;background-repeat: no-repeat !important;border-radius: 10px !important;}" column_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2215px%22%2C%22blur_radius%22%3A%2250px%22%2C%22shadow_color%22%3A%22rgba(0%2C%200%2C%200%2C%200.19)%22%7D%5D" translate_from_y="100" parallax_duration="-=650"][vc_row_inner content_placement="middle"][vc_column_inner align="text-center" offset="vc_col-md-8" responsive_align="text-center text-md-left"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_medium:46px|text_small:10vw" margin="bottom_large:0px" lh="text_small:1em" fw="text_small:700"]Join Hub and increase your productivity.[/ld_fancy_heading][/vc_column_inner][vc_column_inner align="text-center" responsive_align="text-center text-md-right" offset="vc_col-md-4"][ld_button style="btn-solid" title="Get Started" shape="circle" size="btn-lg" hover_txt_effect="btn-hover-txt-switch btn-hover-txt-switch-y" i_type="linea" i_add_icon="true" color="rgb(255, 255, 255)" hover_color="rgb(18, 18, 18)" htext_color="rgb(255, 255, 255)" text_color="rgb(0, 0, 0)" i_icon_linea="lqd-icn-ess icon-md-arrow-forward"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//CTA 16 - classic
	$data = array();
	$data['name'] = esc_html__( 'Call To Action 16', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'cta-16.jpg' );
	$data['sort_name'] = 'Call to action';
	$data['custom_class'] = 'general cta call-to-action';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" enable_row_dividers="yes" css=".vc_custom_1605613246476{padding-bottom: 60px !important;background-color: #f8f9ff !important;}" row_svg_divider="bottom_shape_type:1|bottom_shape_color:%23ffffff|bottom_shape_height:80" el_id="contact" responsive_css="padding_top_medium:100px"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-4" ca_duration="1600" ca_delay="160" ca_init_translate_y="50" css=".vc_custom_1572354204050{margin-bottom: 30px !important;}"][ld_fancy_heading tag="h2" highlight_reset_onhover="lqd-highlight-reset-onhover" highlight_offset="5px" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" use_inheritance="true" enable_split="true" highlight_color="rgb(211, 255, 248)" fs="text_medium:47px|text_small:10.5vw"][ld_highlight]Any questions à [/ld_highlight] [ld_highlight]Projects?[/ld_highlight][/ld_fancy_heading][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" enable_split="true" color="rgb(0, 35, 82)"]Digital experiences, and print materials that communicate marketing goals.[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-2 vc_hidden-sm vc_hidden-xs" el_class="z-index-2"][ld_images_group_element enable_hover3d="yes" enable_float_effect="yes" image="4802" margin="right_large:-2.3vw|bottom_large:-1.25vw"][/ld_images_group_element][/vc_column][vc_column enable_column_shadowbox="yes" offset="vc_col-md-6" column_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2216px%22%2C%22blur_radius%22%3A%2250px%22%2C%22shadow_color%22%3A%22rgb(238%2C%20241%2C%20246)%22%7D%5D" css=".vc_custom_1572354237830{background-color: #ffffff !important;}"][vc_row_inner enable_content_animation="yes" equal_height="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" ca_duration="1600" ca_delay="160" ca_init_translate_y="40"][vc_column_inner width="1/2" css=".vc_custom_1607327900056{border-right-width: 0px !important;padding-top: 33px !important;padding-right: 20px !important;padding-bottom: 33px !important;padding-left: 20px !important;border-right-color: #ebebeb !important;border-right-style: solid !important;}" responsive_css="padding_right_large:60px|padding_left_large:60px|border_right_small:1px"][ld_fancy_heading tag="p" color="rgba(0, 35, 82, 0.6)" margin="bottom_small:0.25em"]Project Offers[/ld_fancy_heading][ld_fancy_heading tag="h4" color="rgb(0, 35, 82)" margin="bottom_small:0px"]info.liquid.com[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/2" responsive_css="padding_right_large:60px|padding_left_large:60px" css=".vc_custom_1572354352529{padding-top: 33px !important;padding-right: 20px !important;padding-bottom: 33px !important;padding-left: 20px !important;}"][ld_fancy_heading tag="p" color="rgba(0, 35, 82, 0.6)" margin="bottom_small:0.25em"]Consultation[/ld_fancy_heading][ld_fancy_heading tag="h4" color="rgb(0, 35, 82)" margin="bottom_small:0px"]+ 1 223 38 87[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//CTA 17 - classic
	$data = array();
	$data['name'] = esc_html__( 'Call To Action 17', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'cta-17.jpg' );
	$data['sort_name'] = 'Call to action';
	$data['custom_class'] = 'general cta call-to-action';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" enable_gradient="yes" css=".vc_custom_1606472875637{padding-top: 120px !important;padding-bottom: 80px !important;}" gradient_bg="linear-gradient(180deg, #f0f4f5 0%, rgb(255, 255, 255) 100%)" responsive_css="padding_top_medium:150px|padding_bottom_medium:120px"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-6" ca_duration="1800" ca_delay="180" ca_init_translate_y="55"][ld_fancy_heading ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" enable_fit="true" compressor="0.7" minfontsize="42" fs="text_medium:53px|text_small:42px" margin="bottom_small:0.35em" lh="text_small:1.2em" color="rgb(0, 49, 121)"]Looking for a job? Join the band.[/ld_fancy_heading][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" fs="text_small:21px" lh="text_small:34px" margin="bottom_small:1.7em"] We provide digital experience services to startups and small businesses to looking for a partner of their digital media.[/ld_fancy_heading][ld_button style="btn-solid" title="See Available Jobs" link_type="scroll_to_section" shape="circle" size="btn-lg" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" fs="16px" color="rgb(91, 123, 251)" i_icon_linea="lqd-icn-ess icon-md-arrow-down"][/vc_column][vc_column offset="vc_col-md-6"][ld_images_group_container parallax="yes" enable_item_animation="yes" pf_init_scale_x="1" pf_init_scale_y="1" pf_init_opacity="0" pf_an_scale_x="1" pf_an_scale_y="1" pf_an_opacity="1" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" translate_from_y="-70" translate_to_y="110" margin="right_large:-20%25|bottom_small:0px" pf_duration="1800" pf_start_delay="350" pf_delay="180" pf_init_translate_x="50"][ld_images_group_element img_size="50%" image="4897"][/ld_images_group_element][/ld_images_group_container][/vc_column][vc_column][ld_particles as_bg="yes" color_type="multi_color" opacity="1" enable_move="yes" move_direction="right" enable_random_move="yes" modes_grab_opacity="1" retina_detect="yes" particle_id="lqd-1573545920395-493fe50f-7472" number="4" multi_color_values="%5B%7B%22scolor%22%3A%22%23fdc14c%22%7D%2C%7B%22scolor%22%3A%22%23fda44c%22%7D%2C%7B%22scolor%22%3A%22%234cfd89%22%7D%2C%7B%22scolor%22%3A%22%230fbbb4%22%7D%5D" size="4.5" move_speed="1.75"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//CTA 18 - classic
	$data = array();
	$data['name'] = esc_html__( 'Call To Action 18', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'cta-18.jpg' );
	$data['sort_name'] = 'Call to action';
	$data['custom_class'] = 'general cta call-to-action';
	$data['content'] = <<<CONTENT
	[vc_row equal_height="yes" content_placement="middle" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_origin_z="-80px" ca_an_opacity="1" bg_position="right bottom" css=".vc_custom_1605615318044{padding-top: 35px !important;padding-bottom: 60px !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}" ca_duration="1800" ca_delay="180" ca_init_translate_y="100" ca_init_rotate_x="-65" ca_init_translate_z="100" responsive_css="padding_bottom_medium:100px"][vc_column parallax="yes" scale_from_x="1.2" scale_from_y="1.2" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" enable_column_shadowbox="yes" bg_position="custom" css=".vc_custom_1613479277468{padding-top: 60px !important;padding-right: 15px !important;padding-bottom: 60px !important;padding-left: 15px !important;background: #ffffff url(https://modernagencypro.liquid-themes.com/wp-content/uploads/2020/08/asset-1.svg?id=4262) !important;background-position: 0 0 !important;background-repeat: no-repeat !important;border-radius: 15px !important;}" column_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%220%22%2C%22blur_radius%22%3A%2250px%22%2C%22shadow_color%22%3A%22rgba(0%2C%200%2C%200%2C%200.08)%22%7D%5D" responsive_css="padding_right_medium:65px|padding_left_medium:65px|padding_right_small:30px|padding_left_small:30px" bg_pos_h="92%" bg_pos_v="60%" translate_from_y="100"][vc_row_inner equal_height="yes" content_placement="middle"][vc_column_inner align="text-center" offset="vc_col-md-8" responsive_align="text-md-left" responsive_css="padding_right_medium:0px|padding_left_medium:0px" css=".vc_custom_1605986763153{padding-right: 15px !important;padding-left: 15px !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" enable_fit="true" fs="48px" lh="1.2em" margin="bottom_small:0.65em" minfontsize="36"]Ready to get started?[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="20px" lh="1.5em" margin="bottom_large:0px|bottom_small:30px"]As an award-winning agency, we are consistently and challenging ourseleves for the betterment. We are your authentic brand.[/ld_fancy_heading][/vc_column_inner][vc_column_inner align="text-center" offset="vc_col-md-4" responsive_align="text-md-right"][ld_button style="btn-solid" title="Get started now" transformation="text-uppercase" link_type="scroll_to_section" shape="circle" hover_txt_effect="btn-hover-txt-liquid-y" enable_row_shadowbox="yes" button_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2220px%22%2C%22blur_radius%22%3A%2260px%22%2C%22shadow_color%22%3A%22rgba(248%2C85%2C78%2C0.21)%22%7D%5D" hover_button_box_shadow="%5B%7B%7D%5D" css=".vc_custom_1611478449356{padding-right: 1em !important;padding-left: 1em !important;}" hover_color="rgb(51, 106, 234)"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//CTA 19 - classic
	$data = array();
	$data['name'] = esc_html__( 'Call To Action 19', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'cta-19.jpg' );
	$data['sort_name'] = 'Call to action';
	$data['custom_class'] = 'general cta call-to-action';
	$data['content'] = <<<CONTENT
	[vc_row enable_content_animation="yes" ca_init_scale_x="0.9" ca_init_scale_y="0.9" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" css=".vc_custom_1575031485016{padding-top: 30px !important;}" ca_duration="1800" ca_delay="180" ca_init_translate_y="80" ca_init_rotate_y="0" ca_init_rotate_x="-35"][vc_column enable_column_shadowbox="yes" bg_position="custom" responsive_css="padding_right_medium:90px|padding_left_medium:90px" css=".vc_custom_1610110069400{padding-top: 55px !important;padding-right: 25px !important;padding-bottom: 55px !important;padding-left: 25px !important;background-image: url(https://businessstartuppro.liquid-themes.com/wp-content/uploads/2021/01/bg-6.svg?id=347) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;border-radius: 10px !important;}" column_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2230px%22%2C%22blur_radius%22%3A%2250px%22%2C%22shadow_color%22%3A%22rgba(0%2C%200%2C%200%2C%200.1)%22%7D%5D" responsive_align="text-center" gradient_bg_color="linear-gradient(35deg, rgb(46, 52, 67) 0%, rgb(50, 51, 74) 50%, #3b4157 100%)" bg_pos_h="65%" bg_pos_v="50%"][vc_row_inner content_placement="middle"][vc_column_inner align="text-center" offset="vc_col-lg-6 vc_col-md-7" responsive_align="text-md-left" css=".vc_custom_1610701192756{padding-bottom: 20px !important;}"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_large:46px|text_small:36px" margin="bottom_large:0px" fw="text_small:700" lh="text_small:1em" ls="text_small:-0.01em"]Convert more visitors into customers.[/ld_fancy_heading][/vc_column_inner][vc_column_inner align="text-center" responsive_align="text-center text-md-right" offset="vc_col-lg-6 vc_col-md-5"][ld_button style="btn-solid" title="Get Started Today" shape="circle" size="btn-lg" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" color="rgb(255, 255, 255)" text_color="rgb(0, 0, 0)" hover_color="rgb(18, 18, 18)" htext_color="rgb(255, 255, 255)" lh="1.25em" i_icon_linea="icon-md-arrow-forward"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//CTA 20 - classic
	$data = array();
	$data['name'] = esc_html__( 'Call To Action 20', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'cta-20.jpg' );
	$data['sort_name'] = 'Call to action';
	$data['custom_class'] = 'general cta call-to-action';
	$data['content'] = <<<CONTENT
	[vc_row equal_height="yes" content_placement="middle" css=".vc_custom_1614769150109{padding-top: 60px !important;padding-bottom: 60px !important;}" el_id="features"][vc_column offset="vc_col-md-6"][ld_images_group_element enable_float_effect="yes" image="244"][/ld_images_group_element][/vc_column][vc_column offset="vc_col-lg-offset-1 vc_col-md-offset-1 vc_col-md-5"][ld_images_group_element image="64" margin="bottom_small:15px"][/ld_images_group_element][ld_fancy_heading tag="h2" highlight_reset_onhover="lqd-highlight-reset-onhover" use_custom_fonts_title="true" fs="text_small:45px" lh="text_small:1.1em" margin="bottom_small:0.35em" highlight_color="rgba(62, 196, 175, 0.47)"]Add calling [ld_highlight]credits[/ld_highlight].[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:18px" lh="text_small:1.666em" ls="text_small:-0.01em" margin="bottom_small:1.5em"]Install any demo or template with a single click. You can mix and match all the demos &amp; templates. Every demo can be turned into one or multi-page. You can also use the shop features for all demos.[/ld_fancy_heading][ld_button style="btn-solid" title="Sign up — It’s Free" size="btn-lg" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" i_icon_linea="icon-md-arrow-round-forward" color="rgb(240, 242, 255)" text_color="rgb(67, 32, 145)" hover_color="rgb(67, 32, 145)" htext_color="rgb(255, 255, 255)" fs="16px" css=".vc_custom_1587623501253{margin-bottom: 25px !important;}"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(111, 120, 128)" fs="text_small:13px" lh="text_small:1.53em" margin="bottom_small:1em"]Choose a pre-built header or create a custom layout that perfectly suits your needs. It’s easy and fast. Your time is precious for us.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(0, 0, 0)" fs="text_small:13px" margin="top_small:1em"]John Doe, Founder of Liquid[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//CTA 21 - classic
	$data = array();
	$data['name'] = esc_html__( 'Call To Action 21', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'cta-21.jpg' );
	$data['sort_name'] = 'Call to action';
	$data['custom_class'] = 'general cta call-to-action';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1614769212157{margin-bottom: 40px !important;}" el_id="download"][vc_column parallax="yes" scale_from_x="1.2" scale_from_y="1.2" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" gradient_bg_color="linear-gradient(115deg, rgb(247, 245, 255) 0%, #ebf9ff 100%)" translate_from_y="100" parallax_duration="-=750"][vc_row_inner content_placement="middle"][vc_column_inner css=".vc_custom_1605956339665{padding-top: 55px !important;padding-right: 30px !important;padding-bottom: 40px !important;padding-left: 30px !important;}" offset="vc_col-lg-offset-1 vc_col-lg-4 vc_col-md-5" responsive_css="padding_right_medium:0px|padding_bottom_medium:0px|padding_left_medium:0px"][ld_fancy_heading tag="h2" highlight_reset_onhover="lqd-highlight-reset-onhover" highlight_offset="7px" use_custom_fonts_title="true" fs="text_large:81px|text_small:45px" lh="text_small:0.9em" margin="bottom_small:0.75em" highlight_color="rgba(62, 196, 175, 0.35)"][ld_highlight]Join[/ld_highlight] the Hub.[/ld_fancy_heading][vc_single_image image="336" alignment="center" css=".vc_custom_1615483890427{margin-right: 12% !important;margin-bottom: 0px !important;}"][/vc_column_inner][vc_column_inner offset="vc_col-lg-offset-1 vc_col-lg-4 vc_col-md-5" responsive_css="padding_right_medium:0px|padding_left_medium:0px" css=".vc_custom_1605956349538{padding-right: 30px !important;padding-left: 30px !important;}"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:18px" lh="text_small:1.666em" ls="text_small:-0.01em" margin="bottom_small:2em" color="rgb(0, 0, 0)"]Make a Website You’ll be proud of AI Powered Support Experience – Our support team will get assistance from AI-powered suggestions, making it quicker than ever to handle support requests.[/ld_fancy_heading][ld_button style="btn-solid" title="Sign up — It’s Free" size="btn-lg" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" color="rgb(0, 6, 69)" text_color="rgb(255, 255, 255)" hover_color="rgb(67, 32, 145)" fs="16px" css=".vc_custom_1599123659344{margin-bottom: 25px !important;}"][/vc_column_inner][/vc_row_inner][/vc_column][vc_column offset="vc_hidden-sm vc_hidden-xs"][ld_images_group_container move_to_parent_row="yes" absolute_pos="yes" margin="bottom_small:0px" position="bottom_small:-200px|left_small:0px"][ld_images_group_element img_size="50%" parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" image="86" translate_from_y="276" translate_to_y="-250"][/ld_images_group_element][/ld_images_group_container][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//CTA 22 - classic
	$data = array();
	$data['name'] = esc_html__( 'Call To Action 22', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'cta-22.jpg' );
	$data['sort_name'] = 'Call to action';
	$data['custom_class'] = 'general cta call-to-action';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle"][vc_column offset="vc_col-lg-offset-1 vc_col-md-6"][ld_images_group_container parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" translate_from_y="90" translate_to_y="-80"][ld_images_group_element img_size="50%" image="234"][/ld_images_group_element][/ld_images_group_container][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-lg-5 vc_col-md-6" ca_duration="1800" ca_delay="180" ca_init_translate_x="35"][ld_fancy_heading tag="p" transform="text-uppercase" tag_to_inherite="h6" enable_bg="yes" fh_border_radius="circle" use_custom_fonts_title="true" use_inheritance="true" fs="text_small:13px" ls="text_small:0.05em" margin="bottom_small:2em" fw="text_small:700" fh_bg="rgba(118, 53, 238, 0.09)" padding="top_small:10px|right_small:20px|bottom_small:10px|left_small:20px"]NOTIFICATION CENTER[/ld_fancy_heading][ld_fancy_heading tag="h2"]Deliver a personal experience at scale.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:18px" lh="text_small:1.35em" margin="bottom_small:1.75em"]<strong>Complete Design Toolkit </strong>– huge collection of elements, rich customization options, flexible layouts, and instant results![/ld_fancy_heading][ld_button style="btn-solid" title="Get started" shape="circle" border="border-none" i_type="linea" i_hover_reveal="btn-hover-swp" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" i_margin_left="18px" color="rgba(17, 36, 70, 0.04)" text_color="rgb(0, 0, 0)" htext_color="rgb(255, 255, 255)" fs="16px" lh="1.35em"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//CTA 23 - classic
	$data = array();
	$data['name'] = esc_html__( 'Call To Action 23', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'cta-23.jpg' );
	$data['sort_name'] = 'Call to action';
	$data['custom_class'] = 'general cta call-to-action';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1609753743087{padding-top: 50px !important;}"][vc_column parallax="yes" scale_from_x="1.2" scale_from_y="1.2" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" align="text-center" offset="vc_col-md-offset-3 vc_col-md-6" responsive_css="padding_right_medium:12%25|padding_left_medium:12%25" css=".vc_custom_1613479127639{margin-bottom: 65px !important;}" ca_duration="1800" ca_delay="180" ca_init_translate_y="30" responsive_align="text-center" translate_from_y="100"][ld_fancy_heading tag="h2" highlight_height="0.375em" highlight_offset="6px" highlight_color="rgba(55, 220, 116, 0.25)"]Ready to get started? Start your [ld_highlight]free trial.[/ld_highlight][/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="17px" color="rgba(17, 36, 70, 0.5)"]Free 30 days trial   |   Exclusive Support   |   No Fees[/ld_fancy_heading][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="0.75" ca_init_scale_y="0.75" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-offset-3 vc_col-md-6" el_class="pull-down" ca_duration="1800" ca_delay="180" ca_init_translate_y="35" ca_init_rotate_x="-40" css=".vc_custom_1573513016155{border-radius: 5px !important;}"][ld_cf7 id="51" size="lqd-contact-form-inputs-lg" btn_size="lqd-contact-form-button-lg" btn_width="lqd-contact-form-button-block" use_custom_fonts_input="true" use_custom_fonts_submit="true" fs="17px" lh="1.5em" submit_fs="20px" submit_lh="1.5em" lqd_bg_color="rgb(255, 255, 255)" color="rgb(154, 152, 160)" h_color="rgb(0, 0, 0)" border_color="rgb(229, 229, 229)" css=".vc_custom_1613478460338{margin-bottom: 0px !important;}" bm="0px" submit_bg_color="rgb(231, 108, 108)" submit_border_color="rgb(231, 108, 108)"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//CTA 24 - classic
	$data = array();
	$data['name'] = esc_html__( 'Call To Action 24', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'cta-24.jpg' );
	$data['sort_name'] = 'Call to action';
	$data['custom_class'] = 'general cta call-to-action';
	$data['content'] = <<<CONTENT
	[vc_row enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_origin_z="-80px" ca_an_opacity="1" ca_duration="1600" ca_delay="160" ca_init_translate_y="80" ca_init_rotate_x="-90" el_id="download" css=".vc_custom_1611417764708{padding-bottom: 10px !important;}"][vc_column css=".vc_custom_1620648190473{padding-top: 30px !important;padding-bottom: 80px !important;border-radius: 5px !important;}" responsive_css="padding_right_medium:70px|padding_bottom_medium:60px|padding_left_medium:70px|padding_right_small:20px|padding_left_small:20px" offset="vc_col-md-offset-2 vc_col-md-8" responsive_align="text-md-center"][ld_fancy_heading tag="h2" highlight_height="0.3em" highlight_offset="5px" use_custom_fonts_title="true" fs="text_small:46px" margin="bottom_small:0.15em" highlight_color="rgba(57, 107, 255, 0.15)"]Join Hub and get limited [ld_highlight] discount[/ld_highlight][/ld_fancy_heading][ld_spacer height="18px"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px"]We offer no questions asked refund policy for 14 days from the policy date.[/ld_fancy_heading][ld_spacer height="18px"][ld_button style="btn-solid" title="Sign up — It’s Free" shape="circle" size="btn-lg" border="border-none" i_type="linea" i_hover_reveal="btn-hover-swp" i_add_icon="true" lh="1.25em" css=".vc_custom_1611417745568{padding-right: 0.75em !important;padding-left: 0.75em !important;}" fs="16px" color="rgb(232, 251, 255)" fw="500" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" text_color="rgb(10, 98, 115)" hover_color="rgb(37, 37, 37)" htext_color="rgb(255, 255, 255)"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//CTA 25 - classic
	$data = array();
	$data['name'] = esc_html__( 'Call To Action 25', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'cta-25.jpg' );
	$data['sort_name'] = 'Call to action';
	$data['custom_class'] = 'general cta call-to-action';
	$data['content'] = <<<CONTENT
	[vc_row gap="0" equal_height="yes" content_placement="middle"][vc_column responsive_css="padding_top_large:85px|padding_right_large:20%25|padding_bottom_large:85px|padding_left_large:15%25|padding_top_medium:70px|padding_right_medium:10%25|padding_bottom_medium:70px|padding_left_medium:10%25" css=".vc_custom_1621610935691{padding-top: 45px !important;padding-right: 20px !important;padding-bottom: 45px !important;padding-left: 20px !important;background: #e7f2ee url(https://insurance.liquid-themes.com/wp-content/uploads/2021/05/lines-3.svg?id=3542) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" offset="vc_col-md-7"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_large:51px" lh="text_small:1.07em"]Request an Insurance policy.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.35em" margin="bottom_small:2em" color="rgba(16, 58, 64, 0.75)"]Embrace holistic development and support for employees the aim of being a first-choice[/ld_fancy_heading][ld_button style="btn-solid" title="Request a Quote" shape="circle" border="border-none" i_type="linea" i_shape="btn-icon-circle" i_shape_style="btn-icon-solid" i_shape_size="btn-icon-custom-size" i_add_icon="true" link="url:%23|||" i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-forward" i_shape_custom_size="30px" hover_color="rgb(15, 90, 100)" text_color="rgb(255, 255, 255)" color="rgb(15, 90, 100)" htext_color="rgb(255, 255, 255)" i_hcolor="rgb(15, 90, 100)" i_fill_hcolor="rgb(255, 255, 255)" i_color="rgb(15, 90, 100)" fs="text_small:14px" lh="text_small:2em" i_margin_left="12px" fw="text_small:500" i_fill_color="rgb(255, 255, 255)"][/vc_column][vc_column offset="vc_col-md-5" css=".vc_custom_1621610800097{background-image: url(https://insurance.liquid-themes.com/wp-content/uploads/2021/05/img-4@2x.jpg?id=3543) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}"][vc_single_image image="3543" invisible="yes" css=".vc_custom_1621610857704{margin-bottom: 0px !important;}"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//CTA 26 - classic
	$data = array();
	$data['name'] = esc_html__( 'Call To Action 26', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'cta-26.jpg' );
	$data['sort_name'] = 'Call to action';
	$data['custom_class'] = 'general cta call-to-action';
	$data['content'] = <<<CONTENT
	[vc_row enable_content_animation="yes" ca_init_scale_x="0.85" ca_init_scale_y="0.85" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" css=".vc_custom_1613747209958{padding-top: 100px !important;padding-bottom: 100px !important;background-color: #292e33 !important;}" ca_duration="1800" ca_delay="180" ca_init_translate_y="65" ca_init_rotate_x="-35"][vc_column enable_column_shadowbox="yes" responsive_css="padding_right_medium:90px|padding_left_medium:90px" css=".vc_custom_1605397142557{margin-bottom: -100px !important;padding-top: 55px !important;padding-right: 15px !important;padding-bottom: 55px !important;padding-left: 15px !important;background-color: #4354fa !important;border-radius: 10px !important;}" column_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2215px%22%2C%22blur_radius%22%3A%2250px%22%2C%22shadow_color%22%3A%22rgba(0%2C%200%2C%200%2C%200.19)%22%7D%5D" responsive_align="text-center text-md-left"][vc_row_inner content_placement="middle"][vc_column_inner align="text-center" offset="vc_col-md-6" responsive_align="text-md-left"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="39px" margin="bottom_large:0px"]Create and edit tasks online. For free.[/ld_fancy_heading][/vc_column_inner][vc_column_inner align="text-center" responsive_align="text-md-right" offset="vc_col-md-6"][ld_button style="btn-solid" title="Get Started Today" shape="round" size="btn-lg" i_type="linea" i_hover_reveal="btn-hover-swp" i_add_icon="true" color="rgb(255, 255, 255)" hover_color="rgb(18, 18, 18)" htext_color="rgb(255, 255, 255)" text_color="rgb(0, 0, 0)" i_icon_linea="lqd-icn-ess icon-md-arrow-forward"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//CTA 27 - classic
	$data = array();
	$data['name'] = esc_html__( 'Call To Action 27', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'cta-27.jpg' );
	$data['sort_name'] = 'Call to action';
	$data['custom_class'] = 'general cta call-to-action';
	$data['content'] = <<<CONTENT
	[vc_row bg_position="custom" enable_overlay="yes" enable_row_dividers="yes" responsive_css="padding_top_medium:130px|padding_bottom_medium:110px" css=".vc_custom_1622131575715{padding-top: 90px !important;padding-bottom: 70px !important;background-image: url(https://staging.liquid-themes.com/kids/wp-content/uploads/2021/05/img-foot@2x.jpg?id=4460) !important;}" overlay_bg="rgba(0, 0, 0, 0.2)" row_svg_divider="top_shape_type:7|top_shape_color:%23ffffff|top_shape_height:16" el_id="contact" bg_pos_h="20%" bg_pos_v="50%"][vc_column offset="vc_col-lg-offset-3 vc_col-lg-6 vc_col-md-offset-2 vc_col-md-8" responsive_align="text-center"][ld_fancy_heading tag="h6" enable_bg="yes" fh_border_radius="circle" color="rgb(255, 126, 106)" padding="top_small:0.625em|right_small:1em|bottom_small:0.625em|left_small:1em" fh_bg="rgb(255, 239, 237)" margin="bottom_small:1em"]Enroll 2022[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" margin="bottom_small:0.65em" color="rgb(255, 255, 255)" fs="text_medium:60px|text_small:52px" lh="text_small:1em"]Let your child explore and learn.[/ld_fancy_heading][ld_cf7 id=""][ld_button style="btn-solid" title="Join the Program" link_type="modal_window" shape="circle" border="border-none" hover_txt_effect="btn-hover-txt-marquee btn-hover-txt-marquee-x" hover_color="rgb(255, 255, 255)" htext_color="rgb(40, 59, 63)" anchor_id="#contact-modal"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//CTA 28 - classic
	$data = array();
	$data['name'] = esc_html__( 'Call To Action 28', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'cta-28.jpg' );
	$data['sort_name'] = 'Call to action';
	$data['custom_class'] = 'general cta call-to-action';
	$data['content'] = <<<CONTENT
	[vc_row row_scale_bg_onhover="yes" enable_overlay="yes" css=".vc_custom_1622019532938{padding-top: 95px !important;padding-bottom: 95px !important;background-image: url(http://multipurpose.liquid-themes.com/wp-content/uploads/2021/05/cta-bg@2x.jpg?id=9142) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" el_id="contact" hover_overlay_bg="rgba(0, 0, 0, 0.3)"][vc_column enable_hover_move="lqd-column-move-onhover" hover_move_value="-5px" enable_column_hover_shadowbox="yes" offset="vc_col-lg-5 vc_col-md-6" responsive_css="padding_right_medium:40px|padding_left_medium:40px" css=".vc_custom_1622015869369{padding-top: 40px !important;padding-right: 20px !important;padding-bottom: 45px !important;padding-left: 20px !important;background-color: #ffffff !important;}" custom_border_radius="15px" responsive_align="text-center" column_hover_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2220px%22%2C%22blur_radius%22%3A%2250px%22%2C%22spread_radius%22%3A%22-5px%22%2C%22shadow_color%22%3A%22rgba(0%2C%200%2C%200%2C%200.15)%22%7D%5D"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_small:38px"]Contact Us[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(134, 147, 158)" fs="text_small:16px" lh="text_small:1.62em" margin="bottom_small:1.5em"]Great things in business are never done one. They're done by a team of people.[/ld_fancy_heading][ld_button style="btn-solid" title="Request a Quote" link_type="modal_window" shape="circle" border="border-none" hover_txt_effect="btn-hover-txt-switch-change btn-hover-txt-switch btn-hover-txt-switch-y" title_secondary="+123 874 238 90" i_type="linea" i_shape="btn-icon-circle" i_shape_style="btn-icon-solid" i_shape_size="btn-icon-custom-size" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-forward" color="rgba(21, 81, 83, 0.1)" text_color="rgb(21, 81, 83)" fs="text_small:16px" i_size="15px" i_margin_left="13px" i_shape_custom_size="35px" i_color="rgb(21, 81, 83)" i_fill_color="rgba(21, 81, 83, 0.18)" i_hcolor="rgb(255, 255, 255)" i_fill_hcolor="rgba(255, 255, 255, 0.15)" anchor_id="#contact-modal"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Category Carousel
	//Carousel 1
	$data = array();
	$data['name'] = esc_html__( 'Carousel 01', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'carousel-1.jpg' );
	$data['sort_name'] = 'Carousel';
	$data['custom_class'] = 'general carousel';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" css=".vc_custom_1605623393505{padding-bottom: 90px !important;}" responsive_css="padding_top_medium:60px|padding_bottom_medium:60px|padding_bottom_small:90px"][vc_column align="text-center" responsive_align="text-md-left"][ld_carousel_tab columns="xs:1|spacing_xs:15px" inactiv_opacity="1" cellalign="center" pagenationdots="yes" dots_bottom_offset="0px" dots_style="carousel-dots-style4"][ld_carousel_section title="Tab" tab_id="lqd-1595577691001-32470bc4-46d4"][vc_row_inner content_placement="middle"][vc_column_inner enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-offset-0 vc_col-md-6" responsive_css="margin_top_medium:-10%25|padding_right_medium:7%25|padding_bottom_medium:0px" ca_duration="1800" ca_delay="180" ca_init_translate_y="30" responsive_align="text-left" css=".vc_custom_1612274960212{padding-bottom: 30px !important;}"][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" color="rgb(58, 82, 116)" fs="12px" ls="0.1em" margin="bottom_small:1.8em"] Hub Pro[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_large:40px|text_small:32px"]Target mobile consumers and grow your brand.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:29px" margin="bottom_small:2.15em"]We provide digital experience services to startups and small businesses to looking for a partner of their digital media.[/ld_fancy_heading][ld_button style="btn-solid" title="Get Started" shape="circle" size="btn-sm" border="border-none" i_type="linea" i_hover_reveal="btn-hover-swp" i_add_icon="true" css=".vc_custom_1595578841603{padding-right: 0.75em !important;padding-left: 0.75em !important;}" color="rgb(0, 127, 255)" color2="rgb(255, 77, 84)" hover_color="rgb(255, 77, 84)" fs="18px" hover_color2="rgb(0, 127, 255)" i_margin_left="10px" i_icon_linea="lqd-icn-ess icon-md-arrow-forward"][/vc_column_inner][vc_column_inner enable_content_animation="yes" ca_init_scale_x="0.75" ca_init_scale_y="0.75" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-6" ca_duration="1800" ca_start_delay="500" ca_delay="180" css=".vc_custom_1606976246263{background-image: url(https://marketinghub.liquid-themes.com/staging/wp-content/uploads/2020/05/Memphis-1-1.svg?id=5947) !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}"][vc_single_image image="6144" alignment="center"][/vc_column_inner][/vc_row_inner][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595582162820-2fc3c6f6-ec7d"][vc_row_inner content_placement="middle"][vc_column_inner enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-offset-0 vc_col-md-6" responsive_css="margin_top_medium:-10%25|padding_right_medium:7%25" ca_duration="1800" ca_delay="180" ca_init_translate_y="30" responsive_align="text-center text-md-left" css=".vc_custom_1606977438759{margin-bottom: 30px !important;}"][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" color="rgb(58, 82, 116)" fs="12px" ls="0.1em" margin="bottom_small:1.8em"] Hub Pro[/ld_fancy_heading][ld_fancy_heading tag="h2"]Let your audience know about your brand.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:29px" margin="bottom_small:2.15em"]We provide digital experience services to startups and small businesses to looking for a partner of their digital media.[/ld_fancy_heading][ld_button style="btn-solid" title="Get Started" shape="circle" size="btn-sm" border="border-none" i_type="linea" i_hover_reveal="btn-hover-swp" i_add_icon="true" css=".vc_custom_1595578841603{padding-right: 0.75em !important;padding-left: 0.75em !important;}" color="rgb(0, 127, 255)" color2="rgb(255, 77, 84)" hover_color="rgb(255, 77, 84)" fs="18px" hover_color2="rgb(0, 127, 255)" i_margin_left="10px" i_icon_linea="lqd-icn-ess icon-md-arrow-forward"][/vc_column_inner][vc_column_inner enable_content_animation="yes" ca_init_scale_x="0.75" ca_init_scale_y="0.75" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-6" ca_duration="1800" ca_start_delay="500" ca_delay="180" css=".vc_custom_1606976267414{background-image: url(https://marketinghub.liquid-themes.com/staging/wp-content/uploads/2020/05/Memphis-1-1.svg?id=5947) !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}"][vc_single_image image="6057" alignment="center"][/vc_column_inner][/vc_row_inner][/ld_carousel_section][/ld_carousel_tab][/vc_column][vc_column][ld_particles as_bg="yes" color_type="multi_color" opacity="1" enable_move="yes" enable_random_move="yes" modes_grab_opacity="1" retina_detect="yes" particle_id="lqd-1573301198431-6ff8827c-fef3" number="4" multi_color_values="%5B%7B%22scolor%22%3A%22%23fd5c4c%22%7D%2C%7B%22scolor%22%3A%22%23fda44c%22%7D%2C%7B%22scolor%22%3A%22%234c7cfd%22%7D%2C%7B%22scolor%22%3A%22%230fbbb4%22%7D%5D" size="4" move_speed="2"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Carousel 2 - classic
	$data = array();
	$data['name'] = esc_html__( 'Carousel 02', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'carousel-2.jpg' );
	$data['sort_name'] = 'Carousel';
	$data['custom_class'] = 'general carousel misc';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1606896214665{padding-top: 60px !important;padding-bottom: 40px !important;}" responsive_css="padding_top_medium:90px|padding_bottom_medium:90px"][vc_column][ld_carousel_tab columns="xs:1|spacing_xs:15px" inactiv_opacity="1" pagenationdots="yes" wraparound="yes" dots_bottom_offset="-15px" size_dots="carousel-dots-sm" mobile_dots_position="carousel-dots-mobile-inside" dots_bg_color="rgb(239, 239, 239)" dots_bg_hcolor="rgb(62, 173, 60)"][ld_carousel_section title="Tab" tab_id="lqd-1595436733469-64c80d59-5a3f"][vc_row_inner content_placement="middle"][vc_column_inner enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-5" css=".vc_custom_1583837552785{margin-bottom: 35px !important;}" ca_duration="1800" ca_delay="180" ca_init_translate_x="35"][ld_fancy_heading tag="h6" use_custom_fonts_title="true" color="rgb(0, 0, 0)" fs="text_small:12px" fw="text_small:600" margin="bottom_small:1em"]Landing Hub Pro[/ld_fancy_heading][ld_fancy_heading tag="h2" tag_to_inherite="h3" use_custom_fonts_title="true" use_inheritance="true" margin="bottom_small:0.6em"]Personal data protection for tech businesses.[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:2em"]Hub IT allows your business and technology computers to store, transmit, analyze, and manipulate big data.[/ld_fancy_heading][ld_icon_box i_type="linea" heading_size="custom" heading_weight="font-weight-semibold" i_size="xs" position="iconbox-side" title="Business Consultation" custom_heading_size="17px" icon_size="23px" i_icon_linea="lqd-icn-ess icon-lqd-check" css=".vc_custom_1595434733716{margin-bottom: 0.5em !important;}"][/ld_icon_box][ld_icon_box i_type="linea" heading_size="custom" heading_weight="font-weight-semibold" i_size="xs" position="iconbox-side" title="Corporate Financial Advisory" custom_heading_size="17px" icon_size="23px" i_icon_linea="lqd-icn-ess icon-lqd-check"][/ld_icon_box][ld_button style="btn-solid" title="Learn more" transformation="text-uppercase" link_type="scroll_to_section" shape="round" i_type="linea" i_hover_reveal="btn-hover-swp" i_add_icon="true" lh="1.5em" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" hover_color="rgb(59, 59, 59)"][ld_spacer height="40px" lg_hide="vc_hidden-lg"][/vc_column_inner][vc_column_inner offset="vc_col-md-offset-1 vc_col-md-6" css=".vc_custom_1595348848944{margin-bottom: 35px !important;border-radius: 5px !important;}"][vc_single_image image="162" css=".vc_custom_1595434255206{margin-bottom: 0px !important;}"][/vc_column_inner][/vc_row_inner][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595436734697-36414a0e-7dc0"][vc_row_inner content_placement="middle"][vc_column_inner enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-5" css=".vc_custom_1583837552785{margin-bottom: 35px !important;}" ca_duration="1800" ca_delay="180" ca_init_translate_x="35"][ld_fancy_heading tag="h6" use_custom_fonts_title="true" color="rgb(0, 0, 0)" fs="text_small:12px" fw="text_small:600" margin="bottom_small:1em"]Landing Hub Pro[/ld_fancy_heading][ld_fancy_heading tag="h2" tag_to_inherite="h3" use_custom_fonts_title="true" use_inheritance="true" margin="bottom_small:0.6em"]Personal data protection for tech businesses.[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:2em"]Hub IT allows your business and technology computers to store, transmit, analyze, and manipulate big data.[/ld_fancy_heading][ld_icon_box i_type="linea" heading_size="custom" heading_weight="font-weight-semibold" i_size="xs" position="iconbox-side" title="Business Consultation" custom_heading_size="17px" icon_size="23px" i_icon_linea="lqd-icn-ess icon-lqd-check" css=".vc_custom_1595434733716{margin-bottom: 0.5em !important;}"][/ld_icon_box][ld_icon_box i_type="linea" heading_size="custom" heading_weight="font-weight-semibold" i_size="xs" position="iconbox-side" title="Corporate Financial Advisory" custom_heading_size="17px" icon_size="23px" i_icon_linea="lqd-icn-ess icon-lqd-check"][/ld_icon_box][ld_button style="btn-solid" title="Explore hub" transformation="text-uppercase" link_type="scroll_to_section" shape="round" i_type="linea" i_hover_reveal="btn-hover-swp" i_add_icon="true" lh="1.5em" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" hover_color="rgb(59, 59, 59)"][ld_spacer height="70px" md_hide="vc_hidden-md" lg_hide="vc_hidden-lg" md_height="0px" lg_height="0px"][/vc_column_inner][vc_column_inner offset="vc_col-md-offset-1 vc_col-md-6" css=".vc_custom_1595348848944{margin-bottom: 35px !important;border-radius: 5px !important;}"][vc_single_image image="145" css=".vc_custom_1595435228458{margin-bottom: 0px !important;}"][/vc_column_inner][/vc_row_inner][/ld_carousel_section][/ld_carousel_tab][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Carousel 3 - classic
	$data = array();
	$data['name'] = esc_html__( 'Carousel 03', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'carousel-3.jpg' );
	$data['sort_name'] = 'Carousel';
	$data['custom_class'] = 'general carousel misc';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1606896290931{padding-top: 60px !important;padding-bottom: 60px !important;background-color: #f9f9f9 !important;}" responsive_css="padding_top_medium:90px|padding_bottom_medium:100px|padding_top_small:60px|padding_bottom_small:60px"][vc_column align="text-center" offset="vc_col-md-offset-3 vc_col-md-6" css=".vc_custom_1606208905051{margin-bottom: 60px !important;}" responsive_align="text-center"][ld_fancy_heading tag="h2" enable_txt_rotator="yes" items="%5B%7B%22word%22%3A%22Solutions%22%7D%2C%7B%22word%22%3A%22Advisory%22%7D%2C%7B%22word%22%3A%22Platforms%22%7D%5D" margin="bottom_small:0.4em"]Smart Business[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:30px"]Hub IT allows your business and technology computers to store, transmit, analyze, and manipulate big data.[/ld_fancy_heading][/vc_column][vc_column][ld_carousel_tab columns="md:3|xs:1|spacing_md:23px|spacing_xs:15px" inactiv_opacity="1" pagenationdots="yes" wraparound="yes" dots_bottom_offset="-15px" size_dots="carousel-dots-sm" dots_bg_color="rgba(0, 0, 0, 0.1)" dots_bg_hcolor="rgb(62, 173, 60)"][ld_carousel_section title="Tab" tab_id="lqd-1595436846536-a4b426d5-3199"][vc_row_inner][vc_column_inner align="text-center" responsive_align="text-center"][vc_single_image image="183" style="vc_box_rounded" onclick="custom_link" img_link_target="_blank" css=".vc_custom_1595501903417{border-radius: 5px !important;}"][ld_fancy_heading tag="h3" tag_to_inherite="h5" use_custom_fonts_title="true" use_inheritance="true" margin="bottom_small:0.6em"]Business Consultation[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:2em"]Hub IT allows your business and technology computers to store, transmit and analyze. [/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595436847701-7a20ddd5-8d28"][vc_row_inner][vc_column_inner align="text-center" responsive_align="text-center"][vc_single_image image="184" style="vc_box_rounded" onclick="custom_link" img_link_target="_blank" css=".vc_custom_1595501911919{border-radius: 5px !important;}"][ld_fancy_heading tag="h3" tag_to_inherite="h5" use_custom_fonts_title="true" use_inheritance="true" margin="bottom_small:0.6em"]Financial Advisory[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:2em"]Hub IT allows your business and technology computers to store, transmit and analyze.[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595347659412-b71932b0-5394"][vc_row_inner][vc_column_inner align="text-center" responsive_align="text-center"][vc_single_image image="182" style="vc_box_rounded" onclick="custom_link" img_link_target="_blank" css=".vc_custom_1595501925705{border-radius: 5px !important;}"][ld_fancy_heading tag="h3" tag_to_inherite="h5" use_custom_fonts_title="true" use_inheritance="true" margin="bottom_small:0.6em"]Platform Investments[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:2em"]Hub IT allows your business and technology computers to store, transmit and analyze.[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595436845811-0c08bbc1-d269"][vc_row_inner][vc_column_inner align="text-center" responsive_align="text-center"][vc_single_image image="187" style="vc_box_rounded" onclick="custom_link" img_link_target="_blank" css=".vc_custom_1595501919777{border-radius: 5px !important;}"][ld_fancy_heading tag="h3" tag_to_inherite="h5" use_custom_fonts_title="true" use_inheritance="true" margin="bottom_small:0.6em"]Business Consultation[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:2em"]Hub IT allows your business and technology computers to store, transmit and analyze. [/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_carousel_section][/ld_carousel_tab][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Carousel 4 - classic
	$data = array();
	$data['name'] = esc_html__( 'Carousel 04', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'carousel-4.jpg' );
	$data['sort_name'] = 'Carousel';
	$data['custom_class'] = 'general carousel';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1608208821057{padding-top: 55px !important;padding-bottom: 30px !important;}"][vc_column][ld_carousel_tab columns="xs:1|spacing_xs:0px" inactiv_opacity="1" cellalign="center" prevnextbuttons="yes" wraparound="yes" adaptiveheight="yes" fadeeffect="yes" autoplay="yes" navarrow="4" navsize="carousel-nav-lg" navfill="carousel-nav-solid" navshape="carousel-nav-square" navhalign="carousel-nav-center" navfloated="carousel-nav-floated" navvalign="carousel-nav-middle" mobile_dots_position="carousel-dots-mobile-inside" nav_arrow_color="rgb(0, 0, 0)" nav_bg_color="rgb(255, 255, 255)" autoplaytime="3000" mobile_dots_bg_color="rgba(255, 255, 255, 0.4)" mobile_dots_bg_hcolor="rgb(255, 255, 255)"][ld_carousel_section title="Carousel Item" tab_id="lqd-1608208615375-86b0277c-bc6b"][vc_single_image image="3476" css=".vc_custom_1608208750206{margin-bottom: 0px !important;}"][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1608208796091-c88e5950-eb37"][vc_single_image image="3453" css=".vc_custom_1611324461165{margin-bottom: 0px !important;}"][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1608208793192-7fcdfd6f-89b2"][vc_single_image image="261" css=".vc_custom_1611324666304{margin-bottom: 0px !important;}"][/ld_carousel_section][/ld_carousel_tab][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Carousel 5 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Carousel 05', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'carousel-5.jpg' );
	$data['sort_name'] = 'Carousel';
	$data['custom_class'] = 'general carousel client';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1610714622209{padding-top: 80px !important;padding-bottom: 20px !important;background-color: #23261b !important;}"][vc_column align="text-center" offset="vc_col-lg-offset-3 vc_col-lg-6 vc_col-md-offset-2 vc_col-md-8" responsive_align="text-center"][ld_carousel_tab columns="xs:1|spacing_xs:15px" inactiv_opacity="1" prevnextbuttons="yes" wraparound="yes" fadeeffect="yes" navarrow="6" navsize="carousel-nav-lg" navhalign="carousel-nav-center" navfloated="carousel-nav-floated" navvalign="carousel-nav-middle" nav_arrow_color="rgb(255, 255, 255)" nav_arrow_color_hover="rgba(255, 255, 255, 0.6)" prevoffset="-12%" nextoffset="-12%" mobile_dots_bg_color="rgba(255, 255, 255, 0.6)" mobile_dots_bg_hcolor="rgb(255, 255, 255)"][ld_carousel_section title="Tab" tab_id="lqd-1595925595009-fe57db21-b7e8"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(250, 242, 220)" fs="text_small:18px" lh="text_small:1.22em"]"Hub offers a range of skincare products that are feminine, delicate and long-lasting with vitamins and nutritions to improve your skin condition. It's simply the best product i've ever used!"[/ld_fancy_heading][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1612365055707-c5511143-aaaa"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(250, 242, 220)" fs="text_small:18px" lh="text_small:1.22em"]"Hub offers a range of skincare products that are feminine, delicate and ltricies eget, tempor sit amet, ante. Pellentesque habitant morbi tristique senectus et netus et malesuada.[/ld_fancy_heading][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1612365055168-b39b35bf-548c"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(250, 242, 220)" fs="text_small:18px" lh="text_small:1.22em"]"Hub offers a range of skincare products that are feminine, delicate and long-lasting with vitamins and nutritions to improve your skin condition. It's simply the best product i've ever used!"[/ld_fancy_heading][/ld_carousel_section][/ld_carousel_tab][/vc_column][vc_column][ld_spacer height="60px"][/vc_column][vc_column width="1/3" align="text-center" responsive_align="text-md-left" css=".vc_custom_1603288732328{margin-bottom: 35px !important;}" offset="vc_col-xs-4"][vc_single_image image="31" image_max_width="131px"][/vc_column][vc_column width="1/3" align="text-center" css=".vc_custom_1603288740656{margin-bottom: 35px !important;}" responsive_align="text-center" offset="vc_col-xs-4"][vc_single_image image="32" image_max_width="131px"][/vc_column][vc_column width="1/3" align="text-center" responsive_align="text-md-right" css=".vc_custom_1603288747454{margin-bottom: 35px !important;}" offset="vc_col-xs-4"][vc_single_image image="33" image_max_width="131px"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Carousel 6 - retailshop
	$data = array();
	$data['name'] = esc_html__( 'Carousel 06', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'carousel-6.jpg' );
	$data['sort_name'] = 'Carousel';
	$data['custom_class'] = 'general carousel client';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1616594964840{padding-right: 5px !important;padding-bottom: 30px !important;padding-left: 5px !important;}" responsive_css="padding_top_medium:20px|padding_right_medium:0px|padding_left_medium:0px|padding_right_small:25px|padding_left_small:25px" el_id="carousel"][vc_column][ld_carousel_tab columns="md:3|sm:2|xs:1.25|spacing_md:18px|spacing_sm:10px|spacing_xs:5px" inactiv_opacity="1" cellalign="center" prevnextbuttons="yes" groupcells="no" wraparound="yes" equalheightcells="yes" autoplay="yes" navarrow="6" navsize="carousel-nav-lg" navfill="carousel-nav-solid" navshape="carousel-nav-circle" navshadow="carousel-nav-shadowed-onhover" navhalign="carousel-nav-center" navfloated="carousel-nav-floated" navvalign="carousel-nav-middle" nav_arrow_color="rgb(0, 0, 0)" nav_arrow_color_hover="rgb(255, 255, 255)" nav_bg_color="rgb(255, 255, 255)" nav_bg_hcolor="rgb(0, 0, 0)" prevoffset="-10px" nextoffset="-10px"][ld_carousel_section title="Tab" tab_id="lqd-1594307211142-82b0190a-7598"][vc_row_inner row_scale_bg_onhover="yes" bg_position="center center" enable_overlay="yes" css=".vc_custom_1611133352531{padding-top: 35px !important;padding-bottom: 30px !important;background-image: url(https://retailpro.liquid-themes.com/wp-content/uploads/2020/05/bg-3@2x.jpg?id=116) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;border-radius: 5px !important;}" hover_overlay_bg="rgba(0, 0, 0, 0.38)" responsive_css="padding_right_small:30px|padding_left_small:30px"][vc_column_inner enable_link="enable_column_link" width="3/4" link="url:https%3A%2F%2Fretailpro.liquid-themes.com%2Fproduct-category%2Fclothing%2F|||"][ld_fancy_heading tag="h2" tag_to_inherite="h4" use_inheritance="true" color="rgb(255, 255, 255)" margin="bottom_small:1.5em"]PlayStation 4 VR has arrived.[/ld_fancy_heading][ld_button style="btn-default" title="Shop Watches" shape="circle" size="btn-sm" border="border-thick" i_type="linea" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-forward" color="rgb(255, 255, 255)" hover_color="rgb(255, 255, 255)" text_color="rgb(255, 255, 255)" htext_color="rgb(0, 0, 0)" fs="15px" lh="1.15em"][/vc_column_inner][/vc_row_inner][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1594307218857-88e81458-8e67"][vc_row_inner row_scale_bg_onhover="yes" bg_position="center center" enable_overlay="yes" css=".vc_custom_1611133307117{padding-top: 35px !important;padding-bottom: 30px !important;background-image: url(https://retailpro.liquid-themes.com/wp-content/uploads/2020/05/bg-4@2x.jpg?id=117) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;border-radius: 5px !important;}" hover_overlay_bg="linear-gradient(295deg, rgba(101, 121, 155, 0.5) 0%, rgb(94, 37, 99) 99.36305732484077%)" responsive_css="padding_right_small:30px|padding_left_small:30px"][vc_column_inner enable_link="enable_column_link" width="2/3" offset="vc_col-lg-6 vc_col-md-7" link="url:https%3A%2F%2Fretailpro.liquid-themes.com%2Fproduct-category%2Fclothing%2F|||"][ld_fancy_heading tag="h2" tag_to_inherite="h4" use_inheritance="true" color="rgb(255, 255, 255)" margin="bottom_small:1.5em"]Galaxy S20 Series.[/ld_fancy_heading][ld_button style="btn-default" title="See Products" shape="circle" size="btn-sm" border="border-thick" i_type="linea" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-forward" color="rgb(255, 255, 255)" hover_color="rgb(255, 255, 255)" text_color="rgb(255, 255, 255)" htext_color="rgb(0, 0, 0)" fs="15px" lh="1.15em"][/vc_column_inner][/vc_row_inner][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1594307114211-5cf2060a-9d6c"][vc_row_inner row_scale_bg_onhover="yes" bg_position="center center" enable_overlay="yes" css=".vc_custom_1611133324493{padding-top: 35px !important;padding-bottom: 30px !important;background-image: url(https://retailpro.liquid-themes.com/wp-content/uploads/2020/05/bg-2@2x.jpg?id=115) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;border-radius: 5px !important;}" hover_overlay_bg="linear-gradient(65deg, rgb(245, 78, 162) 0%, rgba(255, 118, 118, 0.5) 100%)" responsive_css="padding_right_small:30px|padding_left_small:30px"][vc_column_inner enable_link="enable_column_link" width="3/4" offset="vc_col-lg-9 vc_col-md-10" link="url:https%3A%2F%2Fretailpro.liquid-themes.com%2Fproduct-category%2Fclothing%2F|||"][ld_fancy_heading tag="h2" tag_to_inherite="h4" use_inheritance="true" color="rgb(255, 255, 255)" margin="bottom_small:1.5em"]Chanel Gabriele Perfume.[/ld_fancy_heading][ld_button style="btn-default" title="See Products" shape="circle" size="btn-sm" border="border-thick" i_type="linea" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-forward" color="rgb(255, 255, 255)" hover_color="rgb(255, 255, 255)" text_color="rgb(255, 255, 255)" htext_color="rgb(0, 0, 0)" fs="15px" lh="1.15em"][/vc_column_inner][/vc_row_inner][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1596536460916-3f801a8d-2b98"][vc_row_inner row_scale_bg_onhover="yes" bg_position="center center" enable_overlay="yes" css=".vc_custom_1611133337170{padding-top: 35px !important;padding-bottom: 30px !important;background-image: url(https://retailpro.liquid-themes.com/wp-content/uploads/2020/09/shop-carousel-5@2x.jpg?id=369) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;border-radius: 5px !important;}" hover_overlay_bg="linear-gradient(295deg, rgba(101, 121, 155, 0.5) 0%, rgb(94, 37, 99) 99.36305732484077%)" responsive_css="padding_right_small:30px|padding_left_small:30px"][vc_column_inner enable_link="enable_column_link" width="2/3" offset="vc_col-md-6" link="url:https%3A%2F%2Fretailpro.liquid-themes.com%2Fproduct-category%2Fclothing%2F|||"][ld_fancy_heading tag="h2" tag_to_inherite="h4" use_inheritance="true" color="rgb(255, 255, 255)" margin="bottom_small:1.5em"]Women’s Lookbook[/ld_fancy_heading][ld_button style="btn-default" title="See Products" shape="circle" size="btn-sm" border="border-thick" i_type="linea" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-forward" color="rgb(255, 255, 255)" hover_color="rgb(255, 255, 255)" text_color="rgb(255, 255, 255)" htext_color="rgb(0, 0, 0)" fs="15px" lh="1.15em"][/vc_column_inner][/vc_row_inner][/ld_carousel_section][/ld_carousel_tab][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Carousel 7 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Carousel 07', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'carousel-7.jpg' );
	$data['sort_name'] = 'Carousel';
	$data['custom_class'] = 'general carousel client';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" gap="0" css=".vc_custom_1602665216151{margin-top: 60px !important;padding-top: 100px !important;padding-bottom: 100px !important;background-color: #f0f1f7 !important;}" responsive_css="margin_top_medium:60px|margin_bottom_medium:60px|padding_top_medium:100px|padding_bottom_medium:100px"][vc_column][ld_carousel_gallery images="86,87,88,89,90,227,228,226"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Carousel 8 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Carousel 08', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'carousel-8.jpg' );
	$data['sort_name'] = 'Carousel';
	$data['custom_class'] = 'general carousel client';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" gap="0" css=".vc_custom_1605616478180{padding-bottom: 60px !important;}"][vc_column][ld_carousel_marquee_tab columns="md:4.25|sm:2.9|xs:1.5|spacing_md:50px|spacing_xs:2%25" pause_on_hover="yes" randomveroffset="yes"][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600434166403-376bd1f6-e3bd"][vc_single_image image="56" css=".vc_custom_1600434720760{margin-bottom: 50px !important;}"][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600434294047-e8e3297a-ecf8"][vc_single_image image="58" css=".vc_custom_1600434728358{margin-bottom: 50px !important;}"][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600434315298-8ffdba0e-bdb9"][vc_single_image image="59" css=".vc_custom_1600434737821{margin-bottom: 50px !important;}"][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600434339502-e71d2cda-694b"][vc_single_image image="4313" css=".vc_custom_1600434747987{margin-bottom: 50px !important;}"][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600434392281-5839817b-a5de"][vc_single_image image="57" css=".vc_custom_1600434759523{margin-bottom: 50px !important;}"][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600434420928-b13c76de-d2ed"][vc_single_image image="56" css=".vc_custom_1600434767214{margin-bottom: 50px !important;}"][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600434440973-4835951d-d1fa"][vc_single_image image="4314" css=".vc_custom_1600434775295{margin-bottom: 50px !important;}"][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600434469640-f8476374-692b"][vc_single_image image="4311" css=".vc_custom_1600434783500{margin-bottom: 50px !important;}"][/ld_carousel_marquee_section][/ld_carousel_marquee_tab][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Carousel 9 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Carousel 09', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'carousel-9.jpg' );
	$data['sort_name'] = 'Carousel';
	$data['custom_class'] = 'general carousel client';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" gap="0" luminosity="dark" responsive_css="margin_right_large:16%25|margin_right_medium:8%25|margin_bottom_medium:80px"][vc_column][ld_slideshow_2 height="700px" overlay_bg="rgba(0, 0, 0, 0.3)"][ld_slideshow_section title="Interior Design" image="4306"][ld_fancy_heading tag="h6" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" enable_split="true" color="rgb(255, 255, 255)" margin="bottom_small:1.5em"]— Latest projects[/ld_fancy_heading][ld_fancy_heading tag="h3" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" color="rgb(255, 255, 255)" fs="text_large:81px|text_small:40px" lh="text_small:1.15em"]Building the<br />
city marks[/ld_fancy_heading][/ld_slideshow_section][ld_slideshow_section title="Construction" image="4263"][ld_fancy_heading tag="h6" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" enable_split="true" color="rgb(255, 255, 255)" margin="bottom_small:1.5em"]— Latest projects[/ld_fancy_heading][ld_fancy_heading tag="h3" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" color="rgb(255, 255, 255)" fs="text_large:81px|text_small:40px" lh="text_small:0.96em"]Building the<br />
city marks[/ld_fancy_heading][/ld_slideshow_section][ld_slideshow_section title="Residential" image="4445"][ld_fancy_heading tag="h6" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" enable_split="true" color="rgb(255, 255, 255)" margin="bottom_small:1.5em"]— Latest projects[/ld_fancy_heading][ld_fancy_heading tag="h3" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" color="rgb(255, 255, 255)" fs="text_large:80px|text_small:40px" lh="text_small:0.96em"]Building the<br />
city marks[/ld_fancy_heading][/ld_slideshow_section][ld_slideshow_section title="City planning" image="4260"][ld_fancy_heading tag="h6" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" enable_split="true" color="rgb(255, 255, 255)" margin="bottom_small:1.5em"]— Latest projects[/ld_fancy_heading][ld_fancy_heading tag="h3" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" color="rgb(255, 255, 255)" fs="text_large:80px|text_small:40px" lh="text_small:0.96em"]Building the<br />
city marks[/ld_fancy_heading][/ld_slideshow_section][/ld_slideshow_2][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Carousel 10 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Carousel 10', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'carousel-10.jpg' );
	$data['sort_name'] = 'Carousel';
	$data['custom_class'] = 'general carousel client';
	$data['content'] = <<<CONTENT
	[vc_row responsive_css="padding_top_medium:50px|padding_bottom_medium:120px" css=".vc_custom_1622103240889{padding-top: 35px !important;padding-bottom: 70px !important;}" el_id="case-studies"][vc_column offset="vc_col-md-6"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_large:47px" margin="bottom_large:0px"]Practice Areas[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-offset-1 vc_col-md-5"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.47em"]We embrace holistic development and support for the aim of being a first-choice employer within our sectors.[/ld_fancy_heading][/vc_column][vc_column css=".vc_custom_1622034472426{padding-top: 50px !important;}"][ld_carousel_tab columns="md:3|sm:2|xs:1|spacing_xs:20px" inactiv_opacity="1" pagenationdots="yes" groupcells="no" wraparound="yes" dots_style="carousel-dots-style4" dots_bg_color="rgb(225, 225, 225)" dots_bg_hcolor="rgb(87, 87, 87)"][ld_carousel_section title="Carousel Item" tab_id="lqd-1622034411038-85a52ec4-8a1d"][ld_content_box template="s08" content_alignment="lqd-fb-content-bc" ct_width="w-90" i_type="linea" title="Immigration Issues" image="31" i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-forward" i_color="rgb(175, 123, 91)"][/ld_content_box][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:14px" lh="text_small:1.71em" padding="top_large:1.5em|right_large:32px|left_large:32px"]Our process applies techniques from a variety of disciplines distinction in detail and gives careful attention.[/ld_fancy_heading][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1622034751456-c0483566-f77d"][ld_content_box template="s08" content_alignment="lqd-fb-content-bc" ct_width="w-90" i_type="linea" title="Intellectual Property" image="93" i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-forward" i_color="rgb(175, 123, 91)"][/ld_content_box][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:14px" lh="text_small:1.71em" padding="top_large:1.5em|right_large:32px|left_large:32px"]Our process applies techniques from a variety of disciplines distinction in detail and gives careful attention.[/ld_fancy_heading][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1622034782334-be933597-a3f9"][ld_content_box template="s08" content_alignment="lqd-fb-content-bc" ct_width="w-90" i_type="linea" title="Citizenship" image="30" i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-forward" i_color="rgb(175, 123, 91)"][/ld_content_box][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:14px" lh="text_small:1.71em" padding="top_large:1.5em|right_large:32px|left_large:32px"]Our process applies techniques from a variety of disciplines distinction in detail and gives careful attention.[/ld_fancy_heading][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1622034819526-4fd41faa-c7ab"][ld_content_box template="s08" content_alignment="lqd-fb-content-bc" ct_width="w-90" i_type="linea" title="Intellectual Property" image="29" i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-forward" i_color="rgb(175, 123, 91)"][/ld_content_box][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:14px" lh="text_small:1.71em" padding="top_large:1.5em|right_large:32px|left_large:32px"]Our process applies techniques from a variety of disciplines distinction in detail and gives careful attention.[/ld_fancy_heading][/ld_carousel_section][/ld_carousel_tab][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Carousel 11 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Carousel 11', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'carousel-11.jpg' );
	$data['sort_name'] = 'Carousel';
	$data['custom_class'] = 'general carousel client';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" gap="0" css=".vc_custom_1610005427022{padding-bottom: 60px !important;}" responsive_css="padding_bottom_medium:120px"][vc_column][ld_carousel_tab columns="md:3.75|sm:2|xs:1|spacing_xs:3%25" inactiv_opacity="1" pagenationdots="yes" groupcells="no" wraparound="yes" randomveroffset="yes" dots_type="numbers" number_style="line" align_dots="carousel-dots-center" dots_right_offset="0px" dots_bottom_offset="-90px" dots_left_offset="0px" mobile_dots_bottom_offset_outside="0px"][ld_carousel_section title="Carousel Item" tab_id="lqd-1609928485321-d1763d38-7178"][vc_single_image image="4393"][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1609928485322-7a2f67e5-9e30"][vc_single_image image="4396"][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1609928485322-4116baff-12d7"][vc_single_image image="4395"][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1609928668158-0a01a229-5bed"][vc_single_image image="4394"][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1609929187099-4bd71f45-1420"][vc_single_image image="4399"][/ld_carousel_section][/ld_carousel_tab][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Carousel 12 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Carousel 12', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'carousel-12.jpg' );
	$data['sort_name'] = 'Carousel';
	$data['custom_class'] = 'general carousel client';
	$data['content'] = <<<CONTENT
	[vc_row bg_position="center center" responsive_css="padding_top_medium:100px|padding_bottom_medium:150px" css=".vc_custom_1605894339565{padding-bottom: 60px !important;background-image: url(https://multiusepro.liquid-themes.com/wp-content/uploads/2020/01/map.jpg?id=62) !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}"][vc_column offset="vc_hidden-sm vc_hidden-xs"][ld_images_group_container enable_item_animation="yes" move_to_parent_row="yes" pf_init_scale_x="0.3" pf_init_scale_y="0.3" pf_init_opacity="0" pf_an_scale_x="1" pf_an_scale_y="1" pf_an_opacity="1" absolute_pos="yes" pf_duration="1800" pf_delay="180" pf_init_translate_y="36" position="top_small:0px|right_small:0px|bottom_small:0px|left_small:0px"][ld_images_group_element img_size="50%" parallax="yes" enable_image_shadow="yes" shadow_style="3" enable_roudness="yes" image_roudness="50em" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" absolute_pos="yes" image="107" position="bottom_small:32vh|left_small:5vw" translate_from_y="90" translate_to_y="-140"][/ld_images_group_element][ld_images_group_element img_size="50%" parallax="yes" enable_image_shadow="yes" shadow_style="3" enable_roudness="yes" image_roudness="50em" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" absolute_pos="yes" image="108" position="bottom_small:18vh|left_small:15vw" translate_from_y="60" translate_to_y="-85"][/ld_images_group_element][ld_images_group_element img_size="50%" parallax="yes" enable_image_shadow="yes" shadow_style="3" enable_roudness="yes" image_roudness="50em" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" absolute_pos="yes" image="109" position="bottom_small:40vh|left_small:20vw" translate_from_y="90" translate_to_y="-200"][/ld_images_group_element][ld_images_group_element img_size="50%" parallax="yes" enable_image_shadow="yes" shadow_style="3" enable_roudness="yes" image_roudness="50em" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" absolute_pos="yes" image="111" position="right_small:3vw|bottom_small:30vh" translate_from_y="90" translate_to_y="-140"][/ld_images_group_element][ld_images_group_element img_size="50%" parallax="yes" enable_image_shadow="yes" shadow_style="3" enable_roudness="yes" image_roudness="50em" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" absolute_pos="yes" image="110" position="right_small:13vw|bottom_small:20vh" translate_from_y="40" translate_to_y="-50"][/ld_images_group_element][ld_images_group_element img_size="50%" parallax="yes" enable_image_shadow="yes" shadow_style="3" enable_roudness="yes" image_roudness="50em" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" absolute_pos="yes" image="112" position="right_small:12vw|bottom_small:35vh" translate_from_y="40" translate_to_y="-120"][/ld_images_group_element][/ld_images_group_container][/vc_column][vc_column align="text-center" offset="vc_col-md-offset-1 vc_col-md-10" css=".vc_custom_1607345746700{margin-bottom: 70px !important;}" responsive_align="text-md-center"][ld_fancy_heading tag="h6" margin="bottom_small:1em"]What we achieved[/ld_fancy_heading][ld_fancy_heading tag="h2" split_type="words" duration="1000" delay="120" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" enable_fit="true" minfontsize="40" fs="text_large:48px|text_small:40px" ca_init_translate_y="70"]Don't just take our word for it[/ld_fancy_heading][/vc_column][vc_column align="text-center" offset="vc_col-md-offset-1 vc_col-md-10" responsive_align="text-md-center"][ld_images_group_element parallax="yes" scale_from_x="0.8" scale_from_y="0.8" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" absolute_pos="yes" image="64" position="top_small:-10%25|left_small:35%25" translate_from_y="20" translate_to_y="-190"][/ld_images_group_element][ld_carousel_tab columns="xs:1|spacing_xs:15px" inactiv_opacity="1" pagenationdots="yes" wraparound="yes" dots_right_offset="0" dots_bottom_offset="-20px" dots_left_offset="0" size_dots="carousel-dots-custom" dotscustomsize="30px" dotscustomsize_height="2px" dots_bg_color="rgba(6, 61, 174, 0.2)" dots_bg_hcolor="rgb(1, 209, 50)"][ld_carousel_section title="Tab" tab_id="lqd-1595668633656-4131b1cf-5a17"][vc_row_inner][vc_column_inner align="text-center" responsive_align="text-md-center"][vc_single_image image="63" img_size="95x95" alignment="center" style="vc_box_border_circle" border_color="white"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:22px" lh="text_small:1.53em" margin="bottom_small:1.5em"]“Greatest appreciation to you &amp; your team for the awesome and outstanding job you did for us. The website is just what we wanted, and we were thrilled with the speed your team exercised. We feel privileged to have Hub Coporation as our online marketing partner!”[/ld_fancy_heading][ld_fancy_heading tag="h4" tag_to_inherite="h6" use_inheritance="true" color="rgb(0, 0, 0)"]Rochus Sabah, CEO &amp; Co-Founder[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1599660131503-c223b229-c189"][vc_row_inner][vc_column_inner align="text-center" responsive_align="text-md-center"][vc_single_image image="110" img_size="95x95" alignment="center" style="vc_box_border_circle" border_color="white"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:22px" lh="text_small:1.53em" margin="bottom_small:1.5em"]“Greatest appreciation to you &amp; your team for the awesome and outstanding job you did for us. The website is just what we wanted, and we were thrilled with the speed your team exercised. We feel privileged to have Hub Coporation as our online marketing partner!”[/ld_fancy_heading][ld_fancy_heading tag="h4" tag_to_inherite="h6" use_inheritance="true" color="rgb(0, 0, 0)"]Rochus Sabah, CEO &amp; Co-Founder[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1599660130278-a39e322f-2278"][vc_row_inner][vc_column_inner align="text-center" responsive_align="text-md-center"][vc_single_image image="63" img_size="95x95" alignment="center" style="vc_box_border_circle" border_color="white"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:22px" lh="text_small:1.53em" margin="bottom_small:1.5em"]“Greatest appreciation to you &amp; your team for the awesome and outstanding job you did for us. The website is just what we wanted, and we were thrilled with the speed your team exercised. We feel privileged to have Hub Coporation as our online marketing partner!”[/ld_fancy_heading][ld_fancy_heading tag="h4" tag_to_inherite="h6" use_inheritance="true" color="rgb(0, 0, 0)"]Rochus Sabah, CEO &amp; Co-Founder[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_carousel_section][/ld_carousel_tab][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Carousel 13 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Carousel 13', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'carousel-13.jpg' );
	$data['sort_name'] = 'Carousel';
	$data['custom_class'] = 'general carousel client';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" gap="0" responsive_css="padding_bottom_medium:55px" css=".vc_custom_1610196192443{padding-top: 5px !important;padding-bottom: 30px !important;}"][vc_column][ld_slideshow columns="md:4|sm:3|xs:2|spacing_xs:0px" identities="%5B%7B%22title%22%3A%22Innovative%20Solutions%22%2C%22image%22%3A%228908%22%2C%22url%22%3A%22%23%22%2C%22btn_label%22%3A%22Learn%20more%22%7D%2C%7B%22title%22%3A%22Trusted%20Experience%22%2C%22image%22%3A%228907%22%2C%22url%22%3A%22%23%22%2C%22btn_label%22%3A%22Learn%20more%22%7D%2C%7B%22title%22%3A%22Digital%20Solutions%22%2C%22image%22%3A%228909%22%2C%22url%22%3A%22%23%22%2C%22btn_label%22%3A%22Learn%20more%22%7D%2C%7B%22title%22%3A%22Global%20Partners%22%2C%22image%22%3A%228910%22%2C%22url%22%3A%22%23%22%2C%22btn_label%22%3A%22Learn%20more%22%7D%2C%7B%22title%22%3A%22IT%20Consultancy%22%2C%22image%22%3A%228911%22%2C%22url%22%3A%22%23%22%2C%22btn_label%22%3A%22Learn%20more%22%7D%2C%7B%22title%22%3A%22Business%20Consultation%22%2C%22image%22%3A%228912%22%2C%22url%22%3A%22%23%22%2C%22btn_label%22%3A%22Learn%20more%22%7D%5D" overlay_bg="rgba(0, 0, 0, 0.3)"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Carousel 14 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Carousel 14', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'carousel-14.jpg' );
	$data['sort_name'] = 'Carousel';
	$data['custom_class'] = 'general carousel client';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1611248305657{padding-top: 20px !important;padding-bottom: 20px !important;}"][vc_column offset="vc_col-md-offset-2 vc_col-md-8" responsive_align="text-center" responsive_css="padding_right_large:6%25|padding_left_large:6%25" css=".vc_custom_1611248686536{margin-bottom: 35px !important;}"][ld_fancy_heading tag="h2" highlight_reset_onhover="lqd-highlight-reset-onhover" highlight_offset="0.15em" use_custom_fonts_title="true" fs="text_small:42px" highlight_color="rgba(177, 204, 255, 0.35)"]Available on [ld_highlight]iOS.[/ld_highlight][/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:18px" lh="text_small:1.5em" padding="right_all:10%25|left_all:10%25" color="rgb(121, 121, 121)"]Open a beautiful store, increase your conversion rates and boost your sales in minutes with object-oriented UX.[/ld_fancy_heading][/vc_column][/vc_row][vc_row full_width="stretch_row" gap="0" el_id="overview"][vc_column][ld_carousel_tab columns="sm:1.5|xs:1.15|spacing_xs:2%25" inactiv_opacity="1" cellalign="center" wraparound="yes"][ld_carousel_section title="Carousel Item" tab_id="lqd-1611248400277-455c40be-4e57"][vc_single_image image="1070" alignment="center" css=".vc_custom_1615556810191{margin-bottom: 0px !important;}"][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1615556815059-da49c2ad-063d"][vc_single_image image="1070" alignment="center" css=".vc_custom_1615556810191{margin-bottom: 0px !important;}"][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1615556814640-3dd376e0-a3a7"][vc_single_image image="1070" alignment="center" css=".vc_custom_1615556810191{margin-bottom: 0px !important;}"][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1615556814270-260c5b02-04c1"][vc_single_image image="1070" alignment="center" css=".vc_custom_1615556810191{margin-bottom: 0px !important;}"][/ld_carousel_section][/ld_carousel_tab][/vc_column][/vc_row][vc_row equal_height="yes" content_placement="middle" responsive_css="padding_top_medium:120px|padding_top_small:80px|padding_bottom_small:30px" css=".vc_custom_1614342255674{padding-top: 60px !important;padding-bottom: 15px !important;}"][vc_column offset="vc_col-md-5" responsive_css="margin_bottom_medium:0px" css=".vc_custom_1611315213533{margin-bottom: 20px !important;}"][ld_fancy_heading tag="h6" margin="bottom_small:2em"]<a href="https://saaspro.liquid-themes.com/wp-content/uploads/2021/01/Group-32402.svg"><img class="alignnone size-medium wp-image-964" src="https://saaspro.liquid-themes.com/wp-content/uploads/2021/01/Group-32402.svg" alt="" width="110" height="19" /></a>  Next Generation[/ld_fancy_heading][ld_fancy_heading tag="h2" highlight_reset_onhover="lqd-highlight-reset-onhover" highlight_offset="0.15em" use_custom_fonts_title="true" fs="text_medium:51px|text_small:11vw" highlight_color="rgba(177, 204, 255, 0.35)" margin="bottom_small:0.35em"]Track your daily [ld_highlight]activity.[/ld_highlight][/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.47em"]The latest design trends meet hand-crafted templates in Hub Collection. Use pre-built sections to speed up your design process.[/ld_fancy_heading][/vc_column][vc_column responsive_css="padding_left_large:6%25" offset="vc_col-md-7"][ld_images_group_element enable_hover3d="yes" image="970"][/ld_images_group_element][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Carousel 15 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Carousel 15', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'carousel-15.jpg' );
	$data['sort_name'] = 'Carousel';
	$data['custom_class'] = 'general carousel client';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" bg_position="left center" css=".vc_custom_1615296732210{padding-top: 80px !important;padding-bottom: 60px !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}" responsive_css="padding_top_medium:190px|padding_bottom_medium:75px"][vc_column offset="vc_col-md-5"][ld_carousel_tab columns="xs:1|spacing_xs:15px" inactiv_opacity="1" el_id="imagecarousel"][ld_carousel_section title="Carousel Item" tab_id="lqd-1600252282304-a8c70604-d900"][vc_single_image image="4768" css=".vc_custom_1610979853260{border-radius: 5px !important;}"][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1600252282452-a023f235-8281"][vc_single_image image="4354" css=".vc_custom_1600252738454{border-radius: 5px !important;}"][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1600252282579-796a9db6-b27b"][vc_single_image image="4768" css=".vc_custom_1614708765444{border-radius: 5px !important;}"][/ld_carousel_section][/ld_carousel_tab][/vc_column][vc_column offset="vc_col-md-offset-1 vc_col-md-6"][ld_carousel_tab columns="xs:1|spacing_xs:15px" inactiv_opacity="1" prevnextbuttons="yes" wraparound="yes" adaptiveheight="yes" navarrow="6" navsize="carousel-nav-lg" navfill="carousel-nav-solid" navshape="carousel-nav-circle" navshadow="carousel-nav-shadowed-onhover" nav_arrow_color="rgb(2, 33, 82)" nav_arrow_color_hover="rgb(255, 255, 255)" controllingcarousels="#imagecarousel"][ld_carousel_section title="Carousel Item" tab_id="lqd-1600252289383-2383b595-a791"][vc_row_inner css=".vc_custom_1572343240749{margin-bottom: 60px !important;}"][vc_column_inner enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" ca_init_translate_y="45"][ld_fancy_heading tag="h5" enable_bg="yes" fh_border_radius="circle" use_custom_fonts_title="true" fs="text_small:12px" margin="bottom_small:2em" fw="text_small:700" ls="text_small:0.13em" color="rgb(230, 81, 46)" padding="top_small:10px|right_small:20px|bottom_small:10px|left_small:20px" fh_bg="rgb(255, 239, 227)"]CREATIVE SOLUTIONS[/ld_fancy_heading][ld_fancy_heading tag="h2" highlight_animation="lqd-highlight-grow-bottom" highlight_offset="4px" duration="1600" delay="160" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" highlight_color="rgb(211, 255, 248)" fs="text_small:52px" lh="text_small:1.2em" padding="right_large:15%25" ca_init_translate_y="0"]Marketing at [ld_highlight]Facebook[/ld_highlight][/ld_fancy_heading][ld_fancy_heading tag="p" duration="1600" delay="160" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" fs="text_small:20px" lh="text_small:34px" start_delay="200" ca_init_translate_y="0"]As a leading digital agency in Paris, we look to engage with our clients beyond the conventional design and development agency relationship, becoming a partner to the people and companies we work with.[/ld_fancy_heading][ld_button style="btn-naked" title="Explore Advertising" transformation="text-uppercase" i_type="linea" i_hover_reveal="btn-hover-swp" i_add_icon="true" color="rgb(14, 82, 74)" hover_color="rgb(0, 0, 0)" i_size="20px" css=".vc_custom_1611039414143{margin-top: 20px !important;}" i_icon_linea="lqd-icn-ess icon-md-arrow-forward"][/vc_column_inner][/vc_row_inner][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1600252289530-ea17f851-bd12"][vc_row_inner css=".vc_custom_1572343240749{margin-bottom: 60px !important;}"][vc_column_inner enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" ca_init_translate_y="45"][ld_fancy_heading tag="h2" highlight_offset="4px" duration="1600" delay="160" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" highlight_color="rgb(211, 255, 248)" fs="text_small:52px" lh="text_small:1.2em" padding="right_large:15%25" ca_init_translate_y="0"]Marketing at Facebook[/ld_fancy_heading][ld_fancy_heading tag="p" duration="1600" delay="160" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" fs="text_small:20px" lh="text_small:34px" start_delay="200" ca_init_translate_y="0"]As a leading digital agency in Paris, we look to engage with our clients beyond the conventional design and development agency relationship, becoming a partner to the people and companies we work with.[/ld_fancy_heading][ld_button style="btn-naked" title="Explore Advertising" transformation="text-uppercase" i_type="linea" i_hover_reveal="btn-hover-swp" i_add_icon="true" color="rgb(14, 82, 74)" hover_color="rgb(0, 0, 0)" i_size="20px" css=".vc_custom_1611039693450{margin-top: 20px !important;}" i_icon_linea="lqd-icn-ess icon-md-arrow-forward"][/vc_column_inner][/vc_row_inner][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1600252289665-a5c38731-fcd6"][vc_row_inner css=".vc_custom_1572343240749{margin-bottom: 60px !important;}"][vc_column_inner enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" ca_init_translate_y="45"][ld_fancy_heading tag="h2" highlight_offset="4px" duration="1600" delay="160" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" highlight_color="rgb(211, 255, 248)" fs="text_small:52px" lh="text_small:1.2em" padding="right_large:15%25" ca_init_translate_y="0"]Marketing at Facebook[/ld_fancy_heading][ld_fancy_heading tag="p" duration="1600" delay="160" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" fs="text_small:20px" lh="text_small:34px" start_delay="200" ca_init_translate_y="0"]As a leading digital agency in Paris, we look to engage with our clients beyond the conventional design and development agency relationship, becoming a partner to the people and companies we work with.[/ld_fancy_heading][ld_button style="btn-naked" title="Explore Advertising" transformation="text-uppercase" i_type="linea" i_hover_reveal="btn-hover-swp" i_add_icon="true" color="rgb(14, 82, 74)" hover_color="rgb(0, 0, 0)" i_size="20px" css=".vc_custom_1611039719492{margin-top: 20px !important;}" i_icon_linea="lqd-icn-ess icon-md-arrow-forward"][/vc_column_inner][/vc_row_inner][/ld_carousel_section][/ld_carousel_tab][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Carousel 16 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Carousel 16', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'carousel-16.jpg' );
	$data['sort_name'] = 'Carousel';
	$data['custom_class'] = 'general carousel client';
	$data['content'] = <<<CONTENT
CONTENT;
	$templates[] = $data;

	//Carousel 17 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Carousel 17', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'carousel-17.jpg' );
	$data['sort_name'] = 'Carousel';
	$data['custom_class'] = 'general carousel client';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="bottom" enable_gradient="yes" enable_row_dividers="yes" css=".vc_custom_1615552552691{padding-top: 80px !important;padding-bottom: 40px !important;background-color: #122339 !important;}" responsive_css="margin_top_medium:50px|margin_bottom_medium:50px|padding_top_medium:110px|padding_bottom_medium:0px" gradient_bg="linear-gradient(295deg, rgb(59,65,87) 0.3184713375796178%, rgb(50,51,74) 51.366487733877385%, rgb(64, 74, 99) 99.36305732484077%)" el_id="explore" row_svg_divider="top_shape_type:14|top_shape_color:%23ffffff|top_shape_height:56|bottom_shape_type:12|bottom_shape_color:%23ffffff|bottom_shape_height:54"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-4" responsive_css="margin_bottom_medium:180px|padding_right_medium:15px|padding_left_medium:15px" css=".vc_custom_1605398444640{margin-bottom: 45px !important;}" ca_duration="1800" ca_delay="180" ca_init_translate_y="35" responsive_align="text-center text-md-left"][ld_fancy_heading tag="h6" transform="text-uppercase" enable_bg="yes" fh_border_radius="circle" use_custom_fonts_title="true" fs="text_small:13px" ls="text_small:0.05em" margin="bottom_small:1.75em" fh_bg="rgba(0, 0, 0, 0.11)" padding="top_small:6px|right_small:13px|bottom_small:6px|left_small:13px" color="rgb(255, 255, 255)"]Explore new places[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" margin="bottom_small:0.3em" color="rgb(255, 255, 255)" padding="right_all:10%25" fs="text_large:39px|text_small:32px"]Travel and Discover[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:20px" lh="text_small:30px" margin="bottom_small:1.5em" padding="right_large:18%25" color="rgba(255, 255, 255, 0.9)"]WooCommerce. Hub provides all the tools you need to start selling online.[/ld_fancy_heading][ld_button style="btn-solid" title="Get started" shape="circle" border="border-none" hover_txt_effect="btn-hover-txt-switch btn-hover-txt-switch-y" i_type="linea" i_hover_reveal="btn-hover-swp" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" fs="16px" css=".vc_custom_1614328638081{padding-right: 0.75em !important;padding-left: 0.75em !important;}" color="rgba(0, 0, 0, 0.27)" hover_color="rgb(255, 255, 255)" htext_color="rgb(0, 0, 0)" i_margin_left="15px"][/vc_column][vc_column width="5/12" offset="vc_col-md-offset-0 vc_col-md-4 vc_col-sm-offset-0 vc_col-xs-offset-2 vc_col-xs-8" responsive_css="margin_bottom_medium:-110px"][ld_carousel_tab columns="xs:1|spacing_xs:15px" inactiv_opacity="1" el_id="mobile-carousel"][ld_carousel_section title="Carousel Item" tab_id="lqd-1610629144508-a3955598-06cb"][vc_single_image image="127"][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1599141772807-23e2341c-40ef"][vc_single_image image="125"][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1599141772942-cb894e74-f595"][vc_single_image image="49"][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1610629149400-5a675e39-b2bb"][vc_single_image image="128"][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1599141772651-89308042-67b8"][vc_single_image image="127"][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1599141776504-c7c1b36a-6419"][vc_single_image image="49"][/ld_carousel_section][/ld_carousel_tab][/vc_column][vc_column width="7/12" offset="vc_col-md-4" responsive_css="margin_bottom_medium:200px|padding_right_medium:15px|padding_left_medium:15px" css=".vc_custom_1573390261312{margin-bottom: 45px !important;}"][vc_row_inner css=".vc_custom_1573118821882{margin-bottom: 50px !important;}"][vc_column_inner el_id="carousel-nav-container"][/vc_column_inner][/vc_row_inner][ld_carousel_tab columns="md:1|xs:1|spacing_xs:15px" inactiv_opacity="1" enable_item_animation="yes" prevnextbuttons="yes" fullwidthside="yes" groupcells="no" navarrow="6" navappend="custom_id" navsize="carousel-nav-xl" navfill="carousel-nav-bordered" navshape="carousel-nav-circle" pf_init_scale_x="1" pf_init_scale_y="1" pf_init_opacity="0" pf_an_scale_x="1" pf_an_scale_y="1" pf_an_opacity="1" navappend_id="#carousel-nav-container" nav_arrow_color="rgb(255, 255, 255)" nav_bg_hcolor="rgb(255, 255, 255)" pf_duration="1800" pf_start_delay="600" pf_delay="80" pf_init_translate_x="35" pf_init_translate_y="0" controllingcarousels="#mobile-carousel" nav_border_color="rgba(255, 255, 255, 0.28)" nav_border_hcolor="rgb(255, 255, 255)" nav_arrow_color_hover="rgb(0, 0, 0)" mobile_dots_bg_color="rgba(255, 255, 255, 0.75)" mobile_dots_bg_hcolor="rgb(255, 255, 255)"][ld_carousel_section title="Carousel Item" tab_id="lqd-1599141846603-9b344608-792a"][ld_fancy_heading tag="h5" margin="bottom_small:1.25em" color="rgb(255, 255, 255)"]One Click Installation[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.7)" fs="text_small:16px" lh="text_small:28px"]Hub is extremely light. A rock-solid structure and next-generation technologies deliver the maximum performance with minimum resources.[/ld_fancy_heading][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1599141846736-02ee7d70-6ae7"][ld_fancy_heading tag="h5" margin="bottom_small:1.25em" color="rgb(255, 255, 255)"]Mega Menu Builder[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.7)" fs="text_small:16px" lh="text_small:28px"]Hub is extremely light. A rock-solid structure and next-generation technologies deliver the maximum performance with minimum resources.[/ld_fancy_heading][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1599141846857-4f564418-d86c"][ld_fancy_heading tag="h5" margin="bottom_small:1.25em" color="rgb(255, 255, 255)"]WooCommerce[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.7)" fs="text_small:16px" lh="text_small:28px"]Hub is extremely light. A rock-solid structure and next-generation technologies deliver the maximum performance with minimum resources.[/ld_fancy_heading][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1610629137241-bcc9d59a-bdcf"][ld_fancy_heading tag="h5" margin="bottom_small:1.25em" color="rgb(255, 255, 255)"]Rock Solid Performance[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.7)" fs="16px" lh="28px"]All in one landing and startup solutions. Endless use-cases that make it highly flexible, adaptable, and scalable for everyone in the community.[/ld_fancy_heading][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1610629135751-206df3cc-5684"][ld_fancy_heading tag="h5" margin="bottom_small:1.25em" color="rgb(255, 255, 255)"]Popup Builder[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.7)" fs="text_small:16px" lh="text_small:28px"]Create beautiful pop ups in minutes. Start converting your website visitors into subscribers and customers.[/ld_fancy_heading][/ld_carousel_section][/ld_carousel_tab][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Carousel 18 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Carousel 18', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'carousel-18.jpg' );
	$data['sort_name'] = 'Carousel';
	$data['custom_class'] = 'general carousel client';
	$data['content'] = <<<CONTENT
	[vc_row bg_position="center center" css=".vc_custom_1614328250330{padding-top: 60px !important;background-image: url(https://mobilepro.liquid-themes.com/wp-content/uploads/2019/11/circles.svg?id=51) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: contain !important;}" responsive_css="padding_top_medium:80px|padding_bottom_medium:80px" el_id="testimonials"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" align="text-center" offset="vc_col-md-offset-2 vc_col-md-8" ca_duration="1800" ca_delay="180" ca_init_translate_y="35" responsive_css="margin_bottom_medium:80px" responsive_align="text-center" css=".vc_custom_1605398055025{margin-bottom: 20px !important;}"][ld_fancy_heading tag="h6" transform="text-uppercase" enable_bg="yes" fh_border_radius="circle" use_custom_fonts_title="true" fs="text_small:13px" ls="text_small:0.05em" margin="bottom_small:1.75em" fh_bg="rgb(228, 230, 255)" padding="top_small:6px|right_small:13px|bottom_small:6px|left_small:13px"]Explore new places[/ld_fancy_heading][ld_fancy_heading tag="h2" highlight_type="lqd-highlight-custom-underline" use_custom_fonts_title="true" enable_fit="true" fs="text_large:39px|text_small:32px" compressor="0.7" minfontsize="38"]They enjoy HubApp[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-offset-1 vc_col-md-10" css=".vc_custom_1573123868086{margin-bottom: 30px !important;}"][ld_carousel_tab columns="xs:1|spacing_xs:15px" inactiv_opacity="1" enable_item_animation="yes" prevnextbuttons="yes" adaptiveheight="yes" navarrow="6" navsize="carousel-nav-xl" navhalign="carousel-nav-center" navfloated="carousel-nav-floated" navvalign="carousel-nav-middle" pf_init_scale_x="1" pf_init_scale_y="1" pf_init_opacity="0" pf_an_scale_x="1" pf_an_scale_y="1" pf_an_opacity="1" nav_arrow_color="rgb(29, 39, 78)" prevoffset="-10%" nextoffset="-10%" pf_duration="1800" pf_delay="100" pf_init_translate_y="35"][ld_carousel_section title="Carousel Item" tab_id="lqd-1599142005913-0c1d5ef6-5d8e"][vc_row_inner][vc_column_inner width="1/2" offset="vc_col-md-offset-0 vc_col-md-4 vc_col-xs-offset-3 vc_col-xs-6" responsive_css="margin_right_medium:0px|margin_bottom_medium:0px|margin_left_medium:0px|margin_right_small:75px|margin_left_small:0px" css=".vc_custom_1573390562319{margin-bottom: -50px !important;margin-left: -70px !important;}"][vc_single_image image="54"][/vc_column_inner][vc_column_inner offset="vc_col-md-7" responsive_css="padding_left_medium:7%25" responsive_align="text-center text-md-left"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:22px" lh="text_small:33px" color="rgb(77, 85, 116)" margin="bottom_small:1em"]All in one landing and startup solutions. Endless use-cases that make it highly flexible, adaptable, and scalable for everyone in the community. Focused on providing smart, Route each conversation to the right recipient.[/ld_fancy_heading][ld_fancy_heading tag="h5" use_custom_fonts_title="true" fs="15px" color="rgb(29, 39, 78)"]Clarissa Dalloway, Hub CEO[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1599142006163-4945c6c7-ba1d"][vc_row_inner][vc_column_inner width="1/2" offset="vc_col-md-offset-0 vc_col-md-4 vc_col-xs-offset-3 vc_col-xs-6" responsive_css="margin_right_medium:0px|margin_bottom_medium:0px|margin_left_medium:0px|margin_right_small:75px|margin_left_small:0px" css=".vc_custom_1573390562319{margin-bottom: -50px !important;margin-left: -70px !important;}"][vc_single_image image="54"][/vc_column_inner][vc_column_inner offset="vc_col-md-7" responsive_css="padding_left_medium:7%25"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:22px" lh="text_small:33px" color="rgb(77, 85, 116)" margin="bottom_small:1em"]All in one landing and startup solutions. Endless use-cases that make it highly flexible, adaptable, and scalable for everyone in the community. Focused on providing smart, Route each conversation to the right recipient.[/ld_fancy_heading][ld_fancy_heading tag="h5" use_custom_fonts_title="true" fs="15px" color="rgb(29, 39, 78)"]Clarissa Dalloway, Hub CEO[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1599142006327-bbc6db18-0c01"][vc_row_inner][vc_column_inner width="1/2" offset="vc_col-md-offset-0 vc_col-md-4 vc_col-xs-offset-3 vc_col-xs-6" responsive_css="margin_right_medium:0px|margin_bottom_medium:0px|margin_left_medium:0px|margin_right_small:75px|margin_left_small:0px" css=".vc_custom_1573390562319{margin-bottom: -50px !important;margin-left: -70px !important;}"][vc_single_image image="54"][/vc_column_inner][vc_column_inner offset="vc_col-md-7" responsive_css="padding_left_medium:7%25"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:22px" lh="text_small:33px" color="rgb(77, 85, 116)" margin="bottom_small:1em"]All in one landing and startup solutions. Endless use-cases that make it highly flexible, adaptable, and scalable for everyone in the community. Focused on providing smart, Route each conversation to the right recipient.[/ld_fancy_heading][ld_fancy_heading tag="h5" use_custom_fonts_title="true" fs="15px" color="rgb(29, 39, 78)"]Clarissa Dalloway, Hub CEO[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_carousel_section][/ld_carousel_tab][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Carousel 19 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Carousel 19', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'carousel-19.jpg' );
	$data['sort_name'] = 'Carousel';
	$data['custom_class'] = 'general carousel client';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1614669893026{padding-bottom: 60px !important;}" responsive_css="padding_top_medium:100px|padding_bottom_medium:150px" el_id="businesssolutions"][vc_column align="text-center" offset="vc_col-md-offset-2 vc_col-md-8" css=".vc_custom_1614670742369{margin-bottom: 30px !important;}" responsive_align="text-left text-md-center" responsive_css="margin_bottom_medium:70px"][ld_fancy_heading tag="h2"]IT Business Solutions[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:20px" lh="text_small:1.6em" padding="bottom_large:0px"]Hub IT allows your business and technology computers to store, transmit, analyze, and manipulate big data in the digital world.[/ld_fancy_heading][/vc_column][vc_column responsive_css="margin_top_medium:0px"][ld_carousel_tab columns="md:3|sm:2|xs:1.15|spacing_sm:22px|spacing_xs:15px" inactiv_opacity="1" cellalign="center" wraparound="yes"][ld_carousel_section title="Section 1" tab_id="1592381833921-56829c90-f38d"][ld_content_box template="s08" content_alignment="lqd-fb-content-bc" ct_width="w-80" i_type="linea" title="IT Security" image="45" content_bg="rgb(255, 255, 255)" i_icon_linea="icon-arrow-right-material" i_color="rgb(170, 161, 120)" heading_color="rgb(0, 0, 0)"][/ld_content_box][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px" lh="text_small:1.42em" padding="right_large:10.5%25|left_large:10.5%25" margin="top_small:10px"]Hub IT allows your business and technology computers to store, transmit, analyze, and manipulate big data in the digital world.[/ld_fancy_heading][/ld_carousel_section][ld_carousel_section title="Section 2" tab_id="1592381834026-24319b72-5616"][ld_content_box template="s08" content_alignment="lqd-fb-content-bc" ct_width="w-80" i_type="linea" title="For companies" image="46" content_bg="rgb(255, 255, 255)" i_icon_linea="icon-arrow-right-material" i_color="rgb(170, 161, 120)" heading_color="rgb(0, 0, 0)"][/ld_content_box][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px" lh="text_small:1.42em" padding="right_large:10.5%25|left_large:10.5%25" margin="top_small:10px"]Hub IT allows your business and technology computers to store, transmit, analyze, and manipulate big data in the digital world.[/ld_fancy_heading][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="1592381906295-db133a42-c5d6"][ld_content_box template="s08" content_alignment="lqd-fb-content-bc" ct_width="w-80" i_type="linea" title="Mobile Data" image="44" content_bg="rgb(255, 255, 255)" i_icon_linea="icon-arrow-right-material" i_color="rgb(170, 161, 120)" heading_color="rgb(0, 0, 0)"][/ld_content_box][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px" lh="text_small:1.42em" padding="right_large:10.5%25|left_large:10.5%25" margin="top_small:10px"]Hub IT allows your business and technology computers to store, transmit, analyze, and manipulate big data in the digital world.[/ld_fancy_heading][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="1592381922832-36d419fc-b64a"][ld_content_box template="s08" content_alignment="lqd-fb-content-bc" ct_width="w-80" i_type="linea" title="Mobile Data" image="44" content_bg="rgb(255, 255, 255)" i_icon_linea="icon-arrow-right-material" i_color="rgb(170, 161, 120)" heading_color="rgb(0, 0, 0)"][/ld_content_box][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px" lh="text_small:1.42em" padding="right_large:10.5%25|left_large:10.5%25" margin="top_small:10px"]Buyer through your marketing and sales funnels through the power of real-time conversations and forms.[/ld_fancy_heading][/ld_carousel_section][/ld_carousel_tab][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Carousel 20 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Carousel 20', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'carousel-20.jpg' );
	$data['sort_name'] = 'Carousel';
	$data['custom_class'] = 'general carousel client';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" equal_height="yes" content_placement="middle" css=".vc_custom_1620983472130{padding-top: 20px !important;padding-bottom: 20px !important;}" responsive_css="padding_right_large:12vw|padding_left_large:12vw|padding_top_medium:50px|padding_right_medium:7vw|padding_bottom_medium:50px|padding_left_medium:7vw"][vc_column width="1/2" offset="vc_col-md-3 vc_col-xs-6" responsive_align="text-center text-md-left"][ld_counter template="`{`object Object`}`" use_custom_fonts_title="true" use_inheritance="true" counter_mb_checkbox="true" enable_blur="true" count="1m+" fs="51px" lh="1.1em" color="rgb(0, 6, 69)" el_class="mb-0"][ld_images_group_element image="80" margin="bottom_small:10px"][/ld_images_group_element][ld_fancy_heading tag="p" color="rgb(29, 41, 63)" margin="bottom_small:0.25em"]Installations[/ld_fancy_heading][ld_fancy_heading tag="p" color="rgb(37, 138, 255)" margin="bottom_small:0.25em"]Application Store[/ld_fancy_heading][/vc_column][vc_column width="1/2" offset="vc_col-md-3 vc_col-xs-6" responsive_align="text-center text-md-left"][ld_counter template="`{`object Object`}`" use_custom_fonts_title="true" use_inheritance="true" counter_mb_checkbox="true" enable_blur="true" count="4.98" fs="51px" lh="1.1em" color="rgb(0, 6, 69)" el_class="mb-0"][ld_images_group_element image="80" margin="bottom_small:10px"][/ld_images_group_element][ld_fancy_heading tag="p" color="rgb(29, 41, 63)" margin="bottom_small:0.25em"]The Best Rated App[/ld_fancy_heading][ld_fancy_heading tag="p" color="rgb(37, 138, 255)" margin="bottom_small:0.25em"]On Play Store[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-6" responsive_css="padding_top_medium:0px" css=".vc_custom_1607338010924{padding-top: 30px !important;}"][ld_carousel_tab columns="sm:3|xs:2|spacing_xs:6%25" inactiv_opacity="1" groupcells="no" wraparound="yes" autoplay="yes" mobile_dots_bottom_offset_outside="0.75em"][ld_carousel_section title="Tab" tab_id="lqd-1595515496470-f476a47f-849c"][vc_single_image image="252" css=".vc_custom_1610913064974{margin-bottom: 0px !important;}"][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595516087526-77fd3c05-0c62"][vc_single_image image="250" css=".vc_custom_1610913084440{margin-bottom: 0px !important;}"][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595516150566-e55e95d9-d8be"][vc_single_image image="251" css=".vc_custom_1610974291183{margin-bottom: 0px !important;}"][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595516109864-40f2ee70-4236"][vc_single_image image="250" css=".vc_custom_1610974269734{margin-bottom: 0px !important;}"][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595516118611-8b77e018-dc40"][vc_single_image image="249" css=".vc_custom_1610913025734{margin-bottom: 0px !important;}"][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595516099239-3985f1b0-c8b7"][vc_single_image image="253" css=".vc_custom_1610913003035{margin-bottom: 0px !important;}"][/ld_carousel_section][/ld_carousel_tab][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Carousel 21 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Carousel 21', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'carousel-21.jpg' );
	$data['sort_name'] = 'Carousel';
	$data['custom_class'] = 'general carousel client';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1605608047098{padding-bottom: 60px !important;}" responsive_css="padding_top_medium:80px|padding_bottom_medium:150px"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" align="text-center" offset="vc_col-md-offset-2 vc_col-md-8" css=".vc_custom_1607336418520{margin-bottom: 40px !important;}" ca_duration="1800" ca_delay="180" ca_init_translate_y="60" responsive_css="margin_bottom_medium:55px|padding_right_medium:7%25|padding_left_medium:7%25" responsive_align="text-md-center"][ld_fancy_heading tag="h2" enable_txt_rotator="yes" items="%5B%7B%22word%22%3A%22Startups.%22%7D%2C%7B%22word%22%3A%22Digital%20Platforms.%22%7D%2C%7B%22word%22%3A%22Technology%22%7D%5D" use_custom_fonts_title="true" margin="bottom_small:0.35em" fs="text_large:42px|text_small:40px"]Investing in[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_large:20px|text_small:17px" lh="text_large:34px|text_small:25px"]We help our clients succeed by creating brand identities, digital experiences, and print materials that communicate clearly.[/ld_fancy_heading][/vc_column][vc_column][ld_carousel_tab columns="md:3|sm:2|xs:1.15|spacing_md:30px|spacing_xs:15px" inactiv_opacity="1" enable_item_animation="yes" cellalign="center" pagenationdots="yes" wraparound="yes" dots_bottom_offset="-60px" dots_style="carousel-dots-style2" mobile_dots_bottom_offset_outside="-0.5em" pf_init_scale_x="1" pf_init_scale_y="1" pf_init_opacity="0" pf_an_scale_x="1" pf_an_scale_y="1" pf_an_opacity="1" pf_duration="1800" pf_delay="180" pf_init_translate_y="45"][ld_carousel_section title="Tab" tab_id="lqd-1610529190454-ea1f16c5-b1b9"][vc_row_inner][vc_column_inner enable_hover_move="lqd-column-move-onhover" align="text-center" responsive_align="text-center"][vc_single_image image="149" style="vc_box_rounded" css=".vc_custom_1596641224806{margin-bottom: 35px !important;border-radius: 5px !important;}"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_small:20px" margin="bottom_small:1em"]Investing in Digital Companies[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:22px"]Hub IT allows your business and technology computers to store, transmit and analyze.[/ld_fancy_heading][vc_single_image image="400"][/vc_column_inner][/vc_row_inner][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595324695548-74e3fd47-dacf"][vc_row_inner][vc_column_inner enable_hover_move="lqd-column-move-onhover" align="text-center" responsive_align="text-center"][vc_single_image image="148" style="vc_box_rounded" css=".vc_custom_1596641258953{margin-bottom: 35px !important;border-radius: 5px !important;}"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_small:20px" margin="bottom_small:1em"]Securing Digital Payment[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:22px"]Hub IT allows your business and technology computers to store, transmit and analyze.[/ld_fancy_heading][vc_single_image image="399"][/vc_column_inner][/vc_row_inner][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1610529182300-5f911446-06c3"][vc_row_inner][vc_column_inner enable_hover_move="lqd-column-move-onhover" align="text-center" responsive_align="text-center"][vc_single_image image="147" style="vc_box_rounded" css=".vc_custom_1596641348795{margin-bottom: 35px !important;border-radius: 5px !important;}"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="20px" margin="bottom_small:1em"]Building the idea of future[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:22px"]Hub IT allows your business and technology computers to store, transmit and analyze.[/ld_fancy_heading][vc_single_image image="398"][/vc_column_inner][/vc_row_inner][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1610529176041-5b3d9b87-c563"][vc_row_inner][vc_column_inner enable_hover_move="lqd-column-move-onhover" align="text-center" responsive_align="text-center"][vc_single_image image="148" style="vc_box_rounded" css=".vc_custom_1596641258953{margin-bottom: 35px !important;border-radius: 5px !important;}"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_small:20px" margin="bottom_small:1em"]Securing Digital Payment[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:22px"]Hub IT allows your business and technology computers to store, transmit and analyze.[/ld_fancy_heading][vc_single_image image="397"][/vc_column_inner][/vc_row_inner][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595253276998-204134b5-b96d"][vc_row_inner][vc_column_inner enable_hover_move="lqd-column-move-onhover" align="text-center" responsive_align="text-center"][vc_single_image image="149" style="vc_box_rounded" css=".vc_custom_1596641224806{margin-bottom: 35px !important;border-radius: 5px !important;}"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_small:20px" margin="bottom_small:1em"]Investing in Digital Companies[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:22px"]Hub IT allows your business and technology computers to store, transmit and analyze.[/ld_fancy_heading][vc_single_image image="396"][/vc_column_inner][/vc_row_inner][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595324697368-7ed8aa77-fb0d"][vc_row_inner][vc_column_inner enable_hover_move="lqd-column-move-onhover" align="text-center" responsive_align="text-center"][vc_single_image image="147" style="vc_box_rounded" css=".vc_custom_1596641348795{margin-bottom: 35px !important;border-radius: 5px !important;}"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="20px" margin="bottom_small:1em"]Building the idea of future[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:22px"]Hub IT allows your business and technology computers to store, transmit and analyze.[/ld_fancy_heading][vc_single_image image="398"][/vc_column_inner][/vc_row_inner][/ld_carousel_section][/ld_carousel_tab][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Carousel 22 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Carousel 22', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'carousel-22.jpg' );
	$data['sort_name'] = 'Carousel';
	$data['custom_class'] = 'general carousel client';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" enable_gradient="yes" responsive_css="padding_top_medium:85px|padding_bottom_medium:80px" css=".vc_custom_1622015708223{padding-top: 70px !important;padding-bottom: 70px !important;background-color: #f2f4f5 !important;}" el_id="case-studies" gradient_bg="linear-gradient(180deg, rgb(235, 239, 241) 0%, rgb(255, 255, 255) 100%)"][vc_column offset="vc_col-md-5"][ld_fancy_heading tag="h2"]Business Insight and strategic vision..[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-lg-offset-1 vc_col-lg-5 vc_col-md-6" responsive_css="padding_right_large:5%25"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgba(33, 41, 67, 0.8)" fs="text_small:18px" lh="text_small:1.44em"]Our process applies techniques from a variety of disciplines, values distinction in detail and gives careful[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-1" el_id="business-carousel-nav"][/vc_column][vc_column css=".vc_custom_1621852652935{padding-top: 50px !important;}"][ld_carousel_tab columns="md:3|sm:2|xs:1|spacing_xs:10px" inactiv_opacity="1" prevnextbuttons="yes" fullwidthside="yes" groupcells="no" navarrow="custom" navappend="custom_id" navsize="carousel-nav-lg" navfill="carousel-nav-bordered" navshape="carousel-nav-circle" navappend_id="#business-carousel-nav" shapesize="54px" prev="#E-8_JTNDaSUyMGNsYXNzJTNEJTVDJTIybHFkLWljbi1lc3MlMjBpY29uLWlvbi1pb3MtYXJyb3ctYmFjayU1QyUyMiUzRSUzQyUyRmklM0U=" next="#E-8_JTNDaSUyMGNsYXNzJTNEJTVDJTIybHFkLWljbi1lc3MlMjBpY29uLWlvbi1pb3MtYXJyb3ctZm9yd2FyZCU1QyUyMiUzRSUzQyUyRmklM0U="][ld_carousel_section title="Carousel Item" tab_id="lqd-1621852656776-bfb85b8c-3360"][ld_content_box template="s01" use_custom_fonts_title="true" title="Helping companies to build the future" label="Events" fs="24px" fw="700" img_link="url:http%3A%2F%2Fmultipurpose.liquid-themes.com%2Findex.php%2Fservices-2%2F|title:Services||" image="91"]Our process applies techniques from a variety of disciplines, values distinction in detail[/ld_content_box][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1621853132178-9e6d3619-7cbd"][ld_content_box template="s01" use_custom_fonts_title="true" title="Amazing Facilities inside the Building" label="Careers" fs="24px" fw="700" img_link="url:http%3A%2F%2Fmultipurpose.liquid-themes.com%2Findex.php%2Fservices-2%2F|title:Services||" image="92"]Our process applies techniques from a variety of disciplines, values distinction in detail[/ld_content_box][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1621853193746-52fedb4f-41e2"][ld_content_box template="s01" use_custom_fonts_title="true" title="Developing insights that drive impact" label="Events" fs="24px" fw="700" img_link="url:http%3A%2F%2Fmultipurpose.liquid-themes.com%2Findex.php%2Fservices-2%2F|title:Services||" image="93"]Our process applies techniques from a variety of disciplines, values distinction in detail[/ld_content_box][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1621853245199-3eacf8a9-e7d0"][ld_content_box template="s01" use_custom_fonts_title="true" title="Amazing Facilities inside the Campus" label="Careers" fs="24px" fw="700" img_link="url:http%3A%2F%2Fmultipurpose.liquid-themes.com%2Findex.php%2Fservices-2%2F|title:Services||" image="94"]Our process applies techniques from a variety of disciplines, values distinction in detail[/ld_content_box][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1621853372309-8fb88701-4e99"][ld_content_box template="s01" use_custom_fonts_title="true" title="Helping companies to build the future" label="Events" fs="24px" fw="700" img_link="url:http%3A%2F%2Fmultipurpose.liquid-themes.com%2Findex.php%2Fservices-2%2F|title:Services||" image="101"]Our process applies techniques from a variety of disciplines, values distinction in detail[/ld_content_box][/ld_carousel_section][/ld_carousel_tab][/vc_column][vc_column css=".vc_custom_1621853740828{padding-top: 60px !important;}" responsive_align="text-center"][ld_button style="btn-solid" title="Develop Impactful Stories" shape="circle" border="border-none" hover_txt_effect="btn-hover-txt-switch btn-hover-txt-switch-y" i_type="linea" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-forward" color="rgba(21, 81, 83, 0.07)" text_color="rgb(21, 81, 83)" fs="text_small:16px" i_size="1.25em" i_margin_left="13px"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Category Clients
	//Clients 1
	$data = array();
	$data['name'] = esc_html__( 'Clients 01', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'clients-1.jpg' );
	$data['sort_name'] = 'Clients, Marquee';
	$data['custom_class'] = 'general clients marquee';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1595425808576{padding-top: 50px !important;padding-bottom: 20px !important;background-color: #fcfaf9 !important;}"][vc_column align="text-center" offset="vc_col-md-offset-2 vc_col-md-8" responsive_align="text-center"][ld_fancy_heading tag="p" color="rgba(29, 39, 78, 0.75)" margin="bottom_small:50px"]Join the 10.000+ companies trusting Hub[/ld_fancy_heading][/vc_column][vc_column align="text-center" responsive_align="text-center"][ld_carousel_marquee_tab columns="md:6|sm:4|xs:3|spacing_md:34px|spacing_xs:20px" fadesides="lqd-fade-sides" draggable="no" pause_on_hover="yes"][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600670099986-fda266dc-b13a"][vc_single_image image="8804"][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Tab" tab_id="lqd-1600670135306-ec00d2d2-6cd6"][vc_single_image image="8802"][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Tab" tab_id="lqd-1600670138255-ecb183c1-d7e6"][vc_single_image image="8801"][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Tab" tab_id="lqd-1600670142203-cffe373d-a535"][vc_single_image image="8799"][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Tab" tab_id="lqd-1600670145263-0552daf2-f1e0"][vc_single_image image="8800"][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Tab" tab_id="lqd-1600670147842-65cbe96c-b157"][vc_single_image image="8798"][/ld_carousel_marquee_section][/ld_carousel_marquee_tab][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Clients 2
	$data = array();
	$data['name'] = esc_html__( 'Clients 02', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'clients-2.jpg' );
	$data['sort_name'] = 'Clients';
	$data['custom_class'] = 'general clients';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" css=".vc_custom_1610731000077{border-top-width: 1px !important;padding-top: 45px !important;padding-bottom: 15px !important;border-top-color: #efefef !important;border-top-style: solid !important;}"][vc_column css=".vc_custom_1610701116044{margin-bottom: 30px !important;}" offset="vc_col-md-3"][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" color="rgb(0, 0, 0)" fs="text_small:13px" ls="text_small:0.1em"]Trusted by global brands[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-offset-1 vc_col-md-8"][vc_row_inner][vc_column_inner width="1/5" css=".vc_custom_1610700678572{margin-bottom: 30px !important;}" offset="vc_col-md-1/5 vc_col-xs-6"][vc_single_image image="9120" alignment="center" css=".vc_custom_1610730857045{margin-bottom: 0px !important;}"][/vc_column_inner][vc_column_inner width="1/5" css=".vc_custom_1610700690002{margin-bottom: 30px !important;}" offset="vc_col-md-1/5 vc_col-xs-6"][vc_single_image image="9124" alignment="center" css=".vc_custom_1610730865485{margin-bottom: 0px !important;}"][/vc_column_inner][vc_column_inner width="1/5" css=".vc_custom_1610700701170{margin-bottom: 30px !important;}" offset="vc_col-md-1/5 vc_col-xs-6"][vc_single_image image="9122" alignment="center" css=".vc_custom_1610730875086{margin-bottom: 0px !important;}"][/vc_column_inner][vc_column_inner width="1/5" responsive_css="margin_bottom_small:0px" css=".vc_custom_1610700458155{margin-bottom: 30px !important;}" offset="vc_col-md-1/5 vc_col-xs-6"][vc_single_image image="9123" alignment="center" css=".vc_custom_1610730883006{margin-bottom: 0px !important;}"][/vc_column_inner][vc_column_inner width="1/5" css=".vc_custom_1610700720672{margin-bottom: 30px !important;}" offset="vc_col-md-1/5 vc_col-xs-6"][vc_single_image image="9121" alignment="center" css=".vc_custom_1610730894187{margin-bottom: 0px !important;}"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Clients 3 - gridportfolio
	$data = array();
	$data['name'] = esc_html__( 'Clients 03', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'clients-3.jpg' );
	$data['sort_name'] = 'Clients';
	$data['custom_class'] = 'general clients';
	$data['content'] = <<<CONTENT
	[vc_row gap="0" equal_height="yes" el_id="about" responsive_css="padding_top_medium:100px|padding_bottom_medium:100px" css=".vc_custom_1596327810853{padding-top: 20px !important;padding-bottom: 40px !important;}"][vc_column responsive_align="text-left text-md-center"][ld_fancy_heading tag="h6" alignment="text-center" margin="bottom_small:2.7em" color="rgb(0, 0, 0)"]— I’ve worked with global brands:[/ld_fancy_heading][/vc_column][vc_column][vc_row_inner enable_content_animation="yes" equal_height="yes" content_placement="middle" gap="0" animation_preset="Fade In" ca_delay="180" css=".vc_custom_1588770973128{background-color: #f3f3f7 !important;}"][vc_column_inner width="1/2" offset="vc_col-md-3 vc_col-xs-6" css=".vc_custom_1588772265264{border-top-width: 1px !important;border-right-width: 1px !important;border-left-width: 1px !important;padding-top: 76px !important;padding-bottom: 77px !important;border-left-color: #dbdbdb !important;border-left-style: solid !important;border-right-color: #dbdbdb !important;border-right-style: solid !important;border-top-color: #dbdbdb !important;border-top-style: solid !important;}"][vc_single_image image="4146" alignment="center" css=".vc_custom_1610891617674{margin-bottom: 0px !important;}"][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-3 vc_col-xs-6" css=".vc_custom_1588772270206{border-top-width: 1px !important;border-right-width: 1px !important;padding-top: 80px !important;padding-bottom: 80px !important;border-right-color: #dbdbdb !important;border-right-style: solid !important;border-top-color: #dbdbdb !important;border-top-style: solid !important;}"][vc_single_image image="4145" alignment="center" css=".vc_custom_1610891639947{margin-bottom: 0px !important;}"][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-3 vc_col-xs-6" css=".vc_custom_1588772275415{border-top-width: 1px !important;border-right-width: 1px !important;padding-top: 80px !important;padding-bottom: 80px !important;border-right-color: #dbdbdb !important;border-right-style: solid !important;border-top-color: #dbdbdb !important;border-top-style: solid !important;}"][vc_single_image image="3957" alignment="center" css=".vc_custom_1595497357906{margin-bottom: 0px !important;}"][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-3 vc_col-xs-6" css=".vc_custom_1588772281264{border-top-width: 1px !important;border-right-width: 1px !important;padding-top: 80px !important;padding-bottom: 72px !important;border-right-color: #dbdbdb !important;border-right-style: solid !important;border-top-color: #dbdbdb !important;border-top-style: solid !important;}"][vc_single_image image="3953" alignment="center" css=".vc_custom_1595497361776{margin-bottom: 0px !important;}"][/vc_column_inner][/vc_row_inner][/vc_column][vc_column css=".vc_custom_1533036259034{margin-top: -10px !important;}"][vc_row_inner enable_content_animation="yes" equal_height="yes" content_placement="middle" gap="0" animation_preset="Fade In" ca_delay="180" css=".vc_custom_1588770977062{background-color: #f3f3f7 !important;}"][vc_column_inner width="1/2" offset="vc_col-md-3 vc_col-xs-6" css=".vc_custom_1588772285903{border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 82px !important;padding-bottom: 82px !important;border-left-color: #dbdbdb !important;border-left-style: solid !important;border-right-color: #dbdbdb !important;border-right-style: solid !important;border-top-color: #dbdbdb !important;border-top-style: solid !important;border-bottom-color: #dbdbdb !important;border-bottom-style: solid !important;}"][vc_single_image image="3952" alignment="center" css=".vc_custom_1595497379033{margin-bottom: 0px !important;}"][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-3 vc_col-xs-6" css=".vc_custom_1588772290644{border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;padding-top: 80px !important;padding-bottom: 80px !important;border-right-color: #dbdbdb !important;border-right-style: solid !important;border-top-color: #dbdbdb !important;border-top-style: solid !important;border-bottom-color: #dbdbdb !important;border-bottom-style: solid !important;}"][vc_single_image image="3955" alignment="center" css=".vc_custom_1595497375335{margin-bottom: 0px !important;}"][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-3 vc_col-xs-6" css=".vc_custom_1588772295464{border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;padding-top: 78px !important;padding-bottom: 79px !important;border-right-color: #dbdbdb !important;border-right-style: solid !important;border-top-color: #dbdbdb !important;border-top-style: solid !important;border-bottom-color: #dbdbdb !important;border-bottom-style: solid !important;}"][vc_single_image image="4038" alignment="center" css=".vc_custom_1595497370735{margin-bottom: 0px !important;}"][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-3 vc_col-xs-6" css=".vc_custom_1588772300083{border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;padding-top: 76px !important;padding-bottom: 76px !important;border-right-color: #dbdbdb !important;border-right-style: solid !important;border-top-color: #dbdbdb !important;border-top-style: solid !important;border-bottom-color: #dbdbdb !important;border-bottom-style: solid !important;}"][vc_single_image image="3950" alignment="center" css=".vc_custom_1595497366539{margin-bottom: 0px !important;}"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Clients 4 - classic
	$data = array();
	$data['name'] = esc_html__( 'Clients 04', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'clients-4.jpg' );
	$data['sort_name'] = 'Clients';
	$data['custom_class'] = 'general clients';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1596326557783{padding-top: 55px !important;padding-bottom: 55px !important;}" row_hide="hidden-xs"][vc_column offset="vc_col-md-3" responsive_css="margin_bottom_medium:0px" css=".vc_custom_1596325944900{margin-bottom: 35px !important;}" responsive_align="text-xs-center"][ld_fancy_heading tag="h6" use_custom_fonts_title="true" color="rgb(0, 0, 0)" fs="14px" fw="400" margin="bottom_small:1em"]GLOBAL EXPERTS[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-9"][ld_carousel_tab columns="md:5|sm:4|xs:3|spacing_sm:4%25|spacing_xs:3%25" inactiv_opacity="1" wraparound="yes" equalheightcells="yes" middlealigncontent="yes"][ld_carousel_section title="Tab" tab_id="lqd-1595348147795-a5d223c2-99cd"][vc_single_image image="170" alignment="center" enable_opacity="yes" opacity="0.75" css=".vc_custom_1611512753938{margin-bottom: 0px !important;}"][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595347985125-5118c773-7b5a"][vc_single_image image="3518" alignment="center" enable_opacity="yes" opacity="0.75" css=".vc_custom_1611512782879{margin-bottom: 0px !important;}"][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595436615090-f639f0f8-79da"][vc_single_image image="172" alignment="center" enable_opacity="yes" opacity="0.75" css=".vc_custom_1611512790551{margin-bottom: 0px !important;}"][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595502568530-1eb6e334-c01a"][vc_single_image image="3550" alignment="center" enable_opacity="yes" opacity="0.75" css=".vc_custom_1611512798013{margin-bottom: 0px !important;}"][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595348177750-4c0ed434-b4a4"][vc_single_image image="3519" alignment="center" enable_opacity="yes" opacity="0.75" css=".vc_custom_1611512805862{margin-bottom: 0px !important;}"][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595348137797-04705869-b534"][vc_single_image image="171" alignment="center" enable_opacity="yes" opacity="0.75" css=".vc_custom_1611512815723{margin-bottom: 0px !important;}"][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595348167153-50f0755f-ea71"][vc_single_image image="173" alignment="center" enable_opacity="yes" opacity="0.75" css=".vc_custom_1611512822828{margin-bottom: 0px !important;}"][/ld_carousel_section][/ld_carousel_tab][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Clients 5 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Clients 05', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'clients-5.jpg' );
	$data['sort_name'] = 'Clients';
	$data['custom_class'] = 'general clients';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" css=".vc_custom_1605844997940{padding-bottom: 70px !important;}" responsive_css="padding_top_medium:50px|padding_bottom_medium:220px"][vc_column offset="vc_col-md-3" responsive_css="margin_bottom_medium:0px" css=".vc_custom_1575033906022{margin-bottom: 30px !important;}"][ld_fancy_heading tag="h5" margin="bottom_small:1em"]Clients[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-9"][ld_carousel_tab columns="md:5|sm:4|xs:3|spacing_sm:50px|spacing_xs:25px" inactiv_opacity="1" enable_item_animation="yes" wraparound="yes" pf_init_scale_x="1" pf_init_scale_y="1" pf_init_opacity="0" pf_an_scale_x="1" pf_an_scale_y="1" pf_an_opacity="1"][ld_carousel_section title="Tab" tab_id="lqd-1594635756583-9440a3c2-6d75"][vc_single_image image="4494" enable_opacity="yes" opacity="0.65" css=".vc_custom_1611332163643{margin-bottom: 0px !important;}"][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1594635786754-dbc6eed8-e2f1"][vc_single_image image="4492" enable_opacity="yes" opacity="0.65" css=".vc_custom_1611332175238{margin-bottom: 0px !important;}"][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1594635790230-f87f18e0-0be8"][vc_single_image image="4491" enable_opacity="yes" opacity="0.65" css=".vc_custom_1611332190199{margin-bottom: 0px !important;}"][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1594635793597-d67b304b-a8db"][vc_single_image image="4489" enable_opacity="yes" opacity="0.65" css=".vc_custom_1611332203086{margin-bottom: 0px !important;}"][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1594635797036-7a912cd2-511c"][vc_single_image image="4490" enable_opacity="yes" opacity="0.65" css=".vc_custom_1611332219968{margin-bottom: 0px !important;}"][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1594635800274-4eeddc9b-d34b"][vc_single_image image="4488" enable_opacity="yes" opacity="0.65" css=".vc_custom_1611332267594{margin-bottom: 0px !important;}"][/ld_carousel_section][/ld_carousel_tab][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Clients 6 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Clients 06', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'clients-6.jpg' );
	$data['sort_name'] = 'Clients';
	$data['custom_class'] = 'general clients';
	$data['content'] = <<<CONTENT
	[vc_row gap="0" equal_height="yes" content_placement="middle" css=".vc_custom_1608026193087{padding-top: 30px !important;padding-right: 15px !important;padding-bottom: 30px !important;padding-left: 15px !important;}" responsive_css="padding_top_small:50px|padding_bottom_small:50px"][vc_column width="1/2" align="text-center" offset="vc_col-md-3" responsive_align="text-md-left"][ld_fancy_heading tag="h5" duration="1600" delay="60" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_x="0%" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" enable_split="true" use_mask="true" ca_init_translate_y="78" ca_init_rotate_z="7" margin="bottom_small:1em"]Clients[/ld_fancy_heading][/vc_column][vc_column width="1/2" align="text-center" offset="vc_col-md-3 vc_col-xs-6" responsive_css="padding_top_small:90px|padding_bottom_small:90px" css=".vc_custom_1608025725377{border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 40px !important;padding-right: 15px !important;padding-bottom: 40px !important;padding-left: 15px !important;border-left-color: #262626 !important;border-left-style: solid !important;border-right-color: #262626 !important;border-right-style: solid !important;border-top-color: #262626 !important;border-top-style: solid !important;border-bottom-color: #262626 !important;border-bottom-style: solid !important;}" responsive_align="text-center"][vc_single_image image="225" enable_opacity="yes" opacity="0.4" css=".vc_custom_1608025168012{margin-bottom: 0px !important;}"][/vc_column][vc_column width="1/2" align="text-center" offset="vc_col-md-3 vc_col-xs-6" responsive_css="border_left_medium:0px|padding_top_small:80px|padding_bottom_small:80px" css=".vc_custom_1608025922593{border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 40px !important;padding-right: 15px !important;padding-bottom: 40px !important;padding-left: 15px !important;border-left-color: #262626 !important;border-left-style: solid !important;border-right-color: #262626 !important;border-right-style: solid !important;border-top-color: #262626 !important;border-top-style: solid !important;border-bottom-color: #262626 !important;border-bottom-style: solid !important;}" responsive_align="text-center"][vc_single_image image="218" enable_opacity="yes" opacity="0.4" css=".vc_custom_1608025209217{margin-bottom: 0px !important;}"][/vc_column][vc_column width="1/2" offset="vc_col-md-3 vc_hidden-sm vc_hidden-xs"][/vc_column][vc_column width="1/2" align="text-center" offset="vc_col-md-3 vc_col-xs-6" responsive_css="border_top_medium:1px|border_left_medium:1px|border_left_small:0px|padding_top_small:80px|padding_bottom_small:80px" css=".vc_custom_1606167238443{border-top-width: 0px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 40px !important;padding-right: 15px !important;padding-bottom: 40px !important;padding-left: 15px !important;border-left-color: #262626 !important;border-left-style: solid !important;border-right-color: #262626 !important;border-right-style: solid !important;border-top-color: #262626 !important;border-top-style: solid !important;border-bottom-color: #262626 !important;border-bottom-style: solid !important;}" responsive_align="text-center"][vc_single_image image="224" enable_opacity="yes" opacity="0.4" css=".vc_custom_1608025217984{margin-bottom: 0px !important;}"][/vc_column][vc_column width="1/2" align="text-center" offset="vc_col-md-3 vc_col-xs-6" css=".vc_custom_1606167249830{border-top-width: 0px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 40px !important;padding-right: 15px !important;padding-bottom: 40px !important;padding-left: 15px !important;border-left-color: #262626 !important;border-left-style: solid !important;border-right-color: #262626 !important;border-right-style: solid !important;border-top-color: #262626 !important;border-top-style: solid !important;border-bottom-color: #262626 !important;border-bottom-style: solid !important;}" responsive_css="border_left_medium:0px|border_left_small:1px|padding_top_small:80px|padding_bottom_small:80px" responsive_align="text-center"][vc_single_image image="217" enable_opacity="yes" opacity="0.4" css=".vc_custom_1608025250001{margin-bottom: 0px !important;}"][/vc_column][vc_column width="1/2" align="text-center" offset="vc_col-md-3 vc_col-xs-6" responsive_css="border_left_small:0px|padding_top_small:90px|padding_bottom_small:90px" css=".vc_custom_1608025757964{border-top-width: 0px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 40px !important;padding-right: 15px !important;padding-bottom: 40px !important;padding-left: 15px !important;border-left-color: #262626 !important;border-left-style: solid !important;border-right-color: #262626 !important;border-right-style: solid !important;border-top-color: #262626 !important;border-top-style: solid !important;border-bottom-color: #262626 !important;border-bottom-style: solid !important;}" responsive_align="text-center"][vc_single_image image="215" enable_opacity="yes" opacity="0.4" css=".vc_custom_1608025242330{margin-bottom: 0px !important;}"][/vc_column][vc_column width="1/2" offset="vc_col-md-3 vc_hidden-sm vc_hidden-xs"][/vc_column][vc_column width="1/2" align="text-center" offset="vc_col-md-3 vc_col-xs-6" responsive_css="padding_top_small:80px|padding_bottom_small:80px" css=".vc_custom_1606167274508{border-top-width: 0px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 40px !important;padding-right: 15px !important;padding-bottom: 40px !important;padding-left: 15px !important;border-left-color: #262626 !important;border-left-style: solid !important;border-right-color: #262626 !important;border-right-style: solid !important;border-top-color: #262626 !important;border-top-style: solid !important;border-bottom-color: #262626 !important;border-bottom-style: solid !important;}" responsive_align="text-center"][vc_single_image image="211" enable_opacity="yes" opacity="0.4" css=".vc_custom_1608025261402{margin-bottom: 0px !important;}"][/vc_column][vc_column width="1/2" align="text-center" offset="vc_col-md-3 vc_col-xs-6" responsive_css="border_left_small:0px|padding_top_small:80px|padding_bottom_small:80px" css=".vc_custom_1606167286802{border-top-width: 0px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 40px !important;padding-right: 15px !important;padding-bottom: 40px !important;padding-left: 15px !important;border-left-color: #262626 !important;border-left-style: solid !important;border-right-color: #262626 !important;border-right-style: solid !important;border-top-color: #262626 !important;border-top-style: solid !important;border-bottom-color: #262626 !important;border-bottom-style: solid !important;}" responsive_align="text-center"][ld_carousel_tab columns="xs:1" inactiv_opacity="1" cellalign="center" fadeeffect="yes" autoplay="yes" mobile_dots_position="carousel-dots-mobile-inside" mobile_dots_bottom_offset="0" autoplaytime="3800" mobile_dots_bg_color="rgba(255, 255, 255, 0)" mobile_dots_bg_hcolor="rgba(255, 255, 255, 0)"][ld_carousel_section title="Tab" tab_id="lqd-1595920532443-74056658-209a"][vc_single_image image="212" enable_opacity="yes" opacity="0.4" css=".vc_custom_1608025783680{margin-bottom: 0px !important;}"][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595920532744-efdf2255-df73"][vc_single_image image="213" enable_opacity="yes" opacity="0.4" css=".vc_custom_1608025673969{margin-bottom: 0px !important;}"][/ld_carousel_section][/ld_carousel_tab][/vc_column][vc_column width="1/2" align="text-center" offset="vc_col-md-3 vc_col-xs-6" responsive_css="border_left_medium:1px|padding_top_small:80px|padding_bottom_small:80px" css=".vc_custom_1606167298395{border-top-width: 0px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 40px !important;padding-right: 15px !important;padding-bottom: 40px !important;padding-left: 15px !important;border-left-color: #262626 !important;border-left-style: solid !important;border-right-color: #262626 !important;border-right-style: solid !important;border-top-color: #262626 !important;border-top-style: solid !important;border-bottom-color: #262626 !important;border-bottom-style: solid !important;}" responsive_align="text-center"][vc_single_image image="219" enable_opacity="yes" opacity="0.4" css=".vc_custom_1608025292406{margin-bottom: 0px !important;}"][/vc_column][vc_column width="1/2" align="text-center" offset="vc_col-md-3 vc_col-xs-6" responsive_css="border_top_medium:1px|border_left_small:0px|padding_top_small:80px|padding_bottom_small:80px" css=".vc_custom_1608025810148{border-top-width: 0px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 40px !important;padding-right: 15px !important;padding-bottom: 40px !important;padding-left: 15px !important;border-left-color: #262626 !important;border-left-style: solid !important;border-right-color: #262626 !important;border-right-style: solid !important;border-top-color: #262626 !important;border-top-style: solid !important;border-bottom-color: #262626 !important;border-bottom-style: solid !important;}" responsive_align="text-center"][ld_carousel_tab columns="xs:1" inactiv_opacity="1" cellalign="center" fadeeffect="yes" autoplay="yes" mobile_dots_position="carousel-dots-mobile-inside" mobile_dots_bottom_offset="0" autoplaytime="5500" mobile_dots_bg_color="rgba(255, 255, 255, 0)" mobile_dots_bg_hcolor="rgba(255, 255, 255, 0)"][ld_carousel_section title="Tab" tab_id="lqd-1595920417812-eae19c99-abc8"][vc_single_image image="51" enable_opacity="yes" opacity="0.4" css=".vc_custom_1608025531321{margin-bottom: 0px !important;}"][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595920417962-2c67d1a8-3110"][vc_single_image image="50" enable_opacity="yes" opacity="0.4" css=".vc_custom_1608025664057{margin-bottom: 0px !important;}"][/ld_carousel_section][/ld_carousel_tab][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Clients 7 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Clients 07', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'clients-7.jpg' );
	$data['sort_name'] = 'Clients';
	$data['custom_class'] = 'general clients';
	$data['content'] = <<<CONTENT
[vc_row full_width="stretch_row" gap="0" equal_height="yes" content_placement="middle" bg_position="center bottom" css=".vc_custom_1620984793088{margin-bottom: 60px !important;padding-top: 60px !important;padding-right: 15px !important;padding-bottom: 60px !important;padding-left: 15px !important;background-color: #1a1a21 !important;background-position: center !important;background-repeat: no-repeat !important;background-size: contain !important;}" responsive_css="margin_top_medium:70px|margin_left_medium:100px|padding_top_medium:110px|padding_right_medium:5vw|padding_bottom_medium:110px|padding_left_medium:5vw"][vc_column css=".vc_custom_1587041477333{margin-bottom: 30px !important;}"][ld_fancy_heading tag="h6" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:13px" margin="bottom_small:2em"]— Partners[/ld_fancy_heading][/vc_column][vc_column width="1/3" offset="vc_col-md-3 vc_col-xs-6" css=".vc_custom_1587041176561{border-top-width: 1px !important;border-right-width: 1px !important;border-left-width: 1px !important;padding-top: 40px !important;padding-right: 40px !important;padding-bottom: 40px !important;padding-left: 40px !important;border-left-color: rgba(255,255,255,0.08) !important;border-left-style: solid !important;border-right-color: rgba(255,255,255,0.08) !important;border-right-style: solid !important;border-top-color: rgba(255,255,255,0.08) !important;border-top-style: solid !important;}"][vc_single_image image="64" alignment="center" enable_opacity="yes" opacity="0.4" css=".vc_custom_1596455047070{margin-bottom: 0px !important;}"][/vc_column][vc_column width="1/3" offset="vc_col-md-3 vc_col-xs-6" css=".vc_custom_1587041967640{border-top-width: 1px !important;border-right-width: 1px !important;border-left-width: 0px !important;padding-top: 40px !important;padding-right: 40px !important;padding-bottom: 40px !important;padding-left: 40px !important;border-left-color: rgba(255,255,255,0.08) !important;border-left-style: solid !important;border-right-color: rgba(255,255,255,0.08) !important;border-right-style: solid !important;border-top-color: rgba(255,255,255,0.08) !important;border-top-style: solid !important;}"][ld_carousel_tab columns="xs:1|spacing_xs:15px" inactiv_opacity="1" equalheightcells="yes" middlealigncontent="yes" fadeeffect="yes" draggable="no" custom_cursor="disable-cc" autoplay="yes" mobile_dots_position="carousel-dots-mobile-inside" mobile_dots_bg_color="rgba(255, 255, 255, 0)" mobile_dots_bg_hcolor="rgba(255, 255, 255, 0)"][ld_carousel_section title="Tab" tab_id="lqd-1595406386219-6632ecfe-2cae"][vc_single_image image="65" alignment="center" enable_opacity="yes" opacity="0.4" css=".vc_custom_1607081960588{margin-bottom: 0px !important;}"][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595406386340-67127d08-bd0f"][vc_single_image image="4895" alignment="center" enable_opacity="yes" opacity="0.4" css=".vc_custom_1610963123458{margin-bottom: 0px !important;}"][/ld_carousel_section][/ld_carousel_tab][/vc_column][vc_column width="1/3" offset="vc_col-md-3 vc_col-xs-6" responsive_css="border_left_small:0px" css=".vc_custom_1587041233981{border-top-width: 1px !important;border-right-width: 1px !important;border-left-width: 1px !important;padding-top: 40px !important;padding-right: 40px !important;padding-bottom: 40px !important;padding-left: 40px !important;border-left-color: rgba(255,255,255,0.08) !important;border-left-style: solid !important;border-right-color: rgba(255,255,255,0.08) !important;border-right-style: solid !important;border-top-color: rgba(255,255,255,0.08) !important;border-top-style: solid !important;}"][vc_single_image image="4892" alignment="center" enable_opacity="yes" opacity="0.4" css=".vc_custom_1610963032126{margin-bottom: 0px !important;}"][/vc_column][vc_column width="1/3" offset="vc_col-md-3 vc_col-xs-6" responsive_css="border_left_medium:0px|border_left_small:1px" css=".vc_custom_1587042222379{border-top-width: 1px !important;border-right-width: 1px !important;border-left-width: 0px !important;padding-top: 40px !important;padding-right: 40px !important;padding-bottom: 40px !important;padding-left: 40px !important;border-left-color: rgba(255,255,255,0.08) !important;border-left-style: solid !important;border-right-color: rgba(255,255,255,0.08) !important;border-right-style: solid !important;border-top-color: rgba(255,255,255,0.08) !important;border-top-style: solid !important;}"][vc_single_image image="67" alignment="center" enable_opacity="yes" opacity="0.4" css=".vc_custom_1587041622777{margin-bottom: 0px !important;}"][/vc_column][vc_column width="1/3" offset="vc_col-md-3 vc_col-xs-6" css=".vc_custom_1587042156633{border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 0px !important;border-left-width: 1px !important;padding-top: 40px !important;padding-right: 40px !important;padding-bottom: 40px !important;padding-left: 40px !important;border-left-color: rgba(255,255,255,0.08) !important;border-left-style: solid !important;border-right-color: rgba(255,255,255,0.08) !important;border-right-style: solid !important;border-top-color: rgba(255,255,255,0.08) !important;border-top-style: solid !important;border-bottom-color: rgba(255,255,255,0.08) !important;border-bottom-style: solid !important;}" responsive_css="border_bottom_medium:1px|border_left_medium:1px|border_left_small:0px"][vc_single_image image="4893" alignment="center" enable_opacity="yes" opacity="0.4" css=".vc_custom_1610963041563{margin-bottom: 0px !important;}"][/vc_column][vc_column width="1/3" offset="vc_col-md-3 vc_col-xs-6" css=".vc_custom_1587042092748{border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;padding-top: 40px !important;padding-right: 40px !important;padding-bottom: 40px !important;padding-left: 40px !important;border-left-color: rgba(255,255,255,0.08) !important;border-left-style: solid !important;border-right-color: rgba(255,255,255,0.08) !important;border-right-style: solid !important;border-top-color: rgba(255,255,255,0.08) !important;border-top-style: solid !important;border-bottom-color: rgba(255,255,255,0.08) !important;border-bottom-style: solid !important;}" responsive_css="border_bottom_small:1px"][vc_single_image image="63" alignment="center" enable_opacity="yes" opacity="0.4" css=".vc_custom_1587041652709{margin-bottom: 0px !important;}"][/vc_column][vc_column css=".vc_custom_1606157997504{padding-top: 60px !important;}" responsive_css="padding_top_medium:100px"][vc_row_inner][vc_column_inner offset="vc_col-md-5"][/vc_column_inner][vc_column_inner offset="vc_col-md-offset-1 vc_col-md-6"][/vc_column_inner][/vc_row_inner][/vc_column][vc_column width="1/3" offset="vc_col-md-3 vc_col-xs-6" css=".vc_custom_1587042106062{border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 40px !important;padding-right: 40px !important;padding-bottom: 40px !important;padding-left: 40px !important;border-left-color: rgba(255,255,255,0.08) !important;border-left-style: solid !important;border-right-color: rgba(255,255,255,0.08) !important;border-right-style: solid !important;border-top-color: rgba(255,255,255,0.08) !important;border-top-style: solid !important;border-bottom-color: rgba(255,255,255,0.08) !important;border-bottom-style: solid !important;}" responsive_css="border_left_medium:0px"][vc_single_image image="4894" alignment="center" enable_opacity="yes" opacity="0.4" css=".vc_custom_1610963008678{margin-bottom: 0px !important;}"][/vc_column][vc_column width="1/3" offset="vc_col-md-3 vc_col-xs-6" responsive_css="border_left_medium:0px" css=".vc_custom_1587041941945{border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 0px !important;padding-top: 40px !important;padding-right: 40px !important;padding-bottom: 40px !important;padding-left: 40px !important;border-left-color: rgba(255,255,255,0.08) !important;border-left-style: solid !important;border-right-color: rgba(255,255,255,0.08) !important;border-right-style: solid !important;border-top-color: rgba(255,255,255,0.08) !important;border-top-style: solid !important;border-bottom-color: rgba(255,255,255,0.08) !important;border-bottom-style: solid !important;}"][ld_carousel_tab columns="xs:1|spacing_xs:15px" inactiv_opacity="1" equalheightcells="yes" middlealigncontent="yes" fadeeffect="yes" custom_cursor="disable-cc" autoplay="yes" mobile_dots_position="carousel-dots-mobile-inside" autoplaytime="3500" mobile_dots_bg_color="rgba(255, 255, 255, 0)" mobile_dots_bg_hcolor="rgba(255, 255, 255, 0)"][ld_carousel_section title="Tab" tab_id="lqd-1595406357998-54b01fed-07a7"][vc_single_image image="63" alignment="center" enable_opacity="yes" opacity="0.4" css=".vc_custom_1587041695342{margin-bottom: 0px !important;}"][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595406358107-e67fbf03-cb2f"][vc_single_image image="69" alignment="center" enable_opacity="yes" opacity="0.4" css=".vc_custom_1587041705371{margin-bottom: 0px !important;}"][/ld_carousel_section][/ld_carousel_tab][/vc_column][/vc_row]CONTENT;
CONTENT;
	$templates[] = $data;

	//Clients 8 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Clients 08', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'clients-8.jpg' );
	$data['sort_name'] = 'Clients';
	$data['custom_class'] = 'general clients';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" equal_height="yes" content_placement="middle" css=".vc_custom_1621000759678{padding-top: 40px !important;padding-bottom: 30px !important;}" responsive_css="padding_top_medium:100px|padding_right_medium:12vw|padding_bottom_medium:100px|padding_left_medium:12vw"][vc_column width="1/3" offset="vc_col-md-2 vc_col-xs-6" css=".vc_custom_1607341529275{margin-bottom: 15px !important;}"][vc_single_image image="53" alignment="center" enable_opacity="yes" opacity="0.4" css=".vc_custom_1596795189745{margin-bottom: 0px !important;}"][/vc_column][vc_column width="1/3" offset="vc_col-md-2 vc_col-xs-6" css=".vc_custom_1607341519612{margin-bottom: 15px !important;}"][vc_single_image image="50" alignment="center" enable_opacity="yes" opacity="0.4" css=".vc_custom_1588405494382{margin-bottom: 0px !important;}"][/vc_column][vc_column width="1/3" offset="vc_col-md-2 vc_col-xs-6" css=".vc_custom_1607341541786{margin-bottom: 15px !important;}"][vc_single_image image="54" alignment="center" enable_opacity="yes" opacity="0.4" css=".vc_custom_1588405512606{margin-bottom: 0px !important;}"][/vc_column][vc_column width="1/3" offset="vc_col-md-2 vc_col-xs-6" css=".vc_custom_1607341548479{margin-bottom: 15px !important;}"][vc_single_image image="56" alignment="center" enable_opacity="yes" opacity="0.4" css=".vc_custom_1588405539697{margin-bottom: 0px !important;}"][/vc_column][vc_column width="1/3" offset="vc_col-md-2 vc_col-xs-6" css=".vc_custom_1607341555590{margin-bottom: 15px !important;}"][vc_single_image image="51" alignment="center" enable_opacity="yes" opacity="0.4" css=".vc_custom_1596795213357{margin-bottom: 0px !important;}"][/vc_column][vc_column width="1/3" offset="vc_col-md-2 vc_col-xs-6" css=".vc_custom_1607341562768{margin-bottom: 15px !important;}"][vc_single_image image="55" alignment="center" enable_opacity="yes" opacity="0.4" css=".vc_custom_1588405607034{margin-bottom: 0px !important;}"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Clients 9 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Clients 09', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'clients-9.jpg' );
	$data['sort_name'] = 'Clients';
	$data['custom_class'] = 'general clients';
	$data['content'] = <<<CONTENT
	[vc_row gap="0" equal_height="yes" content_placement="middle" css=".vc_custom_1621000766613{padding-top: 30px !important;padding-right: 15px !important;padding-bottom: 30px !important;padding-left: 15px !important;}" responsive_css="padding_top_small:50px|padding_bottom_small:50px"][vc_column width="1/2" align="text-center" offset="vc_col-md-3" responsive_align="text-md-left"][ld_fancy_heading tag="h5" duration="1600" delay="60" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_x="0%" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" enable_split="true" use_mask="true" ca_init_translate_y="78" ca_init_rotate_z="7" margin="bottom_small:1em"]Clients[/ld_fancy_heading][/vc_column][vc_column width="1/2" align="text-center" offset="vc_col-md-3 vc_col-xs-6" responsive_css="padding_top_small:90px|padding_bottom_small:90px" css=".vc_custom_1608025725377{border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 40px !important;padding-right: 15px !important;padding-bottom: 40px !important;padding-left: 15px !important;border-left-color: #262626 !important;border-left-style: solid !important;border-right-color: #262626 !important;border-right-style: solid !important;border-top-color: #262626 !important;border-top-style: solid !important;border-bottom-color: #262626 !important;border-bottom-style: solid !important;}" responsive_align="text-center"][vc_single_image image="225" enable_opacity="yes" opacity="0.4" css=".vc_custom_1608025168012{margin-bottom: 0px !important;}"][/vc_column][vc_column width="1/2" align="text-center" offset="vc_col-md-3 vc_col-xs-6" responsive_css="border_left_medium:0px|padding_top_small:80px|padding_bottom_small:80px" css=".vc_custom_1608025922593{border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 40px !important;padding-right: 15px !important;padding-bottom: 40px !important;padding-left: 15px !important;border-left-color: #262626 !important;border-left-style: solid !important;border-right-color: #262626 !important;border-right-style: solid !important;border-top-color: #262626 !important;border-top-style: solid !important;border-bottom-color: #262626 !important;border-bottom-style: solid !important;}" responsive_align="text-center"][vc_single_image image="218" enable_opacity="yes" opacity="0.4" css=".vc_custom_1608025209217{margin-bottom: 0px !important;}"][/vc_column][vc_column width="1/2" offset="vc_col-md-3 vc_hidden-sm vc_hidden-xs"][/vc_column][vc_column width="1/2" align="text-center" offset="vc_col-md-3 vc_col-xs-6" responsive_css="border_top_medium:1px|border_left_medium:1px|border_left_small:0px|padding_top_small:80px|padding_bottom_small:80px" css=".vc_custom_1606167238443{border-top-width: 0px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 40px !important;padding-right: 15px !important;padding-bottom: 40px !important;padding-left: 15px !important;border-left-color: #262626 !important;border-left-style: solid !important;border-right-color: #262626 !important;border-right-style: solid !important;border-top-color: #262626 !important;border-top-style: solid !important;border-bottom-color: #262626 !important;border-bottom-style: solid !important;}" responsive_align="text-center"][vc_single_image image="224" enable_opacity="yes" opacity="0.4" css=".vc_custom_1608025217984{margin-bottom: 0px !important;}"][/vc_column][vc_column width="1/2" align="text-center" offset="vc_col-md-3 vc_col-xs-6" css=".vc_custom_1606167249830{border-top-width: 0px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 40px !important;padding-right: 15px !important;padding-bottom: 40px !important;padding-left: 15px !important;border-left-color: #262626 !important;border-left-style: solid !important;border-right-color: #262626 !important;border-right-style: solid !important;border-top-color: #262626 !important;border-top-style: solid !important;border-bottom-color: #262626 !important;border-bottom-style: solid !important;}" responsive_css="border_left_medium:0px|border_left_small:1px|padding_top_small:80px|padding_bottom_small:80px" responsive_align="text-center"][vc_single_image image="217" enable_opacity="yes" opacity="0.4" css=".vc_custom_1608025250001{margin-bottom: 0px !important;}"][/vc_column][vc_column width="1/2" align="text-center" offset="vc_col-md-3 vc_col-xs-6" responsive_css="border_left_small:0px|padding_top_small:90px|padding_bottom_small:90px" css=".vc_custom_1608025757964{border-top-width: 0px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 40px !important;padding-right: 15px !important;padding-bottom: 40px !important;padding-left: 15px !important;border-left-color: #262626 !important;border-left-style: solid !important;border-right-color: #262626 !important;border-right-style: solid !important;border-top-color: #262626 !important;border-top-style: solid !important;border-bottom-color: #262626 !important;border-bottom-style: solid !important;}" responsive_align="text-center"][vc_single_image image="215" enable_opacity="yes" opacity="0.4" css=".vc_custom_1608025242330{margin-bottom: 0px !important;}"][/vc_column][vc_column width="1/2" offset="vc_col-md-3 vc_hidden-sm vc_hidden-xs"][/vc_column][vc_column width="1/2" align="text-center" offset="vc_col-md-3 vc_col-xs-6" responsive_css="padding_top_small:80px|padding_bottom_small:80px" css=".vc_custom_1606167274508{border-top-width: 0px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 40px !important;padding-right: 15px !important;padding-bottom: 40px !important;padding-left: 15px !important;border-left-color: #262626 !important;border-left-style: solid !important;border-right-color: #262626 !important;border-right-style: solid !important;border-top-color: #262626 !important;border-top-style: solid !important;border-bottom-color: #262626 !important;border-bottom-style: solid !important;}" responsive_align="text-center"][vc_single_image image="211" enable_opacity="yes" opacity="0.4" css=".vc_custom_1608025261402{margin-bottom: 0px !important;}"][/vc_column][vc_column width="1/2" align="text-center" offset="vc_col-md-3 vc_col-xs-6" responsive_css="border_left_small:0px|padding_top_small:80px|padding_bottom_small:80px" css=".vc_custom_1606167286802{border-top-width: 0px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 40px !important;padding-right: 15px !important;padding-bottom: 40px !important;padding-left: 15px !important;border-left-color: #262626 !important;border-left-style: solid !important;border-right-color: #262626 !important;border-right-style: solid !important;border-top-color: #262626 !important;border-top-style: solid !important;border-bottom-color: #262626 !important;border-bottom-style: solid !important;}" responsive_align="text-center"][ld_carousel_tab columns="xs:1" inactiv_opacity="1" cellalign="center" fadeeffect="yes" autoplay="yes" mobile_dots_position="carousel-dots-mobile-inside" mobile_dots_bottom_offset="0" autoplaytime="3800" mobile_dots_bg_color="rgba(255, 255, 255, 0)" mobile_dots_bg_hcolor="rgba(255, 255, 255, 0)"][ld_carousel_section title="Tab" tab_id="lqd-1595920532443-74056658-209a"][vc_single_image image="212" enable_opacity="yes" opacity="0.4" css=".vc_custom_1608025783680{margin-bottom: 0px !important;}"][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595920532744-efdf2255-df73"][vc_single_image image="213" enable_opacity="yes" opacity="0.4" css=".vc_custom_1608025673969{margin-bottom: 0px !important;}"][/ld_carousel_section][/ld_carousel_tab][/vc_column][vc_column width="1/2" align="text-center" offset="vc_col-md-3 vc_col-xs-6" responsive_css="border_left_medium:1px|padding_top_small:80px|padding_bottom_small:80px" css=".vc_custom_1606167298395{border-top-width: 0px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 40px !important;padding-right: 15px !important;padding-bottom: 40px !important;padding-left: 15px !important;border-left-color: #262626 !important;border-left-style: solid !important;border-right-color: #262626 !important;border-right-style: solid !important;border-top-color: #262626 !important;border-top-style: solid !important;border-bottom-color: #262626 !important;border-bottom-style: solid !important;}" responsive_align="text-center"][vc_single_image image="219" enable_opacity="yes" opacity="0.4" css=".vc_custom_1608025292406{margin-bottom: 0px !important;}"][/vc_column][vc_column width="1/2" align="text-center" offset="vc_col-md-3 vc_col-xs-6" responsive_css="border_top_medium:1px|border_left_small:0px|padding_top_small:80px|padding_bottom_small:80px" css=".vc_custom_1608025810148{border-top-width: 0px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 40px !important;padding-right: 15px !important;padding-bottom: 40px !important;padding-left: 15px !important;border-left-color: #262626 !important;border-left-style: solid !important;border-right-color: #262626 !important;border-right-style: solid !important;border-top-color: #262626 !important;border-top-style: solid !important;border-bottom-color: #262626 !important;border-bottom-style: solid !important;}" responsive_align="text-center"][ld_carousel_tab columns="xs:1" inactiv_opacity="1" cellalign="center" fadeeffect="yes" autoplay="yes" mobile_dots_position="carousel-dots-mobile-inside" mobile_dots_bottom_offset="0" autoplaytime="5500" mobile_dots_bg_color="rgba(255, 255, 255, 0)" mobile_dots_bg_hcolor="rgba(255, 255, 255, 0)"][ld_carousel_section title="Tab" tab_id="lqd-1595920417812-eae19c99-abc8"][vc_single_image image="51" enable_opacity="yes" opacity="0.4" css=".vc_custom_1608025531321{margin-bottom: 0px !important;}"][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595920417962-2c67d1a8-3110"][vc_single_image image="50" enable_opacity="yes" opacity="0.4" css=".vc_custom_1608025664057{margin-bottom: 0px !important;}"][/ld_carousel_section][/ld_carousel_tab][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Clients 10 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Clients 10', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'clients-10.jpg' );
	$data['sort_name'] = 'Clients';
	$data['custom_class'] = 'general clients';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1621001372195{border-top-width: 1px !important;padding-top: 40px !important;padding-bottom: 40px !important;border-top-color: #f0f0f0 !important;border-top-style: solid !important;}" responsive_css="margin_top_medium:60px"][vc_column][ld_carousel_marquee_tab columns="md:6|sm:4|xs:3|spacing_xs:5px" cellalign="center" fadesides="lqd-fade-sides" reverse="yes" marquee_speed="1"][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600869275969-2af5a83e-691d"][vc_single_image image="86" css=".vc_custom_1600869578540{margin-bottom: 0px !important;}"][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600869581894-1df5449f-86ae"][vc_single_image image="89" css=".vc_custom_1600869594464{margin-bottom: 0px !important;}"][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600869595467-ec50c9c5-a299"][vc_single_image image="88" css=".vc_custom_1600869608860{margin-bottom: 0px !important;}"][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600869619216-960b0d0f-15ef"][vc_single_image image="87" css=".vc_custom_1600869646405{margin-bottom: 0px !important;}"][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600869648981-0550ffa2-b53c"][vc_single_image image="90" css=".vc_custom_1600869662207{margin-bottom: 0px !important;}"][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600869663953-167bf2b1-dbdf"][vc_single_image image="91" css=".vc_custom_1600869682676{margin-bottom: 0px !important;}"][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600869684367-6a0c87f8-3df3"][vc_single_image image="88" css=".vc_custom_1600869805735{margin-bottom: 0px !important;}"][/ld_carousel_marquee_section][/ld_carousel_marquee_tab][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Clients 11 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Clients 11', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'clients-11.jpg' );
	$data['sort_name'] = 'Clients';
	$data['custom_class'] = 'general clients';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1605894313726{padding-top: 60px !important;padding-bottom: 60px !important;background-color: #f6f9fe !important;}" responsive_css="padding_top_medium:130px|padding_bottom_medium:140px"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" align="text-center" offset="vc_col-md-offset-2 vc_col-md-8" css=".vc_custom_1607345773487{margin-bottom: 45px !important;}" ca_duration="1800" ca_delay="180" ca_init_translate_y="35" responsive_align="text-md-center"][ld_fancy_heading tag="h6" margin="bottom_small:1em"]Who our clients[/ld_fancy_heading][ld_fancy_heading tag="h2" split_type="words" duration="1000" delay="120" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" enable_fit="true" minfontsize="40" fs="text_large:48px|text_small:40px" ca_init_translate_y="70"]In partnership with top global business organizations.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="18px" lh="1.666em"]From bold start-ups to big names, Nesi Coporation is proud of our clients’s success and passionate about helping them accelerate growth through digital.[/ld_fancy_heading][/vc_column][vc_column][ld_images_group_element parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" absolute_pos="yes" image="73" translate_from_y="90" translate_to_y="-70" position="bottom_small:-60px|left_small:15%25"][/ld_images_group_element][vc_row_inner enable_content_animation="yes" equal_height="yes" content_placement="middle" gap="0" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" enable_row_shadowbox="yes" css=".vc_custom_1579259765527{background-color: #ffffff !important;border-radius: 10px !important;}" row_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2210px%22%2C%22blur_radius%22%3A%2230px%22%2C%22shadow_color%22%3A%22rgba(0%2C0%2C0%2C0.05)%22%7D%5D" ca_duration="1800" ca_delay="180"][vc_column_inner width="1/2" align="text-center" offset="vc_col-md-3 vc_col-xs-6" css=".vc_custom_1605900742205{border-right-width: 1px !important;border-bottom-width: 1px !important;padding-top: 30px !important;padding-bottom: 30px !important;border-right-color: #eeeeee !important;border-right-style: solid !important;border-bottom-color: #eeeeee !important;border-bottom-style: solid !important;}" responsive_align="text-center"][vc_single_image image="66" enable_opacity="yes" opacity="0.5" css=".vc_custom_1612872199241{margin-bottom: 0px !important;}"][/vc_column_inner][vc_column_inner width="1/2" align="text-center" offset="vc_col-md-3 vc_col-xs-6" css=".vc_custom_1605900752564{border-right-width: 1px !important;border-bottom-width: 1px !important;padding-top: 30px !important;padding-bottom: 30px !important;border-right-color: #eeeeee !important;border-right-style: solid !important;border-bottom-color: #eeeeee !important;border-bottom-style: solid !important;}" responsive_align="text-center"][vc_single_image image="65" enable_opacity="yes" opacity="0.5" css=".vc_custom_1612872216074{margin-bottom: 0px !important;}"][/vc_column_inner][vc_column_inner width="1/2" align="text-center" offset="vc_col-md-3 vc_col-xs-6" css=".vc_custom_1605900762849{border-right-width: 1px !important;border-bottom-width: 1px !important;padding-top: 30px !important;padding-bottom: 30px !important;border-right-color: #eeeeee !important;border-right-style: solid !important;border-bottom-color: #eeeeee !important;border-bottom-style: solid !important;}" responsive_align="text-center"][vc_single_image image="67" enable_opacity="yes" opacity="0.5" css=".vc_custom_1612872222914{margin-bottom: 0px !important;}"][/vc_column_inner][vc_column_inner width="1/2" align="text-center" offset="vc_col-md-3 vc_col-xs-6" css=".vc_custom_1605900772732{border-right-width: 1px !important;border-bottom-width: 1px !important;padding-top: 30px !important;padding-bottom: 30px !important;border-right-color: #eeeeee !important;border-right-style: solid !important;border-bottom-color: #eeeeee !important;border-bottom-style: solid !important;}" responsive_align="text-center"][vc_single_image image="68" enable_opacity="yes" opacity="0.5" css=".vc_custom_1612872231616{margin-bottom: 0px !important;}"][/vc_column_inner][vc_column_inner width="1/2" align="text-center" offset="vc_col-md-3 vc_col-xs-6" css=".vc_custom_1605900782719{border-right-width: 1px !important;border-bottom-width: 1px !important;padding-top: 30px !important;padding-bottom: 30px !important;border-right-color: #eeeeee !important;border-right-style: solid !important;border-bottom-color: #eeeeee !important;border-bottom-style: solid !important;}" responsive_align="text-center"][vc_single_image image="69" enable_opacity="yes" opacity="0.5" css=".vc_custom_1612872238922{margin-bottom: 0px !important;}"][/vc_column_inner][vc_column_inner width="1/2" align="text-center" offset="vc_col-md-3 vc_col-xs-6" css=".vc_custom_1605900791718{border-right-width: 1px !important;border-bottom-width: 1px !important;padding-top: 30px !important;padding-bottom: 30px !important;border-right-color: #eeeeee !important;border-right-style: solid !important;border-bottom-color: #eeeeee !important;border-bottom-style: solid !important;}" responsive_align="text-center"][vc_single_image image="70" enable_opacity="yes" opacity="0.5" css=".vc_custom_1612872247250{margin-bottom: 0px !important;}"][/vc_column_inner][vc_column_inner width="1/2" align="text-center" offset="vc_col-md-3 vc_col-xs-6" css=".vc_custom_1605900800672{border-right-width: 1px !important;border-bottom-width: 1px !important;padding-top: 30px !important;padding-bottom: 30px !important;border-right-color: #eeeeee !important;border-right-style: solid !important;border-bottom-color: #eeeeee !important;border-bottom-style: solid !important;}" responsive_align="text-center"][vc_single_image image="71" enable_opacity="yes" opacity="0.5" css=".vc_custom_1612872254080{margin-bottom: 0px !important;}"][/vc_column_inner][vc_column_inner width="1/2" align="text-center" offset="vc_col-md-3 vc_col-xs-6" css=".vc_custom_1605900810936{border-right-width: 1px !important;border-bottom-width: 1px !important;padding-top: 30px !important;padding-bottom: 30px !important;border-right-color: #eeeeee !important;border-right-style: solid !important;border-bottom-color: #eeeeee !important;border-bottom-style: solid !important;}" responsive_align="text-center"][vc_single_image image="72" enable_opacity="yes" opacity="0.5" css=".vc_custom_1612872261702{margin-bottom: 0px !important;}"][/vc_column_inner][/vc_row_inner][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" align="text-center" css=".vc_custom_1579259713191{margin-top: 65px !important;}" ca_duration="1800" ca_delay="180" ca_init_translate_y="45" responsive_align="text-center"][ld_button style="btn-solid" title="See more clients" transformation="text-uppercase" shape="circle" enable_row_shadowbox="yes" fs="14px" lh="1.5em" button_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2220px%22%2C%22blur_radius%22%3A%2250px%22%2C%22shadow_color%22%3A%22rgba(0%2C207%2C50%2C0.2)%22%7D%5D" hover_button_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2225px%22%2C%22blur_radius%22%3A%2260px%22%2C%22shadow_color%22%3A%22rgba(12%2C0%2C0%2C0.1)%22%7D%5D" hover_color="rgb(27, 27, 27)"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Clients 12 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Clients 12', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'clients-12.jpg' );
	$data['sort_name'] = 'Clients';
	$data['custom_class'] = 'general clients';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" css=".vc_custom_1621601049003{padding-top: 55px !important;padding-bottom: 40px !important;background-color: #f0f7f3 !important;}" responsive_css="padding_bottom_medium:65px"][vc_column offset="vc_col-lg-offset-3 vc_col-lg-6 vc_col-md-offset-2 vc_col-md-8" responsive_align="text-center" css=".vc_custom_1621602396781{margin-bottom: 65px !important;}"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" color="rgb(9, 64, 72)" fs="text_small:40px" margin="bottom_small:0.35em"]Trusted by global companies[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgba(10, 37, 51, 0.75)" fs="text_small:18px" lh="text_small:1.27em"]We embrace holistic development and support for employees the aim of being a first-choice employer within our sectors.[/ld_fancy_heading][/vc_column][vc_column][/vc_column][vc_column width="1/2" offset="vc_col-md-3" responsive_align="text-center"][vc_single_image image="3496" css=".vc_custom_1621600979537{margin-bottom: 25px !important;}"][/vc_column][vc_column width="1/2" offset="vc_col-md-3" responsive_align="text-center"][vc_single_image image="3497" css=".vc_custom_1621600985509{margin-bottom: 25px !important;}"][/vc_column][vc_column width="1/2" offset="vc_col-md-3" responsive_align="text-center"][vc_single_image image="3498" css=".vc_custom_1621600992674{margin-bottom: 25px !important;}"][/vc_column][vc_column width="1/2" offset="vc_col-md-3" responsive_align="text-center"][vc_single_image image="3500" css=".vc_custom_1621601001539{margin-bottom: 25px !important;}"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Clients 13 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Clients 13', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'clients-13.jpg' );
	$data['sort_name'] = 'Clients';
	$data['custom_class'] = 'general clients';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" equal_height="yes" content_placement="middle" css=".vc_custom_1620986663815{margin-top: 80px !important;margin-bottom: 55px !important;}" responsive_css="margin_right_medium:8vw|margin_left_medium:8vw"][vc_column][ld_carousel_tab columns="md:7|sm:5|xs:3|spacing_sm:3%25|spacing_xs:5%25" inactiv_opacity="1" cellalign="center" equalheightcells="yes" middlealigncontent="yes"][ld_carousel_section title="Tab" tab_id="lqd-1596197780012-3142b785-dee5"][vc_single_image image="281" img_size="119x19"][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1596198456212-5bd8b3a0-ac5a"][vc_single_image image="335" img_size="59x42" image_max_width="80%"][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1596197780215-4bfc1506-91f4"][vc_single_image image="283" img_size="100x31"][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1596198458270-522f721a-4909"][vc_single_image image="280" img_size="120x34"][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1596198457566-aef2c34e-248e"][vc_single_image image="333" img_size="60x40" alignment="center" image_max_width="70px"][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1596198456903-253a5228-5c6f"][vc_single_image image="285" img_size="85x20"][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1596197780114-7d27b51b-4a9b"][vc_single_image image="282" img_size="125x27"][/ld_carousel_section][/ld_carousel_tab][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Clients 14 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Clients 14', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'clients-14.jpg' );
	$data['sort_name'] = 'Clients';
	$data['custom_class'] = 'general clients';
	$data['content'] = <<<CONTENT
CONTENT;
	$templates[] = $data;

	//Clients 15 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Clients 15', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'clients-15.jpg' );
	$data['sort_name'] = 'Clients';
	$data['custom_class'] = 'general clients';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1605615646869{padding-top: 40px !important;padding-bottom: 60px !important;}" responsive_css="padding_top_medium:100px|padding_bottom_medium:100px"][vc_column offset="vc_col-md-6 vc_hidden-sm vc_hidden-xs"][ld_images_group_container move_to_parent_row="yes" absolute_pos="yes" position="top_small:0px|right_small:55vw|bottom_small:0px|left_small:0px"][ld_images_group_element img_size="50%" absolute_pos="yes" image="4149" position="top_small:-2%25|left_small:5vw"][/ld_images_group_element][ld_images_group_element img_size="50%" absolute_pos="yes" image="4148" position="bottom_small:0px|left_small:4vw"][/ld_images_group_element][ld_images_group_element img_size="50%" absolute_pos="yes" image="4144" position="top_small:35%25|left_small:10vw"][/ld_images_group_element][ld_images_group_element img_size="50%" absolute_pos="yes" image="4146" position="bottom_small:-35px|left_small:15vw"][/ld_images_group_element][ld_images_group_element img_size="50%" absolute_pos="yes" image="4142" position="top_small:0%25|left_small:13vw"][/ld_images_group_element][ld_images_group_element img_size="50%" enable_float_effect="yes" absolute_pos="yes" image="4280" position="top_small:24%25|left_small:20vw"][/ld_images_group_element][ld_images_group_element img_size="50%" absolute_pos="yes" image="4151" position="bottom_small:7%25|left_small:26vw"][/ld_images_group_element][ld_images_group_element img_size="50%" absolute_pos="yes" image="4143" position="top_small:-9%25|left_small:34vw"][/ld_images_group_element][ld_images_group_element img_size="50%" absolute_pos="yes" image="4145" position="top_small:35%25|right_small:2vw"][/ld_images_group_element][ld_images_group_element img_size="50%" absolute_pos="yes" image="4147" position="right_small:1vw|bottom_small:-10%25"][/ld_images_group_element][/ld_images_group_container][/vc_column][vc_column offset="vc_col-lg-offset-1 vc_col-lg-5 vc_col-md-6" responsive_align="text-center text-md-left"][ld_fancy_heading tag="h6" transform="text-lowercase" duration="1600" delay="100" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" enable_bg="yes" fh_border_radius="circle" enable_split="true" margin="bottom_small:0.75em" ca_init_translate_x="0" ca_init_rotate_y="0" ca_init_translate_y="35" color="rgb(255, 90, 61)" padding="top_small:10px|right_small:20px|bottom_small:10px|left_small:20px" fh_bg="rgb(255, 234, 230)"]Digital Experience[/ld_fancy_heading][ld_fancy_heading tag="h2" highlight_animation="lqd-highlight-grow-bottom" highlight_offset="0.1em" use_custom_fonts_title="true" enable_fit="true" fs="text_large:48px|text_small:35px" lh="text_small:1.2em" margin="bottom_small:0.65em" minfontsize="36" highlight_color="rgba(255, 185, 158, 0.53)"]Trusted by top [ld_highlight]global[/ld_highlight] companies And orginizations[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="20px" lh="1.5em" margin="bottom_small:2.5em"]From bold start-ups to big names, Blue Fountain Media is proud of our clients’ success and passionate about helping them accelerate growth through digital.[/ld_fancy_heading][ld_button style="btn-solid" title="Learn more" transformation="text-uppercase" link_type="scroll_to_section" shape="circle" hover_txt_effect="btn-hover-txt-switch btn-hover-txt-switch-y" enable_row_shadowbox="yes" button_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2220px%22%2C%22blur_radius%22%3A%2260px%22%2C%22shadow_color%22%3A%22rgba(248%2C85%2C78%2C0.24)%22%7D%5D" hover_button_box_shadow="%5B%7B%7D%5D" css=".vc_custom_1611478747231{margin-bottom: 35px !important;padding-right: 1em !important;padding-left: 1em !important;}" hover_color="rgb(51, 106, 234)"][/vc_column][vc_column offset="vc_hidden-lg vc_hidden-md"][vc_single_image image="4187"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Clients 16 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Clients 16', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'clients-16.jpg' );
	$data['sort_name'] = 'Clients';
	$data['custom_class'] = 'general clients';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" bg_position="center top" enable_row_dividers="yes" css=".vc_custom_1608729633610{padding-top: 120px !important;padding-bottom: 100px !important;background-image: url(https://businessstartuppro.liquid-themes.com/wp-content/uploads/2020/12/bg-1@2x.jpg?id=233) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" responsive_css="padding_top_medium:140px|padding_bottom_medium:140px" row_svg_divider="bottom_shape_type:8|bottom_shape_color:%23ffffff|bottom_shape_height:61"][vc_column width="1/2" offset="vc_col-md-5" css=".vc_custom_1608729930888{margin-bottom: 20px !important;}" responsive_css="margin_bottom_small:35px"][ld_images_group_container enable_item_animation="yes" pf_init_scale_x="1" pf_init_scale_y="1" pf_init_opacity="0" pf_an_scale_x="1" pf_an_scale_y="1" pf_an_opacity="1" pf_duration="1600" pf_delay="160" pf_init_translate_x="-35" pf_init_translate_y="35" pf_init_rotate_y="0"][ld_images_group_element absolute_pos="yes" image="237" position="top_small:0px|left_small:0px"][/ld_images_group_element][ld_images_group_element img_size="50%" image="231" margin="top_small:25px|left_small:28px"][ld_button style="btn-solid" title="Play video" link_type="lightbox" shape="circle" i_type="linea" i_position="left" i_hover_reveal="btn-hover-swp" i_add_icon="true" link="url:https%3A%2F%2Fyoutu.be%2FJLE228ZuGGA|||" i_icon_linea="lqd-icn-ess icon-ion-ios-play" color="rgb(255, 255, 255)" text_color="rgb(0, 0, 0)" hover_color="rgb(0, 0, 0)" htext_color="rgb(255, 255, 255)" lh="1.1em"][/ld_images_group_element][/ld_images_group_container][/vc_column][vc_column width="1/2" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-lg-offset-1 vc_col-lg-6 vc_col-md-7" css=".vc_custom_1608729911892{margin-bottom: 70px !important;}" responsive_css="margin_bottom_medium:65px|margin_bottom_small:35px" ca_delay="160" ca_init_translate_y="60" ca_duration="1600" ca_start_delay="450"][ld_fancy_heading tag="h6" transform="text-uppercase" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(255, 255, 255)" fs="text_small:12px" fw="text_small:700" ls="text_small:0.08em" margin="bottom_small:3em"]Customer stories[/ld_fancy_heading][ld_fancy_heading ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(255, 255, 255)" fs="text_small:68px" lh="text_small:1.1em" fw="text_small:700" ls="text_small:-0.02em" highlight_color="rgba(126, 255, 195, 0.4)" margin="bottom_small:0.25em"]They [ld_highlight]trust[/ld_highlight] Hub. But why?[/ld_fancy_heading][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgba(255, 255, 255, 0.7)" fs="text_small:18px" lh="text_small:1.44em" fw="text_small:500" margin="right_large:22%25|bottom_small:2.75em"]Hub IT allows your business and technology computers to store and analyze.[/ld_fancy_heading][ld_button style="btn-naked" title="`{`ld_strong`}`DANIEL CHARLES`{`/ld_strong`}``{`ld_span`}`Netflix Chief Designer`{`/ld_span`}`" link_type="lightbox" i_type="linea" i_position="left" i_shape="btn-icon-circle" i_shape_style="btn-icon-bordered" i_shape_bw="btn-icon-border-thicker" i_shape_size="btn-icon-custom-size" i_add_icon="true" link="url:https%3A%2F%2Fwww.youtube.com%2Fwatch%3Fv%3DFXI_-OesT3A%26ab_channel%3DApple|||" i_icon_linea="lqd-icn-ess icon-ion-ios-play" i_shape_custom_size="68px" color="rgb(255, 255, 255)" i_hcolor="rgb(0, 0, 0)" i_fill_hcolor2="rgb(255, 255, 255)" hover_color="rgb(255, 255, 255)"][/vc_column][vc_column][ld_carousel_tab columns="md:6|sm:4|xs:3|spacing_xs:15px" inactiv_opacity="1" enable_item_animation="yes" groupcells="no" wraparound="yes" equalheightcells="yes" middlealigncontent="yes" autoplay="yes" mobile_dots_bottom_offset_outside="1em" pf_init_scale_x="0.3" pf_init_scale_y="0.3" pf_init_opacity="0" pf_an_scale_x="1" pf_an_scale_y="1" pf_an_opacity="1" pf_duration="1600" pf_start_delay="1000" pf_delay="160" mobile_dots_bg_color="rgba(255, 255, 255, 0.35)" mobile_dots_bg_hcolor="rgb(255, 255, 255)"][ld_carousel_section title="Carousel Item" tab_id="lqd-1608722795312-3f978e43-4471"][vc_single_image image="240" alignment="center" css=".vc_custom_1608722911038{margin-bottom: 0px !important;}"][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1608723029108-4269f2d2-09ef"][vc_single_image image="239" alignment="center" css=".vc_custom_1608723005040{margin-bottom: 0px !important;}"][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1608722795312-563e3a31-1736"][vc_single_image image="242" alignment="center" css=".vc_custom_1608722946839{margin-bottom: 0px !important;}"][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1608722795312-4b81f2ed-de44"][vc_single_image image="241" alignment="center" css=".vc_custom_1608722972969{margin-bottom: 0px !important;}"][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1608722993089-e220608a-0b0b"][vc_single_image image="239" alignment="center" css=".vc_custom_1608723005040{margin-bottom: 0px !important;}"][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1608722976821-3fc5d8ee-00fd"][vc_single_image image="243" alignment="center" css=".vc_custom_1608722989439{margin-bottom: 0px !important;}"][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1608723009463-97570643-55f7"][vc_single_image image="238" alignment="center" css=".vc_custom_1608723023054{margin-bottom: 0px !important;}"][/ld_carousel_section][/ld_carousel_tab][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Clients 17 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Clients 17', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'clients-17.jpg' );
	$data['sort_name'] = 'Clients';
	$data['custom_class'] = 'general clients';
	$data['content'] = <<<CONTENT
	[vc_row equal_height="yes" content_placement="middle" css=".vc_custom_1621002151380{padding-top: 15px !important;padding-bottom: 85px !important;}" responsive_css="padding_top_medium:45px|padding_bottom_medium:45px" el_id="testimonials"][vc_column enable_column_shadowbox="yes" css=".vc_custom_1614154485960{margin-top: 85px !important;background-color: #ffffff !important;border-radius: 4px !important;}" offset="vc_col-lg-4 vc_col-md-5" column_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2223px%22%2C%22blur_radius%22%3A%2255px%22%2C%22shadow_color%22%3A%22rgba(19%2C%2030%2C%2056%2C%200.05)%22%7D%5D"][vc_row_inner enable_content_animation="yes" equal_height="yes" content_placement="middle" gap="0" animation_preset="Fade In" ca_duration="1800" ca_delay="80"][vc_column_inner width="1/2" enable_overlay="yes" hover_overlay_bg="rgb(254, 249, 246)" css=".vc_custom_1589206754553{padding-top: 60px !important;padding-right: 25px !important;padding-bottom: 60px !important;padding-left: 25px !important;}" overlay_bg="rgb(255, 255, 255)" offset="vc_col-xs-6" responsive_css="padding_right_medium:15px|padding_left_medium:15px"][vc_single_image image="416" alignment="center" image_max_width="95px" css=".vc_custom_1610970609510{margin-bottom: 0px !important;}"][/vc_column_inner][vc_column_inner width="1/2" enable_overlay="yes" hover_overlay_bg="rgb(246, 254, 247)" css=".vc_custom_1589206742447{padding-top: 60px !important;padding-right: 25px !important;padding-bottom: 60px !important;padding-left: 25px !important;}" overlay_bg="rgb(255, 255, 255)" offset="vc_col-xs-6" responsive_css="padding_right_medium:15px|padding_left_medium:15px"][vc_single_image image="421" alignment="center" image_max_width="80px" css=".vc_custom_1610970900464{margin-bottom: 0px !important;}"][/vc_column_inner][vc_column_inner width="1/2" enable_overlay="yes" hover_overlay_bg="rgb(243, 243, 248)" css=".vc_custom_1589359018360{padding-top: 60px !important;padding-right: 25px !important;padding-bottom: 60px !important;padding-left: 25px !important;}" overlay_bg="rgb(255, 255, 255)" offset="vc_col-xs-6" responsive_css="padding_right_medium:15px|padding_left_medium:15px"][vc_single_image image="418" alignment="center" image_max_width="105px" css=".vc_custom_1610970636157{margin-bottom: 0px !important;}"][/vc_column_inner][vc_column_inner width="1/2" enable_overlay="yes" hover_overlay_bg="rgb(246, 252, 254)" css=".vc_custom_1573385372520{padding-top: 60px !important;padding-right: 25px !important;padding-bottom: 60px !important;padding-left: 25px !important;}" overlay_bg="rgb(255, 255, 255)" offset="vc_col-xs-6" responsive_css="padding_right_medium:15px|padding_left_medium:15px"][vc_single_image image="419" alignment="center" image_max_width="115px" css=".vc_custom_1610970649432{margin-bottom: 0px !important;}"][/vc_column_inner][vc_column_inner width="1/2" enable_overlay="yes" hover_overlay_bg="rgb(250, 246, 254)" css=".vc_custom_1589206775026{padding-top: 60px !important;padding-right: 25px !important;padding-bottom: 60px !important;padding-left: 25px !important;}" overlay_bg="rgb(255, 255, 255)" offset="vc_col-xs-6" responsive_css="padding_right_medium:15px|padding_left_medium:15px"][vc_single_image image="427" alignment="center" image_max_width="95px" css=".vc_custom_1611581046810{margin-bottom: 0px !important;}"][/vc_column_inner][vc_column_inner width="1/2" enable_overlay="yes" hover_overlay_bg="rgb(252, 254, 246)" css=".vc_custom_1589206782722{padding-top: 60px !important;padding-right: 25px !important;padding-bottom: 60px !important;padding-left: 25px !important;}" overlay_bg="rgb(255, 255, 255)" offset="vc_col-xs-6" responsive_css="padding_right_medium:15px|padding_left_medium:15px"][vc_single_image image="426" alignment="center" css=".vc_custom_1611581061011{margin-bottom: 0px !important;}" image_max_width="105px"][/vc_column_inner][/vc_row_inner][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" column_top_ontablet="yes" column_top_onmobile="yes" bg_position="left top" offset="vc_col-lg-8 vc_col-md-7" responsive_css="padding_top_medium:80px|padding_left_medium:8.5%25" css=".vc_custom_1610105371336{padding-top: 15px !important;background-image: url(https://marketinghub.liquid-themes.com/staging/wp-content/uploads/2019/11/world.png?id=5822) !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}" ca_duration="1800" ca_delay="180" ca_init_translate_y="35" responsive_align="text-center text-md-left"][ld_fancy_heading tag="h2"]Hear from our happy clients<span style="font-family: Playfair Display, palatino, serif; font-weight: bold;"><em>.</em></span>[/ld_fancy_heading][ld_carousel_tab columns="xs:1" inactiv_opacity="1" cellalign="center" prevnextbuttons="yes" navarrow="6" navsize="carousel-nav-sm" navfill="carousel-nav-bordered" navshape="carousel-nav-circle" shapesize="47px" nav_border_color="rgb(223, 223, 223)" nav_bg_hcolor="rgb(42, 42, 42)" nav_arrow_color_hover="rgb(255, 255, 255)"][ld_carousel_section title="Tab" tab_id="lqd-1595577808765-230a4d56-128a"][ld_testimonial template="style13" title="Matt Sanchez" position="ThemeForest Exclusive" avatar="150"]<span style="font-size: 24px; line-height: 39px; color: #5d6371;">“I think Hub is the best theme I ever saw this year. Amazing design, easy to customize and a design quality superlative account on its cloud platform.</span><span style="font-size: 24px; color: #5d6371;">for the optimized performance”</span>[/ld_testimonial][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595577265551-a0a6c56a-225f"][ld_testimonial template="style13" title="Daniel Rock" position="ThemeForest Exclusive" avatar="151"]<span style="font-size: 24px; line-height: 39px; color: #5d6371;">“I think Hub is the best theme I ever saw this year. Amazing design, easy to customize and a design quality superlative account on its cloud platform.</span><span style="font-size: 24px; color: #5d6371;">for the optimized performance”</span>[/ld_testimonial][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595577809214-bbaa1329-bddd"][ld_testimonial template="style13" title="Daniel Rock" position="ThemeForest Exclusive" avatar="152"]<span style="font-size: 24px; line-height: 39px; color: #5d6371;">“I think Hub is the best theme I ever saw this year. Amazing design, easy to customize and a design quality superlative account on its cloud platform.</span><span style="font-size: 24px; color: #5d6371;">for the optimized performance”</span>[/ld_testimonial][/ld_carousel_section][/ld_carousel_tab][ld_particles as_bg="yes" absolute_pos="yes" enable_density="yes" opacity="1" enable_random_size="yes" enable_anim_size="yes" enable_move="yes" move_direction="top" enable_random_move="yes" modes_grab_opacity="1" retina_detect="yes" particle_id="lqd-1579874781983-fb436513-72aa" height="100vh" position="right_small:0px|bottom_small:0px" number="7" size="3" anim_size_speed="1" anim_size_min="50" density="200" color="#d5dfe2"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Clients 18 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Clients 18', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'clients-18.jpg' );
	$data['sort_name'] = 'Clients';
	$data['custom_class'] = 'general clients';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" equal_height="yes" content_placement="middle" css=".vc_custom_1620983472130{padding-top: 20px !important;padding-bottom: 20px !important;}" responsive_css="padding_right_large:12vw|padding_left_large:12vw|padding_top_medium:50px|padding_right_medium:7vw|padding_bottom_medium:50px|padding_left_medium:7vw"][vc_column width="1/2" offset="vc_col-md-3 vc_col-xs-6" responsive_align="text-center text-md-left"][ld_counter template="`{`object Object`}`" use_custom_fonts_title="true" use_inheritance="true" counter_mb_checkbox="true" enable_blur="true" count="1m+" fs="51px" lh="1.1em" color="rgb(0, 6, 69)" el_class="mb-0"][ld_images_group_element image="80" margin="bottom_small:10px"][/ld_images_group_element][ld_fancy_heading tag="p" color="rgb(29, 41, 63)" margin="bottom_small:0.25em"]Installations[/ld_fancy_heading][ld_fancy_heading tag="p" color="rgb(37, 138, 255)" margin="bottom_small:0.25em"]Application Store[/ld_fancy_heading][/vc_column][vc_column width="1/2" offset="vc_col-md-3 vc_col-xs-6" responsive_align="text-center text-md-left"][ld_counter template="`{`object Object`}`" use_custom_fonts_title="true" use_inheritance="true" counter_mb_checkbox="true" enable_blur="true" count="4.98" fs="51px" lh="1.1em" color="rgb(0, 6, 69)" el_class="mb-0"][ld_images_group_element image="80" margin="bottom_small:10px"][/ld_images_group_element][ld_fancy_heading tag="p" color="rgb(29, 41, 63)" margin="bottom_small:0.25em"]The Best Rated App[/ld_fancy_heading][ld_fancy_heading tag="p" color="rgb(37, 138, 255)" margin="bottom_small:0.25em"]On Play Store[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-6" responsive_css="padding_top_medium:0px" css=".vc_custom_1607338010924{padding-top: 30px !important;}"][ld_carousel_tab columns="sm:3|xs:2|spacing_xs:6%25" inactiv_opacity="1" groupcells="no" wraparound="yes" autoplay="yes" mobile_dots_bottom_offset_outside="0.75em"][ld_carousel_section title="Tab" tab_id="lqd-1595515496470-f476a47f-849c"][vc_single_image image="252" css=".vc_custom_1610913064974{margin-bottom: 0px !important;}"][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595516087526-77fd3c05-0c62"][vc_single_image image="250" css=".vc_custom_1610913084440{margin-bottom: 0px !important;}"][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595516150566-e55e95d9-d8be"][vc_single_image image="251" css=".vc_custom_1610974291183{margin-bottom: 0px !important;}"][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595516109864-40f2ee70-4236"][vc_single_image image="250" css=".vc_custom_1610974269734{margin-bottom: 0px !important;}"][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595516118611-8b77e018-dc40"][vc_single_image image="249" css=".vc_custom_1610913025734{margin-bottom: 0px !important;}"][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595516099239-3985f1b0-c8b7"][vc_single_image image="253" css=".vc_custom_1610913003035{margin-bottom: 0px !important;}"][/ld_carousel_section][/ld_carousel_tab][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Clients 19 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Clients 19', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'clients-19.jpg' );
	$data['sort_name'] = 'Clients';
	$data['custom_class'] = 'general clients';
	$data['content'] = <<<CONTENT
CONTENT;
	$templates[] = $data;

	//Clients 20 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Clients 20', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'clients-20.jpg' );
	$data['sort_name'] = 'Clients';
	$data['custom_class'] = 'general clients';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" gap="0" equal_height="yes" content_placement="middle" css=".vc_custom_1621864721992{border-top-width: 1px !important;border-top-color: rgba(112,112,112,0.2) !important;border-top-style: solid !important;}"][vc_column width="1/3" css=".vc_custom_1621861561550{border-right-width: 1px !important;border-bottom-width: 1px !important;padding-top: 42px !important;padding-right: 15px !important;padding-bottom: 42px !important;padding-left: 15px !important;border-right-color: rgba(112,112,112,0.1) !important;border-right-style: solid !important;border-bottom-color: rgba(112,112,112,0.1) !important;border-bottom-style: solid !important;}" offset="vc_col-md-2 vc_col-xs-6" responsive_align="text-center" responsive_css="border_bottom_medium:0px"][vc_single_image image="177" css=".vc_custom_1622019184755{margin-bottom: 0px !important;}"][/vc_column][vc_column width="1/3" css=".vc_custom_1621861561550{border-right-width: 1px !important;border-bottom-width: 1px !important;padding-top: 42px !important;padding-right: 15px !important;padding-bottom: 42px !important;padding-left: 15px !important;border-right-color: rgba(112,112,112,0.1) !important;border-right-style: solid !important;border-bottom-color: rgba(112,112,112,0.1) !important;border-bottom-style: solid !important;}" offset="vc_col-md-2 vc_col-xs-6" responsive_align="text-center" responsive_css="border_bottom_medium:0px"][vc_single_image image="180" css=".vc_custom_1622019222620{margin-bottom: 0px !important;}"][/vc_column][vc_column width="1/3" css=".vc_custom_1621861561550{border-right-width: 1px !important;border-bottom-width: 1px !important;padding-top: 42px !important;padding-right: 15px !important;padding-bottom: 42px !important;padding-left: 15px !important;border-right-color: rgba(112,112,112,0.1) !important;border-right-style: solid !important;border-bottom-color: rgba(112,112,112,0.1) !important;border-bottom-style: solid !important;}" offset="vc_col-md-2 vc_col-xs-6" responsive_align="text-center" responsive_css="border_bottom_medium:0px"][vc_single_image image="178" css=".vc_custom_1622019208066{margin-bottom: 0px !important;}"][/vc_column][vc_column width="1/3" css=".vc_custom_1621861561550{border-right-width: 1px !important;border-bottom-width: 1px !important;padding-top: 42px !important;padding-right: 15px !important;padding-bottom: 42px !important;padding-left: 15px !important;border-right-color: rgba(112,112,112,0.1) !important;border-right-style: solid !important;border-bottom-color: rgba(112,112,112,0.1) !important;border-bottom-style: solid !important;}" offset="vc_col-md-2 vc_col-xs-6" responsive_align="text-center" responsive_css="border_bottom_medium:0px"][vc_single_image image="175" css=".vc_custom_1622019215881{margin-bottom: 0px !important;}"][/vc_column][vc_column width="1/3" css=".vc_custom_1621861561550{border-right-width: 1px !important;border-bottom-width: 1px !important;padding-top: 42px !important;padding-right: 15px !important;padding-bottom: 42px !important;padding-left: 15px !important;border-right-color: rgba(112,112,112,0.1) !important;border-right-style: solid !important;border-bottom-color: rgba(112,112,112,0.1) !important;border-bottom-style: solid !important;}" offset="vc_col-md-2 vc_col-xs-6" responsive_align="text-center" responsive_css="border_bottom_medium:0px"][vc_single_image image="179" css=".vc_custom_1622019196744{margin-bottom: 0px !important;}"][/vc_column][vc_column width="1/3" css=".vc_custom_1621861561550{border-right-width: 1px !important;border-bottom-width: 1px !important;padding-top: 42px !important;padding-right: 15px !important;padding-bottom: 42px !important;padding-left: 15px !important;border-right-color: rgba(112,112,112,0.1) !important;border-right-style: solid !important;border-bottom-color: rgba(112,112,112,0.1) !important;border-bottom-style: solid !important;}" offset="vc_col-md-2 vc_col-xs-6" responsive_align="text-center" responsive_css="border_bottom_medium:0px"][vc_single_image image="114" css=".vc_custom_1622019226658{margin-bottom: 0px !important;}"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Clients 21 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Clients 21', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'clients-21.jpg' );
	$data['sort_name'] = 'Clients';
	$data['custom_class'] = 'general clients';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1621863858589{padding-top: 60px !important;padding-bottom: 80px !important;}" el_id="clients"][vc_column][ld_images_group_container move_to_parent_row="yes" absolute_pos="yes" position="top_small:-90px|right_small:-170px|bottom_small:0px" el_class="z-index-2" hide_el="hidden-xs"][ld_images_group_element image="9311"][/ld_images_group_element][/ld_images_group_container][/vc_column][vc_column offset="vc_col-lg-offset-3 vc_col-lg-6 vc_col-md-offset-2 vc_col-md-8" responsive_align="text-center" responsive_css="padding_right_large:5%25|padding_left_large:5%25" css=".vc_custom_1621847401544{margin-bottom: 35px !important;}"][ld_fancy_heading tag="h2"]Helping companies to build the future.[/ld_fancy_heading][/vc_column][vc_column][ld_carousel_tab columns="md:5|sm:3|xs:2|spacing_md:5px|spacing_xs:15px" inactiv_opacity="1" equalheightcells="yes" middlealigncontent="yes"][ld_carousel_section title="Carousel Item" tab_id="lqd-1622018967581-fa0385e3-231a"][vc_single_image image="177" alignment="center" css=".vc_custom_1622018941795{margin-bottom: 0px !important;}"][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1622018987642-e70b2ba0-c0aa"][vc_single_image image="180" alignment="center" css=".vc_custom_1622018918951{margin-bottom: 0px !important;}"][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1622018967735-23dfed12-f9af"][vc_single_image image="175" alignment="center" css=".vc_custom_1622018897591{margin-bottom: 0px !important;}"][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1622018967877-0d21a86c-553f"][vc_single_image image="178" alignment="center" css=".vc_custom_1622019013076{margin-bottom: 0px !important;}"][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1622018986892-8bd596cb-2fa3"][vc_single_image image="179" alignment="center" css=".vc_custom_1622019024682{margin-bottom: 0px !important;}"][/ld_carousel_section][/ld_carousel_tab][/vc_column][vc_column responsive_align="text-center" css=".vc_custom_1621847580731{padding-top: 45px !important;}"][ld_button style="btn-solid" title="Develop Impactful Stories" shape="circle" border="border-none" hover_txt_effect="btn-hover-txt-switch btn-hover-txt-switch-y" i_type="linea" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-forward" color="rgba(21, 81, 83, 0.07)" text_color="rgb(21, 81, 83)" fs="text_small:16px" i_size="1.25em" i_margin_left="13px"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Category Contact
	//Contact 1
	$data = array();
	$data['name'] = esc_html__( 'Contact 01', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'contact-1.jpg' );
	$data['sort_name'] = 'Contact';
	$data['custom_class'] = 'general contact';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" css=".vc_custom_1605625730804{padding-top: 80px !important;padding-bottom: 35px !important;}" offset="vc_col-lg-5 vc_col-md-6" ca_duration="1800" ca_delay="180" ca_init_translate_y="60" responsive_align="text-center text-md-left"][ld_fancy_heading tag="h6" margin="bottom_small:0.75em"]about us[/ld_fancy_heading][ld_fancy_heading tag="h2" padding="right_large:14%25"]consulting agency for your business.[/ld_fancy_heading][ld_fancy_heading tag="p"]Hub has a full range of products for personal data analysis, business consultation, and strategic partnership. Hub allows your business and technology computers to store, transmit, analyze, and manipulate big data.[/ld_fancy_heading][/vc_column][vc_column enable_column_shadowbox="yes" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-lg-offset-2 vc_col-md-offset-1 vc_col-md-5" css=".vc_custom_1612176801668{padding-top: 30px !important;padding-right: 20px !important;padding-bottom: 40px !important;padding-left: 20px !important;background-color: #ffffff !important;border-radius: 5px !important;}" column_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2210px%22%2C%22blur_radius%22%3A%2260px%22%2C%22shadow_color%22%3A%22rgba(0%2C%200%2C%200%2C%200.07)%22%7D%5D" responsive_css="margin_top_medium:-65px|padding_bottom_medium:20px|padding_right_small:50px|padding_left_small:50px" ca_duration="1800" ca_start_delay="250" ca_delay="180" ca_init_translate_y="35"][ld_fancy_heading tag="h6" margin="bottom_small:0.75em"]send a message[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" padding="right_large:14%25" margin="bottom_small:1.1em" fs="30px"]request a call back[/ld_fancy_heading][ld_cf7 id="8632" shape="lqd-contact-form-inputs-filled" size="lqd-contact-form-inputs-lg" btn_size="lqd-contact-form-button-lg" btn_width="lqd-contact-form-button-block" btn_roundness="lqd-contact-form-button-round" use_custom_fonts_input="true" use_custom_fonts_submit="true" fs="14px" fw="400" submit_fs="16px" submit_fw="700" lqd_bg_color="rgb(248, 245, 243)" color="rgb(0, 0, 0)" css=".vc_custom_1606897967487{margin-bottom: 0px !important;}" submit_color="rgb(24, 67, 65)" bm="20px" submit_hbg_color="rgb(24, 67, 65)" submit_h_color="rgb(255, 255, 255)" submit_bg_color="rgb(255, 205, 40)" submit_border_color="rgb(255, 205, 40)" submit_hover_border_color="rgb(24, 67, 65)"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Contact 2
	$data = array();
	$data['name'] = esc_html__( 'Contact 02', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'contact-2.jpg' );
	$data['sort_name'] = 'Contact';
	$data['custom_class'] = 'general contact';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" gap="0"][vc_column][ld_google_map style="assassinsCreedIV" map_marker="html_marker" si_style="" si_size="" si_border="" zoom="14" address="Manhattan" map_height="580px"][/vc_column][vc_column css=".vc_custom_1607955432920{margin-top: -250px !important;}" responsive_align="text-center"][ld_fancy_heading tag="h6" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:16px" margin="bottom_small:0.25em"]home - contact[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_medium:50px" ls="text_small:-0.04em" fw="text_small:900" margin="bottom_small:0px"]contact us[/ld_fancy_heading][/vc_column][/vc_row][vc_row content_placement="middle"][vc_column enable_column_shadowbox="yes" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-5" css=".vc_custom_1607954640145{padding-top: 35px !important;padding-right: 50px !important;padding-bottom: 40px !important;padding-left: 50px !important;background-color: #ffffff !important;border-radius: 5px !important;}" column_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2210px%22%2C%22blur_radius%22%3A%2260px%22%2C%22shadow_color%22%3A%22rgba(0%2C%200%2C%200%2C%200.07)%22%7D%5D" responsive_css="margin_top_medium:-70px|padding_bottom_medium:20px" ca_duration="1800" ca_start_delay="250" ca_delay="180" ca_init_translate_y="35"][ld_fancy_heading tag="h6" use_custom_fonts_title="true" margin="bottom_small:1.1em" fs="text_small:20px"]Send a message[/ld_fancy_heading][ld_cf7 id="8654" shape="lqd-contact-form-inputs-filled" btn_size="lqd-contact-form-button-lg" btn_width="lqd-contact-form-button-block" btn_roundness="lqd-contact-form-button-round" use_custom_fonts_input="true" use_custom_fonts_submit="true" fs="14px" fw="400" submit_fs="16px" submit_fw="700" lqd_bg_color="rgb(247, 248, 248)" color="rgb(59, 75, 83)" css=".vc_custom_1607956230465{margin-bottom: 0px !important;}" submit_color="rgb(24, 67, 65)" bm="20px" submit_hbg_color="rgb(24, 67, 65)" submit_h_color="rgb(255, 255, 255)" submit_bg_color="rgb(255, 205, 40)" submit_border_color="rgb(255, 205, 40)" submit_hover_border_color="rgb(24, 67, 65)"][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" column_top_ontablet="yes" column_top_onmobile="yes" css=".vc_custom_1610101870866{padding-top: 80px !important;padding-bottom: 35px !important;}" offset="vc_col-lg-5 vc_col-md-offset-1 vc_col-md-6" ca_duration="1800" ca_delay="180" ca_init_translate_y="60" responsive_align="text-center text-md-left"][ld_fancy_heading tag="h6" margin="bottom_small:0.75em"]Get in touch[/ld_fancy_heading][ld_fancy_heading tag="h2" padding="right_large:14%25"]We’d love to hear from you.[/ld_fancy_heading][ld_fancy_heading tag="p"]We are here to answer any question you may have. As a partner of corporates, Liquid has more than 9,000 offices of all sizes and all potential of session.[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Contact 3
	$data = array();
	$data['name'] = esc_html__( 'Contact 03', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'contact-3.jpg' );
	$data['sort_name'] = 'Contact';
	$data['custom_class'] = 'general contact';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1607955116165{padding-top: 65px !important;padding-bottom: 65px !important;}"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" align="text-center" offset="vc_col-md-offset-3 vc_col-md-6" css=".vc_custom_1577271562832{margin-bottom: 60px !important;}" responsive_css="padding_right_medium:5%25|padding_left_medium:5%25" ca_duration="1800" ca_delay="180" ca_init_translate_y="35" ca_an_translate_y="0" responsive_align="text-center"][ld_fancy_heading tag="h2"]global offices[/ld_fancy_heading][ld_fancy_heading tag="p"]As a partner of corporates, Liquid has more than 9,000 offices of all sizes and all potential of session.[/ld_fancy_heading][/vc_column][vc_column][vc_row_inner enable_content_animation="yes" equal_height="yes" animation_preset="Fade In" ca_duration="1800" ca_delay="90"][vc_column_inner width="1/2" enable_overlay="yes" offset="vc_col-md-3 vc_col-xs-6" css=".vc_custom_1607954944854{margin-bottom: 30px !important;padding-top: 30px !important;padding-right: 15px !important;padding-bottom: 30px !important;padding-left: 15px !important;border-radius: 5px !important;}" responsive_css="padding_right_small:30px|padding_left_small:30px" hover_overlay_bg="rgb(250, 213, 91)"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:20px" margin="bottom_small:1.5em" color="rgb(34, 34, 50)"]Paris[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.6em" margin="bottom_small:0px"]290 Maryam Sprins 260,[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.6em" margin="bottom_small:1.25em"]Courbevoie, Paris, France[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.6em"]+47 213 5941 295[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/2" enable_overlay="yes" offset="vc_col-md-3 vc_col-xs-6" css=".vc_custom_1607954944854{margin-bottom: 30px !important;padding-top: 30px !important;padding-right: 15px !important;padding-bottom: 30px !important;padding-left: 15px !important;border-radius: 5px !important;}" responsive_css="padding_right_small:30px|padding_left_small:30px" hover_overlay_bg="rgb(250, 213, 91)"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:20px" margin="bottom_small:1.5em" color="rgb(34, 34, 50)"]Tokyo[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.6em" margin="bottom_small:0px"]37 Valentin Rapids Apt.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.6em" margin="bottom_small:1.25em"]Tokyo, Japan[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.6em"]+17 113 6946 36[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/2" enable_overlay="yes" offset="vc_col-md-3 vc_col-xs-6" css=".vc_custom_1607954944854{margin-bottom: 30px !important;padding-top: 30px !important;padding-right: 15px !important;padding-bottom: 30px !important;padding-left: 15px !important;border-radius: 5px !important;}" responsive_css="padding_right_small:30px|padding_left_small:30px" hover_overlay_bg="rgb(250, 213, 91)"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:20px" margin="bottom_small:1.5em" color="rgb(34, 34, 50)"]London[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.6em" margin="bottom_small:0px"]82 Bernie Greens Apt.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.6em" margin="bottom_small:1.25em"]London, UK[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.6em"]+36 213 5941 295[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/2" enable_overlay="yes" offset="vc_col-md-3 vc_col-xs-6" css=".vc_custom_1607954944854{margin-bottom: 30px !important;padding-top: 30px !important;padding-right: 15px !important;padding-bottom: 30px !important;padding-left: 15px !important;border-radius: 5px !important;}" responsive_css="padding_right_small:30px|padding_left_small:30px" hover_overlay_bg="rgb(250, 213, 91)"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:20px" margin="bottom_small:1.5em" color="rgb(34, 34, 50)"]New York[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.6em" margin="bottom_small:0px"]21 Valentin Rapids Apt.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.6em" margin="bottom_small:1.25em"]New Jersey, NYC[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.6em"]+47 213 5941 295[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;
	
	//Contact 4
	$data = array();
	$data['name'] = esc_html__( 'Contact 04', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'contact-4.jpg' );
	$data['sort_name'] = 'Contact';
	$data['custom_class'] = 'general contact';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" bg_position="right center" css=".vc_custom_1614770659924{padding-top: 150px !important;padding-bottom: 190px !important;background-image: url(https://newsletterhub.liquid-themes.com/staging/wp-content/uploads/2021/03/bg-1@2x.jpg?id=272) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}"][vc_column offset="vc_col-lg-5 vc_col-md-offset-1 vc_col-md-6"][ld_fancy_heading use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_medium:57px|text_small:48px" lh="text_small:0.9em"]We’d love to hear from you.[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-lg-offset-2 vc_col-lg-4 vc_col-md-5"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.6)" fs="text_small:22px" lh="text_small:1.22em" margin="right_all:10%25"]We are here to answer any question you may have.[/ld_fancy_heading][/vc_column][/vc_row][vc_row][vc_column enable_column_shadowbox="yes" css=".vc_custom_1608814764226{margin-top: -128px !important;border-top-width: 10px !important;padding-top: 60px !important;padding-right: 15px !important;padding-bottom: 60px !important;padding-left: 15px !important;background-color: #ffffff !important;border-top-color: #e66c6c !important;border-top-style: solid !important;border-radius: 10px !important;}" offset="vc_col-md-offset-1 vc_col-md-10" column_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2220px%22%2C%22blur_radius%22%3A%2290px%22%2C%22shadow_color%22%3A%22rgba(30%2C%2089%2C%20157%2C%200.06)%22%7D%5D" responsive_css="padding_right_medium:80px|padding_left_medium:80px|padding_right_small:30px|padding_left_small:30px"][vc_row_inner content_placement="middle" css=".vc_custom_1608813658428{margin-bottom: 35px !important;}"][vc_column_inner width="1/2"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_small:28px" fw="text_small:700"]Send a message[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/2" responsive_align="text-sm-right"][ld_icon_box i_type="animated" hover_animation="yes" position="iconbox-side" i_icon_animated="animated-basic_paperplane" custom_size="60px" css=".vc_custom_1608813529459{margin-bottom: 0px !important;}" i_color="rgb(219, 223, 229)" h_i_color="rgb(0, 0, 0)"][/ld_icon_box][/vc_column_inner][/vc_row_inner][ld_cf7 id="286" size="lqd-contact-form-inputs-lg" roundness="lqd-contact-form-inputs-round" btn_size="lqd-contact-form-button-lg" btn_width="lqd-contact-form-button-block" btn_roundness="lqd-contact-form-button-round" use_custom_fonts_input="true" use_custom_fonts_submit="true" fs="16px" submit_fs="18px" submit_fw="700" border_color="rgba(123, 131, 142, 0.15)" hover_border_color="rgba(123, 131, 142, 0.3)" color="rgb(57, 68, 90)" h_color="rgb(0, 0, 0)" bm="20px" submit_bg_color="rgb(16, 70, 98)" css=".vc_custom_1614770698277{margin-bottom: 0px !important;}" submit_border_color="rgb(16, 70, 98)"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;
	
	//Contact 5 - classic
	$data = array();
	$data['name'] = esc_html__( 'Contact 05', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'contact-5.jpg' );
	$data['sort_name'] = 'Contact';
	$data['custom_class'] = 'general contact';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" responsive_css="padding_top_medium:80px|padding_bottom_medium:80px" css=".vc_custom_1608199084580{padding-top: 60px !important;padding-bottom: 60px !important;}"][vc_column width="1/2" responsive_css="margin_bottom_medium:0px|padding_right_medium:60px|padding_left_medium:60px|padding_top_small:55px|padding_right_small:20px|padding_bottom_small:35px|padding_left_small:20px" css=".vc_custom_1608199163750{margin-bottom: 30px !important;border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 45px !important;padding-right: 20px !important;padding-bottom: 25px !important;padding-left: 20px !important;border-left-color: #dddddd !important;border-left-style: solid !important;border-right-color: #dddddd !important;border-right-style: solid !important;border-top-color: #dddddd !important;border-top-style: solid !important;border-bottom-color: #dddddd !important;border-bottom-style: solid !important;border-radius: 3px !important;}"][ld_fancy_heading use_custom_fonts_title="true" fs="text_small:34px" fw="text_small:500"]Get in touch[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:2.5em"]We are here to answer any question you may have. Feel free to reach via contact form.[/ld_fancy_heading][ld_icon_box i_type="fontawesome" heading_size="custom" heading_weight="font-weight-normal" position="iconbox-side" i_icon_fontawesome="fas fa-map-marker-alt" title="290 Maryam Springs 260,`{`ld_br`}`Courbevoie, Paris" custom_heading_size="15px" icon_size="16px" icon_mb="15" i_color="rgb(204, 204, 204)" h_color="rgba(0, 0, 0, 0.6)" css=".vc_custom_1608198980988{margin-bottom: 10px !important;}"][/ld_icon_box][ld_icon_box i_type="fontawesome" heading_size="custom" heading_weight="font-weight-normal" position="iconbox-side" i_icon_fontawesome="fas fa-envelope" title="Email: hello@liquid-themes.com" custom_heading_size="15px" icon_size="16px" icon_mb="15" i_color="rgb(204, 204, 204)" h_color="rgba(0, 0, 0, 0.6)" css=".vc_custom_1608198973172{margin-bottom: 10px !important;}"][/ld_icon_box][ld_icon_box i_type="fontawesome" heading_size="custom" heading_weight="font-weight-normal" position="iconbox-side" i_icon_fontawesome="fas fa-mobile" title="Phone: +47 213 5941 295" custom_heading_size="15px" icon_size="16px" icon_mb="15" i_color="rgb(204, 204, 204)" h_color="rgba(0, 0, 0, 0.6)" css=".vc_custom_1608198966267{margin-bottom: 10px !important;}"][/ld_icon_box][/vc_column][vc_column width="1/2" offset="vc_col-md-offset-1 vc_col-md-5" responsive_css="padding_right_medium:12%25"][ld_cf7 id="259" shape="lqd-contact-form-inputs-filled" roundness="lqd-contact-form-inputs-round" btn_width="lqd-contact-form-button-block" btn_roundness="lqd-contact-form-button-round" use_custom_fonts_input="true" use_custom_fonts_submit="true" fs="13px" submit_fs="14px" lqd_bg_color="rgb(247, 248, 248)" color="rgb(123, 131, 142)" h_color="rgb(0, 0, 0)" css=".vc_custom_1608199148075{margin-bottom: 0px !important;}"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;
	
	//Contact 6 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Contact 06', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'contact-6.jpg' );
	$data['sort_name'] = 'Contact';
	$data['custom_class'] = 'general contact';
	$data['content'] = <<<CONTENT
	[vc_row full_height="yes" equal_height="yes" content_placement="middle" enable_content_animation="yes" animation_preset="Fade In" responsive_css="padding_right_large:12vw|padding_left_large:12vw|padding_top_medium:200px|padding_right_medium:7vw|padding_bottom_medium:200px|padding_left_medium:7vw" css=".vc_custom_1614945804570{padding-top: 100px !important;padding-bottom: 100px !important;}" ca_delay="125"][vc_column offset="vc_col-md-5"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px" lh="text_small:1.5em"]Looking for collaboration for your next project? Do not hesitate to contact us to say hello.[/ld_fancy_heading][/vc_column][vc_column][ld_spacer height="50px"][/vc_column][vc_column offset="vc_col-md-5"][ld_fancy_heading tag="h2" enable_txt_rotator="yes" items="%5B%7B%22word%22%3A%22hello.%22%7D%2C%7B%22word%22%3A%22sallut.%22%7D%2C%7B%22word%22%3A%22%E4%BD%A0%E5%A5%BD%22%7D%2C%7B%22word%22%3A%22hallo.%20%22%7D%2C%7B%22word%22%3A%22merhaba.%22%7D%2C%7B%22word%22%3A%22%E3%82%82%E3%81%97%E3%82%82%E3%81%97.%22%7D%2C%7B%22word%22%3A%22hola.%22%7D%5D" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_large:3.5vw|text_small:50px" margin="bottom_large:0px" lh="text_small:1.2em"]Don't be shy. Say[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-3"][vc_separator color="white" border_width="5" css=".vc_custom_1614943343984{margin-top: 0px !important;margin-bottom: 0px !important;}"][/vc_column][vc_column offset="vc_col-md-4"][ld_spacer height="50px" md_hide="vc_hidden-md" lg_hide="vc_hidden-lg"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:35px" margin="bottom_large:0px"]info@hub.com[/ld_fancy_heading][/vc_column][vc_column][ld_spacer height="50px" md_height="80px"][/vc_column][vc_column offset="vc_col-md-7"][vc_row_inner][vc_column_inner width="1/2"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.6)" fs="text_small:15px" margin="bottom_small:0px"]Project Offers[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:21px" margin="bottom_small:0px" fw="text_small:700"]info@hub.com[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/2"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.6)" fs="text_small:15px" margin="bottom_small:0px"]Say hello[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:21px" margin="bottom_small:0px" fw="text_small:700"]07388 252344[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][ld_spacer height="50px" md_hide="vc_hidden-md" lg_hide="vc_hidden-lg"][/vc_column][vc_column offset="vc_col-md-5" responsive_align="text-md-right"][ld_custom_menu source="custom" inline="inline-nav" use_custom_fonts_menu="true" items="%5B%7B%22label%22%3A%22Fb.%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Tw.%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Li%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%5D" spacing="45" fs="16px" color="rgb(255, 255, 255)" hcolor="rgba(255, 255, 255, 0.6)"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;
	
	//Contact 7 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Contact 07', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'contact-7.jpg' );
	$data['sort_name'] = 'Contact, fancytext';
	$data['custom_class'] = 'general contact';
	$data['content'] = <<<CONTENT
	[vc_row full_height="yes" content_placement="middle" video_bg="yes" video_bg_source="youtube" video_bg_url="https://www.youtube.com/watch?v=5bnc8AxRTFc" enable_overlay="yes" css=".vc_custom_1614944976163{padding-top: 70px !important;padding-right: 10px !important;padding-bottom: 70px !important;padding-left: 10px !important;}" overlay_bg="rgba(25, 25, 25, 0.74)"][vc_column offset="vc_col-md-6" css=".vc_custom_1573716825914{margin-bottom: 30px !important;}"][ld_fancy_heading transform="text-uppercase" use_custom_fonts_title="true" fs="text_large:106px|text_small:33px" margin="bottom_small:0px"]SAY HI[/ld_fancy_heading][ld_fancy_heading transform="text-uppercase" hover_text_outline="ld-fh-outline" outline_appearance="ld-fh-outline-static" use_custom_fonts_title="true" fs="text_large:106px|text_small:33px" margin="bottom_small:0px" hover_text_outline_color="rgba(255, 255, 255, 0.29)" hover_text_outline_width="1px"]AVAILABLE[/ld_fancy_heading][ld_fancy_heading transform="text-uppercase" hover_text_outline="ld-fh-outline" outline_appearance="ld-fh-outline-static" use_custom_fonts_title="true" fs="text_large:106px|text_small:33px" margin="bottom_small:0px" hover_text_outline_color="rgba(255, 255, 255, 0.35)" hover_text_outline_width="1px"]IN 2021[/ld_fancy_heading][ld_spacer][ld_fancy_heading tag="h5" margin="bottom_small:0em"]Currently, I am not available for freelance work. But I always love to hear from you,[/ld_fancy_heading][ld_spacer height="42px"][vc_row_inner css=".vc_custom_1573716672018{margin-bottom: 40px !important;}"][vc_column_inner width="1/2" css=".vc_custom_1614943101023{padding-top: 6px !important;}"][ld_fancy_heading tag="h6" use_custom_fonts_title="true" ls="text_small:0px" fs="text_small:16px" fw="text_small:700"]Address[/ld_fancy_heading][ld_fancy_heading tag="p"]290 Maryam Springs 260, Courbevoie, Paris, France[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/2"][ld_fancy_heading tag="h6" use_custom_fonts_title="true" ls="text_small:0px" fs="text_small:16px" fw="text_small:700"]Contact[/ld_fancy_heading][ld_fancy_heading tag="p"]+47 213 5941 295 hello@liquid.com[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][vc_row_inner][vc_column_inner][ld_social_icons style="" identities="%5B%7B%22network%22%3A%22fa-facebook-square%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-twitter%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-instagram%22%2C%22url%22%3A%22%23%22%7D%5D" font_size="28px" primary_color="rgba(255, 255, 255, 0.47)"][/vc_column_inner][/vc_row_inner][/vc_column][vc_column align="text-center" css=".vc_custom_1614942993185{margin-bottom: 30px !important;padding-top: 45px !important;padding-right: 20px !important;padding-bottom: 15px !important;padding-left: 20px !important;border-radius: 2px !important;}" offset="vc_col-md-offset-1 vc_col-md-5" responsive_align="text-left"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:23px"]Send a message[/ld_fancy_heading][ld_fancy_heading tag="h6" margin="bottom_small:0em" color="rgba(255, 255, 255, 0.37)"]Currently, I am not available for freelance work. But I always love to hear from you.[/ld_fancy_heading][ld_spacer][ld_cf7 id="73" shape="lqd-contact-form-inputs-filled" size="lqd-contact-form-inputs-md" roundness="lqd-contact-form-inputs-circle" btn_width="lqd-contact-form-button-block" btn_roundness="lqd-contact-form-button-circle" use_custom_fonts_input="true" color="rgb(184, 184, 184)" border_color="rgba(255, 255, 255, 0.32)" submit_bg_color="rgb(29, 29, 29)" submit_border_color="rgb(29, 29, 29)" submit_hbg_color="rgb(46, 46, 46)" submit_hover_border_color="rgb(46, 46, 46)" lqd_bg_color="rgba(255, 255, 255, 0.07)" fs="16px" h_color="rgb(255, 255, 255)"][ld_fancy_heading tag="h6" margin="bottom_small:2em"]— copy email: zack@hub.com[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Contact 9 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Contact 09', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'contact-9.jpg' );
	$data['sort_name'] = 'Contact, fancytext';
	$data['custom_class'] = 'general contact';
	$data['content'] = <<<CONTENT
	[vc_row full_height="yes" content_placement="middle" bg_position="center center" css=".vc_custom_1614937207357{background-image: url(https://gridportfolio.liquid-themes.com/staging/wp-content/uploads/2021/03/glow-figss.svg?id=4868) !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" css=".vc_custom_1614944108586{padding-top: 80px !important;padding-bottom: 35px !important;}" offset="vc_col-md-6" ca_duration="1800" ca_delay="180" ca_init_translate_y="60" responsive_align="text-left"][ld_particles as_bg="yes" color_type="multi_color" opacity="1" enable_onclick="yes" onclick_mode="bubble" modes_grab_opacity="1" retina_detect="yes" particle_id="lqd-1614867775326-30fedaf3-eca4" number="7" size="4" multi_color_values="%5B%7B%22scolor%22%3A%22%23ea48d5%22%7D%2C%7B%22scolor%22%3A%22%23bde89d%22%7D%2C%7B%22scolor%22%3A%22%23a2eff2%22%7D%2C%7B%22scolor%22%3A%22%23fd6059%22%7D%5D"][ld_fancy_heading use_custom_fonts_title="true" fs="text_large:72px|text_small:40px"]Have a cool ✌️ project in mind?[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" margin="bottom_large:2em|bottom_small:1em" fs="text_large:21px|text_small:18px" lh="text_small:1.5em" color="rgba(0, 0, 0, 0.66)"]Currently, I am not available for freelance work. But I always love to hear from you about interesting projects.[/ld_fancy_heading][vc_row_inner][vc_column_inner width="1/2"][ld_fancy_heading tag="p"]<span style="color: #000000;">Project Offers[ld_br]</span>info@hubcommerce.com[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/2"][ld_fancy_heading tag="p"]<span style="color: #000000;">Say Hello</span>[ld_br]Call me at +123 878 90 87[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/vc_column][vc_column enable_column_shadowbox="yes" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-offset-1 vc_col-md-5" css=".vc_custom_1614947596144{padding-top: 30px !important;padding-right: 20px !important;padding-bottom: 40px !important;padding-left: 20px !important;border-radius: 5px !important;}" column_box_shadow="%5B%7B%7D%5D" responsive_css="margin_top_medium:-65px|padding_bottom_medium:20px|padding_right_small:50px|padding_left_small:50px" ca_duration="1800" ca_start_delay="250" ca_delay="180" ca_init_translate_y="35" responsive_align="text-center text-md-left"][ld_icon_box i_type="linea" heading_size="custom" position="iconbox-inline" i_icon_linea="lqd-icn-ess icon-lqd-circle" title="Available for freelance" icon_size="28px" i_color="rgb(132, 245, 176)" custom_heading_size="14px"][/ld_icon_box][ld_button style="btn-solid" title="Say hello at `{`ld_span`}`contact.at.hub.com`{`/ld_span`}`" shape="circle" size="btn-lg" border="border-none" i_type="linea" i_shape="btn-icon-circle" i_shape_style="btn-icon-solid" i_shape_size="btn-icon-lg" enable_icon_shadowbox="yes" enable_row_shadowbox="yes" i_add_icon="true" hover_color="rgba(251, 252, 255, 0.5)" color="rgb(255, 255, 255)" text_color="rgb(20, 20, 20)" i_size="22px" fs="text_all:25px|text_large:16px|text_medium:15px|text_small:13px" lh="text_small:1.3em" fw="text_small:700" button_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2220px%22%2C%22blur_radius%22%3A%2250px%22%2C%22shadow_color%22%3A%22rgba(73%2C76%2C137%2C0.12)%22%7D%5D" hover_button_box_shadow="%5B%7B%7D%5D" ls="text_small:0.02em" icon_box_shadow="%5B%7B%22y_offset%22%3A%2213px%22%2C%22blur_radius%22%3A%2222px%22%2C%22shadow_color%22%3A%22rgba(10%2C10%2C10%2C0.17)%22%7D%5D" h_icon_box_shadow="%5B%7B%7D%5D" i_color="rgb(255, 255, 255)" i_fill_color="rgb(253, 96, 89)" i_icon_linea="lqd-icn-ess icon-lqd-pen" i_margin_left="70px" htext_color="rgb(0, 0, 0)" i_fill_hcolor="rgb(253, 96, 89)" i_hcolor="rgb(255, 255, 255)"][/vc_column][vc_column][ld_custom_menu source="custom" inline="inline-nav" use_custom_fonts_menu="true" items="%5B%7B%22label%22%3A%22Fb.%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Tw.%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22In.%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Li.%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%5D" fs="17px" color="rgb(0, 0, 0)" spacing="50"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Contact 10 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Contact 10', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'contact-10.jpg' );
	$data['sort_name'] = 'Contact, fancytext';
	$data['custom_class'] = 'general contact';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" css=".vc_custom_1608814107092{padding-top: 85px !important;padding-bottom: 85px !important;}"][vc_column offset="vc_col-md-offset-1 vc_col-md-5" css=".vc_custom_1608814797851{margin-bottom: 20px !important;}"][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" fs="text_small:12px" fw="text_small:700" color="rgb(16, 48, 98)" ls="text_small:0.1em" margin="bottom_small:1.25em"]Get in touch[/ld_fancy_heading][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:37px" fw="text_small:700" margin="bottom_small:0.3em"]Contact us[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(34, 36, 58)" fs="text_small:17px"]We are here to answer any question you may have.[/ld_fancy_heading][/vc_column][vc_column width="1/2" offset="vc_col-md-offset-1 vc_col-md-1/5" css=".vc_custom_1608814811249{margin-bottom: 20px !important;}"][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" fs="text_small:12px" fw="text_small:700" color="rgb(16, 48, 98)" ls="text_small:0.1em" margin="bottom_small:1em"]Careers[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(0, 0, 0)" fs="text_small:14px" lh="text_small:1.21em"]Would you like to join our growing team?[/ld_fancy_heading][ld_fancy_heading tag="h6" use_custom_fonts_title="true" fs="text_small:14px" fw="text_small:700" color="rgb(230, 108, 108)" margin="bottom_small:1.25em"]careers@hub.com[/ld_fancy_heading][/vc_column][vc_column width="1/2" offset="vc_col-md-2" css=".vc_custom_1608814818824{margin-bottom: 20px !important;}"][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" fs="text_small:12px" fw="text_small:700" color="rgb(16, 48, 98)" ls="text_small:0.1em" margin="bottom_small:1em"]Feedbacks[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(0, 0, 0)" fs="text_small:14px" lh="text_small:1.21em"]Have a project in mind? Send a message.[/ld_fancy_heading][ld_fancy_heading tag="h6" use_custom_fonts_title="true" fs="text_small:14px" fw="text_small:700" color="rgb(230, 108, 108)" margin="bottom_small:1.25em"]info@hub.com[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Contact 11 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Contact 11', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'contact-11.jpg' );
	$data['sort_name'] = 'Contact, fancytext';
	$data['custom_class'] = 'general contact';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" responsive_css="padding_top_medium:100px|padding_bottom_medium:100px|padding_top_small:80px|padding_bottom_small:80px" css=".vc_custom_1610102039754{padding-top: 30px !important;padding-bottom: 60px !important;}"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-lg-4 vc_col-md-5" ca_duration="1800" ca_delay="180" ca_init_translate_y="60" css=".vc_custom_1610187602697{padding-top: 35px !important;padding-bottom: 35px !important;}"][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" fs="text_small:13px" ls="text_small:0.1em" margin="bottom_small:1em"]Send a message[/ld_fancy_heading][ld_fancy_heading tag="h3" use_custom_fonts_title="true" padding="right_large:14%25" fs="text_medium:43px|text_small:34px" fw="text_small:500"]Contact Us[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" margin="bottom_small:1.85em" fs="text_small:17px" lh="text_small:1.7em" color="rgb(0, 0, 0)"]We’re here to here answer any question you may have.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" margin="bottom_small:1.35em" fs="text_small:15px" lh="text_small:1.6em" color="rgba(0, 0, 0, 0.6)"]290 Maryam Springs 260,[ld_br]<br />
Courbevoie, Paris[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" margin="bottom_small:1.35em" fs="text_small:15px" lh="text_small:1.6em" color="rgba(0, 0, 0, 0.6)"]Email: hello@liquid-themes.com[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" margin="bottom_small:1.35em" fs="text_small:15px" lh="text_small:1.6em" color="rgba(0, 0, 0, 0.6)"]Phone: +47 213 5941 295[/ld_fancy_heading][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-lg-offset-1 vc_col-md-7" css=".vc_custom_1611571066605{padding-top: 35px !important;padding-right: 15px !important;padding-bottom: 40px !important;padding-left: 15px !important;border-radius: 5px !important;}" responsive_css="padding_right_medium:50px|padding_bottom_medium:20px|padding_left_medium:50px|padding_right_small:20px|padding_left_small:20px" ca_duration="1800" ca_start_delay="250" ca_delay="180" ca_init_translate_y="35"][ld_cf7 id="4596" shape="lqd-contact-form-inputs-underlined" thickness="lqd-contact-form-inputs-border-thick" btn_size="lqd-contact-form-button-lg" btn_width="lqd-contact-form-button-block" btn_roundness="lqd-contact-form-button-round" use_custom_fonts_input="true" use_custom_fonts_submit="true" fs="14px" fw="400" submit_fs="16px" submit_fw="700" color="rgb(0, 0, 0)" css=".vc_custom_1610188452628{margin-bottom: 0px !important;}" submit_color="rgb(255, 255, 255)" bm="30px" submit_hbg_color="rgb(0, 0, 0)" submit_h_color="rgb(255, 255, 255)" submit_bg_color="rgb(10, 15, 30)" submit_border_color="rgb(10, 15, 30)" submit_hover_border_color="rgb(0, 0, 0)" border_color="rgb(208, 215, 222)" hover_border_color="rgb(0, 0, 0)" h_color="rgb(0, 0, 0)"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Contact 12 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Contact 12', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'contact-12.jpg' );
	$data['sort_name'] = 'Contact, fancytext';
	$data['custom_class'] = 'general contact';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" responsive_css="padding_top_medium:100px|padding_bottom_medium:100px|padding_top_small:80px|padding_bottom_small:80px" css=".vc_custom_1610102039754{padding-top: 30px !important;padding-bottom: 60px !important;}"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-lg-5 vc_col-md-6" ca_duration="1800" ca_delay="180" ca_init_translate_y="60" css=".vc_custom_1610102029367{padding-top: 35px !important;padding-bottom: 35px !important;}"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" padding="right_large:14%25" fs="text_small:34px"]Get in touch[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:1.85em"]We are here to answer any question you may have.<br />
Feel free to reach via contact form.[/ld_fancy_heading][ld_icon_box i_type="fontawesome" heading_size="custom" heading_weight="font-weight-normal" position="iconbox-inline" i_icon_fontawesome="fas fa-map-marker-alt" title="290 Maryam Springs 260,<br />
Courbevoie, Paris" custom_heading_size="15px" icon_size="18px" i_color="rgb(204, 204, 204)" h_color="rgba(0, 0, 0, 0.6)" title_mb="0" css=".vc_custom_1610101703176{margin-bottom: 20px !important;}"][/ld_icon_box][ld_icon_box i_type="fontawesome" heading_size="custom" heading_weight="font-weight-normal" position="iconbox-inline" i_icon_fontawesome="fas fa-envelope" title="Email: hello@liquid-themes.com" custom_heading_size="15px" icon_size="18px" i_color="rgb(204, 204, 204)" h_color="rgba(0, 0, 0, 0.6)" css=".vc_custom_1610204401204{margin-bottom: 20px !important;margin-left: -4px !important;}"][/ld_icon_box][ld_icon_box i_type="fontawesome" heading_size="custom" heading_weight="font-weight-normal" position="iconbox-inline" i_icon_fontawesome="fas fa-mobile" title="Phone: +47 213 5941 295" custom_heading_size="15px" icon_size="18px" i_color="rgb(204, 204, 204)" h_color="rgba(0, 0, 0, 0.6)" css=".vc_custom_1610101731372{margin-bottom: 20px !important;}"][/ld_icon_box][/vc_column][vc_column enable_column_shadowbox="yes" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-6" css=".vc_custom_1610101463920{padding-top: 35px !important;padding-right: 50px !important;padding-bottom: 40px !important;padding-left: 50px !important;background-color: #ffffff !important;border-radius: 5px !important;}" column_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2210px%22%2C%22blur_radius%22%3A%2260px%22%2C%22shadow_color%22%3A%22rgba(0%2C%200%2C%200%2C%200.07)%22%7D%5D" responsive_css="margin_left_large:50px|padding_bottom_medium:20px" ca_duration="1800" ca_start_delay="250" ca_delay="180" ca_init_translate_y="35"][ld_fancy_heading tag="h6" use_custom_fonts_title="true" margin="bottom_small:1.1em" fs="text_small:20px"]Send a message[/ld_fancy_heading][ld_cf7 id="298" shape="lqd-contact-form-inputs-filled" btn_size="lqd-contact-form-button-lg" btn_width="lqd-contact-form-button-block" btn_roundness="lqd-contact-form-button-round" use_custom_fonts_input="true" use_custom_fonts_submit="true" fs="14px" fw="400" submit_fs="16px" submit_fw="700" lqd_bg_color="rgb(247, 248, 248)" color="rgb(59, 75, 83)" css=".vc_custom_1610101489375{margin-bottom: 0px !important;}" submit_color="rgb(255, 255, 255)" bm="20px" submit_hbg_color="rgb(24, 67, 65)" submit_h_color="rgb(255, 255, 255)" submit_bg_color="rgb(40, 175, 96)" submit_border_color="rgb(40, 175, 96)" submit_hover_border_color="rgb(24, 67, 65)"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Contact 13 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Contact 13', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'contact-13.jpg' );
	$data['sort_name'] = 'Contact, fancytext';
	$data['custom_class'] = 'general contact';
	$data['content'] = <<<CONTENT
	[vc_row full_height="yes" content_placement="middle" bg_position="center bottom" css=".vc_custom_1611756368112{padding-top: 120px !important;padding-bottom: 80px !important;background-image: url(https://classicsaaspro.liquid-themes.com/wp-content/uploads/2020/12/bg.svg?id=239) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" responsive_css="padding_top_medium:80px"][vc_column offset="vc_col-lg-5 vc_col-md-6"][ld_fancy_heading use_custom_fonts_title="true" fs="text_medium:60px" fw="text_small:700" margin="bottom_small:0.1em"]Contact us[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(34, 36, 58)" fs="text_small:17px"]We are here to answer any question you may have.[/ld_fancy_heading][vc_row_inner css=".vc_custom_1608560196551{padding-top: 45px !important;}"][vc_column_inner width="1/2"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(0, 0, 0)" fs="text_small:14px" lh="text_small:1.2em" margin="bottom_small:1em"]We’re interested in[ld_br]working together[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(0, 107, 255)" fs="text_small:14px" lh="text_small:1.2em" fw="text_small:700"]+1 827 48 89[/ld_fancy_heading][ld_spacer][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(0, 0, 0)" fs="text_small:14px" lh="text_small:1.2em" margin="bottom_small:1em"]Visit our headquarters[ld_br]around the world.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(0, 107, 255)" fs="text_small:14px" lh="text_small:1.2em" fw="text_small:700"]290 Maryam Springs 260, Courbevoie, Paris[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/2"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(0, 0, 0)" fs="text_small:14px" lh="text_small:1.2em" margin="bottom_small:1em"]Have a project in mind?[ld_br]Send a message.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(0, 107, 255)" fs="text_small:14px" lh="text_small:1.2em" fw="text_small:700"]info@hub.com[/ld_fancy_heading][ld_spacer][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(0, 0, 0)" fs="text_small:14px" lh="text_small:1.2em" margin="bottom_small:1em"]Would you like to join[ld_br]our growing team?[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(0, 107, 255)" fs="text_small:14px" lh="text_small:1.2em" fw="text_small:700"]careers@hub.com[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/vc_column][vc_column enable_column_shadowbox="yes" offset="vc_col-md-offset-1 vc_col-md-6" responsive_css="padding_right_small:45px|padding_left_small:45px" css=".vc_custom_1608560451329{padding-top: 35px !important;padding-right: 20px !important;padding-bottom: 40px !important;padding-left: 20px !important;background-color: #ffffff !important;border-radius: 5px !important;}" column_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2220px%22%2C%22blur_radius%22%3A%2290px%22%2C%22shadow_color%22%3A%22rgba(30%2C%2089%2C%20157%2C%200.1)%22%7D%5D"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:20px" margin="bottom_small:1.25em"]Send a message[/ld_fancy_heading][ld_cf7 id="240" btn_width="lqd-contact-form-button-block" use_custom_fonts_input="true" use_custom_fonts_submit="true" fs="13px" submit_fs="16px" color="rgb(90, 102, 126)" h_color="rgb(0, 0, 0)" border_color="rgba(123, 131, 142, 0.16)" hover_border_color="rgb(90, 102, 126)" bm="18px" css=".vc_custom_1608558737857{margin-bottom: 0px !important;}"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Contact 14 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Contact 14', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'contact-14.jpg' );
	$data['sort_name'] = 'Contact, fancytext';
	$data['custom_class'] = 'general contact';
	$data['content'] = <<<CONTENT
	[vc_row responsive_css="padding_top_medium:100px"][vc_column][ld_images_group_element parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" absolute_pos="yes" image="77" position="top_small:-40px|left_small:-7%25" translate_from_y="25" translate_to_y="-80"][/ld_images_group_element][/vc_column][vc_column parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" enable_column_shadowbox="yes" css=".vc_custom_1599657780294{padding-top: 65px !important;padding-right: 15px !important;padding-bottom: 50px !important;padding-left: 15px !important;background-color: #ffffff !important;}" custom_border_radius="0 0 15px 15px" column_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2210px%22%2C%22blur_radius%22%3A%2230px%22%2C%22shadow_color%22%3A%22rgba(0%2C%200%2C%200%2C%200.05)%22%7D%5D" responsive_css="padding_right_medium:65px|padding_left_medium:65px|padding_right_small:30px|padding_left_small:30px" el_class="z-index-2 pull-down-column" translate_from_y="-90" translate_to_y="35"][ld_fancy_heading tag="h4" split_type="words" duration="1000" delay="120" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" fs="text_small:36px" ca_init_translate_y="70"]Ready to get started with us?[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(51, 51, 51)" fs="18px" margin="bottom_small:3em"]Get the right service, determine what you need contact us for the most suitable services.[/ld_fancy_heading][ld_cf7 id="75" shape="lqd-contact-form-inputs-filled" size="lqd-contact-form-inputs-md" roundness="lqd-contact-form-inputs-round" btn_size="lqd-contact-form-button-lg" btn_roundness="lqd-contact-form-button-circle" use_custom_fonts_input="true" fs="18px" css=".vc_custom_1599654723861{margin-bottom: 0px !important;}" color="rgb(170, 170, 170)" h_color="rgb(0, 0, 0)" lqd_bg_color="rgb(246, 246, 246)"][/vc_column][vc_column el_class="pull-down-column"][ld_images_group_element parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" absolute_pos="yes" image="77" position="right_small:-55px|bottom_small:-25px" translate_from_y="90" translate_to_y="-50"][/ld_images_group_element][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Contact 15 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Contact 15', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'contact-15.jpg' );
	$data['sort_name'] = 'Contact, fancytext';
	$data['custom_class'] = 'general contact fancytext';
	$data['content'] = <<<CONTENT
CONTENT;
	$templates[] = $data;

	//Contact 16 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Contact 16', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'contact-16.jpg' );
	$data['sort_name'] = 'Contact, fancytext';
	$data['custom_class'] = 'general contact';
	$data['content'] = <<<CONTENT
	[vc_row enable_gradient="yes" enable_row_dividers="yes" css=".vc_custom_1605609631170{padding-top: 90px !important;padding-bottom: 120px !important;}" gradient_bg="linear-gradient(90deg, rgb(155, 82, 255) 0%, #130cb5 100%)" row_svg_divider="top_shape_type:8|top_shape_color:%23ffffff|top_shape_height:100|bottom_shape_type:12|bottom_shape_color:%23ffffff|bottom_shape_height:150" responsive_css="padding_top_medium:120px|padding_bottom_medium:170px"][vc_column offset="vc_col-md-6"][ld_images_group_container][ld_images_group_element image="5078"][/ld_images_group_element][/ld_images_group_container][/vc_column][vc_column offset="vc_col-md-6"][ld_fancy_heading tag="h2" enable_txt_rotator="yes" items="%5B%7B%22word%22%3A%22hello%22%7D%2C%7B%22word%22%3A%22Zdravo%22%7D%2C%7B%22word%22%3A%22Bonjour%22%7D%2C%7B%22word%22%3A%22Priv%C3%A9t%22%7D%5D" use_custom_fonts_title="true" color="rgb(255, 255, 255)" margin="bottom_small:0.35em" fs="text_large:43px|text_small:38px"]👋 Say[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="18px"]We are here to answer any question you may have.[/ld_fancy_heading][ld_cf7 id="49" shape="lqd-contact-form-inputs-underlined" thickness="lqd-contact-form-inputs-border-thick" btn_roundness="lqd-contact-form-button-circle" use_custom_fonts_input="true" use_custom_fonts_submit="true" fs="14px" submit_fs="12px" submit_ls="0.09em" color="rgb(255, 255, 255)" border_color="rgba(255, 255, 255, 0.3)" hover_border_color="rgb(255, 255, 255)" css=".vc_custom_1607333483904{margin-top: 30px !important;}"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Contact 17 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Contact 17', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'contact-17.jpg' );
	$data['sort_name'] = 'Contact, fancytext';
	$data['custom_class'] = 'general contact';
	$data['content'] = <<<CONTENT
	<p>[vc_row full_width="stretch_row" gap="0" css=".vc_custom_1614778244718{padding-top: 60px !important;}"][vc_column][ld_google_map style="unsaturatedBrowns" map_marker="html_marker" si_style="" si_size="" si_border="" zoom="14" address="Palo Alto" map_height="690px"][/vc_column][/vc_row][vc_row][vc_column enable_column_shadowbox="yes" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" column_top_onmobile="yes" responsive_css="margin_top_medium:-550px|padding_right_small:45px|padding_left_small:45px" css=".vc_custom_1606394900060{margin-top: 35px !important;padding-top: 45px !important;padding-right: 30px !important;padding-bottom: 45px !important;padding-left: 30px !important;background-color: #ffffff !important;border-radius: 10px !important;}" offset="vc_col-lg-offset-7 vc_col-lg-5 vc_col-md-offset-6 vc_col-md-6" column_box_shadow="%5B%7B%22x_offset%22%3A%2220px%22%2C%22y_offset%22%3A%2240px%22%2C%22blur_radius%22%3A%2260px%22%2C%22shadow_color%22%3A%22rgba(0%2C%200%2C%200%2C%200.1)%22%7D%5D" ca_duration="1800" ca_delay="160" ca_init_translate_y="35"][ld_fancy_heading tag="h3" margin="bottom_small:1.5em"]Contact us[/ld_fancy_heading][vc_row_inner][vc_column_inner offset="vc_col-md-10"][ld_icon_box i_type="fontawesome" heading_size="custom" heading_weight="font-weight-normal" position="iconbox-side" alignment="text-left" i_icon_fontawesome="fa fa-map-marker" title="290 Maryam Springs 260, Courbevoie, Paris, France" custom_heading_size="16px" i_color="rgba(0, 0, 0, 0.6)" h_color="rgba(0, 0, 0, 0.6)" icon_size="20px" css=".vc_custom_1573556959571{margin-bottom: 15px !important;}"][/ld_icon_box][ld_icon_box i_type="fontawesome" heading_size="custom" heading_weight="font-weight-normal" position="iconbox-side" alignment="text-left" i_icon_fontawesome="fa fa-envelope" title="Email: hello@liquid-themes.com" custom_heading_size="16px" i_color="rgba(0, 0, 0, 0.6)" h_color="rgba(0, 0, 0, 0.6)" icon_size="18px" css=".vc_custom_1573557026365{margin-bottom: 15px !important;}"][/ld_icon_box][ld_icon_box i_type="fontawesome" heading_size="custom" heading_weight="font-weight-normal" position="iconbox-side" alignment="text-left" i_icon_fontawesome="fa fa-phone" title="Phone: +47 213 5941 295" custom_heading_size="16px" i_color="rgba(0, 0, 0, 0.6)" h_color="rgba(0, 0, 0, 0.6)" icon_size="18px" css=".vc_custom_1573557037992{margin-bottom: 20px !important;}"][/ld_icon_box][/vc_column_inner][/vc_row_inner][ld_button style="btn-solid" title="Visit on Google Maps" shape="circle" size="btn-lg" border="border-none" width="btn-block" color="rgba(0, 0, 0, 0.04)" fs="15px" lh="1.25em" text_color="rgb(0, 0, 0)" hover_color="rgb(0, 0, 0)" htext_color="rgb(255, 255, 255)"][/vc_column][/vc_row]</p>

CONTENT;
	$templates[] = $data;

	//Contact 18 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Contact 18', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'contact-18.jpg' );
	$data['sort_name'] = 'Contact, fancytext';
	$data['custom_class'] = 'general contact';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" gap="0" css=".vc_custom_1614778244718{padding-top: 60px !important;}"][vc_column][ld_google_map style="unsaturatedBrowns" map_marker="html_marker" si_style="" si_size="" si_shape="" si_border="" si_orientation="" zoom="14" address="Palo Alto" map_height="690px" si_identities="" si_font_size="" si_custom_size="" si_hover_color="" si_bg_color="" si_hbg_color="" si_border_color="" si_hborder_color=""][/vc_column][/vc_row][vc_row][vc_column enable_column_shadowbox="yes" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" column_top_onmobile="yes" responsive_css="margin_top_medium:-550px|padding_right_small:45px|padding_left_small:45px" css=".vc_custom_1606394900060{margin-top: 35px !important;padding-top: 45px !important;padding-right: 30px !important;padding-bottom: 45px !important;padding-left: 30px !important;background-color: #ffffff !important;border-radius: 10px !important;}" offset="vc_col-lg-offset-7 vc_col-lg-5 vc_col-md-offset-6 vc_col-md-6" column_box_shadow="%5B%7B%22x_offset%22%3A%2220px%22%2C%22y_offset%22%3A%2240px%22%2C%22blur_radius%22%3A%2260px%22%2C%22shadow_color%22%3A%22rgba(0%2C%200%2C%200%2C%200.1)%22%7D%5D" ca_duration="1800" ca_delay="160" ca_init_translate_y="35"][ld_fancy_heading tag="h3" margin="bottom_small:1.5em"]Contact us[/ld_fancy_heading][vc_row_inner][vc_column_inner offset="vc_col-md-10"][ld_icon_box i_type="fontawesome" heading_size="custom" heading_weight="font-weight-normal" position="iconbox-side" alignment="text-left" i_icon_fontawesome="fa fa-map-marker" title="290 Maryam Springs 260, Courbevoie, Paris, France" custom_heading_size="16px" i_color="rgba(0, 0, 0, 0.6)" h_color="rgba(0, 0, 0, 0.6)" icon_size="20px" css=".vc_custom_1573556959571{margin-bottom: 15px !important;}"][/ld_icon_box][ld_icon_box i_type="fontawesome" heading_size="custom" heading_weight="font-weight-normal" position="iconbox-side" alignment="text-left" i_icon_fontawesome="fa fa-envelope" title="Email: hello@liquid-themes.com" custom_heading_size="16px" i_color="rgba(0, 0, 0, 0.6)" h_color="rgba(0, 0, 0, 0.6)" icon_size="18px" css=".vc_custom_1573557026365{margin-bottom: 15px !important;}"][/ld_icon_box][ld_icon_box i_type="fontawesome" heading_size="custom" heading_weight="font-weight-normal" position="iconbox-side" alignment="text-left" i_icon_fontawesome="fa fa-phone" title="Phone: +47 213 5941 295" custom_heading_size="16px" i_color="rgba(0, 0, 0, 0.6)" h_color="rgba(0, 0, 0, 0.6)" icon_size="18px" css=".vc_custom_1573557037992{margin-bottom: 20px !important;}"][/ld_icon_box][/vc_column_inner][/vc_row_inner][ld_button style="btn-solid" title="Visit on Google Maps" shape="circle" size="btn-lg" border="border-none" width="btn-block" color="rgba(0, 0, 0, 0.04)" fs="15px" lh="1.25em" text_color="rgb(0, 0, 0)" hover_color="rgb(0, 0, 0)" htext_color="rgb(255, 255, 255)"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Contact 19 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Contact 19', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'contact-19.jpg' );
	$data['sort_name'] = 'Contact, fancytext';
	$data['custom_class'] = 'general contact';
	$data['content'] = <<<CONTENT
	[vc_row enable_content_animation="yes" ca_init_scale_x="0.75" ca_init_scale_y="0.75" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" css=".vc_custom_1573557054725{padding-bottom: 60px !important;}" ca_duration="1800" ca_start_delay="350" ca_delay="180" ca_init_translate_y="80" ca_init_rotate_x="-10"][vc_column enable_column_shadowbox="yes" css=".vc_custom_1573555788144{padding-top: 55px !important;padding-right: 30px !important;padding-bottom: 45px !important;padding-left: 30px !important;background-color: #ffffff !important;border-radius: 10px !important;}" column_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2240px%22%2C%22blur_radius%22%3A%2280px%22%2C%22shadow_color%22%3A%22rgba(83%2C%2094%2C%20132%2C%200.15)%22%7D%5D" responsive_css="padding_right_medium:50px|padding_left_medium:50px" offset="vc_col-md-offset-1 vc_col-md-10"][ld_particles as_bg="yes" shape_type="circle,image" opacity="1" enable_move="yes" move_direction="right" enable_random_move="yes" modes_grab_opacity="1" particle_id="lqd-1573554048121-31dc6376-0c5b" number="6" color="#f7fbfc" image="4202" image_width="110" image_height="67" move_speed="2"][ld_particles as_bg="yes" color_type="multi_color" opacity="1" enable_move="yes" move_direction="right" enable_random_move="yes" modes_grab_opacity="1" particle_id="lqd-1573554253946-fc704951-b3d8" number="4" multi_color_values="%5B%7B%22scolor%22%3A%22%23fdc14c%22%7D%2C%7B%22scolor%22%3A%22%23fda44c%22%7D%2C%7B%22scolor%22%3A%22%230fbbb4%22%7D%2C%7B%22scolor%22%3A%22%234cfd89%22%7D%5D" size="4" move_speed="1.25"][vc_row_inner content_placement="middle"][vc_column_inner width="1/2"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_small:30px"]Send a message[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/2" responsive_align="text-sm-right"][vc_column_text css=".vc_custom_1573555271440{margin-bottom: 0.5em !important;}"]<span style="font-size: 12px; color: rgba(0,0,0,0.75);">or Call for Consultation</span><br />
<strong><span style="color: var(--color-primary); font-size: 15px;"><i class="fa fa-phone"></i>+ 1 223 38 87</span></strong>[/vc_column_text][/vc_column_inner][vc_column_inner css=".vc_custom_1573555750233{margin-top: 15px !important;}"][ld_cf7 id="4954" shape="lqd-contact-form-inputs-underlined" btn_roundness="lqd-contact-form-button-circle" color="rgb(54, 54, 59)"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Contact 20 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Contact 20', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'contact-20.jpg' );
	$data['sort_name'] = 'Contact';
	$data['custom_class'] = 'general contact';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" gap="0" full_height="yes" equal_height="yes" content_placement="middle" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" bg_position="center center" bg_attachment="fixed" css=".vc_custom_1614940948061{background-position: 0 0 !important;background-repeat: no-repeat !important;}" ca_duration="1800" ca_delay="180" ca_init_translate_y="70"][vc_column width="1/2" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" responsive_css="padding_top_medium:150px|padding_right_medium:7vw|padding_bottom_medium:150px|padding_left_medium:8vw|padding_left_small:30px" css=".vc_custom_1614940706329{padding-top: 70px !important;padding-right: 15px !important;padding-bottom: 70px !important;padding-left: 15px !important;}" ca_duration="1600" ca_delay="100" ca_init_translate_y="55" ca_init_rotate_z="5"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:13px" margin="bottom_large:15px|bottom_small:30px"]<i class="lqd-icn-ess icon-lqd-circle mr-2" style="color: #00cc76; font-size: 18px; vertical-align: text-top;"></i>Available for freelance[/ld_fancy_heading][ld_fancy_heading split_type="words" duration="1600" delay="80" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" fs="text_large:6vw" lh="text_small:1em" ca_init_rotate_x="0" ca_init_rotate_y="0" ca_init_rotate_z="0" color="rgba(255, 255, 255, 0.11)" margin="bottom_small:0px"]Let's talk.[/ld_fancy_heading][ld_fancy_heading split_type="words" duration="1600" delay="80" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" fs="text_large:60px|text_medium:40px|text_small:30px" lh="text_small:1.2em" ca_init_rotate_x="0" ca_init_rotate_y="0" ca_init_rotate_z="0" margin="bottom_small:0.15em"]info@zack.com[/ld_fancy_heading][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" fs="text_large:21px|text_small:16px" lh="text_small:1.5em" margin="right_large:5%25|bottom_small:1.5em"]Currently, I am not available for freelance work. But I always love to hear from you about interesting projects.[/ld_fancy_heading][ld_spacer height="30px" md_height="50px"][ld_fancy_heading tag="h3" margin="bottom_small:1em"]Say Hello[/ld_fancy_heading][vc_row_inner responsive_css="margin_left_small:0.1em"][vc_column_inner width="1/2"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_large:18px|text_small:15px" lh="text_small:1.45em" margin="left_large:10px|bottom_small:1.75em"]290 Maryam Springs
Courbevoie, NYC [ld_br]
+1 827 48 89[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/2"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_large:18px|text_small:15px" lh="text_small:1.45em" margin="left_large:10px|bottom_small:1.75em"]290 Maryam Springs
Courbevoie, NYC [ld_br]
+1 827 48 89[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][ld_social_icons style="" identities="%5B%7B%22network%22%3A%22fa-facebook-square%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-twitter%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-instagram%22%2C%22url%22%3A%22%23%22%7D%5D" font_size="28px"][/vc_column][vc_column row_scale_bg_onhover="yes" enable_pin="enable_pin" pin_offset="-80px" width="1/2" column_top_ontablet="yes" column_top_onmobile="yes" bg_position="center top" css=".vc_custom_1614943889033{padding-top: 25vh !important;padding-bottom: 25vh !important;background-image: url(https://split.liquid-themes.com/staging/wp-content/uploads/2021/01/bg@2x.jpg?id=4793) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" responsive_css="padding_top_small:50vh|padding_bottom_small:50vh"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Contact 21 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Contact 21', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'contact-21.jpg' );
	$data['sort_name'] = 'Contact, fancytext';
	$data['custom_class'] = 'general contact';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" gap="0" enable_row_dividers="yes" row_svg_divider="top_shape_type:7|top_shape_color:%23ffffff|top_shape_height:149"][vc_column][ld_google_map style="blueEssence" map_marker="html_marker" si_style="" si_size="" si_border="" zoom="17" map_controls="fullscreenControl" address="Gateway Battery Park City Apartment" map_height="650px"][/vc_column][/vc_row][vc_row][vc_column enable_column_shadowbox="yes" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" column_top_onmobile="yes" responsive_css="margin_top_medium:-520px|padding_right_small:45px|padding_left_small:45px" css=".vc_custom_1610103240445{margin-top: 35px !important;padding-top: 45px !important;padding-right: 30px !important;padding-bottom: 45px !important;padding-left: 30px !important;background-color: #ffffff !important;border-radius: 10px !important;}" offset="vc_col-lg-4 vc_col-md-6" column_box_shadow="%5B%7B%22x_offset%22%3A%2220px%22%2C%22y_offset%22%3A%2240px%22%2C%22blur_radius%22%3A%2260px%22%2C%22shadow_color%22%3A%22rgba(0%2C%200%2C%200%2C%200.1)%22%7D%5D" ca_duration="1800" ca_delay="160" ca_init_translate_y="35"][ld_fancy_heading tag="h5" margin="bottom_small:0.75em"]Find us[/ld_fancy_heading][vc_row_inner][vc_column_inner offset="vc_col-md-10"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:15px" margin="bottom_small:1.25em"]290 Maryam Springs 260, Courbevoie, Paris, France[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:15px" margin="bottom_small:1.25em"]Email: hello@liquid-themes.com[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:15px" margin="bottom_small:1.25em"]Phone: +47 213 5941 295[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][ld_fancy_heading tag="h5" margin="bottom_small:0.75em"]Business Hours[/ld_fancy_heading][vc_row_inner][vc_column_inner offset="vc_col-md-10"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:15px" margin="bottom_small:0px"]Mon - Fri: 8am - 9pm[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:15px" margin="bottom_small:0px"]Sat - Sun: Closed[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Contact 22 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Contact 22', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'contact-22.jpg' );
	$data['sort_name'] = 'Contact, fancytext';
	$data['custom_class'] = 'general contact';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="bottom" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" bg_position="center bottom" css=".vc_custom_1608106142494{padding-top: 120px !important;padding-bottom: 15px !important;background-image: url(https://adaptivecolorspro.liquid-themes.com/wp-content/uploads/2020/12/bg-11@2x.jpg?id=209) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" ca_duration="1600" ca_delay="180" ca_init_translate_x="0" ca_init_translate_y="60" responsive_css="padding_top_medium:140px"][vc_column width="3/4" offset="vc_col-md-8"][ld_fancy_heading split_type="chars, words" duration="1600" delay="80" easing="bounce.inOut" direction="random" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_y="100%" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_origin_y="100%" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" enable_randomize="true" color="rgb(224, 59, 55)" fs="text_large:270px|text_medium:210px|text_small:32vw" lh="text_small:0.73em" ca_init_rotate_x="0" ca_init_rotate_y="0" ca_init_rotate_z="0" margin="bottom_large:0px|bottom_small:0.25em" ca_init_translate_y="0"]Con-tact[/ld_fancy_heading][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_x="0%" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" ca_duration="1600" ca_delay="120" ca_init_translate_y="30" ca_init_rotate_z="5" ca_start_delay="650" offset="vc_col-md-4"][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(229, 67, 63)" fs="text_small:15px" lh="text_small:1.33em" margin="left_large:-22%25|bottom_small:1.25em"]Currently, I am not available for freelance work. But I always love to hear from you about interesting projects.[/ld_fancy_heading][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(229, 67, 63)" fs="text_small:15px" lh="text_small:1.33em" margin="left_large:-22%25|bottom_small:0px"]Reach me at info@alix.com[/ld_fancy_heading][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(229, 67, 63)" fs="text_small:15px" lh="text_small:1.33em" margin="left_large:-22%25|bottom_small:0px"]Call me at +123 878 90 87[/ld_fancy_heading][/vc_column][/vc_row][vc_row css=".vc_custom_1608106138247{padding-top: 45px !important;padding-bottom: 60px !important;}"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-offset-1 vc_col-md-10" ca_duration="1800" ca_start_delay="1100" ca_delay="180" ca_init_translate_y="60"][ld_cf7 id="218" shape="lqd-contact-form-inputs-underlined" size="lqd-contact-form-inputs-md" thickness="lqd-contact-form-inputs-border-thick" btn_size="lqd-contact-form-button-lg" btn_width="lqd-contact-form-button-block" use_custom_fonts_input="true" use_custom_fonts_submit="true" fs="16px" submit_fs="17px" color="rgb(164, 25, 61)" h_color="rgb(0, 0, 0)" border_color="rgb(164, 25, 61)" submit_bg_color="rgb(255, 255, 255)" submit_color="rgb(164, 25, 61)" submit_border_color="rgb(255, 255, 255)" submit_hbg_color="rgb(164, 25, 61)" submit_h_color="rgb(255, 255, 255)" submit_hover_border_color="rgb(164, 25, 61)" hover_border_color="rgb(0, 0, 0)" bm="45px"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Category Countdown
	//Countdown 1
	$data = array();
	$data['name'] = esc_html__( 'Countdown 01', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'countdown-1.jpg' );
	$data['sort_name'] = 'Countdown';
	$data['custom_class'] = 'general countdown';
	$data['content'] = <<<CONTENT
	[vc_row equal_height="yes" content_placement="top" css=".vc_custom_1579173155241{padding-top: 50px !important;padding-bottom: 70px !important;}"][vc_column align="text-center" offset="vc_col-md-5" responsive_align="text-center text-md-left"][ld_fancy_heading tag="h2" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" enable_split="true" use_mask="true"]Next Event In:[/ld_fancy_heading][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" fs="18px"]Jan 3, 2020 in Cambridge, London[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-7" responsive_align="text-md-right"][ld_countdown month="5" day="18" year="2021" use_custom_typography="true" fs="48px" lh="1.65em" primary_color="rgb(149, 149, 149)" digits_color="rgb(255, 255, 255)" sep_color="rgba(255, 255, 255, 0)" ls="0"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Category Counters
	//Counters 1
	$data = array();
	$data['name'] = esc_html__( 'Counters 01', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'counters-1.jpg' );
	$data['sort_name'] = 'Counters, Icon';
	$data['custom_class'] = 'general counters';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" bg_position="center bottom" css=".vc_custom_1602651674721{padding-bottom: 70px !important;background-image: url(https://digitalstudiopro.liquid-themes.com/wp-content/uploads/2020/05/BG.svg?id=4390) !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}" responsive_css="padding_top_medium:70px|padding_bottom_medium:70px"][vc_column align="text-center" offset="vc_col-lg-offset-2 vc_col-lg-8" css=".vc_custom_1588593855688{margin-bottom: 30px !important;}" responsive_align="text-center"][ld_fancy_heading tag="h6" margin="bottom_small:1.5em"]Selected Projects[/ld_fancy_heading][ld_fancy_heading tag="h2"]Digital Case Studies[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:19px" lh="text_small:1.5em" margin="bottom_small:2em" padding="right_all:22%25|left_all:22%25"]Passionate about solving problems through creative communications.[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-5"][ld_images_group_container][ld_images_group_element img_size="50%" enable_image_shadow="yes" shadow_style="1" enable_roudness="yes" image_roudness="6" enable_shadow="yes" image="4392"][/ld_images_group_element][ld_images_group_element absolute_pos="yes" image="4394" position="top_small:28%25|left_small:-30px"][/ld_images_group_element][ld_images_group_element img_size="50%" enable_image_shadow="yes" shadow_style="2" enable_roudness="yes" image_roudness="6" enable_shadow="yes" image="4391" margin="top_small:-15%25|left_small:35%25" shadow_delay="75"][/ld_images_group_element][ld_images_group_element img_size="50%" enable_image_shadow="yes" shadow_style="4" enable_roudness="yes" image_roudness="6" enable_shadow="yes" image="4393" margin="top_small:-13%25|left_small:10%25" shadow_delay="150"][/ld_images_group_element][/ld_images_group_container][/vc_column][vc_column offset="vc_col-md-7"][vc_row_inner equal_height="yes" gap="0" enable_row_shadowbox="yes" css=".vc_custom_1588593784234{background-color: #ffffff !important;border-radius: 10px !important;}" row_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2210px%22%2C%22blur_radius%22%3A%2230px%22%2C%22shadow_color%22%3A%22rgba(0%2C0%2C0%2C0.06)%22%7D%5D" responsive_css="margin_right_medium:-5%25"][vc_column_inner width="1/3" css=".vc_custom_1602651393431{border-right-width: 1px !important;padding-top: 15px !important;padding-right: 30px !important;padding-left: 30px !important;border-right-color: #eaeaea !important;border-right-style: solid !important;}" responsive_css="border_right_medium:1px|padding_top_medium:15px|padding_right_medium:30px|padding_bottom_medium:65px|padding_left_medium:30px"][ld_counter tag_to_inherite="h2" tag_to_inherite_label="h2" use_custom_fonts_title="true" use_inheritance="true" use_inheritance_label="true" use_custom_fonts_text="true" counter_mb_checkbox="true" enable_blur="true" count="10+" fs="44px" color="rgb(110, 0, 150)" label="Years of Operation" counter_mb="1" text_fs="14px" label_color="rgb(0, 0, 0)"][ld_spacer height="" sm_height="10px" md_height="25px" lg_height="25px"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px" lh="text_small:1.6em"]Our team have been running well about 10 years and keep going.[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/3" css=".vc_custom_1602651585542{border-right-width: 1px !important;padding-top: 15px !important;padding-right: 30px !important;padding-left: 30px !important;border-right-color: #eaeaea !important;border-right-style: solid !important;}" responsive_css="border_right_medium:1px|padding_top_medium:15px|padding_right_medium:30px|padding_left_medium:30px"][ld_counter tag_to_inherite="h2" tag_to_inherite_label="h2" use_custom_fonts_title="true" use_inheritance="true" use_inheritance_label="true" use_custom_fonts_text="true" counter_mb_checkbox="true" enable_blur="true" count="98%" fs="44px" color="rgb(110, 0, 150)" label="Positive Feedback" counter_mb="1" text_fs="14px" label_color="rgb(0, 0, 0)" start_delay="250"][ld_spacer height="" sm_height="10px" md_height="25px" lg_height="25px"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px" lh="text_small:1.6em"]Based on our happy clients about the quality of our services.[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/3" css=".vc_custom_1588593663575{border-right-width: 1px !important;padding-top: 15px !important;padding-right: 30px !important;padding-bottom: 65px !important;padding-left: 30px !important;border-right-color: #eaeaea !important;border-right-style: solid !important;}"][ld_counter tag_to_inherite="h2" tag_to_inherite_label="h2" use_custom_fonts_title="true" use_inheritance="true" use_inheritance_label="true" use_custom_fonts_text="true" counter_mb_checkbox="true" enable_blur="true" count="2,664" fs="44px" color="rgb(110, 0, 150)" label="Projects Copmpleted" counter_mb="1" text_fs="14px" label_color="rgb(0, 0, 0)" start_delay="500"][ld_spacer height="25px"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px" lh="text_small:1.6em"]All projects competeled with an absolutely high quality.[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Counters 2
	$data = array();
	$data['name'] = esc_html__( 'Counters 02', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'counters-2.jpg' );
	$data['sort_name'] = 'Counters, Icon';
	$data['custom_class'] = 'general counters';
	$data['content'] = <<<CONTENT
	[vc_row responsive_css="padding_right_medium:7vw|padding_left_medium:7vw" css=".vc_custom_1609935763251{padding-bottom: 30px !important;}"][vc_column width="1/3" responsive_css="padding_right_large:7%25"][ld_counter template="`{`object Object`}`" use_custom_fonts_title="true" use_custom_fonts_text="true" count="10+" label="Years of experience. Urban design draws together the many strands of place-making," fs="100px" text_fs="16px" text_lh="1.56em" color="rgb(0, 0, 0)" fw="600" label_color="rgb(72, 72, 72)"][/vc_column][vc_column width="1/3" responsive_css="padding_right_large:7%25"][ld_counter template="`{`object Object`}`" use_custom_fonts_title="true" use_custom_fonts_text="true" count="40%" label="Average. Urban design draws together the many strands of place-making, environmental" fs="100px" text_fs="16px" text_lh="1.56em" color="rgb(0, 0, 0)" fw="600" label_color="rgb(72, 72, 72)"][/vc_column][vc_column width="1/3" responsive_css="padding_right_large:7%25"][ld_counter template="`{`object Object`}`" use_custom_fonts_title="true" use_custom_fonts_text="true" count="100m" label="Investment. Urban design draws together the many strands of place-making, environmental" fs="100px" text_fs="16px" text_lh="1.56em" color="rgb(0, 0, 0)" fw="600" label_color="rgb(72, 72, 72)"][/vc_column][/vc_row][vc_row css=".vc_custom_1609936212535{padding-top: 30px !important;padding-bottom: 45px !important;}" responsive_css="padding_right_medium:7vw|padding_left_medium:7vw" el_id="awards"][vc_column][vc_separator color="custom" accent_color="#d1d1d1"][/vc_column][/vc_row][vc_row css=".vc_custom_1609933417198{padding-bottom: 60px !important;}"][vc_column offset="vc_col-md-3"][ld_fancy_heading tag="h2" transform="text-uppercase" use_custom_fonts_title="true" fs="text_small:12px" fw="text_small:700" ls="text_small:0.1em"]International Awards[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-3"][ld_list txt_color="rgb(0, 0, 0)" items_spacing="20"]Pritzker Architecture ,Architecture MasterPrize,AIA Gold Medal,RedDot Design,Ribba architecture[/ld_list][/vc_column][vc_column offset="vc_col-md-3"][ld_list txt_color="rgb(0, 0, 0)" items_spacing="20"]Pritzker Architecture ,Architecture MasterPrize,AIA Gold Medal,RedDot Design,Ribba architecture[/ld_list][/vc_column][vc_column offset="vc_col-md-3"][ld_list txt_color="rgb(0, 0, 0)" items_spacing="20"]Pritzker Architecture ,Architecture MasterPrize,AIA Gold Medal,RedDot Design,Ribba architecture[/ld_list][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Counters 3
	$data = array();
	$data['name'] = esc_html__( 'Counters 03', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'counters-3.jpg' );
	$data['sort_name'] = 'Counters, Icon';
	$data['custom_class'] = 'general counters';
	$data['content'] = <<<CONTENT
	[vc_row responsive_css="margin_bottom_medium:90px|padding_top_medium:195px" css=".vc_custom_1605894380130{margin-bottom: 60px !important;padding-top: 60px !important;}"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" align="text-center" responsive_css="padding_right_medium:2.5vw|padding_left_medium:2.5vw" offset="vc_col-md-offset-1 vc_col-md-10" ca_duration="1800" ca_delay="180" ca_init_translate_y="35" responsive_align="text-md-center"][ld_fancy_heading tag="h6" margin="bottom_small:1em"]What we achieved[/ld_fancy_heading][ld_fancy_heading tag="h2" split_type="words" duration="1000" delay="120" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" enable_fit="true" minfontsize="40" fs="text_large:48px|text_small:40px" ca_init_translate_y="70"]The thousands of completed works.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="18px" lh="1.666em" padding="right_large:2.5vw|left_large:2.5vw"]Through strategy, design, and planning we build brand identities that connect with your Nesi. We then fine-tune a marketing plan that allows us to laser focus and target your audience through the right channels.[/ld_fancy_heading][/vc_column][/vc_row][vc_row full_width="stretch_row" content_placement="middle" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" responsive_css="padding_right_large:7vw|padding_left_large:7vw|padding_right_medium:5vw|padding_bottom_medium:150px|padding_left_medium:5vw" css=".vc_custom_1605894357515{padding-bottom: 60px !important;}" ca_duration="1800" ca_delay="180" ca_init_translate_y="45"][vc_column offset="vc_col-md-7" responsive_css="padding_bottom_medium:0px" css=".vc_custom_1605900653624{padding-bottom: 40px !important;}"][ld_carousel_tab columns="sm:2|xs:1.15|spacing_sm:25px|spacing_xs:15px" inactiv_opacity="1" groupcells="no" wraparound="yes" freescroll="yes" autoplay="yes"][ld_carousel_section title="Tab" tab_id="lqd-1595668610562-2ce347a8-5c26"][vc_single_image image="136" css=".vc_custom_1599653788634{margin-bottom: 0px !important;border-radius: 10px !important;}"][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595668614654-7b524ffd-5e98"][vc_single_image image="154" css=".vc_custom_1599658760650{margin-bottom: 0px !important;border-radius: 10px !important;}"][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595668489515-bff38c98-e89c"][vc_single_image image="136" css=".vc_custom_1599659930441{margin-bottom: 0px !important;border-radius: 10px !important;}"][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595668596537-af5fa149-8305"][vc_single_image image="153" css=".vc_custom_1599658826780{margin-bottom: 0px !important;border-radius: 10px !important;}"][/ld_carousel_section][/ld_carousel_tab][/vc_column][vc_column parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-5" ca_duration="1800" ca_delay="180" ca_init_translate_x="45" translate_from_y="120" translate_to_y="-120" el_class="z-index-2"][vc_row_inner equal_height="yes" gap="0" enable_row_shadowbox="yes" responsive_css="margin_right_medium:-3vw|margin_left_medium:-35%25" css=".vc_custom_1579181548740{background-color: #ffffff !important;border-radius: 10px !important;}" row_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2210px%22%2C%22blur_radius%22%3A%2230px%22%2C%22shadow_color%22%3A%22rgba(0%2C0%2C0%2C0.06)%22%7D%5D"][vc_column_inner offset="vc_col-md-4" responsive_css="border_right_medium:1px|border_bottom_medium:0px|padding_top_medium:100px|padding_right_medium:5%25|padding_bottom_medium:100px|padding_left_medium:10%25|padding_right_small:30px|padding_left_small:30px" css=".vc_custom_1605900568089{border-bottom-width: 1px !important;padding-top: 60px !important;padding-right: 15px !important;padding-bottom: 60px !important;padding-left: 15px !important;border-bottom-color: #eaeaea !important;border-bottom-style: solid !important;}"][ld_counter template="`{`object Object`}`" use_custom_fonts_title="true" enable_blur="true" count="10+" fs="52px" fw="700" color="rgb(0, 207, 50)" start_delay="250"][ld_fancy_heading tag="h5" margin="bottom_small:1.5em"]Years of Operation[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(102, 102, 102)" fs="18px" lh="1.666em"]Our team have been running well about 10 years and keep going.[/ld_fancy_heading][/vc_column_inner][vc_column_inner offset="vc_col-md-4" responsive_css="border_right_medium:1px|border_bottom_medium:0px|padding_top_medium:100px|padding_right_medium:5%25|padding_bottom_medium:100px|padding_left_medium:10%25|padding_right_small:30px|padding_left_small:30px" css=".vc_custom_1605900583205{border-bottom-width: 1px !important;padding-top: 60px !important;padding-right: 15px !important;padding-bottom: 60px !important;padding-left: 15px !important;border-bottom-color: #eaeaea !important;border-bottom-style: solid !important;}"][ld_counter template="`{`object Object`}`" use_custom_fonts_title="true" enable_blur="true" count="98%" fs="52px" fw="700" color="rgb(0, 207, 50)" start_delay="500"][ld_fancy_heading tag="h5" margin="bottom_small:1.5em"]Positive Feedback[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(102, 102, 102)" fs="18px" lh="1.666em"]Based on our happy clients about the quality of our products &amp; services.[/ld_fancy_heading][/vc_column_inner][vc_column_inner offset="vc_col-md-4" responsive_css="border_right_medium:1px|border_bottom_medium:0px|padding_top_medium:100px|padding_right_medium:5%25|padding_bottom_medium:100px|padding_left_medium:10%25|padding_right_small:30px|padding_left_small:30px" css=".vc_custom_1605900599342{border-bottom-width: 1px !important;padding-top: 60px !important;padding-right: 15px !important;padding-bottom: 60px !important;padding-left: 15px !important;}"][ld_counter template="`{`object Object`}`" use_custom_fonts_title="true" enable_blur="true" count="2,664" fs="52px" fw="700" color="rgb(0, 207, 50)" start_delay="750"][ld_fancy_heading tag="h5" margin="bottom_small:1.5em"]Projects Copmpleted[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(102, 102, 102)" fs="18px" lh="1.666em"]All projects competeled with an absolutely high quality[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Counters 4
	$data = array();
	$data['name'] = esc_html__( 'Counters 04', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'counters-4.jpg' );
	$data['sort_name'] = 'Counters, Icon';
	$data['custom_class'] = 'general counters';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1621601353698{border-bottom-width: 1px !important;padding-top: 45px !important;padding-bottom: 45px !important;border-bottom-color: #d1d1d1 !important;border-bottom-style: solid !important;}"][vc_column responsive_align="text-center" css=".vc_custom_1621602116570{margin-bottom: 25px !important;}"][ld_fancy_heading tag="h6" use_custom_fonts_title="true" fs="text_small:12px" fw="text_small:700" ls="text_small:0.1em" color="rgb(15, 90, 100)"]GLOBAL CLIENTS AROUND THE WORLD[/ld_fancy_heading][/vc_column][vc_column width="1/2" css=".vc_custom_1621602033442{margin-bottom: 25px !important;}" offset="vc_col-md-3" responsive_align="text-center"][ld_fancy_heading tag="p" use_custom_fonts_title="true" use_inheritance="true" color="rgb(15, 90, 100)" fs="text_small:62px" margin="bottom_small:0px"]2.7x[/ld_fancy_heading][ld_fancy_heading tag="p" transform="text-uppercase" use_custom_fonts_title="true" color="rgba(0, 0, 0, 0.4)" fs="text_small:12px" fw="text_small:700" ls="text_small:0.1em"]Avarage growth[/ld_fancy_heading][/vc_column][vc_column width="1/2" css=".vc_custom_1621602033442{margin-bottom: 25px !important;}" offset="vc_col-md-3" responsive_align="text-center"][ld_fancy_heading tag="p" use_custom_fonts_title="true" use_inheritance="true" color="rgb(15, 90, 100)" fs="text_small:62px" margin="bottom_small:0px"]98.7+[/ld_fancy_heading][ld_fancy_heading tag="p" transform="text-uppercase" use_custom_fonts_title="true" color="rgba(0, 0, 0, 0.4)" fs="text_small:12px" fw="text_small:700" ls="text_small:0.1em"]Customer satisfaction[/ld_fancy_heading][/vc_column][vc_column width="1/2" css=".vc_custom_1621602033442{margin-bottom: 25px !important;}" offset="vc_col-md-3" responsive_align="text-center"][ld_fancy_heading tag="p" use_custom_fonts_title="true" use_inheritance="true" color="rgb(15, 90, 100)" fs="text_small:62px" margin="bottom_small:0px"]302m[/ld_fancy_heading][ld_fancy_heading tag="p" transform="text-uppercase" use_custom_fonts_title="true" color="rgba(0, 0, 0, 0.4)" fs="text_small:12px" fw="text_small:700" ls="text_small:0.1em"]Monthly Payment[/ld_fancy_heading][/vc_column][vc_column width="1/2" css=".vc_custom_1621602033442{margin-bottom: 25px !important;}" offset="vc_col-md-3" responsive_align="text-center"][ld_fancy_heading tag="p" use_custom_fonts_title="true" use_inheritance="true" color="rgb(15, 90, 100)" fs="text_small:62px" margin="bottom_small:0px"]287+[/ld_fancy_heading][ld_fancy_heading tag="p" transform="text-uppercase" use_custom_fonts_title="true" color="rgba(0, 0, 0, 0.4)" fs="text_small:12px" fw="text_small:700" ls="text_small:0.1em"]Agents around the world[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Counters 5
	$data = array();
	$data['name'] = esc_html__( 'Counters 05', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'counters-5.jpg' );
	$data['sort_name'] = 'Counters, Icon';
	$data['custom_class'] = 'general counters';
	$data['content'] = <<<CONTENT
	[vc_row gap="5" bg_position="center center" css=".vc_custom_1611654023273{padding-top: 45px !important;padding-bottom: 45px !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}" responsive_css="padding_top_medium:65px|padding_bottom_medium:65px"][vc_column responsive_align="text-center" css=".vc_custom_1608725453633{margin-bottom: 15px !important;}"][ld_fancy_heading tag="p" transform="text-uppercase" duration="1600" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_x="0%" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(30, 47, 105)" fs="text_small:12px" fw="text_small:700" ls="text_small:0.08em" ca_init_translate_y="30" ca_init_rotate_z="2"]Global clients around the world[/ld_fancy_heading][/vc_column][vc_column width="1/2" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_x="0%" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-3 vc_col-xs-6" responsive_align="text-center" ca_duration="1600" ca_delay="80" ca_init_translate_y="60" ca_init_translate_x="0" ca_init_rotate_z="5"][ld_fancy_heading tag="p" split_type="chars, words" highlight_height="13px" highlight_offset="0.15em" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" use_inheritance="true" enable_split="true" use_mask="true" fs="text_medium:62px|text_small:52px" fw="text_small:700" margin="bottom_small:0px" highlight_color="rgba(113, 252, 188, 0.65)" lh="text_small:1em"][ld_highlight]3160[/ld_highlight][/ld_fancy_heading][ld_fancy_heading tag="p" transform="text-uppercase" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(30, 47, 105)" fs="text_small:12px" fw="text_small:700" ls="text_small:0.08em"]Avarage growth[/ld_fancy_heading][/vc_column][vc_column width="1/2" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_x="0%" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-3 vc_col-xs-6" responsive_align="text-center" ca_duration="1600" ca_delay="80" ca_init_translate_y="60" ca_init_translate_x="0" ca_init_rotate_z="5" ca_start_delay="250"][ld_fancy_heading tag="p" split_type="chars, words" highlight_height="13px" highlight_offset="0.15em" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" use_inheritance="true" enable_split="true" use_mask="true" fs="text_medium:62px|text_small:52px" fw="text_small:700" margin="bottom_small:0px" highlight_color="rgba(113, 252, 188, 0.65)" lh="text_small:1em"][ld_highlight]830[/ld_highlight][/ld_fancy_heading][ld_fancy_heading tag="p" transform="text-uppercase" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(30, 47, 105)" fs="text_small:12px" fw="text_small:700" ls="text_small:0.08em"]Customer satisfaction[/ld_fancy_heading][/vc_column][vc_column width="1/2" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_x="0%" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-3 vc_col-xs-6" responsive_align="text-center" ca_duration="1600" ca_delay="80" ca_init_translate_y="60" ca_init_translate_x="0" ca_init_rotate_z="5" ca_start_delay="500"][ld_fancy_heading tag="p" split_type="chars, words" highlight_height="13px" highlight_offset="0.15em" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" use_inheritance="true" enable_split="true" use_mask="true" fs="text_medium:62px|text_small:52px" fw="text_small:700" highlight_color="rgba(113, 252, 188, 0.65)" lh="text_small:1em" margin="bottom_small:0px"][ld_highlight]127[/ld_highlight][/ld_fancy_heading][ld_fancy_heading tag="p" transform="text-uppercase" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(30, 47, 105)" fs="text_small:12px" fw="text_small:700" ls="text_small:0.08em"]Daily data input[/ld_fancy_heading][/vc_column][vc_column width="1/2" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_x="0%" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-3 vc_col-xs-6" responsive_align="text-center" ca_duration="1600" ca_delay="80" ca_init_translate_y="60" ca_init_translate_x="0" ca_init_rotate_z="5" ca_start_delay="750"][ld_fancy_heading tag="p" split_type="chars, words" highlight_height="13px" highlight_offset="0.15em" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" use_inheritance="true" enable_split="true" use_mask="true" fs="text_medium:62px|text_small:52px" fw="text_small:700" margin="bottom_small:0px" highlight_color="rgba(113, 252, 188, 0.65)" lh="text_small:1em"][ld_highlight]1134[/ld_highlight][/ld_fancy_heading][ld_fancy_heading tag="p" transform="text-uppercase" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(30, 47, 105)" fs="text_small:12px" fw="text_small:700" ls="text_small:0.08em"]Hub it Employees[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Counters 6
	$data = array();
	$data['name'] = esc_html__( 'Counters 06', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'counters-6.jpg' );
	$data['sort_name'] = 'Counters, Icon';
	$data['custom_class'] = 'general counters';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" css=".vc_custom_1605615466165{padding-bottom: 60px !important;}" responsive_css="margin_bottom_medium:70px|padding_top_medium:50px|padding_bottom_medium:100px"][vc_column offset="vc_col-md-5" responsive_align="text-center text-md-left"][ld_fancy_heading tag="h6" transform="text-lowercase" duration="1600" delay="100" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" enable_bg="yes" fh_border_radius="circle" enable_split="true" margin="bottom_small:0.75em" ca_init_translate_x="0" ca_init_rotate_y="0" ca_init_translate_y="35" color="rgb(255, 90, 61)" padding="top_small:10px|right_small:20px|bottom_small:10px|left_small:20px" fh_bg="rgb(255, 234, 230)"]Digital Experience[/ld_fancy_heading][ld_fancy_heading tag="h2" highlight_offset="0.1em" use_custom_fonts_title="true" enable_fit="true" fs="text_large:48px|text_small:35px" lh="text_small:1.2em" margin="bottom_small:0.65em" minfontsize="36" highlight_color="rgba(255, 185, 158, 0.52)"]The hundred of completed works still [ld_highlight]counting[/ld_highlight][/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="20px" lh="1.5em" margin="bottom_small:2.5em"]Through strategy, design, and planning we build brand identities that connect with your Nesi. We then fine-tune a marketing plan that allows us to laser focus and target your audience through the right channels.[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-offset-2 vc_col-md-5"][ld_images_group_element parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" absolute_pos="yes" image="58" translate_from_y="80" translate_to_y="-80" position="bottom_small:-25px|left_small:-50px"][/ld_images_group_element][vc_row_inner equal_height="yes" content_placement="middle" gap="0" enable_row_shadowbox="yes" css=".vc_custom_1611001202350{padding-top: 15px !important;background-color: #ffffff !important;border-radius: 15px !important;}" row_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2250px%22%2C%22blur_radius%22%3A%2290px%22%2C%22shadow_color%22%3A%22rgba(22%2C17%2C147%2C0.1)%22%7D%5D" responsive_css="padding_top_medium:0px"][vc_column_inner width="1/2" responsive_css="border_right_medium:1px" css=".vc_custom_1605986896192{border-right-width: 0px !important;border-bottom-width: 1px !important;padding-top: 45px !important;padding-bottom: 15px !important;border-right-color: #eeeeee !important;border-right-style: solid !important;border-bottom-color: #eeeeee !important;border-bottom-style: solid !important;}" offset="vc_col-xs-6"][ld_counter content_align="text-center" use_custom_fonts_title="true" counter_mb_checkbox="true" enable_blur="true" count="19+" label="Total Top Services" fs="48px" fw="700" label_color="rgb(153, 153, 153)" counter_mb="13" color="rgb(26, 55, 96)"][/vc_column_inner][vc_column_inner width="1/2" css=".vc_custom_1605986910497{border-right-width: 0px !important;border-bottom-width: 1px !important;padding-top: 45px !important;padding-bottom: 15px !important;border-right-color: #eeeeee !important;border-right-style: solid !important;border-bottom-color: #eeeeee !important;border-bottom-style: solid !important;}" offset="vc_col-xs-6"][ld_counter content_align="text-center" use_custom_fonts_title="true" counter_mb_checkbox="true" enable_blur="true" count="27+" label="Countries" fs="48px" fw="700" color="rgb(26, 55, 96)" label_color="rgb(153, 153, 153)" counter_mb="13"][/vc_column_inner][vc_column_inner width="1/2" responsive_css="border_right_medium:1px" css=".vc_custom_1605986926031{border-right-width: 0px !important;padding-top: 45px !important;padding-bottom: 15px !important;border-right-color: #eeeeee !important;border-right-style: solid !important;}" offset="vc_col-xs-6"][ld_counter content_align="text-center" use_custom_fonts_title="true" counter_mb_checkbox="true" enable_blur="true" count="98%" label="Positive Feedback" fs="48px" fw="700" color="rgb(26, 55, 96)" label_color="rgb(153, 153, 153)" counter_mb="13"][/vc_column_inner][vc_column_inner width="1/2" css=".vc_custom_1605986941269{padding-top: 45px !important;padding-bottom: 15px !important;}" offset="vc_col-xs-6"][ld_counter content_align="text-center" use_custom_fonts_title="true" counter_mb_checkbox="true" enable_blur="true" count="2,663" label="Usual Users" fs="48px" fw="700" color="rgb(26, 55, 96)" label_color="rgb(153, 153, 153)" counter_mb="13"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Counters 7
	$data = array();
	$data['name'] = esc_html__( 'Counters 07', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'counters-7.jpg' );
	$data['sort_name'] = 'Counters, Icon';
	$data['custom_class'] = 'general counters';
	$data['content'] = <<<CONTENT
	[vc_row equal_height="yes" css=".vc_custom_1606294189034{padding-top: 10px !important;padding-bottom: 10px !important;}"][vc_column width="1/2" css=".vc_custom_1606293526721{margin-bottom: 35px !important;border-bottom-width: 3px !important;border-bottom-color: #f4f4f7 !important;border-bottom-style: solid !important;}" offset="vc_col-md-3 vc_col-xs-6"][ld_counter use_custom_fonts_title="true" use_custom_fonts_text="true" counter_mb_checkbox="true" enable_blur="true" label="Years of experience" count="70+" fs="49px" lh="1.5em" text_fs="20px" text_lh="1.25em" color="rgb(17, 36, 70)" counter_mb="10"][/vc_column][vc_column width="1/2" css=".vc_custom_1606293532850{margin-bottom: 35px !important;border-bottom-width: 3px !important;border-bottom-color: #f4f4f7 !important;border-bottom-style: solid !important;}" offset="vc_col-md-3 vc_col-xs-6"][ld_counter use_custom_fonts_title="true" use_custom_fonts_text="true" counter_mb_checkbox="true" enable_blur="true" label="People and Projects" count="860" fs="49px" lh="1.5em" text_fs="20px" text_lh="1.25em" color="rgb(17, 36, 70)" start_delay="250" counter_mb="10"][/vc_column][vc_column width="1/2" css=".vc_custom_1606293539759{margin-bottom: 35px !important;border-bottom-width: 3px !important;border-bottom-color: #f4f4f7 !important;border-bottom-style: solid !important;}" offset="vc_col-md-3 vc_col-xs-6"][ld_counter use_custom_fonts_title="true" use_custom_fonts_text="true" counter_mb_checkbox="true" enable_blur="true" label="Layer Count" count="900%" fs="49px" lh="1.5em" text_fs="20px" text_lh="1.25em" color="rgb(17, 36, 70)" start_delay="500" counter_mb="10"][/vc_column][vc_column width="1/2" css=".vc_custom_1606293548785{margin-bottom: 35px !important;border-bottom-width: 3px !important;border-bottom-color: #f4f4f7 !important;border-bottom-style: solid !important;}" offset="vc_col-md-3 vc_col-xs-6"][ld_counter use_custom_fonts_title="true" use_custom_fonts_text="true" counter_mb_checkbox="true" enable_blur="true" label="Successful Projects" count="3.7m" fs="49px" lh="1.5em" text_fs="20px" text_lh="1.25em" color="rgb(17, 36, 70)" start_delay="700" counter_mb="10"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Counters 8
	$data = array();
	$data['name'] = esc_html__( 'Counters 08', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'counters-8.jpg' );
	$data['sort_name'] = 'Counters, Icon';
	$data['custom_class'] = 'general counters';
	$data['content'] = <<<CONTENT
CONTENT;
	$templates[] = $data;

	//Counters 9
	$data = array();
	$data['name'] = esc_html__( 'Counters 09', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'counters-9.jpg' );
	$data['sort_name'] = 'Counters, Icon';
	$data['custom_class'] = 'general counters';
	$data['content'] = <<<CONTENT
	[vc_row bg_position="center center" css=".vc_custom_1608725614361{padding-top: 45px !important;padding-bottom: 45px !important;background-image: url(https://businessstartuppro.liquid-themes.com/wp-content/uploads/2020/12/map.png?id=252) !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}" responsive_css="padding_top_medium:85px|padding_bottom_medium:85px"][vc_column responsive_align="text-center" css=".vc_custom_1608725453633{margin-bottom: 15px !important;}"][ld_fancy_heading tag="p" transform="text-uppercase" duration="1600" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_x="0%" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(30, 47, 105)" fs="text_small:12px" fw="text_small:700" ls="text_small:0.08em" ca_init_translate_y="30" ca_init_rotate_z="2"]Global clients around the world[/ld_fancy_heading][/vc_column][vc_column width="1/2" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_x="0%" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-3 vc_col-xs-6" responsive_align="text-center" ca_duration="1600" ca_delay="80" ca_init_translate_y="60" ca_init_translate_x="0" ca_init_rotate_z="5"][ld_fancy_heading tag="h5" split_type="chars, words" highlight_height="13px" highlight_offset="0.25em" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(30, 47, 105)" fs="text_medium:62px|text_small:52px" fw="text_small:700" margin="bottom_small:0.25em" highlight_color="rgba(113, 252, 188, 0.65)" lh="text_small:1em"][ld_highlight]2.6x[/ld_highlight][/ld_fancy_heading][ld_fancy_heading tag="p" transform="text-uppercase" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(30, 47, 105)" fs="text_small:12px" fw="text_small:700" ls="text_small:0.08em"]Avarage growth[/ld_fancy_heading][/vc_column][vc_column width="1/2" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_x="0%" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-3 vc_col-xs-6" responsive_align="text-center" ca_duration="1600" ca_delay="80" ca_init_translate_y="60" ca_init_translate_x="0" ca_init_rotate_z="5" ca_start_delay="250"][ld_fancy_heading tag="h5" split_type="chars, words" highlight_height="13px" highlight_offset="0.25em" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(30, 47, 105)" fs="text_medium:62px|text_small:52px" fw="text_small:700" margin="bottom_small:0.25em" highlight_color="rgba(113, 252, 188, 0.65)" lh="text_small:1em"][ld_highlight]88.5%[/ld_highlight][/ld_fancy_heading][ld_fancy_heading tag="p" transform="text-uppercase" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(30, 47, 105)" fs="text_small:12px" fw="text_small:700" ls="text_small:0.08em"]Customer satisfaction[/ld_fancy_heading][/vc_column][vc_column width="1/2" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_x="0%" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-3 vc_col-xs-6" responsive_align="text-center" ca_duration="1600" ca_delay="80" ca_init_translate_y="60" ca_init_translate_x="0" ca_init_rotate_z="5" ca_start_delay="500"][ld_fancy_heading tag="h5" split_type="chars, words" highlight_height="13px" highlight_offset="0.25em" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(30, 47, 105)" fs="text_medium:62px|text_small:52px" fw="text_small:700" margin="bottom_small:0.25em" highlight_color="rgba(113, 252, 188, 0.65)" lh="text_small:1em"][ld_highlight]302m[/ld_highlight][/ld_fancy_heading][ld_fancy_heading tag="p" transform="text-uppercase" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(30, 47, 105)" fs="text_small:12px" fw="text_small:700" ls="text_small:0.08em"]Daily data input[/ld_fancy_heading][/vc_column][vc_column width="1/2" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_x="0%" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-3 vc_col-xs-6" responsive_align="text-center" ca_duration="1600" ca_delay="80" ca_init_translate_y="60" ca_init_translate_x="0" ca_init_rotate_z="5" ca_start_delay="750"][ld_fancy_heading tag="h5" split_type="chars, words" highlight_height="13px" highlight_offset="0.25em" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(30, 47, 105)" fs="text_medium:62px|text_small:52px" fw="text_small:700" margin="bottom_small:0.25em" highlight_color="rgba(113, 252, 188, 0.65)" lh="text_small:1em"][ld_highlight]287+[/ld_highlight][/ld_fancy_heading][ld_fancy_heading tag="p" transform="text-uppercase" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(30, 47, 105)" fs="text_small:12px" fw="text_small:700" ls="text_small:0.08em"]Hub it Employees[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Counters 10
	$data = array();
	$data['name'] = esc_html__( 'Counters 10', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'counters-10.jpg' );
	$data['sort_name'] = 'Counters, Icon';
	$data['custom_class'] = 'general counters';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" css=".vc_custom_1610701078375{padding-top: 60px !important;padding-bottom: 30px !important;}" responsive_css="padding_top_medium:60px|padding_bottom_medium:60px|padding_top_small:90px"][vc_column offset="vc_col-md-5"][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" margin="bottom_small:0.75em" color="rgb(86, 154, 204)" fs="text_small:16px"]What we achieved[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" enable_fit="true" fs="text_small:39px" lh="text_small:1.05em" margin="bottom_small:0.65em" minfontsize="36" color="rgb(31, 42, 88)"]Hub generated 2x more online sales in 2021.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:20px" lh="text_small:1.5em" margin="bottom_small:2.5em"]Through strategy, design, and planning we build brand identities that connect with your Nesi. We then fine-tune a marketing plan that allows us to laser focus.[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-lg-5 vc_col-md-offset-1 vc_col-md-6"][ld_images_group_container absolute_pos="yes" position="right_small:-30px|bottom_small:-70px|left_small:-30px"][ld_images_group_element absolute_pos="yes" image="333" position="bottom_small:0px|left_small:0px"][/ld_images_group_element][ld_images_group_element absolute_pos="yes" image="382" position="right_small:-110px|bottom_small:-80px"][/ld_images_group_element][/ld_images_group_container][ld_images_group_element parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" absolute_pos="yes" image="58" translate_from_y="80" translate_to_y="-80" position="bottom_small:-25px|left_small:-50px"][/ld_images_group_element][vc_row_inner equal_height="yes" content_placement="middle" gap="0" enable_row_shadowbox="yes" css=".vc_custom_1605987054627{padding-top: 15px !important;background-color: #ffffff !important;border-radius: 15px !important;}" row_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2223px%22%2C%22blur_radius%22%3A%2250px%22%2C%22shadow_color%22%3A%22rgba(0%2C0%2C0%2C0.08)%22%7D%5D" responsive_css="padding_top_medium:0px"][vc_column_inner width="1/2" responsive_css="border_right_medium:1px" css=".vc_custom_1610701571587{border-right-width: 1px !important;border-bottom-width: 1px !important;padding-top: 45px !important;padding-bottom: 15px !important;border-right-color: #eeeeee !important;border-right-style: solid !important;border-bottom-color: #eeeeee !important;border-bottom-style: solid !important;}" offset="vc_col-xs-6"][ld_counter template="`{`object Object`}`" content_align="text-center" use_custom_fonts_title="true" counter_mb_checkbox="true" enable_blur="true" count="19+" label="Total Top Services" fs="48px" fw="700" color="rgb(0, 0, 0)" label_color="rgb(153, 153, 153)" counter_mb="13"][/vc_column_inner][vc_column_inner width="1/2" css=".vc_custom_1605986910497{border-right-width: 0px !important;border-bottom-width: 1px !important;padding-top: 45px !important;padding-bottom: 15px !important;border-right-color: #eeeeee !important;border-right-style: solid !important;border-bottom-color: #eeeeee !important;border-bottom-style: solid !important;}" offset="vc_col-xs-6"][ld_counter template="`{`object Object`}`" content_align="text-center" use_custom_fonts_title="true" counter_mb_checkbox="true" enable_blur="true" count="27+" label="Countries" fs="48px" fw="700" color="rgb(0, 0, 0)" label_color="rgb(153, 153, 153)" counter_mb="13"][/vc_column_inner][vc_column_inner width="1/2" responsive_css="border_right_medium:1px" css=".vc_custom_1610701577771{border-right-width: 1px !important;padding-top: 45px !important;padding-bottom: 15px !important;border-right-color: #eeeeee !important;border-right-style: solid !important;}" offset="vc_col-xs-6"][ld_counter template="`{`object Object`}`" content_align="text-center" use_custom_fonts_title="true" counter_mb_checkbox="true" enable_blur="true" count="98%" label="Positive Feedback" fs="48px" fw="700" color="rgb(0, 0, 0)" label_color="rgb(153, 153, 153)" counter_mb="13"][/vc_column_inner][vc_column_inner width="1/2" css=".vc_custom_1605986941269{padding-top: 45px !important;padding-bottom: 15px !important;}" offset="vc_col-xs-6"][ld_counter template="`{`object Object`}`" content_align="text-center" use_custom_fonts_title="true" counter_mb_checkbox="true" enable_blur="true" count="2,664" label="Usual Users" fs="48px" fw="700" color="rgb(0, 0, 0)" label_color="rgb(153, 153, 153)" counter_mb="13"][/vc_column_inner][/vc_row_inner][/vc_column][vc_column offset="vc_hidden-sm vc_hidden-xs"][ld_images_group_container move_to_parent_row="yes" position="top_small:35%25|left_small:26%25"][ld_images_group_element image="257"][/ld_images_group_element][/ld_images_group_container][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Counters 11
	$data = array();
	$data['name'] = esc_html__( 'Counters 11', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'counters-11.jpg' );
	$data['sort_name'] = 'Counters, Icon';
	$data['custom_class'] = 'general counters';
	$data['content'] = <<<CONTENT
	[vc_row gap="30" css=".vc_custom_1597155298077{padding-top: 45px !important;padding-bottom: 15px !important;}"][vc_column width="1/2" offset="vc_col-md-3" css=".vc_custom_1573513024104{margin-bottom: 30px !important;border-bottom-width: 2px !important;border-bottom-color: #f4f4f7 !important;border-bottom-style: solid !important;}"][ld_counter template="`{`object Object`}`" use_custom_fonts_title="true" use_custom_fonts_text="true" label="Years of experience" count="16+" fs="42px" text_fs="20px" color="rgb(17, 36, 70)"][/vc_column][vc_column width="1/2" offset="vc_col-md-3" css=".vc_custom_1573513029203{margin-bottom: 30px !important;border-bottom-width: 2px !important;border-bottom-color: #f4f4f7 !important;border-bottom-style: solid !important;}"][ld_counter template="`{`object Object`}`" use_custom_fonts_title="true" use_custom_fonts_text="true" label="Employees" count="80" fs="42px" text_fs="20px" color="rgb(17, 36, 70)" start_delay="150"][/vc_column][vc_column width="1/2" offset="vc_col-md-3" css=".vc_custom_1573513033690{margin-bottom: 30px !important;border-bottom-width: 2px !important;border-bottom-color: #f4f4f7 !important;border-bottom-style: solid !important;}"][ld_counter template="`{`object Object`}`" use_custom_fonts_title="true" use_custom_fonts_text="true" label="Daily Notifications" count="320k+" fs="42px" text_fs="20px" color="rgb(17, 36, 70)" start_delay="300"][/vc_column][vc_column width="1/2" offset="vc_col-md-3" css=".vc_custom_1573513037704{margin-bottom: 30px !important;border-bottom-width: 2px !important;border-bottom-color: #f4f4f7 !important;border-bottom-style: solid !important;}"][ld_counter template="`{`object Object`}`" use_custom_fonts_title="true" use_custom_fonts_text="true" label="Successful Transactions" count="9.6m" fs="42px" text_fs="20px" color="rgb(17, 36, 70)" start_delay="450"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Counters 12
	$data = array();
	$data['name'] = esc_html__( 'Counters 12', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'counters-12.jpg' );
	$data['sort_name'] = 'Counters, Icon';
	$data['custom_class'] = 'general counters';
	$data['content'] = <<<CONTENT
	[vc_row bg_position="center center" css=".vc_custom_1609180432662{padding-top: 45px !important;padding-bottom: 45px !important;background-image: url(https://softwarepro.liquid-themes.com/wp-content/uploads/2020/12/map.png?id=273) !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}" responsive_css="padding_top_medium:55px|padding_bottom_medium:55px"][vc_column offset="vc_hidden-xs"][ld_images_group_container parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" absolute_pos="yes" position="right_all:0px|left_all:15%25|top_large:-25vh|left_large:10%25|top_small:-10vh|right_small:15%25|left_small:15%25" translate_from_y="90" translate_to_y="-90"][ld_images_group_element image="274"][/ld_images_group_element][/ld_images_group_container][/vc_column][vc_column responsive_align="text-center" css=".vc_custom_1608725453633{margin-bottom: 15px !important;}"][ld_fancy_heading tag="p" transform="text-uppercase" duration="1600" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_x="0%" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(30, 47, 105)" fs="text_small:12px" fw="text_small:700" ls="text_small:0.08em" ca_init_translate_y="30" ca_init_rotate_z="2"]Global clients around the world[/ld_fancy_heading][/vc_column][vc_column width="1/2" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_x="0%" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-3 vc_col-xs-6" responsive_align="text-center" ca_duration="1600" ca_delay="80" ca_init_translate_y="60" ca_init_translate_x="0" ca_init_rotate_z="5"][ld_fancy_heading tag="p" split_type="chars, words" highlight_height="13px" highlight_offset="0.15em" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(30, 47, 105)" fs="text_medium:62px|text_small:47px" fw="text_small:700" margin="bottom_small:0px" highlight_color="rgba(113, 252, 188, 0.65)" lh="text_small:1em"][ld_highlight]2.6x[/ld_highlight][/ld_fancy_heading][ld_fancy_heading tag="p" transform="text-uppercase" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(30, 47, 105)" fs="text_small:12px" fw="text_small:700" ls="text_small:0.08em"]Avarage growth[/ld_fancy_heading][/vc_column][vc_column width="1/2" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_x="0%" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-3 vc_col-xs-6" responsive_align="text-center" ca_duration="1600" ca_delay="80" ca_init_translate_y="60" ca_init_translate_x="0" ca_init_rotate_z="5" ca_start_delay="250"][ld_fancy_heading tag="p" split_type="chars, words" highlight_height="13px" highlight_offset="0.15em" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(30, 47, 105)" fs="text_medium:62px|text_small:47px" fw="text_small:700" margin="bottom_small:0px" highlight_color="rgba(113, 252, 188, 0.65)" lh="text_small:1em"][ld_highlight]99.6%[/ld_highlight][/ld_fancy_heading][ld_fancy_heading tag="p" transform="text-uppercase" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(30, 47, 105)" fs="text_small:12px" fw="text_small:700" ls="text_small:0.08em"]Customer satisfaction[/ld_fancy_heading][/vc_column][vc_column width="1/2" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_x="0%" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-3 vc_col-xs-6" responsive_align="text-center" ca_duration="1600" ca_delay="80" ca_init_translate_y="60" ca_init_translate_x="0" ca_init_rotate_z="5" ca_start_delay="500"][ld_fancy_heading tag="p" split_type="chars, words" highlight_height="13px" highlight_offset="0.15em" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(30, 47, 105)" fs="text_medium:62px|text_small:47px" fw="text_small:700" highlight_color="rgba(113, 252, 188, 0.65)" lh="text_small:1em" margin="bottom_small:0px"][ld_highlight]302m[/ld_highlight][/ld_fancy_heading][ld_fancy_heading tag="p" transform="text-uppercase" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(30, 47, 105)" fs="text_small:12px" fw="text_small:700" ls="text_small:0.08em"]Daily data input[/ld_fancy_heading][/vc_column][vc_column width="1/2" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_x="0%" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-3 vc_col-xs-6" responsive_align="text-center" ca_duration="1600" ca_delay="80" ca_init_translate_y="60" ca_init_translate_x="0" ca_init_rotate_z="5" ca_start_delay="750"][ld_fancy_heading tag="p" split_type="chars, words" highlight_height="13px" highlight_offset="0.15em" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(30, 47, 105)" fs="text_medium:62px|text_small:47px" fw="text_small:700" margin="bottom_small:0px" highlight_color="rgba(113, 252, 188, 0.65)" lh="text_small:1em"][ld_highlight]287+[/ld_highlight][/ld_fancy_heading][ld_fancy_heading tag="p" transform="text-uppercase" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(30, 47, 105)" fs="text_small:12px" fw="text_small:700" ls="text_small:0.08em"]Hub it Employees[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Counters 13
	$data = array();
	$data['name'] = esc_html__( 'Counters 13', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'counters-13.jpg' );
	$data['sort_name'] = 'Counters, Icon';
	$data['custom_class'] = 'general counters';
	$data['content'] = <<<CONTENT
	[vc_row enable_row_dividers="yes" responsive_css="padding_top_medium:130px|padding_bottom_medium:130px" css=".vc_custom_1621949257015{padding-top: 100px !important;padding-bottom: 100px !important;background-color: #f2f5f8 !important;}" row_svg_divider="top_shape_type:9|top_shape_color:%23ffffff|top_shape_height:31|bottom_shape_type:9|bottom_shape_color:%23ffffff|bottom_shape_height:32"][vc_column offset="vc_col-md-6" responsive_css="padding_right_large:10%25"][ld_fancy_heading tag="h6" enable_bg="yes" fh_border_radius="circle" color="rgb(42, 195, 177)" padding="top_small:0.625em|right_small:1em|bottom_small:0.625em|left_small:1em" fh_bg="rgba(42, 195, 177, 0.1)" margin="bottom_small:1em"]Testimonials[/ld_fancy_heading][ld_fancy_heading tag="h2" margin="bottom_small:0.35em"]So that one day, like magic, children will no longer need us.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.52em" margin="bottom_small:0.35em"]There’s even magic in our motivation: our unblinking belief that we can eradicae childhood disease — so that one day, like magic, children will no longer need us.[/ld_fancy_heading][/vc_column][/vc_row][vc_row css=".vc_custom_1621949959063{padding-top: 25px !important;padding-bottom: 25px !important;}"][vc_column width="1/3" offset="vc_col-md-2"][ld_counter use_custom_fonts_title="true" use_custom_fonts_text="true" counter_mb_checkbox="true" count="66K" label="STUDENTS LEANING" fs="50px" text_fs="10px" text_ls="0.1em" text_fw="700" counter_mb="5"][/vc_column][vc_column width="1/3" offset="vc_col-md-2"][ld_counter use_custom_fonts_title="true" use_custom_fonts_text="true" counter_mb_checkbox="true" count="90+" label="LOCAL SCHOOLS" fs="50px" text_fs="10px" text_ls="0.1em" text_fw="700" counter_mb="5" start_delay="250"][/vc_column][vc_column width="1/3" offset="vc_col-md-2"][ld_counter use_custom_fonts_title="true" use_custom_fonts_text="true" counter_mb_checkbox="true" count="11m" label="ENGLISH TEACHERS" fs="50px" text_fs="10px" text_ls="0.1em" text_fw="700" counter_mb="5" start_delay="500"][/vc_column][vc_column offset="vc_col-md-6" responsive_css="margin_top_medium:-388px|margin_right_medium:6%25|margin_left_medium:6%25|padding_right_medium:45px|padding_left_medium:45px" css=".vc_custom_1621952551902{margin-top: 25px !important;padding-top: 55px !important;padding-right: 20px !important;padding-bottom: 55px !important;padding-left: 20px !important;background: #32494c url(https://staging.liquid-themes.com/kids/wp-content/uploads/2021/05/overlay@2x.png?id=105) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;border-radius: 10px !important;}" responsive_align="text-center"][ld_fancy_heading tag="h4" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:26px" lh="text_small:1.3em" margin="bottom_small:1.75em"]By enrolling in the Four Bear Program, Hub guarantees you will graduate in four years with a bachelor’s degree. Discover the global city—filled with inspiration, opportunities to explore.[/ld_fancy_heading][vc_separator color="custom" style="dashed" accent_color="rgba(255, 255, 255, 0.2)" css=".vc_custom_1621950334338{margin-bottom: 45px !important;}"][ld_images_group_element absolute_pos="yes" image="106" position="bottom_small:-95px|left_small:-40px"][/ld_images_group_element][ld_fancy_heading tag="h4" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:19px" margin="bottom_small:0.25em"]Marrion Miller[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:14px" margin="bottom_small:0.25em"]Maputo, Africa[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Counters 14
	$data = array();
	$data['name'] = esc_html__( 'Counters 14', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'counters-14.jpg' );
	$data['sort_name'] = 'Counters, Icon';
	$data['custom_class'] = 'general counters';
	$data['content'] = <<<CONTENT
	[vc_row responsive_css="padding_top_medium:75px|padding_bottom_medium:65px" css=".vc_custom_1621856127454{padding-top: 35px !important;padding-bottom: 30px !important;}"][vc_column enable_hover_move="lqd-column-move-onhover" hover_move_value="-5px" enable_overlay="yes" enable_column_hover_shadowbox="yes" offset="vc_col-md-4" css=".vc_custom_1622018829240{margin-bottom: 30px !important;padding-top: 20px !important;padding-bottom: 35px !important;border-radius: 10px !important;}" responsive_css="margin_bottom_medium:0px" column_hover_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2220px%22%2C%22blur_radius%22%3A%2250px%22%2C%22spread_radius%22%3A%22-4px%22%2C%22shadow_color%22%3A%22rgba(0%2C%200%2C%200%2C%200.08)%22%7D%5D" overlay_bg="rgb(244, 246, 247)" hover_overlay_bg="rgb(255, 255, 255)"][ld_fancy_heading tag="h4" use_custom_fonts_title="true" fs="text_small:49px" padding="right_all:50px|left_all:50px|right_small:20px|left_small:20px" margin="bottom_small:0.25em"]2.3x[/ld_fancy_heading][vc_separator color="custom" accent_color="rgb(255, 255, 255)" css=".vc_custom_1621858582603{margin-top: 0px !important;margin-bottom: 30px !important;}"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgba(15, 64, 100, 0.85)" fs="text_small:17px" padding="right_large:50px|left_large:50px|right_small:20px|left_small:20px" margin="bottom_small:0px"]Average yearly growth[/ld_fancy_heading][/vc_column][vc_column enable_hover_move="lqd-column-move-onhover" hover_move_value="-5px" enable_overlay="yes" enable_column_hover_shadowbox="yes" offset="vc_col-md-4" css=".vc_custom_1622017094844{margin-bottom: 30px !important;padding-top: 20px !important;padding-bottom: 35px !important;border-radius: 10px !important;}" responsive_css="margin_bottom_medium:0px" column_hover_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2220px%22%2C%22blur_radius%22%3A%2250px%22%2C%22spread_radius%22%3A%22-4px%22%2C%22shadow_color%22%3A%22rgba(0%2C%200%2C%200%2C%200.06)%22%7D%5D" overlay_bg="rgb(244, 246, 247)" hover_overlay_bg="rgb(255, 255, 255)"][ld_fancy_heading tag="h4" use_custom_fonts_title="true" fs="text_small:49px" padding="right_all:50px|left_all:50px|right_small:20px|left_small:20px" margin="bottom_small:0.25em"]98%[/ld_fancy_heading][vc_separator color="custom" accent_color="rgb(255, 255, 255)" css=".vc_custom_1621858582603{margin-top: 0px !important;margin-bottom: 30px !important;}"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgba(15, 64, 100, 0.85)" fs="text_small:17px" padding="right_large:50px|left_large:50px|right_small:20px|left_small:20px" margin="bottom_small:0px"]Avarage customer satisfaction[/ld_fancy_heading][/vc_column][vc_column enable_hover_move="lqd-column-move-onhover" hover_move_value="-5px" enable_overlay="yes" enable_column_hover_shadowbox="yes" offset="vc_col-md-4" css=".vc_custom_1622018848241{margin-bottom: 30px !important;padding-top: 20px !important;padding-bottom: 35px !important;background-color: #f4f6f7 !important;border-radius: 10px !important;}" responsive_css="margin_bottom_medium:0px" column_hover_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2220px%22%2C%22blur_radius%22%3A%2250px%22%2C%22spread_radius%22%3A%22-4px%22%2C%22shadow_color%22%3A%22rgba(0%2C%200%2C%200%2C%200.08)%22%7D%5D" overlay_bg="rgb(244, 246, 247)" hover_overlay_bg="rgb(255, 255, 255)"][ld_fancy_heading tag="h4" use_custom_fonts_title="true" fs="text_small:49px" padding="right_all:50px|left_all:50px|right_small:20px|left_small:20px" margin="bottom_small:0.25em"]168m[/ld_fancy_heading][vc_separator color="custom" accent_color="rgb(255, 255, 255)" css=".vc_custom_1621858582603{margin-top: 0px !important;margin-bottom: 30px !important;}"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgba(15, 64, 100, 0.85)" fs="text_small:17px" padding="right_large:50px|left_large:50px|right_small:20px|left_small:20px" margin="bottom_small:0px"]Trusted Dealer and Clients[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Counters 15
	$data = array();
	$data['name'] = esc_html__( 'Counters 15', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'counters-15.jpg' );
	$data['sort_name'] = 'Counters, Icon';
	$data['custom_class'] = 'general counters';
	$data['content'] = <<<CONTENT
	[vc_row equal_height="yes" responsive_css="padding_top_medium:50px|padding_bottom_medium:50px" css=".vc_custom_1622033178527{padding-top: 35px !important;padding-bottom: 35px !important;}"][vc_column width="1/2" offset="vc_col-md-3" responsive_css="margin_bottom_medium:0px|padding_right_medium:20%25|border_right_small:1px" css=".vc_custom_1622100548152{margin-bottom: 30px !important;border-right-width: 0px !important;border-right-color: rgba(112,112,112,0.15) !important;border-right-style: solid !important;}"][ld_counter template="`{`object Object`}`" use_custom_fonts_title="true" use_custom_fonts_text="true" count="10+" label="Years of experience. The many strands of place-" fs="66px" lh="1em" ls="-0.01em" color="rgb(177, 120, 86)" label_color="rgb(35, 42, 59)" el_class="mb-0" fw="500"][/vc_column][vc_column width="1/2" offset="vc_col-md-3" responsive_css="margin_bottom_medium:0px|border_right_medium:1px|padding_right_medium:10%25|padding_left_medium:10%25" css=".vc_custom_1622100324416{margin-bottom: 30px !important;border-right-width: 0px !important;border-right-color: rgba(112,112,112,0.15) !important;border-right-style: solid !important;}"][ld_counter template="`{`object Object`}`" use_custom_fonts_title="true" use_custom_fonts_text="true" count="88%" label="Years of experience. The many strands of place-" fs="66px" lh="1em" ls="-0.01em" color="rgb(177, 120, 86)" label_color="rgb(35, 42, 59)" el_class="mb-0" start_delay="200" fw="500"][/vc_column][vc_column width="1/2" offset="vc_col-md-3" responsive_css="margin_bottom_medium:0px|padding_right_medium:10%25|padding_left_medium:10%25|border_right_small:1px" css=".vc_custom_1622100673222{margin-bottom: 30px !important;border-right-width: 0px !important;border-right-color: rgba(112,112,112,0.15) !important;border-right-style: solid !important;}"][ld_counter template="`{`object Object`}`" use_custom_fonts_title="true" use_custom_fonts_text="true" count="160+" label="Years of experience. The many strands of place-" fs="66px" lh="1em" ls="-0.01em" color="rgb(177, 120, 86)" label_color="rgb(35, 42, 59)" el_class="mb-0" start_delay="400" fw="500"][/vc_column][vc_column width="1/2" offset="vc_col-md-3" responsive_css="margin_bottom_medium:0px|padding_right_medium:10%25|padding_left_medium:10%25" css=".vc_custom_1622030881033{margin-bottom: 30px !important;}"][ld_counter template="`{`object Object`}`" use_custom_fonts_title="true" use_custom_fonts_text="true" count="13m" label="Years of experience. The many strands of place-" fs="66px" lh="1em" ls="-0.01em" color="rgb(177, 120, 86)" label_color="rgb(35, 42, 59)" el_class="mb-0" start_delay="600" fw="500"][/vc_column][vc_column css=".vc_custom_1622031163999{border-bottom-width: 23px !important;padding-top: 30px !important;border-bottom-color: #f7f7f7 !important;border-bottom-style: solid !important;}"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Counters 16
	$data = array();
	$data['name'] = esc_html__( 'Counters 16', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'counters-16.jpg' );
	$data['sort_name'] = 'Counters, Icon';
	$data['custom_class'] = 'general counters';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" parallax="enable_parallax" enable_overlay="yes" enable_row_dividers="yes" responsive_css="padding_top_medium:125px|padding_bottom_medium:125px" css=".vc_custom_1622009655669{padding-top: 70px !important;padding-bottom: 70px !important;background-image: url(https://staging.liquid-themes.com/kids/wp-content/uploads/2021/05/bg-2@2x.jpg?id=82) !important;background-position: center;background-repeat: no-repeat;background-size:cover;}" overlay_bg="rgba(47, 40, 40, 0.5)" row_svg_divider="bottom_shape_type:7|bottom_shape_color:%23ffffff|bottom_shape_height:16" el_id="events"][vc_column offset="vc_col-md-6" responsive_css="margin_bottom_medium:0px" css=".vc_custom_1621947681326{margin-bottom: 30px !important;}"][ld_fancy_heading tag="h6" enable_bg="yes" fh_border_radius="circle" color="rgb(255, 126, 106)" padding="top_small:0.625em|right_small:1em|bottom_small:0.625em|left_small:1em" fh_bg="rgb(255, 255, 255)" margin="bottom_small:1em"]Spread Love[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" margin="bottom_small:0.35em" color="rgb(255, 255, 255)" fs="text_medium:50px"]Take advantage of many education programs.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.52em" margin="bottom_small:0.35em" color="rgba(255, 255, 255, 0.88)" padding="right_all:25%25|right_large:15%25"]Join us in the 100 campaign, a year-long journey to bring 100 children home to 100 families.[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-offset-2 vc_col-md-4" responsive_align="text-md-center"][ld_images_group_element absolute_pos="yes" image="84" position="top_small:-50px|left_small:-100px" hide_el="hidden-xs hidden-sm"][/ld_images_group_element][ld_counter tag_to_inherite_label="h4" use_custom_fonts_title="true" use_inheritance_label="true" use_custom_fonts_text="true" counter_mb_checkbox="true" count="98%" fs="79px" color="rgb(255, 255, 255)" label="Success Rate" text_fs="23px" label_color="rgb(255, 255, 255)" counter_mb="13"][ld_button style="btn-underlined" title="Become Volunteer" link="url:%23|||" color="rgb(255, 255, 255)" lh="text_small:1em" fw="text_small:400"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Category Fancy Box
	//Fancy Box 1
	$data = array();
	$data['name'] = esc_html__( 'Fancy Box 01', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'fancybox-1.jpg' );
	$data['sort_name'] = 'Fancy Box';
	$data['custom_class'] = 'general fancybox';
	$data['content'] = <<<CONTENT
	[vc_row gap="25" css=".vc_custom_1611248257778{padding-top: 80px !important;padding-bottom: 50px !important;}"][vc_column enable_link="enable_column_link" width="1/2" enable_column_shadowbox="yes" css=".vc_custom_1611049825683{margin-bottom: 45px !important;background-color: #ffffff !important;}" offset="vc_col-md-4" column_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2210px%22%2C%22blur_radius%22%3A%22120px%22%2C%22shadow_color%22%3A%22rgba(149%2C%20146%2C%20157%2C%200.15)%22%7D%5D" link="url:https%3A%2F%2Fcompanyhub.liquid-themes.com%2Fstaging%2Findex.php%2Fservice-detail%2F|title:About||"][vc_single_image image="8738" css=".vc_custom_1607933290308{margin-bottom: 20px !important;}"][vc_row_inner css=".vc_custom_1575467932417{padding-right: 22px !important;padding-bottom: 35px !important;padding-left: 22px !important;}"][vc_column_inner][ld_fancy_heading tag="h6" enable_bg="yes" fh_border_radius="circle" use_custom_fonts_title="true" color="rgb(137, 32, 32)" fs="12px" padding="top_small:4px|right_small:10px|bottom_small:4px|left_small:10px" fh_bg="rgba(137, 32, 32, 0.07)" margin="bottom_small:1em"]Language[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_small:19px" lh="text_small:24px" margin="bottom_small:0.35em"]Research and Development[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(112, 112, 112)" fs="14px" lh="22px" margin="bottom_small:0.75em"]Discover the global city—filled inspiration, opportunities to explore.[/ld_fancy_heading][ld_button style="btn-naked" title="Explore diversity at Chicago" i_type="linea" i_add_icon="true" i_icon_linea="icon-ion-ios-arrow-forward" fs="14px"][/vc_column_inner][/vc_row_inner][/vc_column][vc_column enable_link="enable_column_link" width="1/2" enable_column_shadowbox="yes" css=".vc_custom_1611049834512{margin-bottom: 30px !important;background-color: #ffffff !important;}" offset="vc_col-md-4" column_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2210px%22%2C%22blur_radius%22%3A%22120px%22%2C%22shadow_color%22%3A%22rgba(149%2C%20146%2C%20157%2C%200.15)%22%7D%5D" link="url:https%3A%2F%2Fcompanyhub.liquid-themes.com%2Fstaging%2Findex.php%2Fservice-detail%2F|title:Course||"][vc_single_image image="8739" css=".vc_custom_1607933233844{margin-bottom: 20px !important;}"][vc_row_inner css=".vc_custom_1575467932417{padding-right: 22px !important;padding-bottom: 35px !important;padding-left: 22px !important;}"][vc_column_inner][ld_fancy_heading tag="h6" enable_bg="yes" fh_border_radius="circle" use_custom_fonts_title="true" color="rgb(137, 32, 32)" fs="12px" padding="top_small:4px|right_small:10px|bottom_small:4px|left_small:10px" fh_bg="rgba(137, 32, 32, 0.07)" margin="bottom_small:1em"]Science[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_small:19px" lh="text_small:24px" margin="bottom_small:0.35em"]Startup Investment[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(112, 112, 112)" fs="14px" lh="22px" margin="bottom_small:0.75em"]Discover the global city—filled inspiration, opportunities to explore.[/ld_fancy_heading][ld_button style="btn-naked" title="Explore diversity at Chicago" i_type="linea" i_add_icon="true" i_icon_linea="icon-ion-ios-arrow-forward" fs="14px"][/vc_column_inner][/vc_row_inner][/vc_column][vc_column enable_link="enable_column_link" width="1/2" enable_column_shadowbox="yes" css=".vc_custom_1611049844140{margin-bottom: 30px !important;background-color: #ffffff !important;}" offset="vc_col-md-4" column_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2210px%22%2C%22blur_radius%22%3A%22120px%22%2C%22shadow_color%22%3A%22rgba(149%2C%20146%2C%20157%2C%200.15)%22%7D%5D" link="url:https%3A%2F%2Fcompanyhub.liquid-themes.com%2Fstaging%2Findex.php%2Fservice-detail%2F|title:Course||"][vc_single_image image="8740" css=".vc_custom_1607933270102{margin-bottom: 20px !important;}"][vc_row_inner css=".vc_custom_1575467932417{padding-right: 22px !important;padding-bottom: 35px !important;padding-left: 22px !important;}"][vc_column_inner][ld_fancy_heading tag="h6" enable_bg="yes" fh_border_radius="circle" use_custom_fonts_title="true" color="rgb(137, 32, 32)" fs="12px" padding="top_small:4px|right_small:10px|bottom_small:4px|left_small:10px" fh_bg="rgba(137, 32, 32, 0.07)" margin="bottom_small:1em"]Language[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_small:19px" lh="text_small:24px" margin="bottom_small:0.35em"]Leading Experience[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(112, 112, 112)" fs="14px" lh="22px" margin="bottom_small:0.75em"]Discover the global city—filled inspiration, opportunities to explore.[/ld_fancy_heading][ld_button style="btn-naked" title="Explore diversity at Chicago" i_type="linea" i_add_icon="true" i_icon_linea="icon-ion-ios-arrow-forward" fs="14px"][/vc_column_inner][/vc_row_inner][/vc_column][vc_column enable_link="enable_column_link" width="1/2" enable_column_shadowbox="yes" offset="vc_col-md-4" link="url:https%3A%2F%2Fcompanyhub.liquid-themes.com%2Fstaging%2Findex.php%2Fservice-detail%2F|title:Service%20Detail||" css=".vc_custom_1611049851061{margin-bottom: 30px !important;background-color: #ffffff !important;}" column_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2210px%22%2C%22blur_radius%22%3A%22120px%22%2C%22shadow_color%22%3A%22rgba(149%2C%20146%2C%20157%2C%200.15)%22%7D%5D"][vc_single_image image="8740" css=".vc_custom_1607933282804{margin-bottom: 20px !important;}"][vc_row_inner css=".vc_custom_1575467932417{padding-right: 22px !important;padding-bottom: 35px !important;padding-left: 22px !important;}"][vc_column_inner][ld_fancy_heading tag="h6" enable_bg="yes" fh_border_radius="circle" use_custom_fonts_title="true" color="rgb(137, 32, 32)" fs="12px" padding="top_small:4px|right_small:10px|bottom_small:4px|left_small:10px" fh_bg="rgba(137, 32, 32, 0.07)" margin="bottom_small:1em"]Language[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_small:19px" lh="text_small:24px" margin="bottom_small:0.35em"]Zero Commision[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(112, 112, 112)" fs="14px" lh="22px" margin="bottom_small:0.75em"]Discover the global city—filled inspiration, opportunities to explore.[/ld_fancy_heading][ld_button style="btn-naked" title="Explore diversity at Chicago" i_type="linea" i_add_icon="true" i_icon_linea="icon-ion-ios-arrow-forward" fs="14px"][/vc_column_inner][/vc_row_inner][/vc_column][vc_column enable_link="enable_column_link" width="1/2" enable_column_shadowbox="yes" offset="vc_col-md-4" link="url:https%3A%2F%2Fcompanyhub.liquid-themes.com%2Fstaging%2Findex.php%2Fservice-detail%2F|title:Service%20Detail||" css=".vc_custom_1611049861827{margin-bottom: 30px !important;background-color: #ffffff !important;}" column_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2210px%22%2C%22blur_radius%22%3A%22120px%22%2C%22shadow_color%22%3A%22rgba(149%2C%20146%2C%20157%2C%200.15)%22%7D%5D"][vc_single_image image="8738" css=".vc_custom_1607933290308{margin-bottom: 20px !important;}"][vc_row_inner css=".vc_custom_1575467932417{padding-right: 22px !important;padding-bottom: 35px !important;padding-left: 22px !important;}"][vc_column_inner][ld_fancy_heading tag="h6" enable_bg="yes" fh_border_radius="circle" use_custom_fonts_title="true" color="rgb(137, 32, 32)" fs="12px" padding="top_small:4px|right_small:10px|bottom_small:4px|left_small:10px" fh_bg="rgba(137, 32, 32, 0.07)" margin="bottom_small:1em"]Science[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_small:19px" lh="text_small:24px" margin="bottom_small:0.35em"]Leading Experience[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(112, 112, 112)" fs="14px" lh="22px" margin="bottom_small:0.75em"]Discover the global city—filled inspiration, opportunities to explore.[/ld_fancy_heading][ld_button style="btn-naked" title="Explore diversity at Chicago" i_type="linea" i_add_icon="true" i_icon_linea="icon-ion-ios-arrow-forward" fs="14px"][/vc_column_inner][/vc_row_inner][/vc_column][vc_column enable_link="enable_column_link" width="1/2" enable_column_shadowbox="yes" offset="vc_col-md-4" link="url:https%3A%2F%2Fcompanyhub.liquid-themes.com%2Fstaging%2Findex.php%2Fservice-detail%2F|title:Service%20Detail||" css=".vc_custom_1611049869937{margin-bottom: 30px !important;background-color: #ffffff !important;}" column_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2210px%22%2C%22blur_radius%22%3A%22120px%22%2C%22shadow_color%22%3A%22rgba(149%2C%20146%2C%20157%2C%200.15)%22%7D%5D"][vc_single_image image="8739" css=".vc_custom_1607933309038{margin-bottom: 20px !important;}"][vc_row_inner css=".vc_custom_1575467932417{padding-right: 22px !important;padding-bottom: 35px !important;padding-left: 22px !important;}"][vc_column_inner][ld_fancy_heading tag="h6" enable_bg="yes" fh_border_radius="circle" use_custom_fonts_title="true" color="rgb(137, 32, 32)" fs="12px" padding="top_small:4px|right_small:10px|bottom_small:4px|left_small:10px" fh_bg="rgba(137, 32, 32, 0.07)" margin="bottom_small:1em"]Language[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_small:19px" lh="text_small:24px" margin="bottom_small:0.35em"]Big Data Analysis[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(112, 112, 112)" fs="14px" lh="22px" margin="bottom_small:0.75em"]Discover the global city—filled inspiration, opportunities to explore.[/ld_fancy_heading][ld_button style="btn-naked" title="Explore diversity at Chicago" i_type="linea" i_add_icon="true" i_icon_linea="icon-ion-ios-arrow-forward" fs="14px"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;
	
	//Fancy Box 2 - classic
	$data = array();
	$data['name'] = esc_html__( 'Fancy Box 02', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'fancybox-2.jpg' );
	$data['sort_name'] = 'Fancy Box';
	$data['custom_class'] = 'general fancybox';
	$data['content'] = <<<CONTENT
	[vc_row responsive_css="padding_top_medium:80px|padding_bottom_medium:80px" css=".vc_custom_1608550148416{padding-top: 60px !important;padding-bottom: 60px !important;}"][vc_column width="1/2" offset="vc_col-md-4"][ld_content_box template="s04" show_button="yes" ib_style="btn-naked" ib_title="Discover Hub" ib_transformation="text-uppercase" ib_i_type="linea" ib_i_add_icon="true" title="Global Data Analysis" image="183" border_color="rgb(62, 173, 60)" ib_i_icon_linea="lqd-icn-ess icon-md-arrow-round-forward" ib_lh="1.5em" ib_ls="0.05em" ib_i_margin_left="10px"]Highly flexible, adaptable, and scalable projects for your startups.[/ld_content_box][ld_spacer][/vc_column][vc_column width="1/2" offset="vc_col-md-4"][ld_content_box template="s04" show_button="yes" ib_style="btn-naked" ib_title="Discover Hub" ib_transformation="text-uppercase" ib_i_type="linea" ib_i_add_icon="true" title="Research and Development" image="182" border_color="rgb(62, 173, 60)" ib_i_icon_linea="lqd-icn-ess icon-md-arrow-round-forward" ib_lh="1.5em" ib_ls="0.05em" ib_i_margin_left="10px"]Highly flexible, adaptable, and scalable projects for your startups.[/ld_content_box][ld_spacer][/vc_column][vc_column width="1/2" offset="vc_col-md-4"][ld_content_box template="s04" show_button="yes" ib_style="btn-naked" ib_title="Discover Hub" ib_transformation="text-uppercase" ib_i_type="linea" ib_i_add_icon="true" title="Startup Investment" image="184" border_color="rgb(62, 173, 60)" ib_i_icon_linea="lqd-icn-ess icon-md-arrow-round-forward" ib_lh="1.5em" ib_ls="0.05em" ib_i_margin_left="10px"]Highly flexible, adaptable, and scalable projects for your startups.[/ld_content_box][ld_spacer][/vc_column][vc_column width="1/2" offset="vc_col-md-4"][ld_content_box template="s04" show_button="yes" ib_style="btn-naked" ib_title="Discover Hub" ib_transformation="text-uppercase" ib_i_type="linea" ib_i_add_icon="true" title="RD Service Plan" image="184" border_color="rgb(62, 173, 60)" ib_i_icon_linea="lqd-icn-ess icon-md-arrow-round-forward" ib_lh="1.5em" ib_ls="0.05em" ib_i_margin_left="10px"]Highly flexible, adaptable, and scalable projects for your startups.[/ld_content_box][ld_spacer][/vc_column][vc_column width="1/2" offset="vc_col-md-4"][ld_content_box template="s04" show_button="yes" ib_style="btn-naked" ib_title="Discover Hub" ib_transformation="text-uppercase" ib_i_type="linea" ib_i_add_icon="true" title="Growth Plan" image="183" border_color="rgb(62, 173, 60)" ib_i_icon_linea="lqd-icn-ess icon-md-arrow-round-forward" ib_lh="1.5em" ib_ls="0.05em" ib_i_margin_left="10px"]Highly flexible, adaptable, and scalable projects for your startups.[/ld_content_box][ld_spacer][/vc_column][vc_column width="1/2" offset="vc_col-md-4"][ld_content_box template="s04" show_button="yes" ib_style="btn-naked" ib_title="Discover Hub" ib_transformation="text-uppercase" ib_i_type="linea" ib_i_add_icon="true" title="Business Consultation" image="182" border_color="rgb(62, 173, 60)" ib_i_icon_linea="lqd-icn-ess icon-md-arrow-round-forward" ib_lh="1.5em" ib_ls="0.05em" ib_i_margin_left="10px"]Highly flexible, adaptable, and scalable projects for your startups.[/ld_content_box][ld_spacer][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Fancy Box 3 - classic
	$data = array();
	$data['name'] = esc_html__( 'Fancy Box 03', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'fancybox-3.jpg' );
	$data['sort_name'] = 'Fancy Box';
	$data['custom_class'] = 'general fancybox';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" responsive_css="padding_top_medium:100px|padding_bottom_medium:100px" css=".vc_custom_1621613980008{padding-top: 70px !important;padding-bottom: 70px !important;}" el_id="packages"][vc_column offset="vc_col-lg-5 vc_col-md-6"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_small:47px"]Insurance Packages.[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-lg-offset-1 vc_col-md-5"][ld_fancy_heading tag="h6" use_custom_fonts_title="true" color="rgb(80, 80, 80)" fs="text_small:18px" lh="text_small:1.55em"]Being a first-choice employer within our sectors. Our process applies techniques from a variety of disciplines.[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-1" responsive_align="text-md-right" el_id="package-carousel-nav"][/vc_column][vc_column css=".vc_custom_1621600519269{padding-top: 30px !important;}"][ld_carousel_tab columns="md:3|sm:2.5|xs:1|spacing_sm:25px|spacing_xs:15px" inactiv_opacity="1" prevnextbuttons="yes" groupcells="no" wraparound="yes" equalheightcells="yes" navarrow="4" navappend="custom_id" navsize="carousel-nav-sm" navshape="carousel-nav-square" navline="carousel-nav-dot-between" mobile_dots_position="carousel-dots-mobile-inside" navappend_id="#package-carousel-nav" shapesize="16px"][ld_carousel_section title="Carousel Item" tab_id="lqd-1621598718655-80c80356-1fee"][vc_row_inner css=".vc_custom_1621599561629{margin-bottom: 45px !important;}"][vc_column_inner enable_overlay="yes" enable_column_hover_shadowbox="yes" css=".vc_custom_1621599326460{padding-top: 22px !important;padding-bottom: 25px !important;background-color: #f8f8f8 !important;border-radius: 10px !important;}" hover_overlay_bg="rgb(255, 255, 255)" column_hover_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2220px%22%2C%22blur_radius%22%3A%2250px%22%2C%22shadow_color%22%3A%22rgba(65%2C%2094%2C%20148%2C%200.09)%22%7D%5D"][ld_fancy_heading tag="h6" alignment="text-right" transform="text-uppercase" enable_bg="yes" fh_border_radius="circle" use_custom_fonts_title="true" color="rgb(51, 51, 51)" fs="text_small:10px" lh="text_small:1em" fw="text_small:700" ls="text_small:0.1em" padding="top_small:7px|right_small:10px|bottom_small:7px|left_small:10px" fh_bg="rgb(255, 255, 255)" margin="right_small:35px"]New[/ld_fancy_heading][ld_icon_box i_type="image" heading_size="custom" alignment="text-left" i_icon_image="3477" title="Protected Insurance" custom_heading_size="23px" css=".vc_custom_1621600093542{margin-bottom: 35px !important;padding-right: 35px !important;padding-left: 35px !important;}" custom_size="58px" icon_mb="30" title_mb="15"]<span style="font-size: 17px; line-height: 1.47em;">Adjust global theme options and see design changes in real-time.</span>[/ld_icon_box][vc_separator color="custom" accent_color="#e6e6e6" css=".vc_custom_1621599381041{margin-top: 0px !important;margin-bottom: 0px !important;}"][ld_button style="btn-naked" title="Learn more" i_type="linea" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" css=".vc_custom_1621599449886{margin-top: 20px !important;margin-right: 35px !important;margin-left: 35px !important;}" color="rgb(15, 90, 100)" hover_color="rgb(0, 0, 0)" fs="text_small:15px"][/vc_column_inner][/vc_row_inner][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1621599795422-fd00bb79-f296"][vc_row_inner css=".vc_custom_1621599561629{margin-bottom: 45px !important;}"][vc_column_inner enable_overlay="yes" enable_column_hover_shadowbox="yes" css=".vc_custom_1621599326460{padding-top: 22px !important;padding-bottom: 25px !important;background-color: #f8f8f8 !important;border-radius: 10px !important;}" hover_overlay_bg="rgb(255, 255, 255)" column_hover_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2220px%22%2C%22blur_radius%22%3A%2250px%22%2C%22shadow_color%22%3A%22rgba(65%2C%2094%2C%20148%2C%200.09)%22%7D%5D"][ld_fancy_heading tag="h6" alignment="text-right" transform="text-uppercase" enable_bg="yes" fh_border_radius="circle" use_custom_fonts_title="true" color="rgb(51, 51, 51)" fs="text_small:10px" lh="text_small:1em" fw="text_small:700" ls="text_small:0.1em" padding="top_small:7px|right_small:10px|bottom_small:7px|left_small:10px" fh_bg="rgb(255, 255, 255)" margin="right_small:35px"]Offer[/ld_fancy_heading][ld_icon_box i_type="image" heading_size="custom" alignment="text-left" i_icon_image="3478" title="Healthcare Policy" custom_heading_size="23px" css=".vc_custom_1621599811757{margin-bottom: 35px !important;padding-right: 35px !important;padding-left: 35px !important;}" custom_size="50px" icon_mb="30" title_mb="15"]<span style="font-size: 17px; line-height: 1.47em;">Adjust global theme options and see design changes in real-time.</span>[/ld_icon_box][vc_separator color="custom" accent_color="#e6e6e6" css=".vc_custom_1621599381041{margin-top: 0px !important;margin-bottom: 0px !important;}"][ld_button style="btn-naked" title="Learn more" i_type="linea" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" css=".vc_custom_1621599449886{margin-top: 20px !important;margin-right: 35px !important;margin-left: 35px !important;}" color="rgb(15, 90, 100)" hover_color="rgb(0, 0, 0)" fs="text_small:15px"][/vc_column_inner][/vc_row_inner][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1621599820576-00ce6812-07a4"][vc_row_inner css=".vc_custom_1621599561629{margin-bottom: 45px !important;}"][vc_column_inner enable_overlay="yes" enable_column_hover_shadowbox="yes" css=".vc_custom_1621599326460{padding-top: 22px !important;padding-bottom: 25px !important;background-color: #f8f8f8 !important;border-radius: 10px !important;}" hover_overlay_bg="rgb(255, 255, 255)" column_hover_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2220px%22%2C%22blur_radius%22%3A%2250px%22%2C%22shadow_color%22%3A%22rgba(65%2C%2094%2C%20148%2C%200.09)%22%7D%5D"][ld_fancy_heading tag="h6" alignment="text-right" transform="text-uppercase" enable_bg="yes" fh_border_radius="circle" use_custom_fonts_title="true" color="rgb(51, 51, 51)" fs="text_small:10px" lh="text_small:1em" fw="text_small:700" ls="text_small:0.1em" padding="top_small:7px|right_small:10px|bottom_small:7px|left_small:10px" fh_bg="rgb(255, 255, 255)" margin="right_small:35px"]Hot[/ld_fancy_heading][ld_icon_box i_type="image" heading_size="custom" alignment="text-left" i_icon_image="3479" title="Car / Vehicle Insurance" custom_heading_size="23px" css=".vc_custom_1621599934303{margin-bottom: 35px !important;padding-right: 35px !important;padding-left: 35px !important;}" custom_size="65px" icon_mb="26" title_mb="15"]<span style="font-size: 17px; line-height: 1.47em;">Adjust global theme options and see design changes in real-time.</span>[/ld_icon_box][vc_separator color="custom" accent_color="#e6e6e6" css=".vc_custom_1621599381041{margin-top: 0px !important;margin-bottom: 0px !important;}"][ld_button style="btn-naked" title="Learn more" i_type="linea" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" css=".vc_custom_1621599449886{margin-top: 20px !important;margin-right: 35px !important;margin-left: 35px !important;}" color="rgb(15, 90, 100)" hover_color="rgb(0, 0, 0)" fs="text_small:15px"][/vc_column_inner][/vc_row_inner][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1621599987738-6e0435c7-e658"][vc_row_inner css=".vc_custom_1621599561629{margin-bottom: 45px !important;}"][vc_column_inner enable_overlay="yes" enable_column_hover_shadowbox="yes" css=".vc_custom_1621599326460{padding-top: 22px !important;padding-bottom: 25px !important;background-color: #f8f8f8 !important;border-radius: 10px !important;}" hover_overlay_bg="rgb(255, 255, 255)" column_hover_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2220px%22%2C%22blur_radius%22%3A%2250px%22%2C%22shadow_color%22%3A%22rgba(65%2C%2094%2C%20148%2C%200.09)%22%7D%5D"][ld_fancy_heading tag="h6" alignment="text-right" transform="text-uppercase" enable_bg="yes" fh_border_radius="circle" use_custom_fonts_title="true" color="rgb(51, 51, 51)" fs="text_small:10px" lh="text_small:1em" fw="text_small:700" ls="text_small:0.1em" padding="top_small:7px|right_small:10px|bottom_small:7px|left_small:10px" fh_bg="rgb(255, 255, 255)" margin="right_small:35px"]Offer[/ld_fancy_heading][ld_icon_box i_type="image" heading_size="custom" alignment="text-left" i_icon_image="3478" title="Healthcare Policy" custom_heading_size="23px" css=".vc_custom_1621599811757{margin-bottom: 35px !important;padding-right: 35px !important;padding-left: 35px !important;}" custom_size="50px" icon_mb="30" title_mb="15"]<span style="font-size: 17px; line-height: 1.47em;">Adjust global theme options and see design changes in real-time.</span>[/ld_icon_box][vc_separator color="custom" accent_color="#e6e6e6" css=".vc_custom_1621599381041{margin-top: 0px !important;margin-bottom: 0px !important;}"][ld_button style="btn-naked" title="Learn more" i_type="linea" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" css=".vc_custom_1621599449886{margin-top: 20px !important;margin-right: 35px !important;margin-left: 35px !important;}" color="rgb(15, 90, 100)" hover_color="rgb(0, 0, 0)" fs="text_small:15px"][/vc_column_inner][/vc_row_inner][/ld_carousel_section][/ld_carousel_tab][/vc_column][vc_column responsive_align="text-center" responsive_css="padding_top_medium:0px" css=".vc_custom_1621616700255{padding-top: 30px !important;}"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(0, 0, 0)" fs="text_small:15px"]Our nearly 8,000 committed <a href="#">staff members</a> are ready to help.[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Fancy Box 4 - classic
	$data = array();
	$data['name'] = esc_html__( 'Fancy Box 04', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'fancybox-4.jpg' );
	$data['sort_name'] = 'Fancy Box';
	$data['custom_class'] = 'general fancybox';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1614669893026{padding-bottom: 60px !important;}" responsive_css="padding_top_medium:100px|padding_bottom_medium:150px" el_id="businesssolutions"][vc_column align="text-center" offset="vc_col-md-offset-2 vc_col-md-8" css=".vc_custom_1614670742369{margin-bottom: 30px !important;}" responsive_align="text-left text-md-center" responsive_css="margin_bottom_medium:70px"][ld_fancy_heading tag="h2"]IT Business Solutions[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:20px" lh="text_small:1.6em" padding="bottom_large:0px"]Hub IT allows your business and technology computers to store, transmit, analyze, and manipulate big data in the digital world.[/ld_fancy_heading][/vc_column][vc_column responsive_css="margin_top_medium:0px"][ld_carousel_tab columns="md:3|sm:2|xs:1.15|spacing_sm:22px|spacing_xs:15px" inactiv_opacity="1" cellalign="center" wraparound="yes"][ld_carousel_section title="Section 1" tab_id="1592381833921-56829c90-f38d"][ld_content_box template="s08" content_alignment="lqd-fb-content-bc" ct_width="w-80" i_type="linea" title="IT Security" image="45" content_bg="rgb(255, 255, 255)" i_icon_linea="icon-arrow-right-material" i_color="rgb(170, 161, 120)" heading_color="rgb(0, 0, 0)"][/ld_content_box][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px" lh="text_small:1.42em" padding="right_large:10.5%25|left_large:10.5%25" margin="top_small:10px"]Hub IT allows your business and technology computers to store, transmit, analyze, and manipulate big data in the digital world.[/ld_fancy_heading][/ld_carousel_section][ld_carousel_section title="Section 2" tab_id="1592381834026-24319b72-5616"][ld_content_box template="s08" content_alignment="lqd-fb-content-bc" ct_width="w-80" i_type="linea" title="For companies" image="46" content_bg="rgb(255, 255, 255)" i_icon_linea="icon-arrow-right-material" i_color="rgb(170, 161, 120)" heading_color="rgb(0, 0, 0)"][/ld_content_box][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px" lh="text_small:1.42em" padding="right_large:10.5%25|left_large:10.5%25" margin="top_small:10px"]Hub IT allows your business and technology computers to store, transmit, analyze, and manipulate big data in the digital world.[/ld_fancy_heading][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="1592381906295-db133a42-c5d6"][ld_content_box template="s08" content_alignment="lqd-fb-content-bc" ct_width="w-80" i_type="linea" title="Mobile Data" image="44" content_bg="rgb(255, 255, 255)" i_icon_linea="icon-arrow-right-material" i_color="rgb(170, 161, 120)" heading_color="rgb(0, 0, 0)"][/ld_content_box][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px" lh="text_small:1.42em" padding="right_large:10.5%25|left_large:10.5%25" margin="top_small:10px"]Hub IT allows your business and technology computers to store, transmit, analyze, and manipulate big data in the digital world.[/ld_fancy_heading][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="1592381922832-36d419fc-b64a"][ld_content_box template="s08" content_alignment="lqd-fb-content-bc" ct_width="w-80" i_type="linea" title="Mobile Data" image="44" content_bg="rgb(255, 255, 255)" i_icon_linea="icon-arrow-right-material" i_color="rgb(170, 161, 120)" heading_color="rgb(0, 0, 0)"][/ld_content_box][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px" lh="text_small:1.42em" padding="right_large:10.5%25|left_large:10.5%25" margin="top_small:10px"]Buyer through your marketing and sales funnels through the power of real-time conversations and forms.[/ld_fancy_heading][/ld_carousel_section][/ld_carousel_tab][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Fancy Box 5 - classic
	$data = array();
	$data['name'] = esc_html__( 'Fancy Box 05', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'fancybox-5.jpg' );
	$data['sort_name'] = 'Fancy Box';
	$data['custom_class'] = 'general fancybox';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" gap="0" css=".vc_custom_1609856819563{padding-top: 20px !important;padding-bottom: 50px !important;}"][vc_column responsive_align="text-center" offset="vc_col-md-offset-2 vc_col-md-8" css=".vc_custom_1609857128979{margin-bottom: 40px !important;}"][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" color="rgb(35, 46, 108)" fs="text_small:12px" ls="text_small:0.1em" margin="bottom_small:1.5em"]Our services[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" color="rgb(35, 46, 108)" fs="text_small:43px" margin="bottom_small:0.35em"]Digital Solutions[/ld_fancy_heading][/vc_column][vc_column width="1/2" offset="vc_col-md-3"][ld_content_box template="s06" use_custom_fonts_title="true" title="Tailor-made digital solutions." fs="26px" lh="1.2em" image="8860" subtitle="Art Direction" fw="600"][/ld_content_box][/vc_column][vc_column width="1/2" offset="vc_col-md-3"][ld_content_box template="s06" use_custom_fonts_title="true" title="Online Financial Security" fs="26px" lh="1.2em" image="8862" subtitle="Art Direction" fw="600"][/ld_content_box][/vc_column][vc_column width="1/2" offset="vc_col-md-3"][ld_content_box template="s06" use_custom_fonts_title="true" title="Face ID Protection and Analyze" fs="26px" lh="1.2em" image="8863" subtitle="Art Direction" fw="600"][/ld_content_box][/vc_column][vc_column width="1/2" offset="vc_col-md-3"][ld_content_box template="s06" use_custom_fonts_title="true" title="Online Privacy And Security" fs="26px" lh="1.2em" image="8861" subtitle="Art Direction" fw="600"][/ld_content_box][/vc_column][vc_column css=".vc_custom_1609857185047{margin-top: 45px !important;}" responsive_align="text-center"][ld_fancy_heading tag="p" color="rgb(0, 0, 0)"]Our nearly 8,000 committed <a href="#">staff members</a> are ready to help.[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Fancy Box 6 - classic
	$data = array();
	$data['name'] = esc_html__( 'Fancy Box 06', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'fancybox-6.jpg' );
	$data['sort_name'] = 'Fancy Box';
	$data['custom_class'] = 'general fancybox';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1605608047098{padding-bottom: 60px !important;}" responsive_css="padding_top_medium:80px|padding_bottom_medium:150px"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" align="text-center" offset="vc_col-md-offset-2 vc_col-md-8" css=".vc_custom_1607336418520{margin-bottom: 40px !important;}" ca_duration="1800" ca_delay="180" ca_init_translate_y="60" responsive_css="margin_bottom_medium:55px|padding_right_medium:7%25|padding_left_medium:7%25" responsive_align="text-md-center"][ld_fancy_heading tag="h2" enable_txt_rotator="yes" items="%5B%7B%22word%22%3A%22Startups.%22%7D%2C%7B%22word%22%3A%22Digital%20Platforms.%22%7D%2C%7B%22word%22%3A%22Technology%22%7D%5D" use_custom_fonts_title="true" margin="bottom_small:0.35em" fs="text_large:42px|text_small:40px"]Investing in[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_large:20px|text_small:17px" lh="text_large:34px|text_small:25px"]We help our clients succeed by creating brand identities, digital experiences, and print materials that communicate clearly.[/ld_fancy_heading][/vc_column][vc_column][ld_carousel_tab columns="md:3|sm:2|xs:1.15|spacing_md:30px|spacing_xs:15px" inactiv_opacity="1" enable_item_animation="yes" cellalign="center" pagenationdots="yes" wraparound="yes" dots_bottom_offset="-60px" dots_style="carousel-dots-style2" mobile_dots_bottom_offset_outside="-0.5em" pf_init_scale_x="1" pf_init_scale_y="1" pf_init_opacity="0" pf_an_scale_x="1" pf_an_scale_y="1" pf_an_opacity="1" pf_duration="1800" pf_delay="180" pf_init_translate_y="45"][ld_carousel_section title="Tab" tab_id="lqd-1610529190454-ea1f16c5-b1b9"][vc_row_inner][vc_column_inner enable_hover_move="lqd-column-move-onhover" align="text-center" responsive_align="text-center"][vc_single_image image="149" style="vc_box_rounded" css=".vc_custom_1596641224806{margin-bottom: 35px !important;border-radius: 5px !important;}"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_small:20px" margin="bottom_small:1em"]Investing in Digital Companies[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:22px"]Hub IT allows your business and technology computers to store, transmit and analyze.[/ld_fancy_heading][vc_single_image image="400"][/vc_column_inner][/vc_row_inner][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595324695548-74e3fd47-dacf"][vc_row_inner][vc_column_inner enable_hover_move="lqd-column-move-onhover" align="text-center" responsive_align="text-center"][vc_single_image image="148" style="vc_box_rounded" css=".vc_custom_1596641258953{margin-bottom: 35px !important;border-radius: 5px !important;}"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_small:20px" margin="bottom_small:1em"]Securing Digital Payment[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:22px"]Hub IT allows your business and technology computers to store, transmit and analyze.[/ld_fancy_heading][vc_single_image image="399"][/vc_column_inner][/vc_row_inner][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1610529182300-5f911446-06c3"][vc_row_inner][vc_column_inner enable_hover_move="lqd-column-move-onhover" align="text-center" responsive_align="text-center"][vc_single_image image="147" style="vc_box_rounded" css=".vc_custom_1596641348795{margin-bottom: 35px !important;border-radius: 5px !important;}"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="20px" margin="bottom_small:1em"]Building the idea of future[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:22px"]Hub IT allows your business and technology computers to store, transmit and analyze.[/ld_fancy_heading][vc_single_image image="398"][/vc_column_inner][/vc_row_inner][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1610529176041-5b3d9b87-c563"][vc_row_inner][vc_column_inner enable_hover_move="lqd-column-move-onhover" align="text-center" responsive_align="text-center"][vc_single_image image="148" style="vc_box_rounded" css=".vc_custom_1596641258953{margin-bottom: 35px !important;border-radius: 5px !important;}"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_small:20px" margin="bottom_small:1em"]Securing Digital Payment[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:22px"]Hub IT allows your business and technology computers to store, transmit and analyze.[/ld_fancy_heading][vc_single_image image="397"][/vc_column_inner][/vc_row_inner][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595253276998-204134b5-b96d"][vc_row_inner][vc_column_inner enable_hover_move="lqd-column-move-onhover" align="text-center" responsive_align="text-center"][vc_single_image image="149" style="vc_box_rounded" css=".vc_custom_1596641224806{margin-bottom: 35px !important;border-radius: 5px !important;}"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_small:20px" margin="bottom_small:1em"]Investing in Digital Companies[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:22px"]Hub IT allows your business and technology computers to store, transmit and analyze.[/ld_fancy_heading][vc_single_image image="396"][/vc_column_inner][/vc_row_inner][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595324697368-7ed8aa77-fb0d"][vc_row_inner][vc_column_inner enable_hover_move="lqd-column-move-onhover" align="text-center" responsive_align="text-center"][vc_single_image image="147" style="vc_box_rounded" css=".vc_custom_1596641348795{margin-bottom: 35px !important;border-radius: 5px !important;}"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="20px" margin="bottom_small:1em"]Building the idea of future[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:22px"]Hub IT allows your business and technology computers to store, transmit and analyze.[/ld_fancy_heading][vc_single_image image="398"][/vc_column_inner][/vc_row_inner][/ld_carousel_section][/ld_carousel_tab][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Fancy Box 7 - classic
	$data = array();
	$data['name'] = esc_html__( 'Fancy Box 07', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'fancybox-7.jpg' );
	$data['sort_name'] = 'Fancy Box';
	$data['custom_class'] = 'general fancybox';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" responsive_css="padding_top_medium:40px|padding_bottom_medium:80px|padding_bottom_small:50px" css=".vc_custom_1610110873258{padding-bottom: 30px !important;}"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" align="text-center" offset="vc_col-md-offset-3 vc_col-md-6" css=".vc_custom_1577271701433{margin-bottom: 60px !important;}" responsive_css="padding_right_medium:5%25|padding_left_medium:5%25" ca_duration="1800" ca_delay="180" ca_init_translate_y="35" responsive_align="text-center"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" color="rgb(35, 46, 108)" fs="text_medium:43px" margin="bottom_small:0.25em"]Business Solutions[/ld_fancy_heading][ld_fancy_heading tag="p"]We unleash your business potential by maximising the innovation.[/ld_fancy_heading][/vc_column][vc_column][/vc_column][vc_column offset="vc_col-md-4" css=".vc_custom_1610110845951{margin-bottom: 30px !important;}"][ld_flipbox direction="ld-flipbox-tb" shadow="ld-flipbox-shadow-onhover" border_radius="round" bg_image="337" bg_color="linear-gradient(0deg, rgb(24, 27, 49) 0%, rgba(24, 27, 49, 0) 75%)" back_bg_color="rgb(30, 47, 105)"][ld_flipbox_section title="Front"][vc_row_inner css=".vc_custom_1610110470275{margin-right: -50px !important;margin-left: -50px !important;}"][vc_column_inner responsive_css="padding_right_small:20px|padding_left_small:20px" css=".vc_custom_1610110609331{padding-top: 160px !important;padding-right: 15px !important;padding-left: 15px !important;}" responsive_align="text-center"][ld_fancy_heading tag="h6" enable_bg="yes" fh_border_radius="semi-round" use_custom_fonts_title="true" color="rgb(24, 67, 65)" fs="text_small:13px" fw="text_small:700" padding="top_small:6px|right_small:15px|bottom_small:6px|left_small:15px" fh_bg="rgb(255, 255, 255)" margin="bottom_small:2em"]finance[/ld_fancy_heading][ld_fancy_heading tag="h2" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" color="rgb(255, 255, 255)" fs="text_small:28px" lh="text_small:1em"]big data integration for startups[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_flipbox_section][ld_flipbox_section title="Back"][ld_button style="btn-solid" title="Learn more" shape="round" size="btn-lg" color="rgb(255, 255, 255)" text_color="rgb(35, 46, 108)"][/ld_flipbox_section][/ld_flipbox][/vc_column][vc_column offset="vc_col-md-4" css=".vc_custom_1610110834871{margin-bottom: 30px !important;}"][ld_flipbox direction="ld-flipbox-tb" shadow="ld-flipbox-shadow-onhover" border_radius="round" bg_image="336" bg_color="linear-gradient(0deg, rgb(24, 27, 49) 0%, rgba(24, 27, 49, 0) 75%)" back_bg_color="rgb(30, 47, 105)"][ld_flipbox_section title="Front"][vc_row_inner css=".vc_custom_1610110470275{margin-right: -50px !important;margin-left: -50px !important;}"][vc_column_inner responsive_css="padding_right_small:20px|padding_left_small:20px" css=".vc_custom_1610110609331{padding-top: 160px !important;padding-right: 15px !important;padding-left: 15px !important;}" responsive_align="text-center"][ld_fancy_heading tag="h6" enable_bg="yes" fh_border_radius="semi-round" use_custom_fonts_title="true" color="rgb(24, 67, 65)" fs="text_small:13px" fw="text_small:700" padding="top_small:6px|right_small:15px|bottom_small:6px|left_small:15px" fh_bg="rgb(255, 255, 255)" margin="bottom_small:2em"]analytics[/ld_fancy_heading][ld_fancy_heading tag="h2" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" color="rgb(255, 255, 255)" fs="text_small:28px" lh="text_small:1em"]big data integration for startups[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_flipbox_section][ld_flipbox_section title="Back"][ld_button style="btn-solid" title="Learn more" shape="round" size="btn-lg" color="rgb(255, 255, 255)" text_color="rgb(35, 46, 108)"][/ld_flipbox_section][/ld_flipbox][/vc_column][vc_column offset="vc_col-md-4" css=".vc_custom_1610110855792{margin-bottom: 30px !important;}"][ld_flipbox direction="ld-flipbox-tb" shadow="ld-flipbox-shadow-onhover" border_radius="round" bg_image="338" bg_color="linear-gradient(0deg, rgb(24, 27, 49) 0%, rgba(24, 27, 49, 0) 75%)" back_bg_color="rgb(30, 47, 105)"][ld_flipbox_section title="Front"][vc_row_inner css=".vc_custom_1610110470275{margin-right: -50px !important;margin-left: -50px !important;}"][vc_column_inner responsive_css="padding_right_small:20px|padding_left_small:20px" css=".vc_custom_1610110609331{padding-top: 160px !important;padding-right: 15px !important;padding-left: 15px !important;}" responsive_align="text-center"][ld_fancy_heading tag="h6" enable_bg="yes" fh_border_radius="semi-round" use_custom_fonts_title="true" color="rgb(24, 67, 65)" fs="text_small:13px" fw="text_small:700" padding="top_small:6px|right_small:15px|bottom_small:6px|left_small:15px" fh_bg="rgb(255, 255, 255)" margin="bottom_small:2em"]consulting[/ld_fancy_heading][ld_fancy_heading tag="h2" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" color="rgb(255, 255, 255)" fs="text_small:28px" lh="text_small:1em"]big data integration for startups[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_flipbox_section][ld_flipbox_section title="Back"][ld_button style="btn-solid" title="Learn more" shape="round" size="btn-lg" color="rgb(255, 255, 255)" text_color="rgb(35, 46, 108)"][/ld_flipbox_section][/ld_flipbox][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Fancy Box 8 - classic
	$data = array();
	$data['name'] = esc_html__( 'Fancy Box 08', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'fancybox-8.jpg' );
	$data['sort_name'] = 'Fancy Box';
	$data['custom_class'] = 'general fancybox';
	$data['content'] = <<<CONTENT
CONTENT;
	$templates[] = $data;

	//Fancy Box 9 - classic
	$data = array();
	$data['name'] = esc_html__( 'Fancy Box 09', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'fancybox-9.jpg' );
	$data['sort_name'] = 'Fancy Box';
	$data['custom_class'] = 'general fancybox';
	$data['content'] = <<<CONTENT
	[vc_row gap="20" equal_height="yes" css=".vc_custom_1605940817178{padding-top: 60px !important;padding-bottom: 60px !important;}" responsive_css="padding_top_medium:90px|padding_bottom_medium:30px"][vc_column align="text-center" offset="vc_col-md-offset-3 vc_col-md-6" css=".vc_custom_1591020170979{margin-bottom: 55px !important;}" responsive_align="text-center"][ld_fancy_heading tag="h2"]#stayhome[/ld_fancy_heading][ld_fancy_heading tag="p" padding="right_large:3vw|left_large:3vw"]Because we know just how hard it is to get the size, color and even the garment right in the fashion.[/ld_fancy_heading][/vc_column][vc_column row_scale_bg_onhover="yes" enable_link="enable_column_link" enable_overlay="yes" bg_position="center center" align="text-center" offset="vc_col-md-6" css=".vc_custom_1618676208011{margin-bottom: 20px !important;padding-top: 250px !important;padding-right: 35px !important;padding-bottom: 35px !important;padding-left: 35px !important;background-image: url(https://fashionstorepro.liquid-themes.com/wp-content/uploads/2021/02/category@2x.jpg?id=4809) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" responsive_css="padding_top_medium:420px" hover_overlay_bg="rgba(0, 0, 0, 0.15)" responsive_align="text-center" link="url:https%3A%2F%2Ffashionstorepro.liquid-themes.com%2Fproduct-category%2Fparty-collection%2F|||"][ld_button style="btn-solid" title="Casual wear" transformation="text-uppercase" size="btn-sm" color="rgb(255, 255, 255)" hover_color="rgb(0, 0, 0)" text_color="rgb(0, 0, 0)" htext_color="rgb(255, 255, 255)" fs="12px" lh="1.2em" ls="0.1em"][/vc_column][vc_column width="1/2" offset="vc_col-md-3"][vc_row_inner][vc_column_inner row_scale_bg_onhover="yes" enable_link="enable_column_link" enable_overlay="yes" align="text-center" css=".vc_custom_1618676216767{margin-bottom: 20px !important;padding-top: 160px !important;padding-right: 25px !important;padding-bottom: 25px !important;padding-left: 25px !important;background-image: url(https://fashionstorepro.liquid-themes.com/wp-content/uploads/2020/08/shop-cat-2@2x.jpg?id=4439) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" responsive_css="margin_bottom_small:45px" hover_overlay_bg="rgba(0, 0, 0, 0.15)" responsive_align="text-center" link="url:https%3A%2F%2Ffashionstorepro.liquid-themes.com%2Fproduct-category%2Fparty-collection%2F|||"][ld_button style="btn-solid" title="Accessories" transformation="text-uppercase" size="btn-sm" color="rgb(255, 255, 255)" hover_color="rgb(0, 0, 0)" text_color="rgb(0, 0, 0)" htext_color="rgb(255, 255, 255)" fs="12px" lh="1.2em" ls="0.1em"][/vc_column_inner][vc_column_inner row_scale_bg_onhover="yes" enable_link="enable_column_link" enable_overlay="yes" align="text-center" css=".vc_custom_1618676222933{margin-bottom: 20px !important;padding-top: 160px !important;padding-right: 25px !important;padding-bottom: 25px !important;padding-left: 25px !important;background-image: url(https://fashionstorepro.liquid-themes.com/wp-content/uploads/2020/08/shop-cat-3@2x.jpg?id=4440) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" hover_overlay_bg="rgba(0, 0, 0, 0.15)" responsive_align="text-center" link="url:https%3A%2F%2Ffashionstorepro.liquid-themes.com%2Fproduct-category%2Fparty-collection%2F|||"][ld_button style="btn-solid" title="Shop Shirts" transformation="text-uppercase" size="btn-sm" color="rgb(255, 255, 255)" hover_color="rgb(0, 0, 0)" text_color="rgb(0, 0, 0)" htext_color="rgb(255, 255, 255)" fs="12px" lh="1.2em" ls="0.1em"][/vc_column_inner][/vc_row_inner][/vc_column][vc_column row_scale_bg_onhover="yes" enable_link="enable_column_link" width="1/2" enable_overlay="yes" align="text-center" offset="vc_col-md-3" css=".vc_custom_1618676231115{margin-bottom: 20px !important;padding-top: 420px !important;padding-right: 35px !important;padding-bottom: 35px !important;padding-left: 35px !important;background-image: url(https://fashionstorepro.liquid-themes.com/wp-content/uploads/2020/06/Image-1@2x.jpg?id=103) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" hover_overlay_bg="rgba(0, 0, 0, 0.15)" responsive_align="text-center" link="url:https%3A%2F%2Ffashionstorepro.liquid-themes.com%2Fproduct-category%2Fparty-collection%2F|||"][ld_button style="btn-solid" title="Top Dresses" transformation="text-uppercase" size="btn-sm" color="rgb(255, 255, 255)" hover_color="rgb(0, 0, 0)" text_color="rgb(0, 0, 0)" htext_color="rgb(255, 255, 255)" fs="12px" lh="1.2em" ls="0.1em"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Fancy Box 10 - classic
	$data = array();
	$data['name'] = esc_html__( 'Fancy Box 10', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'fancybox-10.jpg' );
	$data['sort_name'] = 'Fancy Box';
	$data['custom_class'] = 'general fancybox';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1614153879083{padding-top: 50px !important;padding-bottom: 50px !important;}" el_id="solutions" responsive_css="padding_bottom_medium:70px"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" align="text-center" offset="vc_col-lg-offset-3 vc_col-lg-6 vc_col-md-offset-2 vc_col-md-8" ca_duration="1800" ca_delay="180" ca_init_translate_y="45" css=".vc_custom_1575034938481{margin-bottom: 45px !important;}" responsive_align="text-center"][ld_fancy_heading tag="h2" use_inheritance="true"]Case Studies[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:19px" lh="text_small:31px" margin="bottom_large:2em"]Choose a pre-built header or create a custom layout that perfectly suits your needs. It’s easy, fast and mobile-friendly.[/ld_fancy_heading][/vc_column][vc_column][vc_row_inner enable_content_animation="yes" gap="30" animation_preset="Fade In" ca_duration="1800" ca_delay="180"][vc_column_inner width="1/2" offset="vc_col-md-4" css=".vc_custom_1574948048040{margin-bottom: 35px !important;}"][ld_content_box template="s09" use_custom_fonts_title="true" title="Product and Branding Strategy" image="37" fs="18px"][/ld_content_box][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-4" css=".vc_custom_1574948048040{margin-bottom: 35px !important;}"][ld_content_box template="s09" use_custom_fonts_title="true" title="Special Data Science" image="36" fs="18px"][/ld_content_box][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-4" css=".vc_custom_1574948048040{margin-bottom: 35px !important;}"][ld_content_box template="s09" use_custom_fonts_title="true" title="Promote your Social Posts" image="35" fs="18px"][/ld_content_box][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-4" css=".vc_custom_1574948048040{margin-bottom: 35px !important;}"][ld_content_box template="s09" use_custom_fonts_title="true" title="Increase your engagement" image="34" fs="18px"][/ld_content_box][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-4" css=".vc_custom_1574948048040{margin-bottom: 35px !important;}"][ld_content_box template="s09" use_custom_fonts_title="true" title="Get Instant Analytics" image="33" fs="18px"][/ld_content_box][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-4" css=".vc_custom_1574948048040{margin-bottom: 35px !important;}"][ld_content_box template="s09" use_custom_fonts_title="true" title="Augmented Reality" image="38" fs="18px"][/ld_content_box][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Fancy Box 11 - classic
	$data = array();
	$data['name'] = esc_html__( 'Fancy Box 11', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'fancybox-11.jpg' );
	$data['sort_name'] = 'Fancy Box';
	$data['custom_class'] = 'general fancybox';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" css=".vc_custom_1605984996048{padding-top: 60px !important;padding-bottom: 60px !important;}" el_id="services" responsive_css="padding_top_medium:150px|padding_bottom_medium:100px"][vc_column offset="vc_col-md-6" responsive_css="margin_left_medium:25px"][ld_fancy_heading tag="h2" highlight_reset_onhover="lqd-highlight-reset-onhover" highlight_offset="13px" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" enable_split="true" use_mask="true" highlight_color="rgba(21, 118, 255, 0.2)" ca_init_translate_x="0" ca_init_translate_y="0" margin="bottom_small:0.25em"]La [ld_highlight]solution[/ld_highlight] à cos payment[/ld_fancy_heading][ld_fancy_heading tag="p" tag_to_inherite="h6" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_inheritance="true" enable_split="true" use_mask="true"]Les services de paiement sont disponibles via des applications mobiles et de bureau.[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-6" el_id="fancy-box-carousel-nav" responsive_align="text-md-right" responsive_css="margin_right_medium:25px"][/vc_column][vc_column css=".vc_custom_1572335927203{margin-top: 60px !important;}"][ld_carousel_tab columns="xs:1|spacing_md:30px|spacing_xs:15px" inactiv_opacity="1" prevnextbuttons="yes" wraparound="yes" adaptiveheight="yes" navarrow="6" navappend="custom_id" navsize="carousel-nav-xl" navfill="carousel-nav-solid" navshape="carousel-nav-circle" navshadow="carousel-nav-shadowed-onhover" navhalign="carousel-nav-right" navappend_id="#fancy-box-carousel-nav" nav_arrow_color="rgb(0, 36, 88)" nav_arrow_color_hover="rgb(0, 36, 88)" nav_bg_color="rgb(255, 255, 255)" nav_bg_hcolor="rgb(246, 252, 254)"][ld_carousel_section title="Tab" tab_id="lqd-1595256704358-1ba85b49-d223"][vc_row_inner equal_height="yes"][vc_column_inner offset="vc_col-md-6" css=".vc_custom_1595257176494{margin-bottom: 30px !important;}" responsive_css="padding_right_medium:17px"][ld_content_box template="s08" i_type="fontawesome" title="Available for retailers and stores" image="4351" i_icon_fontawesome="fa fa-angle-right" hover_text_color="rgb(255, 227, 209)"][/ld_content_box][/vc_column_inner][vc_column_inner offset="vc_col-md-6" css=".vc_custom_1595257194496{margin-bottom: 30px !important;}" responsive_css="padding_left_medium:17px"][ld_content_box template="s08" i_type="fontawesome" title="Highly Secure Online Shopping" image="4350" i_icon_fontawesome="fa fa-angle-right" hover_text_color="rgb(255, 227, 209)"][/ld_content_box][/vc_column_inner][vc_column_inner offset="vc_col-md-6" css=".vc_custom_1595257187010{margin-bottom: 30px !important;}" responsive_css="padding_right_medium:17px"][ld_content_box template="s08" i_type="fontawesome" title="Online Payment Services for mobile" image="4349" i_icon_fontawesome="fa fa-angle-right" hover_text_color="rgb(255, 227, 209)"][/ld_content_box][/vc_column_inner][vc_column_inner offset="vc_col-md-6" css=".vc_custom_1595257200786{margin-bottom: 30px !important;}" responsive_css="padding_left_medium:17px"][ld_content_box template="s08" i_type="fontawesome" title="Intelligent money Transfer" image="4348" i_icon_fontawesome="fa fa-angle-right" hover_text_color="rgb(255, 227, 209)"][/ld_content_box][/vc_column_inner][/vc_row_inner][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595256704539-cff9b882-097d"][vc_row_inner equal_height="yes"][vc_column_inner offset="vc_col-md-6" css=".vc_custom_1595257259135{margin-bottom: 30px !important;}" responsive_css="padding_right_medium:17px"][ld_content_box template="s08" i_type="fontawesome" title="Highly Secure Online Shopping" image="4350" i_icon_fontawesome="fa fa-angle-right" hover_text_color="rgb(255, 227, 209)"][/ld_content_box][/vc_column_inner][vc_column_inner offset="vc_col-md-6" css=".vc_custom_1595257271979{margin-bottom: 30px !important;}" responsive_css="padding_left_medium:17px"][ld_content_box template="s08" i_type="fontawesome" title="Intelligent money Transfer" image="4348" i_icon_fontawesome="fa fa-angle-right" hover_text_color="rgb(255, 227, 209)"][/ld_content_box][/vc_column_inner][vc_column_inner offset="vc_col-md-6" css=".vc_custom_1595257265477{margin-bottom: 30px !important;}" responsive_css="padding_right_medium:17px"][ld_content_box template="s08" i_type="fontawesome" title="Available for retailers and stores" image="4351" i_icon_fontawesome="fa fa-angle-right" hover_text_color="rgb(255, 227, 209)"][/ld_content_box][/vc_column_inner][vc_column_inner offset="vc_col-md-6" css=".vc_custom_1595257278511{margin-bottom: 30px !important;}" responsive_css="padding_left_medium:17px"][ld_content_box template="s08" i_type="fontawesome" title="Online Payment Services for mobile" image="4349" i_icon_fontawesome="fa fa-angle-right" hover_text_color="rgb(255, 227, 209)"][/ld_content_box][/vc_column_inner][/vc_row_inner][/ld_carousel_section][/ld_carousel_tab][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Fancy Box 12 - classic
	$data = array();
	$data['name'] = esc_html__( 'Fancy Box 12', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'fancybox-12.jpg' );
	$data['sort_name'] = 'Fancy Box';
	$data['custom_class'] = 'general fancybox';
	$data['content'] = <<<CONTENT
	[vc_row responsive_css="padding_top_medium:50px|padding_bottom_medium:120px" css=".vc_custom_1622103240889{padding-top: 35px !important;padding-bottom: 70px !important;}" el_id="case-studies"][vc_column offset="vc_col-md-6"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_large:47px" margin="bottom_large:0px"]Practice Areas[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-offset-1 vc_col-md-5"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.47em"]We embrace holistic development and support for the aim of being a first-choice employer within our sectors.[/ld_fancy_heading][/vc_column][vc_column css=".vc_custom_1622034472426{padding-top: 50px !important;}"][ld_carousel_tab columns="md:3|sm:2|xs:1|spacing_xs:20px" inactiv_opacity="1" pagenationdots="yes" groupcells="no" wraparound="yes" dots_style="carousel-dots-style4" dots_bg_color="rgb(225, 225, 225)" dots_bg_hcolor="rgb(87, 87, 87)"][ld_carousel_section title="Carousel Item" tab_id="lqd-1622034411038-85a52ec4-8a1d"][ld_content_box template="s08" content_alignment="lqd-fb-content-bc" ct_width="w-90" i_type="linea" title="Immigration Issues" image="31" i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-forward" i_color="rgb(175, 123, 91)"][/ld_content_box][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:14px" lh="text_small:1.71em" padding="top_large:1.5em|right_large:32px|left_large:32px"]Our process applies techniques from a variety of disciplines distinction in detail and gives careful attention.[/ld_fancy_heading][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1622034751456-c0483566-f77d"][ld_content_box template="s08" content_alignment="lqd-fb-content-bc" ct_width="w-90" i_type="linea" title="Intellectual Property" image="93" i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-forward" i_color="rgb(175, 123, 91)"][/ld_content_box][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:14px" lh="text_small:1.71em" padding="top_large:1.5em|right_large:32px|left_large:32px"]Our process applies techniques from a variety of disciplines distinction in detail and gives careful attention.[/ld_fancy_heading][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1622034782334-be933597-a3f9"][ld_content_box template="s08" content_alignment="lqd-fb-content-bc" ct_width="w-90" i_type="linea" title="Citizenship" image="30" i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-forward" i_color="rgb(175, 123, 91)"][/ld_content_box][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:14px" lh="text_small:1.71em" padding="top_large:1.5em|right_large:32px|left_large:32px"]Our process applies techniques from a variety of disciplines distinction in detail and gives careful attention.[/ld_fancy_heading][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1622034819526-4fd41faa-c7ab"][ld_content_box template="s08" content_alignment="lqd-fb-content-bc" ct_width="w-90" i_type="linea" title="Intellectual Property" image="29" i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-forward" i_color="rgb(175, 123, 91)"][/ld_content_box][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:14px" lh="text_small:1.71em" padding="top_large:1.5em|right_large:32px|left_large:32px"]Our process applies techniques from a variety of disciplines distinction in detail and gives careful attention.[/ld_fancy_heading][/ld_carousel_section][/ld_carousel_tab][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Fancy Box 13 - classic
	$data = array();
	$data['name'] = esc_html__( 'Fancy Box 13', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'fancybox-13.jpg' );
	$data['sort_name'] = 'Fancy Box';
	$data['custom_class'] = 'general fancybox';
	$data['content'] = <<<CONTENT
CONTENT;
	$templates[] = $data;

	//Fancy Box 14 - classic
	$data = array();
	$data['name'] = esc_html__( 'Fancy Box 15', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'fancybox-14.jpg' );
	$data['sort_name'] = 'Fancy Box';
	$data['custom_class'] = 'general fancybox';
	$data['content'] = <<<CONTENT
	[vc_row gap="0" equal_height="yes" responsive_css="padding_top_medium:50px|padding_right_medium:0px|padding_bottom_medium:100px|padding_left_medium:0px" css=".vc_custom_1622013818717{padding-top: 35px !important;padding-right: 15px !important;padding-bottom: 70px !important;padding-left: 15px !important;}" el_id="programs"][vc_column offset="vc_col-lg-offset-3 vc_col-lg-6 vc_col-md-offset-2 vc_col-md-8" responsive_align="text-center" css=".vc_custom_1621945723059{margin-bottom: 50px !important;}" responsive_css="margin_bottom_medium:80px"][ld_fancy_heading tag="h6" enable_bg="yes" fh_border_radius="circle" color="rgb(120, 95, 255)" padding="top_small:0.625em|right_small:1em|bottom_small:0.625em|left_small:1em" fh_bg="rgba(120, 95, 255, 0.1)" margin="bottom_small:1em"]Programs[/ld_fancy_heading][ld_fancy_heading tag="h2" margin="bottom_small:0.35em"]Volunteer in the campaign.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.52em" margin="bottom_small:0.35em"]Our nearly 8,000 committed staff members are critical to the University of Chicago’s tradition of excellence.[/ld_fancy_heading][/vc_column][vc_column][/vc_column][vc_column width="1/2" offset="vc_col-md-3" css=".vc_custom_1621946297992{margin-bottom: 30px !important;border-right-width: 0px !important;padding-right: 15px !important;padding-left: 15px !important;border-right-color: #e8e8e8 !important;border-right-style: solid !important;}" responsive_css="padding_right_large:10%25|padding_left_large:10%25|margin_bottom_medium:0px|padding_right_medium:7%25|padding_left_medium:7%25|border_right_small:1px|padding_right_small:23px|padding_left_small:23px"][ld_content_box template="s11" title="Creative Thinking" image="71" img_link="url:%23|||" margin="top_large:-30px|bottom_large:30px|bottom_small:0px" heading_hcolor="rgb(120, 95, 255)"][/ld_content_box][/vc_column][vc_column width="1/2" offset="vc_col-md-3" css=".vc_custom_1621946306892{margin-bottom: 30px !important;border-right-width: 0px !important;padding-right: 15px !important;padding-left: 15px !important;border-right-color: #e8e8e8 !important;border-right-style: solid !important;}" responsive_css="padding_right_large:10%25|padding_left_large:10%25|margin_bottom_medium:0px|padding_right_medium:7%25|padding_left_medium:7%25|border_right_small:1px|padding_right_small:23px|padding_left_small:23px"][ld_content_box template="s11" title="Educational Programs" image="74" img_link="url:%23|||" margin="top_large:-30px|bottom_large:30px|bottom_small:0px" heading_hcolor="rgb(255, 126, 106)"][/ld_content_box][/vc_column][vc_column width="1/2" offset="vc_col-md-3" css=".vc_custom_1621946313941{margin-bottom: 30px !important;border-right-width: 0px !important;padding-right: 15px !important;padding-left: 15px !important;border-right-color: #e8e8e8 !important;border-right-style: solid !important;}" responsive_css="padding_right_large:10%25|padding_left_large:10%25|margin_bottom_medium:0px|padding_right_medium:7%25|padding_left_medium:7%25|border_right_small:1px|padding_right_small:23px|padding_left_small:23px"][ld_content_box template="s11" title="Fun Play Times" image="73" img_link="url:%23|||" margin="top_large:-30px|bottom_large:30px|bottom_small:0px" heading_hcolor="rgb(61, 166, 180)"][/ld_content_box][/vc_column][vc_column width="1/2" offset="vc_col-md-3" css=".vc_custom_1621946341312{margin-bottom: 30px !important;padding-right: 15px !important;padding-left: 15px !important;}" responsive_css="padding_right_large:10%25|padding_left_large:10%25|margin_bottom_medium:0px|padding_right_medium:7%25|padding_left_medium:7%25|padding_right_small:23px|padding_left_small:23px"][ld_content_box template="s11" title="Art And Culture" image="72" img_link="url:%23|||" margin="top_large:-30px|bottom_large:30px|bottom_small:0px" heading_hcolor="rgb(255, 95, 167)"][/ld_content_box][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;
	
	//Category Fancy Image
	//Fancy Image 1 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Fancy Image 01', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'fi-1.jpg' );
	$data['sort_name'] = 'Fancy Image';
	$data['custom_class'] = 'general fancyimage';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" css=".vc_custom_1605622148793{padding-top: 60px !important;padding-bottom: 80px !important;}" responsive_css="padding_top_medium:120px|padding_bottom_medium:140px"][vc_column offset="vc_col-md-4" responsive_css="padding_right_large:10%25|padding_bottom_medium:0px" css=".vc_custom_1605622117741{padding-bottom: 40px !important;}"][ld_fancy_heading tag="h6" use_custom_fonts_title="true" margin="bottom_small:2em"]Hub wired collection[/ld_fancy_heading][ld_fancy_heading tag="h2"]Easy skin care routine.[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:1.5em"]Hub offers a range of skincare products that are feminine, delicate and long-lasting with vitamins and nutritions to improve your skin condition.[/ld_fancy_heading][ld_button style="btn-naked" title="Shop collection" transformation="text-uppercase" i_type="linea" i_hover_reveal="btn-hover-swp" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" color="rgb(0, 0, 0)" fs="13px" ls="0.1em"][/vc_column][vc_column offset="vc_col-md-offset-2 vc_col-md-5"][ld_images_group_container][ld_images_group_element img_size="50%" enable_image_shadow="yes" shadow_style="3" enable_hover3d="yes" enable_roudness="yes" image_roudness="2" enable_shadow="yes" image="37"][/ld_images_group_element][ld_images_group_element img_size="50%" enable_image_shadow="yes" shadow_style="3" enable_hover3d="yes" enable_roudness="yes" image_roudness="2" enable_shadow="yes" absolute_pos="yes" image="280" position="bottom_small:-10%25|left_small:45%25" shadow_delay="500"][/ld_images_group_element][/ld_images_group_container][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Fancy Image 2 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Fancy Image 02', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'fi-2.jpg' );
	$data['sort_name'] = 'Fancy Image';
	$data['custom_class'] = 'general fancyimage';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" css=".vc_custom_1605622781017{padding-bottom: 40px !important;}" responsive_css="padding_top_medium:60px|padding_bottom_medium:60px" row_hide="hidden-xs hidden-sm"][vc_column align="text-center" css=".vc_custom_1590405292325{margin-bottom: 240px !important;}" responsive_align="text-center"][ld_fancy_heading tag="h4"]<i class="fa fa-instagram mr-3"></i>Follow us on Instagram[/ld_fancy_heading][/vc_column][vc_column align="text-center" responsive_align="text-center"][ld_images_group_container][ld_images_group_element img_size="65%" enable_lightbox="yes" lightbox_group_id="shop-lightbox" absolute_pos="yes" image="123" position="top_small:-32%25|left_small:63%25"][/ld_images_group_element][ld_images_group_element img_size="65%" enable_lightbox="yes" lightbox_group_id="shop-lightbox" image="121" margin="left_small:10%25"][/ld_images_group_element][ld_images_group_element img_size="65%" enable_lightbox="yes" lightbox_group_id="shop-lightbox" absolute_pos="yes" image="124" position="top_small:-40%25|left_small:36%25"][/ld_images_group_element][ld_images_group_element img_size="65%" enable_lightbox="yes" lightbox_group_id="shop-lightbox" absolute_pos="yes" image="127" position="top_small:-20%25|left_small:15%25"][/ld_images_group_element][ld_images_group_element img_size="65%" enable_lightbox="yes" lightbox_group_id="shop-lightbox" absolute_pos="yes" image="145" position="top_small:30%25|left_small:2%25"][/ld_images_group_element][ld_images_group_element img_size="65%" enable_lightbox="yes" lightbox_group_id="shop-lightbox" absolute_pos="yes" image="122" position="top_small:25%25|left_small:83%25"][/ld_images_group_element][/ld_images_group_container][/vc_column][/vc_row]	
CONTENT;
	$templates[] = $data;

	//Fancy Image 3 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Fancy Image 03', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'fi-3.jpg' );
	$data['sort_name'] = 'Fancy Image';
	$data['custom_class'] = 'general fancyimage';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1606205965159{padding-top: 40px !important;padding-bottom: 40px !important;background-color: #d5f5ff !important;}" responsive_css="padding_top_medium:10vh|padding_bottom_medium:10vh"][vc_column offset="vc_col-md-offset-1 vc_col-md-10"][ld_promo show_dynamic_shape="yes" show_button="yes" ib_style="btn-naked" ib_title="— view project" ib_transformation="text-uppercase" ib_i_type="linea" ib_i_hover_reveal="btn-hover-reveal" use_custom_fonts_title="true" ib_i_add_icon="true" title="Anti Dote" image="307" ib_i_icon_linea="lqd-icn-ess icon-md-arrow-forward" ib_color="rgb(0, 74, 199)" ib_hover_color="rgb(0, 0, 0)" ib_fs="13px" ib_ls="0.1em" color="rgb(0, 74, 199)" overlay_color="rgb(255, 255, 255)" dynamic_shape_bg="rgb(255, 255, 255)" fs="9vw" ib_fw="700" ib_link="url:https%3A%2F%2Fadaptivecolors.liquid-themes.com%2Fstaging%2Fportfolio%2Fnexa-mobile%2F|title:Starter%20Kit||"]Sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.
Ut enim ad minim veniam[/ld_promo][/vc_column][/vc_row]	
CONTENT;
	$templates[] = $data;

	//Fancy Image 4 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Fancy Image 04', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'fi-4.jpg' );
	$data['sort_name'] = 'Fancy Image';
	$data['custom_class'] = 'general fancyimage';
	$data['content'] = <<<CONTENT
	[vc_row equal_height="yes" content_placement="middle" bg_position="custom" css=".vc_custom_1610879009876{padding-top: 60px !important;padding-bottom: 60px !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}" bg_pos_h="104%" bg_pos_v="10%" responsive_css="margin_left_medium:100px|padding_top_medium:70px|padding_bottom_medium:70px|padding_bottom_small:40px"][vc_column offset="vc_col-md-4" css=".vc_custom_1610836127832{margin-bottom: 20px !important;}" responsive_css="padding_top_medium:70px"][ld_images_group_container][ld_images_group_element img_size="55%" enable_image_shadow="yes" shadow_style="4" enable_shadow="yes" absolute_pos="yes" image="49" position="top_large:-15%25|left_large:-7vw|left_medium:10vw|top_small:-15%25|left_small:0px"][/ld_images_group_element][ld_images_group_element img_size="55%" enable_image_shadow="yes" shadow_style="4" enable_shadow="yes" absolute_pos="yes" image="48" position="right_large:-30%25|right_medium:9vw|top_small:-26%25|right_small:0px"][/ld_images_group_element][ld_images_group_element img_size="55%" enable_image_shadow="yes" shadow_style="4" enable_shadow="yes" image="47" margin="top_large:90px" position="left_large:0px|left_medium:25vw|left_small:18vw"][/ld_images_group_element][/ld_images_group_container][/vc_column][vc_column offset="vc_col-lg-offset-2 vc_col-lg-5 vc_col-md-offset-1 vc_col-md-6"][ld_fancy_heading tag="h6" margin="bottom_small:2em"]La solution a vos mobile online payments[/ld_fancy_heading][ld_fancy_heading tag="h2" tag_to_inherite="h3" use_inheritance="true" margin="bottom_small:1.5em"]We create brand identities, digital experiences, and print materials look fantastic.[/ld_fancy_heading][vc_accordion size="md" borders="accordion-title-bordered" border_round="accordion-title-round" heading_shadow="yes" show_icon="yes" i_add_icon="true" expander_size="accordion-expander-lg" i_type="linea" active_add_icon="true" active_type="linea" use_custom_fonts_title="true" bottom_margin="25px" fs="18px" lh="1.75em" i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-down" active_icon_linea="lqd-icn-ess icon-ion-ios-arrow-up" bg_color="rgb(255, 255, 255)" active_bg_color="rgb(255, 255, 255)" heading_color="rgb(21, 21, 23)" active_heading_color="rgb(21, 21, 23)" exp_color="rgb(77, 102, 255)" active_exp_color="rgb(77, 102, 255)" border_color="rgb(255, 255, 255)" active_border_color="rgb(255, 255, 255)"][vc_accordion_tab title="increase your conversion rate" tab_id="lqd-1587034043819-84b84fd6-594f"][ld_fancy_heading tag="p"]Helping innovators and brands through cultural insight, strategic vision, and innovation.[/ld_fancy_heading][/vc_accordion_tab][vc_accordion_tab title="End-to-end encryption for messages" tab_id="lqd-1587034043874-e9d0bbcd-65a3"][ld_fancy_heading tag="p"]Helping innovators and brands through cultural insight, strategic vision, and innovation.[/ld_fancy_heading][/vc_accordion_tab][/vc_accordion][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Fancy Image 5 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Fancy Image 05', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'fi-5.jpg' );
	$data['sort_name'] = 'Fancy Image';
	$data['custom_class'] = 'general fancyimage';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" bg_position="center bottom" css=".vc_custom_1602651674721{padding-bottom: 70px !important;background-image: url(https://digitalstudiopro.liquid-themes.com/wp-content/uploads/2020/05/BG.svg?id=4390) !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}" responsive_css="padding_top_medium:70px|padding_bottom_medium:70px"][vc_column align="text-center" offset="vc_col-lg-offset-2 vc_col-lg-8" css=".vc_custom_1588593855688{margin-bottom: 30px !important;}" responsive_align="text-center"][ld_fancy_heading tag="h6" margin="bottom_small:1.5em"]Selected Projects[/ld_fancy_heading][ld_fancy_heading tag="h2"]Digital Case Studies[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:19px" lh="text_small:1.5em" margin="bottom_small:2em" padding="right_all:22%25|left_all:22%25"]Passionate about solving problems through creative communications.[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-5"][ld_images_group_container][ld_images_group_element img_size="50%" enable_image_shadow="yes" shadow_style="1" enable_roudness="yes" image_roudness="6" enable_shadow="yes" image="4392"][/ld_images_group_element][ld_images_group_element absolute_pos="yes" image="4394" position="top_small:28%25|left_small:-30px"][/ld_images_group_element][ld_images_group_element img_size="50%" enable_image_shadow="yes" shadow_style="2" enable_roudness="yes" image_roudness="6" enable_shadow="yes" image="4391" margin="top_small:-15%25|left_small:35%25" shadow_delay="75"][/ld_images_group_element][ld_images_group_element img_size="50%" enable_image_shadow="yes" shadow_style="4" enable_roudness="yes" image_roudness="6" enable_shadow="yes" image="4393" margin="top_small:-13%25|left_small:10%25" shadow_delay="150"][/ld_images_group_element][/ld_images_group_container][/vc_column][vc_column offset="vc_col-md-7"][vc_row_inner equal_height="yes" gap="0" enable_row_shadowbox="yes" css=".vc_custom_1588593784234{background-color: #ffffff !important;border-radius: 10px !important;}" row_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2210px%22%2C%22blur_radius%22%3A%2230px%22%2C%22shadow_color%22%3A%22rgba(0%2C0%2C0%2C0.06)%22%7D%5D" responsive_css="margin_right_medium:-5%25"][vc_column_inner width="1/3" css=".vc_custom_1602651393431{border-right-width: 1px !important;padding-top: 15px !important;padding-right: 30px !important;padding-left: 30px !important;border-right-color: #eaeaea !important;border-right-style: solid !important;}" responsive_css="border_right_medium:1px|padding_top_medium:15px|padding_right_medium:30px|padding_bottom_medium:65px|padding_left_medium:30px"][ld_counter tag_to_inherite="h2" tag_to_inherite_label="h2" use_custom_fonts_title="true" use_inheritance="true" use_inheritance_label="true" use_custom_fonts_text="true" counter_mb_checkbox="true" enable_blur="true" count="10+" fs="44px" color="rgb(110, 0, 150)" label="Years of Operation" counter_mb="1" text_fs="14px" label_color="rgb(0, 0, 0)"][ld_spacer height="" sm_height="10px" md_height="25px" lg_height="25px"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px" lh="text_small:1.6em"]Our team have been running well about 10 years and keep going.[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/3" css=".vc_custom_1602651585542{border-right-width: 1px !important;padding-top: 15px !important;padding-right: 30px !important;padding-left: 30px !important;border-right-color: #eaeaea !important;border-right-style: solid !important;}" responsive_css="border_right_medium:1px|padding_top_medium:15px|padding_right_medium:30px|padding_left_medium:30px"][ld_counter tag_to_inherite="h2" tag_to_inherite_label="h2" use_custom_fonts_title="true" use_inheritance="true" use_inheritance_label="true" use_custom_fonts_text="true" counter_mb_checkbox="true" enable_blur="true" count="98%" fs="44px" color="rgb(110, 0, 150)" label="Positive Feedback" counter_mb="1" text_fs="14px" label_color="rgb(0, 0, 0)" start_delay="250"][ld_spacer height="" sm_height="10px" md_height="25px" lg_height="25px"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px" lh="text_small:1.6em"]Based on our happy clients about the quality of our services.[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/3" css=".vc_custom_1588593663575{border-right-width: 1px !important;padding-top: 15px !important;padding-right: 30px !important;padding-bottom: 65px !important;padding-left: 30px !important;border-right-color: #eaeaea !important;border-right-style: solid !important;}"][ld_counter tag_to_inherite="h2" tag_to_inherite_label="h2" use_custom_fonts_title="true" use_inheritance="true" use_inheritance_label="true" use_custom_fonts_text="true" counter_mb_checkbox="true" enable_blur="true" count="2,664" fs="44px" color="rgb(110, 0, 150)" label="Projects Copmpleted" counter_mb="1" text_fs="14px" label_color="rgb(0, 0, 0)" start_delay="500"][ld_spacer height="25px"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px" lh="text_small:1.6em"]All projects competeled with an absolutely high quality.[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Fancy Image 6 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Fancy Image 06', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'fi-6.jpg' );
	$data['sort_name'] = 'Fancy Image';
	$data['custom_class'] = 'general fancyimage';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" responsive_css="padding_top_medium:110px|padding_bottom_medium:110px|padding_bottom_small:80px" css=".vc_custom_1610005371078{padding-top: 30px !important;padding-bottom: 60px !important;}"][vc_column width="1/2" css=".vc_custom_1620642235658{margin-bottom: 60px !important;}" responsive_css="margin_bottom_medium:35px"][ld_images_group_element img_size="50%" image="4404" margin="left_medium:45px|bottom_small:15px"][/ld_images_group_element][ld_fancy_heading tag="p" whitespace="ws-nowrap" vertical_txt="text-sm-vertical" absolute_pos="yes" use_custom_fonts_title="true" fs="text_small:19px" color="rgb(0, 0, 0)" position="bottom_medium:15px|bottom_small:-1em|left_small:0px" margin="bottom_small:0px"]<span class="h3" style="font-size: inherit;">San Francisco</span> Headquarter[/ld_fancy_heading][/vc_column][vc_column width="1/2"][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" color="rgb(0, 0, 0)" fs="text_small:13px" fw="text_small:700" ls="text_small:0.1em" margin="bottom_small:1em"]— Arch Philosophy[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_small:42px" margin="bottom_small:0.75em" fw="text_small:500"]Multidisciplinary <em class="h3" style="font-size: inherit;">team</em>[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.88em" color="rgb(0, 0, 0)" margin="bottom_small:2em"]Through a unique combination of engineering, construction and design disciplines and expertise, Concor delivers world class infrastructure solutions to customers and stakeholders across a broad range of industry sectors.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.88em" color="rgb(0, 0, 0)" margin="bottom_small:2em"]Urban design draws together the many strands of place-making, environmental stewardship, social equity and economic viability into the creation of places with distinct beauty and identity.[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Fancy Image 7 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Fancy Image 07', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'fi-7.jpg' );
	$data['sort_name'] = 'Fancy Image';
	$data['custom_class'] = 'general fancyimage';
	$data['content'] = <<<CONTENT
	[vc_row equal_height="yes" content_placement="middle" css=".vc_custom_1618505117021{padding-bottom: 60px !important;}" responsive_css="margin_bottom_large:20px|padding_bottom_large:110px|padding_top_medium:60px|padding_bottom_medium:90px"][vc_column offset="vc_col-md-offset-0 vc_col-md-5" responsive_align="text-center text-md-left" css=".vc_custom_1605941093420{padding-bottom: 30px !important;}" responsive_css="padding_bottom_medium:0px"][ld_icon_box i_type="fontawesome" heading_size="custom" heading_weight="font-weight-light" position="iconbox-side" items_alignment="align-items-center" i_icon_fontawesome="fab fa-instagram" title="Kate Austen #hublookbook" title_mb="1" custom_heading_size="12px" icon_mb="15" icon_size="24px" i_color="rgb(203, 122, 64)" css=".vc_custom_1591084247851{margin-bottom: 20px !important;}"][/ld_icon_box][ld_fancy_heading tag="h2"]S-20 Lookbook Editorial.[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:2em"]Hub offers a range of skincare products that are feminine, delicate and long-lasting with vitamins and nutritions to improve your skin condition.[/ld_fancy_heading][ld_button style="btn-naked" title="Shop Collection" transformation="text-uppercase" i_type="linea" i_hover_reveal="btn-hover-swp" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" color="rgb(0, 0, 0)" fs="11px" fw="700" ls="0.1em" i_size="1.5em"][/vc_column][vc_column offset="vc_col-md-offset-1 vc_col-md-6"][ld_images_group_container][ld_images_group_element img_size="50%" image="4435" margin="left_small:-20px"][/ld_images_group_element][ld_images_group_element img_size="50%" absolute_pos="yes" image="4715" position="right_small:0px|bottom_small:-50px"][/ld_images_group_element][/ld_images_group_container][/vc_column][/vc_row][vc_row css=".vc_custom_1621001372195{border-top-width: 1px !important;padding-top: 40px !important;padding-bottom: 40px !important;border-top-color: #f0f0f0 !important;border-top-style: solid !important;}" responsive_css="margin_top_medium:60px"][vc_column][ld_carousel_marquee_tab columns="md:6|sm:4|xs:3|spacing_xs:5px" cellalign="center" fadesides="lqd-fade-sides" reverse="yes" marquee_speed="1"][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600869275969-2af5a83e-691d"][vc_single_image image="86" css=".vc_custom_1600869578540{margin-bottom: 0px !important;}"][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600869581894-1df5449f-86ae"][vc_single_image image="89" css=".vc_custom_1600869594464{margin-bottom: 0px !important;}"][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600869595467-ec50c9c5-a299"][vc_single_image image="88" css=".vc_custom_1600869608860{margin-bottom: 0px !important;}"][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600869619216-960b0d0f-15ef"][vc_single_image image="87" css=".vc_custom_1600869646405{margin-bottom: 0px !important;}"][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600869648981-0550ffa2-b53c"][vc_single_image image="90" css=".vc_custom_1600869662207{margin-bottom: 0px !important;}"][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600869663953-167bf2b1-dbdf"][vc_single_image image="91" css=".vc_custom_1600869682676{margin-bottom: 0px !important;}"][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600869684367-6a0c87f8-3df3"][vc_single_image image="88" css=".vc_custom_1600869805735{margin-bottom: 0px !important;}"][/ld_carousel_marquee_section][/ld_carousel_marquee_tab][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Fancy Image 8 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Fancy Image 08', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'fi-8.jpg' );
	$data['sort_name'] = 'Fancy Image';
	$data['custom_class'] = 'general fancyimage';
	$data['content'] = <<<CONTENT
	[vc_row equal_height="yes" content_placement="middle" responsive_css="padding_top_medium:50px|padding_bottom_medium:165px" css=".vc_custom_1617787581517{padding-bottom: 60px !important;}"][vc_column align="text-center" offset="vc_col-md-6 vc_hidden-sm vc_hidden-xs" responsive_align="text-center"][ld_images_group_container][ld_images_group_element img_size="65%" enable_effects="yes" parallax="yes" enable_image_shadow="yes" shadow_style="3" enable_reveal="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" absolute_pos="yes" image="137" translate_from_y="35" rotate_from_y="0" translate_to_y="-45" position="top_small:-15%25|left_small:0%25"][/ld_images_group_element][ld_images_group_element img_size="40%" enable_effects="yes" parallax="yes" enable_image_shadow="yes" shadow_style="3" enable_roudness="yes" image_roudness="4" enable_shadow="yes" enable_reveal="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" image="136" translate_from_y="90" translate_to_y="-70" margin="top_large:100px"][/ld_images_group_element][/ld_images_group_container][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-lg-offset-1 vc_col-lg-5 vc_col-md-6" responsive_css="padding_left_medium:10%25" ca_duration="1800" ca_delay="180" ca_init_translate_y="35"][ld_fancy_heading tag="h6" margin="bottom_small:1em"]Who we are[/ld_fancy_heading][ld_fancy_heading tag="h2" split_type="words" duration="1000" delay="120" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" enable_fit="true" minfontsize="40" fs="text_large:48px|text_small:40px" ca_init_translate_y="70"]Hub connects creative people.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:18px" lh="text_small:1.666em" margin="bottom_small:3.35em"]With over 25 years of experience, we have crafted thousands of strategic discovery process.[/ld_fancy_heading][vc_accordion size="md" borders="accordion-title-bordered" border_round="accordion-title-circle" show_icon="yes" i_add_icon="true" i_type="linea" active_add_icon="true" active_type="linea" use_custom_fonts_title="true" bottom_margin="25px" fs="17px" lh="1.35em" fw="700" i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-down" active_icon_linea="lqd-icn-ess icon-ion-ios-arrow-up" bg_color="rgb(247, 248, 249)" heading_color="rgb(0, 0, 0)" active_heading_color="rgb(255, 255, 255)" border_color="rgb(247, 248, 249)"][vc_accordion_tab title="Global search engine optimization" tab_id="lqd-1579175585568-fabb85cc-3af9"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:15px" lh="text_small:1.73em" margin="bottom_small:0.25em"]A startup or start-up is started by individual founders or entrepreneurs to search for a repeatable and scalable business model.[/ld_fancy_heading][/vc_accordion_tab][vc_accordion_tab title="Complete Social Media Integration" tab_id="ld-1579175796106-906f8cfc-cbda"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="15px" lh="1.73em" margin="bottom_small:0.25em"]A startup or start-up is started by individual founders or entrepreneurs to search for a repeatable and scalable business model. A startup or start-up is started by individual founders or[/ld_fancy_heading][/vc_accordion_tab][vc_accordion_tab title="Branding Strategy for startups" tab_id="ld-1579175803325-17b3ad82-140a"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="15px" lh="1.73em" margin="bottom_small:0.25em"]A startup or start-up is started by individual founders or entrepreneurs to search for a repeatable and scalable business model. A startup or start-up is started by individual founders or[/ld_fancy_heading][/vc_accordion_tab][/vc_accordion][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Fancy Image 9 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Fancy Image 09', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'fi-9.jpg' );
	$data['sort_name'] = 'Fancy Image';
	$data['custom_class'] = 'general fancyimage';
	$data['content'] = <<<CONTENT
	[vc_row responsive_css="margin_bottom_medium:90px|padding_top_medium:195px" css=".vc_custom_1605894380130{margin-bottom: 60px !important;padding-top: 60px !important;}"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" align="text-center" responsive_css="padding_right_medium:2.5vw|padding_left_medium:2.5vw" offset="vc_col-md-offset-1 vc_col-md-10" ca_duration="1800" ca_delay="180" ca_init_translate_y="35" responsive_align="text-md-center"][ld_fancy_heading tag="h6" margin="bottom_small:1em"]What we achieved[/ld_fancy_heading][ld_fancy_heading tag="h2" split_type="words" duration="1000" delay="120" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" enable_fit="true" minfontsize="40" fs="text_large:48px|text_small:40px" ca_init_translate_y="70"]The thousands of completed works.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="18px" lh="1.666em" padding="right_large:2.5vw|left_large:2.5vw"]Through strategy, design, and planning we build brand identities that connect with your Nesi. We then fine-tune a marketing plan that allows us to laser focus and target your audience through the right channels.[/ld_fancy_heading][/vc_column][/vc_row][vc_row full_width="stretch_row" content_placement="middle" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" responsive_css="padding_right_large:7vw|padding_left_large:7vw|padding_right_medium:5vw|padding_bottom_medium:150px|padding_left_medium:5vw" css=".vc_custom_1605894357515{padding-bottom: 60px !important;}" ca_duration="1800" ca_delay="180" ca_init_translate_y="45"][vc_column offset="vc_col-md-7" responsive_css="padding_bottom_medium:0px" css=".vc_custom_1605900653624{padding-bottom: 40px !important;}"][ld_carousel_tab columns="sm:2|xs:1.15|spacing_sm:25px|spacing_xs:15px" inactiv_opacity="1" groupcells="no" wraparound="yes" freescroll="yes" autoplay="yes"][ld_carousel_section title="Tab" tab_id="lqd-1595668610562-2ce347a8-5c26"][vc_single_image image="136" css=".vc_custom_1599653788634{margin-bottom: 0px !important;border-radius: 10px !important;}"][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595668614654-7b524ffd-5e98"][vc_single_image image="154" css=".vc_custom_1599658760650{margin-bottom: 0px !important;border-radius: 10px !important;}"][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595668489515-bff38c98-e89c"][vc_single_image image="136" css=".vc_custom_1599659930441{margin-bottom: 0px !important;border-radius: 10px !important;}"][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595668596537-af5fa149-8305"][vc_single_image image="153" css=".vc_custom_1599658826780{margin-bottom: 0px !important;border-radius: 10px !important;}"][/ld_carousel_section][/ld_carousel_tab][/vc_column][vc_column parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-5" ca_duration="1800" ca_delay="180" ca_init_translate_x="45" translate_from_y="120" translate_to_y="-120" el_class="z-index-2"][vc_row_inner equal_height="yes" gap="0" enable_row_shadowbox="yes" responsive_css="margin_right_medium:-3vw|margin_left_medium:-35%25" css=".vc_custom_1579181548740{background-color: #ffffff !important;border-radius: 10px !important;}" row_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2210px%22%2C%22blur_radius%22%3A%2230px%22%2C%22shadow_color%22%3A%22rgba(0%2C0%2C0%2C0.06)%22%7D%5D"][vc_column_inner offset="vc_col-md-4" responsive_css="border_right_medium:1px|border_bottom_medium:0px|padding_top_medium:100px|padding_right_medium:5%25|padding_bottom_medium:100px|padding_left_medium:10%25|padding_right_small:30px|padding_left_small:30px" css=".vc_custom_1605900568089{border-bottom-width: 1px !important;padding-top: 60px !important;padding-right: 15px !important;padding-bottom: 60px !important;padding-left: 15px !important;border-bottom-color: #eaeaea !important;border-bottom-style: solid !important;}"][ld_counter template="`{`object Object`}`" use_custom_fonts_title="true" enable_blur="true" count="10+" fs="52px" fw="700" color="rgb(0, 207, 50)" start_delay="250"][ld_fancy_heading tag="h5" margin="bottom_small:1.5em"]Years of Operation[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(102, 102, 102)" fs="18px" lh="1.666em"]Our team have been running well about 10 years and keep going.[/ld_fancy_heading][/vc_column_inner][vc_column_inner offset="vc_col-md-4" responsive_css="border_right_medium:1px|border_bottom_medium:0px|padding_top_medium:100px|padding_right_medium:5%25|padding_bottom_medium:100px|padding_left_medium:10%25|padding_right_small:30px|padding_left_small:30px" css=".vc_custom_1605900583205{border-bottom-width: 1px !important;padding-top: 60px !important;padding-right: 15px !important;padding-bottom: 60px !important;padding-left: 15px !important;border-bottom-color: #eaeaea !important;border-bottom-style: solid !important;}"][ld_counter template="`{`object Object`}`" use_custom_fonts_title="true" enable_blur="true" count="98%" fs="52px" fw="700" color="rgb(0, 207, 50)" start_delay="500"][ld_fancy_heading tag="h5" margin="bottom_small:1.5em"]Positive Feedback[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(102, 102, 102)" fs="18px" lh="1.666em"]Based on our happy clients about the quality of our products &amp; services.[/ld_fancy_heading][/vc_column_inner][vc_column_inner offset="vc_col-md-4" responsive_css="border_right_medium:1px|border_bottom_medium:0px|padding_top_medium:100px|padding_right_medium:5%25|padding_bottom_medium:100px|padding_left_medium:10%25|padding_right_small:30px|padding_left_small:30px" css=".vc_custom_1605900599342{border-bottom-width: 1px !important;padding-top: 60px !important;padding-right: 15px !important;padding-bottom: 60px !important;padding-left: 15px !important;}"][ld_counter template="`{`object Object`}`" use_custom_fonts_title="true" enable_blur="true" count="2,664" fs="52px" fw="700" color="rgb(0, 207, 50)" start_delay="750"][ld_fancy_heading tag="h5" margin="bottom_small:1.5em"]Projects Copmpleted[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(102, 102, 102)" fs="18px" lh="1.666em"]All projects competeled with an absolutely high quality[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Fancy Image 10 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Fancy Image 10', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'fi-10.jpg' );
	$data['sort_name'] = 'Fancy Image';
	$data['custom_class'] = 'general fancyimage';
	$data['content'] = <<<CONTENT
	[vc_row equal_height="yes" content_placement="middle" el_id="ourvision" responsive_css="padding_top_medium:50px" css=".vc_custom_1614669877344{padding-bottom: 50px !important;}"][vc_column offset="vc_col-md-6 vc_hidden-sm vc_hidden-xs"][ld_images_group_container][ld_images_group_element img_size="50%" enable_effects="yes" parallax="yes" enable_image_shadow="yes" shadow_style="3" enable_shadow="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" image="40" translate_from_y="35" rotate_from_y="0" translate_to_y="-45"][/ld_images_group_element][ld_images_group_element img_size="50%" enable_effects="yes" parallax="yes" enable_image_shadow="yes" shadow_style="3" enable_shadow="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" image="41" margin="top_small:-10%25|left_small:20%25" translate_from_y="90" translate_to_y="-70"][/ld_images_group_element][ld_images_group_element img_size="50%" enable_effects="yes" parallax="yes" enable_image_shadow="yes" shadow_style="3" enable_shadow="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" image="42" margin="top_small:-70%25|right_small:-20%25|left_small:50%25" translate_from_y="135" translate_to_y="-91"][/ld_images_group_element][/ld_images_group_container][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-offset-1 vc_col-md-5" responsive_css="padding_left_medium:14%25" ca_duration="1800" ca_delay="180" ca_init_translate_y="35"][ld_fancy_heading tag="h6" use_custom_fonts_title="true" margin="bottom_small:0.75em" fs="13px"]Company’s vision[/ld_fancy_heading][ld_fancy_heading tag="h2" padding="right_large:4%25"]IT solutions for your business.[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:1.5em"]Hub IT allows your business and technology computers to store, transmit, analyze, and manipulate big data in the digital world.[/ld_fancy_heading][ld_icon_box i_type="linea" heading_size="custom" heading_weight="font-weight-normal" position="iconbox-inline" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title="Request API Integration" title_mb="1" icon_mb="10" custom_heading_size="17px" css=".vc_custom_1607346394904{margin-bottom: 10px !important;}" i_color="rgb(24, 67, 65)" icon_size="18px"][/ld_icon_box][ld_icon_box i_type="linea" heading_size="custom" heading_weight="font-weight-normal" position="iconbox-inline" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title="Simple Registration System" title_mb="1" icon_mb="7" custom_heading_size="17px" icon_size="18px" css=".vc_custom_1607346378529{margin-bottom: 10px !important;}" i_color="rgb(24, 67, 65)"][/ld_icon_box][vc_row_inner content_placement="middle" css=".vc_custom_1578906109013{padding-top: 35px !important;}"][vc_column_inner width="7/12"][ld_button style="btn-solid" title="See how we work" transformation="text-uppercase" shape="round" border="border-none" hover_txt_effect="btn-hover-txt-liquid-y" hover_bg_effect="btn-hover-bg-liquid" hover_bg_color="rgb(0, 0, 0)" fs="14px" css=".vc_custom_1578917815295{margin-bottom: 15px !important;}"][/vc_column_inner][vc_column_inner width="5/12"][ld_fancy_heading tag="p" color="rgb(37, 97, 239)" margin="bottom_small:15px"](733) 860-2906[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Fancy Image 11 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Fancy Image 11', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'fi-11.jpg' );
	$data['sort_name'] = 'Fancy Image';
	$data['custom_class'] = 'general fancyimage';
	$data['content'] = <<<CONTENT
	[vc_row equal_height="yes" content_placement="middle" bg_position="center center" el_id="business-consultation" responsive_css="padding_top_medium:100px|padding_bottom_medium:50px" css=".vc_custom_1610196384922{padding-top: 80px !important;padding-bottom: 30px !important;background-image: url(https://itbusinesspro.liquid-themes.com/wp-content/uploads/2021/01/bg-2@2x.jpg?id=8896) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: contain !important;}"][vc_column offset="vc_col-md-5" responsive_align="text-right text-sm-center text-md-right" responsive_css="margin_bottom_medium:0px" css=".vc_custom_1610196406027{margin-bottom: 80px !important;}"][ld_images_group_container][ld_images_group_element img_size="50%" enable_effects="yes" parallax="yes" enable_image_shadow="yes" shadow_style="4" enable_shadow="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" absolute_pos="yes" image="8890" translate_from_y="75" rotate_from_y="0" translate_to_y="-75" position="top_small:0px|left_small:0px"][/ld_images_group_element][ld_images_group_element img_size="50%" enable_effects="yes" parallax="yes" enable_image_shadow="yes" shadow_style="4" enable_shadow="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" image="8891" translate_from_y="35" rotate_from_y="0" translate_to_y="-45" margin="top_small:40px"][/ld_images_group_element][ld_images_group_element img_size="50%" enable_effects="yes" parallax="yes" enable_image_shadow="yes" shadow_style="4" enable_shadow="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" absolute_pos="yes" image="8892" translate_from_y="43" rotate_from_y="0" translate_to_y="-54" position="bottom_small:-20%25|left_small:20%25"][/ld_images_group_element][/ld_images_group_container][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-offset-1 vc_col-md-5" responsive_css="padding_left_medium:14%25" ca_duration="1800" ca_delay="180" ca_init_translate_y="35"][vc_text_separator title="ABOUT US" title_align="separator_align_left" color="custom" accent_color="rgba(6,14,98,0.13)"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" color="rgb(6, 14, 98)" fs="text_medium:60px|text_small:15vw" lh="text_small:1em" margin="bottom_small:0px" fw="text_small:700"]Meet Hub.[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" color="rgba(6, 14, 98, 0.35)" fs="text_medium:60px|text_small:15vw" lh="text_small:1em" margin="bottom_small:0.35em" fw="text_small:700"]digital.
innovative.
creative.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" margin="bottom_small:1em" color="rgba(14, 37, 87, 0.65)" fs="text_small:19px" lh="text_small:1.5em"]Hub IT allows your business and technology computers to store, transmit, analyze, and manipulate big data.[/ld_fancy_heading][ld_button style="btn-naked" title="Learn more" hover_txt_effect="btn-hover-txt-liquid-y" i_type="linea" i_add_icon="true" hover_bg_effect="btn-hover-bg-liquid" hover_bg_color="rgb(0, 0, 0)" fs="18px" css=".vc_custom_1610193758606{margin-bottom: 15px !important;}" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" fw="500"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Fancy Image 12 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Fancy Image 12', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'fi-12.jpg' );
	$data['sort_name'] = 'Fancy Image';
	$data['custom_class'] = 'general fancyimage';
	$data['content'] = <<<CONTENT
	[vc_row responsive_css="padding_top_small:50px|padding_bottom_small:50px" css=".vc_custom_1607940095660{padding-top: 50px !important;padding-bottom: 50px !important;}"][vc_column offset="vc_col-md-offset-1 vc_col-md-4"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_small:45px" lh="text_small:1em"]Hand-crafted goodies[/ld_fancy_heading][/vc_column][vc_column][ld_spacer height="30px" md_height="40px"][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-offset-1 vc_col-md-5" responsive_css="padding_right_large:11%25" ca_duration="1600" ca_start_delay="400" ca_delay="120" ca_init_translate_y="35"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:15px" lh="text_small:1.46em"]The build-up of plastic waste on our planet is a matter of real concern for all of us. So, next time you feel like grabbing a bottle of spring water from some far-away and exotic well, don’t. Instead, bottle your own water.[/ld_fancy_heading][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-offset-1 vc_col-md-5" ca_duration="1600" ca_start_delay="550" ca_delay="120" ca_init_translate_y="35"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:15px" lh="text_small:1.46em"]The planet and your conscience will thank you. [ld_br]<br />
To help stem the flow of plastic into the ocean, we have committed to eliminating single-use plastic from th product range and food outlets by 2020.[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Fancy Image 13 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Fancy Image 13', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'fi-13.jpg' );
	$data['sort_name'] = 'Fancy Image';
	$data['custom_class'] = 'general fancyimage';
	$data['content'] = <<<CONTENT
	[vc_row responsive_css="padding_top_medium:75px|padding_bottom_medium:75px" css=".vc_custom_1622033294126{padding-top: 35px !important;padding-bottom: 35px !important;}"][vc_column offset="vc_col-md-6" responsive_css="margin_bottom_medium:0px|margin_bottom_small:240px" css=".vc_custom_1622100886801{margin-bottom: 220px !important;}"][ld_images_group_container][ld_images_group_element img_size="50%" parallax="yes" enable_image_shadow="yes" shadow_style="4" enable_shadow="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" image="27" translate_from_y="40" translate_to_y="-45"][/ld_images_group_element][ld_images_group_element img_size="50%" parallax="yes" enable_image_shadow="yes" shadow_style="4" enable_shadow="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" absolute_pos="yes" image="28" position="right_large:0px|right_medium:20%25|top_small:20px|right_small:0px" translate_from_y="50" translate_to_y="-55" shadow_delay="240"][/ld_images_group_element][ld_images_group_element img_size="50%" parallax="yes" enable_image_shadow="yes" shadow_style="4" enable_shadow="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" absolute_pos="yes" image="26" position="left_medium:90px|top_small:80px|right_small:8%25|left_small:10%25" translate_from_y="75" translate_to_y="-105" shadow_delay="120"][/ld_images_group_element][/ld_images_group_container][/vc_column][vc_column offset="vc_col-md-offset-1 vc_col-md-5"][ld_fancy_heading tag="h6" margin="bottom_small:1em"]Legal disciplines.[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_medium:45px"]Legal <u>aid</u> from professionals.[/ld_fancy_heading][vc_accordion size="md" borders="accordion-title-underlined" show_icon="yes" i_add_icon="true" i_type="linea" active_add_icon="true" active_type="linea" use_custom_fonts_title="true" active_tab="1" fs="19px" fw="500" i_icon_linea="lqd-icn-ess icon-ion-ios-add" active_icon_linea="lqd-icn-ess icon-ion-ios-remove"][vc_accordion_tab title="Anti-money Laundering" tab_id="lqd-1622033590191-308418da-a55b"][ld_fancy_heading tag="p" use_custom_fonts_title="true" margin="bottom_small:0px" fs="text_small:14px" lh="text_small:1.64em"]Many strands of place-making, environmental stewardship, social equity and economic viability into the creation of places with distinct beauty and identity.[/ld_fancy_heading][/vc_accordion_tab][vc_accordion_tab title="Immigration and Citizenship" tab_id="lqd-1622033689521-14822213-718e"][ld_fancy_heading tag="p" use_custom_fonts_title="true" margin="bottom_small:0px" fs="text_small:14px" lh="text_small:1.64em"]Many strands of place-making, environmental stewardship, social equity and economic viability into the creation of places with distinct beauty and identity.[/ld_fancy_heading][/vc_accordion_tab][vc_accordion_tab title="Private Property and Business" tab_id="lqd-1622033685660-808da547-f3b8"][ld_fancy_heading tag="p" use_custom_fonts_title="true" margin="bottom_small:0px" fs="text_small:14px" lh="text_small:1.64em"]Many strands of place-making, environmental stewardship, social equity and economic viability into the creation of places with distinct beauty and identity.[/ld_fancy_heading][/vc_accordion_tab][/vc_accordion][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Fancy Image 14 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Fancy Image 14', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'fi-14.jpg' );
	$data['sort_name'] = 'Fancy Image';
	$data['custom_class'] = 'general fancyimage';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" responsive_css="padding_top_medium:65px|padding_bottom_medium:65px" css=".vc_custom_1621858742456{padding-top: 35px !important;padding-bottom: 35px !important;}"][vc_column offset="vc_col-md-6" responsive_css="margin_bottom_medium:0px" css=".vc_custom_1621859472422{margin-bottom: 30px !important;}"][ld_images_group_element img_size="50%" enable_image_shadow="yes" shadow_style="3" enable_hover3d="yes" enable_roudness="yes" image_roudness="custom" image="104" custom_roundness="15px"][/ld_images_group_element][/vc_column][vc_column offset="vc_col-lg-offset-1 vc_col-lg-5 vc_col-md-6" responsive_css="padding_left_large:9%25"][ld_fancy_heading tag="h6" transform="text-uppercase" enable_bg="yes" fh_border_radius="circle" use_custom_fonts_title="true" color="rgb(0, 0, 0)" fs="text_small:12px" fw="text_small:700" padding="top_small:4px|right_small:11px|bottom_small:4px|left_small:11px" fh_bg="rgb(235, 239, 241)" margin="bottom_small:1.75em" ls="text_small:0.1em"]HOW IT WORKS[/ld_fancy_heading][ld_fancy_heading tag="h2" margin="bottom_small:0.3em"]Business Insight and strategic vision[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(15, 64, 100)" fs="text_small:18px" lh="text_small:1.44em" margin="bottom_small:2.5em"]Our process applies techniques from a variety of disciplines, values distinction in detail and gives careful[/ld_fancy_heading][ld_icon_box i_type="linea" heading_size="custom" heading_weight="font-weight-medium" i_shape="circle" i_border="" position="iconbox-inline" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title="Strategic Vision And Insight" icon_size="16px" custom_i_size="32px" i_color="rgb(15, 64, 100)" shape_color="rgba(21, 81, 83, 0.08)" custom_heading_size="17px" css=".vc_custom_1622018437817{margin-bottom: 15px !important;}" h_i_color="rgb(255, 255, 255)" shape_hcolor="rgb(21, 81, 83)"][/ld_icon_box][ld_icon_box i_type="linea" heading_size="custom" heading_weight="font-weight-medium" i_shape="circle" i_border="" position="iconbox-inline" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title="Business Consultation" icon_size="16px" custom_i_size="32px" i_color="rgb(15, 64, 100)" shape_color="rgba(21, 81, 83, 0.07)" custom_heading_size="17px" css=".vc_custom_1622017464496{margin-bottom: 15px !important;}" h_i_color="rgb(255, 255, 255)" shape_hcolor="rgb(21, 81, 83)"][/ld_icon_box][ld_icon_box i_type="linea" heading_size="custom" heading_weight="font-weight-medium" i_shape="circle" i_border="" position="iconbox-inline" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title="Exceptional Execution" icon_size="16px" custom_i_size="32px" i_color="rgb(15, 64, 100)" shape_color="rgba(21, 81, 83, 0.09)" custom_heading_size="17px" css=".vc_custom_1622017506111{margin-bottom: 15px !important;}" h_i_color="rgb(255, 255, 255)" shape_hcolor="rgb(21, 81, 83)"][/ld_icon_box][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Fancy Image 15 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Fancy Image 15', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'fi-15.jpg' );
	$data['sort_name'] = 'Fancy Image';
	$data['custom_class'] = 'general fancyimage';
	$data['content'] = <<<CONTENT
	[vc_row equal_height="yes" content_placement="middle" css=".vc_custom_1607092723607{padding-top: 80px !important;padding-bottom: 50px !important;}" responsive_css="padding_top_medium:100px|padding_top_small:50px"][vc_column offset="vc_col-md-6" responsive_css="margin_bottom_medium:0px" css=".vc_custom_1607091812048{margin-bottom: 30px !important;}" responsive_align="text-center"][ld_images_group_container enable_item_animation="yes" pf_init_scale_x="1" pf_init_scale_y="1" pf_init_opacity="1" pf_an_scale_x="1" pf_an_scale_y="1" pf_an_opacity="1"][ld_images_group_element parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" absolute_pos="yes" image="58" position="right_small:1vw|bottom_small:55px" translate_from_y="50"][/ld_images_group_element][ld_images_group_element img_size="50%" parallax="yes" enable_image_shadow="yes" shadow_style="4" enable_roudness="yes" image_roudness="6" enable_shadow="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" absolute_pos="yes" image="4266" position="top_large:-13%25|right_large:0px|top_medium:0px|right_medium:10%25|top_small:-15%25|right_small:-12%25" translate_from_y="110" translate_to_y="-50"][/ld_images_group_element][ld_images_group_element img_size="50%" parallax="yes" enable_image_shadow="yes" shadow_style="4" enable_roudness="yes" image_roudness="6" enable_shadow="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" absolute_pos="yes" image="56" translate_from_y="150" translate_to_y="-120" position="left_large:-30%25|left_medium:-10%25|top_small:-10%25|left_small:-50%25"][/ld_images_group_element][ld_images_group_element img_size="50%" parallax="yes" enable_image_shadow="yes" shadow_style="4" enable_roudness="yes" image_roudness="6" enable_shadow="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" image="4245" translate_from_y="80" translate_to_y="-70" margin="top_large:30%25|top_small:15%25" position="right_medium:0px|right_small:-30%25"][/ld_images_group_element][/ld_images_group_container][/vc_column][vc_column offset="vc_col-md-offset-1 vc_col-md-5" responsive_align="text-center text-md-left"][ld_fancy_heading tag="h6" transform="text-lowercase" duration="1600" delay="100" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" enable_bg="yes" fh_border_radius="circle" enable_split="true" margin="bottom_small:0.75em" ca_init_translate_x="0" ca_init_rotate_y="0" ca_init_translate_y="35" color="rgb(255, 90, 61)" padding="top_small:10px|right_small:20px|bottom_small:10px|left_small:20px" fh_bg="rgb(255, 234, 230)"]Digital Experience[/ld_fancy_heading][ld_fancy_heading tag="h2" highlight_offset="0.1em" use_custom_fonts_title="true" enable_fit="true" fs="text_large:48px|text_small:35px" lh="text_small:1.2em" margin="bottom_small:0.65em" minfontsize="36" highlight_color="rgba(255, 185, 158, 0.51)"]Connect people in [ld_highlight]digital life[/ld_highlight][/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:20px" lh="text_small:1.5em" fw="text_small:700" margin="bottom_small:1.5em"]More than just an ad agency, we harness the tools of traditional and digital.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="20px" lh="1.5em" margin="bottom_small:2.5em"]With over 25 years of experience, we have crafted thousands of strategic discovery process that enables us to peel back the layers which enable us to understand, connect, represent and dominate your market.[/ld_fancy_heading][ld_button style="btn-solid" title="More about us" transformation="text-uppercase" link_type="scroll_to_section" shape="circle" hover_txt_effect="btn-hover-txt-switch btn-hover-txt-switch-x" enable_row_shadowbox="yes" button_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2220px%22%2C%22blur_radius%22%3A%2260px%22%2C%22shadow_color%22%3A%22rgba(248%2C85%2C78%2C0.19)%22%7D%5D" hover_button_box_shadow="%5B%7B%7D%5D" css=".vc_custom_1611478359296{margin-bottom: 35px !important;padding-right: 1em !important;padding-left: 1em !important;}" hover_color="rgb(51, 106, 234)"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Fancy Image 16 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Fancy Image 16', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'fi-16.jpg' );
	$data['sort_name'] = 'Fancy Image';
	$data['custom_class'] = 'general fancyimage';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="bottom" bg_position="custom" css=".vc_custom_1614777054684{padding-top: 80px !important;padding-bottom: 80px !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}" bg_pos_h="50%" bg_pos_v="80%" responsive_css="padding_bottom_medium:130px"][vc_column offset="vc_col-md-6 vc_hidden-xs" responsive_css="margin_bottom_medium:0px" css=".vc_custom_1614778539117{margin-bottom: 60px !important;}"][ld_images_group_container enable_item_animation="yes" pf_init_scale_x="0.75" pf_init_scale_y="0.75" pf_init_opacity="0" pf_an_scale_x="1" pf_an_scale_y="1" pf_an_opacity="1" pf_duration="1800" pf_delay="180" pf_init_translate_x="-100" pf_init_translate_y="0"][ld_images_group_element img_size="50%" enable_hover3d="yes" image="4888"][/ld_images_group_element][ld_images_group_element img_size="50%" parallax="yes" enable_hover3d="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" absolute_pos="yes" image="4889" position="right_large:-90px|top_small:-120px|right_small:10%25" translate_from_y="50" translate_to_y="-75"][/ld_images_group_element][/ld_images_group_container][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-offset-1 vc_col-md-5" ca_duration="1800" ca_start_delay="350" ca_delay="180" ca_init_translate_y="35"][ld_fancy_heading tag="h6" transform="text-lowercase" duration="1600" delay="100" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" enable_bg="yes" fh_border_radius="circle" enable_split="true" margin="bottom_small:1em" ca_init_translate_x="0" ca_init_rotate_y="0" ca_init_translate_y="35" color="rgb(255, 90, 61)" padding="top_small:10px|right_small:20px|bottom_small:10px|left_small:20px" fh_bg="rgb(255, 234, 230)"]Digital Experience[/ld_fancy_heading][ld_fancy_heading tag="h2" highlight_offset="5px" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" enable_fit="true" compressor="0.7" minfontsize="32" margin="bottom_small:0.25em" fs="text_large:47px|text_medium:42px|text_small:40px" highlight_color="rgba(255, 144, 114, 0.12)"]All services for your [ld_highlight]online presence.[/ld_highlight][/ld_fancy_heading][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" fs="text_small:17px" lh="text_small:29px" padding="right_large:8%25" margin="bottom_small:1.75em"]As a leading digital agency in Paris, we look to engage with our clients beyond the conventional design and development agency relationship, becoming a partner to the people and companies we work with.[/ld_fancy_heading][ld_button style="btn-underlined" title="Start a project" color="rgb(0, 35, 82)" b_color="rgba(0, 35, 82, 0.2)"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Fancy Image 17 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Fancy Image 17', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'fi-17.jpg' );
	$data['sort_name'] = 'Fancy Image';
	$data['custom_class'] = 'general fancyimage';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" css=".vc_custom_1605971144699{padding-top: 60px !important;padding-bottom: 60px !important;background-color: #f7f9fc !important;}" responsive_css="padding_top_medium:200px|padding_bottom_medium:190px"][vc_column offset="vc_col-md-6"][ld_images_group_container enable_item_animation="yes" pf_init_scale_x="1" pf_init_scale_y="1" pf_init_opacity="1" pf_an_scale_x="1" pf_an_scale_y="1" pf_an_opacity="1" margin="bottom_large:0px|bottom_small:120px"][ld_images_group_element img_size="50%" enable_effects="yes" enable_image_shadow="yes" shadow_style="4" enable_roudness="yes" image_roudness="6" enable_shadow="yes" image="50"][/ld_images_group_element][ld_images_group_element img_size="50%" enable_effects="yes" enable_image_shadow="yes" shadow_style="4" enable_roudness="yes" image_roudness="6" enable_shadow="yes" absolute_pos="yes" image="153" position="right_large:14%25|top_medium:19%25|right_medium:25%25|top_small:25%25|right_small:0px" shadow_delay="1600"][/ld_images_group_element][/ld_images_group_container][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-offset-1 vc_col-md-5" ca_duration="1800" ca_delay="180" ca_init_translate_y="35" ca_init_translate_x="15"][vc_single_image image="41" css=".vc_custom_1575040929631{margin-bottom: 25px !important;}"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" margin="bottom_small:0.35em" fs="text_large:42px|text_small:36px"]Convert more visitors into customers.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px" lh="text_small:26px" margin="bottom_small:1.625em" padding="right_large:12%25"]Hub IT allows your business and technology computers to store, transmit, analyze, and manipulate big data in the digital world.[/ld_fancy_heading][ld_icon_box i_type="linea" heading_size="custom" i_shape="circle" i_border="" position="iconbox-side" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title="Simple Registration System" title_mb="1" custom_heading_size="17px" icon_size="14px" custom_i_size="24px" css=".vc_custom_1607335580086{margin-bottom: 12px !important;}" i_color="rgb(25, 128, 46)" shape_color="rgba(16, 255, 34, 0.13)"][/ld_icon_box][ld_icon_box i_type="linea" heading_size="custom" i_shape="circle" i_border="" position="iconbox-side" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title="Request API Integration" title_mb="1" custom_heading_size="17px" icon_size="14px" custom_i_size="24px" css=".vc_custom_1607335589856{margin-bottom: 35px !important;}" i_color="rgb(25, 128, 46)" shape_color="rgba(16, 255, 34, 0.13)"][/ld_icon_box][ld_button style="btn-solid" title="Get Started Hub" link_type="scroll_to_section" shape="round" size="btn-md" i_type="linea" i_hover_reveal="btn-hover-swp" i_add_icon="true" hover_color="rgb(255, 255, 255)" htext_color="rgb(0, 0, 0)" i_icon_linea="lqd-icn-ess icon-md-arrow-forward"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Fancy Image 18 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Fancy Image 18', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'fi-18.jpg' );
	$data['sort_name'] = 'Fancy Image';
	$data['custom_class'] = 'general fancyimage';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" bg_position="center top" enable_row_dividers="yes" css=".vc_custom_1608729633610{padding-top: 120px !important;padding-bottom: 100px !important;background-image: url(https://businessstartuppro.liquid-themes.com/wp-content/uploads/2020/12/bg-1@2x.jpg?id=233) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" responsive_css="padding_top_medium:140px|padding_bottom_medium:140px" row_svg_divider="bottom_shape_type:8|bottom_shape_color:%23ffffff|bottom_shape_height:61"][vc_column width="1/2" offset="vc_col-md-5" css=".vc_custom_1608729930888{margin-bottom: 20px !important;}" responsive_css="margin_bottom_small:35px"][ld_images_group_container enable_item_animation="yes" pf_init_scale_x="1" pf_init_scale_y="1" pf_init_opacity="0" pf_an_scale_x="1" pf_an_scale_y="1" pf_an_opacity="1" pf_duration="1600" pf_delay="160" pf_init_translate_x="-35" pf_init_translate_y="35" pf_init_rotate_y="0"][ld_images_group_element absolute_pos="yes" image="237" position="top_small:0px|left_small:0px"][/ld_images_group_element][ld_images_group_element img_size="50%" image="231" margin="top_small:25px|left_small:28px"][ld_button style="btn-solid" title="Play video" link_type="lightbox" shape="circle" i_type="linea" i_position="left" i_hover_reveal="btn-hover-swp" i_add_icon="true" link="url:https%3A%2F%2Fyoutu.be%2FJLE228ZuGGA|||" i_icon_linea="lqd-icn-ess icon-ion-ios-play" color="rgb(255, 255, 255)" text_color="rgb(0, 0, 0)" hover_color="rgb(0, 0, 0)" htext_color="rgb(255, 255, 255)" lh="1.1em"][/ld_images_group_element][/ld_images_group_container][/vc_column][vc_column width="1/2" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-lg-offset-1 vc_col-lg-6 vc_col-md-7" css=".vc_custom_1608729911892{margin-bottom: 70px !important;}" responsive_css="margin_bottom_medium:65px|margin_bottom_small:35px" ca_delay="160" ca_init_translate_y="60" ca_duration="1600" ca_start_delay="450"][ld_fancy_heading tag="h6" transform="text-uppercase" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(255, 255, 255)" fs="text_small:12px" fw="text_small:700" ls="text_small:0.08em" margin="bottom_small:3em"]Customer stories[/ld_fancy_heading][ld_fancy_heading ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(255, 255, 255)" fs="text_small:68px" lh="text_small:1.1em" fw="text_small:700" ls="text_small:-0.02em" highlight_color="rgba(126, 255, 195, 0.4)" margin="bottom_small:0.25em"]They [ld_highlight]trust[/ld_highlight] Hub. But why?[/ld_fancy_heading][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgba(255, 255, 255, 0.7)" fs="text_small:18px" lh="text_small:1.44em" fw="text_small:500" margin="right_large:22%25|bottom_small:2.75em"]Hub IT allows your business and technology computers to store and analyze.[/ld_fancy_heading][ld_button style="btn-naked" title="`{`ld_strong`}`DANIEL CHARLES`{`/ld_strong`}``{`ld_span`}`Netflix Chief Designer`{`/ld_span`}`" link_type="lightbox" i_type="linea" i_position="left" i_shape="btn-icon-circle" i_shape_style="btn-icon-bordered" i_shape_bw="btn-icon-border-thicker" i_shape_size="btn-icon-custom-size" i_add_icon="true" link="url:https%3A%2F%2Fwww.youtube.com%2Fwatch%3Fv%3DFXI_-OesT3A%26ab_channel%3DApple|||" i_icon_linea="lqd-icn-ess icon-ion-ios-play" i_shape_custom_size="68px" color="rgb(255, 255, 255)" i_hcolor="rgb(0, 0, 0)" i_fill_hcolor2="rgb(255, 255, 255)" hover_color="rgb(255, 255, 255)"][/vc_column][vc_column][ld_carousel_tab columns="md:6|sm:4|xs:3|spacing_xs:15px" inactiv_opacity="1" enable_item_animation="yes" groupcells="no" wraparound="yes" equalheightcells="yes" middlealigncontent="yes" autoplay="yes" mobile_dots_bottom_offset_outside="1em" pf_init_scale_x="0.3" pf_init_scale_y="0.3" pf_init_opacity="0" pf_an_scale_x="1" pf_an_scale_y="1" pf_an_opacity="1" pf_duration="1600" pf_start_delay="1000" pf_delay="160" mobile_dots_bg_color="rgba(255, 255, 255, 0.35)" mobile_dots_bg_hcolor="rgb(255, 255, 255)"][ld_carousel_section title="Carousel Item" tab_id="lqd-1608722795312-3f978e43-4471"][vc_single_image image="240" alignment="center" css=".vc_custom_1608722911038{margin-bottom: 0px !important;}"][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1608723029108-4269f2d2-09ef"][vc_single_image image="239" alignment="center" css=".vc_custom_1608723005040{margin-bottom: 0px !important;}"][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1608722795312-563e3a31-1736"][vc_single_image image="242" alignment="center" css=".vc_custom_1608722946839{margin-bottom: 0px !important;}"][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1608722795312-4b81f2ed-de44"][vc_single_image image="241" alignment="center" css=".vc_custom_1608722972969{margin-bottom: 0px !important;}"][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1608722993089-e220608a-0b0b"][vc_single_image image="239" alignment="center" css=".vc_custom_1608723005040{margin-bottom: 0px !important;}"][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1608722976821-3fc5d8ee-00fd"][vc_single_image image="243" alignment="center" css=".vc_custom_1608722989439{margin-bottom: 0px !important;}"][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1608723009463-97570643-55f7"][vc_single_image image="238" alignment="center" css=".vc_custom_1608723023054{margin-bottom: 0px !important;}"][/ld_carousel_section][/ld_carousel_tab][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Fancy Image 19 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Fancy Image 19', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'fi-19.jpg' );
	$data['sort_name'] = 'Fancy Image';
	$data['custom_class'] = 'general fancyimage';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" responsive_css="padding_top_medium:120px" css=".vc_custom_1608725586069{padding-top: 90px !important;padding-bottom: 30px !important;}"][vc_column width="1/2" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_x="0%" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-5" ca_duration="1600" ca_delay="120" ca_init_translate_y="45" ca_init_rotate_z="3" responsive_css="margin_bottom_small:0px" css=".vc_custom_1608729665449{margin-bottom: 55px !important;}"][vc_text_separator title="CLIENT: HUB IT" title_align="separator_align_left" color="custom" accent_color="rgba(112,112,112,0.2)" css=".vc_custom_1608723651822{margin-bottom: 25px !important;}"][ld_fancy_heading tag="h2" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" highlight_color="rgba(126, 255, 195, 0.4)" fs="text_small:36px" lh="text_small:1.13em" fw="text_small:700" color="rgb(30, 47, 105)"]Apper reduced their support time by [ld_highlight]80% using live chat.[/ld_highlight][/ld_fancy_heading][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgba(70, 77, 101, 0.8)" fs="text_small:18px" lh="text_small:1.44em" margin="bottom_small:2em"]Content-focused grid designs, unique social elements, post-sharing function, author exposure and much more![/ld_fancy_heading][ld_button style="btn-naked" title="Read the story" link_type="lightbox" i_type="linea" i_hover_reveal="btn-hover-swp" i_add_icon="true" link="url:https%3A%2F%2Fyoutu.be%2FJLE228ZuGGA|||" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" fs="18px" color="rgb(30, 47, 105)"][vc_separator color="custom" accent_color="rgba(112,112,112,0.2)" css=".vc_custom_1608723736193{margin-top: 50px !important;margin-bottom: 35px !important;}"][ld_fancy_heading tag="h4" transform="text-uppercase" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(25, 28, 95)" fs="text_small:12px" ls="text_small:0.08em" fw="text_small:700"]Phoebe Nathalia[/ld_fancy_heading][ld_fancy_heading tag="h5" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(86, 104, 130)" fs="text_small:14px" fw="text_small:500"]Netflix Chief Designer[/ld_fancy_heading][/vc_column][vc_column width="1/2" offset="vc_col-md-7" responsive_css="padding_left_medium:5%25"][ld_images_group_container enable_item_animation="yes" pf_init_scale_x="1" pf_init_scale_y="1" pf_init_opacity="0" pf_an_scale_x="1" pf_an_scale_y="1" pf_an_opacity="1" pf_duration="1600" pf_delay="160" pf_init_translate_x="35" pf_init_translate_y="35" pf_init_rotate_y="0" pf_start_delay="650"][ld_images_group_element enable_image_shadow="yes" shadow_style="4" image="246"][/ld_images_group_element][ld_images_group_element absolute_pos="yes" image="248" position="top_small:45px|left_small:45px"][/ld_images_group_element][ld_images_group_element absolute_pos="yes" image="247" position="bottom_small:30px|left_small:45px"][/ld_images_group_element][/ld_images_group_container][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Fancy Image 20 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Fancy Image 20', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'fi-20.jpg' );
	$data['sort_name'] = 'Fancy Image';
	$data['custom_class'] = 'general fancyimage';
	$data['content'] = <<<CONTENT
	[vc_row responsive_css="padding_top_medium:110px|padding_top_small:80px|padding_bottom_small:60px" css=".vc_custom_1610696800165{padding-top: 60px !important;padding-bottom: 30px !important;}"][vc_column width="1/2" offset="vc_col-md-5" responsive_css="margin_bottom_small:0px" css=".vc_custom_1610698221117{margin-bottom: 80px !important;}"][ld_images_group_container][ld_images_group_element img_size="50%" enable_image_shadow="yes" shadow_style="4" enable_roudness="yes" image_roudness="4" image="379"][/ld_images_group_element][ld_images_group_element img_size="50%" enable_image_shadow="yes" shadow_style="4" enable_roudness="yes" image_roudness="4" absolute_pos="yes" image="378" position="top_medium:90px|top_small:60px|right_small:0px"][/ld_images_group_element][/ld_images_group_container][/vc_column][vc_column width="1/2" offset="vc_col-lg-5 vc_col-md-offset-1 vc_col-md-6"][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" margin="bottom_small:0.75em" color="rgb(86, 154, 204)" fs="text_small:16px"]What we achieved[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" enable_fit="true" fs="text_small:39px" lh="text_small:1.05em" margin="bottom_small:1.15em" minfontsize="36" highlight_color="rgba(0, 203, 153, 0.35)" color="rgb(31, 42, 88)"]Hub unleashes your business [ld_highlight]potential[/ld_highlight] by the innovation.[/ld_fancy_heading][vc_row_inner][vc_column_inner offset="vc_col-md-11" responsive_css="margin_bottom_medium:45px" css=".vc_custom_1614595440928{margin-bottom: 30px !important;}"][ld_fancy_heading tag="h4" use_custom_fonts_title="true" fs="text_small:17px"]Company Benefits[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(60, 69, 85)" fs="text_large:16px|text_small:14px" lh="text_small:1.35em"]Based in Paris, we work closely with clients from around the world, getting to the heart of their business to develop successful digital ideas and[/ld_fancy_heading][/vc_column_inner][vc_column_inner offset="vc_col-md-11"][ld_fancy_heading tag="h4" use_custom_fonts_title="true" fs="text_small:17px"]Competitive Salary[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(60, 69, 85)" fs="text_large:16px|text_small:14px" lh="text_small:1.35em"]As a leading digital company in Paris, we look to engage with our clients beyond the conventional relationship, becoming a partner to the people and[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Fancy Image 21 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Fancy Image 21', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'fi-21.jpg' );
	$data['sort_name'] = 'Fancy Image';
	$data['custom_class'] = 'general fancyimage';
	$data['content'] = <<<CONTENT
CONTENT;
	$templates[] = $data;

	//Fancy Image 22 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Fancy Image 22', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'fi-22.jpg' );
	$data['sort_name'] = 'Fancy Image';
	$data['custom_class'] = 'general fancyimage';
	$data['content'] = <<<CONTENT
	[vc_row full_height="yes" content_placement="middle" css=".vc_custom_1608127572115{padding-top: 30px !important;padding-bottom: 30px !important;}"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_y="2%" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" el_class="z-index-2" offset="vc_col-md-6" ca_duration="1600" ca_delay="160" ca_init_translate_y="30" ca_init_rotate_z="6"][ld_fancy_heading tag="h6" enable_bg="yes" fh_border_radius="circle" use_custom_fonts_title="true" fs="text_small:13px" padding="top_small:10px|right_small:20px|bottom_small:10px|left_small:20px" fh_bg="rgb(245, 245, 245)" margin="bottom_small:1em"]<i class="lqd-icn-ess icon-lqd-circle mr-2" style="color: #00cc76; font-size: 1.25em; vertical-align: text-bottom;"></i>Available for freelance[/ld_fancy_heading][ld_fancy_heading enable_txt_rotator="yes" rotator_type="basic" items="%5B%7B%22word%22%3A%22.id%C3%A9e%22%7D%2C%7B%22word%22%3A%22.grafik%22%7D%2C%7B%22word%22%3A%22.design%22%7D%5D" use_custom_fonts_title="true" fs="text_all:94px|text_large:80px|text_medium:10vw" margin="right_large:-50%25" lh="text_small:0.95em"].freelance .créatif[/ld_fancy_heading][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" enable_split="true" use_mask="true" color="rgb(0, 0, 0)" margin="bottom_small:1.5em"]My name is Jean-Paul. I’m a freelance Branding and Digital Designer based by the valley in New York. I currently work at Liquid. I create brand identities, digital experiences, and print materials that communicate clearly achieve marketing goals, and look fantastic.[/ld_fancy_heading][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" enable_split="true" use_mask="true" color="rgb(0, 0, 0)" margin="bottom_small:1.5em"]I’m always interested in small or big freelance projects to take your business to the next level.[/ld_fancy_heading][vc_row_inner content_placement="middle" css=".vc_custom_1608127080432{margin-top: 20px !important;}"][vc_column_inner width="1/3" offset="vc_col-md-6"][ld_button style="btn-solid" title="Send a message" transformation="text-uppercase" link_type="modal_window" shape="circle" size="btn-xlg" hover_txt_effect="btn-hover-txt-liquid-x-alt" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-lqd-envelope" lh="1.25em" ls="0.1em" fs="13px" fw="700" color="rgb(23, 25, 26)" css=".vc_custom_1608127757537{padding-right: 0.5em !important;padding-left: 0.5em !important;}" anchor_id="#contact-modal"][/vc_column_inner][vc_column_inner width="1/2" css=".vc_custom_1608127055486{padding-top: 10px !important;}"][ld_custom_menu source="custom" inline="inline-nav" items="%5B%7B%22label%22%3A%22Facebook.%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Twitter.%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Behance.%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%5D" spacing="5" color="rgb(0, 0, 0)" hcolor="rgba(0, 0, 0, 0.65)"][/vc_column_inner][/vc_row_inner][/vc_column][vc_column column_top_ontablet="yes" column_top_onmobile="yes" offset="vc_col-md-6" responsive_align="text-center" responsive_css="margin_bottom_medium:0px" css=".vc_custom_1613900706378{margin-bottom: 35px !important;}"][ld_images_group_element img_size="50%" enable_effects="yes" enable_hover3d="yes" enable_reveal="yes" image="4726"][/ld_images_group_element][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Fancy Image 23 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Fancy Image 23', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'fi-23.jpg' );
	$data['sort_name'] = 'Fancy Image';
	$data['custom_class'] = 'general fancyimage';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" css=".vc_custom_1605398700956{padding-bottom: 40px !important;}" responsive_css="padding_bottom_medium:90px"][vc_column align="text-center" offset="vc_col-md-offset-0 vc_col-md-6" responsive_align="text-center"][ld_images_group_container][ld_images_group_element img_size="50%" enable_effects="yes" enable_roudness="yes" image_roudness="4" image="126"][/ld_images_group_element][/ld_images_group_container][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" column_top_onmobile="yes" offset="vc_col-md-6" responsive_css="padding_right_medium:7%25|padding_left_medium:12%25" ca_duration="1600" ca_delay="160" ca_init_translate_y="30" responsive_align="text-center text-md-left"][ld_fancy_heading tag="h6" transform="text-uppercase" enable_bg="yes" fh_border_radius="circle" use_custom_fonts_title="true" fs="text_small:13px" ls="text_small:0.05em" margin="bottom_small:1.75em" fh_bg="rgb(228, 230, 255)" padding="top_small:6px|right_small:13px|bottom_small:6px|left_small:13px"]Explore new places[/ld_fancy_heading][ld_fancy_heading tag="h2" highlight_animation="lqd-highlight-grow-bottom" highlight_reset_onhover="lqd-highlight-reset-onhover" highlight_offset="8px" use_custom_fonts_title="true" margin="bottom_small:0.75em" fs="text_large:39px|text_small:32px" highlight_color="rgba(71, 79, 199, 0.28)"]Practical tools make it [ld_highlight]easier[/ld_highlight] to manage.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_large:19px|text_small:17px" lh="text_small:1.5em" margin="bottom_small:2em"]The ultimate collection crafted by world-class designers. Import a pre-built section block with a single click or save your own custom block to re-use on other pages. Build different section blocks to jump start your design phase and create unique combinations with ease.[/ld_fancy_heading][ld_button style="btn-solid" title="Discover Hub" shape="circle" size="btn-md" hover_txt_effect="btn-hover-txt-switch btn-hover-txt-switch-y" link="url:%23|||" fs="text_small:15px" ls="text_small:0.02em" css=".vc_custom_1621493675311{margin-right: 8px !important;margin-bottom: 10px !important;padding-right: 0.75em !important;padding-left: 0.75em !important;}" hover_color="rgb(39, 39, 39)"][ld_button style="btn-default" title="Free Trial" shape="circle" size="btn-md" hover_txt_effect="btn-hover-txt-switch btn-hover-txt-switch-y" link="url:%23|||" color="rgb(228, 228, 228)" fs="text_small:15px" ls="text_small:0.02em" css=".vc_custom_1621493687100{margin-bottom: 10px !important;margin-left: 8px !important;padding-right: 1em !important;padding-left: 1em !important;}" hover_color="rgb(0, 0, 0)" text_color="rgb(26, 28, 38)" htext_color="rgb(255, 255, 255)"][ld_spacer][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Fancy Image 24 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Fancy Image 24', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'fi-24.jpg' );
	$data['sort_name'] = 'Fancy Image';
	$data['custom_class'] = 'general fancyimage';
	$data['content'] = <<<CONTENT
	[vc_row equal_height="yes" content_placement="middle" css=".vc_custom_1605616186759{padding-top: 40px !important;padding-bottom: 60px !important;}"][vc_column offset="vc_col-md-5" responsive_css="margin_bottom_medium:0px" css=".vc_custom_1605616127527{margin-bottom: 40px !important;}"][ld_images_group_element image="4310"][/ld_images_group_element][/vc_column][vc_column offset="vc_col-md-offset-1 vc_col-md-6" responsive_css="padding_right_large:7%25|padding_right_medium:5%25|padding_left_medium:8%25"][ld_fancy_heading tag="h6" margin="bottom_small:1.25em"]— Arch Philosophy[/ld_fancy_heading][ld_fancy_heading tag="h2" tag_to_inherite="h3" use_inheritance="true" margin="bottom_small:1.5em"]As the complexity of buildings to increase, the field of architecture became multi-disciplinary with technological expertise.[/ld_fancy_heading][vc_accordion size="md" borders="accordion-title-underlined" show_icon="yes" i_add_icon="true" i_type="linea" active_add_icon="true" active_type="linea" use_custom_fonts_title="true" fs="18px" lh="1.8em" i_icon_linea="lqd-icn-ess icon-ion-ios-add" active_icon_linea="lqd-icn-ess icon-ion-ios-remove" heading_color="rgb(0, 0, 0)" active_heading_color="rgb(0, 0, 0)" fw="400" border_color="rgb(185, 185, 185)"][vc_accordion_tab title="01. Building the future cities" tab_id="lqd-1584631046124-4d7a24d6-c841"][vc_column_text css=".vc_custom_1584946903012{margin-bottom: 15px !important;}"]As the complexity of buildings to increase, the field of architecture became multi-disciplinary with technological expertise.[/vc_column_text][/vc_accordion_tab][vc_accordion_tab title="02. Unique and influential design" tab_id="lqd-1584631246270-3f120044-72ac"][vc_column_text css=".vc_custom_1584946910333{margin-bottom: 15px !important;}"]As the complexity of buildings to increase, the field of architecture became multi-disciplinary with technological expertise.[/vc_column_text][/vc_accordion_tab][vc_accordion_tab title="03. Award-winning Architecture" tab_id="lqd-1584631247309-5c26887d-1aeb"][vc_column_text css=".vc_custom_1584946916841{margin-bottom: 15px !important;}"]As the complexity of buildings to increase, the field of architecture became multi-disciplinary with technological expertise.[/vc_column_text][/vc_accordion_tab][/vc_accordion][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Fancy Image 25 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Fancy Image 25', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'fi-25.jpg' );
	$data['sort_name'] = 'Fancy Image';
	$data['custom_class'] = 'general fancyimage';
	$data['content'] = <<<CONTENT
	[vc_row bg_position="custom" css=".vc_custom_1614343963165{padding-top: 35px !important;padding-bottom: 45px !important;background-image: url(http://saashubfree.liquid-themes.com/wp-content/uploads/2019/10/bg-4.svg?id=683) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" bg_pos_h="50%" bg_pos_v="-100%" el_id="features"][vc_column width="1/2" offset="vc_col-md-3" responsive_align="text-center" css=".vc_custom_1611237222930{margin-bottom: 30px !important;}"][ld_images_group_element img_size="50%" image="950" margin="bottom_small:30px"][/ld_images_group_element][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:18px" margin="bottom_small:1.25em"]Customizable UI[/ld_fancy_heading][ld_fancy_heading tag="p"]Ceating brand identities, digital experiences, and print materials that communicate clearly.[/ld_fancy_heading][/vc_column][vc_column width="1/2" offset="vc_col-md-3" responsive_align="text-center" css=".vc_custom_1611237222930{margin-bottom: 30px !important;}"][ld_images_group_element img_size="50%" enable_image_shadow="yes" shadow_style="3" enable_roudness="yes" image_roudness="4" image="946" margin="top_medium:30px|bottom_small:30px"][/ld_images_group_element][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:18px" margin="bottom_small:1.25em"]Custom Task Views[/ld_fancy_heading][ld_fancy_heading tag="p"]Ceating brand identities, digital experiences, and print materials that communicate clearly.[/ld_fancy_heading][/vc_column][vc_column width="1/2" offset="vc_col-md-3" responsive_align="text-center" css=".vc_custom_1611237222930{margin-bottom: 30px !important;}"][ld_images_group_element img_size="30%" enable_roudness="yes" image_roudness="4" image="1030" margin="top_medium:15px|bottom_small:30px"][/ld_images_group_element][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:18px" margin="bottom_small:1.25em"]Team Collaboration[/ld_fancy_heading][ld_fancy_heading tag="p"]Ceating brand identities, digital experiences, and print materials that communicate clearly.[/ld_fancy_heading][/vc_column][vc_column width="1/2" offset="vc_col-md-3" responsive_align="text-center" css=".vc_custom_1611237222930{margin-bottom: 30px !important;}"][ld_images_group_element img_size="50%" image="948" margin="top_medium:25px|bottom_small:30px"][/ld_images_group_element][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:18px" margin="bottom_small:1.25em"]Task Assignment[/ld_fancy_heading][ld_fancy_heading tag="p"]Ceating brand identities, digital experiences, and print materials that communicate clearly.[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Fancy Image 26 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Fancy Image 26', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'fi-26.jpg' );
	$data['sort_name'] = 'Fancy Image';
	$data['custom_class'] = 'general fancyimage';
	$data['content'] = <<<CONTENT
	[vc_row equal_height="yes" content_placement="middle" responsive_css="padding_top_medium:120px|padding_top_small:80px|padding_bottom_small:30px" css=".vc_custom_1614342255674{padding-top: 60px !important;padding-bottom: 15px !important;}"][vc_column offset="vc_col-md-5" responsive_css="margin_bottom_medium:0px" css=".vc_custom_1611315213533{margin-bottom: 20px !important;}"][ld_fancy_heading tag="h6" margin="bottom_small:2em"]<a href="https://saaspro.liquid-themes.com/wp-content/uploads/2021/01/Group-32402.svg"><img class="alignnone size-medium wp-image-964" src="https://saaspro.liquid-themes.com/wp-content/uploads/2021/01/Group-32402.svg" alt="" width="110" height="19" /></a>  Next Generation[/ld_fancy_heading][ld_fancy_heading tag="h2" highlight_reset_onhover="lqd-highlight-reset-onhover" highlight_offset="0.15em" use_custom_fonts_title="true" fs="text_medium:51px|text_small:11vw" highlight_color="rgba(177, 204, 255, 0.35)" margin="bottom_small:0.35em"]Track your daily [ld_highlight]activity.[/ld_highlight][/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.47em"]The latest design trends meet hand-crafted templates in Hub Collection. Use pre-built sections to speed up your design process.[/ld_fancy_heading][/vc_column][vc_column responsive_css="padding_left_large:6%25" offset="vc_col-md-7"][ld_images_group_element enable_hover3d="yes" image="970"][/ld_images_group_element][/vc_column][/vc_row][vc_row enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" css=".vc_custom_1614342277074{padding-top: 50px !important;padding-bottom: 50px !important;}" ca_duration="1800" ca_delay="180" ca_init_translate_x="35" responsive_css="margin_bottom_medium:35px"][vc_column offset="vc_col-md-4"][ld_icon_box i_type="linea" heading_size="custom" heading_weight="font-weight-bold" i_shape="circle" i_size="xs" i_border="1" position="iconbox-side" title="SCHEDULE APPOINTMENT" custom_heading_size="14px" custom_i_size="47px" shape_hcolor="rgb(0, 68, 235)" border_shape_color="rgb(220, 228, 235)" border_shape_hcolor="rgb(0, 68, 235)" shape_color="rgb(255, 255, 255)" icon_size="16px" h_i_color="rgb(255, 255, 255)" i_icon_linea="lqd-icn-ess icon-num-1" i_color="rgb(0, 0, 0)"]Google makes it easier to run high performance shared hosting account on its cloud platform.[/ld_icon_box][/vc_column][vc_column offset="vc_col-md-4"][ld_icon_box i_type="linea" heading_size="custom" heading_weight="font-weight-bold" i_shape="circle" i_size="xs" i_border="1" position="iconbox-side" title="BUSINESS CONSULTATION" custom_heading_size="14px" custom_i_size="47px" shape_hcolor="rgb(0, 68, 235)" border_shape_color="rgb(220, 228, 235)" border_shape_hcolor="rgb(0, 68, 235)" shape_color="rgb(255, 255, 255)" icon_size="16px" h_i_color="rgb(255, 255, 255)" i_icon_linea="lqd-icn-ess icon-num-2" i_color="rgb(26, 26, 26)"]Google makes it easier to run high performance shared hosting account on its cloud platform.[/ld_icon_box][/vc_column][vc_column offset="vc_col-md-4"][ld_icon_box i_type="linea" heading_size="custom" heading_weight="font-weight-bold" i_shape="circle" i_size="xs" i_border="1" position="iconbox-side" title="LAUNCH YOUR BUSINESS" custom_heading_size="14px" custom_i_size="47px" shape_hcolor="rgb(0, 68, 235)" border_shape_color="rgb(220, 228, 235)" border_shape_hcolor="rgb(0, 68, 235)" shape_color="rgb(255, 255, 255)" icon_size="16px" h_i_color="rgb(255, 255, 255)" i_icon_linea="lqd-icn-ess icon-num-3" i_color="rgb(22, 22, 22)"]Google makes it easier to run high performance shared hosting account on its cloud platform.[/ld_icon_box][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Fancy Image 27 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Fancy Image 27', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'fi-27.jpg' );
	$data['sort_name'] = 'Fancy Image';
	$data['custom_class'] = 'general fancyimage';
	$data['content'] = <<<CONTENT
	[vc_row equal_height="yes" content_placement="middle" css=".vc_custom_1614769150109{padding-top: 60px !important;padding-bottom: 60px !important;}" el_id="features"][vc_column offset="vc_col-md-6"][ld_images_group_element enable_float_effect="yes" image="244"][/ld_images_group_element][/vc_column][vc_column offset="vc_col-lg-offset-1 vc_col-md-offset-1 vc_col-md-5"][ld_images_group_element image="64" margin="bottom_small:15px"][/ld_images_group_element][ld_fancy_heading tag="h2" highlight_reset_onhover="lqd-highlight-reset-onhover" use_custom_fonts_title="true" fs="text_small:45px" lh="text_small:1.1em" margin="bottom_small:0.35em" highlight_color="rgba(62, 196, 175, 0.47)"]Add calling [ld_highlight]credits[/ld_highlight].[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:18px" lh="text_small:1.666em" ls="text_small:-0.01em" margin="bottom_small:1.5em"]Install any demo or template with a single click. You can mix and match all the demos &amp; templates. Every demo can be turned into one or multi-page. You can also use the shop features for all demos.[/ld_fancy_heading][ld_button style="btn-solid" title="Sign up — It’s Free" size="btn-lg" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" i_icon_linea="icon-md-arrow-round-forward" color="rgb(240, 242, 255)" text_color="rgb(67, 32, 145)" hover_color="rgb(67, 32, 145)" htext_color="rgb(255, 255, 255)" fs="16px" css=".vc_custom_1587623501253{margin-bottom: 25px !important;}"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(111, 120, 128)" fs="text_small:13px" lh="text_small:1.53em" margin="bottom_small:1em"]Choose a pre-built header or create a custom layout that perfectly suits your needs. It’s easy and fast. Your time is precious for us.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(0, 0, 0)" fs="text_small:13px" margin="top_small:1em"]John Doe, Founder of Liquid[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Fancy Image 28 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Fancy Image 28', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'fi-28.jpg' );
	$data['sort_name'] = 'Fancy Image';
	$data['custom_class'] = 'general fancyimage';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" parallax="enable_parallax" enable_overlay="yes" enable_row_dividers="yes" responsive_css="padding_top_medium:125px|padding_bottom_medium:125px" css=".vc_custom_1622009655669{padding-top: 70px !important;padding-bottom: 70px !important;background-image: url(https://staging.liquid-themes.com/kids/wp-content/uploads/2021/05/bg-2@2x.jpg?id=82) !important;background-position: center;background-repeat: no-repeat;background-size:cover;}" overlay_bg="rgba(47, 40, 40, 0.5)" row_svg_divider="bottom_shape_type:7|bottom_shape_color:%23ffffff|bottom_shape_height:16" el_id="events"][vc_column offset="vc_col-md-6" responsive_css="margin_bottom_medium:0px" css=".vc_custom_1621947681326{margin-bottom: 30px !important;}"][ld_fancy_heading tag="h6" enable_bg="yes" fh_border_radius="circle" color="rgb(255, 126, 106)" padding="top_small:0.625em|right_small:1em|bottom_small:0.625em|left_small:1em" fh_bg="rgb(255, 255, 255)" margin="bottom_small:1em"]Spread Love[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" margin="bottom_small:0.35em" color="rgb(255, 255, 255)" fs="text_medium:50px"]Take advantage of many education programs.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.52em" margin="bottom_small:0.35em" color="rgba(255, 255, 255, 0.88)" padding="right_all:25%25|right_large:15%25"]Join us in the 100 campaign, a year-long journey to bring 100 children home to 100 families.[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-offset-2 vc_col-md-4" responsive_align="text-md-center"][ld_images_group_element absolute_pos="yes" image="84" position="top_small:-50px|left_small:-100px" hide_el="hidden-xs hidden-sm"][/ld_images_group_element][ld_counter tag_to_inherite_label="h4" use_custom_fonts_title="true" use_inheritance_label="true" use_custom_fonts_text="true" counter_mb_checkbox="true" count="98%" fs="79px" color="rgb(255, 255, 255)" label="Success Rate" text_fs="23px" label_color="rgb(255, 255, 255)" counter_mb="13"][ld_button style="btn-underlined" title="Become Volunteer" link="url:%23|||" color="rgb(255, 255, 255)" lh="text_small:1em" fw="text_small:400"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Fancy Image 29 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Fancy Image 29', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'fi-29.jpg' );
	$data['sort_name'] = 'Fancy Image';
	$data['custom_class'] = 'general fancyimage';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" responsive_css="padding_top_medium:110px|padding_bottom_medium:75px" css=".vc_custom_1622015720342{padding-top: 70px !important;padding-bottom: 35px !important;}" el_id="solutions"][vc_column offset="vc_col-lg-5 vc_col-md-6"][ld_fancy_heading tag="h6" transform="text-uppercase" enable_bg="yes" fh_border_radius="circle" use_custom_fonts_title="true" color="rgb(0, 0, 0)" fs="text_small:12px" fw="text_small:700" padding="top_small:4px|right_small:11px|bottom_small:4px|left_small:11px" fh_bg="rgb(235, 239, 241)" margin="bottom_small:1.75em" ls="text_small:0.1em"]THE PROCESS[/ld_fancy_heading][ld_fancy_heading tag="h2" margin="bottom_small:0.85em"]Smart and effective business solutions.[/ld_fancy_heading][ld_icon_box i_type="linea" heading_size="custom" i_shape="circle" i_border="" position="iconbox-side" i_linked="iconbox-icon-linked" alignment="text-left" shadow="iconbox-icon-shadow" i_icon_linea="lqd-icn-ess icon-num-1" title="Initial Concept Phase" custom_heading_size="17px" icon_size="15px" custom_i_size="47px" i_color="rgb(21, 81, 83)" shape_color="rgb(255, 255, 255)" icon_mb="22" title_mb="15" css=".vc_custom_1622015551988{margin-bottom: 45px !important;}" h_i_color="rgb(255, 255, 255)" shape_hcolor="rgb(21, 81, 83)"]<span style="font-size: 15px; line-height: 1.6em;">Google makes it easier to run high performance shared hosting account on its cloud platform.</span>[/ld_icon_box][ld_icon_box i_type="linea" heading_size="custom" i_shape="circle" i_border="" position="iconbox-side" i_linked="iconbox-icon-linked" alignment="text-left" shadow="iconbox-icon-shadow" i_icon_linea="lqd-icn-ess icon-num-2" title="Business Consultation" custom_heading_size="17px" icon_size="15px" custom_i_size="47px" i_color="rgb(21, 81, 83)" shape_color="rgb(255, 255, 255)" icon_mb="22" title_mb="15" css=".vc_custom_1622015541138{margin-bottom: 45px !important;}" h_i_color="rgb(255, 255, 255)" shape_hcolor="rgb(21, 81, 83)"]<span style="font-size: 15px; line-height: 1.6em;">Google makes it easier to run high performance shared hosting account on its cloud platform.</span>[/ld_icon_box][ld_icon_box i_type="linea" heading_size="custom" i_shape="circle" i_border="" position="iconbox-side" alignment="text-left" shadow="iconbox-icon-shadow" i_icon_linea="lqd-icn-ess icon-num-3" title="Product Launch" custom_heading_size="17px" icon_size="15px" custom_i_size="47px" i_color="rgb(21, 81, 83)" shape_color="rgb(255, 255, 255)" icon_mb="22" title_mb="15" css=".vc_custom_1622015529637{margin-bottom: 45px !important;}" h_i_color="rgb(255, 255, 255)" shape_hcolor="rgb(21, 81, 83)"]<span style="font-size: 15px; line-height: 1.6em;">Google makes it easier to run high performance shared hosting account on its cloud platform.</span>[/ld_icon_box][/vc_column][vc_column column_top_ontablet="yes" column_top_onmobile="yes" offset="vc_col-md-offset-1 vc_col-md-6" responsive_css="margin_bottom_medium:0px" css=".vc_custom_1621859483629{margin-bottom: 30px !important;}"][ld_images_group_element img_size="50%" enable_image_shadow="yes" shadow_style="3" enable_hover3d="yes" enable_roudness="yes" image_roudness="custom" image="101" custom_roundness="15px"][ld_button style="btn-naked" link_type="lightbox" i_type="linea" i_position="top" i_shape="btn-icon-circle" i_shape_style="btn-icon-solid" i_shape_size="btn-icon-custom-size" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-ion-ios-play" i_shape_custom_size="100px" i_margin_bottom="0px" i_size="18px" color="rgba(21, 81, 83, 0.93)" link="url:https%3A%2F%2Fwww.youtube.com%2Fwatch%3Fv%3DWaSvMAl4zPw||target:%20_blank|" i_hcolor="rgb(21, 81, 83)" i_fill_hcolor="rgb(255, 255, 255)"][/ld_images_group_element][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Fancy Image 30 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Fancy Image 30', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'fi-30.jpg' );
	$data['sort_name'] = 'Fancy Image';
	$data['custom_class'] = 'general fancyimage';
	$data['content'] = <<<CONTENT
	[vc_row responsive_css="padding_top_medium:130px|padding_bottom_medium:130px" css=".vc_custom_1621849312172{padding-top: 70px !important;padding-bottom: 70px !important;}"][vc_column offset="vc_col-md-6" responsive_css="margin_bottom_medium:0px|margin_bottom_small:160px" css=".vc_custom_1621864061246{margin-bottom: 70px !important;}"][ld_images_group_container][ld_images_group_element img_size="50%" enable_image_shadow="yes" shadow_style="4" enable_hover3d="yes" enable_roudness="yes" image_roudness="8" enable_shadow="yes" image="83"][/ld_images_group_element][ld_images_group_element img_size="50%" enable_image_shadow="yes" shadow_style="4" enable_hover3d="yes" enable_roudness="yes" image_roudness="8" enable_shadow="yes" absolute_pos="yes" image="84" position="top_small:25%25|left_small:25%25" shadow_delay="250"][/ld_images_group_element][/ld_images_group_container][/vc_column][vc_column offset="vc_col-lg-offset-1 vc_col-lg-5 vc_col-md-6"][ld_fancy_heading tag="h2" margin="bottom_small:0.35em"]Smart and effective business solutions.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:18px" margin="bottom_small:1.25em"]Our process applies techniques from a variety of disciplines, values distinction in detail and gives[/ld_fancy_heading][ld_button style="btn-underlined" title="Learn more" link_type="scroll_to_section" border="border-thick" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" fs="text_small:17px" css=".vc_custom_1621865280408{margin-right: 40px !important;}"][ld_button style="btn-naked" title="Play Video" link_type="lightbox" i_type="linea" i_hover_reveal="btn-hover-swp" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-ion-ios-play" fs="text_small:17px" i_size="14px" link="url:https%3A%2F%2Fwww.youtube.com%2Fwatch%3Fv%3DWaSvMAl4zPw||target:%20_blank|"][ld_spacer height="30px"][vc_accordion size="md" borders="accordion-title-underlined" show_icon="yes" i_add_icon="true" i_type="linea" active_add_icon="true" active_type="linea" use_custom_fonts_title="true" active_tab="1" fs="19px" i_icon_linea="lqd-icn-ess icon-ion-ios-add" active_icon_linea="lqd-icn-ess icon-ion-ios-remove" fw="500"][vc_accordion_tab title="Business Consultation" tab_id="lqd-1621849870257-a6c90671-f7f1"][ld_fancy_heading tag="p" margin="bottom_small:0px"]Many strands of place-making, environmental stewardship, social equity and economic viability into the creation of places with distinct beauty and identity.[/ld_fancy_heading][/vc_accordion_tab][vc_accordion_tab title="Strategetic Vision and Insight" tab_id="lqd-1621850133313-fcc50966-e093"][ld_fancy_heading tag="p" margin="bottom_small:0px"]Many strands of place-making, environmental stewardship, social equity and economic viability into the creation of places with distinct beauty and identity.[/ld_fancy_heading][/vc_accordion_tab][vc_accordion_tab title="Private Property and Business" tab_id="lqd-1621850376284-61924f49-73ec"][ld_fancy_heading tag="p" margin="bottom_small:0px"]Many strands of place-making, environmental stewardship, social equity and economic viability into the creation of places with distinct beauty and identity.[/ld_fancy_heading][/vc_accordion_tab][/vc_accordion][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Fancy Image 31 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Fancy Image 31', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'fi-31.jpg' );
	$data['sort_name'] = 'Fancy Image';
	$data['custom_class'] = 'general fancyimage';
	$data['content'] = <<<CONTENT
	[vc_row equal_height="yes" content_placement="middle" responsive_css="padding_top_medium:45px|padding_bottom_medium:50px" css=".vc_custom_1622027909060{padding-top: 35px !important;padding-bottom: 35px !important;}"][vc_column column_content_align="justify-content-end" row_scale_bg_onhover="yes" enable_hover_move="lqd-column-move-onhover" hover_move_value="-5px" enable_overlay="yes" enable_column_shadowbox="yes" enable_column_hover_shadowbox="yes" bg_position="center top" offset="vc_col-lg-5 vc_col-md-6" css=".vc_custom_1622100300872{margin-bottom: 30px !important;padding-top: 250px !important;padding-right: 20px !important;padding-bottom: 45px !important;padding-left: 20px !important;background-image: url(https://staging.liquid-themes.com/lawyer/wp-content/uploads/2021/05/img-1@2x.jpg?id=25) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;border-radius: 10px !important;}" overlay_bg="linear-gradient(0deg, rgb(46, 70, 85) 0%, rgba(46, 70, 85, 0) 40%)" column_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2220px%22%2C%22blur_radius%22%3A%2288px%22%2C%22shadow_color%22%3A%22rgba(0%2C%200%2C%200%2C%200.2)%22%7D%5D" responsive_css="margin_bottom_medium:0px|padding_top_medium:300px|padding_right_medium:65px|padding_left_medium:65px" column_hover_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2230px%22%2C%22blur_radius%22%3A%22100px%22%2C%22shadow_color%22%3A%22rgba(0%2C%200%2C%200%2C%200.2)%22%7D%5D" responsive_align="text-right"][ld_fancy_heading tag="p" use_custom_fonts_title="true" use_inheritance="true" color="rgb(255, 255, 255)" fs="text_small:150px" lh="text_small:1em" margin="bottom_small:0px"]<span class="d-flex align-items-end justify-content-end"><span style="margin-bottom: -0.15em;">11</span> <span class="d-flex flex-column" style="font-size: 18px; line-height: 18px; flex: 0;">Years of experience</span></span>[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-offset-1 vc_col-md-5" responsive_css="padding_right_large:15%25"][ld_fancy_heading tag="h6" margin="bottom_small:1em"]About us[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_medium:45px"]We provide legal aid and <u>advice.</u>[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" margin="bottom_small:2.15em"]Our process applies techniques from a variety of disciplines, values distinction in detail and gives careful. <a href="#">Our process</a> applies techniques from a variety of disciplines, values distinction in detail and gives careful[/ld_fancy_heading][ld_button style="btn-underlined" title="Read the story" link_type="scroll_to_section" border="border-thick" border_width="btn-bw-30" color="rgb(35, 42, 59)" lh="text_small:2em"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Fancy Image 32 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Fancy Image 32', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'fi-32.jpg' );
	$data['sort_name'] = 'Fancy Image';
	$data['custom_class'] = 'general fancyimage';
	$data['content'] = <<<CONTENT
	[vc_row gap="30" equal_height="yes" responsive_css="padding_top_medium:100px|padding_bottom_medium:100px" css=".vc_custom_1622013828612{padding-top: 70px !important;padding-bottom: 70px !important;}" el_id="teachers"][vc_column offset="vc_col-lg-offset-3 vc_col-lg-6 vc_col-md-offset-2 vc_col-md-8" responsive_align="text-center" css=".vc_custom_1621948335611{margin-bottom: 20px !important;}" responsive_css="margin_bottom_medium:50px"][ld_fancy_heading tag="h6" enable_bg="yes" fh_border_radius="circle" color="rgb(95, 157, 255)" padding="top_small:0.625em|right_small:1em|bottom_small:0.625em|left_small:1em" fh_bg="rgba(95, 157, 255, 0.1)" margin="bottom_small:1em"]Our Teachers[/ld_fancy_heading][ld_fancy_heading tag="h2" margin="bottom_small:0.35em"]Experienced Teachers[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.52em" margin="bottom_small:0.35em"]Our nearly 8,000 committed staff members are critical to the University of Chicago’s tradition of excellence.[/ld_fancy_heading][/vc_column][vc_column][/vc_column][vc_column enable_link="enable_column_link" enable_hover_move="lqd-column-move-onhover" hover_move_value="-5px" width="1/2" responsive_css="margin_bottom_medium:0px" css=".vc_custom_1622131874136{margin-bottom: 30px !important;}" offset="vc_col-md-3" responsive_align="text-center" link="url:https%3A%2F%2Fstaging.liquid-themes.com%2Fkids%2Fteam-member-alex-martinex%2F|title:Team%20member%20%E2%80%93%20Alex%20Martinex||"][ld_images_group_element img_size="50%" enable_image_shadow="yes" shadow_style="4" enable_hover3d="yes" enable_border="yes" border_width="custom" enable_roudness="yes" image_roudness="50em" image="92" custom_border_width="11px" border_color="rgb(255, 255, 255)" margin="bottom_small:30px"][/ld_images_group_element][ld_fancy_heading tag="h4" use_custom_fonts_title="true" fs="text_small:19px"]Olivia Robert[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:14px"]Maputo, Africa[/ld_fancy_heading][/vc_column][vc_column enable_link="enable_column_link" enable_hover_move="lqd-column-move-onhover" hover_move_value="-5px" width="1/2" responsive_css="margin_bottom_medium:0px" css=".vc_custom_1622131886600{margin-bottom: 30px !important;}" offset="vc_col-md-3" responsive_align="text-center" link="url:https%3A%2F%2Fstaging.liquid-themes.com%2Fkids%2Fteam-member-alex-martinex%2F|title:Team%20member%20%E2%80%93%20Alex%20Martinex||"][ld_images_group_element img_size="50%" enable_image_shadow="yes" shadow_style="4" enable_hover3d="yes" enable_border="yes" border_width="custom" enable_roudness="yes" image_roudness="50em" image="94" custom_border_width="11px" border_color="rgb(255, 255, 255)" margin="bottom_small:30px"][/ld_images_group_element][ld_fancy_heading tag="h4" use_custom_fonts_title="true" fs="text_small:19px"]David Richards[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:14px"]Maputo, Africa[/ld_fancy_heading][/vc_column][vc_column enable_link="enable_column_link" enable_hover_move="lqd-column-move-onhover" hover_move_value="-5px" width="1/2" responsive_css="margin_bottom_medium:0px" css=".vc_custom_1622131894747{margin-bottom: 30px !important;}" offset="vc_col-md-3" responsive_align="text-center" link="url:https%3A%2F%2Fstaging.liquid-themes.com%2Fkids%2Fteam-member-alex-martinex%2F|title:Team%20member%20%E2%80%93%20Alex%20Martinex||"][ld_images_group_element img_size="50%" enable_image_shadow="yes" shadow_style="4" enable_hover3d="yes" enable_border="yes" border_width="custom" enable_roudness="yes" image_roudness="50em" image="95" custom_border_width="11px" border_color="rgb(255, 255, 255)" margin="bottom_small:30px"][/ld_images_group_element][ld_fancy_heading tag="h4" use_custom_fonts_title="true" fs="text_small:19px"]Marrion Miller[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:14px"]Maputo, Africa[/ld_fancy_heading][/vc_column][vc_column enable_link="enable_column_link" enable_hover_move="lqd-column-move-onhover" hover_move_value="-5px" width="1/2" responsive_css="margin_bottom_medium:0px" css=".vc_custom_1622131904439{margin-bottom: 30px !important;}" offset="vc_col-md-3" responsive_align="text-center" link="url:https%3A%2F%2Fstaging.liquid-themes.com%2Fkids%2Fteam-member-alex-martinex%2F|title:Team%20member%20%E2%80%93%20Alex%20Martinex||"][ld_images_group_element img_size="50%" enable_image_shadow="yes" shadow_style="4" enable_hover3d="yes" enable_border="yes" border_width="custom" enable_roudness="yes" image_roudness="50em" image="93" custom_border_width="11px" border_color="rgb(255, 255, 255)" margin="bottom_small:30px"][/ld_images_group_element][ld_fancy_heading tag="h4" use_custom_fonts_title="true" fs="text_small:19px"]Gilbert Huges[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:14px"]Maputo, Africa[/ld_fancy_heading][/vc_column][vc_column responsive_align="text-center" responsive_css="padding_top_medium:65px" css=".vc_custom_1621948416860{padding-top: 30px !important;}"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(36, 20, 13)" fs="text_small:14px"]We want to change the world. Why not join us? <a href="#">Become Volunteer</a>[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Category Fancy Text
	//Fancy Text 1
	$data = array();
	$data['name'] = esc_html__( 'Fancy Text 01', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'ft-1.jpg' );
	$data['sort_name'] = 'Fancy Text';
	$data['custom_class'] = 'general fancytext';
	$data['content'] = <<<CONTENT
	[vc_row bg_attachment="fixed" enable_overlay="yes" css=".vc_custom_1595428168333{padding-top: 110px !important;padding-bottom: 110px !important;background-image: url(https://companyhub.liquid-themes.com/staging/wp-content/uploads/2019/12/bg-2@2x-scaled.jpg?id=8662) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" overlay_bg="rgba(13, 65, 63, 0.91)"][vc_column offset="vc_col-md-offset-1 vc_col-md-10" responsive_css="padding_right_medium:7%25"][ld_fancy_heading tag="h2" alignment="text-center" split_type="words" duration="800" delay="20" easing="linear" direction="random" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" color="rgb(255, 255, 255)" fs="text_large:50px|text_small:40px" lh="text_small:1.5em"]unleashing our clients’ potential by maximising <span style="color: #ffcc23;">the innovation.</span>[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Fancy Text 2
	$data = array();
	$data['name'] = esc_html__( 'Fancy Text 02', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'ft-2.jpg' );
	$data['sort_name'] = 'Fancy Text';
	$data['custom_class'] = 'general fancytext';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" bg_position="custom" css=".vc_custom_1618822535209{padding-top: 160px !important;padding-bottom: 50px !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}" bg_pos_h="50%" bg_pos_v="-145px" responsive_css="padding_top_medium:200px|padding_right_medium:7vw|padding_left_medium:7vw"][vc_column][ld_images_group_element img_size="50%" absolute_pos="yes" image="36" position="top_small:8%25|right_small:5vw" el_class="z-index-3"][/ld_images_group_element][vc_row_inner el_class="z-index-2"][vc_column_inner][ld_fancy_heading transform="text-uppercase" enable_txt_rotator="yes" items="%5B%7B%22word%22%3A%22UX%20Designer%22%7D%2C%7B%22word%22%3A%22Illustrator%22%7D%2C%7B%22word%22%3A%22Developer%22%7D%5D" use_custom_fonts_title="true" fs="text_large:11vw|text_small:13vw" lh="text_small:0.9em" margin="left_large:2vw|bottom_small:0px"][/ld_fancy_heading][ld_fancy_heading tag="h2" alignment="text-right" transform="text-uppercase" split_type="chars, words" delay="80" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" gradient="linear-gradient(180deg, rgba(19, 17, 23, 0.65) 0%, rgb(255, 255, 255) 100%)" fs="text_large:11vw|text_small:13vw" lh="text_small:0.9em" margin="bottom_small:0px"]In London[/ld_fancy_heading][ld_fancy_heading tag="h2" transform="text-uppercase" hover_text_outline="ld-fh-outline" outline_appearance="ld-fh-outline-static" use_custom_fonts_title="true" fs="text_small:11vw" lh="text_small:0.9em" margin="bottom_small:0px" el_class="z-index-1" hover_text_outline_color="rgba(255, 255, 255, 0.33)" hover_text_outline_width="1px"]See my works[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Fancy Text 3
	$data = array();
	$data['name'] = esc_html__( 'Fancy Text 03', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'ft-3.jpg' );
	$data['sort_name'] = 'Fancy Text';
	$data['custom_class'] = 'general fancytext';
	$data['content'] = <<<CONTENT
	[vc_row enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" bg_position="custom" css=".vc_custom_1610987278257{padding-top: 80px !important;padding-bottom: 80px !important;background-color: #beefe6 !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}" ca_duration="1600" ca_delay="180" ca_init_translate_x="0" ca_init_translate_y="60" responsive_css="padding_top_medium:110px" bg_pos_h="20vw" bg_pos_v="0%"][vc_column][vc_separator color="custom" accent_color="#e03b37"][/vc_column][vc_column width="3/4"][ld_fancy_heading tag="h2" split_type="chars, words" duration="1600" delay="80" easing="bounce.inOut" direction="random" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_y="100%" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_origin_y="100%" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" enable_randomize="true" color="rgb(159, 51, 125)" fs="text_all:370px|text_large:300px|text_medium:210px|text_small:35.5vw" lh="text_small:0.73em" ca_init_rotate_x="0" ca_init_rotate_y="0" ca_init_rotate_z="0" margin="bottom_large:0px|bottom_small:0.25em" ca_init_translate_y="0" fw="text_small:500" ls="text_small:-0.05em"]Process[/ld_fancy_heading][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_x="0%" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" ca_duration="1600" ca_delay="120" ca_init_translate_y="30" ca_init_rotate_z="5" ca_start_delay="650" offset="vc_col-md-3"][ld_images_group_element img_size="50%" parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" absolute_pos="yes" image="277" translate_from_y="46" rotate_from_z="53" translate_to_y="-46" rotate_to_z="-41" position="top_small:0px|right_small:0px|left_small:0px" hide_el="hidden-xs hidden-sm"][/ld_images_group_element][ld_spacer height="35px" md_height="250px" lg_height="330px"][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(159, 51, 125)" fs="text_small:15px" lh="text_small:1.33em" margin="left_large:-80%25|bottom_small:1.25em"]As a leading digital agency in Paris, we look to engage with our clients beyond the conventional design and development agency relationship, becoming a partner to the people and companies we work with.[/ld_fancy_heading][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(159, 51, 125)" fs="text_small:15px" lh="text_small:1.33em" margin="left_large:-80%25|bottom_small:1.25em"]My job is to build your website so that it is functional and user friendly but at the same time attractive. My aim is to bring across your message and identity in the most creative way.[/ld_fancy_heading][/vc_column][vc_column css=".vc_custom_1608301428153{margin-top: 45px !important;border-bottom-width: 1px !important;padding-top: 30px !important;padding-bottom: 30px !important;border-bottom-color: #ac37e0 !important;border-bottom-style: solid !important;}" responsive_css="margin_top_medium:70px|padding_top_medium:40px|padding_bottom_medium:40px"][vc_row_inner content_placement="middle"][vc_column_inner width="1/2"][ld_fancy_heading tag="h6" use_custom_fonts_title="true" color="rgb(159, 51, 125)" fs="text_small:72px" fw="text_small:500" margin="bottom_small:0px"]01[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-lg-5"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(159, 51, 125)" fs="text_small:26px" fw="text_small:500" margin="bottom_small:0.35em"]Make your business visible online.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(159, 51, 125)" fs="text_small:15px" lh="text_small:1.33em"]We craft premium digital work for web, mobile and experiential with creative agencies and global brands alike – putting passion.[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/vc_column][vc_column css=".vc_custom_1608301449110{border-bottom-width: 1px !important;padding-top: 30px !important;padding-bottom: 30px !important;border-bottom-color: #ac37e0 !important;border-bottom-style: solid !important;}" responsive_css="padding_top_medium:40px|padding_bottom_medium:40px"][vc_row_inner content_placement="middle"][vc_column_inner width="1/2"][ld_fancy_heading tag="h6" use_custom_fonts_title="true" color="rgb(159, 51, 125)" fs="text_small:72px" fw="text_small:500" margin="bottom_small:0px"]02[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-lg-5"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(159, 51, 125)" fs="text_small:26px" fw="text_small:500" margin="bottom_small:0.35em"]Make your business stand out.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(159, 51, 125)" fs="text_small:15px" lh="text_small:1.33em"]We craft premium digital work for web, mobile and experiential with creative agencies and global brands alike – putting passion.[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/vc_column][vc_column css=".vc_custom_1608301449110{border-bottom-width: 1px !important;padding-top: 30px !important;padding-bottom: 30px !important;border-bottom-color: #ac37e0 !important;border-bottom-style: solid !important;}" responsive_css="padding_top_medium:40px|padding_bottom_medium:40px"][vc_row_inner content_placement="middle"][vc_column_inner width="1/2"][ld_fancy_heading tag="h6" use_custom_fonts_title="true" color="rgb(159, 51, 125)" fs="text_small:72px" fw="text_small:500" margin="bottom_small:0px"]03[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-lg-5"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(159, 51, 125)" fs="text_small:26px" fw="text_small:500" margin="bottom_small:0.35em"]Grow with your audience.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(159, 51, 125)" fs="text_small:15px" lh="text_small:1.33em"]We craft premium digital work for web, mobile and experiential with creative agencies and global brands alike – putting passion.[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Fancy Text 4
	$data = array();
	$data['name'] = esc_html__( 'Fancy Text 04', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'ft-4.jpg' );
	$data['sort_name'] = 'Fancy Text';
	$data['custom_class'] = 'general fancytext';
	$data['content'] = <<<CONTENT
	[vc_row enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" bg_position="custom" css=".vc_custom_1610987278257{padding-top: 80px !important;padding-bottom: 80px !important;background-color: #beefe6 !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}" ca_duration="1600" ca_delay="180" ca_init_translate_x="0" ca_init_translate_y="60" responsive_css="padding_top_medium:110px" bg_pos_h="20vw" bg_pos_v="0%"][vc_column][vc_separator color="custom" accent_color="#e03b37"][/vc_column][vc_column width="3/4"][ld_fancy_heading tag="h2" split_type="chars, words" duration="1600" delay="80" easing="bounce.inOut" direction="random" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_y="100%" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_origin_y="100%" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" enable_randomize="true" color="rgb(159, 51, 125)" fs="text_all:370px|text_large:300px|text_medium:210px|text_small:35.5vw" lh="text_small:0.73em" ca_init_rotate_x="0" ca_init_rotate_y="0" ca_init_rotate_z="0" margin="bottom_large:0px|bottom_small:0.25em" ca_init_translate_y="0" fw="text_small:500" ls="text_small:-0.05em"]Process[/ld_fancy_heading][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_x="0%" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" ca_duration="1600" ca_delay="120" ca_init_translate_y="30" ca_init_rotate_z="5" ca_start_delay="650" offset="vc_col-md-3"][ld_images_group_element img_size="50%" parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" absolute_pos="yes" image="277" translate_from_y="46" rotate_from_z="53" translate_to_y="-46" rotate_to_z="-41" position="top_small:0px|right_small:0px|left_small:0px" hide_el="hidden-xs hidden-sm"][/ld_images_group_element][ld_spacer height="35px" md_height="250px" lg_height="330px"][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(159, 51, 125)" fs="text_small:15px" lh="text_small:1.33em" margin="left_large:-80%25|bottom_small:1.25em"]As a leading digital agency in Paris, we look to engage with our clients beyond the conventional design and development agency relationship, becoming a partner to the people and companies we work with.[/ld_fancy_heading][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(159, 51, 125)" fs="text_small:15px" lh="text_small:1.33em" margin="left_large:-80%25|bottom_small:1.25em"]My job is to build your website so that it is functional and user friendly but at the same time attractive. My aim is to bring across your message and identity in the most creative way.[/ld_fancy_heading][/vc_column][vc_column css=".vc_custom_1608301428153{margin-top: 45px !important;border-bottom-width: 1px !important;padding-top: 30px !important;padding-bottom: 30px !important;border-bottom-color: #ac37e0 !important;border-bottom-style: solid !important;}" responsive_css="margin_top_medium:70px|padding_top_medium:40px|padding_bottom_medium:40px"][vc_row_inner content_placement="middle"][vc_column_inner width="1/2"][ld_fancy_heading tag="h6" use_custom_fonts_title="true" color="rgb(159, 51, 125)" fs="text_small:72px" fw="text_small:500" margin="bottom_small:0px"]01[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-lg-5"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(159, 51, 125)" fs="text_small:26px" fw="text_small:500" margin="bottom_small:0.35em"]Make your business visible online.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(159, 51, 125)" fs="text_small:15px" lh="text_small:1.33em"]We craft premium digital work for web, mobile and experiential with creative agencies and global brands alike – putting passion.[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/vc_column][vc_column css=".vc_custom_1608301449110{border-bottom-width: 1px !important;padding-top: 30px !important;padding-bottom: 30px !important;border-bottom-color: #ac37e0 !important;border-bottom-style: solid !important;}" responsive_css="padding_top_medium:40px|padding_bottom_medium:40px"][vc_row_inner content_placement="middle"][vc_column_inner width="1/2"][ld_fancy_heading tag="h6" use_custom_fonts_title="true" color="rgb(159, 51, 125)" fs="text_small:72px" fw="text_small:500" margin="bottom_small:0px"]02[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-lg-5"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(159, 51, 125)" fs="text_small:26px" fw="text_small:500" margin="bottom_small:0.35em"]Make your business stand out.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(159, 51, 125)" fs="text_small:15px" lh="text_small:1.33em"]We craft premium digital work for web, mobile and experiential with creative agencies and global brands alike – putting passion.[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/vc_column][vc_column css=".vc_custom_1608301449110{border-bottom-width: 1px !important;padding-top: 30px !important;padding-bottom: 30px !important;border-bottom-color: #ac37e0 !important;border-bottom-style: solid !important;}" responsive_css="padding_top_medium:40px|padding_bottom_medium:40px"][vc_row_inner content_placement="middle"][vc_column_inner width="1/2"][ld_fancy_heading tag="h6" use_custom_fonts_title="true" color="rgb(159, 51, 125)" fs="text_small:72px" fw="text_small:500" margin="bottom_small:0px"]03[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-lg-5"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(159, 51, 125)" fs="text_small:26px" fw="text_small:500" margin="bottom_small:0.35em"]Grow with your audience.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(159, 51, 125)" fs="text_small:15px" lh="text_small:1.33em"]We craft premium digital work for web, mobile and experiential with creative agencies and global brands alike – putting passion.[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Fancy Text 5
	$data = array();
	$data['name'] = esc_html__( 'Fancy Text 05', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'marquee-2.jpg' );
	$data['sort_name'] = 'Fancy Text';
	$data['custom_class'] = 'general fancytext';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" css=".vc_custom_1605879890274{margin-top: 30px !important;margin-bottom: 40px !important;}" responsive_css="margin_top_medium:100px|margin_bottom_medium:100px"][vc_column][ld_carousel_marquee_tab columns_auto_width="yes" fadesides="lqd-fade-sides" draggable="no" pause_on_hover="yes" reverse="yes"][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600669953490-1d6432ae-31e3"][ld_fancy_heading whitespace="ws-nowrap" hover_text_outline="ld-fh-outline" outline_appearance="ld-fh-outline-static" use_custom_fonts_title="true" fs="text_large:10vw|text_small:50px" color="rgb(0, 0, 0)" hover_text_outline_color="rgba(0, 0, 0, 0.2)" lh="text_small:1em" ls="text_small:-0.02em"]UI Design.[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Tab" tab_id="lqd-1600670046727-6e3f70d6-9e29"][ld_fancy_heading whitespace="ws-nowrap" hover_text_outline="ld-fh-outline" outline_appearance="ld-fh-outline-static" use_custom_fonts_title="true" fs="text_large:10vw|text_small:50px" color="rgb(0, 0, 0)" hover_text_outline_color="rgba(0, 0, 0, 0.2)" lh="text_small:1em" ls="text_small:-0.02em"]Branding.[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Tab" tab_id="lqd-1600670050127-af9486df-0052"][ld_fancy_heading whitespace="ws-nowrap" hover_text_outline="ld-fh-outline" outline_appearance="ld-fh-outline-static" use_custom_fonts_title="true" fs="text_large:10vw|text_small:50px" color="rgb(0, 0, 0)" hover_text_outline_color="rgba(0, 0, 0, 0.2)" lh="text_small:1em" ls="text_small:-0.02em"]Development.[/ld_fancy_heading][/ld_carousel_marquee_section][/ld_carousel_marquee_tab][ld_carousel_marquee_tab columns_auto_width="yes" fadesides="lqd-fade-sides" draggable="no" pause_on_hover="yes"][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600669960959-c9e61543-b44e"][ld_fancy_heading whitespace="ws-nowrap" hover_text_outline="ld-fh-outline" outline_appearance="ld-fh-outline" use_custom_fonts_title="true" fs="text_large:10vw|text_small:50px" color="rgb(0, 0, 0)" hover_text_outline_color="rgba(0, 0, 0, 0.2)" lh="text_small:1em" ls="text_small:-0.02em"]Motion Design.[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Tab" tab_id="lqd-1600670059663-52e16e4a-044c"][ld_fancy_heading whitespace="ws-nowrap" hover_text_outline="ld-fh-outline" outline_appearance="ld-fh-outline" use_custom_fonts_title="true" fs="text_large:10vw|text_small:50px" color="rgb(0, 0, 0)" hover_text_outline_color="rgba(0, 0, 0, 0.2)" lh="text_small:1em" ls="text_small:-0.02em"]Art Direction.[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Tab" tab_id="lqd-1600670067403-b1936528-48cc"][ld_fancy_heading whitespace="ws-nowrap" hover_text_outline="ld-fh-outline" outline_appearance="ld-fh-outline" use_custom_fonts_title="true" fs="text_large:10vw|text_small:50px" color="rgb(0, 0, 0)" hover_text_outline_color="rgba(0, 0, 0, 0.2)" lh="text_small:1em" ls="text_small:-0.02em"]Marketing Strategy.[/ld_fancy_heading][/ld_carousel_marquee_section][/ld_carousel_marquee_tab][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Fancy Text 6
	$data = array();
	$data['name'] = esc_html__( 'Fancy Text 06', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'marquee-5.jpg' );
	$data['sort_name'] = 'Fancy Text';
	$data['custom_class'] = 'general fancytext';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" gap="0" css=".vc_custom_1602671540471{padding-top: 25px !important;padding-bottom: 25px !important;background-color: #ffd78b !important;}"][vc_column][ld_carousel_marquee_tab columns_auto_width="yes" auto_width_padding="2%" cellalign="center"][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1603288497441-8bf20fef-4083"][ld_icon_box i_type="fontawesome" i_icon_fontawesome="fas fa-circle" title_mb="1" icon_size="8px" icon_mb="1" css=".vc_custom_1603288495552{margin-bottom: 0px !important;}"][/ld_icon_box][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1602670644137-e38675d2-149a"][ld_fancy_heading tag="h4" whitespace="ws-nowrap" use_custom_fonts_title="true" fs="text_small:17px" margin="bottom_small:0px" fw="text_small:500"]I feel amazing when I use Hub Cosmetics.[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1603288409283-989c28c2-d697"][ld_icon_box i_type="fontawesome" i_icon_fontawesome="fas fa-circle" title_mb="1" icon_size="8px" icon_mb="1" css=".vc_custom_1603288483752{margin-bottom: 0px !important;}"][/ld_icon_box][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1602671192095-46abc435-ec95"][ld_fancy_heading tag="h4" whitespace="ws-nowrap" use_custom_fonts_title="true" fs="text_small:17px" margin="bottom_small:0px" fw="text_small:500"]The best products I’ve ever tried! Simply amazing![/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1602670963432-11920b84-244e"][ld_icon_box i_type="fontawesome" i_icon_fontawesome="fas fa-circle" title_mb="1" icon_size="8px" icon_mb="1" css=".vc_custom_1603288495552{margin-bottom: 0px !important;}"][/ld_icon_box][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1602670954055-fa8296fb-8b7e"][ld_fancy_heading tag="h4" whitespace="ws-nowrap" use_custom_fonts_title="true" fs="text_small:17px" margin="bottom_small:0px" fw="text_small:500"]I was super happy when I got the package! It’s the best skin care product I’ve ever used![/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1603288526674-65d262fc-eff4"][ld_icon_box i_type="fontawesome" i_icon_fontawesome="fas fa-circle" title_mb="1" icon_size="8px" icon_mb="1" css=".vc_custom_1603288495552{margin-bottom: 0px !important;}"][/ld_icon_box][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1602670975168-2be5953e-7120"][ld_fancy_heading tag="h4" whitespace="ws-nowrap" use_custom_fonts_title="true" fs="text_small:17px" margin="bottom_small:0px" fw="text_small:500"]The best products I’ve ever tried! Simply amazing![/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1603288521994-c8c46d08-1455"][ld_icon_box i_type="fontawesome" i_icon_fontawesome="fas fa-circle" title_mb="1" icon_size="8px" icon_mb="1" css=".vc_custom_1603288495552{margin-bottom: 0px !important;}"][/ld_icon_box][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1602671209218-19459e63-0fea"][ld_fancy_heading tag="h4" whitespace="ws-nowrap" use_custom_fonts_title="true" fs="text_small:17px" margin="bottom_small:0px" fw="text_small:500"]I was super happy when I got the package! It’s the best skin care product I’ve ever used![/ld_fancy_heading][/ld_carousel_marquee_section][/ld_carousel_marquee_tab][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Fancy Text 7
	$data = array();
	$data['name'] = esc_html__( 'Fancy Text 07', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'marquee-7.jpg' );
	$data['sort_name'] = 'Fancy Text';
	$data['custom_class'] = 'general fancytext';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" css=".vc_custom_1605606230955{padding-top: 60px !important;padding-bottom: 60px !important;}" responsive_css="padding_top_medium:100px|padding_bottom_medium:100px"][vc_column align="text-center" responsive_align="text-center"][ld_carousel_marquee_tab columns_auto_width="yes" auto_width_padding="2%" cellalign="center" fadesides="lqd-fade-sides" marquee_speed="2"][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1603433760082-6eae0819-1090"][ld_fancy_heading tag="h2" transform="text-uppercase" whitespace="ws-nowrap" hover_text_outline="ld-fh-outline" outline_appearance="ld-fh-outline-static" use_custom_fonts_title="true" hover_text_outline_color="rgb(255, 255, 255)" fs="text_small:12vw" margin="bottom_small:0px"]Webgl[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Tab" tab_id="lqd-1603433967213-165b3b46-9d5d"][ld_fancy_heading tag="h2" transform="text-uppercase" whitespace="ws-nowrap" hover_text_outline="ld-fh-outline" outline_appearance="ld-fh-outline-static" use_custom_fonts_title="true" hover_text_outline_color="rgb(255, 255, 255)" fs="text_small:12vw" margin="bottom_small:0px"]Ruby[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Tab" tab_id="lqd-1603433970644-39e52cac-75ce"][ld_fancy_heading tag="h2" transform="text-uppercase" whitespace="ws-nowrap" hover_text_outline="ld-fh-outline" outline_appearance="ld-fh-outline-static" use_custom_fonts_title="true" hover_text_outline_color="rgb(255, 255, 255)" fs="text_small:12vw" margin="bottom_small:0px"]Java[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Tab" tab_id="lqd-1603433973732-5dd9bbb5-1239"][ld_fancy_heading tag="h2" transform="text-uppercase" whitespace="ws-nowrap" hover_text_outline="ld-fh-outline" outline_appearance="ld-fh-outline-static" use_custom_fonts_title="true" hover_text_outline_color="rgb(255, 255, 255)" fs="text_small:12vw" margin="bottom_small:0px"]Dart[/ld_fancy_heading][/ld_carousel_marquee_section][/ld_carousel_marquee_tab][vc_row_inner responsive_css="padding_right_medium:8vw|padding_left_medium:8vw"][vc_column_inner][vc_separator color="white" border_width="2" css=".vc_custom_1588404151561{margin-top: 0px !important;margin-bottom: 0px !important;}"][/vc_column_inner][/vc_row_inner][ld_carousel_marquee_tab columns_auto_width="yes" auto_width_padding="2%" cellalign="center" fadesides="lqd-fade-sides" reverse="yes" marquee_speed="2"][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1603433802208-9e944f5d-8ecd"][ld_fancy_heading tag="h2" transform="text-uppercase" whitespace="ws-nowrap" use_custom_fonts_title="true" fs="text_small:12vw" margin="bottom_small:0px"]Social[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Tab" tab_id="lqd-1603433867498-a43b9d62-800b"][ld_fancy_heading tag="h2" transform="text-uppercase" whitespace="ws-nowrap" use_custom_fonts_title="true" fs="text_small:12vw" margin="bottom_small:0px"]Ecommerce[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Tab" tab_id="lqd-1603433871018-e034fb2c-ae87"][ld_fancy_heading tag="h2" transform="text-uppercase" whitespace="ws-nowrap" use_custom_fonts_title="true" fs="text_small:12vw" margin="bottom_small:0px"]UI Design[/ld_fancy_heading][/ld_carousel_marquee_section][/ld_carousel_marquee_tab][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Fancy Text 8
	$data = array();
	$data['name'] = esc_html__( 'Fancy Text 08', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'marquee-9.jpg' );
	$data['sort_name'] = 'Fancy Text';
	$data['custom_class'] = 'general fancytext';
	$data['content'] = <<<CONTENT
	[vc_row responsive_css="padding_top_medium:50px|padding_bottom_medium:50px" css=".vc_custom_1614256641431{padding-top: 30px !important;padding-bottom: 30px !important;}"][vc_column offset="vc_hidden-sm vc_hidden-xs"][ld_particles as_bg="yes" shape_type="image" opacity="1" enable_move="yes" move_out_mode="bounce" enable_bounce_move="yes" modes_grab_opacity="1" particle_id="lqd-1614869946417-306a9263-8727" number="1" image="4907" size="45" el_class="hidden-xs hidden-sm"][ld_particles as_bg="yes" shape_type="image" opacity="1" enable_move="yes" move_out_mode="bounce" enable_bounce_move="yes" modes_grab_opacity="1" particle_id="lqd-1614870476008-6329acb8-f972" number="1" image="4906" size="40" el_class="hidden-xs hidden-sm"][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_x="20%" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_origin_x="80%" ca_an_opacity="1" offset="vc_col-md-offset-2 vc_col-md-8" responsive_align="text-center" ca_duration="1600" ca_delay="160" ca_init_translate_y="65" ca_init_rotate_y="25"][ld_fancy_heading tag="p" absolute_pos="yes" use_custom_fonts_title="true" use_inheritance="true" gradient="linear-gradient(180deg, rgba(34, 43, 60, 0.1) 0%, rgba(255, 255, 255, 0.1) 100%)" fs="text_large:300px|text_small:39vw" position="bottom_medium:-350px|right_small:0px|bottom_small:-80px|left_small:0px" lh="text_small:0.8em" margin="bottom_small:0px" fw="text_small:700" ls="text_small:-0.025"]4.87[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" gradient="linear-gradient(90deg, rgb(181,201,212) 0%, rgb(242,171,53) 27.38853503184713%, rgb(247,135,75) 68.59872611464968%, #c6b5bd 100%)" fs="text_large:74px|text_medium:54px|text_small:14vw" lh="text_small:1em" margin="top_small:-0.15em|bottom_small:0px"]The best rated[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_large:74px|text_medium:54px|text_small:14vw" lh="text_small:1em" margin="bottom_small:0.2em" color="rgb(49, 49, 49)"]theme[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgba(0, 0, 0, 0.6)" fs="text_small:18px" lh="text_small:1.4em" margin="right_large:18%25|left_large:18%25|bottom_small:1em"]They enjoy Hub as much as we do. So, why don’t you join us and be a part of the fastest growing community?[/ld_fancy_heading][/vc_column][/vc_row][vc_row full_width="stretch_row" gap="0"][vc_column][ld_carousel_marquee_tab columns="md:3.95|sm:2.5|xs:1|spacing_xs:15px" cellalign="center" inactiv_opacity="1" groupcells="no" wraparound="yes" mobile_dots_bottom_offset_outside="0px"][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1614259738802-47276269-95c2"][ld_testimonial title="Alex De Sanchez" position="Freelancer Designer"]Great design templates which are quite easy to adapt. The customer support is very helpful.[/ld_testimonial][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1614261032484-7586d1ec-1e99"][ld_testimonial title="Alex De Sanchez" position="Freelancer Designer"]Great design templates which are quite easy to adapt. The customer support is very helpful.[/ld_testimonial][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1614259933121-93dd082b-2525"][ld_testimonial title="Alex De Sanchez" position="Freelancer Designer"]Great design templates which are quite easy to adapt. The customer support is very helpful.[/ld_testimonial][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1614259931722-01422873-c280"][ld_testimonial title="Alex De Sanchez" position="Freelancer Designer"]Great design templates which are quite easy to adapt. The customer support is very helpful.[/ld_testimonial][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1614259930032-54fb41d0-fa8b"][ld_testimonial title="Alex De Sanchez" position="Freelancer Designer"]Great design templates which are quite easy to adapt. The customer support is very helpful.[/ld_testimonial][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1614259928521-9c81606f-f5ae"][ld_testimonial title="Alex De Sanchez" position="Freelancer Designer"]Great design templates which are quite easy to adapt. The customer support is very helpful.[/ld_testimonial][/ld_carousel_marquee_section][/ld_carousel_marquee_tab][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Fancy Text 9
	$data = array();
	$data['name'] = esc_html__( 'Fancy Text 09', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'marquee-8.jpg' );
	$data['sort_name'] = 'Fancy Text';
	$data['custom_class'] = 'general fancytext';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" gap="0" bg_position="right center" css=".vc_custom_1611739774461{padding-top: 100px !important;padding-bottom: 100px !important;background-image: url(https://fashionstorepro.liquid-themes.com/wp-content/uploads/2021/01/fashion-banner@2x.jpg?id=4723) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" responsive_css="padding_top_medium:180px|padding_bottom_medium:180px"][vc_column][ld_carousel_marquee_tab columns_auto_width="yes" auto_width_padding="1%" cellalign="center" draggable="no" reverse="yes" marquee_speed="2.5"][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600869286436-59cf967c-a07e"][ld_fancy_heading tag="h6" transform="text-uppercase" whitespace="ws-nowrap" hover_text_outline="ld-fh-outline" outline_appearance="ld-fh-outline-static" use_custom_fonts_title="true" hover_text_outline_color="rgb(255, 255, 255)" hover_text_outline_width="1px" fs="text_small:10vmin" margin="bottom_small:0px"]New arrivals[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600869818369-03acb2a4-846a"][ld_fancy_heading tag="h6" transform="text-uppercase" whitespace="ws-nowrap" hover_text_outline="ld-fh-outline" outline_appearance="ld-fh-outline-static" use_custom_fonts_title="true" hover_text_outline_color="rgb(255, 255, 255)" hover_text_outline_width="1px" fs="text_small:10vmin" margin="bottom_small:0px"]New arrivals[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600869817802-3774fc9d-9692"][ld_fancy_heading tag="h6" transform="text-uppercase" whitespace="ws-nowrap" hover_text_outline="ld-fh-outline" outline_appearance="ld-fh-outline-static" use_custom_fonts_title="true" hover_text_outline_color="rgb(255, 255, 255)" hover_text_outline_width="1px" fs="text_small:10vmin" margin="bottom_small:0px"]New arrivals[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600869817219-849901cc-8e60"][ld_fancy_heading tag="h6" transform="text-uppercase" whitespace="ws-nowrap" hover_text_outline="ld-fh-outline" outline_appearance="ld-fh-outline-static" use_custom_fonts_title="true" hover_text_outline_color="rgb(255, 255, 255)" hover_text_outline_width="1px" fs="text_small:10vmin" margin="bottom_small:0px"]New arrivals[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600869816524-0deef519-42a2"][ld_fancy_heading tag="h6" transform="text-uppercase" whitespace="ws-nowrap" hover_text_outline="ld-fh-outline" outline_appearance="ld-fh-outline-static" use_custom_fonts_title="true" hover_text_outline_color="rgb(255, 255, 255)" hover_text_outline_width="1px" fs="text_small:10vmin" margin="bottom_small:0px"]New arrivals[/ld_fancy_heading][/ld_carousel_marquee_section][/ld_carousel_marquee_tab][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Fancy Text 10
	$data = array();
	$data['name'] = esc_html__( 'Fancy Text 10', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'info-8.jpg' );
	$data['sort_name'] = 'Fancy Text';
	$data['custom_class'] = 'general fancytext';
	$data['content'] = <<<CONTENT
	[vc_row full_height="yes" content_placement="middle" css=".vc_custom_1608127572115{padding-top: 30px !important;padding-bottom: 30px !important;}"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_y="2%" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" el_class="z-index-2" offset="vc_col-md-6" ca_duration="1600" ca_delay="160" ca_init_translate_y="30" ca_init_rotate_z="6"][ld_fancy_heading tag="h6" enable_bg="yes" fh_border_radius="circle" use_custom_fonts_title="true" fs="text_small:13px" padding="top_small:10px|right_small:20px|bottom_small:10px|left_small:20px" fh_bg="rgb(245, 245, 245)" margin="bottom_small:1em"]<i class="lqd-icn-ess icon-lqd-circle mr-2" style="color: #00cc76; font-size: 1.25em; vertical-align: text-bottom;"></i>Available for freelance[/ld_fancy_heading][ld_fancy_heading enable_txt_rotator="yes" rotator_type="basic" items="%5B%7B%22word%22%3A%22.id%C3%A9e%22%7D%2C%7B%22word%22%3A%22.grafik%22%7D%2C%7B%22word%22%3A%22.design%22%7D%5D" use_custom_fonts_title="true" fs="text_all:94px|text_large:80px|text_medium:10vw" margin="right_large:-50%25" lh="text_small:0.95em"].freelance .créatif[/ld_fancy_heading][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" enable_split="true" use_mask="true" color="rgb(0, 0, 0)" margin="bottom_small:1.5em"]My name is Jean-Paul. I’m a freelance Branding and Digital Designer based by the valley in New York. I currently work at Liquid. I create brand identities, digital experiences, and print materials that communicate clearly achieve marketing goals, and look fantastic.[/ld_fancy_heading][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" enable_split="true" use_mask="true" color="rgb(0, 0, 0)" margin="bottom_small:1.5em"]I’m always interested in small or big freelance projects to take your business to the next level.[/ld_fancy_heading][vc_row_inner content_placement="middle" css=".vc_custom_1608127080432{margin-top: 20px !important;}"][vc_column_inner width="1/3" offset="vc_col-md-6"][ld_button style="btn-solid" title="Send a message" transformation="text-uppercase" link_type="modal_window" shape="circle" size="btn-xlg" hover_txt_effect="btn-hover-txt-liquid-x-alt" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-lqd-envelope" lh="1.25em" ls="0.1em" fs="13px" fw="700" color="rgb(23, 25, 26)" css=".vc_custom_1608127757537{padding-right: 0.5em !important;padding-left: 0.5em !important;}" anchor_id="#contact-modal"][/vc_column_inner][vc_column_inner width="1/2" css=".vc_custom_1608127055486{padding-top: 10px !important;}"][ld_custom_menu source="custom" inline="inline-nav" items="%5B%7B%22label%22%3A%22Facebook.%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Twitter.%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Behance.%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%5D" spacing="5" color="rgb(0, 0, 0)" hcolor="rgba(0, 0, 0, 0.65)"][/vc_column_inner][/vc_row_inner][/vc_column][vc_column column_top_ontablet="yes" column_top_onmobile="yes" offset="vc_col-md-6" responsive_align="text-center" responsive_css="margin_bottom_medium:0px" css=".vc_custom_1613900706378{margin-bottom: 35px !important;}"][ld_images_group_element img_size="50%" enable_effects="yes" enable_hover3d="yes" enable_reveal="yes" image="4726"][/ld_images_group_element][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Fancy Text 11
	$data = array();
	$data['name'] = esc_html__( 'Fancy Text 11', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'info-13.jpg' );
	$data['sort_name'] = 'Fancy Text';
	$data['custom_class'] = 'general fancytext';
	$data['content'] = <<<CONTENT
	[vc_row bg_position="custom" css=".vc_custom_1610005435756{padding-top: 80px !important;padding-bottom: 60px !important;background-image: url(https://architecturepro.liquid-themes.com/wp-content/uploads/2021/01/bg@2x.jpg?id=4417) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: contain !important;}" responsive_css="padding_top_medium:120px|padding_bottom_medium:60px" bg_pos_h="-200px" bg_pos_v="50%" el_id="what-we-do"][vc_column width="1/3"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_small:42px" margin="bottom_small:0.75em" fw="text_small:500"]Our <em class="h3" style="font-size: inherit;">story</em>[/ld_fancy_heading][/vc_column][vc_column width="7/12" offset="vc_col-sm-offset-1"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.88em" color="rgb(0, 0, 0)" margin="bottom_small:2em"]Hub Construction employs over 3 000 employees, the majority of whom are based on project sites. We embrace holistic development and support for employees with the aim of being a first-choice employer within our[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.88em" color="rgb(0, 0, 0)" margin="bottom_small:2em"]Through a unique combination of engineering, construction and design disciplines and expertise, Concor delivers world class infrastructure solutions to customers and stakeholders across a broad range of industry sectors.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.88em" color="rgb(0, 0, 0)" margin="bottom_small:2em"]Urban design draws together the many strands of place-making, environmental stewardship, social equity and economic viability into the creation of places with distinct beauty and identity.[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Fancy Text 12
	$data = array();
	$data['name'] = esc_html__( 'Fancy Text 12', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'info-15.jpg' );
	$data['sort_name'] = 'Fancy Text';
	$data['custom_class'] = 'general fancytext';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" responsive_css="padding_top_medium:110px|padding_bottom_medium:110px|padding_bottom_small:80px" css=".vc_custom_1610005371078{padding-top: 30px !important;padding-bottom: 60px !important;}"][vc_column width="1/2" css=".vc_custom_1620642235658{margin-bottom: 60px !important;}" responsive_css="margin_bottom_medium:35px"][ld_images_group_element img_size="50%" image="4404" margin="left_medium:45px|bottom_small:15px"][/ld_images_group_element][ld_fancy_heading tag="p" whitespace="ws-nowrap" vertical_txt="text-sm-vertical" absolute_pos="yes" use_custom_fonts_title="true" fs="text_small:19px" color="rgb(0, 0, 0)" position="bottom_medium:15px|bottom_small:-1em|left_small:0px" margin="bottom_small:0px"]<span class="h3" style="font-size: inherit;">San Francisco</span> Headquarter[/ld_fancy_heading][/vc_column][vc_column width="1/2"][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" color="rgb(0, 0, 0)" fs="text_small:13px" fw="text_small:700" ls="text_small:0.1em" margin="bottom_small:1em"]— Arch Philosophy[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_small:42px" margin="bottom_small:0.75em" fw="text_small:500"]Multidisciplinary <em class="h3" style="font-size: inherit;">team</em>[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.88em" color="rgb(0, 0, 0)" margin="bottom_small:2em"]Through a unique combination of engineering, construction and design disciplines and expertise, Concor delivers world class infrastructure solutions to customers and stakeholders across a broad range of industry sectors.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.88em" color="rgb(0, 0, 0)" margin="bottom_small:2em"]Urban design draws together the many strands of place-making, environmental stewardship, social equity and economic viability into the creation of places with distinct beauty and identity.[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Fancy Text 13
	$data = array();
	$data['name'] = esc_html__( 'Fancy Text 13', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'info-20.jpg' );
	$data['sort_name'] = 'Fancy Text';
	$data['custom_class'] = 'general fancytext';
	$data['content'] = <<<CONTENT
	[vc_row equal_height="yes" content_placement="middle" responsive_css="padding_bottom_medium:100px|padding_top_small:50px" css=".vc_custom_1608025838088{padding-top: 30px !important;padding-bottom: 30px !important;}"][vc_column width="1/3" offset="vc_col-md-2" responsive_css="margin_bottom_small:0px" css=".vc_custom_1608024402921{margin-bottom: 25px !important;}"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:11px" margin="bottom_small:0px"]Looking for collaboration?[/ld_fancy_heading][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" fs="text_small:18px"]Hub wire[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-2 vc_hidden-sm vc_hidden-xs"][vc_separator color="white" border_width="2"][/vc_column][vc_column width="1/3" offset="vc_col-md-offset-1 vc_col-md-2" responsive_css="margin_bottom_small:0px" css=".vc_custom_1608024409989{margin-bottom: 25px !important;}"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:14px" lh="text_small:1.21em"]290 Maryam Springs Courbevoie, NYC[/ld_fancy_heading][ld_fancy_heading tag="h6" use_custom_fonts_title="true" fs="text_small:18px"]+1 827 48 89[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-2 vc_hidden-sm vc_hidden-xs"][vc_separator color="white" border_width="2"][/vc_column][vc_column width="1/3" offset="vc_col-md-offset-1 vc_col-md-2" responsive_css="margin_bottom_small:0px" css=".vc_custom_1608024417804{margin-bottom: 25px !important;}"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:14px" lh="text_small:1.21em"]Looking for a job?<br />
Send your resume[/ld_fancy_heading][ld_fancy_heading tag="h6" use_custom_fonts_title="true" fs="text_small:18px"]info@hub.com[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Fancy Text 14
	$data = array();
	$data['name'] = esc_html__( 'Fancy Text 14', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'info-23.jpg' );
	$data['sort_name'] = 'Fancy Text';
	$data['custom_class'] = 'general fancytext';
	$data['content'] = <<<CONTENT
	<p>[vc_row full_width="stretch_row" gap="0" full_height="yes" columns_placement="stretch" equal_height="yes" enable_content_animation="yes" enable_cc_circle="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" cc_circle_color="rgba(255, 157, 202, 0.44)" ca_duration="1800" ca_delay="180" responsive_css="padding_top_small:0px" css=".vc_custom_1614501395799{padding-top: 60px !important;}"][vc_column width="1/3" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_x="0%" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-2/5" css=".vc_custom_1608035606145{border-right-width: 0px !important;border-bottom-width: 1px !important;padding-top: 9vh !important;padding-right: 15px !important;padding-bottom: 10vh !important;padding-left: 15px !important;border-right-color: #a3183c !important;border-right-style: solid !important;border-bottom-color: #a3183c !important;border-bottom-style: solid !important;}" responsive_css="padding_right_large:7vw|padding_left_large:7vw|padding_right_medium:5vw|padding_left_medium:5vw|border_right_small:1px|padding_top_small:10vh" ca_duration="1600" ca_delay="160" ca_init_translate_y="30" ca_init_rotate_z="5"][ld_particles visible_on_hover="yes" absolute_pos="yes" opacity="1" enable_random_size="yes" modes_grab_opacity="1" retina_detect="yes" particle_id="lqd-1608034385137-bf3434ef-384f" height="100%" position="top_small:0px|right_small:0px|bottom_small:0px|left_small:0px" number="30" color="#167cf9" size="4"][ld_fancy_heading tag="h4" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" margin="bottom_small:1em"]About me[/ld_fancy_heading][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(164, 25, 61)" fs="text_large:18px|text_small:14px" lh="text_small:1.5em" margin="bottom_small:1.5em"]My name is Roberto, I’m a freelance Branding and Digital Designer based by the valley in New York. I currently work at Liquid. I create brand identities, digital experiences, and print materials that communicate clearly achieve marketing goals, and look fantastic.[/ld_fancy_heading][ld_button style="btn-underlined" title="Available for freelance" link_type="modal_window" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-lqd-envelope" color="rgb(164, 25, 61)" fs="14px" lh="1em" hover_color="rgb(255, 255, 255)" anchor_id="#contact-modal"][ld_modal_window title="Contact me" el_id="contact-modal"][vc_row_inner][vc_column_inner width="1/2"][vc_column_text css=".vc_custom_1608199527374{margin-bottom: 40px !important;}"]<span style="font-size: 16px; color: #4666e3;">Address</span></p>
<hr />
<p><span style="font-size: 15px; color: #666666;">290 Maryam Springs 260,</span><br />
<span style="font-size: 15px; color: #666666;">Courbevoie, Paris, France</span>[/vc_column_text][ld_google_map style="unsaturatedBrowns" map_marker="html_marker" si_style="" si_size="" si_border="" zoom="16" map_controls="fullscreenControl" map_height="448px" address="7420 Shore Rd, Brooklyn, NY 11209, USA"][vc_separator color="custom" accent_color="#f7f9fb"][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-offset-1 vc_col-md-5" css=".vc_custom_1608035373180{border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 40px !important;padding-right: 12% !important;padding-left: 12% !important;border-left-color: #e7e7e7 !important;border-left-style: solid !important;border-right-color: #e7e7e7 !important;border-right-style: solid !important;border-top-color: #e7e7e7 !important;border-top-style: solid !important;border-bottom-color: #e7e7e7 !important;border-bottom-style: solid !important;}"][ld_fancy_heading tag="h2" tag_to_inherite="h3" use_custom_fonts_title="true" use_inheritance="true" color="rgb(26, 28, 38)" margin="bottom_small:10px" fw="300"]Send a message[/ld_fancy_heading][ld_spacer height="10px"][vc_column_text]<span style="color: #73747f; font-size: 15px; line-height: 26px;">Feel free to reach us if you need any assistance.</span>[/vc_column_text][ld_spacer height="35px"][ld_cf7 id="132" btn_width="lqd-contact-form-button-block" use_custom_fonts_input="true" use_custom_fonts_submit="true" fs="14px" submit_fs="15px" submit_color="rgb(255, 255, 255)" h_color="rgb(94, 96, 98)" bg_color="rgb(247, 249, 251)" hbg_color="rgb(238, 243, 248)" color="rgb(111, 114, 116)" fw="400" submit_hbg_color="rgb(58, 58, 58)" submit_hover_border_color="rgb(58, 58, 58)" border_color="rgb(247, 249, 251)" hover_border_color="rgb(238, 243, 248)" lqd_bg_color="rgb(247, 249, 251)" css=".vc_custom_1608035319019{background-color: #f7f9fb !important;}"][/vc_column_inner][vc_column_inner][/vc_column_inner][/vc_row_inner][/ld_modal_window][/vc_column][vc_column width="1/3" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_x="0%" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-1/5" css=".vc_custom_1608037023630{border-right-width: 0px !important;border-bottom-width: 1px !important;padding-top: 5vh !important;padding-right: 15px !important;padding-bottom: 5vh !important;padding-left: 15px !important;border-right-color: #a3183c !important;border-right-style: solid !important;border-bottom-color: #a3183c !important;border-bottom-style: solid !important;}" responsive_css="padding_right_medium:2.5vw|padding_left_medium:2.5vw|border_right_small:1px|padding_top_small:10vh|padding_bottom_small:10vh" ca_duration="1600" ca_delay="160" ca_init_translate_y="35" ca_init_rotate_z="5" ca_start_delay="650"][ld_particles visible_on_hover="yes" absolute_pos="yes" opacity="1" enable_random_size="yes" modes_grab_opacity="1" retina_detect="yes" particle_id="lqd-1608034333111-e5ef3cc6-0627" height="100%" position="top_small:0px|right_small:0px|bottom_small:0px|left_small:0px" number="30" color="#15f887" size="4"][ld_fancy_heading tag="h4" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" margin="bottom_small:1em"]Experience[/ld_fancy_heading][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(164, 25, 61)" fs="text_large:18px|text_small:14px" lh="text_small:1.5em" margin="bottom_small:1.5em"]I worked with Vodafone, Apple, Google, Amazon and many more startups in San Francisco.[/ld_fancy_heading][/vc_column][vc_column width="1/3" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_x="0%" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-2/5" css=".vc_custom_1608037050753{border-bottom-width: 1px !important;padding-top: 7vh !important;padding-right: 15px !important;padding-bottom: 7vh !important;padding-left: 15px !important;border-bottom-color: #a3183c !important;border-bottom-style: solid !important;}" responsive_css="padding_right_large:7vw|padding_left_large:7vw|padding_right_medium:5vw|padding_left_medium:5vw|padding_top_small:10vh|padding_bottom_small:10vh" ca_duration="1600" ca_delay="160" ca_init_translate_y="35" ca_init_rotate_z="5" ca_start_delay="900"][ld_particles visible_on_hover="yes" absolute_pos="yes" opacity="1" enable_random_size="yes" modes_grab_opacity="1" retina_detect="yes" particle_id="lqd-1608034123225-5dbb76e5-e96c" height="100%" position="top_small:0px|right_small:0px|bottom_small:0px|left_small:0px" number="30" color="#ff0a0a" size="4"][ld_fancy_heading tag="h4" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" margin="bottom_small:1em"]Career[/ld_fancy_heading][ld_custom_menu source="custom" use_custom_fonts_menu="true" items="%5B%7B%22label%22%3A%222020%20%20%20%20%E2%80%94%20%20%20%20Senior%20Designer%20%20%E2%80%94%20Liquid%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%222019%20%20%20%20%E2%80%94%20%20%20%20Product%20Designer%20%20%E2%80%94%20Apple%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%222018%20%20%20%20%E2%80%94%20%20%20%20Junior%20Designer%20%20%E2%80%94%20Google%20%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%222015%20%20%20%20%E2%80%94%20%20%20%20Graduated%20from%20Yale%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%222011%20%20%20%20%E2%80%94%20%20%20%20%20Graduated%20from%20High%20School%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%5D" spacing="7" fs="18px" color="rgb(164, 25, 61)" hcolor="rgb(255, 255, 255)" lh="1.5em"][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_x="0%" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-6" css=".vc_custom_1608037458634{border-right-width: 0px !important;border-bottom-width: 1px !important;padding-top: 10vh !important;padding-right: 15px !important;padding-bottom: 10vh !important;padding-left: 15px !important;border-right-color: #a3183c !important;border-right-style: solid !important;border-bottom-color: #a3183c !important;border-bottom-style: solid !important;}" responsive_css="padding_right_large:7vw|padding_left_large:7vw|border_bottom_medium:0px|padding_right_medium:5vw|padding_left_medium:5vw|border_right_small:1px" ca_duration="1600" ca_delay="80" ca_init_translate_y="35" ca_init_rotate_z="5" ca_start_delay="1150"][ld_particles visible_on_hover="yes" absolute_pos="yes" opacity="1" enable_random_size="yes" modes_grab_opacity="1" retina_detect="yes" particle_id="lqd-1608034408420-1e477203-1f27" height="100%" position="top_small:0px|right_small:0px|bottom_small:0px|left_small:0px" number="30" color="#8402ff" size="4"][ld_fancy_heading tag="h4" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" margin="bottom_small:1em"]Skills[/ld_fancy_heading][vc_row_inner equal_height="yes"][vc_column_inner width="1/3" responsive_css="padding_left_small:25px" css=".vc_custom_1608033780195{border-left-width: 1px !important;padding-left: 10px !important;border-left-color: #a4193d !important;border-left-style: dashed !important;}" offset="vc_col-xs-6"][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(164, 25, 61)" fs="text_large:18px|text_small:13px" lh="text_small:1.5em"]Brand Guid[ld_br]<br />
Flayer Design[ld_br]<br />
Video Production[ld_br]<br />
Web Advertising[ld_br]<br />
Illustrations[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/3" responsive_css="padding_left_small:25px" css=".vc_custom_1608033789290{border-left-width: 1px !important;padding-left: 10px !important;border-left-color: #a4193d !important;border-left-style: dashed !important;}" offset="vc_col-xs-6"][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(164, 25, 61)" fs="text_large:18px|text_small:13px" lh="text_small:1.5em"]Art Direction[ld_br]<br />
Brand Strategy[ld_br]<br />
Communication[ld_br]<br />
Graphic Design[ld_br]<br />
Print Design[ld_br]<br />
Motion Graphics[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/3" responsive_css="padding_left_small:25px" css=".vc_custom_1608033795285{border-left-width: 1px !important;padding-left: 10px !important;border-left-color: #a4193d !important;border-left-style: dashed !important;}" offset="vc_col-xs-6"][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(164, 25, 61)" fs="text_large:18px|text_small:13px" lh="text_small:1.45em"]Graphic Design[ld_br]<br />
Print Design[ld_br]<br />
Motion Graphics[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/vc_column][vc_column width="1/2" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_x="0%" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-3" css=".vc_custom_1608037234997{border-right-width: 0px !important;border-bottom-width: 1px !important;padding-top: 5vh !important;padding-right: 15px !important;padding-bottom: 5vh !important;padding-left: 15px !important;border-right-color: #a3183c !important;border-right-style: solid !important;border-bottom-color: #a3183c !important;border-bottom-style: solid !important;}" responsive_css="padding_right_medium:3vw|padding_left_medium:3vw|border_right_small:1px|border_bottom_small:0px|padding_top_small:10vh|padding_bottom_small:10vh" ca_duration="1600" ca_delay="120" ca_init_translate_y="35" ca_init_rotate_z="5" ca_start_delay="1450"][ld_particles visible_on_hover="yes" absolute_pos="yes" opacity="1" enable_random_size="yes" modes_grab_opacity="1" retina_detect="yes" particle_id="lqd-1608034397048-27e6de0e-3001" height="100%" position="top_small:0px|right_small:0px|bottom_small:0px|left_small:0px" number="30" color="#0205d6" size="4"][ld_fancy_heading tag="h4" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" margin="bottom_small:1em"]Awards[/ld_fancy_heading][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(164, 25, 61)" fs="text_large:18px|text_small:13px" lh="text_small:1.45em"]<span class="mr-3">3x</span>AW Site of the Day[ld_br]<br />
<span class="mr-3">1x</span>FTA Best Interactivity[ld_br]<br />
<span class="mr-3">2x</span>CSS Design Awards[ld_br]<br />
<span class="mr-3">6x</span>AW Honorable Mention[ld_br]<br />
<span class="mr-3">2x</span>Red Dot Graphic[/ld_fancy_heading][/vc_column][vc_column width="1/2" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_x="0%" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-3" css=".vc_custom_1608037243987{padding-top: 5vh !important;padding-right: 15px !important;padding-bottom: 5vh !important;padding-left: 15px !important;}" responsive_css="padding_right_medium:3vw|padding_left_medium:3vw|padding_top_small:10vh|padding_bottom_small:10vh" ca_duration="1600" ca_delay="160" ca_init_translate_y="35" ca_init_rotate_z="5" ca_start_delay="1600"][ld_particles visible_on_hover="yes" absolute_pos="yes" opacity="1" enable_random_size="yes" modes_grab_opacity="1" retina_detect="yes" particle_id="lqd-1608034213121-6d30d3b3-0264" height="100%" position="top_small:0px|right_small:0px|bottom_small:0px|left_small:0px" number="30" color="#02ffdd" size="4"][ld_fancy_heading tag="h4" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" margin="bottom_small:1em"]Contact[/ld_fancy_heading][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(164, 25, 61)" fs="text_large:20px|text_small:13px" lh="text_small:1.57em" margin="bottom_small:0.5em"]I’m interested in<br />
working together[/ld_fancy_heading][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(164, 25, 61)" fs="text_large:20px|text_small:13px" lh="text_small:1.57em" margin="bottom_small:0.5em"]+1 827 48 89[/ld_fancy_heading][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(164, 25, 61)" fs="text_large:20px|text_small:13px" lh="text_small:1.57em" margin="bottom_small:0.5em"]Have a project in mind?[/ld_fancy_heading][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(164, 25, 61)" fs="text_large:20px|text_small:13px" lh="text_small:1.57em" margin="bottom_small:0.5em"]info@hub.com[/ld_fancy_heading][/vc_column][/vc_row]</p>
CONTENT;
	$templates[] = $data;

	//Fancy Text 15
	$data = array();
	$data['name'] = esc_html__( 'Fancy Text 15', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'misc-31.jpg' );
	$data['sort_name'] = 'Fancy Text';
	$data['custom_class'] = 'general fancytext';
	$data['content'] = <<<CONTENT
	[vc_row bg_position="left center" css=".vc_custom_1611568262746{padding-top: 50px !important;padding-bottom: 130px !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}"][vc_column css=".vc_custom_1611088285482{margin-bottom: 2.15em !important;}" offset="vc_col-md-offset-1 vc_col-md-10"][ld_fancy_heading tag="h6" margin="bottom_large:3em|bottom_small:2em"]— Architecture Services[/ld_fancy_heading][ld_fancy_heading tag="p" tag_to_inherite="h3" use_inheritance="true" margin="bottom_large:1.5em|bottom_small:1em"]Since the 1980s, as the complexity of buildings began to increase, the field of architecture became multi-disciplinary with specializations for each project type, technological expertise.[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-offset-1 vc_col-md-10"][vc_row_inner][vc_column_inner width="1/3"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="16px" lh="1.5em"]— Urban Codes[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="16px" lh="1.5em"]— Interior Design[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="16px" lh="1.5em"]— City Planning[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/3"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="16px" lh="1.5em"]— Residential[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="16px" lh="1.5em"]— Construction[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="16px" lh="1.5em"]— Landspaces[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/3"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="16px" lh="1.5em"]— Innovative Design[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="16px" lh="1.5em"]— Facility Optimization[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="16px" lh="1.5em"]— Consulting[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row full_width="stretch_row" gap="0" css=".vc_custom_1605616478180{padding-bottom: 60px !important;}"][vc_column][ld_carousel_marquee_tab columns="md:4.25|sm:2.9|xs:1.5|spacing_md:50px|spacing_xs:2%25" pause_on_hover="yes" randomveroffset="yes"][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600434166403-376bd1f6-e3bd"][vc_single_image image="56" css=".vc_custom_1600434720760{margin-bottom: 50px !important;}"][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600434294047-e8e3297a-ecf8"][vc_single_image image="58" css=".vc_custom_1600434728358{margin-bottom: 50px !important;}"][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600434315298-8ffdba0e-bdb9"][vc_single_image image="59" css=".vc_custom_1600434737821{margin-bottom: 50px !important;}"][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600434339502-e71d2cda-694b"][vc_single_image image="4313" css=".vc_custom_1600434747987{margin-bottom: 50px !important;}"][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600434392281-5839817b-a5de"][vc_single_image image="57" css=".vc_custom_1600434759523{margin-bottom: 50px !important;}"][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600434420928-b13c76de-d2ed"][vc_single_image image="56" css=".vc_custom_1600434767214{margin-bottom: 50px !important;}"][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600434440973-4835951d-d1fa"][vc_single_image image="4314" css=".vc_custom_1600434775295{margin-bottom: 50px !important;}"][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600434469640-f8476374-692b"][vc_single_image image="4311" css=".vc_custom_1600434783500{margin-bottom: 50px !important;}"][/ld_carousel_marquee_section][/ld_carousel_marquee_tab][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Fancy Text 16
	$data = array();
	$data['name'] = esc_html__( 'Fancy Text 16', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'ft-16.jpg' );
	$data['sort_name'] = 'Fancy Text';
	$data['custom_class'] = 'general fancytext';
	$data['content'] = <<<CONTENT
	[vc_section css=".vc_custom_1608304980112{background-color: #ffd091 !important;}"][vc_row enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" bg_position="center top" css=".vc_custom_1608304995259{margin-bottom: 70px !important;padding-top: 70px !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}" ca_duration="1600" ca_delay="180" ca_init_translate_x="0" ca_init_translate_y="60" responsive_css="margin_bottom_medium:110px|padding_top_medium:120px"][vc_column][vc_separator color="custom" accent_color="#e03b37"][/vc_column][vc_column width="3/4"][ld_fancy_heading tag="h2" split_type="chars, words" duration="1600" delay="80" easing="bounce.inOut" direction="random" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_y="100%" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_origin_y="100%" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" enable_randomize="true" color="rgb(224, 55, 101)" fs="text_all:370px|text_large:300px|text_medium:210px|text_small:35.5vw" lh="text_small:0.73em" ca_init_rotate_x="0" ca_init_rotate_y="0" ca_init_rotate_z="0" margin="bottom_large:0px|bottom_small:0.25em" ca_init_translate_y="0" fw="text_small:500" ls="text_small:-0.02em"]Clie-nts[/ld_fancy_heading][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_x="0%" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" ca_duration="1600" ca_delay="120" ca_init_translate_y="30" ca_init_rotate_z="5" ca_start_delay="650" offset="vc_col-md-3"][ld_images_group_element img_size="50%" parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" absolute_pos="yes" image="300" translate_from_y="79" rotate_from_x="-30" rotate_from_y="0" rotate_from_z="-24" translate_to_y="-52" rotate_to_x="10" rotate_to_y="0" rotate_to_z="25" position="top_small:0px|right_small:0px|left_small:0px" hide_el="hidden-xs hidden-sm"][/ld_images_group_element][ld_spacer height="35px" md_height="200px" lg_height="270px"][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(229, 67, 63)" fs="text_small:15px" lh="text_small:1.33em" margin="left_large:-80%25|bottom_small:1.25em"]As a leading digital agency in Paris, we look to engage with our clients beyond the conventional design and development agency relationship, becoming a partner to the people and companies we work with.[/ld_fancy_heading][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(229, 67, 63)" fs="text_small:15px" lh="text_small:1.33em" margin="left_large:-80%25|bottom_small:1.25em"]We create brand identities, digital experiences, and print materials that communicate clearly achieve marketing goals, and look fantastic. Urban design draws together the many strands of place-making, environmental stewardship, social equity and economic viability into the creation of places with distinct beauty and identity.[/ld_fancy_heading][/vc_column][/vc_row][vc_row full_width="stretch_row" gap="0" responsive_css="padding_bottom_medium:175px" css=".vc_custom_1608305028501{padding-bottom: 70px !important;}"][vc_column css=".vc_custom_1608298152523{margin-bottom: 15px !important;}"][ld_carousel_marquee_tab columns_auto_width="yes" auto_width_padding="1%" marquee_speed="0.75"][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1608301568553-aa13f322-b75e"][ld_fancy_heading tag="h3" transform="text-uppercase" whitespace="ws-nowrap" enable_bg="yes" fh_border_radius="circle" enable_fh_shadowbox="yes" use_custom_fonts_title="true" margin="top_small:2px|bottom_small:2px" ls="text_small:-0.02em" fs="text_large:4vw" lh="text_small:1em" fh_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%220%22%2C%22blur_radius%22%3A%220%22%2C%22spread_radius%22%3A%222px%22%2C%22shadow_color%22%3A%22%231f1f1f%22%7D%5D" padding="top_small:0.1em|right_small:0.5em|bottom_small:0.1em|left_small:0.5em"]American Airlines[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1608301568555-e75290e0-372d"][ld_fancy_heading tag="h3" transform="text-uppercase" whitespace="ws-nowrap" enable_bg="yes" fh_border_radius="circle" enable_fh_shadowbox="yes" use_custom_fonts_title="true" margin="top_small:2px|bottom_small:2px" ls="text_small:-0.02em" fs="text_large:4vw" lh="text_small:1em" fh_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%220%22%2C%22blur_radius%22%3A%220%22%2C%22spread_radius%22%3A%222px%22%2C%22shadow_color%22%3A%22%231f1f1f%22%7D%5D" padding="top_small:0.1em|right_small:0.5em|bottom_small:0.1em|left_small:0.5em"]Google[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1608301568557-d0618f0b-2d21"][ld_fancy_heading tag="h3" transform="text-uppercase" whitespace="ws-nowrap" enable_bg="yes" fh_border_radius="circle" enable_fh_shadowbox="yes" use_custom_fonts_title="true" margin="top_small:2px|bottom_small:2px" ls="text_small:-0.02em" fs="text_large:4vw" lh="text_small:1em" padding="top_small:0.1em|right_small:0.5em|bottom_small:0.1em|left_small:0.5em" color="rgb(255, 223, 185)" fh_bg="rgb(229, 67, 63)" fh_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%220%22%2C%22blur_radius%22%3A%220%22%2C%22spread_radius%22%3A%222px%22%2C%22shadow_color%22%3A%22%23e5433f%22%7D%5D"]Redbull[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1608301568559-3d6819cb-01da"][ld_fancy_heading tag="h3" transform="text-uppercase" whitespace="ws-nowrap" enable_bg="yes" fh_border_radius="circle" enable_fh_shadowbox="yes" use_custom_fonts_title="true" margin="top_small:2px|bottom_small:2px" ls="text_small:-0.02em" fs="text_large:4vw" lh="text_small:1em" fh_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%220%22%2C%22blur_radius%22%3A%220%22%2C%22spread_radius%22%3A%222px%22%2C%22shadow_color%22%3A%22%231f1f1f%22%7D%5D" padding="top_small:0.1em|right_small:0.5em|bottom_small:0.1em|left_small:0.5em"]Amazon[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1608301568562-fc439d4c-2076"][ld_fancy_heading tag="h3" transform="text-uppercase" whitespace="ws-nowrap" enable_bg="yes" fh_border_radius="circle" enable_fh_shadowbox="yes" use_custom_fonts_title="true" margin="top_small:2px|bottom_small:2px" ls="text_small:-0.02em" fs="text_large:4vw" lh="text_small:1em" fh_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%220%22%2C%22blur_radius%22%3A%220%22%2C%22spread_radius%22%3A%222px%22%2C%22shadow_color%22%3A%22%231f1f1f%22%7D%5D" padding="top_small:0.1em|right_small:0.5em|bottom_small:0.1em|left_small:0.5em"]Adidas[/ld_fancy_heading][/ld_carousel_marquee_section][/ld_carousel_marquee_tab][/vc_column][vc_column css=".vc_custom_1608117008361{margin-bottom: 15px !important;}"][ld_carousel_marquee_tab columns_auto_width="yes" auto_width_padding="1%" reverse="yes" marquee_speed="0.75"][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1608301568567-de7992cb-6982"][ld_fancy_heading tag="h3" transform="text-uppercase" whitespace="ws-nowrap" enable_bg="yes" fh_border_radius="circle" enable_fh_shadowbox="yes" use_custom_fonts_title="true" margin="top_small:2px|bottom_small:2px" ls="text_small:-0.02em" fs="text_large:4vw" lh="text_small:1em" fh_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%220%22%2C%22blur_radius%22%3A%220%22%2C%22spread_radius%22%3A%222px%22%2C%22shadow_color%22%3A%22%231f1f1f%22%7D%5D" padding="top_small:0.1em|right_small:0.5em|bottom_small:0.1em|left_small:0.5em"]Vogue[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1608301568572-823f1faf-960b"][ld_fancy_heading tag="h3" transform="text-uppercase" whitespace="ws-nowrap" enable_bg="yes" fh_border_radius="circle" enable_fh_shadowbox="yes" use_custom_fonts_title="true" margin="top_small:2px|bottom_small:2px" ls="text_small:-0.02em" fs="text_large:4vw" lh="text_small:1em" fh_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%220%22%2C%22blur_radius%22%3A%220%22%2C%22spread_radius%22%3A%222px%22%2C%22shadow_color%22%3A%22%231f1f1f%22%7D%5D" padding="top_small:0.1em|right_small:0.5em|bottom_small:0.1em|left_small:0.5em"]Adidas[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1608301568574-d72f4628-50ef"][ld_fancy_heading tag="h3" transform="text-uppercase" whitespace="ws-nowrap" enable_bg="yes" fh_border_radius="circle" enable_fh_shadowbox="yes" use_custom_fonts_title="true" margin="top_small:2px|bottom_small:2px" ls="text_small:-0.02em" fs="text_large:4vw" lh="text_small:1em" fh_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%220%22%2C%22blur_radius%22%3A%220%22%2C%22spread_radius%22%3A%222px%22%2C%22shadow_color%22%3A%22%231f1f1f%22%7D%5D" padding="top_small:0.1em|right_small:0.5em|bottom_small:0.1em|left_small:0.5em"]Goldline[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1608301857017-33493957-3ba6"][ld_fancy_heading tag="h3" transform="text-uppercase" whitespace="ws-nowrap" enable_bg="yes" fh_border_radius="circle" enable_fh_shadowbox="yes" use_custom_fonts_title="true" margin="top_small:2px|bottom_small:2px" ls="text_small:-0.02em" fs="text_large:4vw" lh="text_small:1em" fh_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%220%22%2C%22blur_radius%22%3A%220%22%2C%22spread_radius%22%3A%222px%22%2C%22shadow_color%22%3A%22%231f1f1f%22%7D%5D" padding="top_small:0.1em|right_small:0.5em|bottom_small:0.1em|left_small:0.5em"]Pied Piper[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1608301568576-99cfa613-d682"][ld_fancy_heading tag="h3" transform="text-uppercase" whitespace="ws-nowrap" enable_bg="yes" fh_border_radius="circle" enable_fh_shadowbox="yes" use_custom_fonts_title="true" margin="top_small:2px|bottom_small:2px" ls="text_small:-0.02em" fs="text_large:4vw" lh="text_small:1em" fh_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%220%22%2C%22blur_radius%22%3A%220%22%2C%22spread_radius%22%3A%222px%22%2C%22shadow_color%22%3A%22%231f1f1f%22%7D%5D" padding="top_small:0.1em|right_small:0.5em|bottom_small:0.1em|left_small:0.5em"]Kahre[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1608301568578-92f32a61-92b1"][ld_fancy_heading tag="h3" transform="text-uppercase" whitespace="ws-nowrap" enable_bg="yes" fh_border_radius="circle" enable_fh_shadowbox="yes" use_custom_fonts_title="true" margin="top_small:2px|bottom_small:2px" ls="text_small:-0.02em" fs="text_large:4vw" lh="text_small:1em" fh_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%220%22%2C%22blur_radius%22%3A%220%22%2C%22spread_radius%22%3A%222px%22%2C%22shadow_color%22%3A%22%231f1f1f%22%7D%5D" padding="top_small:0.1em|right_small:0.5em|bottom_small:0.1em|left_small:0.5em"]Microsoft[/ld_fancy_heading][/ld_carousel_marquee_section][/ld_carousel_marquee_tab][/vc_column][/vc_row][/vc_section]
CONTENT;
	$templates[] = $data;

	//Fancy Text 17
	$data = array();
	$data['name'] = esc_html__( 'Fancy Text 17', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'ft-17.jpg' );
	$data['sort_name'] = 'Fancy Text';
	$data['custom_class'] = 'general fancytext';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" bg_position="custom" css=".vc_custom_1620719701014{padding-top: 80px !important;padding-bottom: 80px !important;background-color: #573452 !important;}" ca_duration="1600" ca_delay="180" ca_init_translate_x="0" ca_init_translate_y="60" responsive_css="padding_top_medium:120px|padding_bottom_medium:120px" bg_pos_h="20vw" bg_pos_v="0%"][vc_column width="3/4"][ld_fancy_heading tag="h2" split_type="chars, words" duration="1600" delay="80" easing="bounce.inOut" direction="random" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_y="100%" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_origin_y="100%" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" enable_randomize="true" color="rgb(234, 178, 93)" fs="text_all:370px|text_large:300px|text_medium:210px|text_small:35.5vw" lh="text_small:0.73em" ca_init_rotate_x="0" ca_init_rotate_y="0" ca_init_rotate_z="0" margin="bottom_large:0px|bottom_small:0.25em" ca_init_translate_y="0" fw="text_small:500" ls="text_small:-0.05em"]Cont-act[/ld_fancy_heading][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_x="0%" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" ca_duration="1600" ca_delay="120" ca_init_translate_y="30" ca_init_rotate_z="5" ca_start_delay="650" offset="vc_col-md-3"][ld_spacer height="35px" md_height="200px" lg_height="250px"][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(241, 214, 173)" fs="text_small:15px" lh="text_small:1.33em" margin="left_large:-50%25|bottom_small:2em"]As a leading digital agency in Paris, we look to engage with our clients beyond the conventional design and development agency relationship, becoming a partner to the people and companies we work with.[/ld_fancy_heading][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(241, 214, 173)" fs="text_small:25px" lh="text_small:1.16em" margin="left_large:-50%25|bottom_small:1em"]Have a project in mind?[ld_br]Send a message.[/ld_fancy_heading][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(241, 214, 173)" fs="text_small:25px" lh="text_small:1.16em" margin="left_large:-50%25|bottom_small:1.25em"]zack.hub.com[/ld_fancy_heading][/vc_column][vc_column][ld_spacer md_height="100px"][/vc_column][vc_column width="1/3" offset="vc_col-md-2" responsive_css="margin_bottom_small:0px" css=".vc_custom_1608302849799{margin-bottom: 20px !important;}"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(241, 214, 173)" fs="text_small:11px" lh="text_small:1.15em" margin="bottom_small:0.3em"]Looking for collaboration?[/ld_fancy_heading][ld_fancy_heading tag="h2" transform="text-uppercase" use_custom_fonts_title="true" fs="text_small:18px" color="rgb(241, 214, 173)"]Hub wire[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-3 vc_hidden-sm vc_hidden-xs"][vc_separator color="custom" border_width="2" css=".vc_custom_1608303302739{margin-top: 0px !important;margin-bottom: 0px !important;}" accent_color="#f1d6ad"][/vc_column][vc_column width="1/3" offset="vc_col-md-2" responsive_css="margin_bottom_small:0px" css=".vc_custom_1608302863120{margin-bottom: 20px !important;}"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:14px" lh="text_small:1.21em" margin="bottom_small:0.75em" color="rgb(241, 214, 173)"]290 Maryam Springs Courbevoie, NYC[/ld_fancy_heading][ld_fancy_heading tag="h5" use_custom_fonts_title="true" fs="text_small:14px" margin="bottom_small:0.3em" color="rgb(241, 214, 173)"]+1 827 48 89[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-3 vc_hidden-sm vc_hidden-xs"][vc_separator color="custom" border_width="2" css=".vc_custom_1608304735367{margin-top: 0px !important;margin-bottom: 0px !important;}" accent_color="#f1d6ad"][/vc_column][vc_column width="1/3" offset="vc_col-md-2" responsive_css="margin_bottom_small:0px" css=".vc_custom_1608302877479{margin-bottom: 20px !important;}"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:14px" lh="text_small:1.21em" margin="bottom_small:0.75em" color="rgb(241, 214, 173)"]Looking for a job? Send your resume[/ld_fancy_heading][ld_fancy_heading tag="h5" use_custom_fonts_title="true" fs="text_small:14px" margin="bottom_small:0.3em" color="rgb(241, 214, 173)"]info@hub.com[/ld_fancy_heading][/vc_column][vc_column][ld_spacer md_height="100px"][/vc_column][vc_column width="1/2"][ld_fancy_heading tag="p" use_custom_fonts_title="true" margin="bottom_large:0px|bottom_small:20px" fs="text_small:12px" color="rgb(255, 201, 119)"]Available for freelance in Aug 2020[/ld_fancy_heading][/vc_column][vc_column width="1/2" responsive_align="text-sm-right"][ld_custom_menu source="custom" inline="inline-nav" use_custom_fonts_menu="true" items="%5B%7B%22label%22%3A%22Fb.%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Tw.%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22In.%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Lk.%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%5D" spacing="15" fs="15px" color="rgb(255, 201, 119)" hcolor="rgb(255, 255, 255)"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Fancy Text 18
	$data = array();
	$data['name'] = esc_html__( 'Fancy Text 18', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'ft-18.jpg' );
	$data['sort_name'] = 'Fancy Text';
	$data['custom_class'] = 'general fancytext';
	$data['content'] = <<<CONTENT
	[vc_row full_height="yes" css=".vc_custom_1608296878382{padding-top: 70px !important;padding-bottom: 70px !important;background-color: #ffaac7 !important;}" responsive_css="padding_top_medium:120px"][vc_column responsive_align="text-center"][ld_images_group_element img_size="50%" enable_effects="yes" parallax="yes" enable_reveal="yes" reveal_direction="bt" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" absolute_pos="yes" image="238" reveal_color="rgb(185, 223, 255)" position="top_all:-15%25|top_large:-25%25|top_medium:-50%25|left_medium:50%25|top_small:-60%25|left_small:0px" margin="left_medium:-290px|left_small:0px" translate_from_y="130" translate_to_y="-130"][/ld_images_group_element][ld_fancy_heading split_type="chars, words" duration="1600" delay="100" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_y="150%" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_origin_y="100%" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" color="rgb(185, 223, 255)" fs="text_large:300px|text_medium:32vw|text_small:30vw" lh="text_small:0.9em" ls="text_small:-0.05em" margin="bottom_small:0px" ca_init_translate_y="200" ca_init_rotate_x="125" start_delay="350"]Hi, I’m Paul.[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Fancy Text 19
	$data = array();
	$data['name'] = esc_html__( 'Fancy Text 19', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'ft-19.jpg' );
	$data['sort_name'] = 'Fancy Text';
	$data['custom_class'] = 'general fancytext';
	$data['content'] = <<<CONTENT
	[vc_row full_height="yes" css=".vc_custom_1603704684299{background-color: #ffc1c5 !important;}"][vc_column][ld_fancy_heading tag="h6" use_custom_fonts_title="true" fs="text_small:17px" margin="bottom_small:1em"]Digital Designer based in Los Angeles[/ld_fancy_heading][ld_fancy_heading mask_bg_size="cover" mask_bg_repeat="no-repeat" mask_bg_position="center center" use_custom_fonts_title="true" use_bg_mask="true" fs="text_large:80px|text_medium:8vw|text_small:10vw" lh="text_small:1.1em" ls="text_small:-0.02em" gradient="linear-gradient(111deg, #0bccee 0%, rgb(235, 173, 105) 41.082802547770704%, rgb(194, 80, 80) 79.29936305732484%, #ac1de1 100%)"]Hi, I'm Alix. I work at <i class="fa fa-apple"></i>. I craft original effective brand experiences. My aim is to build your website so that it is functional and user friendly.[/ld_fancy_heading][ld_button style="btn-naked" title="— See my works" link_type="scroll_to_section" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" color="rgb(0, 0, 0)" hover_color="rgba(0, 0, 0, 0.75)" fs="19px" i_icon_linea="lqd-icn-ess icon-md-arrow-down"][ld_particles as_bg="yes" color_type="random_color" opacity="1" modes_grab_opacity="1" retina_detect="yes" particle_id="lqd-1596101585154-567d0b79-a330" number="12" size="2px"][/vc_column][/vc_row][vc_row css=".vc_custom_1606205965159{padding-top: 40px !important;padding-bottom: 40px !important;background-color: #d5f5ff !important;}" responsive_css="padding_top_medium:10vh|padding_bottom_medium:10vh"][vc_column offset="vc_col-md-offset-1 vc_col-md-10"][ld_promo show_dynamic_shape="yes" show_button="yes" ib_style="btn-naked" ib_title="— view project" ib_transformation="text-uppercase" ib_i_type="linea" ib_i_hover_reveal="btn-hover-reveal" use_custom_fonts_title="true" ib_i_add_icon="true" title="Anti Dote" image="307" ib_i_icon_linea="lqd-icn-ess icon-md-arrow-forward" ib_color="rgb(0, 74, 199)" ib_hover_color="rgb(0, 0, 0)" ib_fs="text_small:13px" ib_ls="text_small:0.1em" color="rgb(0, 74, 199)" overlay_color="rgb(255, 255, 255)" dynamic_shape_bg="rgb(255, 255, 255)" fs="9vw" ib_fw="text_small:700" ib_link="url:http%3A%2F%2Fadaptivecolorspro.liquid-themes.com%2Fportfolio%2Fnexa-mobile%2F|title:Starter%20Kit||" link="url:http%3A%2F%2Fadaptivecolorspro.liquid-themes.com%2Fportfolio%2Fnexa-mobile%2F|||"]Sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.
Ut enim ad minim veniam[/ld_promo][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Fancy Text 20
	$data = array();
	$data['name'] = esc_html__( 'Fancy Text 15', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'ft-20.jpg' );
	$data['sort_name'] = 'Fancy Text';
	$data['custom_class'] = 'general fancytext';
	$data['content'] = <<<CONTENT
	[vc_row enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" bg_position="center top" css=".vc_custom_1608304939202{margin-bottom: 70px !important;padding-top: 50px !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}" ca_duration="1600" ca_delay="180" ca_init_translate_x="0" ca_init_translate_y="60" responsive_css="margin_bottom_medium:110px|padding_top_medium:70px"][vc_column][vc_separator color="custom" accent_color="#e03b37"][/vc_column][vc_column width="3/4"][ld_fancy_heading tag="h2" split_type="chars, words" duration="1600" delay="80" easing="bounce.inOut" direction="random" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_y="100%" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_origin_y="100%" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" enable_randomize="true" color="rgb(224, 59, 55)" fs="text_all:370px|text_large:300px|text_medium:210px|text_small:35.5vw" lh="text_small:0.73em" ca_init_rotate_x="0" ca_init_rotate_y="0" ca_init_rotate_z="0" margin="bottom_large:0px|bottom_small:0.25em" ca_init_translate_y="0" fw="text_small:500" ls="text_small:-0.02em"]Abo-ut[/ld_fancy_heading][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_x="0%" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" ca_duration="1600" ca_delay="120" ca_init_translate_y="30" ca_init_rotate_z="5" ca_start_delay="650" offset="vc_col-md-3"][ld_images_group_element img_size="50%" parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" absolute_pos="yes" image="276" translate_from_y="70" rotate_from_z="29" translate_to_y="-85" rotate_to_z="-17" position="top_small:0px|right_small:0px|left_small:0px" hide_el="hidden-xs hidden-sm"][/ld_images_group_element][ld_spacer height="35px" md_height="250px" lg_height="330px"][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(229, 67, 63)" fs="text_small:15px" lh="text_small:1.33em" margin="left_large:-80%25|bottom_small:1.25em"]My name is Roberto, I’m a freelance Branding Digital Designer based by the valley in New York. I currently work at Liquid. I create brand identities, digital experiences, and print materials that communicate clearly achieve marketing goals, and look fantastic. beauty and technical performance. Our design starts and ends best-in-class experience strategy that builds brands.[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Fancy Text 21
	$data = array();
	$data['name'] = esc_html__( 'Fancy Text 15', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'ft-21.jpg' );
	$data['sort_name'] = 'Fancy Text';
	$data['custom_class'] = 'general fancytext';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" gap="0" responsive_css="padding_bottom_medium:170px" css=".vc_custom_1608305043948{padding-bottom: 60px !important;}"][vc_column css=".vc_custom_1608298152523{margin-bottom: 15px !important;}"][ld_carousel_marquee_tab columns_auto_width="yes" auto_width_padding="1%" marquee_speed="0.75"][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1608116305863-05a26f49-3597"][ld_fancy_heading tag="h3" transform="text-uppercase" whitespace="ws-nowrap" enable_bg="yes" fh_border_radius="circle" enable_fh_shadowbox="yes" use_custom_fonts_title="true" margin="top_small:2px|bottom_small:2px" ls="text_small:-0.02em" fs="text_large:4vw" lh="text_small:1em" fh_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%220%22%2C%22blur_radius%22%3A%220%22%2C%22spread_radius%22%3A%222px%22%2C%22shadow_color%22%3A%22%231f1f1f%22%7D%5D" padding="top_small:0.1em|right_small:0.5em|bottom_small:0.1em|left_small:0.5em"]Branding[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1608116305864-78c3d786-5fc8"][ld_fancy_heading tag="h3" transform="text-uppercase" whitespace="ws-nowrap" enable_bg="yes" fh_border_radius="circle" enable_fh_shadowbox="yes" use_custom_fonts_title="true" margin="top_small:2px|bottom_small:2px" ls="text_small:-0.02em" fs="text_large:4vw" lh="text_small:1em" fh_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%220%22%2C%22blur_radius%22%3A%220%22%2C%22spread_radius%22%3A%222px%22%2C%22shadow_color%22%3A%22%231f1f1f%22%7D%5D" padding="top_small:0.1em|right_small:0.5em|bottom_small:0.1em|left_small:0.5em"]Graphic Design[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1608116305864-44b2fc22-3d1c"][ld_fancy_heading tag="h3" transform="text-uppercase" whitespace="ws-nowrap" enable_bg="yes" fh_border_radius="circle" enable_fh_shadowbox="yes" use_custom_fonts_title="true" margin="top_small:2px|bottom_small:2px" ls="text_small:-0.02em" fs="text_large:4vw" lh="text_small:1em" padding="top_small:0.1em|right_small:0.5em|bottom_small:0.1em|left_small:0.5em" color="rgb(255, 223, 185)" fh_bg="rgb(229, 67, 63)" fh_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%220%22%2C%22blur_radius%22%3A%220%22%2C%22spread_radius%22%3A%222px%22%2C%22shadow_color%22%3A%22%23e5433f%22%7D%5D"]Designer[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1608116820776-fc435265-95e4"][ld_fancy_heading tag="h3" transform="text-uppercase" whitespace="ws-nowrap" enable_bg="yes" fh_border_radius="circle" enable_fh_shadowbox="yes" use_custom_fonts_title="true" margin="top_small:2px|bottom_small:2px" ls="text_small:-0.02em" fs="text_large:4vw" lh="text_small:1em" fh_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%220%22%2C%22blur_radius%22%3A%220%22%2C%22spread_radius%22%3A%222px%22%2C%22shadow_color%22%3A%22%231f1f1f%22%7D%5D" padding="top_small:0.1em|right_small:0.5em|bottom_small:0.1em|left_small:0.5em"]Video Production[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1608116928670-0d3df418-03fb"][ld_fancy_heading tag="h3" transform="text-uppercase" whitespace="ws-nowrap" enable_bg="yes" fh_border_radius="circle" enable_fh_shadowbox="yes" use_custom_fonts_title="true" margin="top_small:2px|bottom_small:2px" ls="text_small:-0.02em" fs="text_large:4vw" lh="text_small:1em" fh_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%220%22%2C%22blur_radius%22%3A%220%22%2C%22spread_radius%22%3A%222px%22%2C%22shadow_color%22%3A%22%231f1f1f%22%7D%5D" padding="top_small:0.1em|right_small:0.5em|bottom_small:0.1em|left_small:0.5em"]Graphic Design[/ld_fancy_heading][/ld_carousel_marquee_section][/ld_carousel_marquee_tab][/vc_column][vc_column css=".vc_custom_1608117008361{margin-bottom: 15px !important;}"][ld_carousel_marquee_tab columns_auto_width="yes" auto_width_padding="1%" reverse="yes" marquee_speed="0.6"][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1608116982525-17f4dbe1-a927"][ld_fancy_heading tag="h3" transform="text-uppercase" whitespace="ws-nowrap" enable_bg="yes" fh_border_radius="circle" enable_fh_shadowbox="yes" use_custom_fonts_title="true" margin="top_small:2px|bottom_small:2px" ls="text_small:-0.02em" fs="text_large:4vw" lh="text_small:1em" fh_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%220%22%2C%22blur_radius%22%3A%220%22%2C%22spread_radius%22%3A%222px%22%2C%22shadow_color%22%3A%22%231f1f1f%22%7D%5D" padding="top_small:0.1em|right_small:0.5em|bottom_small:0.1em|left_small:0.5em"]Motion[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1608116982528-a6c99b03-beb1"][ld_fancy_heading tag="h3" transform="text-uppercase" whitespace="ws-nowrap" enable_bg="yes" fh_border_radius="circle" enable_fh_shadowbox="yes" use_custom_fonts_title="true" margin="top_small:2px|bottom_small:2px" ls="text_small:-0.02em" fs="text_large:4vw" lh="text_small:1em" fh_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%220%22%2C%22blur_radius%22%3A%220%22%2C%22spread_radius%22%3A%222px%22%2C%22shadow_color%22%3A%22%23e5433f%22%7D%5D" padding="top_small:0.1em|right_small:0.5em|bottom_small:0.1em|left_small:0.5em" color="rgb(255, 223, 185)" fh_bg="rgb(229, 67, 63)"]Photoshoot[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1608116982531-1ceb4ae0-4633"][ld_fancy_heading tag="h3" transform="text-uppercase" whitespace="ws-nowrap" enable_bg="yes" fh_border_radius="circle" enable_fh_shadowbox="yes" use_custom_fonts_title="true" margin="top_small:2px|bottom_small:2px" ls="text_small:-0.02em" fs="text_large:4vw" lh="text_small:1em" fh_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%220%22%2C%22blur_radius%22%3A%220%22%2C%22spread_radius%22%3A%222px%22%2C%22shadow_color%22%3A%22%231f1f1f%22%7D%5D" padding="top_small:0.1em|right_small:0.5em|bottom_small:0.1em|left_small:0.5em"]Strategy[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1608116982523-cf970267-5791"][ld_fancy_heading tag="h3" transform="text-uppercase" whitespace="ws-nowrap" enable_bg="yes" fh_border_radius="circle" enable_fh_shadowbox="yes" use_custom_fonts_title="true" margin="top_small:2px|bottom_small:2px" ls="text_small:-0.02em" fs="text_large:4vw" lh="text_small:1em" fh_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%220%22%2C%22blur_radius%22%3A%220%22%2C%22spread_radius%22%3A%222px%22%2C%22shadow_color%22%3A%22%231f1f1f%22%7D%5D" padding="top_small:0.1em|right_small:0.5em|bottom_small:0.1em|left_small:0.5em"]UI Design[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1608116982534-4a218d87-43a3"][ld_fancy_heading tag="h3" transform="text-uppercase" whitespace="ws-nowrap" enable_bg="yes" fh_border_radius="circle" enable_fh_shadowbox="yes" use_custom_fonts_title="true" margin="top_small:2px|bottom_small:2px" ls="text_small:-0.02em" fs="text_large:4vw" lh="text_small:1em" fh_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%220%22%2C%22blur_radius%22%3A%220%22%2C%22spread_radius%22%3A%222px%22%2C%22shadow_color%22%3A%22%231f1f1f%22%7D%5D" padding="top_small:0.1em|right_small:0.5em|bottom_small:0.1em|left_small:0.5em"]Retouch[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1608117388298-1df713bb-5acf"][ld_fancy_heading tag="h3" transform="text-uppercase" whitespace="ws-nowrap" enable_bg="yes" fh_border_radius="circle" enable_fh_shadowbox="yes" use_custom_fonts_title="true" margin="top_small:2px|bottom_small:2px" ls="text_small:-0.02em" fs="text_large:4vw" lh="text_small:1em" fh_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%220%22%2C%22blur_radius%22%3A%220%22%2C%22spread_radius%22%3A%222px%22%2C%22shadow_color%22%3A%22%231f1f1f%22%7D%5D" padding="top_small:0.1em|right_small:0.5em|bottom_small:0.1em|left_small:0.5em"]UI Design[/ld_fancy_heading][/ld_carousel_marquee_section][/ld_carousel_marquee_tab][/vc_column][vc_column css=".vc_custom_1608117008361{margin-bottom: 15px !important;}"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Fancy Text 22
	$data = array();
	$data['name'] = esc_html__( 'Fancy Text 22', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'banner-16.jpg' );
	$data['sort_name'] = 'Fancy Text';
	$data['custom_class'] = 'general fancytext';
	$data['content'] = <<<CONTENT
	[vc_section css=".vc_custom_1608304980112{background-color: #ffd091 !important;}"][vc_row enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" bg_position="center top" css=".vc_custom_1608304995259{margin-bottom: 70px !important;padding-top: 70px !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}" ca_duration="1600" ca_delay="180" ca_init_translate_x="0" ca_init_translate_y="60" responsive_css="margin_bottom_medium:110px|padding_top_medium:120px"][vc_column][vc_separator color="custom" accent_color="#e03b37"][/vc_column][vc_column width="3/4"][ld_fancy_heading tag="h2" split_type="chars, words" duration="1600" delay="80" easing="bounce.inOut" direction="random" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_y="100%" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_origin_y="100%" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" enable_randomize="true" color="rgb(224, 55, 101)" fs="text_all:370px|text_large:300px|text_medium:210px|text_small:35.5vw" lh="text_small:0.73em" ca_init_rotate_x="0" ca_init_rotate_y="0" ca_init_rotate_z="0" margin="bottom_large:0px|bottom_small:0.25em" ca_init_translate_y="0" fw="text_small:500" ls="text_small:-0.02em"]Clie-nts[/ld_fancy_heading][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_x="0%" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" ca_duration="1600" ca_delay="120" ca_init_translate_y="30" ca_init_rotate_z="5" ca_start_delay="650" offset="vc_col-md-3"][ld_images_group_element img_size="50%" parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" absolute_pos="yes" image="300" translate_from_y="79" rotate_from_x="-30" rotate_from_y="0" rotate_from_z="-24" translate_to_y="-52" rotate_to_x="10" rotate_to_y="0" rotate_to_z="25" position="top_small:0px|right_small:0px|left_small:0px" hide_el="hidden-xs hidden-sm"][/ld_images_group_element][ld_spacer height="35px" md_height="200px" lg_height="270px"][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(229, 67, 63)" fs="text_small:15px" lh="text_small:1.33em" margin="left_large:-80%25|bottom_small:1.25em"]As a leading digital agency in Paris, we look to engage with our clients beyond the conventional design and development agency relationship, becoming a partner to the people and companies we work with.[/ld_fancy_heading][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(229, 67, 63)" fs="text_small:15px" lh="text_small:1.33em" margin="left_large:-80%25|bottom_small:1.25em"]We create brand identities, digital experiences, and print materials that communicate clearly achieve marketing goals, and look fantastic. Urban design draws together the many strands of place-making, environmental stewardship, social equity and economic viability into the creation of places with distinct beauty and identity.[/ld_fancy_heading][/vc_column][/vc_row][vc_row full_width="stretch_row" gap="0" responsive_css="padding_bottom_medium:175px" css=".vc_custom_1608305028501{padding-bottom: 70px !important;}"][vc_column css=".vc_custom_1608298152523{margin-bottom: 15px !important;}"][ld_carousel_marquee_tab columns_auto_width="yes" auto_width_padding="1%" marquee_speed="0.75"][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1608301568553-aa13f322-b75e"][ld_fancy_heading tag="h3" transform="text-uppercase" whitespace="ws-nowrap" enable_bg="yes" fh_border_radius="circle" enable_fh_shadowbox="yes" use_custom_fonts_title="true" margin="top_small:2px|bottom_small:2px" ls="text_small:-0.02em" fs="text_large:4vw" lh="text_small:1em" fh_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%220%22%2C%22blur_radius%22%3A%220%22%2C%22spread_radius%22%3A%222px%22%2C%22shadow_color%22%3A%22%231f1f1f%22%7D%5D" padding="top_small:0.1em|right_small:0.5em|bottom_small:0.1em|left_small:0.5em"]American Airlines[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1608301568555-e75290e0-372d"][ld_fancy_heading tag="h3" transform="text-uppercase" whitespace="ws-nowrap" enable_bg="yes" fh_border_radius="circle" enable_fh_shadowbox="yes" use_custom_fonts_title="true" margin="top_small:2px|bottom_small:2px" ls="text_small:-0.02em" fs="text_large:4vw" lh="text_small:1em" fh_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%220%22%2C%22blur_radius%22%3A%220%22%2C%22spread_radius%22%3A%222px%22%2C%22shadow_color%22%3A%22%231f1f1f%22%7D%5D" padding="top_small:0.1em|right_small:0.5em|bottom_small:0.1em|left_small:0.5em"]Google[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1608301568557-d0618f0b-2d21"][ld_fancy_heading tag="h3" transform="text-uppercase" whitespace="ws-nowrap" enable_bg="yes" fh_border_radius="circle" enable_fh_shadowbox="yes" use_custom_fonts_title="true" margin="top_small:2px|bottom_small:2px" ls="text_small:-0.02em" fs="text_large:4vw" lh="text_small:1em" padding="top_small:0.1em|right_small:0.5em|bottom_small:0.1em|left_small:0.5em" color="rgb(255, 223, 185)" fh_bg="rgb(229, 67, 63)" fh_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%220%22%2C%22blur_radius%22%3A%220%22%2C%22spread_radius%22%3A%222px%22%2C%22shadow_color%22%3A%22%23e5433f%22%7D%5D"]Redbull[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1608301568559-3d6819cb-01da"][ld_fancy_heading tag="h3" transform="text-uppercase" whitespace="ws-nowrap" enable_bg="yes" fh_border_radius="circle" enable_fh_shadowbox="yes" use_custom_fonts_title="true" margin="top_small:2px|bottom_small:2px" ls="text_small:-0.02em" fs="text_large:4vw" lh="text_small:1em" fh_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%220%22%2C%22blur_radius%22%3A%220%22%2C%22spread_radius%22%3A%222px%22%2C%22shadow_color%22%3A%22%231f1f1f%22%7D%5D" padding="top_small:0.1em|right_small:0.5em|bottom_small:0.1em|left_small:0.5em"]Amazon[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1608301568562-fc439d4c-2076"][ld_fancy_heading tag="h3" transform="text-uppercase" whitespace="ws-nowrap" enable_bg="yes" fh_border_radius="circle" enable_fh_shadowbox="yes" use_custom_fonts_title="true" margin="top_small:2px|bottom_small:2px" ls="text_small:-0.02em" fs="text_large:4vw" lh="text_small:1em" fh_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%220%22%2C%22blur_radius%22%3A%220%22%2C%22spread_radius%22%3A%222px%22%2C%22shadow_color%22%3A%22%231f1f1f%22%7D%5D" padding="top_small:0.1em|right_small:0.5em|bottom_small:0.1em|left_small:0.5em"]Adidas[/ld_fancy_heading][/ld_carousel_marquee_section][/ld_carousel_marquee_tab][/vc_column][vc_column css=".vc_custom_1608117008361{margin-bottom: 15px !important;}"][ld_carousel_marquee_tab columns_auto_width="yes" auto_width_padding="1%" reverse="yes" marquee_speed="0.75"][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1608301568567-de7992cb-6982"][ld_fancy_heading tag="h3" transform="text-uppercase" whitespace="ws-nowrap" enable_bg="yes" fh_border_radius="circle" enable_fh_shadowbox="yes" use_custom_fonts_title="true" margin="top_small:2px|bottom_small:2px" ls="text_small:-0.02em" fs="text_large:4vw" lh="text_small:1em" fh_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%220%22%2C%22blur_radius%22%3A%220%22%2C%22spread_radius%22%3A%222px%22%2C%22shadow_color%22%3A%22%231f1f1f%22%7D%5D" padding="top_small:0.1em|right_small:0.5em|bottom_small:0.1em|left_small:0.5em"]Vogue[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1608301568572-823f1faf-960b"][ld_fancy_heading tag="h3" transform="text-uppercase" whitespace="ws-nowrap" enable_bg="yes" fh_border_radius="circle" enable_fh_shadowbox="yes" use_custom_fonts_title="true" margin="top_small:2px|bottom_small:2px" ls="text_small:-0.02em" fs="text_large:4vw" lh="text_small:1em" fh_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%220%22%2C%22blur_radius%22%3A%220%22%2C%22spread_radius%22%3A%222px%22%2C%22shadow_color%22%3A%22%231f1f1f%22%7D%5D" padding="top_small:0.1em|right_small:0.5em|bottom_small:0.1em|left_small:0.5em"]Adidas[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1608301568574-d72f4628-50ef"][ld_fancy_heading tag="h3" transform="text-uppercase" whitespace="ws-nowrap" enable_bg="yes" fh_border_radius="circle" enable_fh_shadowbox="yes" use_custom_fonts_title="true" margin="top_small:2px|bottom_small:2px" ls="text_small:-0.02em" fs="text_large:4vw" lh="text_small:1em" fh_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%220%22%2C%22blur_radius%22%3A%220%22%2C%22spread_radius%22%3A%222px%22%2C%22shadow_color%22%3A%22%231f1f1f%22%7D%5D" padding="top_small:0.1em|right_small:0.5em|bottom_small:0.1em|left_small:0.5em"]Goldline[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1608301857017-33493957-3ba6"][ld_fancy_heading tag="h3" transform="text-uppercase" whitespace="ws-nowrap" enable_bg="yes" fh_border_radius="circle" enable_fh_shadowbox="yes" use_custom_fonts_title="true" margin="top_small:2px|bottom_small:2px" ls="text_small:-0.02em" fs="text_large:4vw" lh="text_small:1em" fh_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%220%22%2C%22blur_radius%22%3A%220%22%2C%22spread_radius%22%3A%222px%22%2C%22shadow_color%22%3A%22%231f1f1f%22%7D%5D" padding="top_small:0.1em|right_small:0.5em|bottom_small:0.1em|left_small:0.5em"]Pied Piper[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1608301568576-99cfa613-d682"][ld_fancy_heading tag="h3" transform="text-uppercase" whitespace="ws-nowrap" enable_bg="yes" fh_border_radius="circle" enable_fh_shadowbox="yes" use_custom_fonts_title="true" margin="top_small:2px|bottom_small:2px" ls="text_small:-0.02em" fs="text_large:4vw" lh="text_small:1em" fh_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%220%22%2C%22blur_radius%22%3A%220%22%2C%22spread_radius%22%3A%222px%22%2C%22shadow_color%22%3A%22%231f1f1f%22%7D%5D" padding="top_small:0.1em|right_small:0.5em|bottom_small:0.1em|left_small:0.5em"]Kahre[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1608301568578-92f32a61-92b1"][ld_fancy_heading tag="h3" transform="text-uppercase" whitespace="ws-nowrap" enable_bg="yes" fh_border_radius="circle" enable_fh_shadowbox="yes" use_custom_fonts_title="true" margin="top_small:2px|bottom_small:2px" ls="text_small:-0.02em" fs="text_large:4vw" lh="text_small:1em" fh_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%220%22%2C%22blur_radius%22%3A%220%22%2C%22spread_radius%22%3A%222px%22%2C%22shadow_color%22%3A%22%231f1f1f%22%7D%5D" padding="top_small:0.1em|right_small:0.5em|bottom_small:0.1em|left_small:0.5em"]Microsoft[/ld_fancy_heading][/ld_carousel_marquee_section][/ld_carousel_marquee_tab][/vc_column][/vc_row][/vc_section]
CONTENT;
	$templates[] = $data;

	//Category Flipbox
	//Flipbox 1
	$data = array();
	$data['name'] = esc_html__( 'Flipbox 01', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'flipbox-1.jpg' );
	$data['sort_name'] = 'Flipbox';
	$data['custom_class'] = 'general flipbox';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" gap="0" equal_height="yes" content_placement="middle" row_hide="hidden-xs hidden-sm"][vc_column offset="vc_col-md-4"][ld_flipbox direction="ld-flipbox-tb" shadow="ld-flipbox-shadow-onhover" bg_image="62"][ld_flipbox_section title="Front"][vc_row_inner css=".vc_custom_1575638060492{padding-top: 100px !important;padding-bottom: 100px !important;}"][vc_column_inner align="text-center" responsive_align="text-center"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:21px" margin="bottom_small:1em"]Stylish Haircut[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:21px" margin="bottom_small:0.25em"]£90[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_flipbox_section][ld_flipbox_section title="Back"][ld_button style="btn-solid" title="Learn more" transformation="text-uppercase" size="btn-lg" border="border-none" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" color="rgb(255, 255, 255)" hover_color="rgb(0, 0, 0)" text_color="rgb(0, 0, 0)" htext_color="rgb(255, 255, 255)" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" fs="11px" ls="0.15em"][/ld_flipbox_section][/ld_flipbox][/vc_column][vc_column align="text-center" offset="vc_col-md-4" responsive_align="text-center"][ld_flipbox direction="ld-flipbox-tb" shadow="ld-flipbox-shadow-onhover" bg_image="61"][ld_flipbox_section title="Front"][vc_row_inner css=".vc_custom_1575638060492{padding-top: 100px !important;padding-bottom: 100px !important;}"][vc_column_inner][ld_fancy_heading tag="h2" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:21px" margin="bottom_small:1em"]Face Shave[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:21px" margin="bottom_small:0.25em"]£40[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_flipbox_section][ld_flipbox_section title="Back"][ld_button style="btn-solid" title="Learn more" transformation="text-uppercase" size="btn-lg" border="border-none" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" color="rgb(255, 255, 255)" hover_color="rgb(0, 0, 0)" text_color="rgb(0, 0, 0)" htext_color="rgb(255, 255, 255)" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" fs="11px" ls="0.15em"][/ld_flipbox_section][/ld_flipbox][/vc_column][vc_column align="text-center" offset="vc_col-md-4" responsive_align="text-center"][ld_flipbox direction="ld-flipbox-tb" shadow="ld-flipbox-shadow-onhover" bg_image="58"][ld_flipbox_section title="Front"][vc_row_inner css=".vc_custom_1575638060492{padding-top: 100px !important;padding-bottom: 100px !important;}"][vc_column_inner][ld_fancy_heading tag="h2" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:21px" margin="bottom_small:1em"]Facial Cleansing[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:21px" margin="bottom_small:0.25em"]£30[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_flipbox_section][ld_flipbox_section title="Back"][ld_button style="btn-solid" title="Learn more" transformation="text-uppercase" size="btn-lg" border="border-none" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" color="rgb(255, 255, 255)" hover_color="rgb(0, 0, 0)" text_color="rgb(0, 0, 0)" htext_color="rgb(255, 255, 255)" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" fs="11px" ls="0.15em"][/ld_flipbox_section][/ld_flipbox][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Flipbox 2
	$data = array();
	$data['name'] = esc_html__( 'Flipbox 02', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'flipbox-2.jpg' );
	$data['sort_name'] = 'Flipbox';
	$data['custom_class'] = 'general flipbox';
	$data['content'] = <<<CONTENT
CONTENT;
	$templates[] = $data;

	//Flipbox 3
	$data = array();
	$data['name'] = esc_html__( 'Flipbox 03', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'flipbox-3.jpg' );
	$data['sort_name'] = 'Flipbox';
	$data['custom_class'] = 'general flipbox';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" gap="0" equal_height="yes" content_placement="middle" row_hide="hidden-xs hidden-sm"][vc_column offset="vc_col-md-4"][ld_flipbox direction="ld-flipbox-tb" shadow="ld-flipbox-shadow-onhover" bg_image="62"][ld_flipbox_section title="Front"][vc_row_inner css=".vc_custom_1575638060492{padding-top: 100px !important;padding-bottom: 100px !important;}"][vc_column_inner align="text-center" responsive_align="text-center"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:21px" margin="bottom_small:1em"]Stylish Haircut[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:21px" margin="bottom_small:0.25em"]£90[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_flipbox_section][ld_flipbox_section title="Back"][ld_button style="btn-solid" title="Learn more" transformation="text-uppercase" size="btn-lg" border="border-none" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" color="rgb(255, 255, 255)" hover_color="rgb(0, 0, 0)" text_color="rgb(0, 0, 0)" htext_color="rgb(255, 255, 255)" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" fs="11px" ls="0.15em"][/ld_flipbox_section][/ld_flipbox][/vc_column][vc_column align="text-center" offset="vc_col-md-4" responsive_align="text-center"][ld_flipbox direction="ld-flipbox-tb" shadow="ld-flipbox-shadow-onhover" bg_image="61"][ld_flipbox_section title="Front"][vc_row_inner css=".vc_custom_1575638060492{padding-top: 100px !important;padding-bottom: 100px !important;}"][vc_column_inner][ld_fancy_heading tag="h2" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:21px" margin="bottom_small:1em"]Face Shave[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:21px" margin="bottom_small:0.25em"]£40[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_flipbox_section][ld_flipbox_section title="Back"][ld_button style="btn-solid" title="Learn more" transformation="text-uppercase" size="btn-lg" border="border-none" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" color="rgb(255, 255, 255)" hover_color="rgb(0, 0, 0)" text_color="rgb(0, 0, 0)" htext_color="rgb(255, 255, 255)" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" fs="11px" ls="0.15em"][/ld_flipbox_section][/ld_flipbox][/vc_column][vc_column align="text-center" offset="vc_col-md-4" responsive_align="text-center"][ld_flipbox direction="ld-flipbox-tb" shadow="ld-flipbox-shadow-onhover" bg_image="58"][ld_flipbox_section title="Front"][vc_row_inner css=".vc_custom_1575638060492{padding-top: 100px !important;padding-bottom: 100px !important;}"][vc_column_inner][ld_fancy_heading tag="h2" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:21px" margin="bottom_small:1em"]Facial Cleansing[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:21px" margin="bottom_small:0.25em"]£30[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_flipbox_section][ld_flipbox_section title="Back"][ld_button style="btn-solid" title="Learn more" transformation="text-uppercase" size="btn-lg" border="border-none" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" color="rgb(255, 255, 255)" hover_color="rgb(0, 0, 0)" text_color="rgb(0, 0, 0)" htext_color="rgb(255, 255, 255)" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" fs="11px" ls="0.15em"][/ld_flipbox_section][/ld_flipbox][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Flipbox 4
	$data = array();
	$data['name'] = esc_html__( 'Flipbox 04', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'flipbox-4.jpg' );
	$data['sort_name'] = 'Flipbox';
	$data['custom_class'] = 'general flipbox';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" gap="0" equal_height="yes" content_placement="middle" row_hide="hidden-xs hidden-sm"][vc_column offset="vc_col-md-4"][ld_flipbox direction="ld-flipbox-tb" shadow="ld-flipbox-shadow-onhover" bg_image="62"][ld_flipbox_section title="Front"][vc_row_inner css=".vc_custom_1575638060492{padding-top: 100px !important;padding-bottom: 100px !important;}"][vc_column_inner align="text-center" responsive_align="text-center"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:21px" margin="bottom_small:1em"]Stylish Haircut[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:21px" margin="bottom_small:0.25em"]£90[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_flipbox_section][ld_flipbox_section title="Back"][ld_button style="btn-solid" title="Learn more" transformation="text-uppercase" size="btn-lg" border="border-none" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" color="rgb(255, 255, 255)" hover_color="rgb(0, 0, 0)" text_color="rgb(0, 0, 0)" htext_color="rgb(255, 255, 255)" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" fs="11px" ls="0.15em"][/ld_flipbox_section][/ld_flipbox][/vc_column][vc_column align="text-center" offset="vc_col-md-4" responsive_align="text-center"][ld_flipbox direction="ld-flipbox-tb" shadow="ld-flipbox-shadow-onhover" bg_image="61"][ld_flipbox_section title="Front"][vc_row_inner css=".vc_custom_1575638060492{padding-top: 100px !important;padding-bottom: 100px !important;}"][vc_column_inner][ld_fancy_heading tag="h2" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:21px" margin="bottom_small:1em"]Face Shave[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:21px" margin="bottom_small:0.25em"]£40[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_flipbox_section][ld_flipbox_section title="Back"][ld_button style="btn-solid" title="Learn more" transformation="text-uppercase" size="btn-lg" border="border-none" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" color="rgb(255, 255, 255)" hover_color="rgb(0, 0, 0)" text_color="rgb(0, 0, 0)" htext_color="rgb(255, 255, 255)" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" fs="11px" ls="0.15em"][/ld_flipbox_section][/ld_flipbox][/vc_column][vc_column align="text-center" offset="vc_col-md-4" responsive_align="text-center"][ld_flipbox direction="ld-flipbox-tb" shadow="ld-flipbox-shadow-onhover" bg_image="58"][ld_flipbox_section title="Front"][vc_row_inner css=".vc_custom_1575638060492{padding-top: 100px !important;padding-bottom: 100px !important;}"][vc_column_inner][ld_fancy_heading tag="h2" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:21px" margin="bottom_small:1em"]Facial Cleansing[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:21px" margin="bottom_small:0.25em"]£30[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_flipbox_section][ld_flipbox_section title="Back"][ld_button style="btn-solid" title="Learn more" transformation="text-uppercase" size="btn-lg" border="border-none" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" color="rgb(255, 255, 255)" hover_color="rgb(0, 0, 0)" text_color="rgb(0, 0, 0)" htext_color="rgb(255, 255, 255)" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" fs="11px" ls="0.15em"][/ld_flipbox_section][/ld_flipbox][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Flipbox 5
	$data = array();
	$data['name'] = esc_html__( 'Flipbox 05', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'flipbox-5.jpg' );
	$data['sort_name'] = 'Flipbox';
	$data['custom_class'] = 'general flipbox';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" gap="0" equal_height="yes" content_placement="middle" row_hide="hidden-xs hidden-sm"][vc_column offset="vc_col-md-4"][ld_flipbox direction="ld-flipbox-tb" shadow="ld-flipbox-shadow-onhover" bg_image="62"][ld_flipbox_section title="Front"][vc_row_inner css=".vc_custom_1575638060492{padding-top: 100px !important;padding-bottom: 100px !important;}"][vc_column_inner align="text-center" responsive_align="text-center"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:21px" margin="bottom_small:1em"]Stylish Haircut[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:21px" margin="bottom_small:0.25em"]£90[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_flipbox_section][ld_flipbox_section title="Back"][ld_button style="btn-solid" title="Learn more" transformation="text-uppercase" size="btn-lg" border="border-none" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" color="rgb(255, 255, 255)" hover_color="rgb(0, 0, 0)" text_color="rgb(0, 0, 0)" htext_color="rgb(255, 255, 255)" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" fs="11px" ls="0.15em"][/ld_flipbox_section][/ld_flipbox][/vc_column][vc_column align="text-center" offset="vc_col-md-4" responsive_align="text-center"][ld_flipbox direction="ld-flipbox-tb" shadow="ld-flipbox-shadow-onhover" bg_image="61"][ld_flipbox_section title="Front"][vc_row_inner css=".vc_custom_1575638060492{padding-top: 100px !important;padding-bottom: 100px !important;}"][vc_column_inner][ld_fancy_heading tag="h2" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:21px" margin="bottom_small:1em"]Face Shave[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:21px" margin="bottom_small:0.25em"]£40[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_flipbox_section][ld_flipbox_section title="Back"][ld_button style="btn-solid" title="Learn more" transformation="text-uppercase" size="btn-lg" border="border-none" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" color="rgb(255, 255, 255)" hover_color="rgb(0, 0, 0)" text_color="rgb(0, 0, 0)" htext_color="rgb(255, 255, 255)" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" fs="11px" ls="0.15em"][/ld_flipbox_section][/ld_flipbox][/vc_column][vc_column align="text-center" offset="vc_col-md-4" responsive_align="text-center"][ld_flipbox direction="ld-flipbox-tb" shadow="ld-flipbox-shadow-onhover" bg_image="58"][ld_flipbox_section title="Front"][vc_row_inner css=".vc_custom_1575638060492{padding-top: 100px !important;padding-bottom: 100px !important;}"][vc_column_inner][ld_fancy_heading tag="h2" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:21px" margin="bottom_small:1em"]Facial Cleansing[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:21px" margin="bottom_small:0.25em"]£30[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_flipbox_section][ld_flipbox_section title="Back"][ld_button style="btn-solid" title="Learn more" transformation="text-uppercase" size="btn-lg" border="border-none" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" color="rgb(255, 255, 255)" hover_color="rgb(0, 0, 0)" text_color="rgb(0, 0, 0)" htext_color="rgb(255, 255, 255)" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" fs="11px" ls="0.15em"][/ld_flipbox_section][/ld_flipbox][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Category Footers
	//Footer 1
	$data = array();
	$data['name'] = esc_html__( 'Footer 01', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'footer-1.jpg' );
	$data['sort_name'] = 'Footer';
	$data['custom_class'] = 'general footer';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1605279173297{padding-top: 40px !important;padding-bottom: 40px !important;}"][vc_column offset="vc_col-md-offset-3 vc_col-md-6" responsive_align="text-center" css=".vc_custom_1605279616430{margin-bottom: 60px !important;}"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:14px"]Trusted by Global Brands[/ld_fancy_heading][/vc_column][vc_column][ld_carousel_tab columns="md:6|sm:5|xs:3|spacing_xs:1.5%25" inactiv_opacity="1" groupcells="no" wraparound="yes" autoplay="yes" mobile_dots_bg_color="rgba(255, 255, 255, 0.5)" mobile_dots_bg_hcolor="rgb(255, 255, 255)"][ld_carousel_section title="Carousel Item" tab_id="lqd-1605279333466-e60222b8-8afc"][vc_single_image image="133" alignment="center" css=".vc_custom_1605279440984{margin-bottom: 0px !important;}"][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1605279489807-111afa8c-5760"][vc_single_image image="136" alignment="center" css=".vc_custom_1605279506528{margin-bottom: 0px !important;}"][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1605279559145-992fa794-a837"][vc_single_image image="135" alignment="center" css=".vc_custom_1605279517853{margin-bottom: 0px !important;}"][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1605279518699-0c653d1a-d2ae"][vc_single_image image="134" alignment="center" css=".vc_custom_1605279529164{margin-bottom: 0px !important;}"][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1605279531029-01b9a371-0b49"][vc_single_image image="131" alignment="center" css=".vc_custom_1605279540648{margin-bottom: 0px !important;}"][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1605279542534-e57d49a9-cb43"][vc_single_image image="132" alignment="center" css=".vc_custom_1605279551899{margin-bottom: 0px !important;}"][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1605279507405-d2b7013f-7086"][vc_single_image image="135" alignment="center" css=".vc_custom_1605279517853{margin-bottom: 0px !important;}"][/ld_carousel_section][/ld_carousel_tab][ld_spacer][/vc_column][/vc_row][vc_row][vc_column offset="vc_col-md-6" css=".vc_custom_1605279720806{border-top-width: 1px !important;padding-top: 40px !important;border-top-color: rgba(255,255,255,0.07) !important;border-top-style: solid !important;}"][vc_row_inner][vc_column_inner width="1/3" css=".vc_custom_1605280555281{margin-bottom: 35px !important;}"][vc_single_image image="141" css=".vc_custom_1610616725470{margin-top: 10px !important;}"][/vc_column_inner][vc_column_inner width="1/3" offset="vc_col-xs-6" css=".vc_custom_1605280549045{margin-bottom: 35px !important;}"][ld_fancy_heading tag="h3" transform="text-uppercase" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.3)" fs="text_small:12px" ls="text_small:0.1em" margin="bottom_small:2.15em"]Hub Shop[/ld_fancy_heading][ld_custom_menu menu_slug="footer-nav-1" spacing="5"][/vc_column_inner][vc_column_inner width="1/3" offset="vc_col-xs-6" css=".vc_custom_1605280561191{margin-bottom: 35px !important;}"][ld_fancy_heading tag="h3" transform="text-uppercase" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.3)" fs="text_small:12px" ls="text_small:0.1em" margin="bottom_small:2.15em"]Products[/ld_fancy_heading][ld_custom_menu menu_slug="footer-nav-2" spacing="5"][/vc_column_inner][/vc_row_inner][/vc_column][vc_column width="1/2" offset="vc_col-md-3" css=".vc_custom_1605280567376{margin-bottom: 35px !important;border-top-width: 1px !important;padding-top: 40px !important;border-top-color: rgba(255,255,255,0.07) !important;border-top-style: solid !important;}"][ld_fancy_heading tag="h3" transform="text-uppercase" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.3)" fs="text_small:12px" ls="text_small:0.1em" margin="bottom_small:1.75em"]Need help?[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:18px"]+(1) 123 656 7890[/ld_fancy_heading][ld_spacer height="25px"][ld_fancy_heading tag="h3" transform="text-uppercase" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.3)" fs="text_small:12px" ls="text_small:0.1em" margin="bottom_small:1.75em"]Need support?[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:18px"]help@hub.com[/ld_fancy_heading][/vc_column][vc_column width="1/2" offset="vc_col-md-3" css=".vc_custom_1605280574077{margin-bottom: 35px !important;border-top-width: 1px !important;padding-top: 40px !important;border-top-color: rgba(255,255,255,0.07) !important;border-top-style: solid !important;}"][ld_fancy_heading tag="h3" transform="text-uppercase" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.3)" fs="text_small:12px" ls="text_small:0.1em" margin="bottom_small:1.75em"]Follow Us[/ld_fancy_heading][ld_social_icons style="" size="social-icon-md" identities="%5B%7B%22network%22%3A%22fa-facebook-square%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-twitter%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-instagram%22%2C%22url%22%3A%22%23%22%7D%5D" font_size="28px"][ld_spacer][ld_newsletter use_opt_in="yes" style="solid" inputs_radius="ld-sf--round" inputs_border="ld-sf--border-none" btn_style="solid" btn_label="GO" btn_position="ld-sf--button-inside" btn_eql="yes" use_custom_fonts_input="true" use_custom_fonts_label="true" placeholder_text="Email address" fs="14px" label_fs="12px" label_fw="700" txt_color="rgb(163, 163, 163)" bg_color="rgb(20, 20, 20)" txt_f_color="rgb(255, 255, 255)" btn_txt_color="rgb(255, 255, 255)" btn_bg_color="rgb(38, 38, 38)" hover_btn_txt_color="rgb(0, 0, 0)" hover_btn_bg_color="rgb(255, 255, 255)"][/vc_column][/vc_row][vc_row equal_height="yes" content_placement="middle" css=".vc_custom_1605280795928{padding-bottom: 35px !important;}"][vc_column][vc_separator color="custom" accent_color="rgba(255,255,255,0.16)" css=".vc_custom_1605280727646{margin-bottom: 40px !important;}"][/vc_column][vc_column width="1/2"][ld_custom_menu source="custom" inline="inline-nav" use_custom_fonts_menu="true" items="%5B%7B%22label%22%3A%22English%20%2F%20USD%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22English%20%2F%20USD%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%5D" fs="12px" color="rgb(255, 255, 255)" hcolor="rgba(255, 255, 255, 0.65)" spacing="13"][/vc_column][vc_column width="1/2" responsive_align="text-sm-right"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:14px"]© 2020 Hub Shop. All images are for demo purposes.[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Footer 2
	$data = array();
	$data['name'] = esc_html__( 'Footer 02', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'footer-2.jpg' );
	$data['sort_name'] = 'Footer';
	$data['custom_class'] = 'general footer';
	$data['content'] = <<<CONTENT
	[vc_row][vc_column align="text-center" offset="vc_col-md-offset-3 vc_col-md-6" css=".vc_custom_1575636492599{margin-bottom: 40px !important;}" responsive_align="text-center"][vc_single_image image="151" alignment="center"][/vc_column][vc_column align="text-center" offset="vc_col-md-offset-3 vc_col-md-6" css=".vc_custom_1575636511798{margin-bottom: 35px !important;}" responsive_align="text-center"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="18px" margin="bottom_small:0.25em"]14th St, Soho, NYC[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="18px" margin="bottom_small:0.25em"]+243 594 1295 - barber@liquid.com[/ld_fancy_heading][/vc_column][vc_column align="text-center" offset="vc_col-md-offset-3 vc_col-md-6" css=".vc_custom_1575636549814{margin-bottom: 50px !important;}" responsive_align="text-center"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.5)" fs="14px" margin="bottom_small:0px"]Mon – Fri: 8am – 9pm[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.5)" fs="14px" margin="bottom_small:0.25em"]Sat – Sun: Closed[/ld_fancy_heading][/vc_column][vc_column align="text-center" offset="vc_col-md-offset-3 vc_col-md-6" responsive_align="text-center"][ld_social_icons style="" size="social-icon-lg" identities="%5B%7B%22network%22%3A%22fa-facebook%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-twitter%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-instagram%22%2C%22url%22%3A%22%23%22%7D%5D" font_size="25px"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Footer 3
	$data = array();
	$data['name'] = esc_html__( 'Footer 03', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'footer-3.jpg' );
	$data['sort_name'] = 'Footer';
	$data['custom_class'] = 'general footer';
	$data['content'] = <<<CONTENT
	[vc_row][vc_column align="text-center" offset="vc_col-md-offset-3 vc_col-md-6" responsive_align="text-center"][ld_social_icons style="" size="social-icon-lg" identities="%5B%7B%22network%22%3A%22fa-facebook%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-youtube%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-soundcloud%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-instagram%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-spotify%22%2C%22url%22%3A%22%23%22%7D%5D" font_size="50px"][ld_spacer height="70px"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="17px"]P: + 1 300 123 40 50[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="17px"]E: music@liquid.com[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Footer 4
	$data = array();
	$data['name'] = esc_html__( 'Footer 04', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'footer-4.jpg' );
	$data['sort_name'] = 'Footer';
	$data['custom_class'] = 'general footer';
	$data['content'] = <<<CONTENT
	[vc_row][vc_column offset="vc_col-md-4" css=".vc_custom_1603464399317{margin-bottom: 45px !important;}" responsive_css="padding_right_medium:16%25|margin_bottom_small:35px"][vc_single_image image="8681" css=".vc_custom_1595425683983{margin-bottom: 35px !important;}"][ld_fancy_heading tag="p" margin="bottom_medium:3em|bottom_small:1.5em"]Hub IT allows your business and technology computers to store, transmit, analyze, and manipulate big data.[/ld_fancy_heading][ld_social_icons style="" size="social-icon-md" identities="%5B%7B%22network%22%3A%22fa-facebook%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-twitter%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-linkedin%22%2C%22url%22%3A%22%23%22%7D%5D" font_size="23px" primary_color="#b5b5b5" hover_color="#ffffff"][/vc_column][vc_column width="1/2" bg_position="center center" css=".vc_custom_1603104433856{margin-bottom: 35px !important;background-image: url(http://classichub.liquid-themes.com/staging/wp-content/uploads/2020/03/map@2x.png?id=86) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: contain !important;}" offset="vc_col-md-4" responsive_css="padding_left_medium:16%25"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:16px" margin="bottom_small:2em"]Contact[/ld_fancy_heading][ld_icon_box i_type="image" heading_size="custom" heading_weight="font-weight-normal" position="iconbox-side" items_alignment="align-items-center" title="Looking for collaboration?" title_mb="2" custom_heading_size="13px" h_color="rgba(255, 255, 255, 0.35)" i_icon_image="8857" custom_size="20px"]<span style="font-size: 16px; color: #ffffff;">hub@liquid.com</span>[/ld_icon_box][ld_icon_box i_type="image" heading_size="custom" heading_weight="font-weight-normal" position="iconbox-side" items_alignment="align-items-center" title="Visit our Local Store" title_mb="2" custom_heading_size="13px" h_color="rgba(255, 255, 255, 0.35)" i_icon_image="8855" custom_size="20px"]<span style="font-size: 16px; color: #ffffff;">14th Street, Soho</span>[/ld_icon_box][ld_icon_box i_type="image" heading_size="custom" heading_weight="font-weight-normal" position="iconbox-side" items_alignment="align-items-center" title="Monday-Friday: 08am-9pm" title_mb="2" custom_heading_size="13px" h_color="rgba(255, 255, 255, 0.35)" css=".vc_custom_1595427424059{margin-bottom: 20px !important;}" i_icon_image="8854" custom_size="20px"]<span style="font-size: 16px; color: #ffffff;">+(1) 123 456 7890</span>[/ld_icon_box][/vc_column][vc_column width="1/2" offset="vc_col-md-4" css=".vc_custom_1603104441541{margin-bottom: 35px !important;}"][vc_row_inner][vc_column_inner width="1/2" offset="vc_col-xs-6"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:16px" margin="bottom_small:2em"]Useful Links[/ld_fancy_heading][ld_custom_menu use_custom_fonts_menu="true" menu_slug="footer-nav-1" spacing="9" fs="14px"][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-xs-6"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:16px" margin="bottom_small:2em"]Company[/ld_fancy_heading][ld_custom_menu use_custom_fonts_menu="true" menu_slug="footer-nav-2" spacing="9" fs="14px"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row css=".vc_custom_1583844402901{padding-top: 20px !important;padding-bottom: 35px !important;}"][vc_column css=".vc_custom_1583844421142{margin-bottom: 30px !important;}"][vc_separator color="custom" accent_color="rgba(255,255,255,0.13)" css=".vc_custom_1595426162415{margin-top: 0px !important;margin-bottom: 0px !important;}"][/vc_column][vc_column width="5/12" align="text-center" responsive_align="text-center text-sm-left"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.35)" fs="13px"]Copyright ©2020 Hub Corporation.[/ld_fancy_heading][/vc_column][vc_column width="7/12" align="text-center" responsive_align="text-center text-sm-right"][ld_custom_menu inline="inline-nav" use_custom_fonts_menu="true" spacing="20" fs="14px" color="rgb(255, 255, 255)" menu_slug="footer-nav-2"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Footer 5
	$data = array();
	$data['name'] = esc_html__( 'Footer 05', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'footer-5.jpg' );
	$data['sort_name'] = 'Footer';
	$data['custom_class'] = 'general footer';
	$data['content'] = <<<CONTENT
	[vc_row enable_content_animation="yes" ca_init_scale_x="1.05" ca_init_scale_y="1" ca_init_origin_x="150%" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" css=".vc_custom_1605879606612{padding-top: 50px !important;padding-bottom: 20px !important;}" ca_duration="1800" ca_start_delay="650" ca_delay="180" ca_init_translate_x="55" ca_init_rotate_y="25" ca_init_translate_z="-120"][vc_column responsive_css="padding_right_large:12%25" offset="vc_col-md-5" css=".vc_custom_1605879352699{margin-bottom: 30px !important;}"][ld_fancy_heading tag="h6" transform="text-uppercase" enable_bg="yes" fh_border_radius="circle" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:13px" fw="text_small:700" ls="text_small:0.1em" padding="top_small:5px|right_small:10px|bottom_small:5px|left_small:10px" fh_bg="rgb(196, 19, 19)" margin="bottom_small:1.5em"]Services[/ld_fancy_heading][ld_fancy_heading tag="h5" use_custom_fonts_title="true" fs="text_small:28px" lh="text_small:1.14em" fw="text_small:500" margin="bottom_small:1em"]We believe innovation is the key to build a better future for our people.[/ld_fancy_heading][ld_counter use_custom_fonts_title="true" use_custom_fonts_text="true" counter_mb_checkbox="true" enable_blur="true" count="9.81" label="TrustPilot Review" counter_mb="5" fs="51px" text_fs="18px" color="rgb(0, 0, 0)" label_color="rgb(0, 0, 0)" color_h="rgb(196, 19, 19)" el_class="mb-0"][ld_images_group_element image="4444"][/ld_images_group_element][/vc_column][vc_column width="1/2" offset="vc_col-md-4" css=".vc_custom_1605879359855{margin-bottom: 30px !important;}"][ld_fancy_heading tag="h4" use_custom_fonts_title="true" fs="text_small:13px" margin="bottom_small:1em"]Case Studies[/ld_fancy_heading][ld_custom_menu source="custom" use_custom_fonts_menu="true" items="%5B%7B%22label%22%3A%22Mobile%20Technology%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22%20Data%20Visualization%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22%20%20Cryptocurrency%20%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Renewable%20Energy%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22%20Research-Development%20%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Big%20Data%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%5D" spacing="3" fs="24px" lh="1.5em" color="rgb(14, 37, 87)"][/vc_column][vc_column width="1/2" offset="vc_col-md-3" css=".vc_custom_1605879367013{margin-bottom: 30px !important;}"][ld_fancy_heading tag="h4" use_custom_fonts_title="true" fs="text_small:13px" margin="bottom_small:1em"]Our Vision[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px" lh="text_small:1.25em" margin="bottom_small:1.25em"]As a leading innovator in Paris, we look to engage with our clients beyond the conventional design and development agency relationship, becoming a partner to the people and companies we work with. We create brand identities, digital experiences, and print materials.[/ld_fancy_heading][ld_button style="btn-naked" title="More" color="rgb(0, 0, 0)" css=".vc_custom_1605871162480{border-left-width: 1px !important;padding-bottom: 23px !important;padding-left: 11px !important;border-left-color: #707070 !important;border-left-style: solid !important;}" fs="13px" fw="600"][/vc_column][/vc_row]
CONTENT;

	//Footer 6 - Startuphub
	$data = array();
	$data['name'] = esc_html__( 'Footer 06', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'footer-6.jpg' );
	$data['sort_name'] = 'Footer';
	$data['custom_class'] = 'general footer';
	$data['content'] = <<<CONTENT
	[vc_row bg_position="center center" css=".vc_custom_1603283092867{padding-top: 90px !important;padding-bottom: 90px !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}" responsive_css="padding_bottom_small:115px"][vc_column offset="vc_col-md-5" css=".vc_custom_1603283136310{margin-bottom: 60px !important;}" responsive_css="margin_bottom_medium:30px"][ld_images_group_element image="4307"][/ld_images_group_element][ld_spacer height="25px" md_height="50px"][vc_column_text]Les services de paiement sont disponibles via des applications mobiles et de bureau.[/vc_column_text][ld_spacer height="25px" md_height="50px"][ld_social_icons style="" size="social-icon-lg" identities="%5B%7B%22network%22%3A%22fa-facebook%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-twitter%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-instagram%22%2C%22url%22%3A%22%23%22%7D%5D" font_size="30px"][/vc_column][vc_column width="1/3" offset="vc_col-md-offset-1 vc_col-md-2 vc_col-xs-6" css=".vc_custom_1603283022620{margin-bottom: 30px !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(81, 81, 81)" fs="17px" margin="bottom_small:1.75em"]Contact us[/ld_fancy_heading][ld_custom_menu menu_slug="footer-nav-2" spacing="10"][ld_button style="btn-naked" title="We're hiring!" fs="15px" htext_color="rgb(0, 49, 121)"][/vc_column][vc_column width="1/3" offset="vc_col-md-2 vc_col-xs-6" css=".vc_custom_1603283029578{margin-bottom: 30px !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(81, 81, 81)" fs="17px" margin="bottom_small:1.75em"]Company[/ld_fancy_heading][ld_custom_menu menu_slug="footer-nav-3" spacing="10"][/vc_column][vc_column width="1/3" offset="vc_col-md-2"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(81, 81, 81)" fs="17px" margin="bottom_small:1.75em"]Company[/ld_fancy_heading][ld_custom_menu menu_slug="footer-nav-3" spacing="10"][/vc_column][vc_column css=".vc_custom_1573295327766{padding-top: 35px !important;padding-bottom: 30px !important;}"][vc_separator color="custom" accent_color="#d9e1ed" css=".vc_custom_1572005003499{margin-top: 0px !important;margin-bottom: 0px !important;}"][/vc_column][vc_column][vc_column_text]These Terms will be applied fully and affect to your use of this Website. By using this Website, you agreed to accept all terms and conditions written in here. You must not use this Website if you disagree with any of these Website Standard Terms and Conditions.[/vc_column_text][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Footer 7 - newsletter
	$data = array();
	$data['name'] = esc_html__( 'Footer 07', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'footer-7.jpg' );
	$data['sort_name'] = 'Footer';
	$data['custom_class'] = 'general footer';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle"][vc_column offset="vc_col-md-3" css=".vc_custom_1573207648523{margin-bottom: 30px !important;}"][vc_single_image image="76" image_max_width="70px"][/vc_column][vc_column offset="vc_col-md-9" css=".vc_custom_1603277897733{margin-bottom: 30px !important;}" responsive_align="text-md-right"][ld_custom_menu inline="inline-nav" use_custom_fonts_menu="true" menu_slug="footer-menu" spacing="15" fs="16px"][/vc_column][vc_column css=".vc_custom_1573207925041{padding-top: 25px !important;}"][vc_separator color="custom" accent_color="rgba(255,255,255,0.2)"][/vc_column][vc_column offset="vc_col-md-8" css=".vc_custom_1573207764845{margin-bottom: 30px !important;}"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="13px" lh="29px"]These Terms will be applied fully and affect to your use of this Website. By using this Website, you agreed to accept all terms and conditions written in here. You must not use this Website if you disagree with any of these Website Standard Terms and Conditions.[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-4" responsive_align="text-md-right" css=".vc_custom_1573207769573{margin-bottom: 30px !important;}"][ld_social_icons style="" size="social-icon-lg" identities="%5B%7B%22network%22%3A%22fa-instagram%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-twitter%22%2C%22url%22%3A%22%23%22%7D%5D" font_size="35px" primary_color="#ffffff"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Footer 8 - gridportfolio
	$data = array();
	$data['name'] = esc_html__( 'Footer 08', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'footer-8.jpg' );
	$data['sort_name'] = 'Footer';
	$data['custom_class'] = 'general footer';
	$data['content'] = <<<CONTENT
	[vc_row equal_height="yes" content_placement="middle" enable_content_animation="yes" animation_preset="Fade In" responsive_css="padding_right_large:12vw|padding_left_large:12vw|padding_right_medium:7vw|padding_left_medium:7vw|padding_top_small:130px|padding_bottom_small:130px" ca_delay="125" css=".vc_custom_1603117612329{padding-top: 80px !important;padding-bottom: 80px !important;}" el_id="contact"][vc_column offset="vc_col-md-5"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px" lh="text_small:1.5em"]Looking for collaboration for your next project? Do not hesitate to contact us to say hello.[/ld_fancy_heading][/vc_column][vc_column][ld_spacer height="50px"][/vc_column][vc_column offset="vc_col-md-5"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_large:70px|text_medium:60px|text_small:40px" margin="bottom_large:0px"]Get in Touch[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-3" responsive_css="margin_bottom_medium:0px|margin_bottom_small:35px" css=".vc_custom_1603117520381{margin-bottom: 20px !important;}"][vc_separator color="black" border_width="5" css=".vc_custom_1588755278551{margin-top: 0px !important;margin-bottom: 0px !important;}"][/vc_column][vc_column offset="vc_col-md-4"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_medium:55px|text_small:30px" margin="bottom_large:0px"]david@hub.com[/ld_fancy_heading][/vc_column][vc_column][ld_spacer height="50px" md_height="80px"][/vc_column][vc_column offset="vc_col-md-7"][vc_row_inner][vc_column_inner width="1/2" offset="vc_col-xs-6"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:15px" margin="bottom_small:0px"]Project Offers[/ld_fancy_heading][ld_fancy_heading tag="h6" use_custom_fonts_title="true" fs="text_small:21px" margin="bottom_small:0px"]info@hub.com[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-xs-6"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:15px" margin="bottom_small:0px"]Say hello[/ld_fancy_heading][ld_fancy_heading tag="h6" use_custom_fonts_title="true" fs="text_small:21px" margin="bottom_small:0px"]+213 398 89 12[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/vc_column][vc_column align="text-right" offset="vc_col-md-5" responsive_align="text-center text-md-right" responsive_css="margin_top_medium:0px|margin_right_medium:-5vw" css=".vc_custom_1603117570787{margin-top: 80px !important;}"][ld_custom_menu source="custom" inline="inline-nav" use_custom_fonts_menu="true" items="%5B%7B%22label%22%3A%22Fb.%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Tw.%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Li%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%5D" spacing="45" fs="16px" color="rgb(255, 255, 255)" hcolor="rgba(0, 0, 0, 0.6)"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Footer 9 - classic
	$data = array();
	$data['name'] = esc_html__( 'Footer 09', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'footer-9.jpg' );
	$data['sort_name'] = 'Footer';
	$data['custom_class'] = 'general footer';
	$data['content'] = <<<CONTENT
	[vc_row][vc_column offset="vc_col-md-4" css=".vc_custom_1603464809122{margin-bottom: 45px !important;}" responsive_css="padding_right_medium:16%25|margin_bottom_small:35px"][vc_single_image image="79" css=".vc_custom_1595435417578{margin-bottom: 35px !important;}"][ld_fancy_heading tag="p" margin="bottom_medium:3em|bottom_small:1.5em"]Highly flexible, adaptable, and scalable projects for your startups.[/ld_fancy_heading][ld_social_icons style="" size="social-icon-md" identities="%5B%7B%22network%22%3A%22fa-facebook%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-twitter%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-linkedin%22%2C%22url%22%3A%22%23%22%7D%5D" font_size="23px" primary_color="#b5b5b5" hover_color="#ffffff"][/vc_column][vc_column width="1/2" bg_position="center center" css=".vc_custom_1603114682098{margin-bottom: 35px !important;background-image: url(https://classichub.liquid-themes.com/staging/wp-content/uploads/2020/03/map@2x.png?id=86) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: contain !important;}" offset="vc_col-md-4" responsive_css="padding_left_medium:16%25"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:16px" margin="bottom_small:2em"]Contact[/ld_fancy_heading][ld_icon_box i_type="image" heading_size="custom" heading_weight="font-weight-normal" position="iconbox-side" items_alignment="align-items-center" title="Looking for collaboration?" title_mb="2" custom_heading_size="13px" h_color="rgba(255, 255, 255, 0.35)" i_icon_image="158" custom_size="20px" svg_fill_color="rgb(62, 173, 60)"]hub@liquid.com[/ld_icon_box][ld_icon_box i_type="image" heading_size="custom" heading_weight="font-weight-normal" position="iconbox-side" items_alignment="align-items-center" title="Visit our Local Store" title_mb="2" custom_heading_size="13px" h_color="rgba(255, 255, 255, 0.35)" i_icon_image="157" custom_size="20px" svg_fill_color="rgb(62, 173, 60)"]14th Street, Soho[/ld_icon_box][ld_icon_box i_type="image" heading_size="custom" heading_weight="font-weight-normal" position="iconbox-side" items_alignment="align-items-center" title="Monday-Friday: 08am-9pm" title_mb="2" custom_heading_size="13px" h_color="rgba(255, 255, 255, 0.35)" css=".vc_custom_1595497798470{margin-bottom: 20px !important;}" i_icon_image="156" custom_size="20px" svg_fill_color="rgb(62, 173, 60)"]+(1) 123 456 7890[/ld_icon_box][/vc_column][vc_column width="1/2" offset="vc_col-md-4" css=".vc_custom_1603114690325{margin-bottom: 35px !important;}"][vc_row_inner][vc_column_inner width="1/2" offset="vc_col-xs-6"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:16px" margin="bottom_small:2em"]Useful Links[/ld_fancy_heading][ld_custom_menu use_custom_fonts_menu="true" menu_slug="footer-nav-1" spacing="9" fs="14px"][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-xs-6"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:16px" margin="bottom_small:2em"]Company[/ld_fancy_heading][ld_custom_menu use_custom_fonts_menu="true" menu_slug="footer-nav-2" spacing="9" fs="14px"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row css=".vc_custom_1583844402901{padding-top: 20px !important;padding-bottom: 35px !important;}"][vc_column css=".vc_custom_1583844421142{margin-bottom: 30px !important;}"][vc_separator color="custom" accent_color="rgba(255,255,255,0.13)" css=".vc_custom_1595426162415{margin-top: 0px !important;margin-bottom: 0px !important;}"][/vc_column][vc_column width="5/12" responsive_align="text-center text-sm-left"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.35)" fs="13px"]Copyright ©2020 Hub Corporation.[/ld_fancy_heading][/vc_column][vc_column width="7/12" responsive_align="text-center text-sm-right"][ld_custom_menu source="custom" inline="inline-nav" use_custom_fonts_menu="true" spacing="15" fs="14px" color="rgb(255, 255, 255)" items="%5B%7B%22label%22%3A%22Privacy%20Policy%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Help%20Center%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Contact%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%5D"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Footer 10 - photography
	$data = array();
	$data['name'] = esc_html__( 'Footer 10', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'footer-10.jpg' );
	$data['sort_name'] = 'Footer';
	$data['custom_class'] = 'general footer';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" equal_height="yes" content_placement="middle" responsive_css="border_right_medium:50px|border_bottom_medium:50px|border_left_medium:50px|padding_right_medium:5%25|padding_left_medium:5%25|padding_top_small:110px|padding_bottom_small:115px" css=".vc_custom_1603184819390{border-right-width: 15px !important;border-bottom-width: 15px !important;border-left-width: 15px !important;padding-top: 90px !important;padding-bottom: 90px !important;background-color: #171717 !important;border-left-color: #ffffff !important;border-left-style: solid !important;border-right-color: #ffffff !important;border-right-style: solid !important;border-bottom-color: #ffffff !important;border-bottom-style: solid !important;}"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-6" ca_duration="1800" ca_delay="180" ca_init_translate_x="70" ca_init_translate_y="0" responsive_css="margin_bottom_medium:0px" css=".vc_custom_1606981884458{margin-bottom: 45px !important;}"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.68)" fw="text_small:400" margin="bottom_small:0.85em" fs="text_medium:40px|text_small:36px"]Collaboration, work enquires or just say hello. hub@liquid.com[/ld_fancy_heading][ld_button style="btn-solid" title="Send a message" transformation="text-uppercase" shape="round" size="btn-lg" border="border-none" hover_txt_effect="btn-hover-txt-liquid-y" i_type="linea" i_add_icon="true" color="rgb(255, 255, 255)" hover_color="rgb(46, 46, 46)" text_color="rgb(0, 0, 0)" htext_color="rgb(255, 252, 252)" fs="14px" lh="1.5em" ls="0.02em" css=".vc_custom_1614155722576{padding-top: 0.5em !important;padding-right: 2em !important;padding-bottom: 0.5em !important;padding-left: 2em !important;}" fw="600" i_icon_linea="lqd-icn-ess icon-lqd-pen" i_size="15px"][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-6" ca_duration="1800" ca_delay="180" ca_init_translate_x="70" ca_init_translate_y="0" responsive_align="text-md-right"][ld_custom_menu source="custom" inline="inline-nav" use_custom_fonts_menu="true" items="%5B%7B%22label%22%3A%22Facebook%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Behance%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Dribbble%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%5D" spacing="25" fs="16px"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Footer 11 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Footer 11', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'footer-11.jpg' );
	$data['sort_name'] = 'Footer';
	$data['custom_class'] = 'general footer';
	$data['content'] = <<<CONTENT
	[vc_row][vc_column align="text-center" css=".vc_custom_1590403477660{margin-bottom: 45px !important;}" responsive_align="text-center"][ld_images_group_element image="211"][/ld_images_group_element][/vc_column][vc_column align="text-center" css=".vc_custom_1590403536897{margin-bottom: 45px !important;}" responsive_align="text-center"][ld_social_icons style="" size="social-icon-lg" identities="%5B%7B%22network%22%3A%22fa-pinterest-p%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-twitter%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-instagram%22%2C%22url%22%3A%22%23%22%7D%5D" font_size="28px" primary_color="rgb(255, 255, 255)" hover_color="rgba(255, 255, 255, 0.7)"][/vc_column][vc_column align="text-center" css=".vc_custom_1590403736353{margin-bottom: 40px !important;}" responsive_align="text-center"][ld_custom_menu inline="inline-nav" menu_slug="footer-nav-1" spacing="29" color="rgba(255, 255, 255, 0.7)" hcolor="rgb(255, 255, 255)"][/vc_column][vc_column align="text-center" responsive_align="text-center"][ld_fancy_heading tag="p" margin="bottom_small:20px"]2020 Hub. All images are for demo purposes only.[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:0px"]290 Maryam Springs 260,[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:20px"]Courbevoie, Paris, France[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:20px"]orders@hubshop.com[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Footer 12 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Footer 12', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'footer-12.jpg' );
	$data['sort_name'] = 'Footer';
	$data['custom_class'] = 'general footer';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" css=".vc_custom_1603437143068{padding-bottom: 15px !important;}" responsive_css="padding_bottom_small:50px"][vc_column width="2/3" align="text-left" responsive_align="text-center text-sm-left" responsive_css="margin_bottom_small:0px" css=".vc_custom_1603435033996{margin-bottom: 35px !important;}"][ld_fancy_heading tag="h3" transform="text-uppercase" use_custom_fonts_title="true" fs="text_large:88px|text_medium:8vw|text_small:45px" margin="bottom_small:0px" lh="text_small:1em"]Let’s talk[/ld_fancy_heading][ld_spacer height="20px" md_height="32px"][ld_fancy_heading tag="h3" transform="text-uppercase" hover_text_outline="ld-fh-outline" outline_appearance="ld-fh-outline-static" use_custom_fonts_title="true" fs="text_large:88px|text_medium:8vw|text_small:45px" margin="bottom_small:0px" lh="text_small:1em" hover_text_outline_color="rgba(255, 255, 255, 0.33)" hover_text_outline_width="1px"]rob@hub.com[/ld_fancy_heading][/vc_column][vc_column width="1/3" column_top_onmobile="yes" align="text-right" responsive_align="text-center text-sm-right" responsive_css="margin_bottom_small:0px" css=".vc_custom_1608026301410{margin-bottom: 35px !important;}"][ld_button style="btn-default" title="Send me a message" transformation="text-uppercase" link_type="modal_window" shape="circle" size="btn-custom" border="border-thick" hover_txt_effect="btn-hover-txt-liquid-y" enable_row_shadowbox="yes" custom_size="195px" custom_height="195px" color="rgb(255, 255, 255)" hover_color="rgb(255, 255, 255)" htext_color="rgb(0, 0, 0)" fs="17px" lh="20px" el_class="ws-normal" button_box_shadow="%5B%7B%7D%5D" hover_button_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2230px%22%2C%22blur_radius%22%3A%2275px%22%2C%22shadow_color%22%3A%22rgba(255%2C255%2C255%2C0.25)%22%7D%5D" anchor_id="#footer-contact"][/vc_column][/vc_row][vc_row css=".vc_custom_1603437174185{padding-top: 15px !important;}" responsive_css="padding_top_small:50px"][vc_column css=".vc_custom_1588406983333{border-bottom-width: 1px !important;padding-bottom: 20px !important;border-bottom-color: rgba(255,255,255,0.2) !important;border-bottom-style: solid !important;}"][vc_row_inner][vc_column_inner width="1/2" responsive_css="margin_bottom_small:0px" css=".vc_custom_1603435068256{margin-bottom: 35px !important;}" responsive_align="text-center text-sm-left"][ld_custom_menu source="custom" inline="inline-nav" use_custom_fonts_menu="true" items="%5B%7B%22label%22%3A%22Fb%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Tw%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Li%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%5D" spacing="40" fs="16px" lh="1.5em"][/vc_column_inner][vc_column_inner width="1/12" offset="vc_col-xs-1" responsive_align="text-right"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:30px"]✌️[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="5/12" offset="vc_col-xs-11"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px" lh="text_small:1.5em"]info@liquid.com Looking for collaboration for your next project? Do not hesitate to contact us to say hello.[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row][vc_column][ld_modal_window title="Send me a message" el_id="footer-contact"][ld_fancy_heading tag="h3" color="rgb(0, 0, 0)"]Send me a message[/ld_fancy_heading][vc_separator][ld_cf7 id="73" shape="lqd-contact-form-inputs-filled" btn_width="lqd-contact-form-button-block" lqd_bg_color="rgb(242, 242, 242)" color="rgb(0, 0, 0)"][/ld_modal_window][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Footer 13 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Footer 13', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'footer-13.jpg' );
	$data['sort_name'] = 'Footer';
	$data['custom_class'] = 'general footer';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" css=".vc_custom_1610652802406{padding-top: 80px !important;padding-bottom: 80px !important;background-color: #1a1b20 !important;}" responsive_css="margin_left_medium:100px|padding_right_medium:4vw|padding_left_medium:4vw"][vc_column width="1/2"][ld_images_group_element image="4282"][/ld_images_group_element][/vc_column][vc_column width="1/2" offset="vc_col-lg-5"][ld_fancy_heading tag="p" tag_to_inherite="h4" use_custom_fonts_title="true" use_inheritance="true" fs="text_small:25px" lh="text_small:1.32em" color="rgba(255, 255, 255, 0.6)" margin="bottom_small:1.5em"]Looking for collaboration? Send an email to <span style="text-decoration: underline;">info@liquid-themes.com</span> for enquires.[/ld_fancy_heading][ld_button style="btn-solid" title="Send message" shape="round" size="btn-sm" border="border-none" hover_txt_effect="btn-hover-txt-liquid-y" hover_bg_effect="btn-hover-bg-liquid" hover_bg_color="rgb(0, 0, 0)" color="rgb(255, 255, 255)" text_color="rgb(0, 0, 0)" htext_color="rgb(255, 255, 255)" css=".vc_custom_1614680683961{padding-right: 0.5em !important;padding-left: 0.5em !important;}"][ld_spacer height="" md_hide="vc_hidden-md" lg_hide="vc_hidden-lg" sm_height="20"][/vc_column][/vc_row][vc_row full_width="stretch_row" css=".vc_custom_1610652811842{padding-top: 30px !important;padding-bottom: 30px !important;background-color: #1a1b20 !important;}" responsive_css="margin_left_medium:100px|padding_right_medium:4vw|padding_left_medium:4vw"][vc_column width="1/2" offset="vc_col-md-5"][ld_newsletter style="underlined" inputs_border="ld-sf--border-thick" btn_style="naked" btn_display="icon" btn_position="ld-sf--button-inside" i_type="linea" use_custom_fonts_input="true" i_add_icon="true" placeholder_text="Enter your email address" fs="13px" lh="1.5em" i_size="24px" txt_color="rgb(255, 255, 255)" brd_color="rgba(255, 255, 255, 0.25)" brd_f_color="rgba(255, 255, 255, 0.5)" btn_txt_color="rgb(184, 188, 191)" hover_btn_txt_color="rgb(255, 255, 255)" i_icon_linea="lqd-icn-ess icon-lqd-envelope"][/vc_column][vc_column width="1/2" offset="vc_col-md-offset-1"][vc_row_inner][vc_column_inner width="1/2" offset="vc_col-xs-6"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:14px" lh="text_small:1.5em" margin="bottom_small:1.75em"]Menu[/ld_fancy_heading][ld_custom_menu use_custom_fonts_menu="true" menu_slug="footer-nav-1" spacing="8" fs="14px" lh="1.5em"][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-xs-6"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:14px" lh="text_small:1.5em" margin="bottom_small:1.75em"]Menu[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:14px" lh="text_small:1.78em"]290 Maryam Springs
Courbevoie, NYC[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:14px"]+1 827 48 89[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row full_width="stretch_row" css=".vc_custom_1610652818711{padding-top: 30px !important;padding-bottom: 30px !important;background-color: #1a1b20 !important;}" responsive_css="margin_left_medium:100px|padding_right_medium:7vw|padding_left_medium:7vw"][vc_column width="1/2" offset="vc_col-md-5"][ld_custom_menu source="custom" localscroll="yes" inline="inline-nav" use_custom_fonts_menu="true" items="%5B%7B%22label%22%3A%22Company%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Careers%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Blog%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%5D" spacing="20" fs="14px"][/vc_column][vc_column width="1/2" offset="vc_col-md-offset-1 vc_col-md-5" responsive_align="text-sm-right"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(111, 120, 128)" fs="text_small:14px" lh="text_small:1.5em"]© 2020 Hub Corporation.[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Footer 14 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Footer 14', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'footer-14.jpg' );
	$data['sort_name'] = 'Footer';
	$data['custom_class'] = 'general footer';
	$data['content'] = <<<CONTENT
	[vc_row][vc_column offset="vc_col-md-5" css=".vc_custom_1573371645561{margin-bottom: 30px !important;}"][vc_single_image image="8705"][ld_spacer height="" md_height="32px"][vc_column_text css=".vc_custom_1572003066722{margin-bottom: 50px !important;}"]Les services de paiement sont disponibles via des applications mobiles et de bureau.[/vc_column_text][ld_social_icons style="" size="social-icon-lg" identities="%5B%7B%22network%22%3A%22fa-instagram%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-facebook-square%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-linkedin%22%2C%22url%22%3A%22%23%22%7D%5D" font_size="30px"][ld_spacer][ld_newsletter style="underlined" inputs_border="ld-sf--border-thicker" btn_style="naked" btn_display="icon" btn_position="ld-sf--button-inside" i_type="linea" i_add_icon="true" placeholder_text="Enter your email to start" txt_color="rgb(126, 128, 133)" txt_f_color="rgb(0, 0, 0)" btn_txt_color="rgb(1, 82, 197)" hover_btn_txt_color="rgb(0, 0, 0)" i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-forward" brd_color="rgb(206, 212, 219)" brd_f_color="rgb(150, 155, 160)"][/vc_column][vc_column width="1/3" offset="vc_col-md-offset-1 vc_col-md-2 vc_col-xs-6" css=".vc_custom_1603368348263{margin-bottom: 30px !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(1, 82, 197)" fs="17px" margin="bottom_small:1.75em"]About us[/ld_fancy_heading][ld_custom_menu menu_slug="footer-nav-1" spacing="10"][/vc_column][vc_column width="1/3" offset="vc_col-md-2 vc_col-xs-6" css=".vc_custom_1603368354512{margin-bottom: 30px !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(1, 82, 197)" fs="17px" margin="bottom_small:1.75em"]Contact us[/ld_fancy_heading][ld_custom_menu menu_slug="footer-nav-2" spacing="10"][/vc_column][vc_column width="1/3" offset="vc_col-md-2" css=".vc_custom_1573371709486{margin-bottom: 30px !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(1, 82, 197)" fs="17px" margin="bottom_small:1.75em"]Company[/ld_fancy_heading][ld_custom_menu menu_slug="footer-nav-3" spacing="10"][/vc_column][vc_column css=".vc_custom_1595259736707{padding-top: 5px !important;padding-bottom: 30px !important;}"][vc_separator color="custom" accent_color="#d9e1ed" css=".vc_custom_1572005003499{margin-top: 0px !important;margin-bottom: 0px !important;}"][/vc_column][vc_column][vc_column_text]<span style="font-size: 14px; line-height: 29px;">These Terms will be applied fully and affect to your use of this Website. By using this Website, you agreed to accept all terms and conditions written in here. You must not use this Website if you disagree with any of these Website Standard Terms and Conditions.</span>[/vc_column_text][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Footer 15 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Footer 15', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'footer-15.jpg' );
	$data['sort_name'] = 'Footer';
	$data['custom_class'] = 'general footer';
	$data['content'] = <<<CONTENT
	<p>[vc_row css=".vc_custom_1599127325360{padding-bottom: 45px !important;}"][vc_column width="1/4"][ld_icon_box i_type="fontawesome" heading_size="xs" i_icon_fontawesome="fab fa-github" title="Open Source" icon_size="60px" i_color="rgb(42, 76, 99)" title_mb="0" icon_mb="15"]Live Collaboration[/ld_icon_box][/vc_column][vc_column width="1/4"][ld_icon_box i_type="fontawesome" heading_size="xs" i_icon_fontawesome="fas fa-bell" title="Enable Notifications" icon_size="60px" i_color="rgb(42, 76, 99)" title_mb="0" icon_mb="15"]Enable Chrome Notifications[/ld_icon_box][/vc_column][vc_column width="1/4"][ld_icon_box i_type="fontawesome" heading_size="xs" i_icon_fontawesome="fab fa-slack" title="Join Our Community" icon_size="60px" i_color="rgb(42, 76, 99)" title_mb="0" icon_mb="15"]Elite Slack Channel[/ld_icon_box][/vc_column][vc_column width="1/4"][ld_icon_box i_type="fontawesome" heading_size="xs" i_icon_fontawesome="fab fa-twitter" title="Latest Updates" icon_size="60px" i_color="rgb(42, 76, 99)" title_mb="0" icon_mb="15"]See news and updates[/ld_icon_box][/vc_column][/vc_row][vc_row][vc_column offset="vc_col-md-3" css=".vc_custom_1596710627160{margin-bottom: 30px !important;}"][ld_images_group_element image="23" margin="bottom_small:30px"][/ld_images_group_element][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:14px" lh="text_small:1.85em" margin="right_all:12%25|bottom_small:2em"]Complete Design Toolkit – huge collection of elements, rich customization options, flexible layouts, and instant results![/ld_fancy_heading][/vc_column][vc_column width="1/3" offset="vc_col-lg-offset-0 vc_col-md-2 vc_col-xs-6" css=".vc_custom_1603373206718{margin-bottom: 30px !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:14px" margin="bottom_small:2.5em"]Contact us[/ld_fancy_heading][ld_custom_menu use_custom_fonts_menu="true" menu_slug="footer-nav-1" spacing="20" fs="14px" lh="1.5em"][/vc_column][vc_column width="1/3" offset="vc_col-lg-offset-0 vc_col-md-2 vc_col-xs-6" css=".vc_custom_1603373217202{margin-bottom: 30px !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:14px" margin="bottom_small:2.5em"]Social[/ld_fancy_heading][ld_custom_menu use_custom_fonts_menu="true" menu_slug="footer-nav-1" spacing="20" fs="14px" lh="1.5em"][/vc_column][vc_column width="1/3" offset="vc_col-md-2 vc_hidden-sm vc_hidden-xs"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:14px" margin="bottom_small:2.5em"]Social[/ld_fancy_heading][ld_custom_menu use_custom_fonts_menu="true" menu_slug="footer-nav-1" spacing="20" fs="14px" lh="1.5em"][/vc_column][vc_column offset="vc_col-md-3" responsive_css="padding_top_small:0px" css=".vc_custom_1603373315208{padding-top: 35px !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:14px" margin="bottom_small:2.5em"]Social[/ld_fancy_heading][ld_social_icons style="" size="social-icon-md" identities="%5B%7B%22network%22%3A%22fa-facebook%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-twitter%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-instagram%22%2C%22url%22%3A%22%23%22%7D%5D" font_size="25px" primary_color="rgb(42, 76, 99)" hover_color="rgb(22, 48, 65)"][ld_spacer][ld_newsletter style="solid" inputs_radius="ld-sf--round" inputs_border="ld-sf--border-none" btn_style="solid" btn_display="icon" btn_position="ld-sf--button-inside" use_custom_fonts_input="true" use_custom_fonts_label="true" placeholder_text="Email address" fs="16px" label_fs="12px" label_ls="0.1em" txt_color="rgb(163, 163, 163)" bg_color="rgb(251, 251, 251)" txt_f_color="rgb(0, 0, 0)" btn_txt_color="rgb(0, 0, 0)" btn_bg_color="rgb(240, 240, 240)"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgba(92, 92, 92, 0.7)" fs="text_small:12px"]    Try for free. No credit card required.[/ld_fancy_heading][/vc_column][vc_column align="text-center" css=".vc_custom_1596713036238{padding-top: 30px !important;}" offset="vc_col-md-offset-2 vc_col-md-8" responsive_align="text-center"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(190, 194, 194)" fs="text_small:14px" lh="text_small:1.35em"]Hub ™ Install any demo or template with a single click. You can mix and match all the demos & templates. Every demo can be turned into one or multi-page.[/ld_fancy_heading][/vc_column][/vc_row]</p>
CONTENT;
	$templates[] = $data;

	//Footer 16 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Footer 16', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'footer-16.jpg' );
	$data['sort_name'] = 'Footer';
	$data['custom_class'] = 'general footer';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" gap="0" css=".vc_custom_1610021204824{padding-top: 100px !important;padding-bottom: 100px !important;}" row_hide="hidden-xs hidden-sm"][vc_column][ld_images_group_element img_size="50%" absolute_pos="yes" image="4183" position="top_small:-100px|right_small:0px"][/ld_images_group_element][/vc_column][/vc_row][vc_row full_width="stretch_row" gap="0" responsive_css="margin_right_large:25%25|margin_right_medium:12%25|padding_top_medium:25px|padding_right_medium:0px|padding_bottom_medium:25px|padding_left_medium:0px" css=".vc_custom_1607080665200{padding-right: 15px !important;padding-left: 15px !important;background-color: #000000 !important;}" el_class="z-index-2"][vc_column responsive_css="padding_right_medium:50px|padding_left_medium:160px" css=".vc_custom_1585915475709{padding-top: 55px !important;padding-bottom: 30px !important;}"][vc_row_inner][vc_column_inner responsive_align="text-md-right" responsive_css="margin_bottom_medium:0px" css=".vc_custom_1603354267331{margin-bottom: 15px !important;}"][vc_single_image image="4186" css=".vc_custom_1584973269909{margin-bottom: 10px !important;}"][/vc_column_inner][vc_column_inner offset="vc_col-md-4"][ld_fancy_heading tag="h2" tag_to_inherite="h4" use_custom_fonts_title="true" use_inheritance="true" color="rgb(255, 255, 255)" fs="33px" lh="1.21em"]Let's Build Something Great Together[/ld_fancy_heading][ld_spacer height="40px"][/vc_column_inner][vc_column_inner][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="17px" lh="25px" margin="bottom_small:1em"]London[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/3" offset="vc_col-md-3 vc_col-xs-6"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="17px" lh="25px"]21 Valentin Paterson
Road 24, London[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/3" offset="vc_col-md-3 vc_col-xs-6"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="17px" lh="25px"]+ 124 875 89 90
info@liquid-themes.com[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/3" offset="vc_col-md-3"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="13px" lh="2em"]Interior design is the art and science of enhancing the interiors, sometimes including the exterior, of a space or building, to achieve a healthier and more aesthetically.[/ld_fancy_heading][/vc_column_inner][vc_column_inner responsive_css="padding_top_small:0px" css=".vc_custom_1603354161221{padding-top: 30px !important;}"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="17px" lh="25px" margin="bottom_small:1em"]Paris[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-3 vc_col-xs-6"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="17px" lh="25px"]290 Maryam Springs
Courbevoie, Paris[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-3 vc_col-xs-6"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="17px" lh="25px"]+11 21 5941 295[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][vc_row_inner css=".vc_custom_1584974012792{margin-top: 70px !important;}"][vc_column_inner width="1/2" responsive_css="margin_bottom_small:0px" css=".vc_custom_1603354216828{margin-bottom: 15px !important;}"][ld_custom_menu source="custom" inline="inline-nav" items="%5B%7B%22label%22%3A%22Fb.%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Tw.%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22In.%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Lk.%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%5D" spacing="11"][/vc_column_inner][vc_column_inner width="1/2" responsive_align="text-sm-right"][ld_custom_menu source="custom" inline="inline-nav" items="%5B%7B%22label%22%3A%22Company%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Careers%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Blog%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%5D" spacing="13"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Footer 17 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Footer 17', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'footer-17.jpg' );
	$data['sort_name'] = 'Footer';
	$data['custom_class'] = 'general footer';
	$data['content'] = <<<CONTENT
	[vc_row][vc_column css=".vc_custom_1589892720437{margin-bottom: 35px !important;}"][vc_separator color="custom" accent_color="rgba(255,255,255,0.07)" css=".vc_custom_1589892139011{margin-top: 0px !important;margin-bottom: 0px !important;}"][/vc_column][vc_column offset="vc_col-md-2" css=".vc_custom_1603460189411{margin-bottom: 35px !important;}" responsive_css="margin_bottom_medium:35px|margin_bottom_small:45px"][ld_images_group_element image="173"][/ld_images_group_element][/vc_column][vc_column width="1/2" offset="vc_col-md-4"][vc_row_inner][vc_column_inner width="1/2" css=".vc_custom_1603460148992{margin-bottom: 35px !important;}" offset="vc_col-xs-6"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:18px" margin="bottom_small:1.5em"]Hub Shop[/ld_fancy_heading][ld_custom_menu use_custom_fonts_menu="true" menu_slug="footer-nav-1" spacing="4" fs="15px" lh="2em"][/vc_column_inner][vc_column_inner width="1/2" css=".vc_custom_1603460159437{margin-bottom: 35px !important;}" offset="vc_col-xs-6"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:18px" margin="bottom_small:1.5em"]Products[/ld_fancy_heading][ld_custom_menu use_custom_fonts_menu="true" menu_slug="footer-nav-2" spacing="4" fs="15px" lh="2em"][/vc_column_inner][/vc_row_inner][/vc_column][vc_column width="1/2" offset="vc_col-md-3" css=".vc_custom_1603460321332{margin-bottom: 45px !important;background-image: url(https://modernshop.liquid-themes.com/staging/wp-content/uploads/2020/05/world-map1x.png?id=139) !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}" responsive_css="margin_bottom_small:35px"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgba(173, 181, 186, 0.72)" fs="text_small:14px" margin="bottom_small:0px"]Toll Free Customer Care[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:18px" margin="bottom_small:0px"]+(1) 123 456 7890[/ld_fancy_heading][ld_spacer height="15px" sm_height="40px"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgba(173, 181, 186, 0.81)" fs="text_small:14px" margin="bottom_small:0px"]Need live support?[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:18px" margin="bottom_small:0px"]orders@hub.com[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-3" css=".vc_custom_1603460377650{margin-bottom: 0px !important;}" responsive_css="margin_bottom_small:35px"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:18px" margin="bottom_small:1.5em"]Follow Us[/ld_fancy_heading][ld_social_icons style="" size="social-icon-lg" identities="%5B%7B%22network%22%3A%22fa-facebook-square%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-pinterest-p%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-instagram%22%2C%22url%22%3A%22%23%22%7D%5D" font_size="28px" primary_color="rgb(255, 255, 255)" hover_color="rgba(255, 255, 255, 0.7)"][ld_spacer][ld_newsletter style="solid" inputs_size="ld-sf--size-sm" inputs_radius="ld-sf--round" btn_style="solid" btn_label="Go" btn_position="ld-sf--button-inside" btn_eql="yes" txt_color="rgba(255, 255, 255, 0.81)" bg_color="rgba(255, 255, 255, 0.08)" btn_txt_color="rgb(255, 255, 255)" btn_bg_color="rgba(255, 255, 255, 0.11)" placeholder_text="Enter email address"][/vc_column][/vc_row][vc_row css=".vc_custom_1589892820641{padding-top: 30px !important;padding-bottom: 40px !important;}"][vc_column css=".vc_custom_1589892746804{margin-bottom: 40px !important;}"][vc_separator color="custom" accent_color="rgba(255,255,255,0.07)" css=".vc_custom_1589892139011{margin-top: 0px !important;margin-bottom: 0px !important;}"][/vc_column][vc_column width="5/12" responsive_align="text-center text-sm-left" responsive_css="margin_bottom_small:0px" css=".vc_custom_1603460334540{margin-bottom: 15px !important;}"][ld_custom_menu source="custom" inline="inline-nav" use_custom_fonts_menu="true" items="%5B%7B%22label%22%3A%22Spanish%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Privacy%20Policy%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Contact%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%5D" spacing="10" fs="12px" color="rgb(255, 255, 255)" hcolor="rgba(255, 255, 255, 0.7)"][/vc_column][vc_column width="7/12" responsive_align="text-center text-sm-right"][ld_fancy_heading tag="p"]© 2020 Hub Shop. All images are for demo purposes.[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Footer 18 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Footer 18', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'footer-18.jpg' );
	$data['sort_name'] = 'Footer';
	$data['custom_class'] = 'general footer';
	$data['content'] = <<<CONTENT
	[vc_row][vc_column offset="vc_col-md-4" css=".vc_custom_1591089460840{margin-bottom: 30px !important;}"][ld_images_group_element image="4684" margin="bottom_small:30px"][/ld_images_group_element][ld_fancy_heading tag="p" padding="right_large:37%25" margin="bottom_small:2.2em"]2020 Hub. All images are for demo purposes only.[/ld_fancy_heading][ld_social_icons style="" size="social-icon-lg" identities="%5B%7B%22network%22%3A%22fa-pinterest-p%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-twitter%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-instagram%22%2C%22url%22%3A%22%23%22%7D%5D" font_size="28px"][ld_spacer][ld_newsletter use_opt_in="Yes" style="underlined" inputs_size="ld-sf--size-xs" btn_style="naked" btn_display="icon" btn_position="ld-sf--button-inside" i_type="linea" i_add_icon="true" placeholder_text="Enter your email address" i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-forward" txt_color="rgb(90, 90, 90)" brd_color="rgb(0, 0, 0)" txt_f_color="rgb(0, 0, 0)" btn_txt_color="rgb(0, 0, 0)"][/vc_column][vc_column offset="vc_col-md-offset-1 vc_col-md-7"][vc_row_inner][vc_column_inner width="1/3" css=".vc_custom_1603444313376{margin-bottom: 30px !important;}" offset="vc_col-xs-6"][ld_fancy_heading tag="h3" transform="text-uppercase" use_custom_fonts_title="true" fs="text_small:13px" ls="text_small:0.12em" margin="bottom_small:2.4em"]Hub Shop[/ld_fancy_heading][ld_custom_menu menu_slug="footer-nav-1" spacing="10"][/vc_column_inner][vc_column_inner width="1/3" css=".vc_custom_1603444323055{margin-bottom: 30px !important;}" offset="vc_col-xs-6"][ld_fancy_heading tag="h3" transform="text-uppercase" use_custom_fonts_title="true" fs="text_small:13px" ls="text_small:0.12em" margin="bottom_small:2.4em"]Products[/ld_fancy_heading][ld_custom_menu menu_slug="footer-nav-2" spacing="10"][/vc_column_inner][vc_column_inner width="1/3" css=".vc_custom_1591089478975{margin-bottom: 30px !important;}"][ld_fancy_heading tag="h3" transform="text-uppercase" use_custom_fonts_title="true" fs="text_small:13px" ls="text_small:0.12em" margin="bottom_small:2.4em"]Products[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_medium:1.5em|bottom_small:0.5em"]2020 Hub. All images are for demo purposes only.[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:2.2em"]orders@hubshop.com[/ld_fancy_heading][vc_single_image image="4357"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row equal_height="yes" content_placement="middle" responsive_css="margin_top_small:20px"][vc_column css=".vc_custom_1591089851400{margin-bottom: 40px !important;}"][vc_separator color="custom" accent_color="rgba(0,0,0,0.16)" css=".vc_custom_1591089714642{margin-top: 0px !important;margin-bottom: 0px !important;}"][/vc_column][vc_column width="1/2" css=".vc_custom_1591089752933{margin-bottom: 20px !important;}"][ld_custom_menu source="custom" inline="inline-nav" transform="uppercase" use_custom_fonts_menu="true" items="%5B%7B%22label%22%3A%22Spanish%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22English%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22French%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%5D" spacing="20" fs="11px" ls="0.1em"][/vc_column][vc_column width="1/2" responsive_align="text-sm-right" css=".vc_custom_1591089758287{margin-bottom: 20px !important;}"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:14px" margin="bottom_small:0px"]© 2020 Hub Shop. All images are for demo purposes.[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Footer 19 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Footer 19', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'footer-19.jpg' );
	$data['sort_name'] = 'Footer';
	$data['custom_class'] = 'general footer';
	$data['content'] = <<<CONTENT
	[vc_row enable_row_dividers="yes" row_svg_divider="top_shape_type:12|top_shape_color:%23ffffff|top_shape_height:140" css=".vc_custom_1603455383443{padding-top: 500px !important;}" responsive_css="padding_bottom_small:35px"][vc_column offset="vc_col-md-3" css=".vc_custom_1603455331121{margin-bottom: 45px !important;}" responsive_css="margin_bottom_small:30px"][vc_single_image image="82" css=".vc_custom_1579251376612{margin-bottom: 35px !important;}"][ld_fancy_heading tag="p" margin="bottom_medium:1em"]9864 Lancaster Court
Poughkeepsie, NY 12601[/ld_fancy_heading][ld_fancy_heading tag="p"](733) 860-2906
hub@coporation.com[/ld_fancy_heading][/vc_column][vc_column width="5/12" offset="vc_col-md-6"][vc_row_inner][vc_column_inner width="1/2" css=".vc_custom_1603455172444{margin-bottom: 30px !important;}" offset="vc_col-xs-6"][ld_fancy_heading tag="h3" tag_to_inherite="h6" use_inheritance="true" margin="bottom_small:1.75em" color="rgb(0, 0, 0)"]About[/ld_fancy_heading][ld_custom_menu menu_slug="footer-nav-1" spacing="7"][ld_button style="btn-naked" title="We're hiring!" link="url:%23|||" color="rgb(0, 196, 32)" fw="text_small:400" css=".vc_custom_1621499169028{margin-top: 22px !important;}"][/vc_column_inner][vc_column_inner width="1/2" css=".vc_custom_1603455178816{margin-bottom: 30px !important;}" offset="vc_col-xs-6"][ld_fancy_heading tag="h3" tag_to_inherite="h6" use_inheritance="true" margin="bottom_small:1.75em" color="rgb(0, 0, 0)"]Services[/ld_fancy_heading][ld_custom_menu menu_slug="footer-nav-2" spacing="7"][/vc_column_inner][/vc_row_inner][/vc_column][vc_column width="1/2" offset="vc_col-md-offset-0 vc_col-md-3 vc_col-sm-offset-1" css=".vc_custom_1603454771107{margin-bottom: 30px !important;}"][ld_fancy_heading tag="h3" tag_to_inherite="h6" use_inheritance="true" margin="bottom_small:1.75em" color="rgb(0, 0, 0)"]Newsletter[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:1em"]Subscribe our newsletter to get the latest news &amp; updates.[/ld_fancy_heading][ld_newsletter use_opt_in="Yes" style="solid" inputs_radius="ld-sf--semi-round" inputs_border="ld-sf--border-none" btn_style="naked" btn_display="icon" btn_position="ld-sf--button-inside" i_type="linea" i_add_icon="true" placeholder_text="mail@example.com..." i_icon_linea="icon-md-arrow-forward" txt_color="rgb(170, 170, 170)" txt_f_color="rgb(0, 0, 0)" btn_txt_color="rgb(0, 0, 0)" hover_btn_txt_color="rgb(0, 207, 50)"][/vc_column][/vc_row][vc_row content_placement="middle" css=".vc_custom_1579252282874{padding-bottom: 25px !important;}"][vc_column css=".vc_custom_1579252300102{margin-bottom: 60px !important;}"][vc_separator color="custom" accent_color="#eeeeee" css=".vc_custom_1579252291986{margin-top: 0px !important;margin-bottom: 0px !important;}"][/vc_column][vc_column width="1/2" css=".vc_custom_1603455234679{margin-bottom: 10px !important;}" responsive_css="margin_bottom_small:30px"][ld_fancy_heading tag="p" color="rgb(170, 170, 170)" margin="bottom_small:0px"]© 2020 Hub Coporation. All rights reserved.[/ld_fancy_heading][/vc_column][vc_column width="1/2" responsive_align="text-sm-right" css=".vc_custom_1603455249135{margin-bottom: 30px !important;}"][ld_custom_menu source="custom" inline="inline-nav" items="%5B%7B%22label%22%3A%22Terms%20and%20Conditions%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22label%22%3A%22Privacy%20Policy%22%2C%22url%22%3A%22%23%22%7D%5D" spacing="23"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Footer 20 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Footer 20', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'footer-20.jpg' );
	$data['sort_name'] = 'Footer';
	$data['custom_class'] = 'general footer';
	$data['content'] = <<<CONTENT
CONTENT;
	$templates[] = $data;

	//Footer 21 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Footer 21', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'footer-21.jpg' );
	$data['sort_name'] = 'Footer';
	$data['custom_class'] = 'general footer';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle"][vc_column offset="vc_col-lg-5 vc_col-md-6" css=".vc_custom_1574939929831{margin-bottom: 35px !important;}"][ld_fancy_heading tag="h3"]Collaboration, work enquires. say hello williams@liquid.com[/ld_fancy_heading][ld_spacer][ld_button style="btn-solid" title="Send a message" transformation="text-uppercase" shape="round" size="btn-xlg" i_type="linea" i_hover_reveal="btn-hover-swp" i_add_icon="true" css=".vc_custom_1613913798548{padding-right: 3em !important;padding-left: 3em !important;}" color="rgb(32, 32, 32)" text_color="rgb(255, 255, 255)" fs="11px" ls="0.15em" fw="700" hover_color="rgb(238, 238, 238)" htext_color="rgb(37, 37, 37)" i_icon_linea="lqd-icn-ess icon-lqd-pen"][/vc_column][vc_column offset="vc_col-lg-offset-2 vc_col-lg-5 vc_col-md-6" responsive_align="text-md-right" css=".vc_custom_1574939937464{margin-bottom: 35px !important;}"][ld_custom_menu source="custom" inline="inline-nav" use_custom_fonts_menu="true" items="%5B%7B%22label%22%3A%22Facebook%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22label%22%3A%22Behance%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22label%22%3A%22Instagram%22%2C%22url%22%3A%22%23%22%7D%5D" spacing="22" fs="16px"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Footer 22 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Footer 22', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'footer-22.jpg' );
	$data['sort_name'] = 'Footer';
	$data['custom_class'] = 'general footer';
	$data['content'] = <<<CONTENT
	[vc_row][vc_column offset="vc_col-md-4" css=".vc_custom_1621611382482{margin-bottom: 30px !important;}"][ld_images_group_element image="3548" margin="bottom_small:30px"][/ld_images_group_element][vc_separator color="custom" accent_color="rgba(112,112,112,0.11)" css=".vc_custom_1621611589320{margin-bottom: 30px !important;}"][ld_social_icons style="" size="social-icon-lg" identities="%5B%7B%22network%22%3A%22fa-facebook-square%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-twitter%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-linkedin%22%2C%22url%22%3A%22%23%22%7D%5D" primary_color="rgba(0, 81, 83, 0.65)" hover_color="rgb(0, 81, 83)" font_size="23px"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px" lh="text_small:1.5em" margin="right_all:12%25|top_small:1.25em|bottom_small:2em"]Their business to develop successful digital ideas and strategies that engage and convert[/ld_fancy_heading][ld_newsletter style="solid" inputs_radius="ld-sf--circle" inputs_border="ld-sf--border-none" btn_style="solid" btn_display="icon" btn_position="ld-sf--button-inside" btn_eql="yes" btn_shrink="button-shrinked" i_type="linea" i_add_icon="true" placeholder_text="Enter your email address" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" txt_color="rgba(16, 58, 64, 0.55)" bg_color="rgba(15, 90, 100, 0.06)" txt_f_color="rgb(15, 90, 100)" btn_txt_color="rgb(15, 90, 100)" btn_bg_color="rgba(15, 90, 100, 0.15)"][/vc_column][vc_column offset="vc_col-md-offset-1 vc_col-md-7"][vc_row_inner][vc_column_inner width="1/3" css=".vc_custom_1621612586324{margin-bottom: 30px !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:15px" margin="bottom_small:1.75em" fw="text_small:700"]Insurance[/ld_fancy_heading][ld_custom_menu use_custom_fonts_menu="true" menu_slug="footer-nav-1" spacing="13" fs="16px" lh="1.5em"][/vc_column_inner][vc_column_inner width="1/3" css=".vc_custom_1621612594175{margin-bottom: 30px !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:15px" margin="bottom_small:1.75em" fw="text_small:700"]About Hub[/ld_fancy_heading][ld_custom_menu use_custom_fonts_menu="true" menu_slug="footer-nav-2" spacing="13" fs="16px" lh="1.5em"][/vc_column_inner][vc_column_inner width="1/3" css=".vc_custom_1621612601523{margin-bottom: 30px !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:15px" margin="bottom_small:1.75em" fw="text_small:700"]Contact[/ld_fancy_heading][ld_custom_menu use_custom_fonts_menu="true" menu_slug="footer-nav-3" spacing="13" fs="16px" lh="1.5em"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row equal_height="yes" content_placement="middle"][vc_column width="1/2" css=".vc_custom_1621612614055{border-top-width: 1px !important;padding-top: 35px !important;border-top-color: #d9e1ed !important;border-top-style: solid !important;}"][ld_simple_menu source="custom" inline="inline-nav" items="%5B%7B%22label%22%3A%22Privacy%20Policy%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Help%20Center%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%5D" fs="text_small:12px" spacing="10"][/vc_column][vc_column width="1/2" responsive_align="text-sm-right" css=".vc_custom_1621612623873{margin-bottom: 20px !important;border-top-width: 0px !important;border-top-color: #d9e1ed !important;border-top-style: solid !important;}" responsive_css="border_top_small:1px|padding_top_small:35px"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:14px" margin="bottom_small:0px" color="rgba(16, 58, 64, 0.65)"]© 2021 Hub Insurance. All images are for demo purposes.[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Footer 23 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Footer 23', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'footer-23.jpg' );
	$data['sort_name'] = 'Footer';
	$data['custom_class'] = 'general footer';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" equal_height="yes" content_placement="middle" responsive_css="padding_right_medium:10vw|padding_left_medium:10vw" css=".vc_custom_1590496941171{border-bottom-width: 1px !important;padding-top: 45px !important;padding-bottom: 25px !important;border-bottom-color: rgba(255,255,255,0.14) !important;border-bottom-style: solid !important;}"][vc_column responsive_css="margin_bottom_medium:0px" css=".vc_custom_1590496067077{margin-bottom: 35px !important;}" offset="vc_col-md-6"][ld_icon_box i_type="linea" heading_size="md" position="iconbox-inline" items_alignment="align-items-center" title="Subscribe and get 20% discount." title_mb="1" icon_size="30px" h_color="rgb(255, 255, 255)" css=".vc_custom_1599469925171{margin-bottom: 20px !important;}" i_color="rgb(255, 194, 33)" i_icon_linea="lqd-icn-ess icon-lqd-envelope"][/ld_icon_box][/vc_column][vc_column offset="vc_col-lg-offset-2 vc_col-lg-4 vc_col-md-6" responsive_align="text-md-right"][ld_newsletter style="solid" inputs_size="ld-sf--size-sm" inputs_radius="ld-sf--circle" inputs_border="ld-sf--border-none" btn_style="solid" btn_position="ld-sf--button-inline" btn_padding="7px" placeholder_text="E-mail address" txt_color="rgb(102, 102, 102)" bg_color="rgb(255, 255, 255)" txt_f_color="rgb(0, 0, 0)" btn_txt_color="rgb(0, 0, 0)" btn_bg_color="rgb(255, 194, 33)" hover_btn_txt_color="rgb(0, 0, 0)" hover_btn_bg_color="rgb(255, 255, 255)" margin="bottom_small:0px"][/vc_column][/vc_row][vc_row full_width="stretch_row" css=".vc_custom_1590497032158{padding-top: 50px !important;padding-bottom: 30px !important;}" responsive_css="padding_right_medium:10vw|padding_left_medium:10vw"][vc_column bg_position="left bottom" offset="vc_col-md-4" css=".vc_custom_1611585455062{margin-bottom: 30px !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:16px" margin="bottom_small:2em"]Hub Customer Care[/ld_fancy_heading][ld_icon_box i_type="linea" heading_size="custom" position="iconbox-side" i_icon_linea="lqd-icn-ess icon-speech-bubble" title="Monday-Friday: 08am-9pm" title_mb="10" custom_heading_size="13px" i_color="rgb(255, 194, 33)" h_color="rgba(255, 255, 255, 0.6)" css=".vc_custom_1590496804465{margin-bottom: 25px !important;}" icon_size="25px"]<span style="color: #ffffff;">+(1) 123 456 7890</span>[/ld_icon_box][ld_icon_box i_type="linea" heading_size="custom" position="iconbox-side" i_icon_linea="lqd-icn-ess icon-lqd-envelope" title="Need help with your order?" title_mb="10" custom_heading_size="13px" i_color="rgb(255, 194, 33)" h_color="rgba(255, 255, 255, 0.6)" css=".vc_custom_1590496815743{margin-bottom: 25px !important;}" icon_size="25px"]<span style="color: #ffffff;">hub@liquid.com</span>[/ld_icon_box][vc_single_image image="314" img_size="222x28" image_max_width="250px" css=".vc_custom_1621510845251{margin-top: 45px !important;}"][/vc_column][vc_column offset="vc_col-md-8"][vc_row_inner][vc_column_inner width="1/4" offset="vc_col-md-3 vc_col-xs-6" css=".vc_custom_1603286014388{margin-bottom: 35px !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:16px" margin="bottom_small:2em"]Products[/ld_fancy_heading][ld_custom_menu menu_slug="footer-nav-1" spacing="16"][/vc_column_inner][vc_column_inner width="1/4" offset="vc_col-md-3 vc_col-xs-6" css=".vc_custom_1603286022319{margin-bottom: 35px !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:16px" margin="bottom_small:2em"]Marketplace[/ld_fancy_heading][ld_custom_menu menu_slug="footer-nav-2" spacing="16"][/vc_column_inner][vc_column_inner width="1/4" css=".vc_custom_1603286029642{margin-bottom: 35px !important;}" offset="vc_col-md-3 vc_col-xs-6"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:16px" margin="bottom_small:2em"]Customer Care[/ld_fancy_heading][ld_custom_menu menu_slug="footer-nav-1" spacing="16"][/vc_column_inner][vc_column_inner width="1/4" css=".vc_custom_1603286036786{margin-bottom: 35px !important;}" offset="vc_col-md-3 vc_col-xs-6"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:16px" margin="bottom_small:2em"]Marketplace[/ld_fancy_heading][ld_custom_menu menu_slug="footer-nav-2" spacing="16"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row full_width="stretch_row" content_placement="middle" responsive_css="padding_right_medium:10vw|padding_left_medium:10vw" css=".vc_custom_1590497300602{padding-bottom: 35px !important;}"][vc_column css=".vc_custom_1590497285314{margin-bottom: 35px !important;}"][vc_separator color="custom" accent_color="rgba(255,255,255,0.16)" css=".vc_custom_1590497258556{margin-top: 0px !important;margin-bottom: 0px !important;}"][/vc_column][vc_column width="7/12" responsive_css="margin_bottom_small:0px" css=".vc_custom_1603286043517{margin-bottom: 20px !important;}"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.65)" fs="text_small:13px"]All images are for demo purposes only. 2021 Hub Marketplace.[/ld_fancy_heading][/vc_column][vc_column width="5/12" responsive_align="text-sm-right"][ld_social_icons style="" size="social-icon-lg" identities="%5B%7B%22network%22%3A%22fa-facebook%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-twitter%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-linkedin%22%2C%22url%22%3A%22%23%22%7D%5D" font_size="23px" primary_color="rgb(255, 255, 255)" hover_color="rgba(255, 255, 255, 0.5)"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Footer 24 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Footer 24', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'footer-24.jpg' );
	$data['sort_name'] = 'Footer';
	$data['custom_class'] = 'general footer';
	$data['content'] = <<<CONTENT
	<p>[vc_row full_width="stretch_row" responsive_css="padding_right_medium:5%25|padding_left_medium:5%25"][vc_column bg_position="left top" offset="vc_col-lg-5 vc_col-md-6" css=".vc_custom_1577886114492{margin-bottom: 30px !important;background-image: url(https://seopro.liquid-themes.com/wp-content/uploads/2019/12/map.jpg?id=4412) !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="33px" margin="bottom_small:1em"]Start a project now.[/ld_fancy_heading][vc_row_inner equal_height="yes" content_placement="middle" gap="0" enable_row_shadowbox="yes" css=".vc_custom_1577794126140{background-color: #ffffff !important;border-radius: 5px !important;}" row_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2215px%22%2C%22blur_radius%22%3A%2250px%22%2C%22shadow_color%22%3A%22%23eef1f6%22%7D%5D"][vc_column_inner width="1/2" responsive_css="padding_right_medium:30px|padding_left_medium:30px|border_right_small:1px|border_bottom_small:0px" css=".vc_custom_1577794288894{border-right-width: 0px !important;border-bottom-width: 1px !important;padding-top: 25px !important;padding-right: 15px !important;padding-bottom: 20px !important;padding-left: 15px !important;border-right-color: #ebebeb !important;border-right-style: solid !important;border-bottom-color: #ebebeb !important;border-bottom-style: solid !important;}"][ld_fancy_heading tag="p" color="rgba(0, 35, 82, 0.6)"]Project Offers [/ld_fancy_heading][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="21px"]info.liquid.com[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/2" responsive_css="padding_right_medium:30px|padding_left_medium:30px" css=".vc_custom_1577794168808{padding-top: 25px !important;padding-right: 15px !important;padding-bottom: 20px !important;padding-left: 15px !important;}"][ld_fancy_heading tag="p" color="rgba(0, 35, 82, 0.6)"]Consultation[/ld_fancy_heading][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="21px"]+ 1 223 38 87[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/vc_column][vc_column offset="vc_col-md-7" responsive_css="padding_left_medium:4.5%25"][vc_row_inner][vc_column_inner width="1/3" css=".vc_custom_1603369078885{margin-bottom: 30px !important;}" offset="vc_col-md-3"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px" lh="text_small:2.45em"]9864 Lancaster Court</p>
<p>Paris, NY</p>
<p>12601</p>
<p>(733) 860-2906</p>
<p>hub@liquid.com[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/3" css=".vc_custom_1603369090146{margin-bottom: 30px !important;}" offset="vc_col-md-offset-1 vc_col-xs-6"][ld_custom_menu use_custom_fonts_menu="true" menu_slug="footer-nav-1" spacing="19" fs="16px" lh="1.5em"][/vc_column_inner][vc_column_inner width="1/3" css=".vc_custom_1603368855601{margin-bottom: 30px !important;}" offset="vc_col-xs-6"][ld_custom_menu use_custom_fonts_menu="true" menu_slug="footer-nav-2" spacing="19" fs="16px" lh="1.5em"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row full_width="stretch_row" equal_height="yes" content_placement="middle" css=".vc_custom_1577874368151{margin-top: 30px !important;}" responsive_css="padding_right_medium:5%25|padding_left_medium:5%25"][vc_column][vc_separator color="custom" accent_color="rgba(62,66,148,0.1)"][/vc_column][vc_column width="1/4" css=".vc_custom_1603369449102{margin-bottom: 20px !important;}" offset="vc_col-md-4" responsive_align="text-center text-sm-left"][vc_single_image image="4546" css=".vc_custom_1603702379756{margin-bottom: 10px !important;}"][/vc_column][vc_column width="1/2" offset="vc_col-md-4" responsive_align="text-center" css=".vc_custom_1603369468246{margin-bottom: 20px !important;}"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px" margin="bottom_small:10px"]© Copyright Hub. Demo Purposes.[/ld_fancy_heading][/vc_column][vc_column width="1/4" offset="vc_col-md-4" responsive_align="text-center text-sm-right" css=".vc_custom_1603369480256{margin-bottom: 20px !important;}"][ld_social_icons style="" size="social-icon-lg" identities="%5B%7B%22network%22%3A%22fa-facebook%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-twitter%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-instagram%22%2C%22url%22%3A%22%23%22%7D%5D" font_size="19px" primary_color="#211e46"][/vc_column][/vc_row]</p>
CONTENT;
	$templates[] = $data;

	//Footer 25 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Footer 25', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'footer-25.jpg' );
	$data['sort_name'] = 'Footer';
	$data['custom_class'] = 'general footer';
	$data['content'] = <<<CONTENT
CONTENT;
	$templates[] = $data;

	//Footer 26 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Footer 26', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'footer-26.jpg' );
	$data['sort_name'] = 'Footer';
	$data['custom_class'] = 'general footer';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" responsive_css="padding_right_medium:110px|padding_left_medium:110px" css=".vc_custom_1603460647892{padding-top: 80px !important;}"][vc_column width="1/4" css=".vc_custom_1603371093599{margin-bottom: 10px !important;}" responsive_align="text-center text-sm-left"][vc_single_image image="747"][/vc_column][vc_column width="3/4" css=".vc_custom_1603371070570{margin-bottom: 30px !important;}" responsive_align="text-center text-sm-right"][ld_custom_menu inline="inline-nav" use_custom_fonts_menu="true" menu_slug="footer-nav-3" spacing="15" fs="16px"][/vc_column][vc_column css=".vc_custom_1573207925041{padding-top: 25px !important;}"][vc_separator color="custom" accent_color="rgba(10,10,10,0.2)"][/vc_column][vc_column width="2/3" css=".vc_custom_1603371005892{margin-bottom: 30px !important;}" responsive_align="text-center text-sm-left"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="13px" lh="29px"]These Terms will be applied fully and affect to your use of this Website. By using this Website, you agreed to accept all terms and conditions written in here. You must not use this Website if you disagree with any of these Website Standard Terms and Conditions.[/ld_fancy_heading][/vc_column][vc_column width="1/3" responsive_align="text-center text-sm-right" css=".vc_custom_1603371019912{margin-bottom: 30px !important;}"][ld_social_icons style="" size="social-icon-lg" identities="%5B%7B%22network%22%3A%22fa-instagram%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-twitter%22%2C%22url%22%3A%22%23%22%7D%5D" font_size="35px" primary_color="#151f2f" hover_color="rgba(21,31,47,0.8)"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Footer 27 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Footer 27', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'footer-27.jpg' );
	$data['sort_name'] = 'Footer';
	$data['custom_class'] = 'general footer';
	$data['content'] = <<<CONTENT
	[vc_row][vc_column offset="vc_col-md-3" css=".vc_custom_1578916299094{margin-bottom: 30px !important;}"][ld_images_group_element image="9008" margin="bottom_small:35px"][/ld_images_group_element][vc_column_text css=".vc_custom_1578916487691{margin-bottom: 45px !important;}"]9864 Lancaster Court
Poughkeepsie, NY 12601

(733) 860-2906
<span style="color: var(--color-primary);">hub@coporation.com</span>[/vc_column_text][ld_social_icons style="" size="social-icon-lg" identities="%5B%7B%22network%22%3A%22fa-facebook%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-twitter%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-youtube%22%2C%22url%22%3A%22%23%22%7D%5D" primary_color="#929ea8" hover_color="#000000"][/vc_column][vc_column offset="vc_col-md-6" css=".vc_custom_1578916304904{margin-bottom: 30px !important;}"][vc_row_inner][vc_column_inner width="1/2" offset="vc_col-md-offset-2 vc_col-md-4 vc_col-xs-6"][ld_custom_menu use_custom_fonts_menu="true" menu_slug="footer-nav-1" spacing="14" fs="16px" lh="1.5em"][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-4 vc_col-xs-6"][ld_custom_menu use_custom_fonts_menu="true" menu_slug="footer-nav-2" spacing="14" fs="16px" lh="1.5em"][/vc_column_inner][/vc_row_inner][/vc_column][vc_column offset="vc_col-md-3" css=".vc_custom_1578916311039{margin-bottom: 30px !important;}"][ld_google_map style="assassinsCreedIV" map_marker="html_marker" si_style="" si_size="" si_border="" zoom="14" map_controls="fullscreenControl" address="New York" map_height="230px"][/vc_column][/vc_row][vc_row css=".vc_custom_1578916413805{padding-top: 40px !important;}"][vc_column width="1/2"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(0, 0, 0)" fs="12px"]Copyright 2020 - Liquid Themes[/ld_fancy_heading][/vc_column][vc_column width="1/2" responsive_align="text-sm-right"][ld_custom_menu source="custom" inline="inline-nav" use_custom_fonts_menu="true" items="%5B%7B%22label%22%3A%22Privacy%20Policy%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Terms%20%26%20conditions%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%5D" spacing="10" fs="12px"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Footer 28 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Footer 28', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'footer-28.jpg' );
	$data['sort_name'] = 'Footer';
	$data['custom_class'] = 'general footer';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" css=".vc_custom_1572355495844{margin-bottom: 70px !important;}"][vc_column offset="vc_col-md-6"][ld_newsletter style="solid" inputs_size="ld-sf--size-lg" inputs_shadow="ld-sf--input-shadow" btn_style="naked" btn_display="label_icon" btn_position="ld-sf--button-inside" i_type="linea" i_add_icon="true" placeholder_text="Your email to start" txt_color="rgb(126, 128, 133)" txt_f_color="rgb(0, 0, 0)" btn_txt_color="rgb(0, 147, 126)" hover_btn_txt_color="rgb(0, 0, 0)" i_icon_linea="lqd-icn-ess icon-md-arrow-forward"][/vc_column][vc_column offset="vc_col-lg-offset-1 vc_col-md-offset-1 vc_col-md-5"][vc_row_inner][vc_column_inner width="1/2" responsive_align="text-sm-right"][ld_icon_box i_type="linea" heading_size="custom" position="iconbox-inline" title="Get Freebies and Discounts" custom_heading_size="14px" icon_size="14px" h_color="rgb(80, 89, 108)" i_icon_linea="lqd-icn-ess icon-lqd-check"][/ld_icon_box][/vc_column_inner][vc_column_inner width="1/2" responsive_align="text-sm-right"][ld_icon_box i_type="linea" heading_size="custom" position="iconbox-inline" title="Weekly Design Newsletter" custom_heading_size="14px" icon_size="14px" h_color="rgb(80, 89, 108)" i_icon_linea="lqd-icn-ess icon-lqd-check"][/ld_icon_box][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row][vc_column offset="vc_col-md-2/5" css=".vc_custom_1603361892933{margin-bottom: 50px !important;}" responsive_css="margin_bottom_medium:30px"][vc_single_image image="4344"][vc_column_text css=".vc_custom_1579867945433{margin-right: 3vw !important;}"]We're Hub agency. We're passionate about solving problems through creative and digital products.[/vc_column_text][ld_spacer height="35px"][ld_social_icons style="" size="social-icon-lg" identities="%5B%7B%22network%22%3A%22fa-facebook-square%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-instagram%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-pinterest%22%2C%22url%22%3A%22%23%22%7D%5D" font_size="25px" primary_color="rgba(0,35,82,0.63)" hover_color="#002352"][/vc_column][vc_column width="1/2" offset="vc_col-md-1/5 vc_col-xs-6" css=".vc_custom_1603361814934{margin-bottom: 30px !important;}"][ld_fancy_heading tag="h3" transform="text-uppercase" use_custom_fonts_title="true" fs="16px" ls="0.05em" margin="bottom_small:1.35em"]About us[/ld_fancy_heading][ld_custom_menu menu_slug="footer-nav-2" spacing="10"][/vc_column][vc_column width="1/2" offset="vc_col-md-1/5 vc_col-xs-6" css=".vc_custom_1603361822563{margin-bottom: 30px !important;}"][ld_fancy_heading tag="h3" transform="text-uppercase" use_custom_fonts_title="true" fs="16px" ls="0.05em" margin="bottom_small:1.35em"]Company[/ld_fancy_heading][ld_custom_menu menu_slug="footer-nav-1" spacing="10"][/vc_column][vc_column width="1/2" offset="vc_col-md-1/5" css=".vc_custom_1603361827368{margin-bottom: 30px !important;}"][ld_fancy_heading tag="h3" transform="text-uppercase" use_custom_fonts_title="true" fs="16px" ls="0.05em" margin="bottom_small:1.35em"]Cases[/ld_fancy_heading][ld_custom_menu menu_slug="footer-nav-1" spacing="10"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Footer 29 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Footer 29', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'footer-29.jpg' );
	$data['sort_name'] = 'Footer';
	$data['custom_class'] = 'general footer';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1603357681522{border-top-width: 1px !important;padding-top: 110px !important;border-top-color: #eaeaea !important;border-top-style: solid !important;}" responsive_css="padding_bottom_medium:60px"][vc_column width="1/3" offset="vc_col-md-3" css=".vc_custom_1603357768585{margin-bottom: 30px !important;}"][vc_single_image image="38" css=".vc_custom_1580384327774{margin-bottom: 30px !important;}"][vc_column_text css=".vc_custom_1580384485133{margin-bottom: 15px !important;}"]9864 Lancaster Court
Poughkeepsie, NY 12601[/vc_column_text][vc_column_text](733) 860-2906
<a style="color: var(--color-primary);" href="#">hub@coporation.com</a>[/vc_column_text][/vc_column][vc_column width="1/3" offset="vc_col-md-3 vc_col-xs-6" css=".vc_custom_1603357773948{margin-bottom: 30px !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="20px" margin="bottom_small:1.5em"]About[/ld_fancy_heading][ld_custom_menu menu_slug="footer-nav-1" spacing="5"][/vc_column][vc_column width="1/3" css=".vc_custom_1603357780048{margin-bottom: 30px !important;}" offset="vc_col-md-3 vc_col-xs-6"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="20px" margin="bottom_small:1.5em"]Services[/ld_fancy_heading][ld_custom_menu menu_slug="footer-nav-2" spacing="5"][/vc_column][vc_column css=".vc_custom_1580384543727{margin-bottom: 30px !important;}" offset="vc_col-md-3"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="20px" margin="bottom_small:1.5em"]Newsletter[/ld_fancy_heading][vc_column_text css=".vc_custom_1580384664576{margin-bottom: 14px !important;}"]Subscribe our newsletter to get the latest news &amp; updates.[/vc_column_text][ld_newsletter style="solid" inputs_size="ld-sf--size-sm" inputs_radius="ld-sf--round" btn_style="solid" btn_label="Go" btn_position="ld-sf--button-inside" btn_eql="yes" placeholder_text="Enter email address" txt_color="rgb(100, 100, 100)" brd_color="rgb(248, 248, 248)" txt_f_color="rgb(0, 0, 0)" brd_f_color="rgb(199, 199, 199)" btn_txt_color="rgb(0, 0, 0)" hover_btn_txt_color="rgb(0, 0, 0)" bg_color="rgb(248, 248, 248)" btn_bg_color="rgb(239, 239, 239)" btn_brd_color="rgb(239, 239, 239)"][/vc_column][/vc_row][vc_row][vc_column][vc_separator color="custom" accent_color="#eeeeee" css=".vc_custom_1580384724671{margin-top: 0px !important;margin-bottom: 0px !important;}"][/vc_column][/vc_row][vc_row css=".vc_custom_1580384739158{padding-top: 60px !important;padding-bottom: 60px !important;}"][vc_column width="1/2"][vc_column_text]<span style="color: #999999;">© 2021 Hub Corporation. All rights reserved.</span>[/vc_column_text][/vc_column][vc_column width="1/2" responsive_align="text-md-right"][ld_custom_menu source="custom" inline="inline-nav" items="%5B%7B%22label%22%3A%22About%20Hub%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Careers%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Privacy%20Policy%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%5D" spacing="15"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Footer 30 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Footer 30', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'footer-30.jpg' );
	$data['sort_name'] = 'Footer';
	$data['custom_class'] = 'general footer';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" responsive_css="padding_right_medium:110px|padding_left_medium:110px"][vc_column width="1/4" css=".vc_custom_1603371093599{margin-bottom: 10px !important;}" responsive_align="text-center text-sm-left"][vc_single_image image="12"][/vc_column][vc_column width="3/4" css=".vc_custom_1603371070570{margin-bottom: 30px !important;}" responsive_align="text-center text-sm-right"][ld_custom_menu inline="inline-nav" use_custom_fonts_menu="true" menu_slug="footer-menu" spacing="15" fs="16px"][/vc_column][vc_column css=".vc_custom_1573207925041{padding-top: 25px !important;}"][vc_separator color="custom" accent_color="rgba(255,255,255,0.2)"][/vc_column][vc_column width="2/3" css=".vc_custom_1603371005892{margin-bottom: 30px !important;}" responsive_align="text-center text-sm-left"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="13px" lh="29px"]These Terms will be applied fully and affect to your use of this Website. By using this Website, you agreed to accept all terms and conditions written in here. You must not use this Website if you disagree with any of these Website Standard Terms and Conditions.[/ld_fancy_heading][/vc_column][vc_column width="1/3" responsive_align="text-center text-sm-right" css=".vc_custom_1603371019912{margin-bottom: 30px !important;}"][ld_social_icons style="" size="social-icon-lg" identities="%5B%7B%22network%22%3A%22fa-instagram%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-twitter%22%2C%22url%22%3A%22%23%22%7D%5D" font_size="35px" primary_color="#151f2f" hover_color="rgba(21,31,47,0.8)"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Footer 31 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Footer 31', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'footer-31.jpg' );
	$data['sort_name'] = 'Footer';
	$data['custom_class'] = 'general footer';
	$data['content'] = <<<CONTENT
	<p>[vc_row css=".vc_custom_1599127325360{padding-bottom: 45px !important;}"][vc_column width="1/4"][ld_icon_box i_type="fontawesome" heading_size="xs" i_icon_fontawesome="fab fa-github" title="Open Source" icon_size="60px" i_color="rgb(42, 76, 99)" title_mb="0" icon_mb="15"]<span style="color: #8894a3; font-size: 13px;">Live Collaboration</span>[/ld_icon_box][/vc_column][vc_column width="1/4"][ld_icon_box i_type="fontawesome" heading_size="xs" i_icon_fontawesome="fas fa-bell" title="Enable Notifications" icon_size="60px" i_color="rgb(42, 76, 99)" title_mb="0" icon_mb="15"]<span style="color: #8894a3; font-size: 13px;">Enable Chrome Notifications</span>[/ld_icon_box][/vc_column][vc_column width="1/4"][ld_icon_box i_type="fontawesome" heading_size="xs" i_icon_fontawesome="fab fa-slack" title="Join Our Community" icon_size="60px" i_color="rgb(42, 76, 99)" title_mb="0" icon_mb="15"]<span style="color: #8894a3; font-size: 13px;">Elite Slack Channel</span>[/ld_icon_box][/vc_column][vc_column width="1/4"][ld_icon_box i_type="fontawesome" heading_size="xs" i_icon_fontawesome="fab fa-twitter" title="Latest Updates" icon_size="60px" i_color="rgb(42, 76, 99)" title_mb="0" icon_mb="15"]<span style="color: #8894a3; font-size: 13px;">See news and updates</span>[/ld_icon_box][/vc_column][/vc_row][vc_row][vc_column offset="vc_col-md-3" css=".vc_custom_1596710627160{margin-bottom: 30px !important;}"][ld_images_group_element image="89" margin="bottom_small:30px"][/ld_images_group_element][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:14px" lh="text_small:1.85em" margin="right_all:12%25|bottom_small:2em"]Complete Design Toolkit – huge collection of elements, rich customization options, flexible layouts, and instant results![/ld_fancy_heading][/vc_column][vc_column width="1/3" offset="vc_col-lg-offset-0 vc_col-md-2 vc_col-xs-6" css=".vc_custom_1603373206718{margin-bottom: 30px !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:14px" margin="bottom_small:2.5em"]Contact us[/ld_fancy_heading][ld_custom_menu use_custom_fonts_menu="true" menu_slug="footer-nav-1" spacing="20" fs="14px" lh="1.5em"][/vc_column][vc_column width="1/3" offset="vc_col-lg-offset-0 vc_col-md-2 vc_col-xs-6" css=".vc_custom_1603373217202{margin-bottom: 30px !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:14px" margin="bottom_small:2.5em"]Social[/ld_fancy_heading][ld_custom_menu use_custom_fonts_menu="true" menu_slug="footer-nav-1" spacing="20" fs="14px" lh="1.5em"][/vc_column][vc_column width="1/3" offset="vc_col-md-2 vc_hidden-sm vc_hidden-xs"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:14px" margin="bottom_small:2.5em"]Social[/ld_fancy_heading][ld_custom_menu use_custom_fonts_menu="true" menu_slug="footer-nav-1" spacing="20" fs="14px" lh="1.5em"][/vc_column][vc_column offset="vc_col-md-3" responsive_css="padding_top_small:0px" css=".vc_custom_1603373315208{padding-top: 35px !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:14px" margin="bottom_small:2.5em"]Social[/ld_fancy_heading][ld_social_icons style="" size="social-icon-md" identities="%5B%7B%22network%22%3A%22fa-facebook%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-twitter%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-instagram%22%2C%22url%22%3A%22%23%22%7D%5D" font_size="25px" primary_color="rgb(42, 76, 99)" hover_color="rgb(22, 48, 65)"][ld_spacer][ld_newsletter style="solid" inputs_radius="ld-sf--round" inputs_border="ld-sf--border-none" btn_style="solid" btn_display="icon" btn_position="ld-sf--button-inside" use_custom_fonts_input="true" use_custom_fonts_label="true" placeholder_text="Email address" fs="16px" label_fs="12px" label_ls="0.1em" txt_color="rgb(163, 163, 163)" bg_color="rgb(251, 251, 251)" txt_f_color="rgb(0, 0, 0)" btn_txt_color="rgb(0, 0, 0)" btn_bg_color="rgb(240, 240, 240)"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgba(92, 92, 92, 0.7)" fs="text_small:12px"]<img class="alignnone size-full wp-image-90" src="https://asymmetric-landingpro.liquid-themes.com/wp-content/uploads/2020/04/shapes.svg" alt="" />    Try for free. No credit card required.[/ld_fancy_heading][/vc_column][vc_column align="text-center" css=".vc_custom_1596713036238{padding-top: 30px !important;}" offset="vc_col-md-offset-2 vc_col-md-8" responsive_align="text-center"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(190, 194, 194)" fs="text_small:14px" lh="text_small:1.35em"]Hub ™ Install any demo or template with a single click. You can mix and match all the demos &amp; templates. Every demo can be turned into one or multi-page.[/ld_fancy_heading][/vc_column][/vc_row]</p>
CONTENT;
	$templates[] = $data;

	//Footer 32 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Footer 32', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'footer-32.jpg' );
	$data['sort_name'] = 'Footer';
	$data['custom_class'] = 'general footer';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" responsive_css="padding_top_medium:90px" css=".vc_custom_1620648371452{padding-top: 70px !important;padding-bottom: 80px !important;}"][vc_column align="text-center" responsive_align="text-center"][ld_social_icons style="" identities="%5B%7B%22network%22%3A%22fa-instagram%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-pinterest%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-twitter%22%2C%22url%22%3A%22%23%22%7D%5D" font_size="25px"][ld_spacer height="50px"][ld_custom_menu inline="inline-nav" use_custom_fonts_menu="true" menu_slug="footer-nav-1" spacing="27" fs="16px"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Footer 33 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Footer 33', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'footer-33.jpg' );
	$data['sort_name'] = 'Footer';
	$data['custom_class'] = 'general footer';
	$data['content'] = <<<CONTENT
CONTENT;
	$templates[] = $data;

	//Footer 34 - retail
	$data = array();
	$data['name'] = esc_html__( 'Footer 34', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'footer-34.jpg' );
	$data['sort_name'] = 'Footer';
	$data['custom_class'] = 'general footer';
	$data['content'] = <<<CONTENT
	[vc_row equal_height="yes"][vc_column offset="vc_col-md-4"][ld_images_group_element image="363" margin="bottom_small:40px"][/ld_images_group_element][ld_fancy_heading tag="p" margin="bottom_small:25px"]Spanish fast-fashion retailer based in store pick up points, the company founded in 1997.[/ld_fancy_heading][ld_social_icons style="" shape="circle" border="border-1" identities="%5B%7B%22network%22%3A%22fa-twitter%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-pinterest-p%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-instagram%22%2C%22url%22%3A%22%23%22%7D%5D" font_size="19px" custom_size="46px" primary_color="rgb(255, 255, 255)" hover_color="rgb(0, 0, 0)" bg_color="rgba(255, 255, 255, 0)" hbg_color="rgb(255, 255, 255)" border_color="rgba(255, 255, 255, 0.1)" hborder_color="rgb(255, 255, 255)"][ld_spacer height="30px"][ld_newsletter use_opt_in="Yes" style="solid" inputs_size="ld-sf--size-sm" inputs_radius="ld-sf--circle" inputs_border="ld-sf--border-none" btn_style="solid" btn_display="icon" btn_position="ld-sf--button-inline" btn_eql="yes" btn_padding="" i_type="linea" use_custom_fonts_input="true" i_add_icon="true" placeholder_text="Enter your email address" fs="13px" i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-forward" txt_color="rgba(255, 255, 255, 0.65)" bg_color="rgba(255, 255, 255, 0.05)" txt_f_color="rgb(255, 255, 255)" btn_txt_color="rgb(0, 0, 0)" btn_bg_color="rgb(255, 255, 255)" hover_btn_txt_color="rgb(255, 255, 255)" hover_btn_bg_color="rgb(0, 0, 0)"][/vc_column][vc_column offset="vc_col-md-8" responsive_css="padding_left_medium:60px"][vc_row_inner equal_height="yes"][vc_column_inner width="1/3" css=".vc_custom_1603361296498{margin-bottom: 30px !important;}" offset="vc_col-xs-6"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:15px" margin="bottom_small:2em"]Marketplace[/ld_fancy_heading][ld_custom_menu menu_slug="footer-nav-1" spacing="12"][/vc_column_inner][vc_column_inner width="1/3" css=".vc_custom_1603699564859{margin-bottom: 30px !important;}" offset="vc_col-xs-6"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:15px" margin="bottom_small:2em"]Customer Care[/ld_fancy_heading][ld_custom_menu menu_slug="footer-nav-2" spacing="12"][/vc_column_inner][vc_column_inner width="1/3" css=".vc_custom_1590744853797{margin-bottom: 30px !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:15px" margin="bottom_small:2em"]About Hub[/ld_fancy_heading][ld_custom_menu menu_slug="footer-nav-3" spacing="12"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row equal_height="yes" content_placement="middle" css=".vc_custom_1590745143567{padding-top: 30px !important;}"][vc_column][vc_separator color="custom" accent_color="rgba(255,255,255,0.07)" css=".vc_custom_1590745101843{margin-top: 0px !important;margin-bottom: 30px !important;}"][/vc_column][vc_column width="1/2" css=".vc_custom_1590745086162{margin-bottom: 20px !important;}"][ld_button style="btn-naked" title="Help Center" i_type="fontawesome" i_add_icon="true" i_icon_fontawesome="fas fa-ellipsis-h" color="rgb(255, 255, 255)" hover_color="rgba(255, 255, 255, 0.5)" fs="13px" css=".vc_custom_1590745130021{margin-right: 30px !important;}"][ld_button style="btn-naked" title="Find a store" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" color="rgb(255, 255, 255)" hover_color="rgba(255, 255, 255, 0.5)" fs="13px" i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-forward"][/vc_column][vc_column width="1/2" responsive_align="text-sm-right" css=".vc_custom_1590745091856{margin-bottom: 20px !important;}"][ld_images_group_element img_size="50%" image="394"][/ld_images_group_element][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Footer 35 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Footer 35', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'footer-35.jpg' );
	$data['sort_name'] = 'Footer';
	$data['custom_class'] = 'general footer';
	$data['content'] = <<<CONTENT
CONTENT;
	$templates[] = $data;

	//Footer 36 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Footer 36', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'footer-36.jpg' );
	$data['sort_name'] = 'Footer';
	$data['custom_class'] = 'general footer';
	$data['content'] = <<<CONTENT
	<p>[vc_row content_placement="middle" css=".vc_custom_1603437143068{padding-bottom: 15px !important;}" responsive_css="padding_bottom_small:50px"][vc_column width="2/3" align="text-left" responsive_align="text-center text-sm-left" responsive_css="margin_bottom_small:0px" css=".vc_custom_1603435033996{margin-bottom: 35px !important;}"][ld_fancy_heading tag="h3" transform="text-uppercase" use_custom_fonts_title="true" fs="text_large:88px|text_medium:8vw|text_small:45px" margin="bottom_small:0px" lh="text_small:1em"]Let’s talk[/ld_fancy_heading][ld_spacer height="20px" md_height="32px"][ld_fancy_heading tag="h3" transform="text-uppercase" hover_text_outline="ld-fh-outline" outline_appearance="ld-fh-outline-static" use_custom_fonts_title="true" fs="text_large:88px|text_medium:8vw|text_small:45px" margin="bottom_small:0px" lh="text_small:1em" hover_text_outline_color="rgba(255, 255, 255, 0.33)" hover_text_outline_width="1px"]rob@hub.com[/ld_fancy_heading][/vc_column][vc_column width="1/3" column_top_onmobile="yes" align="text-right" responsive_align="text-center text-sm-right" responsive_css="margin_bottom_small:0px" css=".vc_custom_1608026301410{margin-bottom: 35px !important;}"][ld_button style="btn-default" title="Send me a message" transformation="text-uppercase" link_type="modal_window" shape="circle" size="btn-custom" border="border-thick" hover_txt_effect="btn-hover-txt-liquid-y" enable_row_shadowbox="yes" custom_size="195px" custom_height="195px" color="rgb(255, 255, 255)" hover_color="rgb(255, 255, 255)" htext_color="rgb(0, 0, 0)" fs="17px" lh="20px" el_class="ws-normal" button_box_shadow="%5B%7B%7D%5D" hover_button_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2230px%22%2C%22blur_radius%22%3A%2275px%22%2C%22shadow_color%22%3A%22rgba(255%2C255%2C255%2C0.25)%22%7D%5D" anchor_id="#footer-contact"][/vc_column][/vc_row][vc_row css=".vc_custom_1603437174185{padding-top: 15px !important;}" responsive_css="padding_top_small:50px"][vc_column css=".vc_custom_1588406983333{border-bottom-width: 1px !important;padding-bottom: 20px !important;border-bottom-color: rgba(255,255,255,0.2) !important;border-bottom-style: solid !important;}"][vc_row_inner][vc_column_inner width="1/2" responsive_css="margin_bottom_small:0px" css=".vc_custom_1603435068256{margin-bottom: 35px !important;}" responsive_align="text-center text-sm-left"][ld_custom_menu source="custom" inline="inline-nav" use_custom_fonts_menu="true" items="%5B%7B%22label%22%3A%22Fb%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Tw%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Li%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%5D" spacing="40" fs="16px" lh="1.5em"][/vc_column_inner][vc_column_inner width="1/12" offset="vc_col-xs-1" responsive_align="text-right"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:30px"]✌️[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="5/12" offset="vc_col-xs-11"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px" lh="text_small:1.5em"]<span style="text-decoration: underline;">info@liquid.com</span> Looking for collaboration for your next project? Do not hesitate to contact us to say hello.[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row][vc_column][ld_modal_window modal_type="fullscreen" el_id="footer-contact"][vc_row_inner full_width="" equal_height="yes" content_placement="middle" bg_position="center center" responsive_css="padding_top_medium:80px|padding_bottom_medium:80px" css=".vc_custom_1619445520827{padding-top: 60px !important;padding-bottom: 60px !important;background-image: url(https://shadowpro.liquid-themes.com/wp-content/uploads/2021/04/bg-2@2x-scaled-1.jpeg?id=4848) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" el_class="h-vh-100 align-items-center"][vc_column_inner width="1/2" css=".vc_custom_1615219219533{margin-bottom: 30px !important;}" responsive_css="padding_right_medium:10%25"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_large:122px|text_medium:48px|text_small:34px" fw="text_small:500" color="rgb(0, 0, 0)" lh="text_medium:0.75em|text_small:1em" margin="bottom_small:0.5em"]Send a <span style="font-family: 'DM Serif Text', serif; font-style: italic;">message.</span>[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:2.5em"]We’re here to answer any question you may have.[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/2" responsive_css="padding_top_medium:45px|padding_right_medium:65px|padding_bottom_medium:45px|padding_left_medium:65px" css=".vc_custom_1615219159553{margin-bottom: -130px !important;background-color: #ffffff !important;border-radius: 10px !important;}"][ld_cf7 id="73" shape="lqd-contact-form-inputs-underlined" btn_size="lqd-contact-form-button-lg" btn_width="lqd-contact-form-button-block" use_custom_fonts_input="true" use_custom_fonts_submit="true" fs="13px" submit_fs="17px" color="rgb(0, 0, 0)" h_color="rgb(0, 0, 0)" css=".vc_custom_1619445086683{margin-bottom: 0px !important;}" submit_fw="500" border_color="rgba(0, 0, 0, 0.12)" hover_border_color="rgb(0, 0, 0)" submit_lh="1.5em" bm="13px"][/vc_column_inner][vc_column_inner width="1/4"][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" fs="text_small:13px" fw="text_small:700" ls="text_small:0.1em" margin="bottom_small:1.25em" color="rgb(0, 0, 0)"]careers[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px" lh="text_small:1.18em" margin="bottom_small:0.75em" color="rgb(0, 0, 0)"]Would you like to join our growing team?[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px" lh="text_small:1.18em" fw="text_small:700" color="rgb(0, 0, 0)"]careers@hub.com[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/4"][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" fs="text_small:13px" fw="text_small:700" ls="text_small:0.1em" margin="bottom_small:1.25em" color="rgb(0, 0, 0)"]Feedbacks[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px" lh="text_small:1.18em" margin="bottom_small:0.75em" color="rgb(0, 0, 0)"]Have a project in mind? Send a message.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px" lh="text_small:1.18em" fw="text_small:700" color="rgb(0, 0, 0)"]info@hub.com[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_modal_window][/vc_column][/vc_row]</p>

CONTENT;
	$templates[] = $data;

	//Footer 37 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Footer 37', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'footer-37.jpg' );
	$data['sort_name'] = 'Footer';
	$data['custom_class'] = 'general footer';
	$data['content'] = <<<CONTENT
	[vc_row][vc_column css=".vc_custom_1589892720437{margin-bottom: 35px !important;}"][vc_separator color="custom" accent_color="rgba(255,255,255,0.07)" css=".vc_custom_1589892139011{margin-top: 0px !important;margin-bottom: 0px !important;}"][/vc_column][vc_column offset="vc_col-md-3" css=".vc_custom_1616059436695{margin-bottom: 35px !important;}"][ld_images_group_element image="124" margin="bottom_small:30px"][/ld_images_group_element][ld_simple_heading tag="p" color="rgba(255, 255, 255, 0.5)" margin="bottom_small:2.5em"]Our design services starts and ends with a best-in-class experience.[/ld_simple_heading][ld_social_icons style="" size="social-icon-lg" identities="%5B%7B%22network%22%3A%22fa-facebook-square%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-twitter%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-medium%22%2C%22url%22%3A%22%23%22%7D%5D" font_size="24px" primary_color="rgb(255, 255, 255)" hover_color="rgba(255, 255, 255, 0.7)"][/vc_column][vc_column width="1/2" offset="vc_col-md-4"][vc_row_inner][vc_column_inner width="1/2" css=".vc_custom_1601991594298{margin-bottom: 35px !important;}" offset="vc_col-xs-6"][ld_simple_heading tag="h3" transform="uppercase" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.47)" fs="text_small:13px" fw="text_small:700" margin="bottom_small:1.5em" ls="text_small:0.02em"]Company[/ld_simple_heading][ld_simple_menu use_custom_fonts_menu="true" menu_slug="footer-nav-1" fs="15px" lh="2em" spacing="4"][/vc_column_inner][vc_column_inner width="1/2" css=".vc_custom_1601991614623{margin-bottom: 35px !important;}" offset="vc_col-xs-6"][ld_simple_heading tag="h3" transform="uppercase" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.47)" fs="text_small:12px" fw="text_small:700" margin="bottom_small:1.5em"]Support[/ld_simple_heading][ld_simple_menu use_custom_fonts_menu="true" menu_slug="footer-nav-2" fs="15px" lh="2em" spacing="4"][/vc_column_inner][/vc_row_inner][/vc_column][vc_column width="1/2" offset="vc_col-md-2" css=".vc_custom_1616059430769{margin-bottom: 35px !important;background-image: url(https://modernshop.liquid-themes.com/staging/wp-content/uploads/2020/05/world-map1x.png?id=139) !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}"][ld_simple_heading tag="h3" transform="uppercase" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.47)" fs="text_small:13px" fw="text_small:700" margin="bottom_small:1.5em" ls="text_small:0.02em"]Need help?[/ld_simple_heading][ld_simple_heading tag="p" use_custom_fonts_title="true" color="rgb(127, 125, 125)" fs="text_small:14px" margin="bottom_small:0px"]Toll Free Customer Care[/ld_simple_heading][ld_simple_heading tag="p" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:18px" margin="bottom_small:2em"]+(1) 123 456 7890[/ld_simple_heading][ld_simple_heading tag="p" use_custom_fonts_title="true" color="rgb(127, 125, 125)" fs="text_small:14px" margin="bottom_small:0px"]Need live support?[/ld_simple_heading][ld_simple_heading tag="p" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:18px" margin="bottom_small:0px"]orders@hub.com[/ld_simple_heading][/vc_column][vc_column width="1/2" offset="vc_col-md-3" css=".vc_custom_1589892812689{margin-bottom: 35px !important;}"][ld_simple_heading tag="h3" transform="uppercase" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.47)" fs="text_small:13px" fw="text_small:700" margin="bottom_small:1.5em" ls="text_small:0.02em"]Keep in touch[/ld_simple_heading][ld_newsletter style="solid" inputs_radius="ld-sf--circle" btn_style="solid" btn_display="icon" btn_position="ld-sf--button-inside" btn_eql="yes" btn_shrink="button-shrinked" i_type="linea" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-forward" txt_color="rgba(255, 255, 255, 0.53)" bg_color="rgba(0, 0, 0, 0.2)" btn_txt_color="rgb(255, 255, 255)" placeholder_text="Email address"][/vc_column][/vc_row][vc_row css=".vc_custom_1616783264404{padding-top: 35px !important;padding-bottom: 40px !important;}"][vc_column width="1/2"][ld_simple_menu source="custom" inline="inline-nav" use_custom_fonts_menu="true" items="%5B%7B%22label%22%3A%22English%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Privacy%20Policy%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Contact%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%5D" fs="text_small:14px" spacing="12"][/vc_column][vc_column offset="vc_col-md-6" responsive_align="text-sm-right"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.65)" fs="text_small:14px"]© 2021 Hub Original. All images are for demo purposes.[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Footer 38 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Footer 38', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'footer-38.jpg' );
	$data['sort_name'] = 'Footer';
	$data['custom_class'] = 'general footer';
	$data['content'] = <<<CONTENT
	[vc_row][vc_column][vc_separator color="custom" accent_color="rgba(255, 255, 255, 0.22)" css=".vc_custom_1622101529101{margin-top: 0px !important;margin-bottom: 0px !important;}"][/vc_column][vc_column offset="vc_col-lg-offset-3 vc_col-lg-6 vc_col-md-offset-2 vc_col-md-8" responsive_align="text-center" css=".vc_custom_1622101639249{padding-top: 45px !important;padding-bottom: 45px !important;}"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_small:33px" lh="text_small:1.25em" color="rgb(255, 255, 255)" margin="bottom_small:0.75em"]Schedule a free case evaluation. Or call us at 80 187 12 48[/ld_fancy_heading][ld_button style="btn-solid" title="Schedule Consultation" link_type="modal_window" size="btn-lg" border="border-none" anchor_id="#contact-modal" color="rgb(255, 255, 255)" text_color="rgba(21, 81, 83, 0.85)" hover_color="rgb(14, 40, 41)"][/vc_column][vc_column][vc_separator color="custom" accent_color="rgba(255, 255, 255, 0.22)" css=".vc_custom_1622101529101{margin-top: 0px !important;margin-bottom: 0px !important;}"][/vc_column][/vc_row][vc_row css=".vc_custom_1622102298081{padding-top: 70px !important;}"][vc_column offset="vc_col-md-3" css=".vc_custom_1622102141743{margin-bottom: 30px !important;}"][ld_images_group_element image="11" margin="bottom_small:30px"][/ld_images_group_element][ld_fancy_heading tag="p"]Our design services starts and ends with a best-in-class experience.[/ld_fancy_heading][/vc_column][vc_column width="2/3" offset="vc_col-md-6"][vc_row_inner][vc_column_inner width="1/3" css=".vc_custom_1622102149090{margin-bottom: 30px !important;}"][ld_fancy_heading tag="h3" transform="text-uppercase" use_custom_fonts_title="true" color="rgb(187, 152, 87)" fs="text_small:11px" fw="text_small:600" ls="text_small:0.12em" margin="bottom_small:2em"]SOLICITORS[/ld_fancy_heading][ld_simple_menu menu_slug="footer-nav-1" fs="text_small:15px" lh="text_small:1.5em" spacing="12"][/vc_column_inner][vc_column_inner width="1/3" css=".vc_custom_1622102154434{margin-bottom: 30px !important;}"][ld_fancy_heading tag="h3" transform="text-uppercase" use_custom_fonts_title="true" color="rgb(187, 152, 87)" fs="text_small:11px" fw="text_small:600" ls="text_small:0.12em" margin="bottom_small:2em"]Contact us[/ld_fancy_heading][ld_simple_menu menu_slug="footer-nav-2" fs="text_small:15px" lh="text_small:1.5em" spacing="12"][/vc_column_inner][vc_column_inner width="1/3" css=".vc_custom_1622102160032{margin-bottom: 30px !important;}"][ld_fancy_heading tag="h3" transform="text-uppercase" use_custom_fonts_title="true" color="rgb(187, 152, 87)" fs="text_small:11px" fw="text_small:600" ls="text_small:0.12em" margin="bottom_small:2em"]Contact us[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:14px" margin="bottom_small:1em"]21 Valentin Paterson Road 24, London[/ld_fancy_heading][ld_fancy_heading tag="p" transform="text-uppercase" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.57)" fs="text_small:10px"]Email US DIRECTLY[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:14px" margin="bottom_small:1.5em"]info@liquid.com[/ld_fancy_heading][ld_fancy_heading tag="p" transform="text-uppercase" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.57)" fs="text_small:10px"]CALL US DIRECTLY[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:14px" margin="bottom_small:1.5em"](123) 567 8901[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/vc_column][vc_column width="1/3" offset="vc_col-md-3" css=".vc_custom_1622102165067{margin-bottom: 30px !important;}"][ld_fancy_heading tag="h3" transform="text-uppercase" use_custom_fonts_title="true" color="rgb(187, 152, 87)" fs="text_small:11px" fw="text_small:600" ls="text_small:0.12em" margin="bottom_small:2em"]Keep in touch[/ld_fancy_heading][ld_social_icons style="" size="social-icon-lg" shape="circle" border="social-icon-border-1" identities="%5B%7B%22network%22%3A%22fa-linkedin%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-twitter%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-instagram%22%2C%22url%22%3A%22%23%22%7D%5D" font_size="17px" custom_size="47px" primary_color="rgb(255, 255, 255)" hbg_color="rgb(14, 40, 41)" border_color="rgba(151, 151, 151, 0.15)" hborder_color="rgb(14, 40, 41)" bg_color="rgba(255, 255, 255, 0)"][/vc_column][vc_column][vc_separator color="custom" accent_color="rgba(255, 255, 255, 0.22)" css=".vc_custom_1622101529101{margin-top: 0px !important;margin-bottom: 0px !important;}"][/vc_column][/vc_row][vc_row css=".vc_custom_1622103032844{padding-top: 35px !important;}"][vc_column width="1/2" css=".vc_custom_1622102194600{margin-bottom: 20px !important;}"][ld_simple_menu source="custom" inline="inline-nav" items="%5B%7B%22label%22%3A%22Privacy%20Policy%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Our%20History%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22What%20We%20Do%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%5D" fs="text_small:12px" color="rgb(255, 255, 255)" spacing="10"][/vc_column][vc_column width="1/2" css=".vc_custom_1622102205387{margin-bottom: 20px !important;}" responsive_align="text-sm-right"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:14px"]© 2021 Hub Solicitor. All images are for demo purposes.[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Footer 39 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Footer 39', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'footer-39.jpg' );
	$data['sort_name'] = 'Footer';
	$data['custom_class'] = 'general footer';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" css=".vc_custom_1621955400256{padding-bottom: 10px !important;}"][vc_column offset="vc_col-md-3" css=".vc_custom_1621954604227{margin-bottom: 30px !important;}"][ld_images_group_element image="4495"][/ld_images_group_element][/vc_column][vc_column offset="vc_col-lg-4 vc_col-md-3 vc_hidden-sm vc_hidden-xs" responsive_align="text-md-right" css=".vc_custom_1621954716431{margin-bottom: 20px !important;}"][ld_images_group_element image="4490"][/ld_images_group_element][/vc_column][vc_column offset="vc_col-lg-5 vc_col-md-6" css=".vc_custom_1621954622553{margin-bottom: 30px !important;}"][ld_newsletter use_opt_in="yes" style="solid" inputs_radius="ld-sf--circle" inputs_border="ld-sf--border-none" btn_style="solid" btn_label="Send" btn_position="ld-sf--button-inside" btn_shrink="button-shrinked" use_custom_fonts_input="true" placeholder_text="Enter your email address" fs="15px" txt_color="rgb(170, 170, 170)" bg_color="rgb(255, 255, 255)" btn_txt_color="rgb(255, 255, 255)" btn_bg_color="rgb(33, 49, 61)" margin="bottom_small:0px"][/vc_column][/vc_row][vc_row css=".vc_custom_1621954632659{padding-top: 30px !important;padding-bottom: 5px !important;}"][vc_column offset="vc_col-lg-3"][ld_icon_box i_type="fontawesome" heading_size="custom" position="iconbox-side" items_alignment="align-items-center" i_icon_fontawesome="fas fa-phone-alt" title="Monday-Friday: 08am-9pm" title_mb="1" custom_heading_size="14px" icon_size="24px" i_color="rgb(255, 255, 255)" h_color="rgba(255, 255, 255, 0.5)" css=".vc_custom_1621953790281{margin-bottom: 40px !important;}"]<span style="color: #ffffff; font-size: 18px;">+(1) 123 456 7890</span>[/ld_icon_box][ld_icon_box i_type="fontawesome" heading_size="custom" position="iconbox-side" items_alignment="align-items-center" i_icon_fontawesome="far fa-envelope-open" title="Want to enroll for 2022?" title_mb="1" custom_heading_size="14px" icon_size="24px" i_color="rgb(255, 255, 255)" h_color="rgba(255, 255, 255, 0.5)" css=".vc_custom_1621953842470{margin-bottom: 40px !important;}"]<span style="color: #ffffff; font-size: 18px;">education@liquid.com</span>[/ld_icon_box][/vc_column][vc_column offset="vc_col-lg-offset-1 vc_col-lg-5 vc_col-md-8"][vc_row_inner][vc_column_inner width="1/3" css=".vc_custom_1621954697801{margin-bottom: 30px !important;}" offset="vc_col-xs-6"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:18px" margin="bottom_small:2.25em"]About[/ld_fancy_heading][ld_simple_menu menu_slug="footer-nav-1" fs="text_small:14px" lh="text_small:1.5em" spacing="20"][/vc_column_inner][vc_column_inner width="1/3" css=".vc_custom_1621954705187{margin-bottom: 30px !important;}" offset="vc_col-xs-6"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:18px" margin="bottom_small:2.25em"]Kindergarten[/ld_fancy_heading][ld_simple_menu menu_slug="footer-nav-2" fs="text_small:14px" lh="text_small:1.5em" spacing="20"][/vc_column_inner][vc_column_inner width="1/3" css=".vc_custom_1621954710858{margin-bottom: 30px !important;}" offset="vc_col-xs-6"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:18px" margin="bottom_small:2.25em"]Site Links[/ld_fancy_heading][ld_simple_menu menu_slug="footer-nav-3" fs="text_small:14px" lh="text_small:1.5em" spacing="20"][/vc_column_inner][/vc_row_inner][/vc_column][vc_column offset="vc_col-lg-3 vc_col-md-4"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:18px" margin="bottom_small:2.25em"]Site Links[/ld_fancy_heading][ld_social_icons style="" size="social-icon-lg" shape="circle" identities="%5B%7B%22network%22%3A%22fa-instagram%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-twitter%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-facebook-square%22%2C%22url%22%3A%22%23%22%7D%5D" font_size="26px" custom_size="60px" primary_color="rgb(255, 255, 255)" bg_color="rgba(0, 0, 0, 0.25)"][/vc_column][/vc_row][vc_row css=".vc_custom_1621954494469{padding-top: 35px !important;}"][vc_column][vc_separator color="custom" accent_color="rgba(255, 255, 255, 0.15)" css=".vc_custom_1621954457142{margin-bottom: 35px !important;}"][/vc_column][vc_column width="1/3" css=".vc_custom_1621954657277{margin-bottom: 20px !important;}"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:14px" margin="bottom_small:0px"]© Hub Edusation.[/ld_fancy_heading][/vc_column][vc_column width="2/3" responsive_align="text-sm-right" css=".vc_custom_1621954663258{margin-bottom: 20px !important;}"][ld_simple_menu inline="inline-nav" menu_slug="footer-nav-4" fs="text_small:14px" lh="text_small:1.5em" spacing="20"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Footer 40 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Footer 40', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'footer-40.jpg' );
	$data['sort_name'] = 'Footer';
	$data['custom_class'] = 'general footer';
	$data['content'] = <<<CONTENT
	<p>[vc_row equal_height="yes" content_placement="middle" responsive_css="padding_top_large:150px|padding_right_large:12vw|padding_bottom_large:150px|padding_left_large:12vw|padding_right_medium:7vw|padding_left_medium:7vw" css=".vc_custom_1596209591933{padding-top: 100px !important;padding-bottom: 100px !important;}"][vc_column offset="vc_col-md-6"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px" lh="text_small:1.5em"]info@liquid.com Looking for collaboration for your next project? Do not hesitate to contact us to say hello.[/ld_fancy_heading][/vc_column][vc_column][ld_spacer height="50px"][/vc_column][vc_column offset="vc_col-md-5"][ld_button style="btn-naked" title="Let's Chat" fs="clamp(60px, 8vw, 70px)" fw="700" text_color="rgb(31, 31, 31)"][/vc_column][vc_column align="text-right" offset="vc_col-md-offset-1 vc_col-md-6" responsive_align="text-md-right"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_large:3vw|text_small:35px" margin="top_large:0px|bottom_large:0px|top_small:20px"]maria@hub.com[/ld_fancy_heading][/vc_column][vc_column][ld_spacer height="50px" md_height="80px"][/vc_column][vc_column offset="vc_col-md-6" responsive_css="margin_bottom_medium:0px" css=".vc_custom_1603283956694{margin-bottom: 45px !important;}"][vc_row_inner][vc_column_inner width="1/2" responsive_css="margin_bottom_small:0px" css=".vc_custom_1603284048364{margin-bottom: 20px !important;}"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:15px" margin="bottom_small:0px"]Project Offers[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:21px" margin="bottom_small:0px" fw="text_small:700"]info.liquid.com[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/2"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:15px" margin="bottom_small:0px"]Say hello[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:21px" margin="bottom_small:0px" fw="text_small:700"]+ 1 223 38 87[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/vc_column][vc_column offset="vc_col-md-6" responsive_align="text-md-right"][ld_custom_menu source="custom" inline="inline-nav" use_custom_fonts_menu="true" items="%5B%7B%22label%22%3A%22Fb.%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Tw.%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Li%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%5D" spacing="45" fs="16px" color="rgb(255, 255, 255)" hcolor="rgba(255, 255, 255, 0.6)"][/vc_column][/vc_row]</p>
CONTENT;
	$templates[] = $data;

	//Category Header
	//Header 1
	$data = array();
	$data['name'] = esc_html__( 'Header 01', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'header-1.jpg' );
	$data['sort_name'] = 'Header';
	$data['custom_class'] = 'general header';
	$data['content'] = <<<CONTENT
	[vc_row header_full_width="yes" header_type="secondarybar" css=".vc_custom_1612884343896{padding-right: 30px !important;padding-left: 30px !important;}"][vc_column width="1/3"][ld_header_image padding_top="30" padding_right="0" padding_bottom="30" padding_left="0" sticky_padding_top="30" sticky_padding_right="0" sticky_padding_bottom="30" sticky_padding_left="0"][/vc_column][vc_column width="1/3" align="text-center" responsive_align="text-center"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:12px"]<span style="font-size: 18px;">👋</span>   Sign up and receive 20% bonus discount on checkout.[/ld_fancy_heading][/vc_column][vc_column width="1/3" align="text-right" responsive_align="text-right"][ld_header_button ib_style="btn-naked" ib_title="Login" ib_color="rgb(255, 255, 255)" ib_hover_color="rgba(255, 255, 255, 0.7)" ib_fs="14px"][ld_header_button ib_style="btn-solid" ib_title="Get the App" ib_transformation="text-uppercase" ib_shape="circle" ib_size="btn-xsm" ib_border="border-none" ib_color="rgb(38, 38, 43)" ib_text_color="rgb(255, 255, 255)" ib_fs="13px" ib_lh="1.25em" ib_css=".vc_custom_1611919769072{padding-right: 0.5em !important;padding-left: 0.5em !important;}" ib_ls="0.01em" ib_fw="700"][/vc_column][/vc_row][vc_row sticky_bar="yes" stickybar_placement="lqd-stickybar-left"][vc_column align="text-center" responsive_align="text-center"][ld_header_button ib_style="btn-naked" ib_title="See How It Works" ib_link_type="lightbox" ib_i_type="linea" ib_i_position="left" ib_i_hover_reveal="btn-hover-swp" ib_i_add_icon="true" ib_link="url:https%3A%2F%2Fwww.youtube.com%2Fwatch%3Fv%3D2sXooi_y-MI%26ab_channel%3DApple|||" ib_i_icon_linea="lqd-icn-ess icon-ion-ios-play" ib_color="rgb(255, 255, 255)" ib_i_color="rgb(94, 85, 255)" ib_hover_color="rgb(255, 255, 255)" ib_fs="13px"][/vc_column][/vc_row][vc_row sticky_bar="yes" stickybar_placement="lqd-stickybar-right"][vc_column align="text-center" responsive_align="text-center"][ld_header_scroll_indicator primary_color="rgb(255, 255, 255)" bar_color="rgba(255, 255, 255, 0.3)"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Header 2
	$data = array();
	$data['name'] = esc_html__( 'Header 02', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'header-2.jpg' );
	$data['sort_name'] = 'Header';
	$data['custom_class'] = 'general header';
	$data['content'] = <<<CONTENT
	[vc_row][vc_column width="1/3" responsive_align="text-lg-right"][ld_header_menu hover_style="underline-1" align_items="end" padding_top="10" padding_right="25" padding_bottom="10" padding_left="25" transform="uppercase" use_custom_fonts_menu="true" local_scroll="true" menu_slug="primary" fs="10px" ls="0.12em" link_color="rgba(255, 255, 255, 0.75)" link_hcolor="rgb(255, 255, 255)" fw="700" color="rgb(255, 255, 255)"][/vc_column][vc_column header_col_width="col-auto" width="1/3" align="text-center" responsive_align="text-center"][ld_header_image alignment="justify-content-lg-center" padding_top="30" padding_right="100" padding_bottom="30" padding_left="100"][/vc_column][vc_column width="1/3" responsive_align="text-lg-left"][ld_header_menu hover_style="underline-1" align_items="start" padding_top="10" padding_right="25" padding_bottom="10" padding_left="25" transform="uppercase" use_custom_fonts_menu="true" local_scroll="true" menu_slug="primary-right" fs="10px" ls="0.12em" link_color="rgba(255, 255, 255, 0.75)" link_hcolor="rgb(255, 255, 255)" fw="700" color="rgb(255, 255, 255)"][ld_header_cart enable_offcanvas="yes" i_type="linea" primary_color="rgb(255, 255, 255)" i_icon_linea="lqd-icn-ess icon-ld-cart"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Header 3
	$data = array();
	$data['name'] = esc_html__( 'Header 03', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'header-3.jpg' );
	$data['sort_name'] = 'Header';
	$data['custom_class'] = 'general header';
	$data['content'] = <<<CONTENT
	[vc_row header_full_width="yes" css=".vc_custom_1575541587373{padding-right: 50px !important;padding-left: 50px !important;}"][vc_column width="1/3"][ld_header_image padding_top="30" padding_right="0" padding_bottom="30" padding_left="0" sticky_padding_top="30" sticky_padding_right="0" sticky_padding_bottom="30" sticky_padding_left="0"][/vc_column][vc_column width="1/3"][ld_header_menu hover_style="underline-1" padding_top="0" padding_right="20" padding_bottom="10" padding_left="20" ddmenu_hover_style="lqd-submenu-default-style" transform="uppercase" use_custom_fonts_menu="true" local_scroll="true" menu_slug="primary" ls="0.15em" link_color="rgba(255, 255, 255, 0.7)" link_hcolor="rgb(255, 255, 255)" color="rgb(255, 255, 255)"][/vc_column][vc_column width="1/3" align="text-right" responsive_align="text-lg-right"][ld_header_social_icons style="" size="social-icon-lg" visibility="faded" identities="%5B%7B%22network%22%3A%22fa-spotify%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-soundcloud%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-twitter%22%2C%22url%22%3A%22%23%22%7D%5D" font_size="23px" primary_color="rgba(255, 255, 255, 0.5)" hover_color="rgb(255, 255, 255)"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Header 4
	$data = array();
	$data['name'] = esc_html__( 'Header 04', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'header-4.jpg' );
	$data['sort_name'] = 'Header';
	$data['custom_class'] = 'general header';
	$data['content'] = <<<CONTENT
	[vc_row header_full_width="yes" hide_on_sticky="lqd-hide-onstuck" header_type="secondarybar" css=".vc_custom_1588931754807{padding-top: 1vw !important;padding-right: 2vw !important;padding-left: 2vw !important;}"][vc_column width="1/3"][ld_header_iconbox i_type="fontawesome" heading_size="custom" i_size="custom" title="invest@liquid.com" custom_heading_size="14px" custom_i_size="16px" i_color="rgb(255, 255, 255)" h_color="rgb(255, 255, 255)" i_icon_fontawesome="far fa-envelope-open"][/ld_header_iconbox][ld_header_iconbox i_type="fontawesome" heading_size="custom" i_size="custom" title="14th Street, Soho" custom_heading_size="14px" custom_i_size="16px" i_color="rgb(255, 255, 255)" h_color="rgb(255, 255, 255)" i_icon_fontawesome="far fa-map"][/ld_header_iconbox][/vc_column][vc_column width="1/3"][/vc_column][vc_column width="1/3" align="text-right" responsive_align="text-right"][ld_header_dropdown i_type="linea" source="custom" use_custom_fonts_trigger="true" use_custom_fonts_menu="true" trigger_label="🇺🇸 English" items="%5B%7B%22label%22%3A%22French%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22label%22%3A%22Spanish%22%2C%22url%22%3A%22%23%22%7D%5D" fs="14px" trigger_color="rgb(255, 255, 255)" color="rgb(0, 0, 0)" hcolor="rgb(29, 29, 29)" trigger_fs="15px" i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-down"][ld_header_custom_menu cm_source="custom" cm_inline="inline-nav" cm_use_custom_fonts_menu="true" cm_items="%5B%7B%22label%22%3A%22Contact%20us%22%2C%22url%22%3A%22%23%22%7D%5D" cm_fs="15px" cm_color="rgb(255, 255, 255)"][ld_header_search style="slide-top" show_on_mobile="lqd-show-on-mobile" i_type="fontawesome" primary_color="rgb(255, 255, 255)" fs="20px" i_icon_fontawesome="fas fa-search" i_size="14px"][/vc_column][/vc_row][vc_row header_full_width="yes" css=".vc_custom_1588931748059{padding-right: 2vw !important;padding-left: 2vw !important;}"][vc_column header_col_width="col-auto" width="1/3"][ld_header_image padding_top="0" padding_right="0" padding_bottom="0" padding_left="0" sticky_padding_top="30" sticky_padding_right="0" sticky_padding_bottom="30" sticky_padding_left="0"][/vc_column][vc_column width="1/3"][/vc_column][vc_column width="1/3" align="text-right" responsive_align="text-lg-right"][ld_header_menu hover_style="fade-inactive" align_items="end" padding_top="30" padding_right="15" padding_bottom="10" padding_left="15" use_theme_fonts="" menu_font="font_family:Montserrat%3Aregular%2C700|font_style:700%20bold%20regular%3A700%3Anormal" use_custom_fonts_menu="true" menu_slug="primary" link_color="rgb(255, 255, 255)" link_hcolor="rgb(237, 209, 82)" fs="14px" fw="700"][ld_header_text]</p> <h6><span style="color: #ffffff; font-size: 13px; font-family: montserrat, sans-serif;">call us now</span><br /> <span style="color: var(--color-primary); font-size: 16px; font-family: montserrat, sans-serif;">+1 714 7788</span></h6> <p>[/ld_header_text][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Header 5
	$data = array();
	$data['name'] = esc_html__( 'Header 05', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'header-5.jpg' );
	$data['sort_name'] = 'Header';
	$data['custom_class'] = 'general header';
	$data['content'] = <<<CONTENT
	[vc_row header_full_width="yes" bg_position="center bottom" css=".vc_custom_1596468672339{padding-right: 25px !important;padding-left: 25px !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}"][vc_column width="1/3"][ld_header_image][/vc_column][vc_column width="1/3"][/vc_column][vc_column width="1/3" align="text-right" responsive_align="text-lg-right"][ld_header_menu hover_style="default" visible="navbar-visible-ontoggle" padding_top="10" padding_right="15" padding_bottom="10" padding_left="15" use_custom_fonts_menu="true" menu_slug="primary" link_color="rgb(255, 255, 255)" link_hcolor="rgba(255, 255, 255, 0.6)" fs="14px"][ld_header_cart enable_offcanvas="yes" show_icon="lqd-module-hide-icon" counter_style="lqd-module-badge-outline" i_type="linea" icon_text="Cart" i_icon_linea="lqd-icn-ess icon-md-arrow-back"][ld_header_trigger style="style-2" position="txt-left" trigger_fill="solid" trigger_shape="circle" text="Menu" trigger_color_hover="rgb(255, 255, 255)" trigger_text_color_hover="rgb(0, 0, 0)" shape_color="rgba(255, 255, 255, 0)" shape_hover_color="rgb(0, 0, 0)" sticky_dark_trigger_color_hover="rgb(0, 0, 0)" sticky_dark_trigger_text_color_hover="rgb(255, 255, 255)" sticky_dark_shape_hover_color="rgb(255, 255, 255)" sticky_light_trigger_color_hover="rgb(255, 255, 255)" sticky_light_shape_hover_color="rgb(0, 0, 0)"][/vc_column][/vc_row][vc_row sticky_bar="yes" stickybar_placement="lqd-stickybar-left"][vc_column align="text-center" responsive_align="text-center"][ld_header_custom_menu cm_source="custom" cm_inline="inline-nav" cm_use_custom_fonts_menu="true" cm_items="%5B%7B%22label%22%3A%22Follow%20us%20%E2%80%94%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Fb.%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Ig.%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Pt.%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%5D" cm_spacing="10" cm_fs="14px" cm_color="rgb(255, 255, 255)" cm_hcolor="rgba(255, 255, 255, 0.7)"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Header 6
	$data = array();
	$data['name'] = esc_html__( 'Header 06', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'header-6.jpg' );
	$data['sort_name'] = 'Header';
	$data['custom_class'] = 'general header';
	$data['content'] = <<<CONTENT
	[vc_row header_full_width="yes" css=".vc_custom_1595840004826{padding-top: 10px !important;padding-right: 35px !important;padding-left: 35px !important;}"][vc_column width="1/3"][ld_header_image][/vc_column][vc_column width="1/3"][/vc_column][vc_column width="1/3" align="text-right" responsive_align="text-lg-right"][ld_header_menu hover_style="default" visible="navbar-visible-ontoggle" align_items="start" padding_top="10" padding_right="15" padding_bottom="10" padding_left="15" ddmenu_hover_style="lqd-submenu-default-style" local_scroll="true" menu_slug="primary" link_color="rgb(8, 57, 75)" link_hcolor="rgb(0, 0, 0)"][ld_header_button ib_style="btn-solid" ib_title="Join Hub" ib_shape="circle" ib_size="btn-xsm" ib_i_type="linea" ib_i_add_icon="true" ib_color="rgb(237, 242, 246)" ib_i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-forward" ib_css=".vc_custom_1595778842901{padding-right: 1em !important;padding-left: 1em !important;}" ib_text_color="rgb(0, 0, 0)" sticky_text_color="rgb(0, 0, 0)" sticky_light_text_color="rgb(0, 0, 0)" sticky_dark_text_color="rgb(0, 0, 0)" sticky_light_htext_color="rgb(255, 255, 255)" sticky_dark_htext_color="rgb(255, 255, 255)"][ld_header_trigger style="style-2" trigger_fill="solid" trigger_shape="circle" sticky_dark_trigger_color="rgb(0, 0, 0)"][/vc_column][/vc_row]
CONTENT;

	//Header 7 - Sticky Blog Header
	$data = array();
	$data['name'] = esc_html__( 'Header 07', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'header-7.jpg' );
	$data['sort_name'] = 'Header';
	$data['custom_class'] = 'general header';
	$data['content'] = <<<CONTENT
	[vc_row sticky_bar="yes" stickybar_placement="lqd-stickybar-left" css=".vc_custom_1603711298723{background-color: #0d0d0d !important;}"][vc_column width="1/3"][ld_header_image][/vc_column][vc_column width="1/3" responsive_align="text-center"][ld_header_sidedrawer drawer_pos="ld-module-sd-left" trigger_style="style-3" drawer_width="400px" label="Menu" trigger_color="rgb(255, 255, 255)" trigger_text_color="rgb(255, 255, 255)"][ld_header_menu hover_style="default" padding_top="4" padding_right="0" padding_bottom="4" padding_left="0" use_custom_fonts_menu="true" menu_slug="primary" link_color="rgb(0, 0, 0)" link_hcolor="rgba(0, 0, 0, 0.65)" fs="34px" lh="1.5em"][ld_header_button ib_style="btn-solid" ib_title="Subscribe" ib_shape="round" ib_size="btn-sm" ib_width="btn-block" ib_css=".vc_custom_1612342504835{padding-top: 0.05em !important;padding-bottom: 0.05em !important;}" ib_color="rgb(31, 31, 31)"][/ld_header_sidedrawer][/vc_column][vc_column width="1/3" responsive_align="text-right"][ld_header_custom_menu cm_source="custom" cm_inline="inline-nav" cm_items="%5B%7B%22label%22%3A%22Follow%20me%20%E2%80%94%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Fb.%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Ig.%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%5D" cm_spacing="7" cm_color="rgb(255, 255, 255)" cm_hcolor="rgba(255, 255, 255, 0.65)"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Header 8 - Startup
	$data = array();
	$data['name'] = esc_html__( 'Header 08', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'header-8.jpg' );
	$data['sort_name'] = 'Header';
	$data['custom_class'] = 'general header';
	$data['content'] = <<<CONTENT
	[vc_row header_full_width="yes" css=".vc_custom_1615383231064{padding-right: 3% !important;padding-left: 5px !important;}"][vc_column width="1/3"][ld_header_sidedrawer drawer_pos="ld-module-sd-left" trigger_style="style-2" justify_content="justify-content-between" drawer_width="" trigger_color="rgb(0, 0, 0)" sticky_trigger_color="rgb(0, 0, 0)"][vc_row_inner][vc_column_inner][ld_header_image padding_top="30" padding_right="0" padding_bottom="30" padding_left="0" sticky_padding_top="20" sticky_padding_right="0" sticky_padding_bottom="20" sticky_padding_left="0"][/vc_column_inner][/vc_row_inner][vc_row_inner][vc_column_inner][ld_header_custom_menu cm_use_custom_fonts_menu="true" cm_spacing="15" cm_fs="3vmin" cm_color="rgb(0, 0, 0)" cm_hcolor="rgb(241, 60, 70)" cm_lh="1.5em" cm_menu_slug="footer-nav-1"][/vc_column_inner][/vc_row_inner][vc_row_inner][vc_column_inner][ld_header_social_icons style="" size="social-icon-lg" identities="%5B%7B%22network%22%3A%22fa-facebook-square%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-twitter%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-instagram%22%2C%22url%22%3A%22%23%22%7D%5D" primary_color="rgb(69, 65, 105)"][/vc_column_inner][/vc_row_inner][/ld_header_sidedrawer][ld_header_image padding_top="30" padding_right="0" padding_bottom="30" padding_left="0" sticky_padding_top="20" sticky_padding_right="0" sticky_padding_bottom="20" sticky_padding_left="0"][/vc_column][vc_column width="1/3" align="text-center" responsive_align="text-center"][ld_header_menu hover_style="default" padding_top="10" padding_right="38" padding_bottom="10" padding_left="38" ddmenu_hover_style="lqd-submenu-cover" use_custom_fonts_menu="true" local_scroll="true" menu_slug="primary" fs="16px" lh="1.5em" link_hcolor="rgb(91, 36, 242)" link_color="rgb(45, 45, 48)" ls="0.02em"][/vc_column][vc_column width="1/3" align="text-right" responsive_align="text-lg-right"][ld_header_button ib_style="btn-solid" ib_title="Get Started" ib_shape="round" ib_border="border-none" ib_hover_txt_effect="btn-hover-txt-liquid-x-alt" ib_i_type="linea" ib_i_hover_reveal="btn-hover-reveal" ib_enable_row_shadowbox="yes" ib_i_add_icon="true" ib_fs="15px" ib_lh="1.1em" ib_button_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%228px%22%2C%22blur_radius%22%3A%2250px%22%2C%22shadow_color%22%3A%22rgba(132%2C92%2C255%2C0.21)%22%7D%5D" ib_hover_button_box_shadow="%5B%7B%7D%5D" ib_css=".vc_custom_1595693183854{margin-left: 15px !important;}" ib_fw="600" ib_i_icon_linea="lqd-icn-ess icon-md-arrow-forward" sticky_htext_color="rgb(255, 255, 255)" sticky_text_color="rgb(255, 255, 255)"][/vc_column][/vc_row][vc_row sticky_bar="yes" stickybar_placement="lqd-stickybar-left" header_type="secondarybar" css=".vc_custom_1596194002858{padding-top: 0px !important;}"][vc_column width="1/3" align="text-left" responsive_align="text-left"][/vc_column][vc_column width="1/3" align="text-center" responsive_align="text-center"][ld_header_custom_menu cm_source="custom" cm_inline="inline-nav" cm_use_custom_fonts_menu="true" cm_items="%5B%7B%22label%22%3A%22En.%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22fr.%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Ge.%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%5D" cm_spacing="13" cm_fs="18px" cm_color="rgb(0, 0, 0)" cm_hcolor="rgba(0, 0, 0, 0.8)"][/vc_column][vc_column width="1/3"][/vc_column][/vc_row][vc_row sticky_bar="yes" stickybar_placement="lqd-stickybar-right"][vc_column width="1/3" align="text-right" responsive_align="text-right"][/vc_column][vc_column width="1/3" align="text-center" responsive_align="text-center"][ld_header_scroll_indicator primary_color="rgb(0, 0, 0)" bar_color="rgba(0, 0, 0, 0.3)" indicator_color="rgb(0, 0, 0)"][/vc_column][vc_column width="1/3"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Header 9 - newsletter
	$data = array();
	$data['name'] = esc_html__( 'Header 09', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'header-9.jpg' );
	$data['sort_name'] = 'Header';
	$data['custom_class'] = 'general header';
	$data['content'] = <<<CONTENT
	[vc_row hide_on_sticky="lqd-hide-onstuck" enable_gradient="yes" header_type="secondarybar" gradient_bg="linear-gradient(267deg, rgb(249, 211, 183) 2.229299363057325%, rgb(255, 142, 175) 100%)"][vc_column align="text-center" responsive_align="text-center"][ld_header_text]</p> <p style="text-align: center;"><span style="color: #000;"><a style="color: #000;" href="#"><span style="font-size: 14px;">👋 Sign up and receive 20% bonus discount on checkout.</span></a></span></p> <p>[/ld_header_text][/vc_column][/vc_row][vc_row header_full_width="yes" css=".vc_custom_1573132259398{padding-right: 80px !important;padding-left: 80px !important;}"][vc_column width="1/3"][ld_header_menu hover_style="underline-1" align_items="start" padding_top="10" padding_right="33" padding_bottom="10" padding_left="33" ddmenu_hover_style="lqd-submenu-cover" use_custom_fonts_menu="true" local_scroll="true" use_custom_fonts_ddmenu="true" menu_slug="primary-left" fs="15px" link_color="rgb(0, 0, 0)" link_hcolor="rgba(54, 94, 223, 0.85)" dd_fs="15px"][/vc_column][vc_column width="1/3" align="text-center" responsive_align="text-center"][ld_header_image alignment="justify-content-lg-center" padding_top="30" padding_right="0" padding_bottom="30" padding_left="0" sticky_padding_top="20" sticky_padding_right="0" sticky_padding_bottom="20" sticky_padding_left="0"][/vc_column][vc_column width="1/3" align="text-right" responsive_align="text-lg-right"][ld_header_menu hover_style="underline-1" align_items="end" padding_top="10" padding_right="33" padding_bottom="10" padding_left="33" ddmenu_hover_style="lqd-submenu-default-style" use_custom_fonts_menu="true" local_scroll="true" menu_slug="primary-right" fs="15px" link_color="rgb(0, 0, 0)" link_hcolor="rgb(54, 94, 223)"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Header 10 - gridportfolio
	$data = array();
	$data['name'] = esc_html__( 'Header 10', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'header-10.jpg' );
	$data['sort_name'] = 'Header';
	$data['custom_class'] = 'general header';
	$data['content'] = <<<CONTENT
	[vc_row header_full_width="yes" css=".vc_custom_1588755610834{padding-top: 40px !important;padding-right: 30px !important;padding-left: 30px !important;}"][vc_column width="1/3"][ld_header_image][/vc_column][vc_column width="1/3"][/vc_column][vc_column width="1/3" align="text-right" responsive_align="text-lg-right"][ld_header_sidedrawer trigger_type="click" trigger_txt_position="txt-left" trigger_style="style-2" trigger_fill="solid" trigger_shape="circle" justify_content="justify-content-between" drawer_width="880px" label="Menu" trigger_color_hover="rgb(255, 255, 255)" shape_color="rgba(255, 255, 255, 0)" shape_hover_color="rgb(0, 0, 0)" shape_active_color="rgb(0, 0, 0)" sticky_light_trigger_color_hover="rgb(255, 255, 255)" sticky_light_trigger_text_color_hover="rgb(0, 0, 0)"][vc_row_inner][vc_column_inner][/vc_column_inner][/vc_row_inner][vc_row_inner css=".vc_custom_1603890249387{padding-right: 4vw !important;padding-left: 4vw !important;}"][vc_column_inner width="1/3"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgba(0, 0, 0, 0.3)" fs="text_small:16px" margin="bottom_small:60px"]Social[/ld_fancy_heading][ld_header_custom_menu cm_source="custom" cm_magnetic_items="true" cm_use_custom_fonts_menu="true" cm_items="%5B%7B%22label%22%3A%22Facebook%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Behance%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Dribbble%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Instagram%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Youtube%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%5D" cm_spacing="15" cm_fs="16px" cm_lh="2.25em" cm_color="rgb(0, 0, 0)" cm_hcolor="rgba(0, 0, 0, 0.6)"][/vc_column_inner][vc_column_inner width="2/3" css=".vc_custom_1603890241311{padding-left: 3.5vw !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgba(0, 0, 0, 0.3)" fs="text_small:16px" margin="bottom_small:60px"]Menu[/ld_fancy_heading][ld_header_menu hover_style="fade-inactive" padding_top="0" padding_right="0" padding_bottom="30" padding_left="0" ddmenu_hover_style="lqd-submenu-default-style" use_custom_fonts_menu="true" local_scroll="true" menu_slug="primary" fs="60px" lh="1em" link_color="rgb(0, 0, 0)"][/vc_column_inner][/vc_row_inner][vc_row_inner css=".vc_custom_1603890263504{padding-top: 7vh !important;padding-right: 4vw !important;padding-left: 4vw !important;}"][vc_column_inner][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgba(0, 0, 0, 0.3)" fs="text_small:16px" margin="bottom_small:0px"]Get in touch[/ld_fancy_heading][ld_header_button ib_style="btn-underlined" ib_title="info@liquid.com" ib_color="rgb(0, 0, 0)" ib_b_color="rgba(0, 0, 0, 0.3)" ib_hover_color="rgb(0, 0, 0)" ib_fs="20px" ib_lh="1em"][/vc_column_inner][/vc_row_inner][/ld_header_sidedrawer][/vc_column][/vc_row][vc_row sticky_bar="yes" stickybar_placement="lqd-stickybar-right" header_type="secondarybar"][vc_column width="1/3"][/vc_column][vc_column width="1/3" align="text-center" responsive_align="text-center"][ld_header_scroll_indicator][/vc_column][vc_column width="1/3"][/vc_column][/vc_row][vc_row sticky_bar="yes" stickybar_placement="lqd-stickybar-left" header_type="secondarybar"][vc_column width="1/3"][/vc_column][vc_column width="1/3" align="text-center" responsive_align="text-center"][ld_header_fullproj trigger_fill="fill-none" transform="capitalize" use_custom_fonts_title="true" identities="%5B%7B%22media_type%22%3A%22image%22%2C%22image%22%3A%224156%22%2C%22text%22%3A%22Nexa%22%2C%22subtitle%22%3A%22Mobile%20Application%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22media_type%22%3A%22image%22%2C%22image%22%3A%224158%22%2C%22text%22%3A%22S%20Klasse%22%2C%22subtitle%22%3A%22Digital%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22media_type%22%3A%22image%22%2C%22image%22%3A%224157%22%2C%22text%22%3A%22Nike%22%2C%22subtitle%22%3A%22UI%20Design%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22media_type%22%3A%22image%22%2C%22image%22%3A%224155%22%2C%22text%22%3A%22Vision%22%2C%22subtitle%22%3A%22Magazine%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22media_type%22%3A%22image%22%2C%22image%22%3A%224528%22%2C%22text%22%3A%22Kontrast%22%2C%22subtitle%22%3A%22Architecture%22%2C%22url%22%3A%22%23%22%7D%5D" fs="clamp(45px, 6vw, 150px)" fw="500" color="rgba(255, 255, 255, 0.76)" hover_color="rgb(255, 255, 255)" shape_color="rgb(236, 236, 236)" shape_hover_color="rgb(24, 24, 24)" shape_active_color="rgb(42, 42, 42)"][/vc_column][vc_column width="1/3"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Header 11 - classic
	$data = array();
	$data['name'] = esc_html__( 'Header 11', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'header-11.jpg' );
	$data['sort_name'] = 'Header';
	$data['custom_class'] = 'general header';
	$data['content'] = <<<CONTENT
	[vc_row hide_on_sticky="lqd-hide-onstuck" header_type="secondarybar" css=".vc_custom_1603114620930{border-bottom-width: 1px !important;padding-top: 0px !important;padding-bottom: 0px !important;background-color: rgba(255,255,255,0.93) !important;*background-color: rgb(255,255,255) !important;border-bottom-color: #eeeeee !important;border-bottom-style: solid !important;}"][vc_column width="1/2"][ld_header_iconbox i_type="fontawesome" heading_size="custom" i_size="custom" title="Phone: `{`ld_span color=``#000```}`+47 5941 295`{`/ld_span`}`" custom_heading_size="13px" custom_i_size="16px" i_color="rgb(0, 0, 0)" h_color="rgb(134, 134, 134)" i_icon_liquid-ionicons="lqd-icn-ion icon-call" custom_heading_weight="400" i_icon_fontawesome="fas fa-mobile-alt"][/ld_header_iconbox][ld_header_iconbox i_type="fontawesome" heading_size="custom" i_size="custom" title="Mail: `{`ld_span color=``#000```}`hello@hub.com`{`/ld_span`}`" custom_heading_size="13px" custom_i_size="16px" i_color="rgb(0, 0, 0)" h_color="rgb(134, 134, 134)" custom_heading_weight="400" i_icon_fontawesome="far fa-envelope-open"][/ld_header_iconbox][ld_header_iconbox i_type="fontawesome" heading_size="custom" i_size="custom" title="Find us: `{`ld_span color=``#000```}`Road 20, Paris, France`{`/ld_span`}`" custom_heading_size="13px" custom_i_size="16px" i_color="rgb(0, 0, 0)" h_color="rgb(134, 134, 134)" custom_heading_weight="400" i_icon_fontawesome="far fa-map"][/ld_header_iconbox][/vc_column][vc_column header_col_width="col-auto" width="1/2" align="text-right" responsive_align="text-right"][ld_header_dropdown i_type="image" source="custom" use_custom_fonts_trigger="true" trigger_label="English" trigger_fs="13px" items="%5B%7B%22label%22%3A%22Spanish%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22label%22%3A%22French%22%2C%22url%22%3A%22%23%22%7D%5D" trigger_color="rgba(0, 0, 0, 0.63)" color="rgb(0, 0, 0)" hcolor="rgba(0, 0, 0, 0.7)" i_icon_image="127"][ld_header_social_icons style="" size="social-icon-md" identities="%5B%7B%22network%22%3A%22fa-facebook-square%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-twitter%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-linkedin%22%2C%22url%22%3A%22%23%22%7D%5D" font_size="16px" primary_color="rgb(151, 151, 151)" hover_color="rgb(0, 0, 0)"][/vc_column][/vc_row][vc_row enable_row_shadowbox="yes" css=".vc_custom_1603114630400{background-color: rgba(255,255,255,0.93) !important;*background-color: rgb(255,255,255) !important;}" row_box_shadow="%5B%7B%22x_offset%22%3A%220px%22%2C%22y_offset%22%3A%222px%22%2C%22blur_radius%22%3A%227px%22%2C%22shadow_color%22%3A%22rgba(0%2C0%2C0%2C0.05)%22%7D%5D"][vc_column header_col_width="col-auto" width="1/3"][ld_header_image padding_top="35" padding_right="0" padding_bottom="35" padding_left="0" sticky_padding_top="23" sticky_padding_right="0" sticky_padding_bottom="23" sticky_padding_left="0"][/vc_column][vc_column width="1/3"][/vc_column][vc_column width="1/3" align="text-right" responsive_align="text-lg-right"][ld_header_menu hover_style="underline-1" align_items="end" padding_top="15" padding_right="13" padding_bottom="15" padding_left="13" ddmenu_hover_style="lqd-submenu-default-style" use_custom_fonts_menu="true" menu_slug="primary" fs="14px" link_color="rgb(0, 0, 0)" link_hcolor="rgb(0, 0, 0)" ls="0.02em"][ld_header_cart show_counter="lqd-module-hide-badge" icon_text_align="lqd-module-trigger-txt-right" i_type="fontawesome" use_custom_fonts_list="true" icon_text="Cart" i_icon_fontawesome="fas fa-shopping-cart" i_size="14px" i_color="rgb(156, 161, 167)" fw_txt="600" ls_txt="0.02em"][ld_header_search show_on_mobile="lqd-show-on-mobile" i_type="fontawesome" fs="19px" i_icon_fontawesome="fas fa-search" i_size="14px"][ld_header_button ib_style="btn-solid" ib_title="Get in Touch" ib_transformation="text-uppercase" ib_link_type="modal_window" ib_shape="round" ib_size="btn-sm" ib_border="border-none" ib_fs="11px" ib_lh="1.5em" sticky_text_color="rgb(255, 255, 255)" sticky_hover_color="rgb(41, 41, 41)" sticky_htext_color="rgb(255, 255, 255)" ib_anchor_id="#header-contact-modal"][/vc_column][/vc_row][vc_row][vc_column][ld_modal_window modal_type="fullscreen" title="Get in touch" el_id="header-contact-modal"][vc_row_inner gap="0"][vc_column_inner][ld_google_map style="classic" map_marker="html_marker" si_style="" si_size="" si_border="" zoom="14" map_controls="fullscreenControl" address="Gateway Battery Park City Apartment" map_height="340px"][/vc_column_inner][/vc_row_inner][vc_row_inner content_placement="middle" responsive_css="padding_top_medium:80px|padding_bottom_medium:80px" css=".vc_custom_1608199084580{padding-top: 60px !important;padding-bottom: 60px !important;}"][vc_column_inner width="1/2" responsive_css="margin_bottom_medium:0px|padding_right_medium:60px|padding_left_medium:60px|padding_top_small:55px|padding_right_small:20px|padding_bottom_small:35px|padding_left_small:20px" css=".vc_custom_1608199163750{margin-bottom: 30px !important;border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 45px !important;padding-right: 20px !important;padding-bottom: 25px !important;padding-left: 20px !important;border-left-color: #dddddd !important;border-left-style: solid !important;border-right-color: #dddddd !important;border-right-style: solid !important;border-top-color: #dddddd !important;border-top-style: solid !important;border-bottom-color: #dddddd !important;border-bottom-style: solid !important;border-radius: 3px !important;}"][ld_fancy_heading use_custom_fonts_title="true" fs="text_small:34px" fw="text_small:500"]Get in touch[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:2.5em"]We are here to answer any question you may have. Feel free to reach via contact form.[/ld_fancy_heading][ld_icon_box i_type="fontawesome" heading_size="custom" heading_weight="font-weight-normal" position="iconbox-side" i_icon_fontawesome="fas fa-map-marker-alt" title="290 Maryam Springs 260,`{`ld_br`}`Courbevoie, Paris" custom_heading_size="15px" icon_size="16px" icon_mb="15" i_color="rgb(204, 204, 204)" h_color="rgba(0, 0, 0, 0.6)" css=".vc_custom_1608198980988{margin-bottom: 10px !important;}"][/ld_icon_box][ld_icon_box i_type="fontawesome" heading_size="custom" heading_weight="font-weight-normal" position="iconbox-side" i_icon_fontawesome="fas fa-envelope" title="Email: hello@liquid-themes.com" custom_heading_size="15px" icon_size="16px" icon_mb="15" i_color="rgb(204, 204, 204)" h_color="rgba(0, 0, 0, 0.6)" css=".vc_custom_1608198973172{margin-bottom: 10px !important;}"][/ld_icon_box][ld_icon_box i_type="fontawesome" heading_size="custom" heading_weight="font-weight-normal" position="iconbox-side" i_icon_fontawesome="fas fa-mobile" title="Phone: +47 213 5941 295" custom_heading_size="15px" icon_size="16px" icon_mb="15" i_color="rgb(204, 204, 204)" h_color="rgba(0, 0, 0, 0.6)" css=".vc_custom_1608198966267{margin-bottom: 10px !important;}"][/ld_icon_box][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-offset-1 vc_col-md-5" responsive_css="padding_right_medium:12%25"][ld_cf7 id="259" shape="lqd-contact-form-inputs-filled" roundness="lqd-contact-form-inputs-round" btn_width="lqd-contact-form-button-block" btn_roundness="lqd-contact-form-button-round" use_custom_fonts_input="true" use_custom_fonts_submit="true" fs="13px" submit_fs="14px" lqd_bg_color="rgb(247, 248, 248)" color="rgb(123, 131, 142)" h_color="rgb(0, 0, 0)" css=".vc_custom_1608199148075{margin-bottom: 0px !important;}"][/vc_column_inner][/vc_row_inner][/ld_modal_window][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Header 12 - photography
	$data = array();
	$data['name'] = esc_html__( 'Header 12', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'header-12.jpg' );
	$data['sort_name'] = 'Header';
	$data['custom_class'] = 'general header';
	$data['content'] = <<<CONTENT
	[vc_row header_full_width="yes" css=".vc_custom_1583765856563{padding-top: 30px !important;padding-right: 30px !important;padding-left: 30px !important;}"][vc_column width="1/3"][ld_header_image][/vc_column][vc_column width="1/3"][/vc_column][vc_column width="1/3" align="text-right" responsive_align="text-lg-right"][ld_header_menu hover_style="default" visible="navbar-visible-ontoggle" padding_top="10" padding_right="15" padding_bottom="10" padding_left="15" use_custom_fonts_menu="true" menu_slug="primary" fs="14px" link_color="rgb(0, 0, 0)" link_hcolor="rgba(0, 0, 0, 0.7)"][ld_header_trigger style="style-2" position="txt-left" trigger_fill="solid" trigger_shape="circle" text="Menu" trigger_color_hover="rgb(255, 255, 255)" shape_hover_color="rgb(0, 0, 0)" trigger_text_color_hover="rgb(0, 0, 0)"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Header 13 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Header 13', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'header-13.jpg' );
	$data['sort_name'] = 'Header';
	$data['custom_class'] = 'general header';
	$data['content'] = <<<CONTENT
	[vc_row header_full_width="yes" css=".vc_custom_1610715236492{padding-top: 10px !important;padding-right: 35px !important;padding-left: 35px !important;}"][vc_column header_col_width="col-auto" width="1/3" align="text-left" css=".vc_custom_1602669620703{padding-right: 0px !important;}" responsive_align="text-left"][ld_header_sidedrawer drawer_pos="ld-module-sd-left" drawer_width="490px" trigger_color="rgb(0, 0, 0)" trigger_color_active="rgb(21, 21, 21)"][vc_row_inner][vc_column_inner][ld_header_custom_menu cm_use_custom_fonts_menu="true" cm_menu_slug="primary-top" cm_spacing="10" cm_fs="50px" cm_lh="1em" cm_color="rgb(42, 46, 31)" cm_hcolor="rgba(42, 46, 31, 0.76)" cm_fw="700"][vc_separator color="custom" border_width="2" accent_color="#2f3826" css=".vc_custom_1610722806262{margin-top: 40px !important;margin-bottom: 40px !important;}"][ld_header_custom_menu cm_use_custom_fonts_menu="true" cm_menu_slug="primary" cm_spacing="10" cm_fs="16px" cm_lh="1.5em" cm_color="rgb(0, 0, 0)" cm_hcolor="rgb(42, 46, 31)"][/vc_column_inner][/vc_row_inner][vc_row_inner][vc_column_inner][ld_header_social_icons style="" size="social-icon-lg" identities="%5B%7B%22network%22%3A%22fa-pinterest-p%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-instagram%22%2C%22url%22%3A%22%23%22%7D%5D" font_size="28px" primary_color="rgb(51, 60, 39)" hover_color="rgb(0, 0, 0)"][/vc_column_inner][/vc_row_inner][/ld_header_sidedrawer][/vc_column][vc_column width="1/3"][ld_header_image padding_top="30" padding_right="0" padding_bottom="30" padding_left="0" sticky_padding_top="30" sticky_padding_right="0" sticky_padding_bottom="30" sticky_padding_left="0"][/vc_column][vc_column width="1/3" align="text-right" responsive_align="text-right"][ld_header_menu hover_style="default" padding_top="10" padding_right="15" padding_bottom="10" padding_left="15" ddmenu_hover_style="lqd-submenu-default-style" use_custom_fonts_menu="true" menu_slug="header-nav" link_color="rgb(27, 27, 27)" fw="500"][ld_header_cart enable_offcanvas="yes" show_icon="lqd-module-hide-icon" offcanvas_placement="ld-module-to-right" counter_style="lqd-module-badge-outline" use_custom_fonts_list="true" icon_text="Cart" fw_txt="500" fs_txt="14px"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Header 14 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Header 14', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'header-14.jpg' );
	$data['sort_name'] = 'Header';
	$data['custom_class'] = 'general header';
	$data['content'] = <<<CONTENT
	<p>[vc_row header_full_width="yes" header_type="secondarybar" css=".vc_custom_1572885777932{padding-top: 5px !important;padding-right: 40px !important;padding-bottom: 5px !important;padding-left: 40px !important;}"][vc_column width="1/3"][ld_header_iconbox i_type="fontawesome" heading_size="custom" i_size="custom" i_icon_fontawesome="fas fa-phone-alt" title="Phone: + 87 173 10 30" custom_heading_size="13px" custom_i_size="11px" i_color="rgb(255, 255, 255)" h_color="rgb(255, 255, 255)"][/ld_header_iconbox][ld_header_text]<span style="font-size: 13px; color: #ffffff;">The most comprehensive hub</span>[/ld_header_text][/vc_column][vc_column width="1/3"][/vc_column][vc_column width="1/3" align="text-right" responsive_align="text-right"][ld_header_custom_menu cm_source="custom" cm_inline="inline-nav" cm_use_custom_fonts_menu="true" cm_items="%5B%7B%22label%22%3A%22Contact%22%2C%22url%22%3A%22%23%22%7D%5D" cm_fs="14px" cm_color="rgb(255, 255, 255)"][ld_header_dropdown source="custom" use_custom_fonts_trigger="true" use_custom_fonts_menu="true" trigger_label="English" items="%5B%7B%22label%22%3A%22French%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22label%22%3A%22Spanish%22%2C%22url%22%3A%22%23%22%7D%5D" fs="14px" trigger_color="rgb(255, 255, 255)" color="rgb(0, 0, 0)" hcolor="rgb(30, 30, 30)" trigger_fs="14px"][ld_header_social_icons style="" identities="%5B%7B%22network%22%3A%22fa-instagram%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-twitter%22%2C%22url%22%3A%22%23%22%7D%5D" font_size="17px" primary_color="rgba(255, 255, 255, 0.75)" hover_color="rgb(255, 255, 255)"][/vc_column][/vc_row][vc_row header_full_width="yes" css=".vc_custom_1572885170623{border-bottom-width: 1px !important;padding-right: 40px !important;padding-left: 40px !important;border-bottom-color: rgba(237,236,236,0.08) !important;border-bottom-style: solid !important;}"][vc_column header_col_width="col-auto" width="1/3"][ld_header_image padding_top="15" padding_right="0" padding_bottom="25" padding_left="0"][/vc_column][vc_column width="1/3"][/vc_column][vc_column width="1/3" align="text-right" responsive_align="text-lg-right"][ld_header_menu align_items="end" use_custom_fonts_menu="true" local_scroll="true" menu_slug="primary" link_color="rgb(255, 255, 255)" link_hcolor="rgb(255, 255, 255)" fs="17px" lh="1em" fw="600"][ld_header_separator left_margin="10" right_margin="0" sep_color="rgba(255, 255, 255, 0)"][ld_header_text]</p>
<p style="text-align: right;"><span style="font-size: 11px; color: #ffffff;">toll free call center</span><br />
<span style="font-size: 17px; color: #ffffff;">toll free call center</span></p>
<p>[/ld_header_text][ld_header_separator left_margin="5" right_margin="0" sep_color="rgba(255, 255, 255, 0)"][ld_header_search style="slide-top" show_on_mobile="lqd-show-on-mobile" primary_color="rgb(255, 255, 255)"][/vc_column][/vc_row]</p>
CONTENT;
	$templates[] = $data;

	//Header 15 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Header 15', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'header-15.jpg' );
	$data['sort_name'] = 'Header';
	$data['custom_class'] = 'general header';
	$data['content'] = <<<CONTENT
	[vc_row header_full_width="yes" css=".vc_custom_1597053107666{padding-top: 20px !important;padding-right: 60px !important;padding-left: 60px !important;}"][vc_column width="1/3"][ld_header_image][/vc_column][vc_column width="1/3"][ld_header_menu hover_style="fade-inactive" padding_top="10" padding_right="30" padding_bottom="10" padding_left="30" ddmenu_hover_style="lqd-submenu-default-style" use_custom_fonts_menu="true" menu_slug="primary" fs="15px" fw="500" ls="0.01em" link_color="rgb(255, 255, 255)" link_hcolor="rgba(255, 255, 255, 0.8)"][/vc_column][vc_column width="1/3" align="text-right" responsive_align="text-lg-right"][ld_header_button ib_style="btn-default" ib_title="Buy Hub" ib_transformation="text-uppercase" ib_shape="circle" ib_border="border-thick" ib_hover_txt_effect="btn-hover-txt-liquid-y" ib_hover_bg_effect="btn-hover-bg-liquid" ib_fs="12px" ib_fw="700" ib_ls="0.08em" ib_hover_bg_color="rgb(255, 255, 255)" ib_color="rgb(255, 255, 255)" ib_hover_color="rgb(255, 255, 255)" ib_text_color="rgb(255, 255, 255)" ib_h_b_color="rgb(255, 255, 255)" ib_htext_color="rgb(0, 0, 0)" ib_lh="1.5em" sticky_dark_htext_color="rgb(0, 0, 0)" sticky_light_color="rgb(0, 0, 0)" sticky_light_hover_color="rgb(0, 0, 0)" sticky_light_htext_color="rgb(255, 255, 255)"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Header 16 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Header 16', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'header-16.jpg' );
	$data['sort_name'] = 'Header';
	$data['custom_class'] = 'general header';
	$data['content'] = <<<CONTENT
	[vc_row header_full_width="yes" hide_on_sticky="lqd-hide-onstuck" header_type="secondarybar" css=".vc_custom_1605867666073{padding-right: 35px !important;padding-left: 35px !important;}"][vc_column width="1/3"][ld_header_image uselogo="" padding_top="35" padding_right="0" padding_bottom="35" padding_left="0" sticky_padding_top="30" sticky_padding_right="0" sticky_padding_bottom="30" sticky_padding_left="0" image="4282"][/vc_column][vc_column width="1/3" responsive_align="text-center"][/vc_column][vc_column width="1/3" responsive_align="text-right"][ld_header_menu hover_style="default" padding_top="20" padding_right="15" padding_bottom="10" padding_left="15" ddmenu_hover_style="lqd-submenu-default-style" use_custom_fonts_menu="true" menu_slug="primary-2" link_color="rgb(255, 255, 255)" link_hcolor="rgba(255, 255, 255, 0.65)" fw="500"][ld_header_button ib_style="btn-solid" ib_title="Send message" ib_link_type="modal_window" ib_shape="round" ib_size="btn-sm" ib_color="rgb(0, 0, 0)" ib_hover_color="rgb(255, 255, 255)" ib_text_color="rgb(255, 255, 255)" ib_htext_color="rgb(0, 0, 0)" ib_anchor_id="#header-contact-modal"][/vc_column][/vc_row][vc_row show_on_sticky="lqd-show-onstuck" sticky_bar="yes" stickybar_placement="lqd-stickybar-left" css=".vc_custom_1605867678710{padding-left: 20px !important;}"][vc_column width="1/3" responsive_align="text-center"][ld_header_sidedrawer drawer_pos="ld-module-sd-left" trigger_style="style-2" trigger_fill="solid" trigger_shape="circle" justify_content="justify-content-between" label="Menu" trigger_color="rgb(0, 0, 0)" trigger_color_hover="rgb(255, 255, 255)" trigger_text_color="rgb(0, 0, 0)" shape_color="rgba(0, 0, 0, 0)" shape_hover_color="rgb(0, 0, 0)" sticky_trigger_color="rgb(0, 0, 0)"][vc_row_inner][vc_column_inner][ld_header_image padding_top="35" padding_right="0" padding_bottom="35" padding_left="0" sticky_padding_top="30" sticky_padding_right="0" sticky_padding_bottom="30" sticky_padding_left="0"][/vc_column_inner][/vc_row_inner][vc_row_inner][vc_column_inner][ld_header_custom_menu cm_magnetic_items="true" cm_use_custom_fonts_menu="true" cm_menu_slug="primary" cm_spacing="10" cm_fs="32px" cm_lh="1.5em" cm_color="rgb(0, 0, 0)" cm_hcolor="rgba(0, 0, 0, 0.65)"][/vc_column_inner][/vc_row_inner][vc_row_inner][vc_column_inner][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgba(0, 0, 0, 0.85)" fs="text_small:19px" margin="bottom_small:1em"]info@hub.com[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgba(0, 0, 0, 0.75)" fs="text_small:14px" margin="bottom_small:1em"]Have a question? We're here to answer.[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_header_sidedrawer][/vc_column][vc_column width="1/3" responsive_align="text-center"][ld_header_custom_menu cm_source="custom" cm_inline="inline-nav" cm_use_custom_fonts_menu="true" cm_items="%5B%7B%22label%22%3A%22Follow%20us%20%E2%80%94%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Fb.%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Ig.%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Tw.%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%5D" cm_spacing="10" cm_fs="16px" cm_color="rgb(0, 0, 0)" cm_hcolor="rgba(0, 0, 0, 0.65)"][/vc_column][vc_column width="1/3" responsive_align="text-center"][ld_header_custom_menu cm_source="custom" cm_inline="inline-nav" cm_use_custom_fonts_menu="true" cm_items="%5B%7B%22label%22%3A%22En.%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22fr.%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Ge.%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%5D" cm_spacing="10" cm_fs="16px" cm_color="rgb(0, 0, 0)" cm_hcolor="rgba(0, 0, 0, 0.65)"][/vc_column][/vc_row][vc_row show_on_sticky="lqd-show-onstuck" sticky_bar="yes" stickybar_placement="lqd-stickybar-right" css=".vc_custom_1605881554579{padding-right: 20px !important;padding-bottom: 11vh !important;}"][vc_column width="1/3" responsive_align="text-right"][/vc_column][vc_column width="1/3"][ld_header_scroll_indicator bar_color="rgba(0, 0, 0, 0.3)"][/vc_column][vc_column width="1/3" responsive_align="text-lg-right"][ld_header_button ib_style="btn-naked" ib_link_type="modal_window" ib_i_type="linea" ib_i_shape="btn-icon-circle" ib_i_shape_style="btn-icon-solid" ib_i_shape_size="btn-icon-custom-size" ib_enable_icon_shadowbox="yes" ib_i_add_icon="true" ib_i_icon_linea="lqd-icn-ess icon-lqd-pen" ib_i_size="20px" ib_i_shape_custom_size="58px" ib_i_margin_left="0px" ib_i_margin_right="0px" ib_icon_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2213px%22%2C%22blur_radius%22%3A%2222px%22%2C%22shadow_color%22%3A%22rgba(0%2C0%2C0%2C0.05)%22%7D%5D" ib_h_icon_box_shadow="%5B%7B%7D%5D" ib_i_color="rgb(255, 255, 255)" ib_i_hcolor="rgb(0, 0, 0)" ib_i_fill_color="rgb(0, 0, 0)" ib_i_fill_hcolor="rgb(255, 255, 255)" ib_anchor_id="#header-contact-modal"][/vc_column][/vc_row][vc_row][vc_column][ld_modal_window modal_type="fullscreen" el_id="header-contact-modal"][vc_row_inner full_width="" equal_height="yes" content_placement="middle" bg_position="center center" responsive_css="padding_top_medium:80px|padding_bottom_medium:80px" css=".vc_custom_1615273790156{padding-top: 60px !important;padding-bottom: 60px !important;background-image: url(https://asymmetric-businesspro.liquid-themes.com/wp-content/uploads/2021/03/bg-2@2x-scaled-1.jpg?id=5009) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" el_class="h-vh-100 align-items-center"][vc_column_inner width="1/2" css=".vc_custom_1615219219533{margin-bottom: 30px !important;}" responsive_css="padding_right_medium:10%25"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_large:122px|text_medium:48px|text_small:34px" fw="text_small:500" color="rgb(0, 0, 0)" lh="text_medium:0.75em|text_small:1em" margin="bottom_small:0.5em"]Send a <span style="font-family: 'DM Serif Text', serif; font-style: italic;">message.</span>[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:2.5em"]We’re here to answer any question you may have.[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/2" responsive_css="padding_top_medium:45px|padding_right_medium:65px|padding_bottom_medium:45px|padding_left_medium:65px" css=".vc_custom_1615219159553{margin-bottom: -130px !important;background-color: #ffffff !important;border-radius: 10px !important;}"][ld_cf7 id="4991" shape="lqd-contact-form-inputs-underlined" btn_size="lqd-contact-form-button-lg" btn_width="lqd-contact-form-button-block" use_custom_fonts_input="true" use_custom_fonts_submit="true" fs="13px" submit_fs="17px" color="rgb(0, 0, 0)" h_color="rgb(0, 0, 0)" css=".vc_custom_1615220164811{margin-bottom: 0px !important;}" submit_fw="500" border_color="rgba(0, 0, 0, 0.12)" hover_border_color="rgb(0, 0, 0)" submit_lh="1.5em" bm="13px"][/vc_column_inner][vc_column_inner width="1/4"][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" fs="text_small:13px" fw="text_small:700" ls="text_small:0.1em" margin="bottom_small:1.25em" color="rgb(0, 0, 0)"]careers[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px" lh="text_small:1.18em" margin="bottom_small:0.75em" color="rgb(0, 0, 0)"]Would you like to join our growing team?[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px" lh="text_small:1.18em" fw="text_small:700" color="rgb(0, 0, 0)"]careers@hub.com[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/4"][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" fs="text_small:13px" fw="text_small:700" ls="text_small:0.1em" margin="bottom_small:1.25em" color="rgb(0, 0, 0)"]Feedbacks[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px" lh="text_small:1.18em" margin="bottom_small:0.75em" color="rgb(0, 0, 0)"]Have a project in mind? Send a message.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px" lh="text_small:1.18em" fw="text_small:700" color="rgb(0, 0, 0)"]info@hub.com[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_modal_window][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Header 17 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Header 17', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'header-17.jpg' );
	$data['sort_name'] = 'Header';
	$data['custom_class'] = 'general header';
	$data['content'] = <<<CONTENT
	<p>[vc_row header_full_width="yes" css=".vc_custom_1596454996806{padding-right: 40px !important;padding-left: 40px !important;}"][vc_column width="1/3"][ld_header_image][/vc_column][vc_column width="1/3"][/vc_column][vc_column width="1/3" align="text-right" responsive_align="text-lg-right"][ld_header_menu hover_style="default" visible="navbar-visible-ontoggle" align_items="start" padding_top="10" padding_right="30" padding_bottom="10" padding_left="30" ddmenu_hover_style="lqd-submenu-default-style" menu_slug="primary" link_color="rgb(0, 0, 0)" link_hcolor="rgba(0, 0, 0, 0.75)"][ld_header_trigger style="style-2" position="txt-left" text="Menu"][ld_header_button ib_style="btn-solid" ib_title="Let's build" ib_shape="round" ib_size="btn-xsm" ib_border="border-none" ib_hover_txt_effect="btn-hover-txt-switch btn-hover-txt-switch-x" ib_color="rgb(31, 31, 31)" ib_hover_color="rgb(255, 218, 1)" ib_text_color="rgb(255, 255, 255)" ib_htext_color="rgb(0, 0, 0)" ib_fs="16px" ib_lh="1.5em" ib_css=".vc_custom_1610653413779{margin-left: 15px !important;padding-right: 0.75em !important;padding-left: 0.75em !important;}" sticky_dark_color="rgb(255, 255, 255)" sticky_dark_hover_color="rgb(255, 255, 255)" sticky_dark_text_color="rgb(0, 0, 0)" sticky_dark_htext_color="rgb(0, 0, 0)" sticky_light_text_color="rgb(255, 255, 255)"][/vc_column][/vc_row][vc_row sticky_bar="yes" stickybar_placement="lqd-stickybar-left" header_type="secondarybar"][vc_column width="1/3" align="text-left" responsive_align="text-left"][/vc_column][vc_column width="1/3"][ld_header_scroll_indicator primary_color="rgb(0, 0, 0)" bar_color="rgba(0, 0, 0, 0.3)"][/vc_column][vc_column width="1/3"][/vc_column][/vc_row][vc_row sticky_bar="yes" stickybar_placement="lqd-stickybar-right" header_type="secondarybar" css=".vc_custom_1600435270421{padding-right: 15px !important;}"][vc_column width="1/3" align="text-left" responsive_align="text-left"][/vc_column][vc_column width="1/3"][ld_header_custom_menu cm_source="custom" cm_inline="inline-nav" cm_items="%5B%7B%22label%22%3A%22en.%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22fr.%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22gr.%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%5D" cm_spacing="20" cm_color="rgb(0, 0, 0)" cm_hcolor="rgba(0, 0, 0, 0.8)"][/vc_column][vc_column width="1/3"][/vc_column][/vc_row]</p>
CONTENT;
	$templates[] = $data;

	//Header 18 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Header 18', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'header-18.jpg' );
	$data['sort_name'] = 'Header';
	$data['custom_class'] = 'general header';
	$data['content'] = <<<CONTENT
	<p>[vc_row hide_on_sticky="lqd-hide-onstuck" header_type="secondarybar" css=".vc_custom_1599139319466{border-bottom-width: 1px !important;background-color: #ffffff !important;border-bottom-color: #ececec !important;border-bottom-style: solid !important;}"][vc_column width="1/3"][ld_fancy_heading tag="p" enable_bg="yes" fh_border_radius="semi-round" use_custom_fonts_title="true" color="rgb(117, 122, 131)" fs="text_small:13px" lh="text_small:1.15em" padding="top_small:4px|right_small:1em|bottom_small:4px|left_small:1em" fh_bg="rgb(245, 245, 245)"]Special Offer[/ld_fancy_heading][ld_header_separator left_margin="0" right_margin="0" sep_color="rgba(255, 255, 255, 0)"][ld_header_button ib_style="btn-naked" ib_title="Join the IT campaign." ib_color="rgba(40, 47, 54, 0.8)" ib_hover_color="rgb(40, 47, 54)" ib_fs="13px"][ld_header_iconbox i_type="fontawesome" heading_size="custom" i_size="custom" title="Phone: `{`ld_span color=``#092558```}`+ 1 373 38 87`{`/ld_span`}`" custom_heading_size="13px" custom_i_size="10px" i_color="rgb(0, 0, 0)" h_color="rgb(117, 122, 131)" i_icon_fontawesome="fas fa-phone-alt" custom_heading_weight="400"][/ld_header_iconbox][/vc_column][vc_column width="1/3"][/vc_column][vc_column width="1/3" align="text-right" responsive_align="text-right"][ld_header_dropdown source="custom" use_custom_fonts_trigger="true" trigger_label="🇺🇸 English" trigger_fs="13px" items="%5B%7B%22label%22%3A%22French%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22label%22%3A%22Spanish%22%2C%22url%22%3A%22%23%22%7D%5D" trigger_color="rgb(0, 0, 0)" color="rgb(0, 0, 0)" hcolor="rgba(0, 0, 0, 0.8)"][ld_header_button ib_style="btn-naked" ib_title="Help center" ib_i_type="fontawesome" ib_i_position="left" ib_i_add_icon="true" ib_color="rgba(40, 47, 54, 0.8)" ib_hover_color="rgb(40, 47, 54)" ib_i_color="rgba(40, 47, 54, 0.3)" ib_fs="13px" ib_i_icon_fontawesome="fas fa-user" ib_i_size="16px"][/vc_column][/vc_row][vc_row enable_row_shadowbox="yes" row_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%222px%22%2C%22blur_radius%22%3A%224px%22%2C%22shadow_color%22%3A%22rgba(0%2C0%2C0%2C0.13)%22%7D%5D"][vc_column width="1/3"][ld_header_image padding_top="15" padding_right="0" padding_bottom="15" padding_left="0" sticky_padding_top="15" sticky_padding_right="0" sticky_padding_bottom="15" sticky_padding_left="0"][/vc_column][vc_column width="1/3"][ld_header_menu hover_style="fade-inactive" padding_top="5" padding_right="20" padding_bottom="5" padding_left="20" ddmenu_hover_style="lqd-submenu-cover" use_custom_fonts_menu="true" menu_slug="primary" link_color="rgb(9, 37, 88)" link_hcolor="rgb(0, 0, 0)" fs="15px" fw="500"][/vc_column][vc_column width="1/3" align="text-right" responsive_align="text-lg-right"][ld_header_text]</p>
<p style="text-align: right;"><strong><span style="font-size: 11px; line-height: 1em; color: #092558;">call for appointment</span></strong><br />
<strong class="d-flex"><span style="color: #ed6a04; font-size: 17px; line-height: 1em;">+ 1 373 38 87</span></strong></p>
<p>[/ld_header_text][ld_header_search show_on_mobile="lqd-show-on-mobile" i_type="fontawesome" i_icon_fontawesome="fas fa-search" i_size="18px"][/vc_column][/vc_row]</p>
CONTENT;
	$templates[] = $data;

	//Header 19 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Header 19', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'header-19.jpg' );
	$data['sort_name'] = 'Header';
	$data['custom_class'] = 'general header';
	$data['content'] = <<<CONTENT
	<p>[vc_row header_full_width="yes" hide_on_sticky="lqd-hide-onstuck" header_type="secondarybar" css=".vc_custom_1597048451925{border-bottom-width: 1px !important;padding-right: 50px !important;padding-left: 50px !important;border-bottom-color: #d9d9d9 !important;border-bottom-style: solid !important;}"][vc_column header_col_width="col-auto" width="1/3"][ld_header_dropdown i_type="linea" source="custom" hover_style="ld-dropdown-menu-underlined" use_custom_fonts_trigger="true" use_custom_fonts_menu="true" src="``https://fashionstorepro.liquid-themes.com/wp-content/uploads/2020/06/turkey.svg``" width="``16``" height="``11``" trigger_fs="11px" trigger_fw="500" trigger_ls="0.1em" items="%5B%7B%22label%22%3A%22ENGLISH%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22label%22%3A%22SPANISH%22%2C%22url%22%3A%22%23%22%7D%5D" trigger_color="rgb(0, 0, 0)" color="rgb(0, 0, 0)" hcolor="rgba(0, 0, 0, 0.75)" trigger_label="&#x1f1ea;&#x1f1f8; SPANISH" fs="11px" fw="500" ls="0.1em" i_icon_linea="lqd-icn-ess icon-lqd-dots"][/vc_column][vc_column width="1/3" align="text-center" responsive_align="text-center"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(0, 0, 0)" fs="text_small:13px" margin="bottom_small:0px"]Free Delivery on orders over £120. Don’t miss discount.[/ld_fancy_heading][ld_header_button ib_style="btn-naked" ib_title="Shop Men" ib_i_type="linea" ib_i_add_icon="true" ib_i_icon_linea="lqd-icn-ess icon-md-arrow-forward" ib_color="rgb(0, 0, 0)" ib_fs="14px" ib_css=".vc_custom_1591003480743{margin-left: 35px !important;}"][/vc_column][vc_column header_col_width="col-auto" width="1/3" align="text-right" responsive_align="text-right"][ld_header_button ib_style="btn-naked" ib_title="2.3m Followers" ib_i_type="fontawesome" ib_i_position="left" ib_i_add_icon="true" ib_i_icon_fontawesome="fab fa-instagram" ib_i_size="18px" ib_i_margin_right="1em" ib_color="rgb(0, 0, 0)" ib_hover_color="rgb(0, 0, 0)" ib_fs="12px"][/vc_column][/vc_row][vc_row header_full_width="yes" css=".vc_custom_1591004474202{padding-right: 50px !important;padding-left: 50px !important;}"][vc_column width="1/3"][ld_header_menu hover_style="underline-1" padding_top="10" padding_right="35" padding_bottom="10" padding_left="35" transform="uppercase" use_custom_fonts_menu="true" menu_slug="primary" link_color="rgb(0, 0, 0)" link_hcolor="rgba(0, 0, 0, 0.5)" fs="12px" ls="0.1em"][/vc_column][vc_column header_col_width="col-auto" width="1/3" align="text-center" responsive_align="text-center"][ld_header_image padding_top="25" padding_right="0" padding_bottom="25" padding_left="0" sticky_padding_top="25" sticky_padding_right="0" sticky_padding_bottom="25" sticky_padding_left="0"][/vc_column][vc_column width="1/3" align="text-right" responsive_align="text-right"][ld_header_custom_menu cm_inline="inline-nav" cm_transform="uppercase" cm_use_custom_fonts_menu="true" cm_menu_slug="primary-right" cm_spacing="18" cm_color="rgb(0, 0, 0)" cm_hcolor="rgba(0, 0, 0, 0.5)" cm_fs="12px" cm_ls="0.1em"][ld_header_cart show_icon="lqd-module-hide-icon" counter_style="lqd-module-badge-outline" transform_txt="uppercase" use_custom_fonts_list="true" icon_text="Cart" fs_txt="12px" ls_txt="0.1em"][ld_header_search style="slide-top" show_on_mobile="lqd-show-on-mobile" transform_txt="uppercase" use_custom_fonts_list="true" icon_text="Search" fs_txt="12px" ls_txt="0.1em" fs="20px"][/vc_column][/vc_row]</p>
CONTENT;
	$templates[] = $data;

	//Header 20 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Header 20', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'header-20.jpg' );
	$data['sort_name'] = 'Header';
	$data['custom_class'] = 'general header';
	$data['content'] = <<<CONTENT
	<p>[vc_row hide_on_sticky="lqd-hide-onstuck" header_type="secondarybar" css=".vc_custom_1621614682582{padding-top: 20px !important;padding-right: 45px !important;padding-bottom: 10px !important;padding-left: 45px !important;}"][vc_column width="1/2"][ld_header_iconbox i_type="fontawesome" heading_size="custom" i_size="custom" i_icon_fontawesome="far fa-envelope-open" title="insurance.liquid.com" custom_heading_size="13px" custom_i_size="13px" i_color="rgb(255, 255, 255)" h_color="rgb(255, 255, 255)"][/ld_header_iconbox][ld_header_iconbox i_type="fontawesome" heading_size="custom" i_size="custom" i_icon_fontawesome="fas fa-map-pin" title="13th Street, Soho" custom_heading_size="13px" custom_i_size="13px" i_color="rgb(255, 255, 255)" h_color="rgb(255, 255, 255)"][/ld_header_iconbox][ld_header_iconbox i_type="fontawesome" heading_size="custom" i_size="custom" i_icon_fontawesome="fas fa-phone-alt" title="Call us: +171 30 60 90" custom_heading_size="13px" custom_i_size="13px" i_color="rgb(255, 255, 255)" h_color="rgb(255, 255, 255)"][/ld_header_iconbox][/vc_column][vc_column width="1/2" align="text-right" responsive_align="text-right"][ld_header_button ib_style="btn-naked" ib_title="Contact" ib_color="rgb(0, 0, 0)" ib_hover_color="rgba(0, 0, 0, 0.6)" ib_fs="14px"][ld_header_dropdown source="custom" use_custom_fonts_trigger="true" trigger_label="🇺🇸 English" trigger_fs="14px" items="%5B%7B%22label%22%3A%22%F0%9F%87%AC%F0%9F%87%A7%20English%20(British)%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22label%22%3A%22%F0%9F%87%AA%F0%9F%87%B8%20Spanish%22%2C%22url%22%3A%22%23%22%7D%5D" trigger_color="rgb(0, 0, 0)" color="rgb(0, 0, 0)" hcolor="rgba(0, 0, 0, 0.6)"][/vc_column][/vc_row][vc_row css=".vc_custom_1621613764278{margin-right: -35px !important;margin-bottom: -35px !important;margin-left: -35px !important;}" el_class="solid-row"][vc_column width="1/2" css=".vc_custom_1602680594475{padding-left: 40px !important;}"][ld_header_image padding_top="20" padding_right="0" padding_bottom="27" padding_left="0" sticky_padding_top="20" sticky_padding_right="0" sticky_padding_bottom="27" sticky_padding_left="0"][/vc_column][vc_column header_col_width="col-auto" width="1/2"][ld_header_menu hover_style="fade-inactive" padding_top="0" padding_right="12" padding_bottom="0" padding_left="12" ddmenu_hover_style="lqd-submenu-default-style" use_custom_fonts_menu="true" local_scroll="true" menu_slug="primary" fs="15px" fw="500" link_color="rgb(16, 58, 64)" link_hcolor="rgb(0, 0, 0)"][ld_header_button ib_style="btn-solid" ib_title="Contact Us" ib_shape="circle" ib_size="btn-sm" ib_border="border-none" ib_i_type="linea" ib_i_shape="btn-icon-circle" ib_i_shape_style="btn-icon-solid" ib_i_shape_size="btn-icon-custom-size" ib_i_add_icon="true" ib_i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-forward" ib_color="rgba(7, 124, 88, 0.11)" ib_hover_color="rgb(7, 124, 88)" ib_text_color="rgb(15, 90, 100)" ib_fs="text_small:15px" ib_lh="text_small:1.5em" ib_i_size="13px" ib_i_shape_custom_size="30px" ib_i_margin_left="12px" ib_i_color="rgb(7, 124, 88)" ib_i_hcolor="rgb(15, 90, 100)" ib_i_fill_color="rgba(15, 90, 100, 0.13)" ib_i_fill_hcolor="rgb(255, 255, 255)" ib_fw="text_small:500"][/vc_column][/vc_row]</p>
CONTENT;
	$templates[] = $data;

	//Header 21 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Header 21', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'header-21.jpg' );
	$data['sort_name'] = 'Header';
	$data['custom_class'] = 'general header';
	$data['content'] = <<<CONTENT
	<p>[vc_row header_full_width="yes" css=".vc_custom_1577693080114{padding-right: 50px !important;padding-left: 50px !important;}"][vc_column header_col_width="col-auto" width="1/3"][ld_header_image padding_top="35" padding_right="45" padding_bottom="35" padding_left="0" sticky_padding_top="30" sticky_padding_right="45" sticky_padding_bottom="30" sticky_padding_left="0"][/vc_column][vc_column width="1/3"][ld_header_menu padding_top="10" padding_right="15" padding_bottom="10" padding_left="15" ddmenu_hover_style="lqd-submenu-cover" use_custom_fonts_menu="true" menu_slug="primary" fs="15px" link_color="rgb(13, 23, 123)" link_hcolor="rgba(13, 23, 123, 0.65)" fw="500"][/vc_column][vc_column header_col_width="col-auto" width="1/3" align="text-right" responsive_align="text-lg-right"][ld_header_text]</p>
<h5><span style="color: #0d177b;"><strong><span style="text-decoration: dotted; font-size: 13px;">+ 1 226 68 87</span></strong></span></h5>
<p>[/ld_header_text][ld_header_button ib_style="btn-default" ib_title="Get a quote" ib_transformation="text-uppercase" ib_link_type="modal_window" ib_shape="circle" ib_border="border-thick" ib_hover_txt_effect="btn-hover-txt-liquid-y" ib_hover_bg_effect="btn-hover-bg-liquid" ib_hover_bg_color="rgb(15, 15, 123)" ib_color="rgb(15, 15, 123)" ib_anchor_id="#seo-header-modal" ib_hover_color="rgb(15, 15, 123)" ib_fs="11px" ib_fw="700" ib_ls="0.08em" ib_h_b_color="rgb(15, 15, 123)" ib_css=".vc_custom_1603702424076{padding-right: 0.3em !important;padding-left: 0.3em !important;}" ib_lh="1.4em" sticky_color="rgb(15, 15, 123)" sticky_hover_color="rgb(15, 15, 123)" sticky_htext_color="rgb(255, 255, 255)" ib_htext_color="rgb(255, 255, 255)"][ld_header_sidedrawer trigger_style="style-2" justify_content="justify-content-between" sticky_trigger_color="rgb(17, 17, 17)"][vc_row_inner][vc_column_inner][ld_header_image padding_top="35" padding_right="45" padding_bottom="35" padding_left="0" sticky_padding_top="30" sticky_padding_right="45" sticky_padding_bottom="30" sticky_padding_left="0"][/vc_column_inner][/vc_row_inner][vc_row_inner][vc_column_inner][ld_header_custom_menu cm_use_custom_fonts_menu="true" cm_menu_slug="footer-nav-1" cm_spacing="17" cm_fs="28px" cm_lh="1.45em" cm_fw="300" cm_color="rgb(15, 15, 123)" cm_hcolor="rgb(248, 89, 118)"][/vc_column_inner][/vc_row_inner][vc_row_inner][vc_column_inner][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:19px" margin="bottom_small:0.75em"]hub@liquid.com[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:13px" margin="bottom_small:0.75em" lh="text_small:1.5em"]Looking for collaboration for your next project? Do not hesitate to contact us to say hello.[/ld_fancy_heading][ld_header_social_icons style="" size="social-icon-md" identities="%5B%7B%22network%22%3A%22fa-twitter%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-facebook%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-youtube%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-wordpress%22%2C%22url%22%3A%22%23%22%7D%5D" primary_color="rgb(15, 15, 123)" hover_color="rgb(248, 89, 118)"][/vc_column_inner][/vc_row_inner][/ld_header_sidedrawer][/vc_column][/vc_row]</p>
CONTENT;
	$templates[] = $data;

	//Header 22 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Header 22', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'header-22.jpg' );
	$data['sort_name'] = 'Header';
	$data['custom_class'] = 'general header';
	$data['content'] = <<<CONTENT
	<p>[vc_row header_full_width="yes" hide_on_sticky="lqd-hide-onstuck" css=".vc_custom_1608561138111{border-bottom-width: 1px !important;padding-right: 30px !important;padding-left: 30px !important;border-bottom-color: #e1e5eb !important;border-bottom-style: solid !important;}"][vc_column width="1/2"][ld_fancy_heading tag="h6" enable_bg="yes" fh_border_radius="round" use_custom_fonts_title="true" color="rgb(0, 0, 0)" fs="text_small:11px" fw="text_small:500" padding="top_small:3px|right_small:5px|bottom_small:3px|left_small:5px" fh_bg="rgb(247, 249, 251)" margin="bottom_small:0px"]Update[/ld_fancy_heading][ld_header_separator left_margin="0" right_margin="0" sep_width="0px"][ld_header_button ib_style="btn-naked" ib_title="Sign up and receive 20% bonus discount on checkout. Learn more" ib_i_type="linea" ib_i_add_icon="true" ib_i_icon_linea="lqd-icn-ess icon-md-arrow-forward" ib_color="rgb(0, 0, 0)" ib_fs="12px"][/vc_column][vc_column width="1/2" align="text-right" responsive_align="text-right"][ld_header_custom_menu cm_source="custom" cm_inline="inline-nav" cm_use_custom_fonts_menu="true" cm_items="%5B%7B%22label%22%3A%22Resources%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Contact%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%5D" cm_fs="13px" cm_color="rgb(0, 0, 0)" cm_spacing="15"][ld_header_dropdown i_type="linea" source="custom" use_custom_fonts_trigger="true" trigger_label="🇺🇸 English" trigger_fs="12px" items="%5B%7B%22label%22%3A%22French%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22label%22%3A%22Spanish%22%2C%22url%22%3A%22%23%22%7D%5D" trigger_color="rgb(0, 0, 0)" i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-down" color="rgb(0, 0, 0)" hcolor="rgba(0, 0, 0, 0.65)"][/vc_column][/vc_row][vc_row header_full_width="yes" css=".vc_custom_1608561233573{padding-right: 30px !important;padding-left: 30px !important;}"][vc_column header_col_width="col-auto" width="1/3"][ld_header_image padding_top="25" padding_right="0" padding_bottom="25" padding_left="0" sticky_padding_top="25" sticky_padding_right="0" sticky_padding_bottom="25" sticky_padding_left="0"][ld_header_menu hover_style="fade-inactive" align_items="start" padding_top="10" padding_right="15" padding_bottom="10" padding_left="15" ddmenu_hover_style="lqd-submenu-cover" use_custom_fonts_menu="true" menu_slug="primary" fs="13px" link_color="rgb(61, 65, 70)" link_hcolor="rgb(0, 0, 0)" fw="600"][/vc_column][vc_column width="1/3" responsive_css="padding_left_medium:60px"][/vc_column][vc_column width="1/3" align="text-right" responsive_align="text-lg-right"][ld_header_button ib_style="btn-default" ib_title="Sign in" ib_shape="circle" ib_size="btn-sm" ib_fs="13px" ib_fw="600" ib_lh="1.15em" ib_ls="0px" sticky_text_color="rgb(16, 114, 250)" sticky_htext_color="rgb(255, 255, 255)"][ld_header_button ib_style="btn-solid" ib_title="Get the App" ib_shape="circle" ib_size="btn-sm" ib_border="border-thick" ib_fs="13px" ib_fw="700" ib_lh="1.15em" ib_ls="0px" sticky_text_color="rgb(255, 255, 255)" sticky_htext_color="rgb(255, 255, 255)"][/vc_column][/vc_row]</p>
CONTENT;
	$templates[] = $data;

	//Header 23 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Header 23', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'header-23.jpg' );
	$data['sort_name'] = 'Header';
	$data['custom_class'] = 'general header';
	$data['content'] = <<<CONTENT
	<p>[vc_row hide_on_sticky="lqd-hide-onstuck" enable_gradient="yes" header_type="secondarybar" gradient_bg="linear-gradient(270deg, rgb(61, 155, 252) 0%, rgb(123, 64, 228) 25.15923566878981%, rgb(245, 58, 139) 50%, rgb(238, 112, 74) 74.8407643312102%, #ddd24c 100%)" css=".vc_custom_1614343502101{padding-top: 5px !important;padding-bottom: 45px !important;padding-left: 11vw !important;}"][vc_column width="1/2" align="text-right" css=".vc_custom_1602575672224{padding-right: 5px !important;}" responsive_align="text-right"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:12px"]Sign up and receive 20% bonus discount on checkout.[/ld_fancy_heading][/vc_column][vc_column width="1/2" align="text-left" css=".vc_custom_1602575663878{padding-left: 5px !important;}" responsive_align="text-left"][ld_header_button ib_style="btn-naked" ib_title="Learn more" ib_i_type="linea" ib_i_add_icon="true" ib_i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-forward" ib_color="rgba(255, 255, 255, 0.8)" ib_hover_color="rgb(255, 255, 255)" ib_fs="13px" ib_lh="1em"][/vc_column][/vc_row][vc_row header_full_width="yes" css=".vc_custom_1602575482100{margin-top: -40px !important;padding-right: 9vw !important;padding-left: 9vw !important;background-color: #ffffff !important;}" custom_border_radius="25px 25px 0 0"][vc_column width="1/3"][ld_header_image padding_top="24" padding_right="0" padding_bottom="24" padding_left="0" sticky_padding_top="30" sticky_padding_right="0" sticky_padding_bottom="30" sticky_padding_left="0"][/vc_column][vc_column width="1/3"][ld_header_menu hover_style="underline-1" padding_top="3" padding_right="30" padding_bottom="3" padding_left="30" ddmenu_hover_style="lqd-submenu-cover" local_scroll="true" menu_slug="primary" link_color="rgb(88, 88, 88)" link_hcolor="rgb(0, 0, 0)"][/vc_column][vc_column width="1/3" align="text-right" responsive_align="text-lg-right"][ld_header_button ib_style="btn-solid" ib_title="Join Hubz" ib_shape="circle" ib_size="btn-sm" ib_border="border-none" ib_i_type="linea" ib_i_add_icon="true" ib_color="rgb(237, 242, 246)" ib_hover_color="rgb(0, 0, 0)" ib_text_color="rgb(0, 0, 0)" ib_htext_color="rgb(255, 255, 255)" ib_fs="14px" ib_lh="1.25em" ib_i_icon_linea="lqd-icn-ess icon-md-arrow-forward"][/vc_column][/vc_row][vc_row header_full_width="yes" hide_on_sticky="lqd-hide-onstuck" css=".vc_custom_1602575993628{padding-right: 9vw !important;padding-left: 9vw !important;}"][vc_column][vc_separator color="custom" accent_color="rgba(0,0,0,0.1)" css=".vc_custom_1602579772973{margin-bottom: 55px !important;}"][/vc_column][/vc_row][vc_row sticky_bar="yes" stickybar_placement="lqd-stickybar-left" css=".vc_custom_1611317137689{padding-bottom: 10vh !important;}"][vc_column width="1/3"][/vc_column][vc_column width="1/3" align="text-center" responsive_align="text-center"][ld_header_custom_menu cm_source="custom" cm_localscroll="yes" cm_inline="inline-nav" cm_items_decoration="lqd-menu-td-underline" cm_use_custom_fonts_menu="true" cm_items="%5B%7B%22label%22%3A%22Download%20Hub%20App%22%2C%22url%22%3A%22%23download%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%5D" cm_spacing="0" cm_fs="14px" cm_fw="600" cm_color="rgb(0, 0, 0)" cm_hcolor="rgba(0, 0, 0, 0.65)" cm_lh="1em"][/vc_column][vc_column width="1/3"][/vc_column][/vc_row][vc_row sticky_bar="yes" stickybar_placement="lqd-stickybar-right" css=".vc_custom_1611317128244{padding-bottom: 10vh !important;}"][vc_column width="1/3"][/vc_column][vc_column width="1/3" align="text-center" responsive_align="text-center"][ld_header_scroll_indicator][/vc_column][vc_column width="1/3" responsive_align="text-right"][ld_header_button ib_style="btn-naked" ib_link_type="modal_window" ib_i_type="linea" ib_i_shape="btn-icon-circle" ib_i_shape_style="btn-icon-solid" ib_i_shape_size="btn-icon-custom-size" ib_i_add_icon="true" ib_anchor_id="#contact-modal" ib_i_icon_linea="lqd-icn-ess icon-speech-bubble" ib_i_size="22px" ib_i_shape_custom_size="48px" ib_i_color="rgb(255, 255, 255)" ib_i_fill_color="rgb(239, 69, 87)" ib_i_fill_hcolor="rgb(0, 0, 0)"][/vc_column][/vc_row][vc_row][vc_column][ld_modal_window modal_type="box" el_id="contact-modal"][vc_row_inner css=".vc_custom_1611229596109{padding-top: 10px !important;padding-bottom: 10px !important;}"][vc_column_inner][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:18px" margin="bottom_small:1em"]Send a message[/ld_fancy_heading][vc_separator color="custom" accent_color="#f2f2f2"][ld_cf7 id="916" shape="lqd-contact-form-inputs-filled" roundness="lqd-contact-form-inputs-round" btn_width="lqd-contact-form-button-block" btn_roundness="lqd-contact-form-button-round" lqd_bg_color="rgb(250, 250, 250)"][/vc_column_inner][/vc_row_inner][/ld_modal_window][/vc_column][/vc_row]</p>
CONTENT;
	$templates[] = $data;

	//Header 24 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Header 24', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'header-24.jpg' );
	$data['sort_name'] = 'Header';
	$data['custom_class'] = 'general header';
	$data['content'] = <<<CONTENT
	<p>[vc_row header_full_width="yes" css=".vc_custom_1614775620836{padding-right: 30px !important;padding-left: 10px !important;}"][vc_column header_col_width="col-auto" width="1/3"][ld_header_sidedrawer drawer_pos="ld-module-sd-left" trigger_style="style-2" justify_content="justify-content-between" drawer_width="400px" sticky_trigger_color="rgb(26, 55, 96)"][vc_row_inner][vc_column_inner][ld_header_image padding_top="43" padding_right="0" padding_bottom="43" padding_left="0"][/vc_column_inner][/vc_row_inner][vc_row_inner][vc_column_inner][ld_header_custom_menu cm_source="custom" cm_use_custom_fonts_menu="true" cm_spacing="15" cm_fs="3vmin" cm_color="rgb(0, 0, 0)" cm_hcolor="rgb(241, 60, 70)" cm_lh="1.5em" cm_items="%5B%7B%22label%22%3A%22Home%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22About%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Services%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Contact%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%5D"][/vc_column_inner][/vc_row_inner][vc_row_inner][vc_column_inner][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:19px" lh="text_small:1.5em" margin="bottom_small:1.5em" color="rgba(0, 0, 0, 0.75)"]hub@liquid.com[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:14px" lh="text_small:1.5em" margin="bottom_small:2em"]Looking for collaboration for your next project? Do not hesitate to contact us to say hello.[/ld_fancy_heading][ld_header_social_icons style="" size="social-icon-lg" identities="%5B%7B%22network%22%3A%22fa-twitter%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-youtube%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-facebook%22%2C%22url%22%3A%22%23%22%7D%5D" primary_color="rgb(0, 0, 0)" hover_color="rgba(0, 0, 0, 0.65)"][/vc_column_inner][/vc_row_inner][/ld_header_sidedrawer][ld_header_image padding_top="35" padding_right="20" padding_bottom="35" padding_left="0" sticky_padding_top="30" sticky_padding_right="0" sticky_padding_bottom="30" sticky_padding_left="0"][/vc_column][vc_column header_col_width="col-auto" width="1/3" align="text-center" responsive_align="text-center"][ld_header_menu hover_style="fade-inactive" align_items="start" padding_top="10" padding_right="15" padding_bottom="10" padding_left="15" ddmenu_hover_style="lqd-submenu-default-style" use_custom_fonts_menu="true" menu_slug="primary" fs="15px" fw="700" link_color="rgba(26, 55, 96, 0.83)" link_hcolor="rgb(26, 55, 96)"][/vc_column][vc_column width="1/3" align="text-right" responsive_align="text-lg-right"][ld_header_text]</p>
<p style="text-align: right;"><span style="font-size: 12px; color: rgba(0,35,82,0.6);">Consultation</span><br />
<span style="font-size: 15px;"><strong><span style="color: #ed6a04;">+ 1 223 38 87</span></strong></span></p>
<p>[/ld_header_text][ld_header_button ib_style="btn-solid" ib_title="Start a project" ib_link_type="modal_window" ib_shape="circle" ib_enable_row_shadowbox="yes" ib_color="rgb(255, 255, 255)" ib_text_color="rgb(0, 35, 82)" ib_fs="13px" ib_lh="1.5em" ib_button_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%223px%22%2C%22blur_radius%22%3A%2240px%22%2C%22shadow_color%22%3A%22rgba(0%2C0%2C0%2C0.08)%22%7D%5D" ib_hover_button_box_shadow="%5B%7B%7D%5D" ib_htext_color="rgb(255, 255, 255)" sticky_htext_color="rgb(255, 255, 255)" ib_anchor_id="#header-contact-modal"][/vc_column][/vc_row][vc_row sticky_bar="yes" stickybar_placement="lqd-stickybar-left" header_type="secondarybar"][vc_column width="1/3" responsive_align="text-center"][ld_header_custom_menu cm_source="custom" cm_inline="inline-nav" cm_items="%5B%7B%22label%22%3A%22en.%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22fr.%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22ge.%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%5D" cm_spacing="10" cm_color="rgb(0, 0, 0)" cm_hcolor="rgba(0, 0, 0, 0.65)"][/vc_column][vc_column width="1/3" responsive_align="text-center"][ld_header_custom_menu cm_source="custom" cm_inline="inline-nav" cm_items="%5B%7B%22label%22%3A%22contact%40hub.com%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%5D" cm_spacing="0" cm_color="rgb(0, 0, 0)" cm_hcolor="rgba(0, 0, 0, 0.65)"][/vc_column][vc_column width="1/3" responsive_align="text-center"][ld_header_scroll_indicator primary_color="rgb(0, 0, 0)" bar_color="rgba(0, 0, 0, 0.3)"][/vc_column][/vc_row][vc_row][vc_column][ld_modal_window modal_type="fullscreen" title="Get in touch" el_id="header-contact-modal"][vc_row_inner gap="0"][vc_column_inner][ld_google_map style="classic" map_marker="html_marker" si_style="" si_size="" si_border="" zoom="14" map_controls="fullscreenControl" address="Gateway Battery Park City Apartment" map_height="340px"][/vc_column_inner][/vc_row_inner][vc_row_inner content_placement="middle" responsive_css="padding_top_medium:80px|padding_bottom_medium:80px" css=".vc_custom_1608199084580{padding-top: 60px !important;padding-bottom: 60px !important;}"][vc_column_inner width="1/2" responsive_css="margin_bottom_medium:0px|padding_right_medium:60px|padding_left_medium:60px|padding_top_small:55px|padding_right_small:20px|padding_bottom_small:35px|padding_left_small:20px" css=".vc_custom_1608199163750{margin-bottom: 30px !important;border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 45px !important;padding-right: 20px !important;padding-bottom: 25px !important;padding-left: 20px !important;border-left-color: #dddddd !important;border-left-style: solid !important;border-right-color: #dddddd !important;border-right-style: solid !important;border-top-color: #dddddd !important;border-top-style: solid !important;border-bottom-color: #dddddd !important;border-bottom-style: solid !important;border-radius: 3px !important;}"][ld_fancy_heading use_custom_fonts_title="true" fs="text_small:34px" fw="text_small:500"]Get in touch[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:2.5em"]We are here to answer any question you may have. Feel free to reach via contact form.[/ld_fancy_heading][ld_icon_box i_type="fontawesome" heading_size="custom" heading_weight="font-weight-normal" position="iconbox-side" i_icon_fontawesome="fas fa-map-marker-alt" title="290 Maryam Springs 260,`{`ld_br`}`Courbevoie, Paris" custom_heading_size="15px" icon_size="16px" icon_mb="15" i_color="rgb(204, 204, 204)" h_color="rgba(0, 0, 0, 0.6)" css=".vc_custom_1608198980988{margin-bottom: 10px !important;}"][/ld_icon_box][ld_icon_box i_type="fontawesome" heading_size="custom" heading_weight="font-weight-normal" position="iconbox-side" i_icon_fontawesome="fas fa-envelope" title="Email: hello@liquid-themes.com" custom_heading_size="15px" icon_size="16px" icon_mb="15" i_color="rgb(204, 204, 204)" h_color="rgba(0, 0, 0, 0.6)" css=".vc_custom_1608198973172{margin-bottom: 10px !important;}"][/ld_icon_box][ld_icon_box i_type="fontawesome" heading_size="custom" heading_weight="font-weight-normal" position="iconbox-side" i_icon_fontawesome="fas fa-mobile" title="Phone: +47 213 5941 295" custom_heading_size="15px" icon_size="16px" icon_mb="15" i_color="rgb(204, 204, 204)" h_color="rgba(0, 0, 0, 0.6)" css=".vc_custom_1608198966267{margin-bottom: 10px !important;}"][/ld_icon_box][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-offset-1 vc_col-md-5" responsive_css="padding_right_medium:12%25"][ld_cf7 id="4834" shape="lqd-contact-form-inputs-filled" roundness="lqd-contact-form-inputs-round" btn_width="lqd-contact-form-button-block" btn_roundness="lqd-contact-form-button-round" use_custom_fonts_input="true" use_custom_fonts_submit="true" fs="13px" submit_fs="14px" lqd_bg_color="rgb(247, 248, 248)" color="rgb(123, 131, 142)" h_color="rgb(0, 0, 0)" css=".vc_custom_1613477398225{margin-bottom: 0px !important;}"][/vc_column_inner][/vc_row_inner][/ld_modal_window][/vc_column][/vc_row][vc_row][vc_column][vc_column_text]</p>
<p>[/vc_column_text][/vc_column][/vc_row]</p>

CONTENT;
	$templates[] = $data;

	//Header 25 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Header 25', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'header-25.jpg' );
	$data['sort_name'] = 'Header';
	$data['custom_class'] = 'general header';
	$data['content'] = <<<CONTENT
	<p>[vc_row header_full_width="yes" css=".vc_custom_1611138646310{padding-top: 30px !important;padding-right: 30px !important;padding-left: 30px !important;}"][vc_column width="1/3"][ld_header_image][/vc_column][vc_column width="1/3"][/vc_column][vc_column width="1/3" align="text-right" responsive_align="text-lg-right"][ld_header_menu hover_style="underline-1" visible="navbar-visible-ontoggle" padding_top="10" padding_right="15" padding_bottom="10" padding_left="15" local_scroll="true" menu_slug="primary" link_color="rgb(48, 48, 48)" link_hcolor="rgb(0, 0, 0)"][ld_header_trigger style="style-2" position="txt-left" trigger_fill="solid" trigger_shape="circle" text="Menu" trigger_color_hover="rgb(0, 0, 0)" shape_color="rgba(255, 255, 255, 0)" shape_hover_color="rgb(255, 255, 255)" trigger_color_active="rgb(0, 0, 0)" shape_active_color="rgb(255, 255, 255)" sticky_dark_trigger_color_active="rgb(0, 0, 0)" trigger_text_color="rgb(255, 255, 255)" sticky_dark_trigger_color_hover="rgb(0, 0, 0)"][/vc_column][/vc_row][vc_row sticky_bar="yes" stickybar_placement="lqd-stickybar-left" header_type="secondarybar" css=".vc_custom_1600333401264{padding-left: 35px !important;}"][vc_column width="1/3"][/vc_column][vc_column width="1/3" align="text-center" responsive_align="text-center"][ld_header_button ib_style="btn-naked" ib_title="contact@hub.com" ib_color="rgb(255, 255, 255)" ib_hover_color="rgba(255, 255, 255, 0.7)"][/vc_column][vc_column width="1/3"][/vc_column][/vc_row][vc_row sticky_bar="yes" stickybar_placement="lqd-stickybar-right" header_type="secondarybar" css=".vc_custom_1600333407863{padding-right: 35px !important;}"][vc_column width="1/3"][/vc_column][vc_column width="1/3" align="text-center" responsive_align="text-center"][ld_header_scroll_indicator][/vc_column][vc_column width="1/3"][/vc_column][/vc_row]</p>
CONTENT;
	$templates[] = $data;

	//Header 26 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Header 26', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'header-26.jpg' );
	$data['sort_name'] = 'Header';
	$data['custom_class'] = 'general header';
	$data['content'] = <<<CONTENT
	<p>[vc_row header_full_width="yes" css=".vc_custom_1607337070526{padding-right: 1.5vw !important;padding-left: 1.5vw !important;}"][vc_column width="1/3"][ld_header_image padding_top="30" padding_right="0" padding_bottom="30" padding_left="0" sticky_padding_top="0" sticky_padding_right="0" sticky_padding_bottom="0" sticky_padding_left="0"][/vc_column][vc_column width="1/3" responsive_align="text-center"][ld_header_menu hover_style="fade-inactive" padding_top="10" padding_right="25" padding_bottom="10" padding_left="25" use_custom_fonts_menu="true" menu_slug="primary" fs="16px" link_color="rgb(255, 255, 255)" link_hcolor="rgb(255, 255, 255)"][/vc_column][vc_column width="1/3" align="text-right" responsive_align="text-lg-right"][ld_header_text]<span style="color: #ffffff;">+ 1 373 38 87</span>[/ld_header_text][ld_header_button ib_style="btn-default" ib_title="Free Consultation" ib_link_type="modal_window" ib_shape="circle" ib_size="btn-sm" ib_border="border-thick" ib_fs="text_small:15px" ib_lh="text_small:1em" ib_color="rgb(255, 255, 255)" ib_hover_color="rgb(255, 255, 255)" ib_text_color="rgb(255, 255, 255)" ib_htext_color="rgb(0, 0, 0)" ib_css=".vc_custom_1615378344273{margin-left: 12px !important;}" sticky_color="rgba(0, 0, 0, 0.15)" sticky_text_color="rgb(0, 0, 0)" sticky_hover_color="rgb(0, 0, 0)" sticky_htext_color="rgb(255, 255, 255)" ib_anchor_id="#header-contact-modal"][/vc_column][/vc_row][vc_row][vc_column][ld_modal_window modal_type="fullscreen" el_id="header-contact-modal"][vc_row_inner full_width="" equal_height="yes" content_placement="middle" bg_position="center center" responsive_css="padding_top_medium:80px|padding_bottom_medium:80px" css=".vc_custom_1615378366524{padding-top: 60px !important;padding-bottom: 60px !important;background-image: url(https://businessstartuppro.liquid-themes.com/wp-content/uploads/2021/03/bg-2@2x-scaled-1.jpeg?id=475) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" el_class="h-vh-100 align-items-center"][vc_column_inner width="1/2" css=".vc_custom_1615219219533{margin-bottom: 30px !important;}" responsive_css="padding_right_medium:10%25"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_large:122px|text_medium:48px|text_small:34px" fw="text_small:500" color="rgb(0, 0, 0)" lh="text_medium:0.75em|text_small:1em" margin="bottom_small:0.5em"]Send a <span style="font-family: 'DM Serif Text', serif; font-style: italic;">message.</span>[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:2.5em"]We’re here to answer any question you may have.[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/2" responsive_css="padding_top_medium:45px|padding_right_medium:65px|padding_bottom_medium:45px|padding_left_medium:65px" css=".vc_custom_1615219159553{margin-bottom: -130px !important;background-color: #ffffff !important;border-radius: 10px !important;}"][ld_cf7 id="474" shape="lqd-contact-form-inputs-underlined" btn_size="lqd-contact-form-button-lg" btn_width="lqd-contact-form-button-block" use_custom_fonts_input="true" use_custom_fonts_submit="true" fs="13px" submit_fs="17px" color="rgb(0, 0, 0)" h_color="rgb(0, 0, 0)" css=".vc_custom_1615378348383{margin-bottom: 0px !important;}" submit_fw="500" border_color="rgba(0, 0, 0, 0.12)" hover_border_color="rgb(0, 0, 0)" submit_lh="1.5em" bm="13px"][/vc_column_inner][vc_column_inner width="1/4"][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" fs="text_small:13px" fw="text_small:700" ls="text_small:0.1em" margin="bottom_small:1.25em" color="rgb(0, 0, 0)"]careers[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px" lh="text_small:1.18em" margin="bottom_small:0.75em" color="rgb(0, 0, 0)"]Would you like to join our growing team?[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px" lh="text_small:1.18em" fw="text_small:700" color="rgb(0, 0, 0)"]careers@hub.com[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/4"][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" fs="text_small:13px" fw="text_small:700" ls="text_small:0.1em" margin="bottom_small:1.25em" color="rgb(0, 0, 0)"]Feedbacks[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px" lh="text_small:1.18em" margin="bottom_small:0.75em" color="rgb(0, 0, 0)"]Have a project in mind? Send a message.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px" lh="text_small:1.18em" fw="text_small:700" color="rgb(0, 0, 0)"]info@hub.com[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_modal_window][/vc_column][/vc_row]</p>
CONTENT;
	$templates[] = $data;

	//Header 27 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Header 27', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'header-27.jpg' );
	$data['sort_name'] = 'Header';
	$data['custom_class'] = 'general header';
	$data['content'] = <<<CONTENT
	<p>[vc_row header_full_width="yes" hide_on_sticky="lqd-hide-onstuck" header_type="secondarybar" css=".vc_custom_1609707468110{padding-right: 40px !important;padding-left: 40px !important;background-color: #002839 !important;}"][vc_column width="1/2"][ld_header_image padding_top="25" padding_right="0" padding_bottom="25" padding_left="0" sticky_padding_top="30" sticky_padding_right="0" sticky_padding_bottom="30" sticky_padding_left="0"][ld_header_woo_search enable_ajax="on" enable_category_dropdown="on" show_on_mobile="lqd-show-on-mobile"][/vc_column][vc_column header_col_width="col-auto" width="1/2" align="text-right" responsive_align="text-right"][ld_header_dropdown source="custom" use_custom_fonts_trigger="true" trigger_label="English / USD" trigger_fs="12px" trigger_lh="1.5em" items="%5B%7B%22label%22%3A%22English%20%2F%20GBP%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22label%22%3A%22UAE%20%2F%20AED%22%2C%22url%22%3A%22%23%22%7D%5D" trigger_color="rgb(255, 255, 255)" color="rgb(0, 0, 0)" hcolor="rgba(0, 0, 0, 0.8)" trigger_ls="0.07em"][ld_header_spacing height="7"][ld_header_custom_menu cm_inline="inline-nav" cm_use_custom_fonts_menu="true" cm_menu_slug="header-secondary-menu" cm_spacing="13" cm_fs="13px" cm_color="rgba(255, 255, 255, 0.87)" cm_hcolor="rgb(255, 255, 255)" cm_ls="0.03em"][/vc_column][/vc_row][vc_row header_full_width="yes" css=".vc_custom_1609707481474{padding-right: 40px !important;padding-left: 40px !important;background-color: #002e42 !important;}"][vc_column width="1/2"][ld_header_image sticky_show_onsticky="lqd-show-onstuck" padding_top="25" padding_right="0" padding_bottom="25" padding_left="0" sticky_padding_top="30" sticky_padding_right="0" sticky_padding_bottom="30" sticky_padding_left="0"][ld_header_custom_menu cm_add_toggle="yes" cm_i_type="linea" cm_use_custom_fonts_list="true" cm_use_custom_fonts_menu="true" cm_menu_slug="side-nav" cm_toggle_button_text="All Categories" cm_i_icon_linea="lqd-icn-ess icon-lqd-dots-alt" cm_fs_button="15px" cm_color="rgb(0, 46, 66)" cm_hcolor="rgb(0, 46, 66)" cm_bg_color="rgb(255, 255, 255)" cm_toggle_color="rgb(255, 255, 255)" cm_border_color="rgb(237, 244, 247)" cm_fs="16px" cm_lh="1.25em" cm_bg_hcolor="rgb(237, 244, 247)" cm_sticky_color="rgb(0, 46, 66)" cm_sticky_hcolor="rgb(0, 46, 66)" cm_fw_button="500" cm_ls_button="0.02em"][ld_header_separator left_margin="20" right_margin="10" sep_width="1px" sep_color="rgba(255, 255, 255, 0.21)"][ld_header_menu hover_style="fade-inactive" padding_top="15" padding_right="15" padding_bottom="15" padding_left="15" ddmenu_hover_style="lqd-submenu-default-style" use_custom_fonts_menu="true" menu_slug="primary" fs="15px" link_color="rgb(255, 255, 255)" link_hcolor="rgb(255, 255, 255)" fw="500" ls="0.02em"][/vc_column][vc_column header_col_width="col-auto" width="1/2" align="text-right" responsive_align="text-right"][ld_header_cart i_type="linea" i_icon_linea="lqd-icn-ess icon-ld-cart" i_color="rgb(255, 255, 255)" primary_color="rgb(255, 255, 255)" badge_bgcolor="rgb(239, 55, 54)"][/vc_column][/vc_row]</p>
CONTENT;
	$templates[] = $data;

	//Header 28 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Header 28', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'header-28.jpg' );
	$data['sort_name'] = 'Header';
	$data['custom_class'] = 'general header';
	$data['content'] = <<<CONTENT
CONTENT;
	$templates[] = $data;

	//Header 29 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Header 29', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'header-29.jpg' );
	$data['sort_name'] = 'Header';
	$data['custom_class'] = 'general header';
	$data['content'] = <<<CONTENT
	<p>[vc_row header_full_width="yes" css=".vc_custom_1588954256551{padding-right: 25px !important;padding-left: 25px !important;}"][vc_column width="1/3"][ld_header_image padding_top="30" padding_right="0" padding_bottom="30" padding_left="0" sticky_padding_top="20" sticky_padding_right="0" sticky_padding_bottom="20" sticky_padding_left="0"][/vc_column][vc_column width="1/3"][ld_header_menu padding_top="20" padding_right="20" padding_bottom="10" padding_left="20" ddmenu_hover_style="lqd-submenu-cover" use_custom_fonts_menu="true" local_scroll="true" use_custom_fonts_ddmenu="true" menu_slug="primary" fs="16px" link_color="rgb(0, 0, 0)" link_hcolor="rgba(0, 0, 0, 0.7)" fw="500" ls="0.01em" dd_fs="14px"][/vc_column][vc_column width="1/3" align="text-right" responsive_align="text-lg-right"][ld_header_button ib_style="btn-naked" ib_title="Let's Chat" ib_link_type="modal_window" ib_hover_txt_effect="btn-hover-txt-liquid-x-alt" ib_i_type="linea" ib_i_shape="btn-icon-circle" ib_i_shape_style="btn-icon-solid" ib_i_shape_size="btn-icon-custom-size" ib_enable_icon_shadowbox="yes" ib_i_add_icon="true" ib_i_icon_linea="lqd-icn-ess icon-lqd-pen" ib_i_shape_custom_size="46px" ib_color="rgb(0, 0, 0)" ib_i_color="rgb(255, 255, 255)" ib_fs="text_small:16px" ib_i_hcolor="rgb(0, 0, 0)" ib_i_fill_color="rgb(117, 29, 216)" ib_i_fill_hcolor="rgb(255, 255, 255)" ib_icon_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2215px%22%2C%22blur_radius%22%3A%2225px%22%2C%22shadow_color%22%3A%22rgba(0%2C0%2C0%2C0.05)%22%7D%5D" ib_h_icon_box_shadow="%5B%7B%7D%5D" ib_anchor_id="#header-contact-modal"][/vc_column][/vc_row][vc_row show_on_sticky="lqd-show-onstuck" sticky_bar="yes" stickybar_placement="lqd-stickybar-left" header_type="secondarybar" css=".vc_custom_1588935327772{margin-left: 25px !important;}"][vc_column width="1/3"][/vc_column][vc_column width="1/3" align="text-center" responsive_align="text-center"][ld_header_custom_menu cm_source="custom" cm_inline="inline-nav" cm_use_custom_fonts_menu="true" cm_items="%5B%7B%22label%22%3A%22En.%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22fr.%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Ge.%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%5D" cm_spacing="14" cm_fs="18px" cm_color="rgb(0, 0, 0)" cm_hcolor="rgba(0, 0, 0, 0.7)"][/vc_column][vc_column width="1/3"][/vc_column][/vc_row][vc_row show_on_sticky="lqd-show-onstuck" sticky_bar="yes" stickybar_placement="lqd-stickybar-right" header_type="secondarybar" css=".vc_custom_1588935324188{margin-right: 25px !important;}"][vc_column width="1/3"][/vc_column][vc_column width="1/3" align="text-center" responsive_align="text-center"][ld_header_scroll_indicator primary_color="rgb(0, 0, 0)" bar_color="rgba(0, 0, 0, 0.3)"][/vc_column][vc_column width="1/3"][/vc_column][/vc_row][vc_row][vc_column][ld_modal_window modal_type="fullscreen" el_id="header-contact-modal"][vc_row_inner full_width="" equal_height="yes" content_placement="middle" bg_position="center center" responsive_css="padding_top_medium:80px|padding_bottom_medium:80px" css=".vc_custom_1619616838527{padding-top: 60px !important;padding-bottom: 60px !important;background-image: url(https://digitalstudiopro.liquid-themes.com/wp-content/uploads/2021/04/bg-2@2x-scaled-1.jpeg?id=4906) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" el_class="h-vh-100 align-items-center"][vc_column_inner width="1/2" css=".vc_custom_1615219219533{margin-bottom: 30px !important;}" responsive_css="padding_right_medium:10%25"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_large:122px|text_medium:48px|text_small:34px" fw="text_small:500" color="rgb(0, 0, 0)" lh="text_medium:0.75em|text_small:1em" margin="bottom_small:0.5em"]Send a <span style="font-family: 'DM Serif Text', serif; font-style: italic;">message.</span>[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:2.5em"]We’re here to answer any question you may have.[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/2" responsive_css="padding_top_medium:45px|padding_right_medium:65px|padding_bottom_medium:45px|padding_left_medium:65px" css=".vc_custom_1615219159553{margin-bottom: -130px !important;background-color: #ffffff !important;border-radius: 10px !important;}"][ld_cf7 id="4908" shape="lqd-contact-form-inputs-underlined" btn_size="lqd-contact-form-button-lg" btn_width="lqd-contact-form-button-block" use_custom_fonts_input="true" use_custom_fonts_submit="true" fs="13px" submit_fs="17px" color="rgb(0, 0, 0)" h_color="rgb(0, 0, 0)" css=".vc_custom_1619617080084{margin-bottom: 0px !important;}" submit_fw="500" border_color="rgba(0, 0, 0, 0.12)" hover_border_color="rgb(0, 0, 0)" submit_lh="1.5em" bm="13px"][/vc_column_inner][vc_column_inner width="1/4"][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" fs="text_small:13px" fw="text_small:700" ls="text_small:0.1em" margin="bottom_small:1.25em" color="rgb(0, 0, 0)"]careers[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px" lh="text_small:1.18em" margin="bottom_small:0.75em" color="rgb(0, 0, 0)"]Would you like to join our growing team?[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px" lh="text_small:1.18em" fw="text_small:700" color="rgb(0, 0, 0)"]careers@hub.com[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/4"][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" fs="text_small:13px" fw="text_small:700" ls="text_small:0.1em" margin="bottom_small:1.25em" color="rgb(0, 0, 0)"]Feedbacks[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px" lh="text_small:1.18em" margin="bottom_small:0.75em" color="rgb(0, 0, 0)"]Have a project in mind? Send a message.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px" lh="text_small:1.18em" fw="text_small:700" color="rgb(0, 0, 0)"]info@hub.com[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_modal_window][/vc_column][/vc_row]</p>

CONTENT;
	$templates[] = $data;

	//Header 30 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Header 30', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'header-30.jpg' );
	$data['sort_name'] = 'Header';
	$data['custom_class'] = 'general header';
	$data['content'] = <<<CONTENT
	<p>[vc_row header_full_width="yes" css=".vc_custom_1622106381610{padding-right: 25px !important;padding-left: 25px !important;}"][vc_column width="1/3"][ld_header_image uselogo="" padding_top="30" padding_right="0" padding_bottom="30" padding_left="0" sticky_padding_top="17" sticky_padding_right="0" sticky_padding_bottom="17" sticky_padding_left="0" image="12"][/vc_column][vc_column width="1/3" align="text-right" responsive_align="text-lg-right"][ld_header_menu hover_style="fade-inactive" padding_top="10" padding_right="22" padding_bottom="10" padding_left="22" ddmenu_hover_style="lqd-submenu-default-style" use_custom_fonts_menu="true" local_scroll="true" use_custom_fonts_ddmenu="true" menu_slug="primary" link_color="rgb(21, 81, 83)" link_hcolor="rgb(21, 81, 83)" fw="500" fs="14px" dd_fs="14px" dd_fw="500" sticky_link_active_color="rgb(21, 81, 83)" sticky_link_color="rgb(21, 81, 83)"][/vc_column][vc_column width="1/3" responsive_align="text-right"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(21, 81, 83)" fs="text_small:14px" fw="text_small:700" margin="right_small:20px"]+ 1 373 38 87[/ld_fancy_heading][ld_header_sidedrawer trigger_style="style-3" trigger_fill="bordered" trigger_shape="circle" drawer_width="445px" trigger_color="rgb(0, 0, 0)" shape_color="rgba(0, 0, 0, 0.15)"][ld_header_image][ld_fancy_heading tag="h3" margin="top_small:0.8em|bottom_small:0.5em"]Contact Us[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(134, 147, 158)" fs="text_small:16px" lh="text_small:1.625em" margin="bottom_small:1em"]Great things in business are never done one. They're done by a team of people.[/ld_fancy_heading][vc_separator color="custom" accent_color="rgb(221, 221, 221)" css=".vc_custom_1622021366659{margin-top: 35px !important;margin-bottom: 0px !important;}"][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" color="rgba(15, 64, 100, 0.47)" fs="text_small:12px" ls="text_small:0.1em" margin="top_small:3em|bottom_small:2.25em"]Need Help?[/ld_fancy_heading][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" color="rgba(15, 64, 100, 0.6)" fs="text_small:9px" ls="text_small:0.1em" margin="bottom_small:1em"]Email us directly[/ld_fancy_heading][ld_fancy_heading tag="h6" use_custom_fonts_title="true" fs="text_small:18px" margin="bottom_small:2em"]info@liquid.com[/ld_fancy_heading][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" color="rgba(15, 64, 100, 0.6)" fs="text_small:9px" ls="text_small:0.1em" margin="bottom_small:1em"]Call us directly[/ld_fancy_heading][ld_fancy_heading tag="h6" use_custom_fonts_title="true" fs="text_small:18px" margin="bottom_small:2.75em"](123) 567 8901[/ld_fancy_heading][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" color="rgba(15, 64, 100, 0.6)" fs="text_small:9px" ls="text_small:0.1em" margin="bottom_small:1em"]Social Network[/ld_fancy_heading][ld_header_social_icons style="" size="social-icon-lg" identities="%5B%7B%22network%22%3A%22fa-facebook-square%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-twitter%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-medium%22%2C%22url%22%3A%22%23%22%7D%5D" font_size="23px" primary_color="rgba(15, 64, 100, 0.65)" hover_color="rgb(15, 64, 100)"][vc_separator color="custom" accent_color="rgb(221, 221, 221)" css=".vc_custom_1622021378318{margin-top: 35px !important;margin-bottom: 30px !important;}"][ld_header_button ib_style="btn-solid" ib_title="Request a Quote" ib_link_type="modal_window" ib_shape="circle" ib_size="btn-lg" ib_border="border-none" ib_hover_txt_effect="btn-hover-txt-switch btn-hover-txt-switch-y" ib_i_type="linea" ib_i_shape="btn-icon-circle" ib_i_shape_style="btn-icon-solid" ib_i_shape_size="btn-icon-custom-size" ib_i_add_icon="true" ib_i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-forward" ib_i_shape_custom_size="35px" ib_color="rgba(15, 64, 100, 0.08)" ib_i_fill_color="rgba(15, 64, 100, 0.13)" ib_text_color="rgb(15, 64, 100)" ib_i_fill_hcolor="rgba(255, 255, 255, 0.15)" ib_anchor_id="#contact-modal" ib_lh="text_small:2.5em"][/ld_header_sidedrawer][/vc_column][/vc_row][vc_row show_on_sticky="lqd-show-onstuck" sticky_bar="yes" stickybar_placement="lqd-stickybar-right" css=".vc_custom_1622184351445{padding-bottom: 90px !important;}"][vc_column responsive_align="text-right"][ld_header_button ib_style="btn-naked" ib_link_type="modal_window" ib_i_type="linea" ib_i_shape="btn-icon-circle" ib_i_shape_style="btn-icon-solid" ib_i_shape_size="btn-icon-custom-size" ib_enable_icon_shadowbox="yes" ib_i_add_icon="true" ib_i_icon_linea="lqd-icn-ess icon-speech-bubble" ib_i_size="21px" ib_i_shape_custom_size="57px" ib_i_margin_left="0px" ib_i_margin_right="0px" ib_color="rgb(28, 78, 78)" ib_i_color="rgb(255, 255, 255)" ib_anchor_id="#contact-modal" ib_icon_box_shadow="%5B%7B%7D%5D" ib_h_icon_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%228px%22%2C%22blur_radius%22%3A%2232px%22%2C%22shadow_color%22%3A%22rgba(0%2C0%2C0%2C0.18)%22%7D%5D"][/vc_column][/vc_row][vc_row css=".vc_custom_1621865719728{margin-top: -2px !important;}"][vc_column][ld_modal_window modal_type="fullscreen" el_id="contact-modal"][vc_row_inner full_width="" equal_height="yes" content_placement="middle" bg_position="center center" responsive_css="padding_top_medium:80px|padding_bottom_medium:80px" css=".vc_custom_1622023069310{padding-top: 60px !important;padding-bottom: 60px !important;background-image: url(https://staging.liquid-themes.com/lawyer/wp-content/uploads/2021/05/bg-2@2x-scaled-1.jpeg?id=40) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" el_class="h-vh-100 align-items-center"][vc_column_inner width="1/2" css=".vc_custom_1615219219533{margin-bottom: 30px !important;}" responsive_css="padding_right_medium:10%25"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_large:122px|text_medium:48px|text_small:34px" fw="text_small:500" color="rgb(0, 0, 0)" lh="text_medium:0.75em|text_small:1em" margin="bottom_small:0.5em"]Send a <span style="font-family: 'DM Serif Text', serif; font-style: italic;">message.</span>[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:2.5em"]We’re here to answer any question you may have.[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/2" responsive_css="padding_top_medium:45px|padding_right_medium:65px|padding_bottom_medium:45px|padding_left_medium:65px" css=".vc_custom_1615219159553{margin-bottom: -130px !important;background-color: #ffffff !important;border-radius: 10px !important;}"][ld_cf7 id="39" shape="lqd-contact-form-inputs-underlined" btn_size="lqd-contact-form-button-lg" btn_width="lqd-contact-form-button-block" use_custom_fonts_input="true" use_custom_fonts_submit="true" fs="13px" submit_fs="17px" color="rgb(0, 0, 0)" h_color="rgb(0, 0, 0)" css=".vc_custom_1622023073690{margin-bottom: 0px !important;}" submit_fw="500" border_color="rgba(0, 0, 0, 0.12)" hover_border_color="rgb(0, 0, 0)" submit_lh="1.5em" bm="13px"][/vc_column_inner][vc_column_inner width="1/4"][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" fs="text_small:13px" fw="text_small:700" ls="text_small:0.1em" margin="bottom_small:1.25em" color="rgb(0, 0, 0)"]careers[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px" lh="text_small:1.18em" margin="bottom_small:0.75em" color="rgb(0, 0, 0)"]Would you like to join our growing team?[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px" lh="text_small:1.18em" fw="text_small:700" color="rgb(0, 0, 0)"]careers@hub.com[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/4"][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" fs="text_small:13px" fw="text_small:700" ls="text_small:0.1em" margin="bottom_small:1.25em" color="rgb(0, 0, 0)"]Feedbacks[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px" lh="text_small:1.18em" margin="bottom_small:0.75em" color="rgb(0, 0, 0)"]Have a project in mind? Send a message.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px" lh="text_small:1.18em" fw="text_small:700" color="rgb(0, 0, 0)"]info@hub.com[/ld_fancy_heading][/vc_column_inner][vc_column_inner][/vc_column_inner][/vc_row_inner][/ld_modal_window][/vc_column][/vc_row]</p>

CONTENT;
	$templates[] = $data;

	//Header 31 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Header 31', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'header-31.jpg' );
	$data['sort_name'] = 'Header';
	$data['custom_class'] = 'general header';
	$data['content'] = <<<CONTENT
	<p>[vc_row header_full_width="yes" css=".vc_custom_1621841606863{padding-right: 25px !important;padding-left: 25px !important;}"][vc_column width="1/3"][ld_header_image padding_top="22" padding_right="0" padding_bottom="22" padding_left="0" sticky_padding_top="17" sticky_padding_right="0" sticky_padding_bottom="17" sticky_padding_left="0"][/vc_column][vc_column width="1/3"][ld_header_menu padding_top="10" padding_right="20" padding_bottom="10" padding_left="20" ddmenu_hover_style="lqd-submenu-default-style" use_custom_fonts_menu="true" local_scroll="true" menu_slug="primary" link_color="rgb(16, 58, 64)" link_hcolor="rgba(16, 58, 64, 0.75)" fw="500"][/vc_column][vc_column width="1/3" align="text-right" responsive_align="text-lg-right"][ld_header_sidedrawer trigger_style="style-3" trigger_fill="bordered" trigger_shape="circle" drawer_width="445px" trigger_color="rgb(0, 0, 0)" shape_color="rgba(112, 112, 112, 0.12)"][ld_header_image][ld_fancy_heading tag="h3" margin="top_small:0.8em|bottom_small:0.5em"]Contact Us[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(134, 147, 158)" fs="text_small:16px" lh="text_small:1.625em" margin="bottom_small:1em"]Great things in business are never done one. They're done by a team of people.[/ld_fancy_heading][vc_separator color="custom" accent_color="rgb(221, 221, 221)" css=".vc_custom_1622021366659{margin-top: 35px !important;margin-bottom: 0px !important;}"][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" color="rgba(15, 64, 100, 0.47)" fs="text_small:12px" ls="text_small:0.1em" margin="top_small:3em|bottom_small:2.25em"]Need Help?[/ld_fancy_heading][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" color="rgba(15, 64, 100, 0.6)" fs="text_small:9px" ls="text_small:0.1em" margin="bottom_small:1em"]Email us directly[/ld_fancy_heading][ld_fancy_heading tag="h4" use_custom_fonts_title="true" fs="text_small:18px" margin="bottom_small:2em"]info@liquid.com[/ld_fancy_heading][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" color="rgba(15, 64, 100, 0.6)" fs="text_small:9px" ls="text_small:0.1em" margin="bottom_small:1em"]Call us directly[/ld_fancy_heading][ld_fancy_heading tag="h4" use_custom_fonts_title="true" fs="text_small:18px" margin="bottom_small:2.75em"](123) 567 8901[/ld_fancy_heading][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" color="rgba(15, 64, 100, 0.6)" fs="text_small:9px" ls="text_small:0.1em" margin="bottom_small:1em"]Social Network[/ld_fancy_heading][ld_header_social_icons style="" size="social-icon-lg" identities="%5B%7B%22network%22%3A%22fa-facebook-square%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-twitter%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-medium%22%2C%22url%22%3A%22%23%22%7D%5D" font_size="23px" primary_color="rgba(15, 64, 100, 0.65)" hover_color="rgb(15, 64, 100)"][vc_separator color="custom" accent_color="rgb(221, 221, 221)" css=".vc_custom_1622021378318{margin-top: 35px !important;margin-bottom: 30px !important;}"][ld_header_button ib_style="btn-solid" ib_title="Request a Quote" ib_shape="circle" ib_border="border-none" ib_hover_txt_effect="btn-hover-txt-switch btn-hover-txt-switch-y" ib_i_type="linea" ib_i_shape="btn-icon-circle" ib_i_shape_style="btn-icon-solid" ib_i_shape_size="btn-icon-custom-size" ib_i_add_icon="true" ib_link="url:%23|||" ib_i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-forward" ib_i_shape_custom_size="35px" ib_color="rgba(15, 64, 100, 0.08)" ib_i_fill_color="rgba(15, 64, 100, 0.13)" ib_text_color="rgb(15, 64, 100)" ib_fs="text_small:17px" ib_i_fill_hcolor="rgba(255, 255, 255, 0.15)"][/ld_header_sidedrawer][ld_header_button ib_style="btn-solid" ib_title="Contact Us" ib_link_type="modal_window" ib_shape="circle" ib_size="btn-sm" ib_border="border-none" ib_hover_txt_effect="btn-hover-txt-switch btn-hover-txt-switch-y" ib_i_type="linea" ib_i_shape="btn-icon-circle" ib_i_shape_style="btn-icon-solid" ib_i_shape_size="btn-icon-custom-size" ib_i_add_icon="true" ib_i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-forward" ib_i_size="12px" ib_i_shape_custom_size="27px" ib_i_color="rgb(255, 255, 255)" ib_i_fill_color="rgba(255, 255, 255, 0.13)" ib_fs="text_small:13px" ib_i_margin_left="12px" ib_anchor_id="#contact-modal"][/vc_column][/vc_row][vc_row sticky_bar="yes" stickybar_placement="lqd-stickybar-right" header_type="secondarybar" css=".vc_custom_1621865898396{padding-bottom: 80px !important;}"][vc_column width="1/3"][/vc_column][vc_column width="1/3"][/vc_column][vc_column width="1/3" responsive_align="text-right"][ld_header_button ib_style="btn-solid" ib_title="Contact us" ib_link_type="modal_window" ib_shape="circle" ib_size="btn-sm" ib_border="border-none" ib_hover_txt_effect="btn-hover-txt-switch btn-hover-txt-switch-y" ib_i_type="linea" ib_i_position="left" ib_enable_row_shadowbox="yes" ib_i_add_icon="true" ib_anchor_id="#contact-modal" ib_i_icon_linea="lqd-icn-ess icon-speech-bubble" ib_i_margin_right="11px" ib_color="rgb(255, 255, 255)" ib_fs="text_small:15px" ib_i_size="25px" ib_text_color="rgb(64, 84, 103)" ib_button_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2220px%22%2C%22blur_radius%22%3A%2244px%22%2C%22shadow_color%22%3A%22rgba(72%2C119%2C175%2C0.18)%22%7D%5D" ib_hover_button_box_shadow="%5B%7B%7D%5D" ib_el_class="btn-no-rotate"][/vc_column][/vc_row]</p>
CONTENT;
	$templates[] = $data;

	//Header 32 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Header 32', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'header-32.jpg' );
	$data['sort_name'] = 'Header';
	$data['custom_class'] = 'general header';
	$data['content'] = <<<CONTENT
	<p>[vc_row header_full_width="yes" css=".vc_custom_1622022614347{border-bottom-width: 1px !important;padding-right: 25px !important;padding-left: 25px !important;border-bottom-color: rgba(255,255,255,0.3) !important;border-bottom-style: solid !important;}"][vc_column width="1/3"][ld_header_image padding_top="30" padding_right="0" padding_bottom="30" padding_left="0" sticky_padding_top="15" sticky_padding_right="0" sticky_padding_bottom="15" sticky_padding_left="0"][/vc_column][vc_column width="1/3" align="text-right" responsive_align="text-lg-right"][ld_header_menu hover_style="fade-inactive" padding_top="10" padding_right="22" padding_bottom="10" padding_left="22" ddmenu_hover_style="lqd-submenu-default-style" use_custom_fonts_menu="true" local_scroll="true" use_custom_fonts_ddmenu="true" menu_slug="primary" link_color="rgb(255, 255, 255)" link_hcolor="rgb(255, 255, 255)" fw="500" fs="14px" dd_fs="14px" dd_fw="500"][/vc_column][vc_column width="1/3" responsive_align="text-right"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:14px" fw="text_small:700" margin="right_small:20px"]+ 1 373 38 87[/ld_fancy_heading][ld_header_sidedrawer trigger_style="style-3" trigger_fill="solid" trigger_shape="circle" drawer_width="445px" trigger_color="rgb(0, 0, 0)" shape_color="rgb(255, 255, 255)" sticky_shape_color="rgba(35, 42, 59, 0.05)"][ld_header_image][ld_fancy_heading tag="h3" margin="top_small:0.8em|bottom_small:0.5em"]Contact Us[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(134, 147, 158)" fs="text_small:16px" lh="text_small:1.625em" margin="bottom_small:1em"]Great things in business are never done one. They're done by a team of people.[/ld_fancy_heading][vc_separator color="custom" accent_color="rgb(221, 221, 221)" css=".vc_custom_1622021366659{margin-top: 35px !important;margin-bottom: 0px !important;}"][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" color="rgba(15, 64, 100, 0.47)" fs="text_small:12px" ls="text_small:0.1em" margin="top_small:3em|bottom_small:2.25em"]Need Help?[/ld_fancy_heading][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" color="rgba(15, 64, 100, 0.6)" fs="text_small:9px" ls="text_small:0.1em" margin="bottom_small:1em"]Email us directly[/ld_fancy_heading][ld_fancy_heading tag="h4" use_custom_fonts_title="true" fs="text_small:18px" margin="bottom_small:2em"]info@liquid.com[/ld_fancy_heading][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" color="rgba(15, 64, 100, 0.6)" fs="text_small:9px" ls="text_small:0.1em" margin="bottom_small:1em"]Call us directly[/ld_fancy_heading][ld_fancy_heading tag="h4" use_custom_fonts_title="true" fs="text_small:18px" margin="bottom_small:2.75em"](123) 567 8901[/ld_fancy_heading][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" color="rgba(15, 64, 100, 0.6)" fs="text_small:9px" ls="text_small:0.1em" margin="bottom_small:1em"]Social Network[/ld_fancy_heading][ld_header_social_icons style="" size="social-icon-lg" identities="%5B%7B%22network%22%3A%22fa-facebook-square%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-twitter%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-medium%22%2C%22url%22%3A%22%23%22%7D%5D" font_size="23px" primary_color="rgba(15, 64, 100, 0.65)" hover_color="rgb(15, 64, 100)"][vc_separator color="custom" accent_color="rgb(221, 221, 221)" css=".vc_custom_1622021378318{margin-top: 35px !important;margin-bottom: 30px !important;}"][ld_header_button ib_style="btn-solid" ib_title="Request a Quote" ib_link_type="modal_window" ib_shape="circle" ib_size="btn-lg" ib_border="border-none" ib_hover_txt_effect="btn-hover-txt-switch btn-hover-txt-switch-y" ib_i_type="linea" ib_i_shape="btn-icon-circle" ib_i_shape_style="btn-icon-solid" ib_i_shape_size="btn-icon-custom-size" ib_i_add_icon="true" ib_i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-forward" ib_i_shape_custom_size="35px" ib_color="rgba(15, 64, 100, 0.08)" ib_i_fill_color="rgba(15, 64, 100, 0.13)" ib_text_color="rgb(15, 64, 100)" ib_i_fill_hcolor="rgba(255, 255, 255, 0.15)" ib_anchor_id="#contact-modal" ib_lh="text_small:2.5em"][/ld_header_sidedrawer][/vc_column][/vc_row][vc_row show_on_sticky="lqd-show-onstuck" sticky_bar="yes" stickybar_placement="lqd-stickybar-right" css=".vc_custom_1622184351445{padding-bottom: 90px !important;}"][vc_column responsive_align="text-right"][ld_header_button ib_style="btn-naked" ib_link_type="modal_window" ib_i_type="linea" ib_i_shape="btn-icon-circle" ib_i_shape_style="btn-icon-solid" ib_i_shape_size="btn-icon-custom-size" ib_enable_icon_shadowbox="yes" ib_i_add_icon="true" ib_i_icon_linea="lqd-icn-ess icon-speech-bubble" ib_i_size="21px" ib_i_shape_custom_size="57px" ib_i_margin_left="0px" ib_i_margin_right="0px" ib_color="rgb(28, 78, 78)" ib_i_color="rgb(255, 255, 255)" ib_anchor_id="#contact-modal" ib_icon_box_shadow="%5B%7B%7D%5D" ib_h_icon_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%228px%22%2C%22blur_radius%22%3A%2232px%22%2C%22shadow_color%22%3A%22rgba(0%2C0%2C0%2C0.18)%22%7D%5D"][/vc_column][/vc_row][vc_row css=".vc_custom_1621865719728{margin-top: -2px !important;}"][vc_column][ld_modal_window modal_type="fullscreen" el_id="contact-modal"][vc_row_inner full_width="" equal_height="yes" content_placement="middle" bg_position="center center" responsive_css="padding_top_medium:80px|padding_bottom_medium:80px" css=".vc_custom_1622023069310{padding-top: 60px !important;padding-bottom: 60px !important;background-image: url(https://staging.liquid-themes.com/lawyer/wp-content/uploads/2021/05/bg-2@2x-scaled-1.jpeg?id=40) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" el_class="h-vh-100 align-items-center"][vc_column_inner width="1/2" css=".vc_custom_1615219219533{margin-bottom: 30px !important;}" responsive_css="padding_right_medium:10%25"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_large:122px|text_medium:48px|text_small:34px" fw="text_small:500" color="rgb(0, 0, 0)" lh="text_medium:0.75em|text_small:1em" margin="bottom_small:0.5em"]Send a <span style="font-family: 'DM Serif Text', serif; font-style: italic;">message.</span>[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:2.5em"]We’re here to answer any question you may have.[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/2" responsive_css="padding_top_medium:45px|padding_right_medium:65px|padding_bottom_medium:45px|padding_left_medium:65px" css=".vc_custom_1615219159553{margin-bottom: -130px !important;background-color: #ffffff !important;border-radius: 10px !important;}"][ld_cf7 id="39" shape="lqd-contact-form-inputs-underlined" btn_size="lqd-contact-form-button-lg" btn_width="lqd-contact-form-button-block" use_custom_fonts_input="true" use_custom_fonts_submit="true" fs="13px" submit_fs="17px" color="rgb(0, 0, 0)" h_color="rgb(0, 0, 0)" css=".vc_custom_1622023073690{margin-bottom: 0px !important;}" submit_fw="500" border_color="rgba(0, 0, 0, 0.12)" hover_border_color="rgb(0, 0, 0)" submit_lh="1.5em" bm="13px"][/vc_column_inner][vc_column_inner width="1/4"][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" fs="text_small:13px" fw="text_small:700" ls="text_small:0.1em" margin="bottom_small:1.25em" color="rgb(0, 0, 0)"]careers[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px" lh="text_small:1.18em" margin="bottom_small:0.75em" color="rgb(0, 0, 0)"]Would you like to join our growing team?[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px" lh="text_small:1.18em" fw="text_small:700" color="rgb(0, 0, 0)"]careers@hub.com[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/4"][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" fs="text_small:13px" fw="text_small:700" ls="text_small:0.1em" margin="bottom_small:1.25em" color="rgb(0, 0, 0)"]Feedbacks[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px" lh="text_small:1.18em" margin="bottom_small:0.75em" color="rgb(0, 0, 0)"]Have a project in mind? Send a message.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px" lh="text_small:1.18em" fw="text_small:700" color="rgb(0, 0, 0)"]info@hub.com[/ld_fancy_heading][/vc_column_inner][vc_column_inner][/vc_column_inner][/vc_row_inner][/ld_modal_window][/vc_column][/vc_row]</p>

CONTENT;
	$templates[] = $data;

	//Header 33 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Header 33', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'header-33.jpg' );
	$data['sort_name'] = 'Header';
	$data['custom_class'] = 'general header';
	$data['content'] = <<<CONTENT
	[vc_row header_full_width="yes" css=".vc_custom_1621937724643{padding-right: 15px !important;padding-left: 15px !important;}"][vc_column width="1/2"][ld_header_image padding_top="28" padding_right="0" padding_bottom="28" padding_left="0" sticky_padding_top="18" sticky_padding_right="0" sticky_padding_bottom="18" sticky_padding_left="0"][/vc_column][vc_column width="1/2" align="text-right" responsive_align="text-lg-right"][ld_header_menu padding_top="10" padding_right="20" padding_bottom="10" padding_left="20" ddmenu_hover_style="lqd-submenu-cover" use_theme_fonts="" menu_font="font_family:Averia%20Sans%20Libre%3A300%2C300italic%2Cregular%2Citalic%2C700%2C700italic" use_custom_fonts_menu="true" local_scroll="true" use_custom_fonts_ddmenu="true" menu_slug="primary" fs="15px" fw="700" link_color="rgb(255, 255, 255)" link_hcolor="rgba(255, 255, 255, 0.75)" dd_fs="15px" ddlink_color="rgba(255, 255, 255, 0.9)" ddlink_hcolor="rgb(255, 255, 255)" dd_bg="rgba(0, 0, 0, 0.95)" sticky_ddlink_color="rgba(0, 0, 0, 0.9)" sticky_ddlink_hcolor="rgb(0, 0, 0)" sticky_dd_bg="rgb(255, 255, 255)"][ld_header_button ib_style="btn-default" ib_title="Join the Program" ib_link_type="modal_window" ib_shape="circle" ib_size="btn-sm" ib_border="border-thicker" ib_hover_txt_effect="btn-hover-txt-switch btn-hover-txt-switch-y" ib_color="rgb(255, 255, 255)" ib_htext_color="rgb(0, 0, 0)" ib_anchor_id="#contact-modal" sticky_color="rgb(45, 65, 98)" sticky_hover_color="rgb(45, 65, 98)" sticky_htext_color="rgb(255, 255, 255)"][/vc_column][/vc_row][vc_row show_on_sticky="lqd-show-onstuck" sticky_bar="yes" stickybar_placement="lqd-stickybar-right" css=".vc_custom_1622184351445{padding-bottom: 90px !important;}"][vc_column responsive_align="text-right"][ld_header_button ib_style="btn-naked" ib_link_type="modal_window" ib_i_type="linea" ib_i_shape="btn-icon-circle" ib_i_shape_style="btn-icon-solid" ib_i_shape_size="btn-icon-custom-size" ib_enable_icon_shadowbox="yes" ib_i_add_icon="true" ib_i_icon_linea="lqd-icn-ess icon-speech-bubble" ib_i_size="21px" ib_i_shape_custom_size="57px" ib_i_margin_left="0px" ib_i_margin_right="0px" ib_color="rgb(28, 78, 78)" ib_i_color="rgb(255, 255, 255)" ib_anchor_id="#contact-modal" ib_icon_box_shadow="%5B%7B%7D%5D" ib_h_icon_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%228px%22%2C%22blur_radius%22%3A%2232px%22%2C%22shadow_color%22%3A%22rgba(0%2C0%2C0%2C0.18)%22%7D%5D"][/vc_column][/vc_row][vc_row css=".vc_custom_1621865719728{margin-top: -2px !important;}"][vc_column][ld_modal_window modal_type="fullscreen" el_id="contact-modal"][vc_row_inner full_width="" equal_height="yes" content_placement="middle" bg_position="center center" responsive_css="padding_top_medium:80px|padding_bottom_medium:80px" css=".vc_custom_1621954146933{padding-top: 60px !important;padding-bottom: 60px !important;background-image: url(https://staging.liquid-themes.com/kids/wp-content/uploads/2021/05/bg-2@2x-scaled-1.jpeg?id=50) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" el_class="h-vh-100 align-items-center"][vc_column_inner width="1/2" css=".vc_custom_1615219219533{margin-bottom: 30px !important;}" responsive_css="padding_right_medium:10%25"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_large:122px|text_medium:48px|text_small:34px" fw="text_small:500" color="rgb(0, 0, 0)" lh="text_medium:0.75em|text_small:1em" margin="bottom_small:0.5em"]Send a <span style="font-family: 'DM Serif Text', serif; font-style: italic;">message.</span>[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:2.5em"]We’re here to answer any question you may have.[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/2" responsive_css="padding_top_medium:45px|padding_right_medium:65px|padding_bottom_medium:45px|padding_left_medium:65px" css=".vc_custom_1615219159553{margin-bottom: -130px !important;background-color: #ffffff !important;border-radius: 10px !important;}"][ld_cf7 id="5" shape="lqd-contact-form-inputs-underlined" btn_size="lqd-contact-form-button-lg" btn_width="lqd-contact-form-button-block" use_custom_fonts_input="true" use_custom_fonts_submit="true" fs="13px" submit_fs="17px" color="rgb(0, 0, 0)" h_color="rgb(0, 0, 0)" css=".vc_custom_1621954151194{margin-bottom: 0px !important;}" submit_fw="500" border_color="rgba(0, 0, 0, 0.12)" hover_border_color="rgb(0, 0, 0)" submit_lh="1.5em" bm="13px"][/vc_column_inner][vc_column_inner width="1/4"][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" fs="text_small:13px" fw="text_small:700" ls="text_small:0.1em" margin="bottom_small:1.25em" color="rgb(0, 0, 0)"]careers[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px" lh="text_small:1.18em" margin="bottom_small:0.75em" color="rgb(0, 0, 0)"]Would you like to join our growing team?[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px" lh="text_small:1.18em" fw="text_small:700" color="rgb(0, 0, 0)"]careers@hub.com[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/4"][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" fs="text_small:13px" fw="text_small:700" ls="text_small:0.1em" margin="bottom_small:1.25em" color="rgb(0, 0, 0)"]Feedbacks[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px" lh="text_small:1.18em" margin="bottom_small:0.75em" color="rgb(0, 0, 0)"]Have a project in mind? Send a message.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px" lh="text_small:1.18em" fw="text_small:700" color="rgb(0, 0, 0)"]info@hub.com[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_modal_window][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;	

	//Header 34 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Header 34', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'header-34.jpg' );
	$data['sort_name'] = 'Header';
	$data['custom_class'] = 'general header';
	$data['content'] = <<<CONTENT
	<p>[vc_row header_full_width="yes" css=".vc_custom_1610987333762{padding-right: 10px !important;padding-left: 10px !important;}"][vc_column width="1/3"][ld_header_image useshapelogo="navbar-brand-solid" shape_logo_style="navbar-brand-circle" padding_top="17" padding_right="0" padding_bottom="17" padding_left="0" sticky_padding_top="17" sticky_padding_right="0" sticky_padding_bottom="17" sticky_padding_left="0" shape_color="rgb(253, 96, 89)"][/vc_column][vc_column width="1/3" align="text-right" responsive_align="text-right"][ld_header_menu visible="navbar-visible-ontoggle" padding_top="10" padding_right="22" padding_bottom="10" padding_left="22" use_custom_fonts_menu="true" menu_slug="primary" fs="16px" link_color="rgb(0, 0, 0)" link_hcolor="rgb(255, 255, 255)"][ld_header_trigger style="style-2" position="txt-left" trigger_fill="solid" trigger_shape="circle" text="Menu" trigger_color_hover="rgb(0, 0, 0)" shape_hover_color="rgb(255, 255, 255)" shape_color="rgba(255, 255, 255, 0)" sticky_dark_trigger_color_hover="rgb(0, 0, 0)" sticky_dark_trigger_text_color_hover="rgb(255, 255, 255)"][/vc_column][vc_column header_col_width="col-auto" width="1/3" responsive_align="text-lg-right"][ld_header_button ib_style="btn-naked" ib_title="Let’s talk" ib_i_type="linea" ib_i_shape="btn-icon-circle" ib_i_shape_style="btn-icon-solid" ib_i_shape_size="btn-icon-custom-size" ib_i_add_icon="true" ib_i_icon_linea="lqd-icn-ess icon-speech-bubble" ib_color="rgb(0, 0, 0)" ib_i_color="rgb(255, 255, 255)" ib_fs="14px" ib_i_shape_custom_size="56px" ib_css=".vc_custom_1596011353686{padding-left: 20px !important;}" ib_hover_color="rgb(255, 255, 255)" ib_i_size="24px" ib_i_fill_hcolor="rgb(0, 0, 0)" ib_i_fill_color="rgb(253, 96, 89)"][/vc_column][/vc_row][vc_row sticky_bar="yes" stickybar_placement="lqd-stickybar-left" header_type="secondarybar"][vc_column align="text-center" responsive_align="text-center"][ld_header_custom_menu cm_source="custom" cm_inline="inline-nav" cm_use_custom_fonts_menu="true" cm_items="%5B%7B%22label%22%3A%22contact%40hub.com%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%5D" cm_fs="16px" cm_color="rgb(0, 0, 0)" cm_hcolor="rgb(255, 255, 255)"][/vc_column][/vc_row][vc_row sticky_bar="yes" stickybar_placement="lqd-stickybar-right" header_type="secondarybar"][vc_column align="text-center" responsive_align="text-center"][ld_header_scroll_indicator primary_color="rgb(0, 0, 0)" bar_color="rgba(0, 0, 0, 0.3)" indicator_color="rgb(0, 0, 0)"][/vc_column][/vc_row]</p>
CONTENT;
	$templates[] = $data;

	//Category Icon
	//Icon 1
	$data = array();
	$data['name'] = esc_html__( 'Icon 01', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'icon-1.jpg' );
	$data['sort_name'] = 'Icon';
	$data['custom_class'] = 'general icon';
	$data['content'] = <<<CONTENT
	[vc_row gap="2" equal_height="yes" fade_scroll="yes" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" el_id="features" css=".vc_custom_1610621670722{padding-top: 60px !important;padding-bottom: 60px !important;}" ca_duration="1000" ca_delay="90"][vc_column offset="vc_col-lg-offset-3 vc_col-lg-6 vc_col-md-offset-2 vc_col-md-8" responsive_align="text-center" css=".vc_custom_1605256828929{margin-bottom: 30px !important;}"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_medium:62px" margin="bottom_small:0.25em" lh="text_small:1em"]Automate all your payments.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:20px" lh="text_small:1.5em"]Focused on providing smart, affordable and convenient mobility solutions. Use customer data to build.[/ld_fancy_heading][ld_spacer][/vc_column][vc_column width="1/2" css=".vc_custom_1610620429265{padding-top: 15px !important;padding-right: 15px !important;padding-bottom: 5px !important;padding-left: 15px !important;background-color: #1c1c1e !important;}" offset="vc_col-md-4" responsive_css="padding_top_medium:30px|padding_right_medium:5px|padding_bottom_medium:5px|padding_left_medium:5px"][ld_icon_box i_type="image" heading_size="xs" i_size="xl" alignment="text-left" fill="yes" i_icon_image="212" title="Multi Platform" icon_mb="30" fill_color="rgb(28, 28, 30)" css=".vc_custom_1610619772861{margin-bottom: 6px !important;}" custom_size="35px" title_mb="0"]Adjust responsive spacing, change font size, hide sections on specific devices.[/ld_icon_box][/vc_column][vc_column width="1/2" responsive_css="padding_top_medium:30px|padding_right_medium:5px|padding_bottom_medium:5px|padding_left_medium:5px" css=".vc_custom_1610620439513{padding-top: 15px !important;padding-right: 15px !important;padding-bottom: 5px !important;padding-left: 15px !important;background-color: #1c1c1e !important;}" offset="vc_col-md-4"][ld_icon_box i_type="image" heading_size="xs" i_size="xl" alignment="text-left" fill="yes" i_icon_image="213" title="Verified Payments" icon_mb="30" fill_color="rgb(28, 28, 30)" css=".vc_custom_1610619826886{margin-bottom: 6px !important;}" custom_size="40px"]Adjust responsive spacing, change font size, hide sections on specific devices.[/ld_icon_box][/vc_column][vc_column width="1/2" responsive_css="padding_top_medium:30px|padding_right_medium:5px|padding_bottom_medium:5px|padding_left_medium:5px" css=".vc_custom_1610620447730{padding-top: 15px !important;padding-right: 15px !important;padding-bottom: 5px !important;padding-left: 15px !important;background-color: #1c1c1e !important;}" offset="vc_col-md-4"][ld_icon_box i_type="image" heading_size="xs" i_size="xl" alignment="text-left" fill="yes" i_icon_image="216" title="Secure Identification" icon_mb="30" fill_color="rgb(28, 28, 30)" css=".vc_custom_1610619834541{margin-bottom: 6px !important;}" custom_size="40px"]Adjust responsive spacing, change font size, hide sections on specific devices.[/ld_icon_box][/vc_column][vc_column width="1/2" responsive_css="margin_top_medium:5px|padding_top_medium:30px|padding_right_medium:5px|padding_bottom_medium:5px|padding_left_medium:5px" css=".vc_custom_1610620469937{padding-top: 25px !important;padding-right: 15px !important;padding-bottom: 5px !important;padding-left: 15px !important;background-color: #1c1c1e !important;}" offset="vc_col-md-4"][ld_icon_box i_type="image" heading_size="xs" i_size="xl" alignment="text-left" fill="yes" i_icon_image="214" title="Daily Reports" icon_mb="30" fill_color="rgb(28, 28, 30)" css=".vc_custom_1610619841671{margin-bottom: 6px !important;}" custom_size="40px"]Adjust responsive spacing, change font size, hide sections on specific devices.[/ld_icon_box][/vc_column][vc_column width="1/2" responsive_css="margin_top_medium:5px|padding_top_medium:30px|padding_right_medium:5px|padding_bottom_medium:5px|padding_left_medium:5px" css=".vc_custom_1610620493108{padding-top: 25px !important;padding-right: 15px !important;padding-bottom: 5px !important;padding-left: 15px !important;background-color: #1c1c1e !important;}" offset="vc_col-md-4"][ld_icon_box i_type="image" heading_size="xs" i_size="lg" alignment="text-left" fill="yes" i_icon_image="216" title="Secure Cloud Data" icon_mb="25" fill_color="rgb(28, 28, 30)" css=".vc_custom_1610620822812{margin-bottom: 6px !important;}" custom_size="40px"]Adjust responsive spacing, change font size, hide sections on specific devices.[/ld_icon_box][/vc_column][vc_column width="1/2" responsive_css="margin_top_medium:5px|padding_top_medium:30px|padding_right_medium:5px|padding_bottom_medium:5px|padding_left_medium:5px" css=".vc_custom_1610620488345{padding-top: 25px !important;padding-right: 15px !important;padding-bottom: 5px !important;padding-left: 15px !important;background-color: #1c1c1e !important;}" offset="vc_col-md-4"][ld_icon_box i_type="image" heading_size="xs" i_size="xl" alignment="text-left" fill="yes" i_icon_image="214" title="Daily Reports" icon_mb="30" fill_color="rgb(28, 28, 30)" css=".vc_custom_1610619841671{margin-bottom: 6px !important;}" custom_size="40px"]Adjust responsive spacing, change font size, hide sections on specific devices.[/ld_icon_box][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Icon 2
	$data = array();
	$data['name'] = esc_html__( 'Icon 02', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'icon-2.jpg' );
	$data['sort_name'] = 'Icon';
	$data['custom_class'] = 'general icon';
	$data['content'] = <<<CONTENT
	[vc_row gap="25" equal_height="yes" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" css=".vc_custom_1612169894789{padding-top: 35px !important;padding-bottom: 60px !important;}" ca_duration="1800" ca_delay="180" ca_init_translate_y="1" el_id="services" responsive_css="padding_bottom_medium:120px|padding_bottom_small:70px"][vc_column width="1/2" offset="vc_col-md-3"][ld_icon_box i_type="image" heading_size="custom" i_size="xl" alignment="text-left" i_icon_image="27" title="Beard Scultping" title_mb="18" custom_heading_size="15px" icon_mb="35" custom_size="45px"]Traditional men’s beard and haircut. Using clippers and scissors by a barber.[/ld_icon_box][/vc_column][vc_column width="1/2" offset="vc_col-md-3"][ld_icon_box i_type="image" heading_size="custom" i_size="xl" alignment="text-left" i_icon_image="26" title="Shaving" title_mb="18" custom_heading_size="15px" icon_mb="35" custom_size="48px"]Shaving starting from either skin, double zero or beard haircut zero.[/ld_icon_box][/vc_column][vc_column width="1/2" offset="vc_col-md-3"][ld_icon_box i_type="image" heading_size="custom" i_size="xl" alignment="text-left" i_icon_image="119" title="Hair Care Products" title_mb="18" custom_heading_size="15px" icon_mb="35" custom_size="43px"]A service for short beards/stubble haircut by clippers and shaving.[/ld_icon_box][/vc_column][vc_column width="1/2" offset="vc_col-md-3"][ld_icon_box i_type="image" heading_size="custom" i_size="xl" alignment="text-left" i_icon_image="36" title="Hair Styling" title_mb="18" custom_heading_size="15px" icon_mb="35" custom_size="65px"]A service for longer and more styled beards double haircut on the close skin.[/ld_icon_box][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Icon 3
	$data = array();
	$data['name'] = esc_html__( 'Icon 03', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'icon-3.jpg' );
	$data['sort_name'] = 'Icon';
	$data['custom_class'] = 'general icon';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1602153350967{padding-top: 65px !important;padding-bottom: 65px !important;}" responsive_css="margin_bottom_medium:80px"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" align="text-center" offset="vc_col-md-offset-3 vc_col-md-6" css=".vc_custom_1577271562832{margin-bottom: 60px !important;}" responsive_css="padding_right_medium:5%25|padding_left_medium:5%25" ca_duration="1800" ca_delay="180" ca_init_translate_y="35" ca_an_translate_y="0" responsive_align="text-center"][ld_fancy_heading tag="h2"]case studies[/ld_fancy_heading][ld_fancy_heading tag="p"]Hub IT allows your business and technology<br /> computers to store, transmit, analyze,<br /> and manipulate big data.[/ld_fancy_heading][/vc_column][vc_column][vc_row_inner enable_content_animation="yes" equal_height="yes" animation_preset="Fade In" ca_duration="1800" ca_delay="90"][vc_column_inner width="1/2" offset="vc_col-md-3" css=".vc_custom_1602158311874{margin-bottom: 30px !important;}"][ld_icon_box i_type="image" heading_size="custom" toggleable="yes" show_button="yes" fill="yes" border_radius="iconbox-round" hover_fill="yes" scale_bg="iconbox-scale-bg" ib_style="btn-naked" ib_title="Learn more" ib_i_type="linea" ib_i_hover_reveal="btn-hover-swp" ib_i_add_icon="true" i_icon_image="8669" title="grow your brand and business" custom_heading_size="16px" icon_mb="20" css=".vc_custom_1602158022937{margin-bottom: 0px !important;padding-top: 25px !important;padding-right: 45px !important;padding-bottom: 0px !important;padding-left: 45px !important;}" ib_i_icon_linea="lqd-icn-ess icon-md-arrow-forward" title_mb="1" ib_color="rgb(255, 255, 255)" link="|||" hover_fill_color="rgb(24, 68, 65)" hover_text_color="rgb(255, 255, 255)" fill_color="rgb(252, 250, 249)" ib_i_color="rgb(255, 255, 255)"][/ld_icon_box][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-3" css=".vc_custom_1602158321529{margin-bottom: 30px !important;}"][ld_icon_box i_type="image" heading_size="custom" toggleable="yes" show_button="yes" fill="yes" border_radius="iconbox-round" hover_fill="yes" scale_bg="iconbox-scale-bg" ib_style="btn-naked" ib_title="Learn more" ib_i_type="linea" ib_i_hover_reveal="btn-hover-swp" ib_i_add_icon="true" i_icon_image="8666" title="business plan consulting" custom_heading_size="16px" icon_mb="20" css=".vc_custom_1602158075991{margin-bottom: 0px !important;padding-top: 25px !important;padding-right: 45px !important;padding-bottom: 0px !important;padding-left: 45px !important;}" ib_i_icon_linea="lqd-icn-ess icon-md-arrow-forward" title_mb="1" ib_color="rgb(255, 255, 255)" link="|||" hover_fill_color="rgb(24, 68, 65)" hover_text_color="rgb(255, 255, 255)" fill_color="rgb(252, 250, 249)" ib_i_color="rgb(255, 255, 255)"][/ld_icon_box][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-3" css=".vc_custom_1602158333417{margin-bottom: 30px !important;}"][ld_icon_box i_type="image" heading_size="custom" toggleable="yes" show_button="yes" fill="yes" border_radius="iconbox-round" hover_fill="yes" scale_bg="iconbox-scale-bg" ib_style="btn-naked" ib_title="Learn more" ib_i_type="linea" ib_i_hover_reveal="btn-hover-swp" ib_i_add_icon="true" i_icon_image="8667" title="increase your conversion rate" custom_heading_size="16px" icon_mb="20" css=".vc_custom_1602158099507{margin-bottom: 0px !important;padding-top: 25px !important;padding-right: 45px !important;padding-bottom: 0px !important;padding-left: 45px !important;}" ib_i_icon_linea="lqd-icn-ess icon-md-arrow-forward" title_mb="1" ib_color="rgb(255, 255, 255)" link="|||" hover_fill_color="rgb(24, 68, 65)" hover_text_color="rgb(255, 255, 255)" fill_color="rgb(252, 250, 249)" ib_i_color="rgb(255, 255, 255)"][/ld_icon_box][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-3" css=".vc_custom_1602158343474{margin-bottom: 30px !important;}"][ld_icon_box i_type="image" heading_size="custom" toggleable="yes" show_button="yes" fill="yes" border_radius="iconbox-round" hover_fill="yes" scale_bg="iconbox-scale-bg" ib_style="btn-naked" ib_title="Learn more" ib_i_type="linea" ib_i_hover_reveal="btn-hover-swp" ib_i_add_icon="true" i_icon_image="8668" title="business startup analysis" custom_heading_size="16px" icon_mb="20" css=".vc_custom_1611425365907{margin-bottom: 0px !important;padding-top: 25px !important;padding-right: 45px !important;padding-bottom: 0px !important;padding-left: 45px !important;}" ib_i_icon_linea="lqd-icn-ess icon-md-arrow-forward" title_mb="1" ib_color="rgb(255, 255, 255)" link="|||" hover_fill_color="rgb(24, 68, 65)" hover_text_color="rgb(255, 255, 255)" fill_color="rgb(252, 250, 249)" ib_i_color="rgb(255, 255, 255)"][/ld_icon_box][/vc_column_inner][vc_column_inner align="text-center" css=".vc_custom_1576838184663{margin-top: 30px !important;}" responsive_align="text-center"][ld_button style="btn-naked" title="See more services" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" lh="1em" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" htext_color="rgb(0, 0, 0)"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Icon 4
	$data = array();
	$data['name'] = esc_html__( 'Icon 04', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'icon-4.jpg' );
	$data['sort_name'] = 'Icon';
	$data['custom_class'] = 'general icon';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" full_height="yes" bg_position="right top" css=".vc_custom_1612169247317{padding-top: 80px !important;padding-bottom: 50px !important;background-color: #fafafa !important;}" data_tooltip="Simplify" responsive_css="padding_top_medium:17vh|padding_right_medium:6vw|padding_bottom_medium:6vh|padding_left_medium:6vw|padding_top_small:100px|padding_bottom_small:100px" el_id="about"][vc_column][ld_images_group_container move_to_parent_row="yes" absolute_pos="yes" position="top_large:0px|right_large:0px|top_medium:-2%25|right_medium:-39%25|top_small:-7%25|right_small:-100%25"][ld_images_group_element img_size="50%" image="108"][/ld_images_group_element][/ld_images_group_container][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" align="text-left" offset="vc_col-md-7" ca_duration="1800" ca_delay="180" ca_init_translate_y="50" responsive_css="padding_right_medium:1vw|padding_left_medium:12%25" css=".vc_custom_1612169576217{margin-bottom: 50px !important;}" responsive_align="text-left"][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" fs="12px" fw="700" ls="0.05em" margin="bottom_small:1em"]App Store[/ld_fancy_heading][ld_fancy_heading tag="h2" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" fs="text_large:4vw|text_medium:60px|text_small:12vw" lh="text_medium:1.25em|text_small:1.15em"]Simplify the playing music you love.[/ld_fancy_heading][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" fs="text_large:20px" lh="text_large:1.4em" margin="right_all:3vw"]All in one  and startup solutions. Endless use-cases that make it highly flexible, adaptable, and scalable for everyone.[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-5"][/vc_column][vc_column css=".vc_custom_1603190725904{background-image: url(https://appblocks.liquid-themes.com/staging/wp-content/uploads/2020/07/rowbg@2x.png?id=125) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: contain !important;}" responsive_css="padding_top_medium:4vh|padding_right_medium:6vw|padding_left_medium:6vw"][vc_row_inner enable_content_animation="yes" gap="30" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" ca_duration="1800" ca_start_delay="500" ca_delay="180" ca_init_translate_x="30" ca_init_translate_y="30" ca_init_rotate_z="2"][vc_column_inner width="1/2" offset="vc_col-md-3" css=".vc_custom_1595673031105{margin-bottom: 45px !important;}"][ld_icon_box i_type="image" heading_size="custom" heading_weight="font-weight-semibold" title="Easy Connect." custom_heading_size="19px" title_mb="7" icon_mb="20" css=".vc_custom_1595837311240{margin-bottom: 0px !important;}" i_icon_image="140" svg_fill_color="rgb(255, 90, 65)"]Focus and target your audience through the right channels.[/ld_icon_box][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-3" css=".vc_custom_1595673037591{margin-bottom: 45px !important;}"][ld_icon_box i_type="image" heading_size="custom" heading_weight="font-weight-semibold" title="Live Podcast" custom_heading_size="19px" title_mb="7" icon_mb="20" css=".vc_custom_1595837226405{margin-bottom: 0px !important;}" i_icon_image="168" svg_fill_color="rgb(255, 90, 65)" custom_size="32px"]Focus and target your audience through the right channels.[/ld_icon_box][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-3" css=".vc_custom_1595673041485{margin-bottom: 45px !important;}"][ld_icon_box i_type="image" heading_size="custom" heading_weight="font-weight-semibold" title="Stream Music" custom_heading_size="19px" title_mb="7" icon_mb="20" css=".vc_custom_1595837208111{margin-bottom: 0px !important;}" i_icon_image="138" svg_fill_color="rgb(255, 90, 65)"]Focus and target your audience through the right channels.[/ld_icon_box][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-3" css=".vc_custom_1595673046558{margin-bottom: 45px !important;}"][ld_icon_box i_type="image" heading_size="custom" heading_weight="font-weight-semibold" title="Cross-Platform" custom_heading_size="19px" title_mb="7" icon_mb="20" css=".vc_custom_1595837193753{margin-bottom: 0px !important;}" i_icon_image="139" svg_fill_color="rgb(255, 90, 65)"]Focus and target your audience through the right channels.[/ld_icon_box][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Icon 5
	$data = array();
	$data['name'] = esc_html__( 'Icon 05', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'icon-5.jpg' );
	$data['sort_name'] = 'Icon';
	$data['custom_class'] = 'general icon';
	$data['content'] = <<<CONTENT
	[vc_row enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" bg_position="custom" css=".vc_custom_1595587371876{padding-top: 10px !important;padding-right: 25px !important;padding-bottom: 45px !important;padding-left: 25px !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}" bg_pos_h="-250px" bg_pos_v="40%" ca_duration="1800" ca_delay="200" ca_init_translate_y="45" ca_init_rotate_z="5" responsive_css="margin_top_medium:70px|padding_right_medium:0px|padding_left_medium:0px"][vc_column offset="vc_col-md-4" responsive_css="padding_right_medium:20px|padding_left_medium:20px"][ld_icon_box i_type="linea" heading_size="xs" i_shape="custombg" position="iconbox-side" title="Branding Strategy" icon_mb="1" css=".vc_custom_1612273959090{margin-bottom: 45px !important;}" i_shape_custom_bg="6223" i_icon_linea="lqd-icn-ess icon-lqd-compass" i_color="rgb(61, 94, 255)" i_color2="rgb(223, 57, 111)" custom_i_width="87px" custom_i_height="80px"]Creating brand identities, digital experiences, and prints.[/ld_icon_box][/vc_column][vc_column offset="vc_col-md-4" responsive_css="padding_right_medium:20px|padding_left_medium:20px"][ld_icon_box i_type="linea" heading_size="xs" i_shape="custombg" position="iconbox-side" title="Web Design" icon_mb="1" css=".vc_custom_1612273967100{margin-bottom: 45px !important;}" i_shape_custom_bg="6223" i_icon_linea="lqd-icn-ess icon-speech-bubble" i_color="rgb(61, 94, 255)" i_color2="rgb(223, 57, 111)"]Creating brand identities, digital experiences, and prints.[/ld_icon_box][/vc_column][vc_column offset="vc_col-md-4" responsive_css="padding_right_medium:20px|padding_left_medium:20px"][ld_icon_box i_type="linea" heading_size="xs" i_shape="custombg" position="iconbox-side" title="Trusted Experience" icon_mb="1" css=".vc_custom_1612273975310{margin-bottom: 45px !important;}" i_shape_custom_bg="6223" i_icon_linea="lqd-icn-ess icon-lqd-check" i_color="rgb(61, 94, 255)" i_color2="rgb(223, 57, 111)"]Creating brand identities, digital experiences, and prints.[/ld_icon_box][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Icon 6 - startuphub
	$data = array();
	$data['name'] = esc_html__( 'Icon 06', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'icon-6.jpg' );
	$data['sort_name'] = 'Icon';
	$data['custom_class'] = 'general icon';
	$data['content'] = <<<CONTENT
	[vc_row bg_position="center top" css=".vc_custom_1614256024634{padding-top: 30px !important;padding-bottom: 50px !important;background-image: url(https://startuphub.liquid-themes.com/staging/wp-content/uploads/2020/04/bg-2.png?id=774) !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}" el_id="features"][vc_column enable_overlay="yes" offset="vc_col-md-1/5" hover_overlay_bg="rgb(255, 255, 255)"][ld_particles visible_on_hover="yes" absolute_pos="yes" opacity="1" enable_move="yes" enable_random_move="yes" move_out_mode="bounce" enable_bounce_move="yes" detect_on="canvas" enable_onhover="yes" onhover_mode="bubble" modes_grab_opacity="1" retina_detect="yes" particle_id="ld-1572443460220-dc1d628a-7076" height="calc(100% - 2em)" number="80" size="2" move_speed="1.5" position="top_small:0px|right_small:0px" modes_bubble_distance="100" modes_bubble_size="5" modes_bubble_duration="2" color="#b7eef5"][ld_icon_box i_type="image" heading_size="sm" fill="yes" border_radius="iconbox-round" shadow="iconbox-shadow-hover" title="Private Cloud Servers" icon_mb="22" css=".vc_custom_1611667901263{padding-top: 22px !important;padding-right: 35px !important;padding-bottom: 22px !important;padding-left: 35px !important;}" h_color="rgb(34, 34, 34)" title_mb="1" fill_color="rgba(255, 255, 255, 0)" i_icon_image="4415" custom_size="75px"][/ld_icon_box][/vc_column][vc_column width="1/2" enable_overlay="yes" offset="vc_col-md-1/5" hover_overlay_bg="rgb(255, 255, 255)"][ld_particles visible_on_hover="yes" absolute_pos="yes" opacity="1" enable_move="yes" enable_random_move="yes" move_out_mode="bounce" enable_bounce_move="yes" detect_on="canvas" enable_onhover="yes" onhover_mode="bubble" modes_grab_opacity="1" retina_detect="yes" particle_id="ld-1572443517426-42b5ca63-7b62" height="calc(100% - 2em)" number="80" size="2" move_speed="1.5" position="top_small:0px|right_small:0px" modes_bubble_distance="100" modes_bubble_size="5" modes_bubble_duration="2" color="#c8aee2"][ld_icon_box i_type="image" heading_size="sm" get_bubble_classname="iconbox-bubble" get_content_hover_classname="iconbox-contents-show-onhover" shadow="iconbox-shadow-hover" title="Extended Network" icon_mb="22" css=".vc_custom_1614258441090{padding-top: 22px !important;padding-right: 35px !important;padding-bottom: 22px !important;padding-left: 35px !important;}" h_color="rgb(34, 34, 34)" title_mb="1" i_icon_image="4426" custom_size="75px"]Solutions The ultimate one-click collection crafted by world-class designers.[/ld_icon_box][/vc_column][vc_column width="1/2" enable_overlay="yes" offset="vc_col-md-1/5" hover_overlay_bg="rgb(255, 255, 255)"][ld_icon_box i_type="image" heading_size="sm" fill="yes" border_radius="iconbox-round" shadow="iconbox-shadow-hover" title="Daily Auto Update" icon_mb="22" css=".vc_custom_1614258463142{padding-top: 22px !important;padding-right: 35px !important;padding-bottom: 22px !important;padding-left: 35px !important;}" h_color="rgb(34, 34, 34)" title_mb="1" fill_color="rgba(255, 255, 255, 0)" i_icon_image="4418" custom_size="75px"][/ld_icon_box][ld_particles visible_on_hover="yes" absolute_pos="yes" opacity="1" enable_move="yes" enable_random_move="yes" move_out_mode="bounce" enable_bounce_move="yes" detect_on="canvas" enable_onhover="yes" onhover_mode="bubble" modes_grab_opacity="1" retina_detect="yes" particle_id="ld-1572443562777-00947b64-f0de" height="calc(100% - 2em)" number="80" size="2" move_speed="1.5" position="top_small:0px|right_small:0px" modes_bubble_distance="100" modes_bubble_size="5" modes_bubble_duration="2" color="#bbfff0"][/vc_column][vc_column width="1/2" enable_overlay="yes" offset="vc_col-md-1/5" hover_overlay_bg="rgb(255, 255, 255)"][ld_particles visible_on_hover="yes" absolute_pos="yes" opacity="1" enable_move="yes" enable_random_move="yes" move_out_mode="bounce" enable_bounce_move="yes" detect_on="canvas" enable_onhover="yes" onhover_mode="bubble" modes_grab_opacity="1" retina_detect="yes" particle_id="ld-1572443575990-aa4c82da-ac33" height="calc(100% - 2em)" number="80" size="2" move_speed="1.5" position="top_small:0px|right_small:0px" modes_bubble_distance="100" modes_bubble_size="5" modes_bubble_duration="2" color="#b7eef5"][ld_icon_box i_type="image" heading_size="sm" get_bubble_classname="iconbox-bubble" get_content_hover_classname="iconbox-contents-show-onhover" shadow="iconbox-shadow-hover" title="Mobility Solutions" icon_mb="22" css=".vc_custom_1614258423638{padding-top: 22px !important;padding-right: 35px !important;padding-bottom: 22px !important;padding-left: 35px !important;}" h_color="rgb(34, 34, 34)" title_mb="1" i_icon_image="4417" custom_size="75px"]Integration The ultimate one-click collection crafted by world-class designers.[/ld_icon_box][/vc_column][vc_column width="1/2" enable_overlay="yes" offset="vc_col-md-1/5" hover_overlay_bg="rgb(255, 255, 255)"][ld_particles visible_on_hover="yes" absolute_pos="yes" opacity="1" enable_move="yes" enable_random_move="yes" move_out_mode="bounce" enable_bounce_move="yes" detect_on="canvas" enable_onhover="yes" onhover_mode="bubble" modes_grab_opacity="1" retina_detect="yes" particle_id="ld-1572442599474-6c8c8e25-e98c" height="calc(100% - 2em)" number="100" size="2" move_speed="1.5" position="top_small:0px|right_small:0px" modes_bubble_distance="100" modes_bubble_size="5" modes_bubble_duration="2" color="#f9b5c6"][ld_icon_box i_type="image" heading_size="sm" fill="yes" border_radius="iconbox-round" shadow="iconbox-shadow-hover" title="Google Analytics" icon_mb="22" css=".vc_custom_1611668087354{padding-top: 22px !important;padding-right: 35px !important;padding-bottom: 22px !important;padding-left: 35px !important;}" h_color="rgb(34, 34, 34)" title_mb="1" fill_color="rgba(255, 255, 255, 0)" i_icon_image="4416" custom_size="75px"][/ld_icon_box][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Icon 7 - startuphub
	$data = array();
	$data['name'] = esc_html__( 'Icon 07', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'icon-7.jpg' );
	$data['sort_name'] = 'Icon';
	$data['custom_class'] = 'general icon';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" bg_position="custom" css=".vc_custom_1614256046606{border-top-width: 0px !important;border-right-width: 0px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;padding-bottom: 50px !important;background-image: url(https://startuphub.liquid-themes.com/staging/wp-content/uploads/2020/07/startup-rowBG.svg?id=4407) !important;background-position: 0 0 !important;background-repeat: no-repeat !important;border-left-color: #eeee22 !important;border-right-color: #eeee22 !important;border-top-color: #eeee22 !important;border-bottom-color: #eeee22 !important;}" bg_pos_h="66vw" bg_pos_v="0%" responsive_css="margin_top_medium:-40px|padding_top_medium:70px|padding_bottom_medium:70px" el_id="usecases"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1.25" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-lg-5 vc_col-md-6" ca_duration="1800" ca_delay="180" ca_init_translate_y="65" responsive_css="margin_bottom_medium:0px" css=".vc_custom_1607065973424{margin-bottom: 60px !important;}"][ld_fancy_heading tag="h6" transform="text-uppercase" enable_bg="yes" fh_border_radius="round" use_custom_fonts_title="true" color="rgb(51, 59, 65)" fs="text_small:11px" ls="text_small:0.1em" padding="top_small:7px|right_small:20px|bottom_small:7px|left_small:20px" fh_bg="rgb(237, 243, 247)" margin="bottom_small:1.5em"]Workflow Integration[/ld_fancy_heading][ld_fancy_heading tag="h2" highlight_animation="lqd-highlight-grow-bottom" highlight_reset_onhover="lqd-highlight-reset-onhover" use_custom_fonts_title="true" fs="text_small:50px" lh="text_small:1.02em" highlight_color="rgba(175, 124, 255, 0.15)"]Online payment [ld_highlight]discount[/ld_highlight][/ld_fancy_heading][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" fs="text_small:20px" lh="text_small:29px" margin="bottom_small:1.65em"]Ultra high performance, intuitive editor, exclusive features, and award-winning design collection.[/ld_fancy_heading][ld_icon_box i_type="linea" heading_size="xs" heading_weight="font-weight-normal" i_shape="circle" i_border="" position="iconbox-side" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title="Track your daily activity." custom_i_size="30px" i_color="rgb(132, 92, 255)" shape_color="rgb(233, 232, 243)" css=".vc_custom_1611667535766{margin-bottom: 0.2em !important;}" icon_size="17px"][/ld_icon_box][ld_icon_box i_type="linea" heading_size="xs" heading_weight="font-weight-normal" i_shape="circle" i_border="" position="iconbox-side" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title="Start a private group video call" custom_i_size="30px" i_color="rgb(132, 92, 255)" shape_color="rgb(233, 232, 243)" css=".vc_custom_1611667513283{margin-bottom: 0.2em !important;}" icon_size="17px"][/ld_icon_box][ld_spacer][ld_button style="btn-solid" title="Get started" shape="round" hover_txt_effect="btn-hover-txt-liquid-x-alt" i_type="linea" i_hover_reveal="btn-hover-reveal" enable_row_shadowbox="yes" i_add_icon="true" fs="17px" button_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%228px%22%2C%22blur_radius%22%3A%2220px%22%2C%22shadow_color%22%3A%22rgba(132%2C92%2C255%2C0.2)%22%7D%5D" hover_button_box_shadow="%5B%7B%7D%5D" lh="1.25em" css=".vc_custom_1588154661739{padding-right: 0.75em !important;padding-left: 0.75em !important;}" i_icon_linea="icon-md-arrow-round-forward"][/vc_column][vc_column offset="vc_col-lg-offset-1 vc_col-md-6"][vc_row_inner][vc_column_inner parallax="yes" width="1/2" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" enable_content_animation="yes" animation_preset="Fade In" translate_from_y="27" translate_to_y="-84" ca_duration="1800" ca_delay="80" responsive_align="text-center text-md-left"][ld_icon_box i_type="image" heading_size="sm" show_label="yes" alignment="text-left" fill="yes" border_radius="iconbox-round" hover_fill="yes" scale_bg="iconbox-scale-bg" shadow="iconbox-shadow" title="Secure and Affordable" title_mb="21" icon_mb="24" css=".vc_custom_1614258873850{padding-top: 45px !important;padding-right: 35px !important;padding-bottom: 45px !important;padding-left: 35px !important;}" h_color="rgb(34, 34, 34)" i_icon_image="4418" custom_size="68px" label="Exclusive" hover_fill_color="rgb(255, 255, 255)" hover_text_color="rgb(0, 0, 0)"]Use a pre-built header or create a custom one that perfectly suits your needs.[/ld_icon_box][ld_icon_box i_type="image" heading_size="sm" alignment="text-left" fill="yes" border_radius="iconbox-round" hover_fill="yes" scale_bg="iconbox-scale-bg" shadow="iconbox-shadow" title="Track and analyze business reports" title_mb="20" icon_mb="23" css=".vc_custom_1614250464901{padding-top: 45px !important;padding-right: 35px !important;padding-bottom: 45px !important;padding-left: 35px !important;}" h_color="rgb(34, 34, 34)" i_icon_image="4416" custom_size="68px" hover_fill_color="rgb(255, 255, 255)" hover_text_color="rgb(26, 26, 26)"]Use a pre-built header or create a custom one that perfectly suits your needs.[/ld_icon_box][/vc_column_inner][vc_column_inner parallax="yes" width="1/2" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" enable_content_animation="yes" animation_preset="Fade In" responsive_css="margin_top_medium:34px" translate_from_y="-27" translate_to_y="70" ca_duration="1800" ca_start_delay="250" ca_delay="80"][ld_icon_box i_type="image" heading_size="sm" alignment="text-left" fill="yes" border_radius="iconbox-round" hover_fill="yes" scale_bg="iconbox-scale-bg" shadow="iconbox-shadow" title="Multiple Platform Integration" title_mb="20" icon_mb="23" css=".vc_custom_1614250445996{padding-top: 45px !important;padding-right: 35px !important;padding-bottom: 45px !important;padding-left: 35px !important;}" h_color="rgb(34, 34, 34)" i_icon_image="4426" custom_size="68px" hover_fill_color="rgb(255, 255, 255)" hover_text_color="rgb(19, 19, 19)"]Use a pre-built header or create a custom one that perfectly suits your needs.[/ld_icon_box][ld_icon_box i_type="image" heading_size="sm" show_label="yes" alignment="text-left" fill="yes" border_radius="iconbox-round" hover_fill="yes" scale_bg="iconbox-scale-bg" shadow="iconbox-shadow" title="Mobility solutions tailored to you" title_mb="20" icon_mb="23" css=".vc_custom_1614258886152{padding-top: 45px !important;padding-right: 35px !important;padding-bottom: 45px !important;padding-left: 35px !important;}" h_color="rgb(34, 34, 34)" i_icon_image="4414" custom_size="68px" label="New" hover_fill_color="rgb(255, 255, 255)" hover_text_color="rgb(20, 20, 20)"]Use a pre-built header or create a custom one that perfectly suits your needs.[/ld_icon_box][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Icon 8 - startuphub
	$data = array();
	$data['name'] = esc_html__( 'Icon 08', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'icon-8.jpg' );
	$data['sort_name'] = 'Icon';
	$data['custom_class'] = 'general icon';
	$data['content'] = <<<CONTENT
	[vc_row gap="25" css=".vc_custom_1606474843457{padding-top: 45px !important;padding-bottom: 45px !important;}" responsive_css="padding_bottom_medium:85px"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" align="text-center" offset="vc_col-lg-offset-3 vc_col-lg-6 vc_col-md-offset-2 vc_col-md-8" css=".vc_custom_1606474775216{margin-bottom: 40px !important;}" ca_duration="1800" ca_delay="180" ca_init_translate_y="35" responsive_align="text-center"][ld_fancy_heading tag="h2" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" enable_fit="true" compressor="0.7" minfontsize="32" margin="bottom_small:0.25em" fs="text_small:40px"]Online Assistance.[/ld_fancy_heading][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" fs="17px" lh="29px" padding="right_large:6.5%25|left_large:6.5%25" margin="bottom_small:1.75em"]Passionate about solving problems through creative communications. Offering affordable goods.[/ld_fancy_heading][/vc_column][vc_column][vc_row_inner enable_content_animation="yes" ca_init_scale_x="0.75" ca_init_scale_y="0.75" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" ca_duration="1800" ca_delay="180" ca_init_translate_y="35"][vc_column_inner offset="vc_col-md-4"][ld_icon_box i_type="linea" heading_size="xs" i_shape="circle" i_border="" show_button="yes" fill="yes" border_radius="iconbox-round" shadow="iconbox-shadow" ib_style="btn-underlined" ib_title="Support Center" ib_border="border-thick" i_icon_linea="lqd-icn-ess icon-lqd-pen" title="Submit a Ticket" icon_size="45px" fill_color="rgb(255, 255, 255)" icon_mb="23" css=".vc_custom_1615045480827{padding-top: 35px !important;padding-right: 35px !important;padding-bottom: 35px !important;padding-left: 35px !important;}" custom_i_size="85px" shape_color="rgba(17, 108, 222, 0.09)" ib_color="rgb(0, 0, 0)" ib_b_color="rgb(239, 239, 239)" i_color="rgb(17, 108, 222)"]Feel free to reach our support team for further assistance.[/ld_icon_box][/vc_column_inner][vc_column_inner offset="vc_col-md-4"][ld_icon_box i_type="linea" heading_size="xs" i_shape="circle" i_border="" show_button="yes" fill="yes" border_radius="iconbox-round" shadow="iconbox-shadow" ib_style="btn-underlined" ib_title="mail@liquid.com" ib_border="border-thick" i_icon_linea="lqd-icn-ess icon-lqd-envelope" title="Send a message" icon_size="45px" fill_color="rgb(255, 255, 255)" icon_mb="23" css=".vc_custom_1615045463242{padding-top: 35px !important;padding-right: 35px !important;padding-bottom: 35px !important;padding-left: 35px !important;}" custom_i_size="85px" shape_color="rgba(17, 108, 222, 0.1)" i_color="rgb(17, 108, 222)" ib_color="rgb(0, 0, 0)" ib_b_color="rgb(239, 239, 239)"]Feel free to reach our support team for further assistance.[/ld_icon_box][/vc_column_inner][vc_column_inner offset="vc_col-md-4"][ld_icon_box i_type="linea" heading_size="xs" i_shape="circle" i_border="" show_button="yes" fill="yes" border_radius="iconbox-round" shadow="iconbox-shadow" ib_style="btn-underlined" ib_title="+ 1. 328 873 20" ib_border="border-thick" i_icon_linea="lqd-icn-ess icon-lqd-user" title="Contacts Us" icon_size="45px" fill_color="rgb(255, 255, 255)" icon_mb="23" css=".vc_custom_1615045440827{padding-top: 35px !important;padding-right: 35px !important;padding-bottom: 35px !important;padding-left: 35px !important;}" custom_i_size="85px" shape_color="rgba(17, 108, 222, 0.11)" i_color="rgb(17, 108, 222)" ib_color="rgb(0, 0, 0)" ib_b_color="rgb(239, 239, 239)"]Feel free to reach our support team for further assistance.[/ld_icon_box][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Icon 9 - newsletter
	$data = array();
	$data['name'] = esc_html__( 'Icon 09', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'icon-9.jpg' );
	$data['sort_name'] = 'Icon';
	$data['custom_class'] = 'general icon';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" bg_position="custom" css=".vc_custom_1605846234757{padding-top: 60px !important;padding-right: 15px !important;padding-bottom: 60px !important;padding-left: 15px !important;background: #eef6f9 url(https://newsletterhub.liquid-themes.com/staging/wp-content/uploads/2019/11/circles.svg?id=42) !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}" bg_pos_h="48vw" bg_pos_v="50%" responsive_css="padding_top_medium:200px|padding_right_medium:0px|padding_bottom_medium:200px|padding_left_medium:0px" el_id="lqd-dashboard"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-5" ca_duration="1800" ca_delay="180" ca_init_translate_y="45"][vc_single_image image="41"][ld_fancy_heading tag="h2" highlight_offset="10px" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" enable_fit="true" fs="text_large:52px|text_medium:44px|text_small:38px" margin="bottom_small:0.35em" compressor="0.7" minfontsize="44" highlight_color="rgba(0, 233, 135, 0.45)"]Track your daily [ld_highlight]visitors[/ld_highlight].[/ld_fancy_heading][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" fs="text_small:19px" margin="bottom_small:1.5em" padding="right_all:12%25" lh="text_small:27px"]Your time is precious for us. Install any demo, plugin or template in a matter of seconds. Just select the demo and one click.[/ld_fancy_heading][/vc_column][vc_column parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" bg_position="center center" offset="vc_col-md-7" translate_from_y="-40" translate_to_y="45"][vc_row_inner enable_content_animation="yes" equal_height="yes" content_placement="middle" gap="0" animation_preset="Fade In" enable_row_shadowbox="yes" css=".vc_custom_1595930555265{background-color: #ffffff !important;border-radius: 20px !important;}" row_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2230px%22%2C%22blur_radius%22%3A%2280px%22%2C%22shadow_color%22%3A%22rgba(59%2C131%2C150%2C0.09)%22%7D%5D" ca_duration="1800" ca_delay="120" ca_start_delay="500"][vc_column_inner width="1/2" css=".vc_custom_1573198864529{border-right-width: 1px !important;border-bottom-width: 1px !important;padding-top: 30px !important;padding-right: 20px !important;padding-bottom: 25px !important;padding-left: 30px !important;border-right-color: #eff6fc !important;border-right-style: solid !important;border-bottom-color: #eff6fc !important;border-bottom-style: solid !important;}"][ld_icon_box i_type="fontawesome" heading_size="custom" i_shape="circle" i_border="" position="iconbox-side" alignment="text-left" title="Targeted Accounts" custom_heading_size="17px" icon_size="18px" custom_i_size="35px" css=".vc_custom_1611310244557{margin-bottom: 0px !important;}" title_mb="5" shape_color="rgb(31, 221, 121)" i_icon_fontawesome="fas fa-compass"]Buy once, and it is yours forever. Perfect deal![/ld_icon_box][/vc_column_inner][vc_column_inner width="1/2" css=".vc_custom_1573198870414{border-right-width: 1px !important;border-bottom-width: 1px !important;padding-top: 30px !important;padding-right: 20px !important;padding-bottom: 25px !important;padding-left: 30px !important;border-right-color: #eff6fc !important;border-right-style: solid !important;border-bottom-color: #eff6fc !important;border-bottom-style: solid !important;}"][ld_icon_box i_type="fontawesome" heading_size="custom" i_shape="circle" i_border="" position="iconbox-side" alignment="text-left" title="Highly Personalized" custom_heading_size="17px" icon_size="18px" custom_i_size="35px" css=".vc_custom_1611310257563{margin-bottom: 0px !important;}" title_mb="5" shape_color="rgb(31, 221, 121)" i_icon_fontawesome="fas fa-wrench"]Buy once, and it is yours forever. Perfect deal![/ld_icon_box][/vc_column_inner][vc_column_inner width="1/2" css=".vc_custom_1573198875430{border-right-width: 1px !important;border-bottom-width: 1px !important;padding-top: 30px !important;padding-right: 20px !important;padding-bottom: 25px !important;padding-left: 30px !important;border-right-color: #eff6fc !important;border-right-style: solid !important;border-bottom-color: #eff6fc !important;border-bottom-style: solid !important;}"][ld_icon_box i_type="fontawesome" heading_size="custom" i_shape="circle" i_border="" position="iconbox-side" alignment="text-left" title="Increase Engagement" custom_heading_size="17px" icon_size="18px" custom_i_size="35px" css=".vc_custom_1611310269025{margin-bottom: 0px !important;}" title_mb="5" shape_color="rgb(31, 221, 121)" i_icon_fontawesome="fas fa-book-reader"]Buy once, and it is yours forever. Perfect deal![/ld_icon_box][/vc_column_inner][vc_column_inner width="1/2" css=".vc_custom_1573198880704{border-right-width: 1px !important;border-bottom-width: 1px !important;padding-top: 30px !important;padding-right: 20px !important;padding-bottom: 25px !important;padding-left: 30px !important;border-right-color: #eff6fc !important;border-right-style: solid !important;border-bottom-color: #eff6fc !important;border-bottom-style: solid !important;}"][ld_icon_box i_type="fontawesome" heading_size="custom" i_shape="circle" i_border="" position="iconbox-side" alignment="text-left" title="Future Customers" custom_heading_size="17px" icon_size="18px" custom_i_size="35px" css=".vc_custom_1595930538351{margin-bottom: 0px !important;}" title_mb="5" shape_color="rgb(31, 221, 121)" i_icon_fontawesome="fas fa-chart-pie"]You can easily create the perfect conversation.[/ld_icon_box][/vc_column_inner][vc_column_inner width="1/2" css=".vc_custom_1573198891571{border-right-width: 1px !important;border-bottom-width: 1px !important;padding-top: 30px !important;padding-right: 20px !important;padding-bottom: 25px !important;padding-left: 30px !important;border-right-color: #eff6fc !important;border-right-style: solid !important;border-bottom-color: #eff6fc !important;border-bottom-style: solid !important;}"][ld_icon_box i_type="fontawesome" heading_size="custom" i_shape="circle" i_border="" position="iconbox-side" alignment="text-left" title="Personal Connections" custom_heading_size="17px" icon_size="18px" custom_i_size="35px" css=".vc_custom_1611310279338{margin-bottom: 0px !important;}" title_mb="5" shape_color="rgb(31, 221, 121)" i_icon_fontawesome="fas fa-bell"]Buy once, and it is yours forever. Perfect deal![/ld_icon_box][/vc_column_inner][vc_column_inner width="1/2" css=".vc_custom_1573198887050{border-right-width: 1px !important;border-bottom-width: 1px !important;padding-top: 30px !important;padding-right: 20px !important;padding-bottom: 25px !important;padding-left: 30px !important;border-right-color: #eff6fc !important;border-right-style: solid !important;border-bottom-color: #eff6fc !important;border-bottom-style: solid !important;}"][ld_icon_box i_type="fontawesome" heading_size="custom" i_shape="circle" i_border="" position="iconbox-side" alignment="text-left" title="Start Conversations" custom_heading_size="17px" icon_size="18px" custom_i_size="35px" css=".vc_custom_1611310288834{margin-bottom: 0px !important;}" title_mb="5" shape_color="rgb(31, 221, 121)" i_icon_fontawesome="fas fa-robot"]Buy once, and it is yours forever. Perfect deal![/ld_icon_box][/vc_column_inner][/vc_row_inner][/vc_column][vc_column][ld_particles as_bg="yes" shape_type="circle,edge" opacity="1" enable_move="yes" move_direction="right" enable_random_move="yes" enable_onhover="yes" onhover_mode="bubble" modes_grab_opacity="1" retina_detect="yes" particle_id="lqd-1573195501913-ee0a8e1c-4455" number="9" size="3.5" move_speed="3" modes_bubble_size="5"][/vc_column][vc_column][ld_images_group_container move_to_parent_row="yes" position="right_small:70px|bottom_small:0px"][ld_images_group_element parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" image="43" translate_from_y="30" translate_to_y="-160"][/ld_images_group_element][/ld_images_group_container][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Icon 10 - newsletter
	$data = array();
	$data['name'] = esc_html__( 'Icon 10', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'icon-10.jpg' );
	$data['sort_name'] = 'Icon';
	$data['custom_class'] = 'general icon';
	$data['content'] = <<<CONTENT
	[vc_row bg_position="center center" css=".vc_custom_1605846403514{padding-top: 60px !important;padding-bottom: 50px !important;background-color: #ffffff !important;background-position: center !important;background-repeat: no-repeat !important;background-size: contain !important;}" el_id="lqd-integration" responsive_css="padding_top_medium:150px"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" align="text-center" offset="vc_col-md-offset-2 vc_col-md-8" css=".vc_custom_1605846889965{margin-bottom: 5vh !important;}" ca_duration="1800" ca_delay="180" ca_init_translate_y="35" responsive_align="text-left text-md-center"][ld_fancy_heading tag="h2" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" enable_fit="true" fs="text_large:52px|text_medium:44px|text_small:38px" margin="bottom_small:0.35em" compressor="0.7" minfontsize="44"]Seamless Integration[/ld_fancy_heading][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" fs="text_small:19px" lh="text_small:27px" margin="bottom_large:1.5em|bottom_small:1em"]Intuitive Header Builder – Choose a pre-built header or create a custom layout that perfectly suits your needs.[/ld_fancy_heading][/vc_column][vc_column][vc_row_inner equal_height="yes"][vc_column_inner parallax="yes" width="1/2" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" offset="vc_col-md-3 vc_col-xs-6" responsive_css="margin_bottom_medium:0px|padding_top_medium:100px" translate_from_y="-40" translate_to_y="45" css=".vc_custom_1605846418682{margin-bottom: 35px !important;}"][ld_icon_box i_type="image" heading_size="sm" i_shape="circle" i_size="sm" i_border="" enable_shape_shadowbox="yes" i_icon_image="48" title="Slack Chat" icon_mb="35" custom_i_size="165px" shape_color="rgb(255, 255, 255)" shape_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2220px%22%2C%22blur_radius%22%3A%2230px%22%2C%22shadow_color%22%3A%22rgba(65%2C94%2C148%2C0.08)%22%7D%5D"][ld_highlight color="#033165"]Full Extension[/ld_highlight][/ld_icon_box][/vc_column_inner][vc_column_inner parallax="yes" width="1/2" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" offset="vc_col-md-3 vc_col-xs-6" responsive_css="padding_top_medium:25px|margin_bottom_small:0px" translate_from_y="35" translate_to_y="-85" css=".vc_custom_1605846431116{margin-bottom: 45px !important;}"][ld_icon_box i_type="image" heading_size="sm" i_shape="circle" i_size="sm" i_border="" enable_shape_shadowbox="yes" i_icon_image="49" title="Trello Boards" icon_mb="35" custom_i_size="165px" shape_color="rgb(255, 255, 255)" shape_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2220px%22%2C%22blur_radius%22%3A%2230px%22%2C%22shadow_color%22%3A%22rgba(65%2C94%2C148%2C0.08)%22%7D%5D"][ld_highlight color="#033165"]3rd party[/ld_highlight][/ld_icon_box][/vc_column_inner][vc_column_inner parallax="yes" width="1/2" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" offset="vc_col-md-3 vc_col-xs-6" responsive_css="padding_top_medium:90px" translate_from_y="-85" translate_to_y="50"][ld_icon_box i_type="image" heading_size="sm" i_shape="circle" i_border="" enable_shape_shadowbox="yes" i_icon_image="51" title="Google Docs" icon_mb="35" custom_i_size="165px" shape_color="rgb(255, 255, 255)" shape_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2220px%22%2C%22blur_radius%22%3A%2230px%22%2C%22shadow_color%22%3A%22rgba(65%2C94%2C148%2C0.08)%22%7D%5D"][ld_highlight color="#033165"]Full Extension[/ld_highlight][/ld_icon_box][/vc_column_inner][vc_column_inner parallax="yes" width="1/2" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" offset="vc_col-md-3 vc_col-xs-6" translate_from_y="80" translate_to_y="-90" responsive_css="margin_top_medium:-70px"][ld_icon_box i_type="image" heading_size="sm" i_shape="circle" i_border="" enable_shape_shadowbox="yes" i_icon_image="50" title="Jiara Tickets" icon_mb="35" custom_i_size="165px" shape_color="rgb(255, 255, 255)" shape_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2220px%22%2C%22blur_radius%22%3A%2230px%22%2C%22shadow_color%22%3A%22rgba(65%2C94%2C148%2C0.08)%22%7D%5D"][ld_highlight color="#033165"]Full Extension[/ld_highlight][/ld_icon_box][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Icon 11 - classic
	$data = array();
	$data['name'] = esc_html__( 'Icon 11', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'icon-11.jpg' );
	$data['sort_name'] = 'Icon';
	$data['custom_class'] = 'general icon';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1596326945613{border-bottom-width: 1px !important;padding-top: 60px !important;padding-bottom: 35px !important;border-bottom-color: rgba(0,0,0,0.07) !important;border-bottom-style: solid !important;}" responsive_css="border_bottom_medium:1px|padding_top_medium:75px|padding_bottom_medium:45px|padding_top_small:70px|padding_bottom_small:45px"][vc_column align="text-center" offset="vc_col-md-offset-3 vc_col-md-6" css=".vc_custom_1606176773239{margin-bottom: 40px !important;}" responsive_align="text-left text-md-center"][ld_fancy_heading tag="h6" transform="text-uppercase" margin="bottom_small:1em"]Digital Products[/ld_fancy_heading][ld_fancy_heading tag="h2" padding="right_all:14%25|left_all:14%25"]Tech solutions for your business.[/ld_fancy_heading][/vc_column][vc_column][vc_row_inner enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" ca_duration="1800" ca_delay="180" ca_init_translate_y="35"][vc_column_inner width="1/2" css=".vc_custom_1583835330693{margin-bottom: 18px !important;}" offset="vc_col-md-4"][ld_icon_box i_type="fontawesome" heading_size="custom" i_shape="circle" i_size="sm" i_border="" position="iconbox-side" title="ONLINE SECURITY" custom_heading_size="15px" custom_i_size="56px" title_mb="13" i_icon_fontawesome="fas fa-shield-alt" h_i_color="rgb(255, 255, 255)" shape_hcolor="rgb(59, 59, 59)"]Huge collection of elements, and rich customization options for you.[/ld_icon_box][/vc_column_inner][vc_column_inner width="1/2" css=".vc_custom_1583835330693{margin-bottom: 18px !important;}" offset="vc_col-md-4"][ld_icon_box i_type="fontawesome" heading_size="custom" i_shape="circle" i_size="sm" i_border="" position="iconbox-side" title="BUSINESS CONSULTATION" custom_heading_size="15px" custom_i_size="56px" title_mb="13" i_icon_fontawesome="far fa-compass" h_i_color="rgb(255, 255, 255)" shape_hcolor="rgb(59, 59, 59)"]Huge collection of elements, and rich customization options for you.[/ld_icon_box][/vc_column_inner][vc_column_inner width="1/2" css=".vc_custom_1583835330693{margin-bottom: 18px !important;}" offset="vc_col-md-4"][ld_icon_box i_type="fontawesome" heading_size="custom" i_shape="circle" i_size="sm" i_border="" position="iconbox-side" title="SOCIAL MEDIA" custom_heading_size="15px" custom_i_size="56px" title_mb="13" i_icon_fontawesome="fab fa-twitter" h_i_color="rgb(255, 255, 255)" shape_hcolor="rgb(59, 59, 59)"]Huge collection of elements, and rich customization options for you.[/ld_icon_box][/vc_column_inner][vc_column_inner width="1/2" css=".vc_custom_1583835330693{margin-bottom: 18px !important;}" offset="vc_col-md-4"][ld_icon_box i_type="fontawesome" heading_size="custom" i_shape="circle" i_size="sm" i_border="" position="iconbox-side" title="WEB DEVELOPMENT" custom_heading_size="15px" custom_i_size="56px" title_mb="13" i_icon_fontawesome="fas fa-wrench" h_i_color="rgb(255, 255, 255)" shape_hcolor="rgb(59, 59, 59)"]Huge collection of elements, and rich customization options for you.[/ld_icon_box][/vc_column_inner][vc_column_inner width="1/2" css=".vc_custom_1583835330693{margin-bottom: 18px !important;}" offset="vc_col-md-4"][ld_icon_box i_type="fontawesome" heading_size="custom" i_shape="circle" i_size="sm" i_border="" position="iconbox-side" title="BRANDING STRATEGY" custom_heading_size="15px" custom_i_size="56px" title_mb="13" i_icon_fontawesome="fas fa-chess-queen" h_i_color="rgb(255, 255, 255)" shape_hcolor="rgb(59, 59, 59)"]Huge collection of elements, and rich customization options for you.[/ld_icon_box][/vc_column_inner][vc_column_inner width="1/2" css=".vc_custom_1583835330693{margin-bottom: 18px !important;}" offset="vc_col-md-4"][ld_icon_box i_type="fontawesome" heading_size="custom" i_shape="circle" i_size="sm" i_border="" position="iconbox-side" title="ECOMMERCE" custom_heading_size="15px" custom_i_size="56px" title_mb="13" i_icon_fontawesome="fas fa-store" h_i_color="rgb(255, 255, 255)" shape_hcolor="rgb(59, 59, 59)"]Huge collection of elements, and rich customization options for you.[/ld_icon_box][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Icon 12 - classic
	$data = array();
	$data['name'] = esc_html__( 'Icon 12', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'icon-12.jpg' );
	$data['sort_name'] = 'Icon';
	$data['custom_class'] = 'general icon process';
	$data['content'] = <<<CONTENT
	[vc_row enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" css=".vc_custom_1602158157069{padding-top: 30px !important;padding-bottom: 60px !important;}" ca_duration="1800" ca_delay="180" ca_init_translate_x="35" responsive_css="padding_top_medium:30px|padding_bottom_medium:70px|padding_top_small:30px|padding_bottom_small:60px"][vc_column offset="vc_col-md-4"][ld_icon_box i_type="linea" heading_size="custom" heading_weight="font-weight-bold" i_shape="circle" i_size="xs" i_border="1" position="iconbox-side" title="SCHEDULE APPOINTMENT" custom_heading_size="14px" custom_i_size="47px" shape_hcolor="rgb(62, 173, 60)" border_shape_color="rgb(220, 228, 235)" border_shape_hcolor="rgb(62, 173, 60)" shape_color="rgb(255, 255, 255)" icon_size="16px" h_i_color="rgb(255, 255, 255)" i_icon_linea="lqd-icn-ess icon-num-1" i_color="rgb(0, 0, 0)"]Hub IT allows your business and technology computers to store, transmit, analyze, and manipulate big data.[/ld_icon_box][/vc_column][vc_column offset="vc_col-md-4"][ld_icon_box i_type="linea" heading_size="custom" heading_weight="font-weight-bold" i_shape="circle" i_size="xs" i_border="1" position="iconbox-side" title="BUSINESS CONSULTATION" custom_heading_size="14px" custom_i_size="47px" shape_hcolor="rgb(62, 173, 60)" border_shape_color="rgb(220, 228, 235)" border_shape_hcolor="rgb(62, 173, 60)" shape_color="rgb(255, 255, 255)" icon_size="16px" h_i_color="rgb(255, 255, 255)" i_icon_linea="lqd-icn-ess icon-num-2" i_color="rgb(26, 26, 26)"]Hub IT allows your business and technology computers to store, transmit, analyze, and manipulate big data.[/ld_icon_box][/vc_column][vc_column offset="vc_col-md-4"][ld_icon_box i_type="linea" heading_size="custom" heading_weight="font-weight-bold" i_shape="circle" i_size="xs" i_border="1" position="iconbox-side" title="LAUNCH YOUR BUSINESS" custom_heading_size="14px" custom_i_size="47px" shape_hcolor="rgb(62, 173, 60)" border_shape_color="rgb(220, 228, 235)" border_shape_hcolor="rgb(62, 173, 60)" shape_color="rgb(255, 255, 255)" icon_size="16px" h_i_color="rgb(255, 255, 255)" i_icon_linea="lqd-icn-ess icon-num-3" i_color="rgb(22, 22, 22)"]Hub IT allows your business and technology computers to store, transmit, analyze, and manipulate big data.[/ld_icon_box][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Icon 13 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Icon 13', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'icon-13.jpg' );
	$data['sort_name'] = 'Icon';
	$data['custom_class'] = 'general icon';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1610715136384{border-bottom-width: 1px !important;padding-top: 30px !important;padding-bottom: 30px !important;background-color: #fff6e5 !important;border-bottom-color: #707070 !important;border-bottom-style: solid !important;}"][vc_column align="text-center" offset="vc_col-md-offset-2 vc_col-md-8" responsive_align="text-center"][ld_fancy_heading tag="h2" tag_to_inherite="h3" use_inheritance="true" margin="bottom_small:0.15em"]Revolutionary Ingredients[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:13px" lh="text_small:1.5em" margin="bottom_small:0px"]We eliminated single-use plastic materials.[/ld_fancy_heading][/vc_column][/vc_row][vc_row css=".vc_custom_1610715142668{padding-top: 50px !important;padding-bottom: 50px !important;background-color: #fff6e5 !important;}"][vc_column offset="vc_col-md-1/5 vc_col-xs-6"][ld_icon_box i_type="image" heading_size="custom" i_shape="circle" i_size="sm" i_border="2" i_icon_image="34" title="Cream or Bottle" title_mb="1" custom_heading_size="15px" custom_size="26px" icon_mb="18" custom_i_size="50px" shape_color="rgba(0, 0, 0, 0)" border_shape_color="rgb(0, 0, 0)"]Easy to Apply[/ld_icon_box][/vc_column][vc_column width="1/2" offset="vc_col-md-1/5 vc_col-xs-6"][ld_icon_box i_type="linea" heading_size="custom" i_shape="circle" i_size="sm" i_border="2" title="Cream or Bottle" title_mb="1" custom_heading_size="15px" icon_mb="18" custom_i_size="50px" shape_color="rgba(0, 0, 0, 0)" border_shape_color="rgb(0, 0, 0)" i_icon_linea="lqd-icn-ess icon-speech-bubble" i_color="rgb(0, 0, 0)"]Easy to Apply[/ld_icon_box][/vc_column][vc_column width="1/2" offset="vc_col-md-1/5 vc_col-xs-6"][ld_icon_box i_type="linea" heading_size="custom" i_shape="circle" i_size="sm" i_border="2" title="Cream or Bottle" title_mb="1" custom_heading_size="15px" icon_mb="18" custom_i_size="50px" shape_color="rgba(0, 0, 0, 0)" border_shape_color="rgb(0, 0, 0)" i_icon_linea="lqd-icn-ess icon-ld-cart" i_color="rgb(0, 0, 0)"]Easy to Apply[/ld_icon_box][/vc_column][vc_column width="1/2" offset="vc_col-md-1/5 vc_col-xs-6"][ld_icon_box i_type="linea" heading_size="custom" i_shape="circle" i_size="sm" i_border="2" title="Cream or Bottle" title_mb="1" custom_heading_size="15px" icon_mb="18" custom_i_size="50px" shape_color="rgba(0, 0, 0, 0)" border_shape_color="rgb(0, 0, 0)" i_icon_linea="lqd-icn-ess icon-lqd-eye" i_color="rgb(0, 0, 0)"]Easy to Apply[/ld_icon_box][/vc_column][vc_column width="1/2" offset="vc_col-md-1/5" responsive_align="text-center text-md-left"][ld_icon_box i_type="linea" heading_size="custom" i_shape="circle" i_size="sm" i_border="2" title="Cream or Bottle" title_mb="1" custom_heading_size="15px" icon_mb="18" custom_i_size="50px" shape_color="rgba(0, 0, 0, 0)" border_shape_color="rgb(0, 0, 0)" i_icon_linea="lqd-icn-ess icon-lqd-check" i_color="rgb(0, 0, 0)"]Easy to Apply[/ld_icon_box][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Icon 14 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Icon 14', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'icon-14.jpg' );
	$data['sort_name'] = 'Icon';
	$data['custom_class'] = 'general icon';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1605622972829{padding-bottom: 40px !important;}" responsive_css="padding_bottom_medium:60px"][vc_column responsive_css="padding_right_medium:65px" offset="vc_col-md-4" responsive_align="text-center text-md-left"][ld_icon_box i_type="fontawesome" heading_size="xs" alignment="text-left" i_icon_fontawesome="far fa-circle" title="Cruelty-Free Products" title_mb="37" icon_size="22px" icon_mb="20"]Hub offers a range of skincare products that are feminine, delicate and long-lasting with vitamins and nutritions to improve your skin condition.[/ld_icon_box][vc_separator color="custom" accent_color="#000000"][/vc_column][vc_column responsive_css="padding_left_medium:65px" offset="vc_col-md-4" responsive_align="text-center text-md-left"][ld_icon_box i_type="fontawesome" heading_size="xs" alignment="text-left" i_icon_fontawesome="far fa-circle" title="Cruelty-Free Products" title_mb="37" icon_size="22px" icon_mb="20"]Hub offers a range of skincare products that are feminine, delicate and long-lasting with vitamins and nutritions to improve your skin condition.[/ld_icon_box][vc_separator color="custom" accent_color="#000000"][/vc_column][vc_column responsive_css="padding_left_medium:65px" offset="vc_col-md-4" responsive_align="text-center text-md-left"][ld_icon_box i_type="fontawesome" heading_size="xs" alignment="text-left" i_icon_fontawesome="far fa-circle" title="Cruelty-Free Products" title_mb="37" icon_size="22px" icon_mb="20"]Hub offers a range of skincare products that are feminine, delicate and long-lasting with vitamins and nutritions to improve your skin condition.[/ld_icon_box][vc_separator color="custom" accent_color="#000000"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Icon 15 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Icon 15', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'icon-15.jpg' );
	$data['sort_name'] = 'Icon';
	$data['custom_class'] = 'general icon';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1605844973705{padding-bottom: 50px !important;}" el_id="services" responsive_css="padding_top_medium:80px"][vc_column offset="vc_col-md-3" css=".vc_custom_1575033888174{margin-bottom: 30px !important;}"][ld_fancy_heading tag="h5" margin="bottom_small:1em"]Services[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-9"][vc_row_inner enable_content_animation="yes" equal_height="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" ca_duration="1800" ca_delay="180" ca_init_translate_x="65"][vc_column_inner width="1/2" offset="vc_col-md-4 vc_col-xs-6" responsive_css="margin_bottom_medium:50px"][ld_icon_box i_type="image" heading_size="xs" alignment="text-left" i_icon_image="4348" title="Application Design" title_mb="15" icon_mb="35" h_color="rgb(255, 255, 255)"]I enjoy turning complex problems into simple solutions.[/ld_icon_box][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-4 vc_col-xs-6" responsive_css="margin_bottom_medium:90px"][ld_icon_box i_type="image" heading_size="xs" alignment="text-left" i_icon_image="4347" title="Search Engine Opt." title_mb="15" icon_mb="35" h_color="rgb(255, 255, 255)"]Creating brand identities, digital experiences, that communicate[/ld_icon_box][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-4 vc_col-xs-6" responsive_css="margin_bottom_medium:90px"][ld_icon_box i_type="image" heading_size="xs" alignment="text-left" i_icon_image="4346" title="User Interface" title_mb="15" icon_mb="35" h_color="rgb(255, 255, 255)"]Beautiful and intuitive interface designs for clients.[/ld_icon_box][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-4 vc_col-xs-6" responsive_css="margin_bottom_medium:90px"][ld_icon_box i_type="image" heading_size="xs" alignment="text-left" i_icon_image="4345" title="Social Media" title_mb="15" icon_mb="35" h_color="rgb(255, 255, 255)"]Creating brand identities, digital experiences, that communicate[/ld_icon_box][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-4 vc_col-xs-6" responsive_css="margin_bottom_medium:90px"][ld_icon_box i_type="image" heading_size="xs" alignment="text-left" i_icon_image="4344" title="App Development" title_mb="15" icon_mb="35" h_color="rgb(255, 255, 255)"]My aim is to bring across your digital message and identity.[/ld_icon_box][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-4 vc_col-xs-6" responsive_css="margin_bottom_medium:90px"][ld_icon_box i_type="image" heading_size="xs" alignment="text-left" i_icon_image="4343" title="Branding Strategy" title_mb="15" icon_mb="35" h_color="rgb(255, 255, 255)"]Great work for clients with meaningful missions.[/ld_icon_box][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Icon 16 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Icon 16', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'icon-16.jpg' );
	$data['sort_name'] = 'Icon';
	$data['custom_class'] = 'general icon';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1596323991001{padding-top: 60px !important;}" responsive_css="padding_top_medium:140px|padding_bottom_medium:70px|padding_top_small:70px"][vc_column css=".vc_custom_1605881487816{margin-bottom: 30px !important;}" responsive_align="text-left text-md-center" offset="vc_col-md-offset-0 vc_col-xs-offset-1 vc_col-xs-10" responsive_css="margin_bottom_medium:50px"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_small:32px"]Smart Business Solutions[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-offset-0 vc_col-md-4 vc_col-xs-offset-1 vc_col-xs-10" responsive_css="padding_right_medium:35px" responsive_align="text-sm-center text-md-left text-lg-left"][ld_icon_box i_type="image" heading_size="xs" alignment="text-left" title="Business Consultation" icon_mb="30" i_icon_image="4336" title_mb="25"]<span style="color: #494b5d;">Hub IT allows your business and technology computers to store, transmit, analyze, and manipulate big data.</span>[/ld_icon_box][/vc_column][vc_column offset="vc_col-md-offset-0 vc_col-md-4 vc_col-xs-offset-1 vc_col-xs-10" responsive_css="padding_right_medium:35px"][ld_icon_box i_type="image" heading_size="xs" alignment="text-left" title="Digital Solutions" icon_mb="30" i_icon_image="41" title_mb="25"]<span style="color: #494b5d;">Hub IT allows your business and technology computers to store, transmit, analyze, and manipulate big data.</span>[/ld_icon_box][/vc_column][vc_column responsive_css="padding_right_medium:35px" offset="vc_col-md-offset-0 vc_col-md-4 vc_col-xs-offset-1 vc_col-xs-10"][ld_icon_box i_type="image" heading_size="xs" alignment="text-left" title="Archive Management" icon_mb="30" i_icon_image="40" title_mb="25"]<span style="color: #494b5d;">Hub IT allows your business and technology computers to store, transmit, analyze, and manipulate big data.</span>[/ld_icon_box][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Icon 17 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Icon 17', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'icon-17.jpg' );
	$data['sort_name'] = 'Icon';
	$data['custom_class'] = 'general icon';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" enable_row_dividers="yes" css=".vc_custom_1605985024622{padding-top: 90px !important;padding-bottom: 90px !important;background-color: #003179 !important;}" row_svg_divider="top_shape_type:3|top_shape_color:%23ffffff|top_shape_height:40|bottom_shape_type:3|bottom_shape_color:%23ffffff|bottom_shape_height:40" el_id="features" responsive_css="padding_top_medium:150px|padding_bottom_medium:150px"][vc_column offset="vc_col-md-6" responsive_css="padding_right_medium:10%25"][ld_fancy_heading tag="h2" highlight_reset_onhover="lqd-highlight-reset-onhover" highlight_offset="13px" duration="1400" delay="140" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" enable_split="true" use_mask="true" color="rgb(255, 255, 255)" highlight_color="rgba(0, 203, 153, 0.5)" ca_init_translate_x="0" ca_init_translate_y="50"]La solution à [ld_highlight]vos mobile[/ld_highlight] online payments[/ld_fancy_heading][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-offset-1 vc_col-md-5" ca_duration="1600" ca_start_delay="350" ca_delay="160" ca_init_translate_y="40"][ld_fancy_heading tag="p" tag_to_inherite="h6" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_inheritance="true" enable_split="true" use_mask="true" color="rgba(255, 255, 255, 0.5)"]Les services de paiement sont disponibles via des applications mobiles et de bureau.[/ld_fancy_heading][/vc_column][vc_column css=".vc_custom_1573286911493{margin-top: 60px !important;}"][vc_row_inner enable_content_animation="yes" equal_height="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" ca_duration="1600" ca_delay="200" ca_init_translate_y="50" ca_init_rotate_z="2"][vc_column_inner offset="vc_col-md-4" css=".vc_custom_1571921715929{margin-bottom: 30px !important;}"][ld_icon_box i_type="animated" i_size="lg" position="iconbox-side" title="No Hidden Fees" i_color="rgb(0, 212, 155)" h_color="rgb(255, 255, 255)" title_mb="5" i_icon_animated="animated-basic_calculator"]<span style="color: #9bb1cf;">Des feux d’artifices et des defiles militaires sont organises.</span>[/ld_icon_box][/vc_column_inner][vc_column_inner offset="vc_col-md-4" css=".vc_custom_1571921721275{margin-bottom: 30px !important;}"][ld_icon_box i_type="animated" i_size="lg" position="iconbox-side" title="Fast and Easy" i_color="rgb(0, 212, 155)" h_color="rgb(255, 255, 255)" title_mb="5" i_icon_animated="animated-basic_message_txt"]<span style="color: #9bb1cf;">Nous prenons la sécurité au sérieux<br />
at paimenent.</span>[/ld_icon_box][/vc_column_inner][vc_column_inner offset="vc_col-md-4" css=".vc_custom_1571921726277{margin-bottom: 30px !important;}"][ld_icon_box i_type="animated" i_size="lg" position="iconbox-side" title="Order Registration" i_color="rgb(0, 212, 155)" h_color="rgb(255, 255, 255)" title_mb="5" i_icon_animated="animated-ecommerce_graph1"]<span style="color: #9bb1cf;">Bloquer de l’argent avec l’application mobile.</span>[/ld_icon_box][/vc_column_inner][vc_column_inner offset="vc_col-md-4" css=".vc_custom_1571921732592{margin-bottom: 30px !important;}"][ld_icon_box i_type="animated" i_size="lg" position="iconbox-side" title="Secure Payments" i_color="rgb(0, 212, 155)" h_color="rgb(255, 255, 255)" title_mb="5" i_icon_animated="animated-ecommerce_creditcard"]<span style="color: #9bb1cf;">Des feux d’artifices et des defiles militaires sont organises.</span>[/ld_icon_box][/vc_column_inner][vc_column_inner offset="vc_col-md-4" css=".vc_custom_1571921739508{margin-bottom: 30px !important;}"][ld_icon_box i_type="animated" i_size="lg" position="iconbox-side" title="Use Local Currency" i_color="rgb(0, 212, 155)" h_color="rgb(255, 255, 255)" title_mb="5" i_icon_animated="animated-basic_spread_text_bookmark"]<span style="color: #9bb1cf;">Bloquer de l’argent avec l’application mobile.</span>[/ld_icon_box][/vc_column_inner][vc_column_inner offset="vc_col-md-4" css=".vc_custom_1571921744742{margin-bottom: 30px !important;}"][ld_icon_box i_type="animated" i_size="lg" position="iconbox-side" title="Intelligent Transfers" i_color="rgb(0, 212, 155)" h_color="rgb(255, 255, 255)" title_mb="5" i_icon_animated="animated-ecommerce_basket_plus"]<span style="color: #9bb1cf;">Les services de paiement sont disponibles via des applications </span>[/ld_icon_box][/vc_column_inner][/vc_row_inner][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" align="text-center" css=".vc_custom_1571921977349{margin-top: 20px !important;}" ca_duration="1600" ca_start_delay="450" ca_init_translate_y="40" responsive_align="text-center"][ld_button style="btn-solid" title="Transfer my money" shape="round" size="btn-lg" border="border-none" color="rgb(255, 227, 209)" hover_color="rgb(255, 255, 255)" text_color="rgb(0, 36, 88)" fs="16px" css=".vc_custom_1571921782854{padding-right: 2em !important;padding-left: 2em !important;}" htext_color="rgb(0, 36, 88)"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Icon 18 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Icon 18', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'icon-18.jpg' );
	$data['sort_name'] = 'Icon';
	$data['custom_class'] = 'general icon';
	$data['content'] = <<<CONTENT
	[vc_row bg_position="custom" css=".vc_custom_1611574294303{margin-bottom: 60px !important;padding-top: 80px !important;padding-bottom: 35px !important;background-color: #1a1a21 !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}" responsive_css="margin_top_medium:30px|margin_bottom_medium:30px|margin_left_medium:100px" bg_pos_h="50%" bg_pos_v="170%"][vc_column offset="vc_col-md-5" responsive_css="margin_bottom_medium:0px" css=".vc_custom_1606157568161{margin-bottom: 50px !important;}"][ld_fancy_heading tag="h6" margin="bottom_small:2em" color="rgba(255, 255, 255, 0.35)"]La solution a vos mobile[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_small:31px" lh="text_small:1.3" color="rgb(255, 255, 255)" margin="bottom_small:1em" padding="right_large:16%25"]Helping innovators and brands through cultural insight, strategic vision, and innovation.[/ld_fancy_heading][ld_button style="btn-solid" title="Send message" shape="round" size="btn-sm" border="border-none" hover_txt_effect="btn-hover-txt-liquid-y" i_type="linea" i_hover_reveal="btn-hover-swp" i_add_icon="true" color="rgb(255, 255, 255)" text_color="rgb(0, 0, 0)" css=".vc_custom_1596372112707{padding-right: 0.5em !important;padding-left: 0.5em !important;}" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" hover_color="rgb(37, 37, 37)" htext_color="rgb(255, 255, 255)"][/vc_column][vc_column offset="vc_col-md-offset-1 vc_col-md-6"][vc_row_inner enable_content_animation="yes" equal_height="yes" animation_preset="Fade In" ca_delay="80"][vc_column_inner width="1/2" responsive_css="padding_right_medium:15px|padding_left_medium:15px" responsive_align="text-center text-md-left" offset="vc_col-xs-6"][ld_icon_box i_type="linea" heading_size="xs" heading_weight="font-weight-bold" alignment="text-left" title="Innovative Business" title_mb="10" h_color="rgb(255, 255, 255)" icon_mb="25" css=".vc_custom_1611574440955{margin-bottom: 45px !important;}" i_icon_linea="lqd-icn-ess icon-lqd-path" icon_size="45px" i_color="rgba(255, 255, 255, 0.75)"]<span style="color: #808080;">We’re passionate about solving problems through creatives.</span>[/ld_icon_box][/vc_column_inner][vc_column_inner width="1/2" responsive_css="padding_right_medium:15px|padding_left_medium:15px" responsive_align="text-center text-md-left" offset="vc_col-xs-6"][ld_icon_box i_type="linea" heading_size="xs" heading_weight="font-weight-bold" alignment="text-left" title="Business Development" title_mb="10" h_color="rgb(255, 255, 255)" icon_mb="25" css=".vc_custom_1611574458415{margin-bottom: 45px !important;}" i_icon_linea="lqd-icn-ess icon-lqd-cogs" icon_size="45px" i_color="rgba(255, 255, 255, 0.74)"]<span style="color: #808080;">We’re passionate about solving problems through creatives.</span>[/ld_icon_box][/vc_column_inner][vc_column_inner width="1/2" responsive_css="padding_right_medium:15px|padding_left_medium:15px" responsive_align="text-center text-md-left" offset="vc_col-xs-6"][ld_icon_box i_type="linea" heading_size="xs" heading_weight="font-weight-bold" alignment="text-left" title="Seamless Integration" title_mb="10" h_color="rgb(255, 255, 255)" icon_mb="25" css=".vc_custom_1611574339348{margin-bottom: 45px !important;}" i_icon_linea="lqd-icn-ess icon-lqd-presentation" i_color="rgba(255, 255, 255, 0.73)" icon_size="45px"]<span style="color: #808080;">We’re passionate about solving problems through creatives.</span>[/ld_icon_box][/vc_column_inner][vc_column_inner width="1/2" responsive_css="padding_right_medium:15px|padding_left_medium:15px" responsive_align="text-center text-md-left" offset="vc_col-xs-6"][ld_icon_box i_type="linea" heading_size="xs" heading_weight="font-weight-bold" alignment="text-left" title="Startup Strategy" title_mb="10" h_color="rgb(255, 255, 255)" icon_mb="25" css=".vc_custom_1611574370962{margin-bottom: 45px !important;}" i_icon_linea="lqd-icn-ess icon-lqd-mobile" icon_size="45px" i_color="rgba(255, 255, 255, 0.7)"]<span style="color: #808080;">We’re passionate about solving problems through creatives.</span>[/ld_icon_box][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Icon 19 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Icon 19', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'icon-19.jpg' );
	$data['sort_name'] = 'Icon';
	$data['custom_class'] = 'general icon';
	$data['content'] = <<<CONTENT
	[vc_row gap="25" equal_height="yes" bg_position="center center" css=".vc_custom_1615189145824{padding-top: 30px !important;padding-bottom: 30px !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}" responsive_css="padding_top_medium:60px" el_id="services"][vc_column enable_hover_move="lqd-column-move-onhover" width="1/2" enable_overlay="yes" enable_column_hover_shadowbox="yes" offset="vc_col-md-3" responsive_css="margin_bottom_medium:0px|border_right_small:1px|padding_right_small:7%25|padding_left_small:7%25" css=".vc_custom_1613387763807{margin-bottom: 45px !important;border-right-width: 0px !important;padding-top: 35px !important;padding-right: 10% !important;padding-bottom: 30px !important;padding-left: 10% !important;border-radius: 10px !important;}" hover_overlay_bg="rgb(255, 255, 255)" column_hover_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2210px%22%2C%22blur_radius%22%3A%2230px%22%2C%22shadow_color%22%3A%22rgba(0%2C%200%2C%200%2C%200.1)%22%7D%5D"][ld_icon_box i_type="image" heading_size="custom" heading_weight="font-weight-semibold" title="Social Marketing" custom_heading_size="18px" title_mb="15" icon_mb="30" css=".vc_custom_1611670483140{margin-bottom: 0px !important;}" i_icon_image="4490" custom_size="72px"]<span style="color: #7a7a7a; font-size: 15px;">Focus and target your audience through the right channels.</span>[/ld_icon_box][/vc_column][vc_column enable_hover_move="lqd-column-move-onhover" width="1/2" enable_overlay="yes" enable_column_hover_shadowbox="yes" offset="vc_col-md-3" responsive_css="margin_bottom_medium:0px|border_right_medium:1px|padding_right_small:7%25|padding_left_small:7%25" css=".vc_custom_1613387798927{margin-bottom: 45px !important;border-right-width: 0px !important;padding-top: 35px !important;padding-right: 10% !important;padding-bottom: 30px !important;padding-left: 10% !important;border-radius: 10px !important;}" hover_overlay_bg="rgb(255, 255, 255)" column_hover_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2210px%22%2C%22blur_radius%22%3A%2230px%22%2C%22shadow_color%22%3A%22rgba(0%2C%200%2C%200%2C%200.1)%22%7D%5D"][ld_icon_box i_type="image" heading_size="custom" heading_weight="font-weight-semibold" title="Mobile App Design" custom_heading_size="18px" title_mb="15" icon_mb="30" css=".vc_custom_1611671128662{margin-bottom: 0px !important;}" i_icon_image="4493" custom_size="72px"]<span style="color: #7a7a7a; font-size: 15px;">Focus and target your audience through the right channels.</span>[/ld_icon_box][/vc_column][vc_column enable_hover_move="lqd-column-move-onhover" width="1/2" enable_overlay="yes" enable_column_hover_shadowbox="yes" offset="vc_col-md-3" responsive_css="margin_bottom_medium:0px|border_right_small:1px|padding_right_small:7%25|padding_left_small:7%25" css=".vc_custom_1613388136953{margin-bottom: 45px !important;border-right-width: 0px !important;padding-top: 35px !important;padding-right: 10% !important;padding-bottom: 30px !important;padding-left: 10% !important;border-radius: 10px !important;}" hover_overlay_bg="rgb(255, 255, 255)" column_hover_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2210px%22%2C%22blur_radius%22%3A%2230px%22%2C%22shadow_color%22%3A%22rgba(0%2C%200%2C%200%2C%200.1)%22%7D%5D"][ld_icon_box i_type="image" heading_size="custom" heading_weight="font-weight-semibold" title="SEO Analytics" custom_heading_size="18px" title_mb="15" icon_mb="30" css=".vc_custom_1595845815513{margin-bottom: 0px !important;}" i_icon_image="4494" custom_size="72px"]<span style="color: #7a7a7a; font-size: 15px;">Focus and target your audience through the right channels.</span>[/ld_icon_box][/vc_column][vc_column width="1/2" enable_overlay="yes" enable_column_hover_shadowbox="yes" offset="vc_col-md-3" responsive_css="margin_bottom_medium:0px|padding_right_small:7%25|padding_left_small:7%25" css=".vc_custom_1613387876950{margin-bottom: 0px !important;padding-top: 35px !important;padding-right: 10% !important;padding-bottom: 30px !important;padding-left: 10% !important;border-radius: 10px !important;}" hover_overlay_bg="rgb(255, 255, 255)" column_hover_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2210px%22%2C%22blur_radius%22%3A%2230px%22%2C%22shadow_color%22%3A%22rgba(0%2C%200%2C%200%2C%200.1)%22%7D%5D"][ld_icon_box i_type="image" heading_size="custom" heading_weight="font-weight-semibold" title="Copywriting" custom_heading_size="18px" title_mb="15" icon_mb="30" css=".vc_custom_1611670860524{margin-bottom: 0px !important;}" i_icon_image="4491" custom_size="72px"]<span style="color: #7a7a7a; font-size: 15px;">Focus and target your audience through the right channels.</span>[/ld_icon_box][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Icon 20 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Icon 20', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'icon-20.jpg' );
	$data['sort_name'] = 'Icon';
	$data['custom_class'] = 'general icon';
	$data['content'] = <<<CONTENT
	[vc_row equal_height="yes" css=".vc_custom_1605398402233{padding-top: 60px !important;padding-bottom: 20px !important;}" responsive_css="padding_top_medium:120px|padding_bottom_medium:80px"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" align="text-center" offset="vc_col-md-offset-3 vc_col-md-6" css=".vc_custom_1573121760798{margin-bottom: 50px !important;}" ca_duration="1800" ca_delay="180" ca_init_translate_y="35" responsive_align="text-center"][ld_fancy_heading tag="h6" transform="text-uppercase" enable_bg="yes" fh_border_radius="circle" use_custom_fonts_title="true" fs="text_small:13px" ls="text_small:0.05em" margin="bottom_small:1.75em" fh_bg="rgb(228, 230, 255)" padding="top_small:6px|right_small:13px|bottom_small:6px|left_small:13px"]Explore new places[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" margin="bottom_small:0.3em" padding="right_all:10%25|left_all:10%25" fs="text_large:39px|text_small:32px"]A slaces to stay verified In your local.[/ld_fancy_heading][/vc_column][vc_column][vc_row_inner enable_content_animation="yes" equal_height="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" ca_duration="1800" ca_delay="180" ca_init_translate_y="60" ca_init_rotate_x="-25"][vc_column_inner enable_hover_move="lqd-column-move-onhover" hover_move_value="-5px" offset="vc_col-md-6"][ld_icon_box i_type="image" heading_size="custom" i_size="xs" position="iconbox-side" fill="yes" border_radius="iconbox-round" shadow="iconbox-shadow" i_icon_image="107" title="Premium places to stay" title_mb="15" custom_heading_size="22px" fill_color="rgb(255, 255, 255)" custom_size="60px"]<span style="font-size: 18px;">Enhance your website building experience with unique tools and features.</span>[/ld_icon_box][/vc_column_inner][vc_column_inner enable_hover_move="lqd-column-move-onhover" hover_move_value="-5px" offset="vc_col-md-6"][ld_icon_box i_type="image" heading_size="custom" i_size="xs" position="iconbox-side" fill="yes" border_radius="iconbox-round" shadow="iconbox-shadow" i_icon_image="103" title="Verified for quality and design" title_mb="15" custom_heading_size="22px" fill_color="rgb(255, 255, 255)" custom_size="60px"]<span style="font-size: 18px;">Enhance your website building experience with unique tools and features.</span>[/ld_icon_box][/vc_column_inner][vc_column_inner enable_hover_move="lqd-column-move-onhover" hover_move_value="-5px" offset="vc_col-md-6"][ld_icon_box i_type="image" heading_size="custom" i_size="xs" position="iconbox-side" fill="yes" border_radius="iconbox-round" shadow="iconbox-shadow" i_icon_image="50" title="Daily Recommendations for you" title_mb="15" custom_heading_size="22px" fill_color="rgb(255, 255, 255)" custom_size="60px"]<span style="font-size: 18px;">Enhance your website building experience with unique tools and features.</span>[/ld_icon_box][/vc_column_inner][vc_column_inner enable_hover_move="lqd-column-move-onhover" hover_move_value="-5px" offset="vc_col-md-6"][ld_icon_box i_type="image" heading_size="custom" i_size="xs" position="iconbox-side" fill="yes" border_radius="iconbox-round" shadow="iconbox-shadow" i_icon_image="105" title="Head to the beach" title_mb="15" custom_heading_size="22px" fill_color="rgb(255, 255, 255)" custom_size="60px"]<span style="font-size: 18px;">Enhance your website building experience with unique tools and features.</span>[/ld_icon_box][/vc_column_inner][/vc_row_inner][/vc_column][vc_column][ld_particles as_bg="yes" color_type="multi_color" opacity="1" enable_move="yes" enable_random_move="yes" modes_grab_opacity="1" retina_detect="yes" particle_id="lqd-1573116461865-696cc286-8ad9" number="4" multi_color_values="%5B%7B%22scolor%22%3A%22%23fda44c%22%7D%2C%7B%22scolor%22%3A%22%234cfd89%22%7D%2C%7B%22scolor%22%3A%22%230fbbb4%22%7D%5D" size="4" move_speed="1.5"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Icon 21 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Icon 21', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'icon-21.jpg' );
	$data['sort_name'] = 'Icon';
	$data['custom_class'] = 'general icon';
	$data['content'] = <<<CONTENT
	[vc_row enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" css=".vc_custom_1610628944366{padding-top: 55px !important;padding-bottom: 30px !important;}" ca_duration="1800" ca_delay="180" ca_init_translate_y="35" el_id="features" responsive_css="padding_top_medium:55px|padding_bottom_medium:55px" el_class="z-index-2"][vc_column width="1/2" offset="vc_col-md-1/5" responsive_css="margin_bottom_medium:0px" css=".vc_custom_1573390155543{margin-bottom: 35px !important;}"][ld_icon_box i_type="image" heading_size="sm" get_bubble_classname="iconbox-bubble" get_content_hover_classname="iconbox-contents-show-onhover" i_size="sm" i_icon_image="101" title="Send SMS" custom_size="80px"]</p>
<h6>FREE NOTIFICATIONS</h6>
<hr />
<p>Find, save, and share the perfect place to stay, all from your phone.<br />
Book a listing using payments.[/ld_icon_box][/vc_column][vc_column width="1/2" offset="vc_col-md-1/5" responsive_css="margin_bottom_medium:0px" css=".vc_custom_1573390147676{margin-bottom: 35px !important;}"][ld_icon_box i_type="image" heading_size="sm" get_bubble_classname="iconbox-bubble" get_content_hover_classname="iconbox-contents-show-onhover" i_size="sm" i_icon_image="102" title="Podcast Archive" custom_size="80px"]</p>
<h6>DAILY PODCASTS</h6>
<hr />
<p>Find, save, and share the perfect place to stay, all from your phone.<br />
Book a listing using payments.[/ld_icon_box][/vc_column][vc_column width="1/2" offset="vc_col-md-1/5" responsive_css="margin_bottom_medium:0px" css=".vc_custom_1573390136561{margin-bottom: 35px !important;}"][ld_icon_box i_type="image" heading_size="sm" get_bubble_classname="iconbox-bubble" get_content_hover_classname="iconbox-contents-show-onhover" i_size="sm" i_icon_image="103" title="Instant Messages" custom_size="75px"]</p>
<h6>LIVE CHAT</h6>
<hr />
<p>Find, save, and share the perfect place to stay, all from your phone.<br />
Book a listing using payments.[/ld_icon_box][/vc_column][vc_column width="1/2" offset="vc_col-md-1/5" responsive_css="margin_bottom_medium:0px" css=".vc_custom_1573390164945{margin-bottom: 35px !important;}"][ld_icon_box i_type="image" heading_size="sm" get_bubble_classname="iconbox-bubble" get_content_hover_classname="iconbox-contents-show-onhover" i_size="sm" i_icon_image="107" title="Share your Story" custom_size="75px"]</p>
<h6>PERSONAL EXPERIENCE</h6>
<hr />
<p>Find, save, and share the perfect place to stay, all from your phone.<br />
Book a listing using payments.[/ld_icon_box][/vc_column][vc_column width="1/2" offset="vc_col-md-1/5" responsive_css="margin_bottom_medium:0px" css=".vc_custom_1573390174949{margin-bottom: 35px !important;}"][ld_icon_box i_type="image" heading_size="sm" get_bubble_classname="iconbox-bubble" get_content_hover_classname="iconbox-contents-show-onhover" i_size="sm" i_icon_image="108" title="Discover Content" custom_size="75px"]</p>
<h6>MADE FOR YOU</h6>
<hr />
<p>Find, save, and share the perfect place to stay, all from your phone.<br />
Book a listing using payments.[/ld_icon_box][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Icon 22 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Icon 22', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'icon-22.jpg' );
	$data['sort_name'] = 'Icon';
	$data['custom_class'] = 'general icon';
	$data['content'] = <<<CONTENT
CONTENT;
	$templates[] = $data;

	//Icon 23 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Icon 23', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'icon-23.jpg' );
	$data['sort_name'] = 'Icon';
	$data['custom_class'] = 'general icon';
	$data['content'] = <<<CONTENT
	[vc_row gap="0" enable_content_animation="yes" animation_preset="Fade In" css=".vc_custom_1612871937356{margin-bottom: 40px !important;padding-top: 20px !important;padding-bottom: 20px !important;}" ca_duration="1800" ca_delay="180" responsive_css="margin_bottom_medium:80px"][vc_column enable_hover_move="lqd-column-move-onhover" width="1/2" enable_column_hover_shadowbox="yes" offset="vc_col-md-3 vc_col-xs-6" column_hover_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2210px%22%2C%22blur_radius%22%3A%2235px%22%2C%22shadow_color%22%3A%22rgba(0%2C%200%2C%200%2C%200.08)%22%7D%5D" css=".vc_custom_1612880341459{padding-top: 35px !important;padding-right: 15px !important;padding-left: 15px !important;border-radius: 10px !important;}"][ld_icon_box i_type="linea" heading_size="sm" heading_weight="font-weight-bold" i_shape="square" i_border="" i_icon_linea="lqd-icn-ess icon-lqd-check" title="Digital Marketing" title_mb="19" icon_size="38px" i_shape_border_radius="30" custom_i_size="85px" i_color="rgb(0, 203, 153)" shape_color="rgba(0, 203, 153, 0.13)" icon_mb="27"]The ultimate collection crafted by world-class designers. [/ld_icon_box][/vc_column][vc_column enable_hover_move="lqd-column-move-onhover" width="1/2" enable_column_hover_shadowbox="yes" offset="vc_col-md-3 vc_col-xs-6" css=".vc_custom_1612880362340{padding-top: 35px !important;padding-right: 15px !important;padding-left: 15px !important;border-radius: 10px !important;}" column_hover_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2210px%22%2C%22blur_radius%22%3A%2235px%22%2C%22shadow_color%22%3A%22rgba(0%2C%200%2C%200%2C%200.08)%22%7D%5D"][ld_icon_box i_type="linea" heading_size="sm" heading_weight="font-weight-bold" i_shape="square" i_border="" i_icon_linea="lqd-icn-ess icon-lqd-compass" title="No marketing skills" title_mb="19" icon_size="38px" i_shape_border_radius="30" custom_i_size="85px" i_color="rgb(150, 168, 181)" shape_color="rgb(228, 237, 244)" icon_mb="27"]The ultimate collection crafted by world-class designers. [/ld_icon_box][/vc_column][vc_column enable_hover_move="lqd-column-move-onhover" width="1/2" enable_column_hover_shadowbox="yes" offset="vc_col-md-3 vc_col-xs-6" column_hover_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2210px%22%2C%22blur_radius%22%3A%2235px%22%2C%22shadow_color%22%3A%22rgba(0%2C%200%2C%200%2C%200.08)%22%7D%5D" css=".vc_custom_1612880380735{padding-top: 35px !important;padding-right: 15px !important;padding-left: 15px !important;border-radius: 10px !important;}"][ld_icon_box i_type="linea" heading_size="sm" heading_weight="font-weight-bold" i_shape="square" i_border="" i_icon_linea="lqd-icn-ess icon-ld-cart" title="Graphic Design" title_mb="19" icon_size="38px" i_shape_border_radius="30" custom_i_size="85px" i_color="rgb(255, 151, 83)" shape_color="rgb(255, 227, 209)" icon_mb="27"]The ultimate collection crafted by world-class designers. [/ld_icon_box][/vc_column][vc_column enable_hover_move="lqd-column-move-onhover" width="1/2" enable_column_hover_shadowbox="yes" offset="vc_col-md-3 vc_col-xs-6" css=".vc_custom_1612880399802{padding-top: 35px !important;padding-right: 15px !important;padding-left: 15px !important;border-radius: 10px !important;}" column_hover_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2210px%22%2C%22blur_radius%22%3A%2235px%22%2C%22shadow_color%22%3A%22rgba(0%2C%200%2C%200%2C%200.08)%22%7D%5D"][ld_icon_box i_type="linea" heading_size="sm" heading_weight="font-weight-bold" i_shape="square" i_border="" i_icon_linea="lqd-icn-ess icon-lqd-laptop" title="Digital Marketing" title_mb="19" icon_size="38px" i_shape_border_radius="30" custom_i_size="85px" i_color="rgb(0, 203, 153)" shape_color="rgba(0, 203, 153, 0.13)" icon_mb="27"]The ultimate collection crafted by world-class designers. [/ld_icon_box][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Icon 24 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Icon 24', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'icon-24.jpg' );
	$data['sort_name'] = 'Icon';
	$data['custom_class'] = 'general icon';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" responsive_css="padding_top_medium:100px|padding_bottom_medium:100px" css=".vc_custom_1621613980008{padding-top: 70px !important;padding-bottom: 70px !important;}" el_id="packages"][vc_column offset="vc_col-lg-5 vc_col-md-6"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_small:47px"]Insurance Packages.[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-lg-offset-1 vc_col-md-5"][ld_fancy_heading tag="h6" use_custom_fonts_title="true" color="rgb(80, 80, 80)" fs="text_small:18px" lh="text_small:1.55em"]Being a first-choice employer within our sectors. Our process applies techniques from a variety of disciplines.[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-1" responsive_align="text-md-right" el_id="package-carousel-nav"][/vc_column][vc_column css=".vc_custom_1621600519269{padding-top: 30px !important;}"][ld_carousel_tab columns="md:3|sm:2.5|xs:1|spacing_sm:25px|spacing_xs:15px" inactiv_opacity="1" prevnextbuttons="yes" groupcells="no" wraparound="yes" equalheightcells="yes" navarrow="4" navappend="custom_id" navsize="carousel-nav-sm" navshape="carousel-nav-square" navline="carousel-nav-dot-between" mobile_dots_position="carousel-dots-mobile-inside" navappend_id="#package-carousel-nav" shapesize="16px"][ld_carousel_section title="Carousel Item" tab_id="lqd-1621598718655-80c80356-1fee"][vc_row_inner css=".vc_custom_1621599561629{margin-bottom: 45px !important;}"][vc_column_inner enable_overlay="yes" enable_column_hover_shadowbox="yes" css=".vc_custom_1621599326460{padding-top: 22px !important;padding-bottom: 25px !important;background-color: #f8f8f8 !important;border-radius: 10px !important;}" hover_overlay_bg="rgb(255, 255, 255)" column_hover_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2220px%22%2C%22blur_radius%22%3A%2250px%22%2C%22shadow_color%22%3A%22rgba(65%2C%2094%2C%20148%2C%200.09)%22%7D%5D"][ld_fancy_heading tag="h6" alignment="text-right" transform="text-uppercase" enable_bg="yes" fh_border_radius="circle" use_custom_fonts_title="true" color="rgb(51, 51, 51)" fs="text_small:10px" lh="text_small:1em" fw="text_small:700" ls="text_small:0.1em" padding="top_small:7px|right_small:10px|bottom_small:7px|left_small:10px" fh_bg="rgb(255, 255, 255)" margin="right_small:35px"]New[/ld_fancy_heading][ld_icon_box i_type="image" heading_size="custom" alignment="text-left" i_icon_image="3477" title="Protected Insurance" custom_heading_size="23px" css=".vc_custom_1621600093542{margin-bottom: 35px !important;padding-right: 35px !important;padding-left: 35px !important;}" custom_size="58px" icon_mb="30" title_mb="15"]<span style="font-size: 17px; line-height: 1.47em;">Adjust global theme options and see design changes in real-time.</span>[/ld_icon_box][vc_separator color="custom" accent_color="#e6e6e6" css=".vc_custom_1621599381041{margin-top: 0px !important;margin-bottom: 0px !important;}"][ld_button style="btn-naked" title="Learn more" i_type="linea" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" css=".vc_custom_1621599449886{margin-top: 20px !important;margin-right: 35px !important;margin-left: 35px !important;}" color="rgb(15, 90, 100)" hover_color="rgb(0, 0, 0)" fs="text_small:15px"][/vc_column_inner][/vc_row_inner][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1621599795422-fd00bb79-f296"][vc_row_inner css=".vc_custom_1621599561629{margin-bottom: 45px !important;}"][vc_column_inner enable_overlay="yes" enable_column_hover_shadowbox="yes" css=".vc_custom_1621599326460{padding-top: 22px !important;padding-bottom: 25px !important;background-color: #f8f8f8 !important;border-radius: 10px !important;}" hover_overlay_bg="rgb(255, 255, 255)" column_hover_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2220px%22%2C%22blur_radius%22%3A%2250px%22%2C%22shadow_color%22%3A%22rgba(65%2C%2094%2C%20148%2C%200.09)%22%7D%5D"][ld_fancy_heading tag="h6" alignment="text-right" transform="text-uppercase" enable_bg="yes" fh_border_radius="circle" use_custom_fonts_title="true" color="rgb(51, 51, 51)" fs="text_small:10px" lh="text_small:1em" fw="text_small:700" ls="text_small:0.1em" padding="top_small:7px|right_small:10px|bottom_small:7px|left_small:10px" fh_bg="rgb(255, 255, 255)" margin="right_small:35px"]Offer[/ld_fancy_heading][ld_icon_box i_type="image" heading_size="custom" alignment="text-left" i_icon_image="3478" title="Healthcare Policy" custom_heading_size="23px" css=".vc_custom_1621599811757{margin-bottom: 35px !important;padding-right: 35px !important;padding-left: 35px !important;}" custom_size="50px" icon_mb="30" title_mb="15"]<span style="font-size: 17px; line-height: 1.47em;">Adjust global theme options and see design changes in real-time.</span>[/ld_icon_box][vc_separator color="custom" accent_color="#e6e6e6" css=".vc_custom_1621599381041{margin-top: 0px !important;margin-bottom: 0px !important;}"][ld_button style="btn-naked" title="Learn more" i_type="linea" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" css=".vc_custom_1621599449886{margin-top: 20px !important;margin-right: 35px !important;margin-left: 35px !important;}" color="rgb(15, 90, 100)" hover_color="rgb(0, 0, 0)" fs="text_small:15px"][/vc_column_inner][/vc_row_inner][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1621599820576-00ce6812-07a4"][vc_row_inner css=".vc_custom_1621599561629{margin-bottom: 45px !important;}"][vc_column_inner enable_overlay="yes" enable_column_hover_shadowbox="yes" css=".vc_custom_1621599326460{padding-top: 22px !important;padding-bottom: 25px !important;background-color: #f8f8f8 !important;border-radius: 10px !important;}" hover_overlay_bg="rgb(255, 255, 255)" column_hover_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2220px%22%2C%22blur_radius%22%3A%2250px%22%2C%22shadow_color%22%3A%22rgba(65%2C%2094%2C%20148%2C%200.09)%22%7D%5D"][ld_fancy_heading tag="h6" alignment="text-right" transform="text-uppercase" enable_bg="yes" fh_border_radius="circle" use_custom_fonts_title="true" color="rgb(51, 51, 51)" fs="text_small:10px" lh="text_small:1em" fw="text_small:700" ls="text_small:0.1em" padding="top_small:7px|right_small:10px|bottom_small:7px|left_small:10px" fh_bg="rgb(255, 255, 255)" margin="right_small:35px"]Hot[/ld_fancy_heading][ld_icon_box i_type="image" heading_size="custom" alignment="text-left" i_icon_image="3479" title="Car / Vehicle Insurance" custom_heading_size="23px" css=".vc_custom_1621599934303{margin-bottom: 35px !important;padding-right: 35px !important;padding-left: 35px !important;}" custom_size="65px" icon_mb="26" title_mb="15"]<span style="font-size: 17px; line-height: 1.47em;">Adjust global theme options and see design changes in real-time.</span>[/ld_icon_box][vc_separator color="custom" accent_color="#e6e6e6" css=".vc_custom_1621599381041{margin-top: 0px !important;margin-bottom: 0px !important;}"][ld_button style="btn-naked" title="Learn more" i_type="linea" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" css=".vc_custom_1621599449886{margin-top: 20px !important;margin-right: 35px !important;margin-left: 35px !important;}" color="rgb(15, 90, 100)" hover_color="rgb(0, 0, 0)" fs="text_small:15px"][/vc_column_inner][/vc_row_inner][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1621599987738-6e0435c7-e658"][vc_row_inner css=".vc_custom_1621599561629{margin-bottom: 45px !important;}"][vc_column_inner enable_overlay="yes" enable_column_hover_shadowbox="yes" css=".vc_custom_1621599326460{padding-top: 22px !important;padding-bottom: 25px !important;background-color: #f8f8f8 !important;border-radius: 10px !important;}" hover_overlay_bg="rgb(255, 255, 255)" column_hover_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2220px%22%2C%22blur_radius%22%3A%2250px%22%2C%22shadow_color%22%3A%22rgba(65%2C%2094%2C%20148%2C%200.09)%22%7D%5D"][ld_fancy_heading tag="h6" alignment="text-right" transform="text-uppercase" enable_bg="yes" fh_border_radius="circle" use_custom_fonts_title="true" color="rgb(51, 51, 51)" fs="text_small:10px" lh="text_small:1em" fw="text_small:700" ls="text_small:0.1em" padding="top_small:7px|right_small:10px|bottom_small:7px|left_small:10px" fh_bg="rgb(255, 255, 255)" margin="right_small:35px"]Offer[/ld_fancy_heading][ld_icon_box i_type="image" heading_size="custom" alignment="text-left" i_icon_image="3478" title="Healthcare Policy" custom_heading_size="23px" css=".vc_custom_1621599811757{margin-bottom: 35px !important;padding-right: 35px !important;padding-left: 35px !important;}" custom_size="50px" icon_mb="30" title_mb="15"]<span style="font-size: 17px; line-height: 1.47em;">Adjust global theme options and see design changes in real-time.</span>[/ld_icon_box][vc_separator color="custom" accent_color="#e6e6e6" css=".vc_custom_1621599381041{margin-top: 0px !important;margin-bottom: 0px !important;}"][ld_button style="btn-naked" title="Learn more" i_type="linea" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" css=".vc_custom_1621599449886{margin-top: 20px !important;margin-right: 35px !important;margin-left: 35px !important;}" color="rgb(15, 90, 100)" hover_color="rgb(0, 0, 0)" fs="text_small:15px"][/vc_column_inner][/vc_row_inner][/ld_carousel_section][/ld_carousel_tab][/vc_column][vc_column responsive_align="text-center" responsive_css="padding_top_medium:0px" css=".vc_custom_1621616700255{padding-top: 30px !important;}"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(0, 0, 0)" fs="text_small:15px"]Our nearly 8,000 committed <a href="#">staff members</a> are ready to help.[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Icon 25 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Icon 25', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'icon-25.jpg' );
	$data['sort_name'] = 'Icon';
	$data['custom_class'] = 'general icon';
	$data['content'] = <<<CONTENT
CONTENT;
	$templates[] = $data;

	//Icon 26 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Icon 26', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'icon-26.jpg' );
	$data['sort_name'] = 'Icon';
	$data['custom_class'] = 'general icon';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" equal_height="yes" content_placement="middle" responsive_css="padding_right_medium:35px|padding_left_medium:35px" row_hide="hidden-xs hidden-sm"][vc_column width="1/2" align="text-center" offset="vc_col-md-3 vc_col-xs-6" css=".vc_custom_1605813645590{margin-top: 20px !important;margin-bottom: 20px !important;border-right-width: 0px !important;border-right-color: #d6d6d6 !important;border-right-style: solid !important;}" responsive_css="border_right_small:1px" responsive_align="text-md-left"][ld_icon_box i_type="image" heading_size="custom" heading_weight="font-weight-bold" position="iconbox-side" items_alignment="align-items-center" title="Fast Delivery" title_mb="1" custom_heading_size="13px" icon_mb="12" css=".vc_custom_1590589119325{margin-bottom: 0px !important;}" i_icon_image="198" custom_size="38px"]<span style="font-size: 13px;">Free Shipping For orders over 130</span>[/ld_icon_box][/vc_column][vc_column width="1/2" align="text-center" offset="vc_col-md-3 vc_col-xs-6" css=".vc_custom_1605813655489{margin-top: 20px !important;margin-bottom: 20px !important;border-right-width: 0px !important;border-right-color: #d6d6d6 !important;border-right-style: solid !important;}" responsive_css="border_right_medium:1px" responsive_align="text-md-left"][ld_icon_box i_type="image" heading_size="custom" heading_weight="font-weight-bold" position="iconbox-side" items_alignment="align-items-center" title="Secure Payments" title_mb="1" custom_heading_size="13px" icon_mb="12" css=".vc_custom_1590589202428{margin-bottom: 0px !important;}" i_icon_image="197" custom_size="30px"]<span style="font-size: 13px;">256-Bit Protection</span>[/ld_icon_box][/vc_column][vc_column width="1/2" align="text-center" offset="vc_col-md-3 vc_col-xs-6" css=".vc_custom_1605813667108{margin-top: 20px !important;margin-bottom: 20px !important;border-right-width: 0px !important;border-right-color: #d6d6d6 !important;border-right-style: solid !important;}" responsive_css="border_right_small:1px" responsive_align="text-md-left"][ld_icon_box i_type="image" heading_size="custom" heading_weight="font-weight-bold" position="iconbox-side" items_alignment="align-items-center" title="Discount Coupons" title_mb="1" custom_heading_size="13px" icon_mb="12" css=".vc_custom_1590589182479{margin-bottom: 0px !important;}" i_icon_image="196" custom_size="28px"]<span style="font-size: 13px;">Enjoy Huge Promotions</span>[/ld_icon_box][/vc_column][vc_column width="1/2" align="text-center" offset="vc_col-md-3 vc_col-xs-6" css=".vc_custom_1605813676048{margin-top: 20px !important;margin-bottom: 20px !important;}" responsive_align="text-md-left"][ld_icon_box i_type="image" heading_size="custom" heading_weight="font-weight-bold" position="iconbox-side" items_alignment="align-items-center" title="Easy 30 Day Return" title_mb="1" custom_heading_size="13px" icon_mb="12" css=".vc_custom_1590589018421{margin-bottom: 0px !important;}" i_icon_image="195" custom_size="25px"]<span style="font-size: 13px;">Free returns. No hassle.</span>[/ld_icon_box][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Icon 27 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Icon 27', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'icon-27.jpg' );
	$data['sort_name'] = 'Icon';
	$data['custom_class'] = 'general icon';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1612951381107{padding-top: 60px !important;padding-bottom: 40px !important;}" responsive_css="padding_top_medium:90px|padding_bottom_medium:90px"][vc_column align="text-center" offset="vc_col-md-offset-3 vc_col-md-6" responsive_align="text-center" css=".vc_custom_1612951351272{margin-bottom: 15px !important;}"][ld_fancy_heading tag="h2" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" enable_fit="true" ca_init_translate_y="65" ca_init_rotate_z="10" minfontsize="38" fs="text_large:43px|text_small:38px"]Our à services[/ld_fancy_heading][/vc_column][vc_column][vc_row_inner enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" ca_duration="1800" ca_delay="180" ca_init_translate_x="55" ca_start_delay="250"][vc_column_inner enable_hover_move="lqd-column-move-onhover" hover_move_value="-5px" enable_overlay="yes" enable_column_hover_shadowbox="yes" offset="vc_col-md-4" css=".vc_custom_1612951397960{padding-top: 45px !important;padding-right: 10px !important;padding-bottom: 15px !important;padding-left: 10px !important;border-radius: 10px !important;}" responsive_css="padding_right_medium:15px|padding_left_medium:15px" column_hover_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2210px%22%2C%22blur_radius%22%3A%2235px%22%2C%22shadow_color%22%3A%22rgba(0%2C%200%2C%200%2C%200.08)%22%7D%5D" hover_overlay_bg="rgb(255, 255, 255)"][ld_icon_box i_type="image" heading_size="sm" i_shape="custombg" i_size="xl" show_button="yes" ib_style="btn-naked" ib_title="Explore Hub" ib_i_type="linea" ib_i_add_icon="true" i_icon_image="83" title="Click Advertising" title_mb="30" icon_mb="65" i_shape_custom_bg="4521" ib_i_icon_linea="lqd-icn-ess icon-md-arrow-forward"]Ceating brand identities, digital experiences, and print materials that communicate clearly.[/ld_icon_box][/vc_column_inner][vc_column_inner enable_hover_move="lqd-column-move-onhover" hover_move_value="-5px" enable_overlay="yes" enable_column_hover_shadowbox="yes" offset="vc_col-md-4" css=".vc_custom_1612951407262{padding-top: 45px !important;padding-right: 10px !important;padding-bottom: 15px !important;padding-left: 10px !important;border-radius: 10px !important;}" responsive_css="padding_right_medium:15px|padding_left_medium:15px" hover_overlay_bg="rgb(255, 255, 255)" column_hover_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2210px%22%2C%22blur_radius%22%3A%2235px%22%2C%22shadow_color%22%3A%22rgba(0%2C%200%2C%200%2C%200.08)%22%7D%5D"][ld_icon_box i_type="image" heading_size="sm" i_shape="custombg" i_size="xl" show_button="yes" ib_style="btn-naked" ib_title="Explore Hub" ib_link_type="scroll_to_section" ib_hover_txt_effect="btn-hover-txt-liquid-x-alt" ib_i_type="linea" ib_i_hover_reveal="btn-hover-swp" ib_i_add_icon="true" i_icon_image="81" title="SEO Analytics" title_mb="30" icon_mb="65" i_shape_custom_bg="4524" ib_i_icon_linea="lqd-icn-ess icon-md-arrow-forward" ib_fw="700" ib_css=".vc_custom_1598880559650{margin-top: 25px !important;}"]We have an experienced team of production and inspection personnel to ensure quality.[/ld_icon_box][/vc_column_inner][vc_column_inner enable_hover_move="lqd-column-move-onhover" hover_move_value="-5px" enable_overlay="yes" enable_column_hover_shadowbox="yes" offset="vc_col-md-4" responsive_css="padding_right_medium:15px|padding_left_medium:15px" css=".vc_custom_1612951419457{padding-top: 45px !important;padding-right: 10px !important;padding-bottom: 15px !important;padding-left: 10px !important;border-radius: 10px !important;}" hover_overlay_bg="rgb(255, 255, 255)" column_hover_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2210px%22%2C%22blur_radius%22%3A%2235px%22%2C%22shadow_color%22%3A%22rgba(0%2C%200%2C%200%2C%200.08)%22%7D%5D"][ld_icon_box i_type="image" heading_size="sm" i_shape="custombg" i_size="xl" show_button="yes" ib_style="btn-naked" ib_title="Explore Hub" ib_link_type="scroll_to_section" ib_hover_txt_effect="btn-hover-txt-liquid-x-alt" ib_i_type="linea" ib_i_hover_reveal="btn-hover-swp" ib_i_add_icon="true" i_icon_image="82" title="Social Media" title_mb="30" icon_mb="65" i_shape_custom_bg="4522" ib_i_icon_linea="lqd-icn-ess icon-md-arrow-forward" ib_fw="700" ib_css=".vc_custom_1598881241503{margin-top: 25px !important;}"]Uncover, analyze, track, and report on SEO data. Our quality policy: strict to have best product.[/ld_icon_box][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Icon 28 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Icon 28', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'icon-28.jpg' );
	$data['sort_name'] = 'Icon';
	$data['custom_class'] = 'general icon';
	$data['content'] = <<<CONTENT
CONTENT;
	$templates[] = $data;

	//Icon 29 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Icon 29', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'icon-29.jpg' );
	$data['sort_name'] = 'Icon';
	$data['custom_class'] = 'general icon';
	$data['content'] = <<<CONTENT
	[vc_row enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" css=".vc_custom_1605555015164{padding-top: 70px !important;padding-bottom: 50px !important;}" ca_duration="1800" ca_start_delay="1600" ca_delay="180" ca_init_translate_x="0" responsive_css="padding_top_medium:100px|padding_bottom_medium:100px" el_id="solutions"][vc_column responsive_css="padding_right_medium:25px|padding_left_medium:25px" offset="vc_col-md-4" responsive_align="text-center text-md-left"][ld_icon_box i_type="image" heading_size="xs" heading_weight="font-weight-bold" i_size="xl" position="iconbox-side" i_icon_image="38" title="Seamless Integration" title_mb="10"]<span style="font-size: 15px;">Hub IT allows your business and technology computers to store, analyze, and manipulate big data in the digital world.</span>[/ld_icon_box][/vc_column][vc_column responsive_css="padding_right_medium:25px|padding_left_medium:25px" offset="vc_col-md-4" responsive_align="text-center text-md-left"][ld_icon_box i_type="image" heading_size="xs" heading_weight="font-weight-bold" i_size="xl" position="iconbox-side" i_icon_image="37" title="Business Solutions" title_mb="10"]<span style="font-size: 15px;">Hub IT allows your business and technology computers to store, analyze, and manipulate big data in the digital world.</span>[/ld_icon_box][/vc_column][vc_column responsive_css="padding_right_medium:25px|padding_left_medium:25px" offset="vc_col-md-4"][ld_icon_box i_type="image" heading_size="xs" heading_weight="font-weight-bold" i_size="xl" position="iconbox-side" i_icon_image="36" title="IT Security" title_mb="10"]<span style="font-size: 15px;">Hub IT allows your business and technology computers to store, analyze, and manipulate big data in the digital world.</span>[/ld_icon_box][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Icon 30 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Icon 30', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'icon-30.jpg' );
	$data['sort_name'] = 'Icon';
	$data['custom_class'] = 'general icon';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1605555536636{padding-top: 60px !important;padding-bottom: 60px !important;}" responsive_css="padding_top_medium:150px|padding_bottom_medium:150px"][vc_column align="text-center" offset="vc_col-md-offset-3 vc_col-md-6" css=".vc_custom_1605942393630{margin-bottom: 30px !important;}" responsive_align="text-center" responsive_css="margin_bottom_medium:60px"][ld_fancy_heading tag="h2"]Smart Solutions[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.64em"]Hub IT allows your business and technology computers to store, transmit, analyze, and manipulate big data in the digital world.[/ld_fancy_heading][/vc_column][vc_column][vc_row_inner enable_content_animation="yes" equal_height="yes" animation_preset="Fade In" ca_duration="1800" ca_delay="180"][vc_column_inner width="1/2" offset="vc_col-md-3" css=".vc_custom_1605942285754{margin-bottom: 30px !important;border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;border-left-color: #ece9e3 !important;border-left-style: solid !important;border-right-color: #ece9e3 !important;border-right-style: solid !important;border-top-color: #ece9e3 !important;border-top-style: solid !important;border-bottom-color: #ece9e3 !important;border-bottom-style: solid !important;}"][ld_icon_box i_type="image" heading_size="custom" heading_weight="font-weight-bold" toggleable="yes" i_size="xl" show_button="yes" hover_fill="yes" scale_bg="iconbox-scale-bg" ib_style="btn-naked" ib_title="Learn more" ib_i_type="linea" ib_i_hover_reveal="btn-hover-swp" ib_i_add_icon="true" i_icon_image="50" title="grow your brand and business" custom_heading_size="16px" ib_i_icon_linea="lqd-icn-ess icon-md-arrow-forward" css=".vc_custom_1595860415414{margin-bottom: 0px !important;padding-top: 40px !important;padding-right: 65px !important;padding-left: 65px !important;}" title_mb="1" ib_color="rgb(255, 255, 255)" h_svg_fill_color="rgb(255, 255, 255)" ib_hover_color="rgb(255, 255, 255)"][/ld_icon_box][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-3" css=".vc_custom_1605942295213{margin-bottom: 30px !important;border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;border-left-color: #ece9e3 !important;border-left-style: solid !important;border-right-color: #ece9e3 !important;border-right-style: solid !important;border-top-color: #ece9e3 !important;border-top-style: solid !important;border-bottom-color: #ece9e3 !important;border-bottom-style: solid !important;}"][ld_icon_box i_type="image" heading_size="custom" heading_weight="font-weight-bold" toggleable="yes" i_size="xl" show_button="yes" hover_fill="yes" scale_bg="iconbox-scale-bg" ib_style="btn-naked" ib_title="Learn more" ib_i_type="linea" ib_i_hover_reveal="btn-hover-swp" ib_i_add_icon="true" i_icon_image="49" title="business Administration" custom_heading_size="16px" ib_i_icon_linea="lqd-icn-ess icon-md-arrow-forward" css=".vc_custom_1595860426952{margin-bottom: 0px !important;padding-top: 40px !important;padding-right: 65px !important;padding-left: 65px !important;}" title_mb="1" h_svg_fill_color="rgb(255, 255, 255)" ib_color="rgb(255, 255, 255)" ib_hover_color="rgb(255, 255, 255)"][/ld_icon_box][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-3" css=".vc_custom_1605942304722{margin-bottom: 30px !important;border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;border-left-color: #ece9e3 !important;border-left-style: solid !important;border-right-color: #ece9e3 !important;border-right-style: solid !important;border-top-color: #ece9e3 !important;border-top-style: solid !important;border-bottom-color: #ece9e3 !important;border-bottom-style: solid !important;}"][ld_icon_box i_type="image" heading_size="custom" heading_weight="font-weight-bold" toggleable="yes" i_size="xl" show_button="yes" hover_fill="yes" scale_bg="iconbox-scale-bg" ib_style="btn-naked" ib_title="Learn more" ib_i_type="linea" ib_i_hover_reveal="btn-hover-swp" ib_i_add_icon="true" i_icon_image="48" title="increase your conversion rate" custom_heading_size="16px" ib_i_icon_linea="lqd-icn-ess icon-md-arrow-forward" css=".vc_custom_1620300366045{margin-bottom: 0px !important;padding-top: 40px !important;padding-right: 65px !important;padding-left: 65px !important;}" title_mb="1" ib_color="rgb(255, 255, 255)" ib_hover_color="rgb(255, 255, 255)" h_svg_fill_color="rgb(255, 255, 255)"][/ld_icon_box][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-3" css=".vc_custom_1605942315572{margin-bottom: 30px !important;border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;border-left-color: #ece9e3 !important;border-left-style: solid !important;border-right-color: #ece9e3 !important;border-right-style: solid !important;border-top-color: #ece9e3 !important;border-top-style: solid !important;border-bottom-color: #ece9e3 !important;border-bottom-style: solid !important;}"][ld_icon_box i_type="image" heading_size="custom" heading_weight="font-weight-bold" toggleable="yes" i_size="xl" show_button="yes" hover_fill="yes" scale_bg="iconbox-scale-bg" ib_style="btn-naked" ib_title="Learn more" ib_i_type="linea" ib_i_hover_reveal="btn-hover-swp" ib_i_add_icon="true" i_icon_image="51" title="risk management tools" custom_heading_size="16px" ib_i_icon_linea="lqd-icn-ess icon-md-arrow-forward" css=".vc_custom_1595860444563{margin-bottom: 0px !important;padding-top: 40px !important;padding-right: 60px !important;padding-left: 60px !important;}" title_mb="1" ib_color="rgb(255, 255, 255)" h_svg_fill_color="rgb(255, 255, 255)" ib_hover_color="rgb(255, 255, 255)"][/ld_icon_box][/vc_column_inner][/vc_row_inner][/vc_column][vc_column align="text-center" responsive_align="text-center" responsive_css="padding_top_medium:30px"][ld_button style="btn-naked" title="See more services" hover_txt_effect="btn-hover-txt-liquid-y-alt" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" i_icon_linea="icon-md-arrow-round-forward" lh="1em"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Icon 31 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Icon 31', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'icon-31.jpg' );
	$data['sort_name'] = 'Icon';
	$data['custom_class'] = 'general icon';
	$data['content'] = <<<CONTENT
	[vc_row equal_height="yes" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" bg_position="center center" css=".vc_custom_1610196141844{padding-top: 30px !important;padding-bottom: 30px !important;background-image: url(https://itbusinesspro.liquid-themes.com/wp-content/uploads/2020/12/World-Map.png?id=8800) !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}" ca_duration="1600" ca_delay="160" ca_init_translate_y="35" responsive_css="padding_top_medium:50px|padding_bottom_medium:50px|padding_top_small:40px|padding_bottom_small:40px"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-lg-offset-3 vc_col-lg-6 vc_col-md-offset-2 vc_col-md-8" responsive_align="text-center" css=".vc_custom_1608646492830{margin-bottom: 30px !important;}" ca_duration="1600" ca_delay="160" ca_init_translate_y="30"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" ls="text_small:-0.01em" margin="bottom_small:0.35em" fw="text_small:500" fs="text_medium:40px|text_small:36px"]IT Consultancy[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:18px" lh="text_small:1.66em"]Hub IT allows your business and technology computers to store, transmit, analyze, and manipulate big data.[/ld_fancy_heading][/vc_column][vc_column enable_link="enable_column_link" enable_column_hover_shadowbox="yes" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-4" css=".vc_custom_1610202708039{margin-bottom: 30px !important;padding-top: 45px !important;padding-right: 20px !important;padding-bottom: 45px !important;padding-left: 20px !important;background-color: #f4f6f8 !important;border-radius: 5px !important;}" responsive_css="padding_right_medium:35px|padding_left_medium:35px" responsive_align="text-center" ca_duration="1600" ca_start_delay="250" ca_delay="160" ca_init_translate_y="35" link="url:%23|||" column_hover_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2210px%22%2C%22blur_radius%22%3A%2250px%22%2C%22shadow_color%22%3A%22rgba(0%2C%200%2C%200%2C%200.1)%22%7D%5D"][ld_fancy_heading tag="h3" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" fs="text_small:20px" fw="text_small:500" margin="bottom_small:0.85em"]Brand Strategy[/ld_fancy_heading][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" fs="text_small:14px" lh="text_small:1.55em" margin="bottom_small:2em"]Hub IT allows your business and technology computers to store, transmit, analyze, and manipulate big data.[/ld_fancy_heading][ld_icon_box i_type="image" i_size="xl" css=".vc_custom_1608709200767{margin-bottom: 0px !important;}" custom_size="70px" i_icon_image="8812"][/ld_icon_box][ld_button style="btn-naked" title="Learn more" i_type="linea" i_hover_reveal="btn-hover-swp" i_add_icon="true" color="rgb(41, 110, 204)" i_icon_linea="lqd-icn-ess icon-md-arrow-forward"][/vc_column][vc_column enable_link="enable_column_link" enable_column_hover_shadowbox="yes" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-4" css=".vc_custom_1610202718453{margin-bottom: 30px !important;padding-top: 45px !important;padding-right: 20px !important;padding-bottom: 45px !important;padding-left: 20px !important;background-color: #f4f6f8 !important;border-radius: 5px !important;}" responsive_css="padding_right_medium:35px|padding_left_medium:35px" responsive_align="text-center" ca_duration="1600" ca_start_delay="450" ca_delay="160" ca_init_translate_y="35" link="url:%23|||" column_hover_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2210px%22%2C%22blur_radius%22%3A%2250px%22%2C%22shadow_color%22%3A%22rgba(0%2C%200%2C%200%2C%200.1)%22%7D%5D"][ld_fancy_heading tag="h6" transform="text-uppercase" absolute_pos="yes" enable_bg="yes" fh_border_radius="circle" use_custom_fonts_title="true" color="rgb(0, 0, 0)" fs="text_small:10px" ls="text_small:0.15em" position="right_large:-15px|top_small:-20px|right_small:-5px" padding="top_small:5px|right_small:12px|bottom_small:3px|left_small:12px" fh_bg="rgb(255, 255, 255)"]New[/ld_fancy_heading][ld_fancy_heading tag="h3" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" fs="text_small:20px" fw="text_small:500" margin="bottom_small:0.85em"]Digital Solutions[/ld_fancy_heading][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" fs="text_small:14px" lh="text_small:1.55em" margin="bottom_small:2em"]Hub IT allows your business and technology computers to store, transmit, analyze, and manipulate big data.[/ld_fancy_heading][ld_icon_box i_type="image" i_size="xl" css=".vc_custom_1608709307363{margin-bottom: 0px !important;}" custom_size="70px" i_icon_image="8813"][/ld_icon_box][ld_button style="btn-naked" title="Learn more" i_type="linea" i_hover_reveal="btn-hover-swp" i_add_icon="true" color="rgb(41, 110, 204)" i_icon_linea="lqd-icn-ess icon-md-arrow-forward"][/vc_column][vc_column enable_link="enable_column_link" enable_column_hover_shadowbox="yes" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-4" css=".vc_custom_1610202725676{margin-bottom: 30px !important;padding-top: 45px !important;padding-right: 20px !important;padding-bottom: 45px !important;padding-left: 20px !important;background-color: #f4f6f8 !important;border-radius: 5px !important;}" responsive_css="padding_right_medium:35px|padding_left_medium:35px" responsive_align="text-center" ca_duration="1600" ca_start_delay="650" ca_delay="160" ca_init_translate_y="35" ca_init_translate_z="0" link="url:%23|||" column_hover_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2210px%22%2C%22blur_radius%22%3A%2250px%22%2C%22shadow_color%22%3A%22rgba(0%2C%200%2C%200%2C%200.1)%22%7D%5D"][ld_fancy_heading tag="h3" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" fs="text_small:20px" fw="text_small:500" margin="bottom_small:0.85em"]Business Consultation[/ld_fancy_heading][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" fs="text_small:14px" lh="text_small:1.55em" margin="bottom_small:2em"]Hub IT allows your business and technology computers to store, transmit, analyze, and manipulate big data.[/ld_fancy_heading][ld_icon_box i_type="image" i_size="xl" css=".vc_custom_1608709274329{margin-bottom: 0px !important;}" custom_size="70px" i_icon_image="8814"][/ld_icon_box][ld_button style="btn-naked" title="Learn more" i_type="linea" i_hover_reveal="btn-hover-swp" i_add_icon="true" color="rgb(41, 110, 204)" i_icon_linea="lqd-icn-ess icon-md-arrow-forward"][/vc_column][vc_column css=".vc_custom_1608709376365{padding-top: 15px !important;}" responsive_align="text-center"][ld_fancy_heading tag="p" color="rgb(0, 0, 0)"]Our nearly 8,000 committed <a style="text-decoration: underline;" href="#">staff members</a> are ready to help.[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Icon 32 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Icon 32', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'icon-32.jpg' );
	$data['sort_name'] = 'Icon';
	$data['custom_class'] = 'general icon';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1609856805625{padding-top: 65px !important;padding-bottom: 20px !important;}"][vc_column responsive_align="text-center" offset="vc_col-md-offset-2 vc_col-md-8" css=".vc_custom_1609856110530{margin-bottom: 50px !important;}"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" color="rgb(35, 46, 108)" fs="text_small:43px" margin="bottom_small:0.35em"]Business Solutions[/ld_fancy_heading][ld_fancy_heading tag="p" color="rgba(0, 0, 0, 0.7)"]We unleash your business potential by maximising the innovation.[/ld_fancy_heading][/vc_column][vc_column width="1/2" offset="vc_col-md-4"][ld_icon_box i_type="image" heading_size="xs" heading_weight="font-weight-semibold" position="iconbox-side" i_icon_image="8856" title="Online Privacy" custom_size="32px"]<span style="font-size: 15px;">Content-focused grid designs, unique social elements, post-sharing function, author exposure, sticky newsletter.</span>[/ld_icon_box][/vc_column][vc_column width="1/2" offset="vc_col-md-4"][ld_icon_box i_type="image" heading_size="xs" heading_weight="font-weight-semibold" position="iconbox-side" i_icon_image="8857" title="Flexible Solutions" custom_size="30px"]<span style="font-size: 15px;">Content-focused grid designs, unique social elements, post-sharing function, author exposure, sticky newsletter.</span>[/ld_icon_box][/vc_column][vc_column width="1/2" offset="vc_col-md-4"][ld_icon_box i_type="image" heading_size="xs" heading_weight="font-weight-semibold" position="iconbox-side" i_icon_image="8854" title="Cloud Services" custom_size="30px"]<span style="font-size: 15px;">Content-focused grid designs, unique social elements, post-sharing function, author exposure, sticky newsletter.</span>[/ld_icon_box][/vc_column][vc_column width="1/2" offset="vc_col-md-4"][ld_icon_box i_type="image" heading_size="xs" heading_weight="font-weight-semibold" position="iconbox-side" i_icon_image="8854" title="Secure Email Servers" custom_size="30px"]<span style="font-size: 15px;">Content-focused grid designs, unique social elements, post-sharing function, author exposure, sticky newsletter.</span>[/ld_icon_box][/vc_column][vc_column width="1/2" offset="vc_col-md-4"][ld_icon_box i_type="image" heading_size="xs" heading_weight="font-weight-semibold" position="iconbox-side" i_icon_image="8855" title="Call Management" custom_size="28px"]<span style="font-size: 15px;">Content-focused grid designs, unique social elements, post-sharing function, author exposure, sticky newsletter.</span>[/ld_icon_box][/vc_column][vc_column width="1/2" offset="vc_col-md-4"][ld_icon_box i_type="image" heading_size="xs" heading_weight="font-weight-semibold" position="iconbox-side" i_icon_image="8854" title="Social Connect" custom_size="30px"]<span style="font-size: 15px;">Content-focused grid designs, unique social elements, post-sharing function, author exposure, sticky newsletter.</span>[/ld_icon_box][/vc_column][vc_column responsive_align="text-center" css=".vc_custom_1609856490779{margin-top: 10px !important;}"][ld_fancy_heading tag="p" color="rgb(0, 0, 0)"]Our nearly 8,000 committed <a href="#">staff members</a> are ready to help.[/ld_fancy_heading][vc_separator color="custom" accent_color="rgba(15,33,55,0.12)" css=".vc_custom_1609856564981{margin-top: 30px !important;margin-bottom: 0px !important;}"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Icon 33 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Icon 33', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'icon-33.jpg' );
	$data['sort_name'] = 'Icon';
	$data['custom_class'] = 'general icon';
	$data['content'] = <<<CONTENT
	[vc_row enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" bg_position="custom" css=".vc_custom_1606078932968{padding-top: 10px !important;padding-right: 25px !important;padding-left: 25px !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}" bg_pos_h="-250px" bg_pos_v="40%" ca_duration="1800" ca_delay="200" ca_init_translate_y="45" ca_init_rotate_z="5" responsive_css="padding_right_medium:0px|padding_bottom_medium:65px|padding_left_medium:0px"][vc_column offset="vc_col-md-4"][ld_icon_box i_type="image" heading_size="xs" i_shape="custombg" position="iconbox-side" title="Web Design" icon_mb="1" css=".vc_custom_1614709092717{margin-bottom: 45px !important;}" i_shape_custom_bg="4875" custom_i_width="140px" i_icon_image="4447" custom_size="55px"]Creating brand identities, digital experiences, and prints.[/ld_icon_box][/vc_column][vc_column offset="vc_col-md-4"][ld_icon_box i_type="image" heading_size="xs" i_shape="custombg" position="iconbox-side" title="Design Consultation" i_shape_custom_bg="4875" icon_mb="1" css=".vc_custom_1614709113464{margin-bottom: 45px !important;}" i_icon_image="4451" custom_i_width="140px" custom_size="55px"]Creating brand identities, digital experiences, and prints.[/ld_icon_box][/vc_column][vc_column offset="vc_col-md-4"][ld_icon_box i_type="image" heading_size="xs" i_shape="custombg" position="iconbox-side" title="Improve SEO Ranking" i_shape_custom_bg="4875" icon_mb="1" css=".vc_custom_1614709130887{margin-bottom: 45px !important;}" custom_i_width="140px" i_icon_image="4452" custom_size="60px"]Creating brand identities, digital experiences, and prints.[/ld_icon_box][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Icon 34 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Icon 34', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'icon-34.jpg' );
	$data['sort_name'] = 'Icon';
	$data['custom_class'] = 'general icon';
	$data['content'] = <<<CONTENT
CONTENT;
	$templates[] = $data;

	//Icon 35 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Icon 35', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'icon-35.jpg' );
	$data['sort_name'] = 'Icon';
	$data['custom_class'] = 'general icon';
	$data['content'] = <<<CONTENT
	[vc_row responsive_css="padding_top_medium:0px|padding_bottom_medium:0px" css=".vc_custom_1605999879975{padding-top: 30px !important;padding-bottom: 60px !important;}"][vc_column parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" offset="vc_col-md-4" responsive_css="padding_top_medium:110px" translate_from_y="60" translate_to_y="-150" responsive_align="text-center text-md-left"][ld_icon_box i_type="image" heading_size="md" heading_icon_onhover="yes" toggleable="yes" i_size="xl" show_button="yes" alignment="text-left" fill="yes" border_radius="iconbox-round" hover_fill="yes" shadow="iconbox-shadow-hover" ib_style="btn-naked" ib_title="Explore Landing" ib_hover_txt_effect="btn-hover-txt-liquid-y-alt" ib_i_type="linea" ib_i_hover_reveal="btn-hover-swp" ib_i_add_icon="true" i_icon_image="70" title="Mobile App" icon_mb="20" fill_color="rgb(254, 247, 252)" ib_i_icon_linea="icon-md-arrow-forward" custom_size="63px" css=".vc_custom_1614166098715{margin-bottom: 30px !important;padding-top: 55px !important;padding-right: 35px !important;padding-bottom: 10px !important;padding-left: 40px !important;}" title_mb="10" hover_fill_color="rgb(255, 255, 255)" hover_text_color="rgb(26, 55, 96)"]<span style="font-size: 16px;">We use the Mobile Apps feature of Azure App Service to rapidly build engaging cross-platforms and native apps for iOS, Android, Windows, or Mac; store app data in the cloud or onpremises; or add your custom back-end logic.</span>[/ld_icon_box][ld_icon_box i_type="image" heading_size="md" heading_icon_onhover="yes" toggleable="yes" i_size="xl" show_button="yes" alignment="text-left" fill="yes" border_radius="iconbox-round" hover_fill="yes" shadow="iconbox-shadow-hover" ib_style="btn-naked" ib_title="Explore Landing" ib_hover_txt_effect="btn-hover-txt-liquid-y-alt" ib_i_type="linea" ib_i_hover_reveal="btn-hover-swp" ib_i_add_icon="true" i_icon_image="64" title="Strategy" icon_mb="20" fill_color="rgb(240, 248, 255)" ib_i_icon_linea="icon-md-arrow-forward" custom_size="63px" css=".vc_custom_1614174567679{margin-bottom: 30px !important;padding-top: 55px !important;padding-right: 35px !important;padding-bottom: 10px !important;padding-left: 40px !important;}" title_mb="10" hover_fill_color="rgb(255, 255, 255)" hover_text_color="rgb(26, 55, 96)"]<span style="font-size: 16px;">We’re consultants, guides, and partners for brands on digital transformation journeys. Wherever you’re going, we bring ideas and excitement to help you get there.</span>[/ld_icon_box][/vc_column][vc_column parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" offset="vc_col-md-4" translate_from_y="-50" translate_to_y="80"][ld_icon_box i_type="image" heading_size="md" heading_icon_onhover="yes" toggleable="yes" show_label="yes" i_size="xl" show_button="yes" alignment="text-left" fill="yes" border_radius="iconbox-round" hover_fill="yes" shadow="iconbox-shadow-hover" ib_style="btn-naked" ib_title="Explore Landing" ib_hover_txt_effect="btn-hover-txt-liquid-y-alt" ib_i_type="linea" ib_i_hover_reveal="btn-hover-swp" ib_i_add_icon="true" i_icon_image="68" title="eCommerce" icon_mb="20" fill_color="rgb(249, 243, 255)" ib_i_icon_linea="icon-md-arrow-forward" custom_size="63px" css=".vc_custom_1614174538798{margin-bottom: 30px !important;padding-top: 55px !important;padding-right: 35px !important;padding-bottom: 10px !important;padding-left: 40px !important;}" title_mb="10" hover_fill_color="rgb(255, 255, 255)" hover_text_color="rgb(26, 55, 96)" label="Exclusive"]<span style="font-size: 16px;">In order to safeguard the success of your ecommerce site, Clickworker offers specialty services and solutions. We optimize your online presence to help your business rank in the best possible position, ensuring your customers can easily find.</span>[/ld_icon_box][ld_icon_box i_type="image" heading_size="md" heading_icon_onhover="yes" toggleable="yes" i_size="xl" show_button="yes" alignment="text-left" fill="yes" border_radius="iconbox-round" hover_fill="yes" shadow="iconbox-shadow-hover" ib_style="btn-naked" ib_title="Explore Landing" ib_hover_txt_effect="btn-hover-txt-liquid-y-alt" ib_i_type="linea" ib_i_hover_reveal="btn-hover-swp" ib_i_add_icon="true" i_icon_image="52" title="Branding" icon_mb="20" fill_color="rgb(255, 250, 246)" ib_i_icon_linea="icon-md-arrow-forward" custom_size="63px" css=".vc_custom_1614174561315{margin-bottom: 30px !important;padding-top: 55px !important;padding-right: 35px !important;padding-bottom: 10px !important;padding-left: 40px !important;}" title_mb="10" hover_fill_color="rgb(255, 255, 255)" hover_text_color="rgb(26, 55, 96)"]<span style="font-size: 16px;">Our center of excellence for branding, BFM Brand Lab, shapes brand identities that define the story, guiding vision, and market positioning of human-centered brands.</span>[/ld_icon_box][/vc_column][vc_column parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" offset="vc_col-md-4" responsive_css="padding_top_medium:160px" translate_from_y="110" translate_to_y="-110"][ld_icon_box i_type="image" heading_size="md" heading_icon_onhover="yes" toggleable="yes" i_size="xl" show_button="yes" alignment="text-left" fill="yes" border_radius="iconbox-round" hover_fill="yes" ib_style="btn-naked" ib_title="Explore Landing" ib_hover_txt_effect="btn-hover-txt-liquid-y-alt" ib_i_type="linea" ib_i_hover_reveal="btn-hover-swp" ib_i_add_icon="true" i_icon_image="69" title="Experience Design" icon_mb="20" fill_color="rgb(255, 237, 239)" ib_i_icon_linea="lqd-icn-ess icon-md-arrow-back" custom_size="63px" css=".vc_custom_1614174546576{margin-bottom: 30px !important;padding-top: 55px !important;padding-right: 35px !important;padding-bottom: 10px !important;padding-left: 40px !important;}" title_mb="10" svg_fill_color="rgb(245, 92, 109)" hover_fill_color="rgb(255, 255, 255)" hover_text_color="rgb(26, 55, 96)"]<span style="font-size: 16px;">Great brand experiences persuade,<br />
convert, and inspire –and they’re built on a foundation of brilliant, strategic design.</span>[/ld_icon_box][ld_icon_box i_type="image" heading_size="md" heading_icon_onhover="yes" toggleable="yes" show_label="yes" i_size="xl" show_button="yes" alignment="text-left" fill="yes" border_radius="iconbox-round" hover_fill="yes" shadow="iconbox-shadow-hover" ib_style="btn-naked" ib_title="Explore Landing" ib_hover_txt_effect="btn-hover-txt-liquid-y-alt" ib_i_type="linea" ib_i_hover_reveal="btn-hover-swp" ib_i_add_icon="true" i_icon_image="71" title="Mobile App" icon_mb="20" fill_color="rgb(243, 249, 255)" ib_i_icon_linea="icon-md-arrow-forward" custom_size="63px" css=".vc_custom_1614174658649{margin-bottom: 30px !important;padding-top: 55px !important;padding-right: 35px !important;padding-bottom: 10px !important;padding-left: 40px !important;}" title_mb="10" hover_fill_color="rgb(255, 255, 255)" hover_text_color="rgb(26, 55, 96)" label="New"]<span style="font-size: 16px;">We always focus on technical excellence &amp; strategic partnership, while remaining the platform-agnostic.</span>[/ld_icon_box][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Icon 36 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Icon 36', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'icon-36.jpg' );
	$data['sort_name'] = 'Icon';
	$data['custom_class'] = 'general icon';
	$data['content'] = <<<CONTENT
	[vc_row equal_height="yes" content_placement="middle" bg_position="custom" css=".vc_custom_1614774765334{padding-top: 60px !important;padding-bottom: 50px !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}" bg_pos_h="14%" bg_pos_v="65%"][vc_column parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-5" ca_duration="1800" ca_delay="180" ca_init_translate_y="45" css=".vc_custom_1573550177100{margin-bottom: 45px !important;}" translate_from_y="50" translate_to_y="-60"][ld_fancy_heading tag="h6" transform="text-lowercase" duration="1600" delay="100" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" enable_bg="yes" fh_border_radius="circle" enable_split="true" margin="bottom_small:0.75em" ca_init_translate_x="0" ca_init_rotate_y="0" ca_init_translate_y="35" color="rgb(255, 90, 61)" padding="top_small:10px|right_small:20px|bottom_small:10px|left_small:20px" fh_bg="rgb(255, 234, 230)"]Digital Experience[/ld_fancy_heading][ld_fancy_heading tag="h2" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" enable_fit="true" compressor="0.7" minfontsize="32" margin="bottom_small:0.25em" fs="text_medium:52px|text_small:40px"]Let your audience about your brand.[/ld_fancy_heading][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" fs="text_small:17px" lh="text_small:29px" padding="right_large:6.5%25" margin="bottom_small:1.75em"]As a leading digital agency in Paris, we look to engage with our clients beyond the conventional design and development agency relationship, becoming a partner to the people and companies we work with.[/ld_fancy_heading][ld_button style="btn-underlined" title="Start a project" color="rgb(0, 35, 82)" b_color="rgba(0, 35, 82, 0.2)"][/vc_column][vc_column bg_position="center center" offset="vc_col-lg-offset-0 vc_col-md-7" css=".vc_custom_1614777084376{background-position: center !important;background-repeat: no-repeat !important;background-size: contain !important;}" responsive_css="padding_left_medium:2vw"][vc_row_inner content_placement="middle" gap="25"][vc_column_inner parallax="yes" width="1/2" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" enable_content_animation="yes" ca_init_scale_x="0.75" ca_init_scale_y="0.75" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" translate_from_y="-70" translate_to_y="90" ca_duration="1800" ca_start_delay="350" ca_delay="180" ca_init_translate_y="45"][ld_icon_box i_type="image" heading_size="custom" i_shape="custombg" alignment="text-left" fill="yes" border_radius="iconbox-round" hover_fill="yes" scale_bg="iconbox-scale-bg" shadow="iconbox-shadow" title="Digital marketing" i_shape_custom_bg="4193" fill_color="rgb(255, 255, 255)" icon_mb="22" custom_i_top_offset="-15px" custom_i_left_offset="-18px" custom_heading_size="21px" css=".vc_custom_1614776996910{padding-top: 35px !important;padding-right: 30px !important;padding-bottom: 35px !important;padding-left: 35px !important;}" i_icon_image="52" custom_size="70px" hover_fill_color="rgb(255, 255, 255)" hover_text_color="rgb(26, 55, 96)"]All in one landing and startup solutions. Endless use-cases that make.[/ld_icon_box][ld_spacer height="20px" hide="vc_hidden-xs"][ld_icon_box i_type="image" heading_size="custom" i_shape="custombg" alignment="text-left" fill="yes" border_radius="iconbox-round" hover_fill="yes" scale_bg="iconbox-scale-bg" shadow="iconbox-shadow" title="Smart Solutions" i_shape_custom_bg="4193" fill_color="rgb(255, 255, 255)" icon_mb="22" custom_i_top_offset="-15px" custom_i_left_offset="-18px" custom_heading_size="21px" css=".vc_custom_1614777034879{padding-top: 35px !important;padding-right: 30px !important;padding-bottom: 35px !important;padding-left: 35px !important;}" i_icon_image="53" custom_size="68px" hover_fill_color="rgb(255, 255, 255)" hover_text_color="rgb(26, 55, 96)"]All in one landing and startup solutions. Endless use-cases that make.[/ld_icon_box][/vc_column_inner][vc_column_inner parallax="yes" width="1/2" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" enable_content_animation="yes" ca_init_scale_x="0.75" ca_init_scale_y="0.75" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" translate_from_y="-40" translate_to_y="80" ca_duration="1800" ca_start_delay="600" ca_delay="180"][ld_icon_box i_type="image" heading_size="custom" show_label="yes" i_shape="custombg" alignment="text-left" fill="yes" border_radius="iconbox-round" hover_fill="yes" scale_bg="iconbox-scale-bg" shadow="iconbox-shadow" title="Branding Strategy" i_shape_custom_bg="4193" fill_color="rgb(255, 255, 255)" icon_mb="22" custom_i_top_offset="-15px" custom_i_left_offset="-18px" custom_heading_size="21px" css=".vc_custom_1614777016049{margin-bottom: 55px !important;padding-top: 35px !important;padding-right: 30px !important;padding-bottom: 35px !important;padding-left: 35px !important;}" i_icon_image="54" custom_size="75px" label="New" hover_fill_color="rgb(255, 255, 255)" hover_text_color="rgb(26, 55, 96)"]All in one landing and startup solutions. Endless use-cases that make.[/ld_icon_box][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Icon 37 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Icon 37', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'icon-37.jpg' );
	$data['sort_name'] = 'Icon';
	$data['custom_class'] = 'general icon';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1605219927110{padding-top: 60px !important;padding-bottom: 60px !important;}" row_hide="hidden-xs hidden-sm"][vc_column width="1/3"][ld_icon_box i_type="linea" heading_size="custom" position="iconbox-inline" items_alignment="align-items-center" title="Looking for help? Submit a ticket" title_mb="1" custom_heading_size="16px" link="url:%23|||" i_icon_linea="lqd-icn-ess icon-lqd-user" icon_size="25px"][/ld_icon_box][/vc_column][vc_column width="1/3"][ld_icon_box i_type="linea" heading_size="custom" position="iconbox-inline" items_alignment="align-items-center" title="Looking for help? Submit a ticket" title_mb="1" custom_heading_size="16px" link="url:%23|||" i_icon_linea="lqd-icn-ess icon-lqd-check" icon_size="25px"][/ld_icon_box][/vc_column][vc_column width="1/3"][ld_icon_box i_type="linea" heading_size="custom" position="iconbox-inline" items_alignment="align-items-center" title="Looking for help? Submit a ticket" title_mb="1" custom_heading_size="16px" link="url:%23|||" i_icon_linea="lqd-icn-ess icon-speech-bubble" icon_size="25px"][/ld_icon_box][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Icon 38 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Icon 38', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'icon-38.jpg' );
	$data['sort_name'] = 'Icon';
	$data['custom_class'] = 'general icon';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1605999676307{padding-top: 20px !important;padding-bottom: 60px !important;}" responsive_css="padding_top_medium:60px|padding_bottom_medium:100px"][vc_column align="text-center" offset="vc_col-md-offset-1 vc_col-md-10" css=".vc_custom_1605999719987{margin-bottom: 40px !important;}" responsive_align="text-center" responsive_css="margin_bottom_medium:70px"][ld_fancy_heading tag="h6" margin="bottom_small:1em" color="rgb(255, 90, 61)"]We’re Hub Agency[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" enable_fit="true" minfontsize="36" fs="text_large:44px|text_small:35px"]We design and build beautiful digital products that make a difference[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-4" responsive_css="margin_bottom_medium:0px|padding_right_medium:0px|padding_left_medium:0px" css=".vc_custom_1605987579559{margin-bottom: 30px !important;padding-right: 15px !important;padding-left: 15px !important;}"][ld_icon_box i_type="image" heading_size="custom" i_icon_image="53" title="Grow your business" title_mb="20" custom_heading_size="21px" icon_mb="55" custom_size="85px"]We have an experienced team of production and inspection personnel to ensure quality.[/ld_icon_box][/vc_column][vc_column offset="vc_col-md-4" responsive_css="margin_bottom_medium:0px|padding_right_medium:0px|padding_left_medium:0px" css=".vc_custom_1605987592154{margin-bottom: 30px !important;padding-right: 15px !important;padding-left: 15px !important;}"][ld_icon_box i_type="image" heading_size="custom" i_icon_image="52" title="Digital Marketing" title_mb="20" custom_heading_size="21px" icon_mb="55" custom_size="85px"]Our quality policy: strict and effective managment to have best product for you.[/ld_icon_box][/vc_column][vc_column offset="vc_col-md-4" responsive_css="padding_right_medium:0px|padding_left_medium:0px" css=".vc_custom_1605987606223{padding-right: 15px !important;padding-left: 15px !important;}"][ld_icon_box i_type="image" heading_size="custom" i_icon_image="54" title="Search Engine Optimization" title_mb="20" custom_heading_size="21px" icon_mb="55" custom_size="85px"]In the shortest possbible time for customers to solve questions of the use of product.[/ld_icon_box][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Icon 39 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Icon 39', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'icon-39.jpg' );
	$data['sort_name'] = 'Icon';
	$data['custom_class'] = 'general icon';
	$data['content'] = <<<CONTENT
	[vc_row bg_position="right center" enable_gradient="yes" enable_row_dividers="yes" gradient_bg="linear-gradient(40deg, rgb(46, 52, 67) 0.3184713375796178%, rgb(50, 51, 74) 50.318471337579616%, #3b4157 100%)" css=".vc_custom_1606116278929{padding-top: 120px !important;padding-bottom: 90px !important;background-color: #0b1530 !important;background-position: center !important;background-repeat: no-repeat !important;background-size: contain !important;}" row_svg_divider="top_shape_type:6|top_shape_color:%23ffffff|top_shape_height:52|bottom_shape_type:8|bottom_shape_color:%23f7f9fc|bottom_shape_height:103" responsive_css="padding_top_medium:140px|padding_bottom_medium:195px"][vc_column enable_content_animation="yes" animation_preset="Fade In" align="text-center" offset="vc_col-md-offset-2 vc_col-md-8" ca_duration="1800" ca_delay="80" responsive_css="padding_right_medium:7%25|padding_left_medium:7%25" responsive_align="text-md-center"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" use_inheritance="true" color="rgb(255, 255, 255)" margin="bottom_small:0.35em" fs="text_large:50px|text_small:36px"]Global Solutions.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_large:20px|text_small:17px" lh="text_large:34px|text_small:25px" color="rgba(255, 255, 255, 0.7)"]We help our clients succeed by creating brand identities, digital experiences, and print materials that communicate clearly.[/ld_fancy_heading][/vc_column][vc_column][ld_carousel_tab columns="md:3|sm:2|xs:1.15|spacing_sm:20px|spacing_xs:15px" inactiv_opacity="1" enable_item_animation="yes" cellalign="center" pagenationdots="yes" wraparound="yes" adaptiveheight="yes" dots_bottom_offset="-40px" dots_style="carousel-dots-style2" pf_init_scale_x="1" pf_init_scale_y="1" pf_init_opacity="0" pf_an_scale_x="1" pf_an_scale_y="1" pf_an_opacity="1" dots_bg_color="rgba(255, 255, 255, 0.45)" dots_bg_hcolor="rgb(255, 255, 255)" pf_duration="1800" pf_delay="180" mobile_dots_bg_color="rgba(255, 255, 255, 0.3)" mobile_dots_bg_hcolor="rgb(255, 255, 255)"][ld_carousel_section title="Tab" tab_id="lqd-1595324902398-698bca5e-cd7e"][ld_icon_box i_type="animated" heading_size="custom" toggleable="yes" show_button="yes" fill="yes" border_radius="iconbox-round" hover_fill="yes" shadow="iconbox-shadow-hover" ib_style="btn-naked" ib_title="Learn More" ib_i_type="linea" ib_i_add_icon="true" title="Real Time Data" title_mb="15" custom_heading_size="22px" icon_mb="30" css=".vc_custom_1617779612035{margin-top: 60px !important;border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 35px !important;padding-right: 35px !important;padding-bottom: 15px !important;padding-left: 35px !important;border-left-color: rgba(255,255,255,0.09) !important;border-left-style: solid !important;border-right-color: rgba(255,255,255,0.09) !important;border-right-style: solid !important;border-top-color: rgba(255,255,255,0.09) !important;border-top-style: solid !important;border-bottom-color: rgba(255,255,255,0.09) !important;border-bottom-style: solid !important;}" h_color="rgb(255, 255, 255)" hover_fill_color="rgb(255, 255, 255)" hover_text_color="rgb(80, 80, 80)" fill_color="rgba(255, 255, 255, 0)" h_hcolor="rgb(0, 0, 0)" ib_i_icon_linea="lqd-icn-ess icon-md-arrow-forward" ib_color="rgb(39, 176, 97)" i_icon_animated="animated-ecommerce_graph1" custom_size="55px" i_color="rgb(23, 190, 116)"]<span style="color: rgba(255, 255, 255, 0.85); font-size: 16px;">We help our clients succeed by creating brand identities, digital experiences.</span>[/ld_icon_box][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595253352066-9a21350a-2756"][ld_icon_box i_type="animated" heading_size="custom" toggleable="yes" show_label="yes" show_button="yes" fill="yes" border_radius="iconbox-round" hover_fill="yes" scale_bg="iconbox-scale-bg" shadow="iconbox-shadow-hover" ib_style="btn-naked" ib_title="Learn More" ib_i_type="linea" ib_i_add_icon="true" title="Cloud Support" title_mb="15" custom_heading_size="22px" icon_mb="30" css=".vc_custom_1617779620965{margin-top: 60px !important;border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 35px !important;padding-right: 35px !important;padding-bottom: 15px !important;padding-left: 35px !important;border-left-color: rgba(255,255,255,0.09) !important;border-left-style: solid !important;border-right-color: rgba(255,255,255,0.09) !important;border-right-style: solid !important;border-top-color: rgba(255,255,255,0.09) !important;border-top-style: solid !important;border-bottom-color: rgba(255,255,255,0.09) !important;border-bottom-style: solid !important;}" h_color="rgb(255, 255, 255)" hover_fill_color="rgb(255, 255, 255)" hover_text_color="rgb(80, 80, 80)" fill_color="rgba(255, 255, 255, 0)" h_hcolor="rgb(0, 0, 0)" ib_i_icon_linea="lqd-icn-ess icon-md-arrow-forward" ib_color="rgb(39, 176, 97)" custom_size="55px" label="Global" i_icon_animated="animated-basic_elaboration_cloud_check" i_color="rgb(23, 190, 116)"]<span style="color: rgba(255, 255, 255, 0.85); font-size: 16px;">We help our clients succeed by creating brand identities, digital experiences.</span>[/ld_icon_box][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595324903317-13a863d6-7f8d"][ld_icon_box i_type="animated" heading_size="custom" toggleable="yes" show_button="yes" fill="yes" border_radius="iconbox-round" hover_fill="yes" shadow="iconbox-shadow-hover" ib_style="btn-naked" ib_title="Learn More" ib_i_type="linea" ib_i_add_icon="true" title="Collaboration Tools" title_mb="15" custom_heading_size="22px" icon_mb="30" css=".vc_custom_1617779628313{margin-top: 60px !important;border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 35px !important;padding-right: 35px !important;padding-bottom: 15px !important;padding-left: 35px !important;border-left-color: rgba(255,255,255,0.09) !important;border-left-style: solid !important;border-right-color: rgba(255,255,255,0.09) !important;border-right-style: solid !important;border-top-color: rgba(255,255,255,0.09) !important;border-top-style: solid !important;border-bottom-color: rgba(255,255,255,0.09) !important;border-bottom-style: solid !important;}" h_color="rgb(255, 255, 255)" hover_fill_color="rgb(255, 255, 255)" hover_text_color="rgb(80, 80, 80)" fill_color="rgba(255, 255, 255, 0)" h_hcolor="rgb(0, 0, 0)" ib_i_icon_linea="lqd-icn-ess icon-md-arrow-forward" ib_color="rgb(39, 176, 97)" custom_size="55px" i_icon_animated="animated-basic_spread_text" i_color="rgb(23, 190, 116)"]<span style="color: rgba(255, 255, 255, 0.85); font-size: 16px;">We help our clients succeed by creating brand identities, digital experiences.</span>[/ld_icon_box][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595324903700-e225f410-db9a"][ld_icon_box i_type="animated" heading_size="custom" toggleable="yes" show_button="yes" fill="yes" border_radius="iconbox-round" hover_fill="yes" shadow="iconbox-shadow-hover" ib_style="btn-naked" ib_title="Learn More" ib_i_type="linea" ib_i_add_icon="true" title="Collaboration Tools" title_mb="15" custom_heading_size="22px" icon_mb="30" css=".vc_custom_1621427307512{margin-top: 60px !important;border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 35px !important;padding-right: 35px !important;padding-bottom: 15px !important;padding-left: 35px !important;border-left-color: rgba(255,255,255,0.09) !important;border-left-style: solid !important;border-right-color: rgba(255,255,255,0.09) !important;border-right-style: solid !important;border-top-color: rgba(255,255,255,0.09) !important;border-top-style: solid !important;border-bottom-color: rgba(255,255,255,0.09) !important;border-bottom-style: solid !important;}" h_color="rgb(255, 255, 255)" hover_fill_color="rgb(255, 255, 255)" hover_text_color="rgb(80, 80, 80)" fill_color="rgba(255, 255, 255, 0)" h_hcolor="rgb(0, 0, 0)" ib_i_icon_linea="lqd-icn-ess icon-md-arrow-forward" ib_color="rgb(39, 176, 97)" custom_size="55px" i_icon_animated="animated-basic_book_pen" i_color="rgb(23, 190, 116)"]<span style="color: rgba(255, 255, 255, 0.85); font-size: 16px;">We help our clients succeed by creating brand identities, digital experiences.</span>[/ld_icon_box][/ld_carousel_section][/ld_carousel_tab][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Icon 40 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Icon 40', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'icon-40.jpg' );
	$data['sort_name'] = 'Icon';
	$data['custom_class'] = 'general icon';
	$data['content'] = <<<CONTENT
	[vc_row enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" css=".vc_custom_1605972087190{padding-top: 40px !important;padding-bottom: 40px !important;}" ca_duration="1800" ca_delay="180" ca_init_translate_y="60" responsive_css="padding_top_medium:120px"][vc_column offset="vc_col-md-offset-0 vc_col-md-4"][ld_icon_box i_type="image" heading_size="custom" i_size="xs" position="iconbox-side" title="Seamless Integration" custom_heading_size="21px" i_icon_image="40" custom_size="40px"]Hub IT allows your business and technology computers to store, transmit and analyze.[/ld_icon_box][/vc_column][vc_column offset="vc_col-md-offset-0 vc_col-md-4"][ld_icon_box i_type="image" heading_size="custom" i_size="xs" position="iconbox-side" title="Seamless Integration" custom_heading_size="21px" i_icon_image="41" custom_size="40px"]Hub IT allows your business and technology computers to store, transmit and analyze.[/ld_icon_box][/vc_column][vc_column offset="vc_col-md-offset-0 vc_col-md-4"][ld_icon_box i_type="image" heading_size="custom" i_size="xs" position="iconbox-side" title="Seamless Integration" custom_heading_size="21px" i_icon_image="42" custom_size="40px"]Hub IT allows your business and technology computers to store, transmit and analyze.[/ld_icon_box][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Icon 41 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Icon 41', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'icon-41.jpg' );
	$data['sort_name'] = 'Icon';
	$data['custom_class'] = 'general icon';
	$data['content'] = <<<CONTENT
CONTENT;
	$templates[] = $data;

	//Icon 42 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Icon 42', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'icon-42.jpg' );
	$data['sort_name'] = 'Icon';
	$data['custom_class'] = 'general icon';
	$data['content'] = <<<CONTENT
CONTENT;
	$templates[] = $data;

	//Icon 43 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Icon 43', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'icon-43.jpg' );
	$data['sort_name'] = 'Icon';
	$data['custom_class'] = 'general icon';
	$data['content'] = <<<CONTENT
CONTENT;
	$templates[] = $data;

	//Icon 44 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Icon 44', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'icon-44.jpg' );
	$data['sort_name'] = 'Icon';
	$data['custom_class'] = 'general icon';
	$data['content'] = <<<CONTENT
CONTENT;
	$templates[] = $data;

	//Icon 45 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Icon 45', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'icon-45.jpg' );
	$data['sort_name'] = 'Icon';
	$data['custom_class'] = 'general icon';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1614767798632{padding-top: 120px !important;padding-bottom: 40px !important;}" responsive_css="padding_top_medium:200px|padding_bottom_medium:70px"][vc_column][ld_particles as_bg="yes" enable_density="yes" opacity="1" enable_move="yes" move_direction="right" enable_random_move="yes" modes_grab_opacity="1" retina_detect="yes" particle_id="lqd-1574947035246-eebb4f98-33c1" number="17" size="4" move_speed="1" color="#d8d8d8" density="170"][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" align="text-center" offset="vc_col-lg-offset-3 vc_col-lg-6 vc_col-md-offset-2 vc_col-md-8" responsive_css="padding_right_medium:7%25|padding_left_medium:7%25" ca_duration="1800" ca_delay="180" ca_init_translate_y="45" css=".vc_custom_1574947903895{margin-bottom: 60px !important;}" responsive_align="text-center"][ld_fancy_heading tag="h6" margin="bottom_small:0.75em"]Data Literacy[/ld_fancy_heading][ld_fancy_heading tag="h2" use_inheritance="true" enable_fit="true" minfontsize="32"]Secure transactions for small businesses.[/ld_fancy_heading][/vc_column][vc_column][vc_row_inner enable_content_animation="yes" gap="20" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" ca_duration="1800" ca_delay="180" ca_init_translate_x="35"][vc_column_inner width="1/2" offset="vc_col-md-4" css=".vc_custom_1574948048040{margin-bottom: 35px !important;}"][ld_icon_box i_type="linea" heading_size="xs" i_shape="circle" i_size="md" i_border="" position="iconbox-side" title="Online Task Assignment" i_color="rgb(16, 114, 250)" shape_color="rgb(247, 247, 250)" i_icon_linea="lqd-icn-ess icon-ld-search-2" icon_size="30px"]Open a beautiful store, increase your conversion rates and boost your sales in minutes.[/ld_icon_box][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-4" css=".vc_custom_1574948052887{margin-bottom: 35px !important;}"][ld_icon_box i_type="linea" heading_size="xs" i_shape="circle" i_size="md" i_border="" position="iconbox-side" title="Seamless Integration" shape_color="rgb(247, 247, 250)" i_icon_linea="lqd-icn-ess icon-speech-bubble" i_color="rgb(16, 114, 250)" icon_size="30px"]Open a beautiful store, increase your conversion rates and boost your sales in minutes.[/ld_icon_box][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-4" css=".vc_custom_1574948058434{margin-bottom: 35px !important;}"][ld_icon_box i_type="linea" heading_size="xs" i_shape="circle" i_size="md" i_border="" position="iconbox-side" title="10K Happy Customers" i_color="rgb(16, 114, 250)" shape_color="rgb(247, 247, 250)" i_icon_linea="lqd-icn-ess icon-lqd-check" icon_size="30px"]Open a beautiful store, increase your conversion rates and boost your sales in minutes.[/ld_icon_box][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-4" css=".vc_custom_1574948065445{margin-bottom: 35px !important;}"][ld_icon_box i_type="linea" heading_size="xs" i_shape="circle" i_size="md" i_border="" position="iconbox-side" title="Targeted Accounts" i_color="rgb(16, 114, 250)" shape_color="rgb(247, 247, 250)" i_icon_linea="lqd-icn-ess icon-ld-cart" icon_size="30px"]Open a beautiful store, increase your conversion rates and boost your sales in minutes.[/ld_icon_box][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-4" css=".vc_custom_1574948072744{margin-bottom: 35px !important;}"][ld_icon_box i_type="linea" heading_size="xs" i_shape="circle" i_size="md" i_border="" position="iconbox-side" title="Chat Bot Assistance" i_color="rgb(16, 114, 250)" shape_color="rgb(247, 247, 250)" i_icon_linea="lqd-icn-ess icon-lqd-sync" icon_size="30px"]Open a beautiful store, increase your conversion rates and boost your sales in minutes.[/ld_icon_box][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-4" css=".vc_custom_1574948078045{margin-bottom: 35px !important;}"][ld_icon_box i_type="linea" heading_size="xs" i_shape="circle" i_size="md" i_border="" position="iconbox-side" title="One Click Install" i_color="rgb(16, 114, 250)" shape_color="rgb(247, 247, 250)" i_icon_linea="lqd-icn-ess icon-lqd-envelope" icon_size="30px"]Open a beautiful store, increase your conversion rates and boost your sales in minutes.[/ld_icon_box][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Icon 46 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Icon 46', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'icon-46.jpg' );
	$data['sort_name'] = 'Icon';
	$data['custom_class'] = 'general icon';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" el_id="analytics" responsive_css="padding_top_medium:30px|padding_bottom_medium:80px" css=".vc_custom_1618494618853{padding-bottom: 50px !important;}"][vc_column align="text-center" responsive_css="margin_bottom_medium:60px|padding_right_medium:7%25|padding_left_medium:7%25" offset="vc_col-lg-offset-3 vc_col-lg-6 vc_col-md-offset-2 vc_col-md-8" responsive_align="text-center" css=".vc_custom_1605396614588{margin-bottom: 30px !important;}"][ld_fancy_heading tag="h6" margin="bottom_small:0.75em"]The process[/ld_fancy_heading][ld_fancy_heading tag="h2" use_inheritance="true"]API Integration[/ld_fancy_heading][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="0.75" ca_init_scale_y="0.75" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" bg_position="center top" align="text-center" css=".vc_custom_1573635663698{background-image: url(https://mainhub.liquid-themes.com/wp-content/uploads/2019/11/svg-bg-4.svg?id=4321) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: contain !important;}" offset="vc_col-md-7" ca_duration="1800" ca_delay="180" ca_init_translate_x="-55" ca_init_rotate_x="-15" responsive_align="text-center"][ld_images_group_element img_size="50%" parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" image="121" translate_from_y="70" translate_to_y="-80" margin="bottom_small:40px"][/ld_images_group_element][vc_row_inner][vc_column_inner offset="vc_col-md-offset-2 vc_col-md-8"][ld_icon_box i_type="linea" heading_size="custom" heading_weight="font-weight-normal" position="iconbox-side" i_icon_linea="lqd-icn-ess icon-lqd-check" title="Les services de paiement sont disponibles via des applications mobiles et de bureau." custom_heading_size="14px" icon_size="16px" h_color="rgb(134, 147, 158)" title_mb="1"][/ld_icon_box][/vc_column_inner][/vc_row_inner][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-5" ca_duration="1800" ca_start_delay="250" ca_delay="180" ca_init_translate_y="60" responsive_css="padding_right_medium:12%25"][ld_icon_box i_type="linea" heading_size="sm" i_shape="circle" i_border="1" position="iconbox-side" i_linked="iconbox-icon-linked" i_icon_linea="lqd-icn-ess icon-num-1" title="Register your API" icon_size="17px" custom_i_size="42px" shape_color="rgb(255, 255, 255)" border_shape_color="rgb(232, 235, 237)" i_color="rgb(0, 0, 0)" css=".vc_custom_1611484311638{margin-bottom: 44px !important;}" h_i_color="rgb(255, 255, 255)" shape_hcolor="rgb(0, 0, 0)" border_shape_hcolor="rgb(0, 0, 0)"]<span style="font-size: 16px;">No more complex codes or boring designs. Creating an attractive and functional site has never been easier.</span>[/ld_icon_box][ld_icon_box i_type="linea" heading_size="sm" i_shape="circle" i_border="1" position="iconbox-side" i_linked="iconbox-icon-linked" i_icon_linea="lqd-icn-ess icon-num-2" title="Start adding content" icon_size="17px" custom_i_size="42px" shape_color="rgb(255, 255, 255)" border_shape_color="rgb(232, 235, 237)" i_color="rgb(0, 0, 0)" css=".vc_custom_1611484294905{margin-bottom: 40px !important;}" h_i_color="rgb(255, 255, 255)" shape_hcolor="rgb(0, 0, 0)" border_shape_hcolor="rgb(0, 0, 0)"]<span style="font-size: 16px;">No more complex codes or boring designs. Creating an attractive and functional site has never been easier.</span>[/ld_icon_box][ld_icon_box i_type="linea" heading_size="sm" i_shape="circle" i_border="1" position="iconbox-side" i_linked="iconbox-icon-linked" i_icon_linea="lqd-icn-ess icon-num-3" title="Unlock your device" icon_size="17px" custom_i_size="42px" shape_color="rgb(255, 255, 255)" border_shape_color="rgb(232, 235, 237)" i_color="rgb(0, 0, 0)" css=".vc_custom_1611484331933{margin-bottom: 40px !important;}" h_i_color="rgb(255, 255, 255)" shape_hcolor="rgb(0, 0, 0)" border_shape_hcolor="rgb(0, 0, 0)"]<span style="font-size: 16px;">No more complex codes or boring designs. Creating an attractive and functional site has never been easier.</span>[/ld_icon_box][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Icon 47 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Icon 47', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'icon-47.jpg' );
	$data['sort_name'] = 'Icon';
	$data['custom_class'] = 'general icon';
	$data['content'] = <<<CONTENT
	[vc_row bg_position="right center" css=".vc_custom_1610005457286{border-top-width: 1px !important;padding-bottom: 60px !important;border-top-color: #d0d0d0 !important;border-top-style: solid !important;}" responsive_css="padding_bottom_medium:100px"][vc_column offset="vc_col-md-4" responsive_css="padding_right_large:13%25"][ld_icon_box i_type="linea" heading_size="custom" alignment="text-left" i_icon_linea="lqd-icn-ess icon-lqd-circle" title="Building the`{`ld_br`}`future cities_" i_color="rgb(0, 0, 0)" custom_heading_size="31px" icon_size="20px" css=".vc_custom_1609931136425{margin-top: -10px !important;}"]<span style="font-size: 16px; line-height: 1.56em;">Urban design draws together the many strands of place-making, environmental stewardship.</span>[/ld_icon_box][/vc_column][vc_column offset="vc_col-md-4" responsive_css="padding_right_large:13%25"][ld_icon_box i_type="linea" heading_size="custom" alignment="text-left" i_icon_linea="lqd-icn-ess icon-lqd-circle" title="Influential`{`ld_br`}`and impactful_" i_color="rgb(0, 0, 0)" custom_heading_size="31px" icon_size="20px" css=".vc_custom_1609931189071{margin-top: -10px !important;}"]<span style="font-size: 16px; line-height: 1.56em;">Urban design draws together the many strands of place-making, environmental stewardship.</span>[/ld_icon_box][/vc_column][vc_column offset="vc_col-md-4" responsive_css="padding_right_large:13%25"][ld_icon_box i_type="linea" heading_size="custom" alignment="text-left" i_icon_linea="lqd-icn-ess icon-lqd-circle" title="Award-winning`{`ld_br`}`architecture_" i_color="rgb(0, 0, 0)" custom_heading_size="31px" icon_size="20px" css=".vc_custom_1609931212461{margin-top: -10px !important;}"]<span style="font-size: 16px; line-height: 1.56em;">Urban design draws together the many strands of place-making, environmental stewardship.</span>[/ld_icon_box][/vc_column][vc_column][ld_images_group_container move_to_parent_row="yes" absolute_pos="yes" position="top_large:-70%25|top_small:-30%25|right_small:0px" el_class="z-index--1"][ld_images_group_element img_size="50%" image="4417"][/ld_images_group_element][/ld_images_group_container][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Icon 48 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Icon 48', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'icon-48.jpg' );
	$data['sort_name'] = 'Icon';
	$data['custom_class'] = 'general icon';
	$data['content'] = <<<CONTENT
	[vc_row equal_height="yes" content_placement="middle" css=".vc_custom_1605087834956{padding-top: 65px !important;padding-bottom: 65px !important;}" responsive_css="margin_bottom_medium:50px" el_id="live-chat"][vc_column offset="vc_col-lg-4 vc_col-md-5"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_large:61px|text_small:45px" lh="text_small:1.1em" margin="bottom_small:0px"]Live chat.[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_large:61px|text_small:45px" lh="text_small:1.1em" margin="bottom_small:0px"]Video calls.[/ld_fancy_heading][ld_fancy_heading tag="h2" highlight_height="0.15em" highlight_offset="0.4em" use_custom_fonts_title="true" fs="text_large:61px|text_small:45px" lh="text_small:1.1em" margin="bottom_small:0px" highlight_color="rgba(255, 126, 126, 0.82)"][ld_highlight]Zero cost.[/ld_highlight][/ld_fancy_heading][/vc_column][vc_column offset="vc_col-lg-offset-2 vc_col-lg-6 vc_col-md-7"][ld_fancy_heading tag="p" margin="bottom_small:1.85em"]Complete Design Toolkit – huge collection of elements, rich customization options, flexible layouts, and instant results! Choose a pre-built header or create a custom layout that perfectly suits your needs.[/ld_fancy_heading][ld_button style="btn-solid" title="Sign up — It’s Free" size="btn-lg" hover_txt_effect="btn-hover-txt-switch btn-hover-txt-switch-x" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" color="rgb(240, 242, 255)" text_color="rgb(67, 32, 145)" hover_color="rgb(67, 32, 145)" htext_color="rgb(255, 255, 255)" fs="16px" i_icon_linea="lqd-icn-ess icon-md-arrow-forward"][/vc_column][/vc_row][vc_row][vc_column width="1/4" offset="vc_col-md-3 vc_col-xs-6"][ld_icon_box i_type="image" heading_size="xs" alignment="text-left" i_icon_image="131" title="Volume Control" title_mb="29" custom_size="53px"]Create newsletters with the Mailchimp integrations and grow your subscribers. No layout limitations.[/ld_icon_box][/vc_column][vc_column width="1/4" offset="vc_col-md-3 vc_col-xs-6"][ld_icon_box i_type="image" heading_size="xs" alignment="text-left" i_icon_image="123" title="GeoLocation Tags" title_mb="29" custom_size="53px"]Create newsletters with the Mailchimp integrations and grow your subscribers. No layout limitations.[/ld_icon_box][/vc_column][vc_column width="1/4" offset="vc_col-md-3 vc_col-xs-6"][ld_icon_box i_type="image" heading_size="xs" alignment="text-left" i_icon_image="130" title="Mobile Development" title_mb="29" custom_size="53px"]Create newsletters with the Mailchimp integrations and grow your subscribers. No layout limitations.[/ld_icon_box][/vc_column][vc_column width="1/4" offset="vc_col-md-3 vc_col-xs-6"][ld_icon_box i_type="image" heading_size="xs" alignment="text-left" i_icon_image="132" title="Cloud Servers" title_mb="29" custom_size="53px"]Create newsletters with the Mailchimp integrations and grow your subscribers. No layout limitations.[/ld_icon_box][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Icon 49 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Icon 49', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'icon-49.jpg' );
	$data['sort_name'] = 'Icon';
	$data['custom_class'] = 'general icon';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" responsive_css="padding_top_medium:70px|padding_bottom_medium:70px" css=".vc_custom_1622009615806{padding-top: 35px !important;padding-bottom: 35px !important;}"][vc_column offset="vc_col-md-5" css=".vc_custom_1622009631247{margin-bottom: 30px !important;}"][ld_fancy_heading tag="h6" enable_bg="yes" fh_border_radius="circle" color="rgb(61, 166, 180)" padding="top_small:0.625em|right_small:1em|bottom_small:0.625em|left_small:1em" fh_bg="rgba(61, 166, 180, 0.1)" margin="bottom_small:1em"]Educational Playground[/ld_fancy_heading][ld_fancy_heading tag="h2" margin="bottom_small:0.35em"]An educational and fun playground for <span style="color: #3da6b4;">all kids.</span>[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.52em" margin="bottom_small:0.35em"]Find their passion, teach an understanding of reciprocity, and instill a sense of global citizenship[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-7" responsive_css="padding_left_medium:6%25"][vc_row_inner gap="5"][vc_column_inner width="1/2"][ld_icon_box i_type="image" heading_size="custom" position="iconbox-side" i_icon_image="64" title="Educational Tools" custom_heading_size="19px" css=".vc_custom_1621944258925{margin-bottom: 30px !important;}"]<span style="color: #586882;">Find their passion, teach an of reciprocity, and instill a sense of global citizenship in globe.</span>[/ld_icon_box][/vc_column_inner][vc_column_inner width="1/2"][ld_icon_box i_type="image" heading_size="custom" position="iconbox-side" i_icon_image="65" title="Precious moments" custom_heading_size="19px" css=".vc_custom_1621944276901{margin-bottom: 30px !important;}"]<span style="color: #586882;">Find their passion, teach an of reciprocity, and instill a sense of global citizenship in globe.</span>[/ld_icon_box][/vc_column_inner][vc_column_inner width="1/2"][ld_icon_box i_type="image" heading_size="custom" position="iconbox-side" i_icon_image="66" title="Dedicated Volunteers" custom_heading_size="19px" css=".vc_custom_1621944295223{margin-bottom: 30px !important;}"]<span style="color: #586882;">Find their passion, teach an of reciprocity, and instill a sense of global citizenship in globe.</span>[/ld_icon_box][/vc_column_inner][vc_column_inner width="1/2"][ld_icon_box i_type="image" heading_size="custom" position="iconbox-side" i_icon_image="67" title="Make them happy" custom_heading_size="19px" css=".vc_custom_1621944315659{margin-bottom: 30px !important;}"]<span style="color: #586882;">Find their passion, teach an of reciprocity, and instill a sense of global citizenship in globe.</span>[/ld_icon_box][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Icon 50 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Icon 50', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'icon-50.jpg' );
	$data['sort_name'] = 'Icon';
	$data['custom_class'] = 'general icon';
	$data['content'] = <<<CONTENT
	[vc_section bg_position="custom" css=".vc_custom_1622099594544{background-image: url(https://staging.liquid-themes.com/lawyer/wp-content/uploads/2021/05/bg.png?id=3600) !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}" bg_pos_h="80%" bg_pos_v="50%"][vc_row content_placement="middle" css=".vc_custom_1622103205576{padding-top: 65px !important;padding-bottom: 45px !important;}" el_id="about"][vc_column offset="vc_col-md-6"][ld_fancy_heading tag="h6" margin="bottom_small:1.25em"]Legal disciplines.[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_large:45px" margin="bottom_large:0px"]Practice Areas.[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-offset-1 vc_col-md-5"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.47em"]We embrace holistic development and support for the aim of being a first-choice employer within our sectors.[/ld_fancy_heading][/vc_column][/vc_row][vc_row css=".vc_custom_1622027003753{border-top-width: 1px !important;border-top-color: rgba(0,0,0,0.1) !important;border-top-style: solid !important;}"][vc_column width="1/3" responsive_css="padding_right_large:20%25|padding_right_medium:10%25"][ld_icon_box i_type="linea" heading_size="lg" alignment="text-left" i_icon_linea="lqd-icn-ess icon-lqd-circle" title="Financial capital And business" icon_size="18px" css=".vc_custom_1622027200149{margin-top: -10px !important;}" i_color="rgb(177, 120, 86)" icon_mb="28"]<span style="font-size: 15px;">Our process applies techniques from a variety of disciplines distinction in detail and gives careful attention.</span>[/ld_icon_box][/vc_column][vc_column width="1/3" responsive_css="padding_right_large:20%25|padding_right_medium:10%25"][ld_icon_box i_type="linea" heading_size="lg" alignment="text-left" i_icon_linea="lqd-icn-ess icon-lqd-circle" title="Citizenship And Immigration" icon_size="18px" css=".vc_custom_1622027268247{margin-top: -10px !important;}" i_color="rgb(177, 120, 86)" icon_mb="28"]<span style="font-size: 15px;">Our process applies techniques from a variety of disciplines distinction in detail and gives careful attention.</span>[/ld_icon_box][/vc_column][vc_column width="1/3" responsive_css="padding_right_large:20%25|padding_right_medium:10%25"][ld_icon_box i_type="linea" heading_size="lg" alignment="text-left" i_icon_linea="lqd-icn-ess icon-lqd-circle" title="Criminal Cases And Defense" icon_size="18px" css=".vc_custom_1622027458062{margin-top: -10px !important;}" i_color="rgb(177, 120, 86)" icon_mb="28"]<span style="font-size: 15px;">Our process applies techniques from a variety of disciplines distinction in detail and gives careful attention.</span>[/ld_icon_box][/vc_column][/vc_row][/vc_section]
CONTENT;
	$templates[] = $data;

	//Icon 51 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Icon 51', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'icon-51.jpg' );
	$data['sort_name'] = 'Icon';
	$data['custom_class'] = 'general icon';
	$data['content'] = <<<CONTENT
	[vc_row enable_gradient="yes" css=".vc_custom_1622015682090{padding-top: 65px !important;padding-bottom: 65px !important;}" el_id="services" gradient_bg="linear-gradient(179deg, rgb(235, 239, 241) 1.2738853503184713%, rgb(255, 255, 255) 99.68152866242038%)"][vc_column width="1/2" offset="vc_col-md-4" responsive_css="padding_right_large:15%25"][ld_icon_box i_type="image" heading_size="custom" toggleable="yes" i_shape="circle" i_border="" show_button="yes" alignment="text-left" shadow="iconbox-icon-shadow" ib_style="btn-naked" ib_title="Learn more" ib_i_type="linea" ib_i_hover_reveal="btn-hover-swp" ib_i_add_icon="true" i_icon_image="78" title="Exceptional Execution" custom_heading_size="17px" custom_size="22px" custom_i_size="55px" shape_color="rgb(255, 255, 255)" title_mb="0" icon_mb="23" ib_link="url:%23|||" ib_i_icon_linea="lqd-icn-ess icon-md-arrow-forward" h_svg_fill_color="rgb(255, 255, 255)" shape_hcolor="rgb(21, 81, 83)" css=".vc_custom_1622015410385{margin-bottom: 0px !important;}" h_color="rgb(0, 0, 0)"]<span style="font-size: 15px; line-height: 1.4em; color: #808291;">Our process applies techniques from a variety of disciplines, values distinction in detail and gives careful</span>[/ld_icon_box][/vc_column][vc_column width="1/2" offset="vc_col-md-4" responsive_css="padding_right_large:15%25"][ld_icon_box i_type="image" heading_size="custom" toggleable="yes" i_shape="circle" i_border="" show_button="yes" alignment="text-left" shadow="iconbox-icon-shadow" ib_style="btn-naked" ib_title="Learn more" ib_i_type="linea" ib_i_hover_reveal="btn-hover-swp" ib_i_add_icon="true" i_icon_image="74" title="Insight and Analytics" custom_heading_size="17px" custom_size="22px" custom_i_size="55px" shape_color="rgb(255, 255, 255)" title_mb="0" icon_mb="23" ib_link="url:%23|||" ib_i_icon_linea="lqd-icn-ess icon-md-arrow-forward" h_svg_fill_color="rgb(255, 255, 255)" shape_hcolor="rgb(21, 81, 83)" css=".vc_custom_1622015399214{margin-bottom: 0px !important;}" h_color="rgb(0, 0, 0)"]<span style="font-size: 15px; line-height: 1.4em; color: #808291;">Our process applies techniques from a variety of disciplines, values distinction in detail and gives careful</span>[/ld_icon_box][/vc_column][vc_column width="1/2" offset="vc_col-md-4" responsive_css="padding_right_large:15%25"][ld_icon_box i_type="image" heading_size="custom" toggleable="yes" i_shape="circle" i_border="" show_button="yes" alignment="text-left" shadow="iconbox-icon-shadow" ib_style="btn-naked" ib_title="Learn more" ib_i_type="linea" ib_i_hover_reveal="btn-hover-swp" ib_i_add_icon="true" i_icon_image="75" title="Secure Network" custom_heading_size="17px" custom_size="18px" custom_i_size="55px" shape_color="rgb(255, 255, 255)" title_mb="0" icon_mb="23" ib_link="url:%23|||" ib_i_icon_linea="lqd-icn-ess icon-md-arrow-forward" h_svg_fill_color="rgb(255, 255, 255)" shape_hcolor="rgb(21, 81, 83)" css=".vc_custom_1622015418566{margin-bottom: 0px !important;}" h_color="rgb(0, 0, 0)"]<span style="font-size: 15px; line-height: 1.4em; color: #808291;">Our process applies techniques from a variety of disciplines, values distinction in detail and gives careful</span>[/ld_icon_box][/vc_column][vc_column width="1/2" offset="vc_col-md-4" responsive_css="padding_right_large:15%25"][ld_icon_box i_type="image" heading_size="custom" toggleable="yes" i_shape="circle" i_border="" show_button="yes" alignment="text-left" shadow="iconbox-icon-shadow" ib_style="btn-naked" ib_title="Learn more" ib_i_type="linea" ib_i_hover_reveal="btn-hover-swp" ib_i_add_icon="true" i_icon_image="77" title="Business Consultation" custom_heading_size="17px" custom_size="14px" custom_i_size="55px" shape_color="rgb(255, 255, 255)" title_mb="0" icon_mb="23" ib_link="url:%23|||" ib_i_icon_linea="lqd-icn-ess icon-md-arrow-forward" h_svg_fill_color="rgb(255, 255, 255)" shape_hcolor="rgb(21, 81, 83)" css=".vc_custom_1622015431482{margin-bottom: 0px !important;}" h_color="rgb(0, 0, 0)"]<span style="font-size: 15px; line-height: 1.4em; color: #808291;">Our process applies techniques from a variety of disciplines, values distinction in detail and gives careful</span>[/ld_icon_box][/vc_column][vc_column width="1/2" offset="vc_col-md-4" responsive_css="padding_right_large:15%25"][ld_icon_box i_type="image" heading_size="custom" toggleable="yes" i_shape="circle" i_border="" show_button="yes" alignment="text-left" shadow="iconbox-icon-shadow" ib_style="btn-naked" ib_title="Learn more" ib_i_type="linea" ib_i_hover_reveal="btn-hover-swp" ib_i_add_icon="true" i_icon_image="76" title="Strategic Vision" custom_heading_size="17px" custom_size="22px" custom_i_size="55px" shape_color="rgb(255, 255, 255)" title_mb="0" icon_mb="23" ib_link="url:%23|||" ib_i_icon_linea="lqd-icn-ess icon-md-arrow-forward" h_svg_fill_color="rgb(255, 255, 255)" shape_hcolor="rgb(21, 81, 83)" css=".vc_custom_1622015440076{margin-bottom: 0px !important;}" h_color="rgb(0, 0, 0)"]<span style="font-size: 15px; line-height: 1.4em; color: #808291;">Our process applies techniques from a variety of disciplines, values distinction in detail and gives careful</span>[/ld_icon_box][/vc_column][vc_column width="1/2" offset="vc_col-md-4" responsive_css="padding_right_large:15%25"][ld_icon_box i_type="image" heading_size="custom" toggleable="yes" i_shape="circle" i_border="" show_button="yes" alignment="text-left" shadow="iconbox-icon-shadow" ib_style="btn-naked" ib_title="Learn more" ib_i_type="linea" ib_i_hover_reveal="btn-hover-swp" ib_i_add_icon="true" i_icon_image="78" title="Initial Concept" custom_heading_size="17px" custom_size="22px" custom_i_size="55px" shape_color="rgb(255, 255, 255)" title_mb="0" icon_mb="23" ib_link="url:%23|||" ib_i_icon_linea="lqd-icn-ess icon-md-arrow-forward" h_svg_fill_color="rgb(255, 255, 255)" shape_hcolor="rgb(21, 81, 83)" css=".vc_custom_1622015449497{margin-bottom: 0px !important;}" h_color="rgb(0, 0, 0)"]<span style="font-size: 15px; line-height: 1.4em; color: #808291;">Our process applies techniques from a variety of disciplines, values distinction in detail and gives careful</span>[/ld_icon_box][/vc_column][vc_column responsive_align="text-center" css=".vc_custom_1621849090584{padding-top: 20px !important;}"][ld_button style="btn-solid" title="Develop Impactful Stories" shape="circle" border="border-none" hover_txt_effect="btn-hover-txt-switch btn-hover-txt-switch-y" i_type="linea" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-forward" color="rgba(21, 81, 83, 0.07)" text_color="rgb(21, 81, 83)" fs="text_small:16px" i_size="1.25em" i_margin_left="13px"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Category Info
	//Info 1 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Info 01', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'info-1.jpg' );
	$data['sort_name'] = 'Info';
	$data['custom_class'] = 'general info';
	$data['content'] = <<<CONTENT
CONTENT;
	$templates[] = $data;

	//Info 2 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Info 02', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'info-2.jpg' );
	$data['sort_name'] = 'Info';
	$data['custom_class'] = 'general info';
	$data['content'] = <<<CONTENT
CONTENT;
	$templates[] = $data;

	//Info 3 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Info 03', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'info-3.jpg' );
	$data['sort_name'] = 'Info';
	$data['custom_class'] = 'general info';
	$data['content'] = <<<CONTENT
CONTENT;
	$templates[] = $data;

	//Info 4 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Info 04', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'info-4.jpg' );
	$data['sort_name'] = 'Info';
	$data['custom_class'] = 'general info';
	$data['content'] = <<<CONTENT
CONTENT;
	$templates[] = $data;

	//Info 5 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Info 05', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'info-5.jpg' );
	$data['sort_name'] = 'Info';
	$data['custom_class'] = 'general info';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" gap="0" equal_height="yes" content_placement="middle" css=".vc_custom_1578911172081{background-color: #fafafa !important;}"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" responsive_css="padding_right_large:20%25|padding_left_large:20%25|padding_top_medium:70px|padding_right_medium:12%25|padding_bottom_medium:110px|padding_left_medium:12%25" css=".vc_custom_1614677378789{padding-right: 15px !important;padding-bottom: 60px !important;padding-left: 15px !important;}" offset="vc_col-md-6" ca_duration="1800" ca_delay="180" ca_init_translate_y="35"][ld_icon_box i_type="linea" position="iconbox-side" i_icon_linea="icon-ion-ios-airplane" icon_size="32px" css=".vc_custom_1578912069864{margin-bottom: 20px !important;}"][/ld_icon_box][ld_fancy_heading tag="h2"]Happy customers all around the world.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:20px" lh="text_small:1.6em" margin="bottom_small:2.6em"]Hub IT allows your business and technology computers to store, transmit, analyze, and manipulate big data in the digital world. Hub has a full range of products for personal data analysis, business consultation, and strategic partnership.[/ld_fancy_heading][ld_button style="btn-solid" title="See how we work" transformation="text-uppercase" shape="round" border="border-none" hover_txt_effect="btn-hover-txt-liquid-y" hover_bg_effect="btn-hover-bg-liquid" hover_bg_color="rgb(0, 0, 0)" fs="14px"][/vc_column][vc_column row_scale_bg_onhover="yes" column_top_ontablet="yes" column_top_onmobile="yes" bg_position="center center" align="text-center" offset="vc_col-md-6" css=".vc_custom_1620719881769{padding-top: 40vw !important;padding-bottom: 40vw !important;background-image: url(https://itbusinesspro.liquid-themes.com/wp-content/uploads/2020/01/bg-4@2x.jpg?id=53) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" responsive_align="text-center" responsive_css="padding_top_medium:15vw|padding_bottom_medium:15vw|padding_top_small:30vw|padding_bottom_small:30vw"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Info 6 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Info 06', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'info-6.jpg' );
	$data['sort_name'] = 'Info';
	$data['custom_class'] = 'general info';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1608628242000{padding-top: 60px !important;padding-bottom: 60px !important;}"][vc_column enable_pin="enable_pin" width="1/3" offset="vc_col-md-3" css=".vc_custom_1620720039583{margin-bottom: 30px !important;}" responsive_css="margin_bottom_medium:0px"][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" fs="text_small:12px" fw="text_small:700" ls="text_small:0.08em" margin="bottom_small:4em"]It services[/ld_fancy_heading][ld_custom_menu source="custom" localscroll="yes" use_custom_fonts_menu="true" items="%5B%7B%22label%22%3A%22ID%20Pass%20Security%22%2C%22url%22%3A%22%23id-pass-security%22%2C%22icon_classname%22%3A%22lqd-icn-ess%20icon-ion-ios-arrow-down%22%2C%22icon_alignment%22%3A%22right-icon%22%7D%2C%7B%22label%22%3A%22Face%20ID%20Protection%22%2C%22url%22%3A%22%23face-id-protection%22%2C%22icon_classname%22%3A%22lqd-icn-ess%20icon-ion-ios-arrow-down%22%2C%22icon_alignment%22%3A%22right-icon%22%7D%2C%7B%22label%22%3A%22Financial%20Security%22%2C%22url%22%3A%22%23financial-security%22%2C%22icon_classname%22%3A%22lqd-icn-ess%20icon-ion-ios-arrow-down%22%2C%22icon_alignment%22%3A%22right-icon%22%7D%2C%7B%22label%22%3A%22Digital%20Solutions%22%2C%22url%22%3A%22%23digital-solutions%22%2C%22icon_classname%22%3A%22lqd-icn-ess%20icon-ion-ios-arrow-down%22%2C%22icon_alignment%22%3A%22right-icon%22%7D%5D" fs="16px" fw="500" color="rgb(150, 150, 150)" hcolor="rgb(0, 0, 0)" spacing="28"][/vc_column][vc_column width="2/3" offset="vc_col-md-9"][vc_row_inner el_id="id-pass-security"][vc_column_inner][vc_text_separator title="ID PASS SECURITY" title_align="separator_align_left" css=".vc_custom_1610536309401{margin-bottom: 3.5em !important;}"][ld_content_box template="s01b" box_height_b="h-pt-50" show_button="yes" ib_style="btn-underlined" ib_title="Learn more" ib_i_type="linea" use_custom_fonts_title="true" ib_i_add_icon="true" title="ID Pass Security" ib_i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-forward" ib_color="rgb(255, 255, 255)" ib_fs="13px" ib_lh="1em" image="8771" overlay_color="linear-gradient(0deg, #0b102c 0%, rgba(255, 255, 255, 0) 60%)" ib_hover_color="rgb(255, 255, 255)" fs="40px"]<span style="font-size: 18px;">Hub IT allows your business and technology computers to store, transmit, analyze, and manipulate big data.</span>[/ld_content_box][/vc_column_inner][/vc_row_inner][vc_row_inner el_id="face-id-protection" css=".vc_custom_1610536406448{margin-top: 2em !important;}"][vc_column_inner][vc_text_separator title="FACE ID PROTECTION" title_align="separator_align_left" css=".vc_custom_1610536354955{margin-bottom: 3.5em !important;}"][ld_content_box template="s01b" box_height_b="h-pt-50" show_button="yes" ib_style="btn-underlined" ib_title="Learn more" ib_i_type="linea" use_custom_fonts_title="true" ib_i_add_icon="true" title="Face ID Protection" ib_i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-forward" ib_color="rgb(255, 255, 255)" ib_fs="13px" ib_lh="1em" image="8772" overlay_color="linear-gradient(0deg, #0b102c 0%, rgba(255, 255, 255, 0) 60%)" ib_hover_color="rgb(255, 255, 255)" fs="40px"]<span style="font-size: 18px;">Hub IT allows your business and technology computers to store, transmit, analyze, and manipulate big data.</span>[/ld_content_box][/vc_column_inner][/vc_row_inner][vc_row_inner el_id="financial-security" css=".vc_custom_1610536433005{margin-top: 2em !important;}"][vc_column_inner][vc_text_separator title="FINANCIAL SECURITY" title_align="separator_align_left" css=".vc_custom_1610536425209{margin-bottom: 3.5em !important;}"][ld_content_box template="s01b" box_height_b="h-pt-50" show_button="yes" ib_style="btn-underlined" ib_title="Learn more" ib_i_type="linea" use_custom_fonts_title="true" ib_i_add_icon="true" title="Financial Security" ib_i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-forward" ib_color="rgb(255, 255, 255)" ib_fs="13px" ib_lh="1em" image="8773" overlay_color="linear-gradient(0deg, #0b102c 0%, rgba(255, 255, 255, 0) 60%)" ib_hover_color="rgb(255, 255, 255)" fs="40px"]<span style="font-size: 18px;">Hub IT allows your business and technology computers to store, transmit, analyze, and manipulate big data.</span>[/ld_content_box][/vc_column_inner][/vc_row_inner][vc_row_inner el_id="digital-solutions" css=".vc_custom_1610536458716{margin-top: 2em !important;}"][vc_column_inner][vc_text_separator title="DIGITAL SOLUTIONS" title_align="separator_align_left" css=".vc_custom_1610536450601{margin-bottom: 3.5em !important;}"][ld_content_box template="s01b" box_height_b="h-pt-50" show_button="yes" ib_style="btn-underlined" ib_title="Learn more" ib_i_type="linea" use_custom_fonts_title="true" ib_i_add_icon="true" title="Digital solutions" ib_i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-forward" ib_color="rgb(255, 255, 255)" ib_fs="13px" ib_lh="1em" image="8770" overlay_color="linear-gradient(0deg, #0b102c 0%, rgba(255, 255, 255, 0) 60%)" ib_hover_color="rgb(255, 255, 255)" fs="40px"]<span style="font-size: 18px;">Hub IT allows your business and technology computers to store, transmit, analyze, and manipulate big data.</span>[/ld_content_box][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Info 7 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Info 07', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'info-7.jpg' );
	$data['sort_name'] = 'Info';
	$data['custom_class'] = 'general info';
	$data['content'] = <<<CONTENT
	[vc_row equal_height="yes" content_placement="middle" css=".vc_custom_1621603649330{padding-top: 55px !important;padding-bottom: 55px !important;background: #005153 url(https://insurance.liquid-themes.com/wp-content/uploads/2021/05/lines.svg?id=3507) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}"][vc_column offset="vc_col-lg-offset-3 vc_col-lg-6 vc_col-md-offset-2 vc_col-md-8" responsive_align="text-md-center" css=".vc_custom_1621603820978{margin-bottom: 15px !important;}"][ld_fancy_heading tag="h2" color="rgb(255, 255, 255)"]Compare insurance packages to get the best deal.[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-lg-offset-1 vc_col-lg-10 vc_hidden-sm vc_hidden-xs"][vc_row_inner equal_height="yes" content_placement="middle" gap="0"][vc_column_inner offset="vc_col-md-6" css=".vc_custom_1621603085923{border-right-width: 1px !important;border-bottom-width: 1px !important;padding-top: 20px !important;padding-bottom: 20px !important;border-right-color: rgba(255,255,255,0.25) !important;border-right-style: solid !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:17px" fw="text_small:500" margin="bottom_small:0px"]Injuries or Vehicle Damages[/ld_fancy_heading][/vc_column_inner][vc_column_inner offset="vc_col-md-3" css=".vc_custom_1621603095942{border-right-width: 1px !important;border-bottom-width: 1px !important;padding-top: 10px !important;padding-right: 15px !important;padding-bottom: 20px !important;padding-left: 15px !important;border-right-color: rgba(255,255,255,0.25) !important;border-right-style: solid !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}" responsive_align="text-center"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:15px" margin="bottom_small:1.25em"]Hub Insurance[/ld_fancy_heading][ld_icon_box i_type="linea" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" icon_size="22px" icon_mb="1" css=".vc_custom_1621603521054{margin-bottom: 0px !important;}" i_color="rgb(122, 209, 158)"][/ld_icon_box][/vc_column_inner][vc_column_inner offset="vc_col-md-3" css=".vc_custom_1621603295345{border-bottom-width: 1px !important;padding-top: 10px !important;padding-right: 15px !important;padding-bottom: 20px !important;padding-left: 15px !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}" responsive_align="text-center"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:15px" margin="bottom_small:1.25em"]Other Companies[/ld_fancy_heading][ld_icon_box i_type="linea" i_icon_linea="lqd-icn-ess icon-ion-ios-close" icon_size="28px" icon_mb="1" css=".vc_custom_1621603139906{margin-bottom: 0px !important;}" i_color="rgb(255, 255, 255)"][/ld_icon_box][/vc_column_inner][/vc_row_inner][vc_row_inner equal_height="yes" content_placement="middle" gap="0"][vc_column_inner offset="vc_col-md-6" css=".vc_custom_1621603085923{border-right-width: 1px !important;border-bottom-width: 1px !important;padding-top: 20px !important;padding-bottom: 20px !important;border-right-color: rgba(255,255,255,0.25) !important;border-right-style: solid !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:17px" fw="text_small:500" margin="bottom_small:0px"]Full Health Care Package[/ld_fancy_heading][/vc_column_inner][vc_column_inner offset="vc_col-md-3" css=".vc_custom_1621603271842{border-right-width: 1px !important;border-bottom-width: 1px !important;padding-top: 20px !important;padding-right: 15px !important;padding-bottom: 20px !important;padding-left: 15px !important;border-right-color: rgba(255,255,255,0.25) !important;border-right-style: solid !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}" responsive_align="text-center"][ld_icon_box i_type="linea" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" icon_size="22px" icon_mb="1" css=".vc_custom_1621603534685{margin-bottom: 0px !important;}" i_color="rgb(122, 209, 158)"][/ld_icon_box][/vc_column_inner][vc_column_inner offset="vc_col-md-3" css=".vc_custom_1621603300554{border-bottom-width: 1px !important;padding-top: 20px !important;padding-right: 15px !important;padding-bottom: 20px !important;padding-left: 15px !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}" responsive_align="text-center"][ld_icon_box i_type="linea" i_icon_linea="lqd-icn-ess icon-ion-ios-close" icon_size="28px" icon_mb="1" css=".vc_custom_1621603139906{margin-bottom: 0px !important;}" i_color="rgb(255, 255, 255)"][/ld_icon_box][/vc_column_inner][/vc_row_inner][vc_row_inner equal_height="yes" content_placement="middle" gap="0"][vc_column_inner offset="vc_col-md-6" css=".vc_custom_1621603085923{border-right-width: 1px !important;border-bottom-width: 1px !important;padding-top: 20px !important;padding-bottom: 20px !important;border-right-color: rgba(255,255,255,0.25) !important;border-right-style: solid !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:17px" fw="text_small:500" margin="bottom_small:0px"]Annual Bonus and Extras[/ld_fancy_heading][/vc_column_inner][vc_column_inner offset="vc_col-md-3" css=".vc_custom_1621603271842{border-right-width: 1px !important;border-bottom-width: 1px !important;padding-top: 20px !important;padding-right: 15px !important;padding-bottom: 20px !important;padding-left: 15px !important;border-right-color: rgba(255,255,255,0.25) !important;border-right-style: solid !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}" responsive_align="text-center"][ld_icon_box i_type="linea" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" icon_size="22px" icon_mb="1" css=".vc_custom_1621603544032{margin-bottom: 0px !important;}" i_color="rgb(122, 209, 158)"][/ld_icon_box][/vc_column_inner][vc_column_inner offset="vc_col-md-3" css=".vc_custom_1621603306594{border-bottom-width: 1px !important;padding-top: 20px !important;padding-right: 15px !important;padding-bottom: 20px !important;padding-left: 15px !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}" responsive_align="text-center"][ld_icon_box i_type="linea" i_icon_linea="lqd-icn-ess icon-ion-ios-close" icon_size="28px" icon_mb="1" css=".vc_custom_1621603139906{margin-bottom: 0px !important;}" i_color="rgb(255, 255, 255)"][/ld_icon_box][/vc_column_inner][/vc_row_inner][vc_row_inner equal_height="yes" content_placement="middle" gap="0"][vc_column_inner offset="vc_col-md-6" css=".vc_custom_1621603085923{border-right-width: 1px !important;border-bottom-width: 1px !important;padding-top: 20px !important;padding-bottom: 20px !important;border-right-color: rgba(255,255,255,0.25) !important;border-right-style: solid !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:17px" fw="text_small:500" margin="bottom_small:0px"]Auto-Renewal[/ld_fancy_heading][/vc_column_inner][vc_column_inner offset="vc_col-md-3" css=".vc_custom_1621603271842{border-right-width: 1px !important;border-bottom-width: 1px !important;padding-top: 20px !important;padding-right: 15px !important;padding-bottom: 20px !important;padding-left: 15px !important;border-right-color: rgba(255,255,255,0.25) !important;border-right-style: solid !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}" responsive_align="text-center"][ld_icon_box i_type="linea" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" icon_size="22px" icon_mb="1" css=".vc_custom_1621603552199{margin-bottom: 0px !important;}" i_color="rgb(122, 209, 158)"][/ld_icon_box][/vc_column_inner][vc_column_inner offset="vc_col-md-3" css=".vc_custom_1621603306594{border-bottom-width: 1px !important;padding-top: 20px !important;padding-right: 15px !important;padding-bottom: 20px !important;padding-left: 15px !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}" responsive_align="text-center"][ld_icon_box i_type="linea" i_icon_linea="lqd-icn-ess icon-ion-ios-close" icon_size="28px" icon_mb="1" css=".vc_custom_1621603139906{margin-bottom: 0px !important;}" i_color="rgb(255, 255, 255)"][/ld_icon_box][/vc_column_inner][/vc_row_inner][vc_row_inner equal_height="yes" content_placement="middle" gap="0"][vc_column_inner offset="vc_col-md-6" css=".vc_custom_1621603085923{border-right-width: 1px !important;border-bottom-width: 1px !important;padding-top: 20px !important;padding-bottom: 20px !important;border-right-color: rgba(255,255,255,0.25) !important;border-right-style: solid !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:17px" fw="text_small:500" margin="bottom_small:0px"]Responsible Driver Discount[/ld_fancy_heading][/vc_column_inner][vc_column_inner offset="vc_col-md-3" css=".vc_custom_1621603271842{border-right-width: 1px !important;border-bottom-width: 1px !important;padding-top: 20px !important;padding-right: 15px !important;padding-bottom: 20px !important;padding-left: 15px !important;border-right-color: rgba(255,255,255,0.25) !important;border-right-style: solid !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}" responsive_align="text-center"][ld_icon_box i_type="linea" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" icon_size="22px" icon_mb="1" css=".vc_custom_1621603558911{margin-bottom: 0px !important;}" i_color="rgb(122, 209, 158)"][/ld_icon_box][/vc_column_inner][vc_column_inner offset="vc_col-md-3" css=".vc_custom_1621603306594{border-bottom-width: 1px !important;padding-top: 20px !important;padding-right: 15px !important;padding-bottom: 20px !important;padding-left: 15px !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}" responsive_align="text-center"][ld_icon_box i_type="linea" i_icon_linea="lqd-icn-ess icon-ion-ios-close" icon_size="28px" icon_mb="1" css=".vc_custom_1621603139906{margin-bottom: 0px !important;}" i_color="rgb(255, 255, 255)"][/ld_icon_box][/vc_column_inner][/vc_row_inner][vc_row_inner equal_height="yes" content_placement="middle" gap="0"][vc_column_inner offset="vc_col-md-6" css=".vc_custom_1621603370319{border-right-width: 1px !important;padding-top: 20px !important;padding-bottom: 20px !important;border-right-color: rgba(255,255,255,0.25) !important;border-right-style: solid !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:17px" fw="text_small:500" margin="bottom_small:0px"]Full Health Care Package[/ld_fancy_heading][/vc_column_inner][vc_column_inner offset="vc_col-md-3" css=".vc_custom_1621603375853{border-right-width: 1px !important;padding-top: 20px !important;padding-right: 15px !important;padding-bottom: 20px !important;padding-left: 15px !important;border-right-color: rgba(255,255,255,0.25) !important;border-right-style: solid !important;}" responsive_align="text-center"][ld_icon_box i_type="linea" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" icon_size="22px" icon_mb="1" css=".vc_custom_1621603566157{margin-bottom: 0px !important;}" i_color="rgb(122, 209, 158)"][/ld_icon_box][/vc_column_inner][vc_column_inner offset="vc_col-md-3" css=".vc_custom_1621603382712{padding-top: 20px !important;padding-right: 15px !important;padding-bottom: 20px !important;padding-left: 15px !important;}" responsive_align="text-center"][ld_icon_box i_type="linea" i_icon_linea="lqd-icn-ess icon-ion-ios-close" icon_size="28px" icon_mb="1" css=".vc_custom_1621603139906{margin-bottom: 0px !important;}" i_color="rgb(255, 255, 255)"][/ld_icon_box][/vc_column_inner][/vc_row_inner][/vc_column][vc_column offset="vc_col-lg-offset-1 vc_col-lg-10 vc_hidden-lg vc_hidden-md" css=".vc_custom_1621604717824{margin-bottom: 35px !important;}"][vc_row_inner equal_height="yes" content_placement="middle" gap="0"][vc_column_inner][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:17px" margin="bottom_small:1.25em"]Hub Insurance[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="5/6" offset="vc_col-xs-10" css=".vc_custom_1621604310770{border-bottom-width: 1px !important;padding-top: 20px !important;padding-bottom: 20px !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:17px" fw="text_small:500" margin="bottom_small:0px"]Injuries or Vehicle Damages[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/6" offset="vc_col-xs-2" css=".vc_custom_1621604457628{border-bottom-width: 1px !important;padding-top: 20px !important;padding-right: 15px !important;padding-bottom: 20px !important;padding-left: 15px !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}" responsive_align="text-right"][ld_icon_box i_type="linea" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" icon_size="18px" icon_mb="1" css=".vc_custom_1621604415051{margin-bottom: 0px !important;}" i_color="rgb(122, 209, 158)"][/ld_icon_box][/vc_column_inner][/vc_row_inner][vc_row_inner equal_height="yes" content_placement="middle" gap="0"][vc_column_inner width="5/6" offset="vc_col-xs-10" css=".vc_custom_1621604310770{border-bottom-width: 1px !important;padding-top: 20px !important;padding-bottom: 20px !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:17px" fw="text_small:500" margin="bottom_small:0px"]Full Health Care Package[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/6" offset="vc_col-xs-2" css=".vc_custom_1621604457628{border-bottom-width: 1px !important;padding-top: 20px !important;padding-right: 15px !important;padding-bottom: 20px !important;padding-left: 15px !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}" responsive_align="text-right"][ld_icon_box i_type="linea" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" icon_size="18px" icon_mb="1" css=".vc_custom_1621604415051{margin-bottom: 0px !important;}" i_color="rgb(122, 209, 158)"][/ld_icon_box][/vc_column_inner][/vc_row_inner][vc_row_inner equal_height="yes" content_placement="middle" gap="0"][vc_column_inner width="5/6" offset="vc_col-xs-10" css=".vc_custom_1621604310770{border-bottom-width: 1px !important;padding-top: 20px !important;padding-bottom: 20px !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:17px" fw="text_small:500" margin="bottom_small:0px"]Annual Bonus and Extras[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/6" offset="vc_col-xs-2" css=".vc_custom_1621604457628{border-bottom-width: 1px !important;padding-top: 20px !important;padding-right: 15px !important;padding-bottom: 20px !important;padding-left: 15px !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}" responsive_align="text-right"][ld_icon_box i_type="linea" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" icon_size="18px" icon_mb="1" css=".vc_custom_1621604415051{margin-bottom: 0px !important;}" i_color="rgb(122, 209, 158)"][/ld_icon_box][/vc_column_inner][/vc_row_inner][vc_row_inner equal_height="yes" content_placement="middle" gap="0"][vc_column_inner width="5/6" offset="vc_col-xs-10" css=".vc_custom_1621604310770{border-bottom-width: 1px !important;padding-top: 20px !important;padding-bottom: 20px !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:17px" fw="text_small:500" margin="bottom_small:0px"]Auto-Renewal[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/6" offset="vc_col-xs-2" css=".vc_custom_1621604457628{border-bottom-width: 1px !important;padding-top: 20px !important;padding-right: 15px !important;padding-bottom: 20px !important;padding-left: 15px !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}" responsive_align="text-right"][ld_icon_box i_type="linea" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" icon_size="18px" icon_mb="1" css=".vc_custom_1621604415051{margin-bottom: 0px !important;}" i_color="rgb(122, 209, 158)"][/ld_icon_box][/vc_column_inner][/vc_row_inner][vc_row_inner equal_height="yes" content_placement="middle" gap="0"][vc_column_inner width="5/6" offset="vc_col-xs-10" css=".vc_custom_1621604310770{border-bottom-width: 1px !important;padding-top: 20px !important;padding-bottom: 20px !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:17px" fw="text_small:500" margin="bottom_small:0px"]Responsible Driver Discount[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/6" offset="vc_col-xs-2" css=".vc_custom_1621604457628{border-bottom-width: 1px !important;padding-top: 20px !important;padding-right: 15px !important;padding-bottom: 20px !important;padding-left: 15px !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}" responsive_align="text-right"][ld_icon_box i_type="linea" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" icon_size="18px" icon_mb="1" css=".vc_custom_1621604415051{margin-bottom: 0px !important;}" i_color="rgb(122, 209, 158)"][/ld_icon_box][/vc_column_inner][/vc_row_inner][vc_row_inner equal_height="yes" content_placement="middle" gap="0"][vc_column_inner width="5/6" offset="vc_col-xs-10" css=".vc_custom_1621604310770{border-bottom-width: 1px !important;padding-top: 20px !important;padding-bottom: 20px !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:17px" fw="text_small:500" margin="bottom_small:0px"]Full Health Care Package[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/6" offset="vc_col-xs-2" css=".vc_custom_1621604457628{border-bottom-width: 1px !important;padding-top: 20px !important;padding-right: 15px !important;padding-bottom: 20px !important;padding-left: 15px !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}" responsive_align="text-right"][ld_icon_box i_type="linea" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" icon_size="18px" icon_mb="1" css=".vc_custom_1621604415051{margin-bottom: 0px !important;}" i_color="rgb(122, 209, 158)"][/ld_icon_box][/vc_column_inner][/vc_row_inner][/vc_column][vc_column offset="vc_col-lg-offset-1 vc_col-lg-10 vc_hidden-lg vc_hidden-md"][vc_row_inner equal_height="yes" content_placement="middle" gap="0"][vc_column_inner][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:17px" margin="bottom_small:1.25em"]Other Companies[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="5/6" offset="vc_col-xs-10" css=".vc_custom_1621604310770{border-bottom-width: 1px !important;padding-top: 20px !important;padding-bottom: 20px !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:17px" fw="text_small:500" margin="bottom_small:0px"]Injuries or Vehicle Damages[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/6" offset="vc_col-xs-2" css=".vc_custom_1621604457628{border-bottom-width: 1px !important;padding-top: 20px !important;padding-right: 15px !important;padding-bottom: 20px !important;padding-left: 15px !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}" responsive_align="text-right"][ld_icon_box i_type="linea" i_icon_linea="lqd-icn-ess icon-ion-ios-close" icon_size="28px" icon_mb="1" css=".vc_custom_1621603139906{margin-bottom: 0px !important;}" i_color="rgb(255, 255, 255)"][/ld_icon_box][/vc_column_inner][/vc_row_inner][vc_row_inner equal_height="yes" content_placement="middle" gap="0"][vc_column_inner width="5/6" offset="vc_col-xs-10" css=".vc_custom_1621604310770{border-bottom-width: 1px !important;padding-top: 20px !important;padding-bottom: 20px !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:17px" fw="text_small:500" margin="bottom_small:0px"]Full Health Care Package[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/6" offset="vc_col-xs-2" css=".vc_custom_1621604457628{border-bottom-width: 1px !important;padding-top: 20px !important;padding-right: 15px !important;padding-bottom: 20px !important;padding-left: 15px !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}" responsive_align="text-right"][ld_icon_box i_type="linea" i_icon_linea="lqd-icn-ess icon-ion-ios-close" icon_size="28px" icon_mb="1" css=".vc_custom_1621603139906{margin-bottom: 0px !important;}" i_color="rgb(255, 255, 255)"][/ld_icon_box][/vc_column_inner][/vc_row_inner][vc_row_inner equal_height="yes" content_placement="middle" gap="0"][vc_column_inner width="5/6" offset="vc_col-xs-10" css=".vc_custom_1621604310770{border-bottom-width: 1px !important;padding-top: 20px !important;padding-bottom: 20px !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:17px" fw="text_small:500" margin="bottom_small:0px"]Annual Bonus and Extras[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/6" offset="vc_col-xs-2" css=".vc_custom_1621604457628{border-bottom-width: 1px !important;padding-top: 20px !important;padding-right: 15px !important;padding-bottom: 20px !important;padding-left: 15px !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}" responsive_align="text-right"][ld_icon_box i_type="linea" i_icon_linea="lqd-icn-ess icon-ion-ios-close" icon_size="28px" icon_mb="1" css=".vc_custom_1621603139906{margin-bottom: 0px !important;}" i_color="rgb(255, 255, 255)"][/ld_icon_box][/vc_column_inner][/vc_row_inner][vc_row_inner equal_height="yes" content_placement="middle" gap="0"][vc_column_inner width="5/6" offset="vc_col-xs-10" css=".vc_custom_1621604310770{border-bottom-width: 1px !important;padding-top: 20px !important;padding-bottom: 20px !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:17px" fw="text_small:500" margin="bottom_small:0px"]Auto-Renewal[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/6" offset="vc_col-xs-2" css=".vc_custom_1621604457628{border-bottom-width: 1px !important;padding-top: 20px !important;padding-right: 15px !important;padding-bottom: 20px !important;padding-left: 15px !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}" responsive_align="text-right"][ld_icon_box i_type="linea" i_icon_linea="lqd-icn-ess icon-ion-ios-close" icon_size="28px" icon_mb="1" css=".vc_custom_1621603139906{margin-bottom: 0px !important;}" i_color="rgb(255, 255, 255)"][/ld_icon_box][/vc_column_inner][/vc_row_inner][vc_row_inner equal_height="yes" content_placement="middle" gap="0"][vc_column_inner width="5/6" offset="vc_col-xs-10" css=".vc_custom_1621604310770{border-bottom-width: 1px !important;padding-top: 20px !important;padding-bottom: 20px !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:17px" fw="text_small:500" margin="bottom_small:0px"]Responsible Driver Discount[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/6" offset="vc_col-xs-2" css=".vc_custom_1621604457628{border-bottom-width: 1px !important;padding-top: 20px !important;padding-right: 15px !important;padding-bottom: 20px !important;padding-left: 15px !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}" responsive_align="text-right"][ld_icon_box i_type="linea" i_icon_linea="lqd-icn-ess icon-ion-ios-close" icon_size="28px" icon_mb="1" css=".vc_custom_1621603139906{margin-bottom: 0px !important;}" i_color="rgb(255, 255, 255)"][/ld_icon_box][/vc_column_inner][/vc_row_inner][vc_row_inner equal_height="yes" content_placement="middle" gap="0"][vc_column_inner width="5/6" offset="vc_col-xs-10" css=".vc_custom_1621604310770{border-bottom-width: 1px !important;padding-top: 20px !important;padding-bottom: 20px !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:17px" fw="text_small:500" margin="bottom_small:0px"]Full Health Care Package[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/6" offset="vc_col-xs-2" css=".vc_custom_1621604457628{border-bottom-width: 1px !important;padding-top: 20px !important;padding-right: 15px !important;padding-bottom: 20px !important;padding-left: 15px !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}" responsive_align="text-right"][ld_icon_box i_type="linea" i_icon_linea="lqd-icn-ess icon-ion-ios-close" icon_size="28px" icon_mb="1" css=".vc_custom_1621603139906{margin-bottom: 0px !important;}" i_color="rgb(255, 255, 255)"][/ld_icon_box][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row css=".vc_custom_1621601353698{border-bottom-width: 1px !important;padding-top: 45px !important;padding-bottom: 45px !important;border-bottom-color: #d1d1d1 !important;border-bottom-style: solid !important;}"][vc_column responsive_align="text-center" css=".vc_custom_1621602116570{margin-bottom: 25px !important;}"][ld_fancy_heading tag="h6" use_custom_fonts_title="true" fs="text_small:12px" fw="text_small:700" ls="text_small:0.1em" color="rgb(15, 90, 100)"]GLOBAL CLIENTS AROUND THE WORLD[/ld_fancy_heading][/vc_column][vc_column width="1/2" css=".vc_custom_1621602033442{margin-bottom: 25px !important;}" offset="vc_col-md-3" responsive_align="text-center"][ld_fancy_heading tag="p" use_custom_fonts_title="true" use_inheritance="true" color="rgb(15, 90, 100)" fs="text_small:62px" margin="bottom_small:0px"]2.7x[/ld_fancy_heading][ld_fancy_heading tag="p" transform="text-uppercase" use_custom_fonts_title="true" color="rgba(0, 0, 0, 0.4)" fs="text_small:12px" fw="text_small:700" ls="text_small:0.1em"]Avarage growth[/ld_fancy_heading][/vc_column][vc_column width="1/2" css=".vc_custom_1621602033442{margin-bottom: 25px !important;}" offset="vc_col-md-3" responsive_align="text-center"][ld_fancy_heading tag="p" use_custom_fonts_title="true" use_inheritance="true" color="rgb(15, 90, 100)" fs="text_small:62px" margin="bottom_small:0px"]98.7+[/ld_fancy_heading][ld_fancy_heading tag="p" transform="text-uppercase" use_custom_fonts_title="true" color="rgba(0, 0, 0, 0.4)" fs="text_small:12px" fw="text_small:700" ls="text_small:0.1em"]Customer satisfaction[/ld_fancy_heading][/vc_column][vc_column width="1/2" css=".vc_custom_1621602033442{margin-bottom: 25px !important;}" offset="vc_col-md-3" responsive_align="text-center"][ld_fancy_heading tag="p" use_custom_fonts_title="true" use_inheritance="true" color="rgb(15, 90, 100)" fs="text_small:62px" margin="bottom_small:0px"]302m[/ld_fancy_heading][ld_fancy_heading tag="p" transform="text-uppercase" use_custom_fonts_title="true" color="rgba(0, 0, 0, 0.4)" fs="text_small:12px" fw="text_small:700" ls="text_small:0.1em"]Monthly Payment[/ld_fancy_heading][/vc_column][vc_column width="1/2" css=".vc_custom_1621602033442{margin-bottom: 25px !important;}" offset="vc_col-md-3" responsive_align="text-center"][ld_fancy_heading tag="p" use_custom_fonts_title="true" use_inheritance="true" color="rgb(15, 90, 100)" fs="text_small:62px" margin="bottom_small:0px"]287+[/ld_fancy_heading][ld_fancy_heading tag="p" transform="text-uppercase" use_custom_fonts_title="true" color="rgba(0, 0, 0, 0.4)" fs="text_small:12px" fw="text_small:700" ls="text_small:0.1em"]Agents around the world[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Info 8 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Info 08', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'info-8.jpg' );
	$data['sort_name'] = 'Info';
	$data['custom_class'] = 'general info';
	$data['content'] = <<<CONTENT
	[vc_row full_height="yes" content_placement="middle" css=".vc_custom_1608127572115{padding-top: 30px !important;padding-bottom: 30px !important;}"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_y="2%" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" el_class="z-index-2" offset="vc_col-md-6" ca_duration="1600" ca_delay="160" ca_init_translate_y="30" ca_init_rotate_z="6"][ld_fancy_heading tag="h6" enable_bg="yes" fh_border_radius="circle" use_custom_fonts_title="true" fs="text_small:13px" padding="top_small:10px|right_small:20px|bottom_small:10px|left_small:20px" fh_bg="rgb(245, 245, 245)" margin="bottom_small:1em"]<i class="lqd-icn-ess icon-lqd-circle mr-2" style="color: #00cc76; font-size: 1.25em; vertical-align: text-bottom;"></i>Available for freelance[/ld_fancy_heading][ld_fancy_heading enable_txt_rotator="yes" rotator_type="basic" items="%5B%7B%22word%22%3A%22.id%C3%A9e%22%7D%2C%7B%22word%22%3A%22.grafik%22%7D%2C%7B%22word%22%3A%22.design%22%7D%5D" use_custom_fonts_title="true" fs="text_all:94px|text_large:80px|text_medium:10vw" margin="right_large:-50%25" lh="text_small:0.95em"].freelance .créatif[/ld_fancy_heading][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" enable_split="true" use_mask="true" color="rgb(0, 0, 0)" margin="bottom_small:1.5em"]My name is Jean-Paul. I’m a freelance Branding and Digital Designer based by the valley in New York. I currently work at Liquid. I create brand identities, digital experiences, and print materials that communicate clearly achieve marketing goals, and look fantastic.[/ld_fancy_heading][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" enable_split="true" use_mask="true" color="rgb(0, 0, 0)" margin="bottom_small:1.5em"]I’m always interested in small or big freelance projects to take your business to the next level.[/ld_fancy_heading][vc_row_inner content_placement="middle" css=".vc_custom_1608127080432{margin-top: 20px !important;}"][vc_column_inner width="1/3" offset="vc_col-md-6"][ld_button style="btn-solid" title="Send a message" transformation="text-uppercase" link_type="modal_window" shape="circle" size="btn-xlg" hover_txt_effect="btn-hover-txt-liquid-x-alt" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-lqd-envelope" lh="1.25em" ls="0.1em" fs="13px" fw="700" color="rgb(23, 25, 26)" css=".vc_custom_1608127757537{padding-right: 0.5em !important;padding-left: 0.5em !important;}" anchor_id="#contact-modal"][/vc_column_inner][vc_column_inner width="1/2" css=".vc_custom_1608127055486{padding-top: 10px !important;}"][ld_custom_menu source="custom" inline="inline-nav" items="%5B%7B%22label%22%3A%22Facebook.%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Twitter.%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Behance.%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%5D" spacing="5" color="rgb(0, 0, 0)" hcolor="rgba(0, 0, 0, 0.65)"][/vc_column_inner][/vc_row_inner][/vc_column][vc_column column_top_ontablet="yes" column_top_onmobile="yes" offset="vc_col-md-6" responsive_align="text-center" responsive_css="margin_bottom_medium:0px" css=".vc_custom_1613900706378{margin-bottom: 35px !important;}"][ld_images_group_element img_size="50%" enable_effects="yes" enable_hover3d="yes" enable_reveal="yes" image="4726"][/ld_images_group_element][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Info 9 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Info 09', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'info-9.jpg' );
	$data['sort_name'] = 'Info';
	$data['custom_class'] = 'general info';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" responsive_css="padding_top_medium:70px|padding_bottom_medium:70px" css=".vc_custom_1602652556487{padding-top: 30px !important;}"][vc_column offset="vc_col-md-5"][ld_fancy_heading tag="h6" margin="bottom_small:1.5em"]Increase Values[/ld_fancy_heading][ld_fancy_heading tag="h2"]Social marketing made easy.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:19px" lh="text_small:1.5em" color="rgb(49, 63, 88)" margin="bottom_small:1.25em"]We craft premium digital work for web, mobile and experiential with creative agencies and global brands alike – putting passion.[/ld_fancy_heading][ld_button style="btn-naked" title="Learn more" transformation="text-uppercase" hover_txt_effect="btn-hover-txt-liquid-x" i_type="linea" i_hover_reveal="btn-hover-swp" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" fs="12px" ls="0.1em" i_size="1.25em"][/vc_column][vc_column offset="vc_col-md-offset-1 vc_col-md-6" css=".vc_custom_1620722318109{background-position: 0 0 !important;background-repeat: no-repeat !important;}"][vc_accordion size="lg" borders="accordion-title-underlined" show_icon="yes" i_add_icon="true" expander_size="accordion-expander-lg" i_type="linea" active_add_icon="true" active_type="linea" use_custom_fonts_title="true" fs="19px" lh="1.75em" i_icon_linea="lqd-icn-ess icon-ion-ios-add" active_icon_linea="lqd-icn-ess icon-ion-ios-remove" heading_color="rgb(0, 0, 0)" active_heading_color="rgb(0, 0, 0)" border_color="rgba(185, 185, 185, 0.7)" active_border_color="rgb(185, 185, 185)" fw="600"][vc_accordion_tab title="Developing core applications" tab_id="lqd-1588594296702-fdd94918-81f9"][ld_fancy_heading tag="p"]Through a deep understanding of our audience’s makeup and motivations, we design digital experiences that connect with people.[/ld_fancy_heading][/vc_accordion_tab][vc_accordion_tab title="Unique brand identity and strategy" tab_id="lqd-1588594383516-68391adc-4eea"][ld_fancy_heading tag="p"]Through a deep understanding of our audience’s makeup and motivations, we design digital experiences that connect with people.[/ld_fancy_heading][/vc_accordion_tab][vc_accordion_tab title="Tailor-made digital products" tab_id="lqd-1588594394127-bf7b723e-2841"][ld_fancy_heading tag="p"]Through a deep understanding of our audience’s makeup and motivations, we design digital experiences that connect with people.[/ld_fancy_heading][/vc_accordion_tab][/vc_accordion][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Info 10 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Info 10', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'info-10.jpg' );
	$data['sort_name'] = 'Info';
	$data['custom_class'] = 'general info';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" bg_position="center bottom" css=".vc_custom_1602651674721{padding-bottom: 70px !important;background-image: url(https://digitalstudiopro.liquid-themes.com/wp-content/uploads/2020/05/BG.svg?id=4390) !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}" responsive_css="padding_top_medium:70px|padding_bottom_medium:70px"][vc_column align="text-center" offset="vc_col-lg-offset-2 vc_col-lg-8" css=".vc_custom_1588593855688{margin-bottom: 30px !important;}" responsive_align="text-center"][ld_fancy_heading tag="h6" margin="bottom_small:1.5em"]Selected Projects[/ld_fancy_heading][ld_fancy_heading tag="h2"]Digital Case Studies[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:19px" lh="text_small:1.5em" margin="bottom_small:2em" padding="right_all:22%25|left_all:22%25"]Passionate about solving problems through creative communications.[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-5"][ld_images_group_container][ld_images_group_element img_size="50%" enable_image_shadow="yes" shadow_style="1" enable_roudness="yes" image_roudness="6" enable_shadow="yes" image="4392"][/ld_images_group_element][ld_images_group_element absolute_pos="yes" image="4394" position="top_small:28%25|left_small:-30px"][/ld_images_group_element][ld_images_group_element img_size="50%" enable_image_shadow="yes" shadow_style="2" enable_roudness="yes" image_roudness="6" enable_shadow="yes" image="4391" margin="top_small:-15%25|left_small:35%25" shadow_delay="75"][/ld_images_group_element][ld_images_group_element img_size="50%" enable_image_shadow="yes" shadow_style="4" enable_roudness="yes" image_roudness="6" enable_shadow="yes" image="4393" margin="top_small:-13%25|left_small:10%25" shadow_delay="150"][/ld_images_group_element][/ld_images_group_container][/vc_column][vc_column offset="vc_col-md-7"][vc_row_inner equal_height="yes" gap="0" enable_row_shadowbox="yes" css=".vc_custom_1588593784234{background-color: #ffffff !important;border-radius: 10px !important;}" row_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2210px%22%2C%22blur_radius%22%3A%2230px%22%2C%22shadow_color%22%3A%22rgba(0%2C0%2C0%2C0.06)%22%7D%5D" responsive_css="margin_right_medium:-5%25"][vc_column_inner width="1/3" css=".vc_custom_1602651393431{border-right-width: 1px !important;padding-top: 15px !important;padding-right: 30px !important;padding-left: 30px !important;border-right-color: #eaeaea !important;border-right-style: solid !important;}" responsive_css="border_right_medium:1px|padding_top_medium:15px|padding_right_medium:30px|padding_bottom_medium:65px|padding_left_medium:30px"][ld_counter tag_to_inherite="h2" tag_to_inherite_label="h2" use_custom_fonts_title="true" use_inheritance="true" use_inheritance_label="true" use_custom_fonts_text="true" counter_mb_checkbox="true" enable_blur="true" count="10+" fs="44px" color="rgb(110, 0, 150)" label="Years of Operation" counter_mb="1" text_fs="14px" label_color="rgb(0, 0, 0)"][ld_spacer height="" sm_height="10px" md_height="25px" lg_height="25px"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px" lh="text_small:1.6em"]Our team have been running well about 10 years and keep going.[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/3" css=".vc_custom_1602651585542{border-right-width: 1px !important;padding-top: 15px !important;padding-right: 30px !important;padding-left: 30px !important;border-right-color: #eaeaea !important;border-right-style: solid !important;}" responsive_css="border_right_medium:1px|padding_top_medium:15px|padding_right_medium:30px|padding_left_medium:30px"][ld_counter tag_to_inherite="h2" tag_to_inherite_label="h2" use_custom_fonts_title="true" use_inheritance="true" use_inheritance_label="true" use_custom_fonts_text="true" counter_mb_checkbox="true" enable_blur="true" count="98%" fs="44px" color="rgb(110, 0, 150)" label="Positive Feedback" counter_mb="1" text_fs="14px" label_color="rgb(0, 0, 0)" start_delay="250"][ld_spacer height="" sm_height="10px" md_height="25px" lg_height="25px"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px" lh="text_small:1.6em"]Based on our happy clients about the quality of our services.[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/3" css=".vc_custom_1588593663575{border-right-width: 1px !important;padding-top: 15px !important;padding-right: 30px !important;padding-bottom: 65px !important;padding-left: 30px !important;border-right-color: #eaeaea !important;border-right-style: solid !important;}"][ld_counter tag_to_inherite="h2" tag_to_inherite_label="h2" use_custom_fonts_title="true" use_inheritance="true" use_inheritance_label="true" use_custom_fonts_text="true" counter_mb_checkbox="true" enable_blur="true" count="2,664" fs="44px" color="rgb(110, 0, 150)" label="Projects Copmpleted" counter_mb="1" text_fs="14px" label_color="rgb(0, 0, 0)" start_delay="500"][ld_spacer height="25px"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px" lh="text_small:1.6em"]All projects competeled with an absolutely high quality.[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Info 11 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Info 11', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'info-11.jpg' );
	$data['sort_name'] = 'Info';
	$data['custom_class'] = 'general info';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" css=".vc_custom_1605398700956{padding-bottom: 40px !important;}" responsive_css="padding_bottom_medium:90px"][vc_column align="text-center" offset="vc_col-md-offset-0 vc_col-md-6" responsive_align="text-center"][ld_images_group_container][ld_images_group_element img_size="50%" enable_effects="yes" enable_roudness="yes" image_roudness="4" image="126"][/ld_images_group_element][/ld_images_group_container][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" column_top_onmobile="yes" offset="vc_col-md-6" responsive_css="padding_right_medium:7%25|padding_left_medium:12%25" ca_duration="1600" ca_delay="160" ca_init_translate_y="30" responsive_align="text-center text-md-left"][ld_fancy_heading tag="h6" transform="text-uppercase" enable_bg="yes" fh_border_radius="circle" use_custom_fonts_title="true" fs="text_small:13px" ls="text_small:0.05em" margin="bottom_small:1.75em" fh_bg="rgb(228, 230, 255)" padding="top_small:6px|right_small:13px|bottom_small:6px|left_small:13px"]Explore new places[/ld_fancy_heading][ld_fancy_heading tag="h2" highlight_animation="lqd-highlight-grow-bottom" highlight_reset_onhover="lqd-highlight-reset-onhover" highlight_offset="8px" use_custom_fonts_title="true" margin="bottom_small:0.75em" fs="text_large:39px|text_small:32px" highlight_color="rgba(71, 79, 199, 0.28)"]Practical tools make it [ld_highlight]easier[/ld_highlight] to manage.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_large:19px|text_small:17px" lh="text_small:1.5em" margin="bottom_small:2em"]The ultimate collection crafted by world-class designers. Import a pre-built section block with a single click or save your own custom block to re-use on other pages. Build different section blocks to jump start your design phase and create unique combinations with ease.[/ld_fancy_heading][ld_button style="btn-solid" title="Discover Hub" shape="circle" size="btn-md" hover_txt_effect="btn-hover-txt-switch btn-hover-txt-switch-y" link="url:%23|||" fs="text_small:15px" ls="text_small:0.02em" css=".vc_custom_1621493675311{margin-right: 8px !important;margin-bottom: 10px !important;padding-right: 0.75em !important;padding-left: 0.75em !important;}" hover_color="rgb(39, 39, 39)"][ld_button style="btn-default" title="Free Trial" shape="circle" size="btn-md" hover_txt_effect="btn-hover-txt-switch btn-hover-txt-switch-y" link="url:%23|||" color="rgb(228, 228, 228)" fs="text_small:15px" ls="text_small:0.02em" css=".vc_custom_1621493687100{margin-bottom: 10px !important;margin-left: 8px !important;padding-right: 1em !important;padding-left: 1em !important;}" hover_color="rgb(0, 0, 0)" text_color="rgb(26, 28, 38)" htext_color="rgb(255, 255, 255)"][ld_spacer][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Info 12 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Info 12', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'info-12.jpg' );
	$data['sort_name'] = 'Info';
	$data['custom_class'] = 'general info';
	$data['content'] = <<<CONTENT
	[vc_row bg_position="left center" css=".vc_custom_1611568262746{padding-top: 50px !important;padding-bottom: 130px !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}"][vc_column css=".vc_custom_1611088285482{margin-bottom: 2.15em !important;}" offset="vc_col-md-offset-1 vc_col-md-10"][ld_fancy_heading tag="h6" margin="bottom_large:3em|bottom_small:2em"]— Architecture Services[/ld_fancy_heading][ld_fancy_heading tag="p" tag_to_inherite="h3" use_inheritance="true" margin="bottom_large:1.5em|bottom_small:1em"]Since the 1980s, as the complexity of buildings began to increase, the field of architecture became multi-disciplinary with specializations for each project type, technological expertise.[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-offset-1 vc_col-md-10"][vc_row_inner][vc_column_inner width="1/3"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="16px" lh="1.5em"]— Urban Codes[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="16px" lh="1.5em"]— Interior Design[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="16px" lh="1.5em"]— City Planning[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/3"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="16px" lh="1.5em"]— Residential[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="16px" lh="1.5em"]— Construction[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="16px" lh="1.5em"]— Landspaces[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/3"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="16px" lh="1.5em"]— Innovative Design[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="16px" lh="1.5em"]— Facility Optimization[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="16px" lh="1.5em"]— Consulting[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Info 13 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Info 13', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'info-13.jpg' );
	$data['sort_name'] = 'Info';
	$data['custom_class'] = 'general info';
	$data['content'] = <<<CONTENT
	[vc_row bg_position="custom" css=".vc_custom_1610005435756{padding-top: 80px !important;padding-bottom: 60px !important;background-image: url(https://architecturepro.liquid-themes.com/wp-content/uploads/2021/01/bg@2x.jpg?id=4417) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: contain !important;}" responsive_css="padding_top_medium:120px|padding_bottom_medium:60px" bg_pos_h="-200px" bg_pos_v="50%" el_id="what-we-do"][vc_column width="1/3"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_small:42px" margin="bottom_small:0.75em" fw="text_small:500"]Our <em class="h3" style="font-size: inherit;">story</em>[/ld_fancy_heading][/vc_column][vc_column width="7/12" offset="vc_col-sm-offset-1"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.88em" color="rgb(0, 0, 0)" margin="bottom_small:2em"]Hub Construction employs over 3 000 employees, the majority of whom are based on project sites. We embrace holistic development and support for employees with the aim of being a first-choice employer within our[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.88em" color="rgb(0, 0, 0)" margin="bottom_small:2em"]Through a unique combination of engineering, construction and design disciplines and expertise, Concor delivers world class infrastructure solutions to customers and stakeholders across a broad range of industry sectors.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.88em" color="rgb(0, 0, 0)" margin="bottom_small:2em"]Urban design draws together the many strands of place-making, environmental stewardship, social equity and economic viability into the creation of places with distinct beauty and identity.[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Info 14 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Info 14', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'info-14.jpg' );
	$data['sort_name'] = 'Info';
	$data['custom_class'] = 'general info';
	$data['content'] = <<<CONTENT
	[vc_row responsive_css="padding_right_medium:7vw|padding_left_medium:7vw" css=".vc_custom_1609935763251{padding-bottom: 30px !important;}"][vc_column width="1/3" responsive_css="padding_right_large:7%25"][ld_counter template="`{`object Object`}`" use_custom_fonts_title="true" use_custom_fonts_text="true" count="10+" label="Years of experience. Urban design draws together the many strands of place-making," fs="100px" text_fs="16px" text_lh="1.56em" color="rgb(0, 0, 0)" fw="600" label_color="rgb(72, 72, 72)"][/vc_column][vc_column width="1/3" responsive_css="padding_right_large:7%25"][ld_counter template="`{`object Object`}`" use_custom_fonts_title="true" use_custom_fonts_text="true" count="40%" label="Average. Urban design draws together the many strands of place-making, environmental" fs="100px" text_fs="16px" text_lh="1.56em" color="rgb(0, 0, 0)" fw="600" label_color="rgb(72, 72, 72)"][/vc_column][vc_column width="1/3" responsive_css="padding_right_large:7%25"][ld_counter template="`{`object Object`}`" use_custom_fonts_title="true" use_custom_fonts_text="true" count="100m" label="Investment. Urban design draws together the many strands of place-making, environmental" fs="100px" text_fs="16px" text_lh="1.56em" color="rgb(0, 0, 0)" fw="600" label_color="rgb(72, 72, 72)"][/vc_column][/vc_row][vc_row css=".vc_custom_1609936212535{padding-top: 30px !important;padding-bottom: 45px !important;}" responsive_css="padding_right_medium:7vw|padding_left_medium:7vw" el_id="awards"][vc_column][vc_separator color="custom" accent_color="#d1d1d1"][/vc_column][/vc_row][vc_row css=".vc_custom_1609933417198{padding-bottom: 60px !important;}"][vc_column offset="vc_col-md-3"][ld_fancy_heading tag="h2" transform="text-uppercase" use_custom_fonts_title="true" fs="text_small:12px" fw="text_small:700" ls="text_small:0.1em"]International Awards[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-3"][ld_list txt_color="rgb(0, 0, 0)" items_spacing="20"]Pritzker Architecture ,Architecture MasterPrize,AIA Gold Medal,RedDot Design,Ribba architecture[/ld_list][/vc_column][vc_column offset="vc_col-md-3"][ld_list txt_color="rgb(0, 0, 0)" items_spacing="20"]Pritzker Architecture ,Architecture MasterPrize,AIA Gold Medal,RedDot Design,Ribba architecture[/ld_list][/vc_column][vc_column offset="vc_col-md-3"][ld_list txt_color="rgb(0, 0, 0)" items_spacing="20"]Pritzker Architecture ,Architecture MasterPrize,AIA Gold Medal,RedDot Design,Ribba architecture[/ld_list][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Info 15 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Info 15', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'info-15.jpg' );
	$data['sort_name'] = 'Info';
	$data['custom_class'] = 'general info';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" responsive_css="padding_top_medium:110px|padding_bottom_medium:110px|padding_bottom_small:80px" css=".vc_custom_1610005371078{padding-top: 30px !important;padding-bottom: 60px !important;}"][vc_column width="1/2" css=".vc_custom_1620642235658{margin-bottom: 60px !important;}" responsive_css="margin_bottom_medium:35px"][ld_images_group_element img_size="50%" image="4404" margin="left_medium:45px|bottom_small:15px"][/ld_images_group_element][ld_fancy_heading tag="p" whitespace="ws-nowrap" vertical_txt="text-sm-vertical" absolute_pos="yes" use_custom_fonts_title="true" fs="text_small:19px" color="rgb(0, 0, 0)" position="bottom_medium:15px|bottom_small:-1em|left_small:0px" margin="bottom_small:0px"]<span class="h3" style="font-size: inherit;">San Francisco</span> Headquarter[/ld_fancy_heading][/vc_column][vc_column width="1/2"][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" color="rgb(0, 0, 0)" fs="text_small:13px" fw="text_small:700" ls="text_small:0.1em" margin="bottom_small:1em"]— Arch Philosophy[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_small:42px" margin="bottom_small:0.75em" fw="text_small:500"]Multidisciplinary <em class="h3" style="font-size: inherit;">team</em>[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.88em" color="rgb(0, 0, 0)" margin="bottom_small:2em"]Through a unique combination of engineering, construction and design disciplines and expertise, Concor delivers world class infrastructure solutions to customers and stakeholders across a broad range of industry sectors.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.88em" color="rgb(0, 0, 0)" margin="bottom_small:2em"]Urban design draws together the many strands of place-making, environmental stewardship, social equity and economic viability into the creation of places with distinct beauty and identity.[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Info 16 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Info 16', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'info-16.jpg' );
	$data['sort_name'] = 'Info';
	$data['custom_class'] = 'general info';
	$data['content'] = <<<CONTENT
CONTENT;
	$templates[] = $data;

	//Info 17 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Info 17', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'info-17.jpg' );
	$data['sort_name'] = 'Info';
	$data['custom_class'] = 'general info';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" gap="0" equal_height="yes" content_placement="middle"][vc_column width="1/2" css=".vc_custom_1611573035747{padding-top: 60px !important;padding-right: 5vw !important;padding-bottom: 30px !important;padding-left: 5vw !important;}" responsive_css="padding_top_medium:15vh|padding_right_medium:7vw|padding_bottom_medium:15vh|padding_left_medium:7vw|padding_top_small:10vh|padding_bottom_small:10vh"][ld_fancy_heading tag="h6" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" enable_split="true" use_mask="true" margin="bottom_small:2em"]— Arch Philosophy[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_small:43px" fw="text_small:500" margin="bottom_small:1.15em"]Interior <em class="h3">design</em>[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(0, 0, 0)" fs="text_small:17px" lh="text_small:1.7em" margin="bottom_small:3em"]Through a unique combination of engineering, construction and design disciplines and expertise, Concor delivers world class infrastructure solutions to customers and stakeholders across a broad range of industry sectors.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(0, 0, 0)" fs="text_small:17px" lh="text_small:1.7em"]Urban design draws together the many strands of place-making, environmental stewardship, social equity and economic viability into the creation of places with distinct[/ld_fancy_heading][/vc_column][vc_column row_scale_bg_onhover="yes" width="1/2" column_top_onmobile="yes" bg_position="center center" css=".vc_custom_1611007066091{padding-top: 50vw !important;padding-bottom: 50vw !important;background-image: url(https://architecturepro.liquid-themes.com/wp-content/uploads/2021/01/bg-1@2x.jpg?id=4572) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" responsive_css="padding_top_small:0px|padding_bottom_small:0px"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Info 18 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Info 18', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'info-18.jpg' );
	$data['sort_name'] = 'Info';
	$data['custom_class'] = 'general info';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" bg_position="right bottom" responsive_css="padding_top_medium:70px|padding_bottom_medium:70px" css=".vc_custom_1618822546723{padding-top: 50px !important;padding-bottom: 50px !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}"][vc_column offset="vc_col-md-offset-1 vc_col-md-4" responsive_css="padding_bottom_medium:0px" css=".vc_custom_1605606676578{padding-bottom: 20px !important;}"][ld_images_group_element image="91" margin="right_large:2vw|left_large:-8vw"][/ld_images_group_element][/vc_column][vc_column offset="vc_col-md-offset-0 vc_col-md-2/5" responsive_css="margin_bottom_medium:0px" css=".vc_custom_1605606722741{margin-bottom: 50px !important;}"][ld_fancy_heading tag="h6" margin="bottom_large:4em|bottom_small:1em"]— this is Robert Sanchez.[/ld_fancy_heading][ld_fancy_heading tag="p" delay="80" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" enable_split="true" color="rgba(255, 255, 255, 0.6)"]My name is Roberto, I’m a freelance Branding &amp; Digital Designer based by the valley in New York. I currently work at Liquid. I create brand identities, digital experiences, and print materials that communicate clearly achieve marketing goals, and look fantastic. beauty and technical performance. Our design starts and ends a best-in-class experience strategy that builds brands.[/ld_fancy_heading][ld_spacer height="45px"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:15px" margin="bottom_small:0.3em"]2020 — CEO — LiquidThemes[/ld_fancy_heading][vc_separator color="custom" accent_color="rgba(112,112,112,0.3)" css=".vc_custom_1588697544183{margin-top: 0px !important;margin-bottom: 0.9em !important;}"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:15px" margin="bottom_small:0.3em"]2019 — Genius Tech — Apple[/ld_fancy_heading][vc_separator color="custom" accent_color="rgba(112,112,112,0.3)" css=".vc_custom_1588697544183{margin-top: 0px !important;margin-bottom: 0.9em !important;}"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:15px" margin="bottom_small:0.3em"]2018 — Tech Special — Google[/ld_fancy_heading][vc_separator color="custom" accent_color="rgba(112,112,112,0.3)" css=".vc_custom_1588697544183{margin-top: 0px !important;margin-bottom: 0.9em !important;}"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:15px" margin="bottom_small:0.3em"]2015 — Graduated from Yale[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-offset-0 vc_col-md-2" responsive_css="padding_left_medium:30px"][ld_fancy_heading tag="h6" margin="bottom_large:4em|bottom_small:1em"]— services[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:0.25em"]- Art Direction[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:0.25em"]- Brand Strategy[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:0.25em"]- Tone of Voice[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:0.25em"]- Graphic Design[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:0.25em"]- Print Design[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:0.25em"]- Graphic Design[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:0.25em"]- Print Design[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:0.25em"]- Illustration &amp;[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:0.25em"]- Packaging Design[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:0.25em"]- Tone of Voice[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:0.25em"]- Brand Identity[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:0.25em"]- Art Direction[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:0.25em"]- Brand Strategy[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:0.25em"]- Graphic Design[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Info 19 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Info 19', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'info-19.jpg' );
	$data['sort_name'] = 'Info';
	$data['custom_class'] = 'general info';
	$data['content'] = <<<CONTENT
	[vc_row enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" responsive_css="padding_top_medium:120px" css=".vc_custom_1608021659478{padding-top: 70px !important;padding-bottom: 20px !important;}" ca_duration="1600" ca_delay="160" ca_init_translate_y="100"][vc_column width="1/2"][ld_fancy_heading tag="h5" duration="1600" delay="60" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_x="0%" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" enable_split="true" use_mask="true" ca_init_translate_y="78" ca_init_rotate_z="7" margin="bottom_small:1em"]About me[/ld_fancy_heading][/vc_column][vc_column width="1/2" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-lg-offset-1 vc_col-lg-5" ca_duration="1600" ca_start_delay="850" ca_delay="160" ca_init_translate_y="45"][ld_fancy_heading tag="p" duration="1600" delay="60" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_x="0%" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgba(255, 255, 255, 0.7)" lh="text_small:1.68em" ca_init_translate_y="80" ca_init_rotate_z="7" start_delay="200"]My name is Roberto, I’m a freelance Branding &amp; Digital Designer based by the valley in New York. I currently work at Liquid. I create brand identities, digital experiences, and print materials that communicate clearly achieve marketing goals, and look fantastic. beauty and technical performance. Our design starts and ends best-in-class experience strategy that builds brands.[/ld_fancy_heading][ld_spacer height="20px" md_height="45px"][vc_accordion size="md" borders="accordion-title-underlined" show_icon="yes" i_add_icon="true" i_type="linea" active_add_icon="true" active_type="linea" use_custom_fonts_title="true" active_tab="-1" fs="16px" i_icon_linea="lqd-icn-ess icon-ion-ios-add" active_icon_linea="lqd-icn-ess icon-ion-ios-remove" heading_color="rgba(255, 255, 255, 0.7)" active_heading_color="rgb(255, 255, 255)" border_color="rgba(255, 255, 255, 0.2)" fw="400"][vc_accordion_tab title="Digital UI Design" tab_id="lqd-1608021215877-f7b3b98d-a88d"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.7)" fs="text_small:14px" lh="text_small:1.68em"]I’m a freelance Branding &amp; Digital Designer based by the valley in New York. I currently work at Liquid. I create brand identities, digital experiences,[/ld_fancy_heading][/vc_accordion_tab][vc_accordion_tab title="Product Design" tab_id="lqd-1608021462145-1e37d61a-421f"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.7)" fs="text_small:14px" lh="text_small:1.68em"]I’m a freelance Branding &amp; Digital Designer based by the valley in New York. I currently work at Liquid. I create brand identities, digital experiences,[/ld_fancy_heading][/vc_accordion_tab][vc_accordion_tab title="Business Consultation" tab_id="lqd-1608021475881-a987be52-c29d"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.7)" fs="text_small:14px" lh="text_small:1.68em"]I’m a freelance Branding &amp; Digital Designer based by the valley in New York. I currently work at Liquid. I create brand identities, digital experiences,[/ld_fancy_heading][/vc_accordion_tab][/vc_accordion][/vc_column][/vc_row][vc_row enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" css=".vc_custom_1608023689024{padding-top: 30px !important;padding-bottom: 30px !important;}" ca_duration="1600" ca_delay="160" ca_init_translate_y="100"][vc_column width="1/2"][ld_fancy_heading tag="h5" duration="1600" delay="60" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_x="0%" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" enable_split="true" use_mask="true" ca_init_translate_y="78" ca_init_rotate_z="7" margin="bottom_small:1em"]Experience[/ld_fancy_heading][/vc_column][vc_column width="1/2" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-lg-offset-1 vc_col-lg-5" ca_duration="1600" ca_start_delay="850" ca_delay="160" ca_init_translate_y="45"][ld_custom_menu source="custom" items="%5B%7B%22label%22%3A%222020%20%3Ci%20class%3D%5C%22lqd-icn-ess%20icon-lqd-circle%20mx-4%5C%22%3E%3C%2Fi%3E%20CEO%20%20%E2%80%94%20LiquidThemes%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%222019%20%3Ci%20class%3D%5C%22lqd-icn-ess%20icon-lqd-circle%20mx-4%5C%22%3E%3C%2Fi%3E%20Senior%20Designer%20%20%E2%80%94%20Apple%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%222018%20%3Ci%20class%3D%5C%22lqd-icn-ess%20icon-lqd-circle%20mx-4%5C%22%3E%3C%2Fi%3E%20Junior%20Designer%20%20%E2%80%94%20%20Google%20%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%222015%20%3Ci%20class%3D%5C%22lqd-icn-ess%20icon-lqd-circle%20mx-4%5C%22%3E%3C%2Fi%3E%20Graduated%20from%20Yale%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%5D" color="rgba(255, 255, 255, 0.7)" hcolor="rgb(255, 255, 255)" spacing="30"][/vc_column][/vc_row][vc_row enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" css=".vc_custom_1608025876286{padding-top: 40px !important;padding-bottom: 40px !important;}" ca_duration="1600" ca_delay="160" ca_init_translate_y="100"][vc_column width="1/2"][ld_fancy_heading tag="h5" duration="1600" delay="60" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_x="0%" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" enable_split="true" use_mask="true" ca_init_translate_y="78" ca_init_rotate_z="7" margin="bottom_small:1em"]Skills[/ld_fancy_heading][/vc_column][vc_column width="1/2" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-lg-offset-1 vc_col-lg-5" ca_duration="1600" ca_start_delay="850" ca_delay="160" ca_init_translate_y="45"][vc_row_inner][vc_column_inner width="1/2"][ld_custom_menu source="custom" magnetic_items="true" items="%5B%7B%22label%22%3A%22Art%20Direction%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22%20Brand%20Strategy%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22%20Communication%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Graphic%20Design%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22%20Print%20Design%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22%20Motion%20Graphics%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%5D" spacing="15" color="rgba(255, 255, 255, 0.7)" hcolor="rgb(255, 255, 255)"][/vc_column_inner][vc_column_inner width="1/2"][ld_custom_menu source="custom" magnetic_items="true" items="%5B%7B%22label%22%3A%22Brand%20Guide%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Flayer%20Design%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Video%20Production%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Web%20Advertising%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Illustrations%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Content%20Creation%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%5D" spacing="15" color="rgba(255, 255, 255, 0.7)" hcolor="rgb(255, 255, 255)"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" css=".vc_custom_1608025866035{padding-top: 40px !important;padding-bottom: 40px !important;}" ca_duration="1600" ca_delay="160" ca_init_translate_y="100"][vc_column width="1/2"][ld_fancy_heading tag="h5" duration="1600" delay="60" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_x="0%" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" enable_split="true" use_mask="true" ca_init_translate_y="78" ca_init_rotate_z="7" margin="bottom_small:1em"]Awards[/ld_fancy_heading][/vc_column][vc_column width="1/2" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-lg-offset-1 vc_col-lg-5" ca_duration="1600" ca_start_delay="850" ca_delay="160" ca_init_translate_y="45"][ld_custom_menu source="custom" magnetic_items="true" items="%5B%7B%22label%22%3A%22%3Ci%20class%3D%5C%22mr-5%5C%22%20style%3D%5C%22font-style%3A%20normal%3B%20opacity%3A%200.7%5C%22%3E3x%3C%2Fi%3E%20AW%20Site%20of%20the%20Day%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22%3Ci%20class%3D%5C%22mr-5%5C%22%20style%3D%5C%22font-style%3A%20normal%3B%20opacity%3A%200.7%5C%22%3E1x%3C%2Fi%3E%20FTA%20Best%20Interactivity%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22%3Ci%20class%3D%5C%22mr-5%5C%22%20style%3D%5C%22font-style%3A%20normal%3B%20opacity%3A%200.7%5C%22%3E2x%3C%2Fi%3E%20CSS%20Design%20Awards%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22%3Ci%20class%3D%5C%22mr-5%5C%22%20style%3D%5C%22font-style%3A%20normal%3B%20opacity%3A%200.7%5C%22%3E6x%3C%2Fi%3E%20AW%20Honorable%20Mention%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22%3Ci%20class%3D%5C%22mr-5%5C%22%20style%3D%5C%22font-style%3A%20normal%3B%20opacity%3A%200.7%5C%22%3E2x%3C%2Fi%3E%20Red%20Dot%20Graphic%20Design%20Awards%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22%3Ci%20class%3D%5C%22mr-5%5C%22%20style%3D%5C%22font-style%3A%20normal%3B%20opacity%3A%200.7%5C%22%3E1x%3C%2Fi%3E%20AW%20Collections%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%5D" spacing="15" color="rgba(255, 255, 255, 0.7)" hcolor="rgb(255, 255, 255)"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Info 20 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Info 20', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'info-20.jpg' );
	$data['sort_name'] = 'Info';
	$data['custom_class'] = 'general info';
	$data['content'] = <<<CONTENT
	[vc_row equal_height="yes" content_placement="middle" responsive_css="padding_bottom_medium:100px|padding_top_small:50px" css=".vc_custom_1608025838088{padding-top: 30px !important;padding-bottom: 30px !important;}"][vc_column width="1/3" offset="vc_col-md-2" responsive_css="margin_bottom_small:0px" css=".vc_custom_1608024402921{margin-bottom: 25px !important;}"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:11px" margin="bottom_small:0px"]Looking for collaboration?[/ld_fancy_heading][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" fs="text_small:18px"]Hub wire[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-2 vc_hidden-sm vc_hidden-xs"][vc_separator color="white" border_width="2"][/vc_column][vc_column width="1/3" offset="vc_col-md-offset-1 vc_col-md-2" responsive_css="margin_bottom_small:0px" css=".vc_custom_1608024409989{margin-bottom: 25px !important;}"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:14px" lh="text_small:1.21em"]290 Maryam Springs Courbevoie, NYC[/ld_fancy_heading][ld_fancy_heading tag="h6" use_custom_fonts_title="true" fs="text_small:18px"]+1 827 48 89[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-2 vc_hidden-sm vc_hidden-xs"][vc_separator color="white" border_width="2"][/vc_column][vc_column width="1/3" offset="vc_col-md-offset-1 vc_col-md-2" responsive_css="margin_bottom_small:0px" css=".vc_custom_1608024417804{margin-bottom: 25px !important;}"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:14px" lh="text_small:1.21em"]Looking for a job?<br />
Send your resume[/ld_fancy_heading][ld_fancy_heading tag="h6" use_custom_fonts_title="true" fs="text_small:18px"]info@hub.com[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Info 21 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Info 21', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'info-21.jpg' );
	$data['sort_name'] = 'Info';
	$data['custom_class'] = 'general info';
	$data['content'] = <<<CONTENT
	[vc_row bg_position="custom" css=".vc_custom_1587035098972{margin-bottom: 70px !important;padding-top: 80px !important;padding-bottom: 90px !important;background: #c10909 url(https://asymmetric-businesspro.liquid-themes.com/wp-content/uploads/2020/04/bg-2.svg?id=45) !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}" bg_pos_h="35%" bg_pos_v="-110px" responsive_css="margin_left_medium:100px"][vc_column offset="vc_col-md-6"][ld_fancy_heading tag="h4" color="rgb(255, 255, 255)" margin="bottom_small:1.5em"]Our Story[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-lg-5 vc_col-md-6"][ld_fancy_heading tag="p" tag_to_inherite="h4" use_inheritance="true" color="rgb(255, 255, 255)" margin="bottom_small:1.35em"]Hub is a digital design studio that develops <span style="text-decoration: underline;">strategic vision</span> and products through cultural insight and emotion.[/ld_fancy_heading][ld_button style="btn-solid" title="Send message" shape="round" size="btn-sm" border="border-none" hover_txt_effect="btn-hover-txt-liquid-y" i_type="linea" i_hover_reveal="btn-hover-swp" i_add_icon="true" color="rgb(255, 255, 255)" text_color="rgb(0, 0, 0)" css=".vc_custom_1596372112707{padding-right: 0.5em !important;padding-left: 0.5em !important;}" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" hover_color="rgb(37, 37, 37)" htext_color="rgb(255, 255, 255)"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Info 22 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Info 22', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'info-22.jpg' );
	$data['sort_name'] = 'Info';
	$data['custom_class'] = 'general info';
	$data['content'] = <<<CONTENT
	[vc_row equal_height="yes" content_placement="middle" css=".vc_custom_1605894390821{padding-top: 70px !important;padding-bottom: 70px !important;background-color: #f6f9fe !important;}" responsive_css="padding_top_medium:100px|padding_bottom_medium:110px"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" align="text-center" offset="vc_col-md-offset-1 vc_col-md-10" responsive_css="margin_bottom_medium:100px|padding_right_medium:2.5vw|padding_left_medium:2.5vw" ca_duration="1800" ca_delay="180" ca_init_translate_y="35" css=".vc_custom_1607345714802{margin-bottom: 40px !important;}" responsive_align="text-md-center"][ld_fancy_heading tag="h6" margin="bottom_small:1em"]Who we are[/ld_fancy_heading][ld_fancy_heading tag="h2" split_type="words" duration="1000" delay="120" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" enable_fit="true" minfontsize="40" fs="text_large:48px|text_small:40px" ca_init_translate_y="70"]What makes Hub team different.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="18px" lh="1.666em"]Is to provide ground solutions that are well engineered, pragmatic and innovative, using the specialist skills and experience of our team, to meet and exceed the expectations of our clients.[/ld_fancy_heading][/vc_column][vc_column enable_content_animation="yes" animation_preset="Fade In" offset="vc_col-md-5" ca_duration="1800" ca_delay="180" responsive_css="margin_bottom_medium:0px|padding_right_medium:0px|padding_left_medium:0px" css=".vc_custom_1607345653278{margin-bottom: 60px !important;padding-right: 30px !important;padding-left: 30px !important;}"][vc_row_inner css=".vc_custom_1605400886869{margin-bottom: 50px !important;padding-right: 10px !important;padding-left: 10px !important;}"][vc_column_inner width="1/4" offset="vc_col-xs-3"][ld_fancy_heading tag="h6" use_custom_fonts_title="true" color="rgb(209, 220, 236)" fs="48px" fw="700"]01[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="3/4" css=".vc_custom_1607345614090{border-bottom-width: 2px !important;border-bottom-color: #eeeeee !important;border-bottom-style: solid !important;}" offset="vc_col-xs-9"][ld_fancy_heading tag="h5" use_custom_fonts_title="true"]Understand your requirements and the constrains.[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][vc_row_inner css=".vc_custom_1579177672209{margin-bottom: 50px !important;}"][vc_column_inner width="1/4" offset="vc_col-xs-3"][ld_fancy_heading tag="h6" use_custom_fonts_title="true" color="rgb(209, 220, 236)" fs="48px" fw="700"]02[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="3/4" css=".vc_custom_1607345688852{border-bottom-width: 2px !important;border-bottom-color: #eeeeee !important;border-bottom-style: solid !important;}" offset="vc_col-xs-9"][ld_fancy_heading tag="h5" use_custom_fonts_title="true"]Gather data, facts, thoughts, views, opinions &amp; constrain.[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][vc_row_inner css=".vc_custom_1579177672209{margin-bottom: 50px !important;}"][vc_column_inner width="1/4" offset="vc_col-xs-3"][ld_fancy_heading tag="h6" use_custom_fonts_title="true" color="rgb(209, 220, 236)" fs="48px" fw="700"]03[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="3/4" css=".vc_custom_1607345703224{border-bottom-width: 2px !important;border-bottom-color: #eeeeee !important;border-bottom-style: solid !important;}" offset="vc_col-xs-9"][ld_fancy_heading tag="h5" use_custom_fonts_title="true"]All projectcs are participative and supportive.[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/vc_column][vc_column align="text-center" offset="vc_col-md-offset-1 vc_col-md-6" responsive_align="text-center"][ld_images_group_container enable_item_animation="yes" pf_init_scale_x="1" pf_init_scale_y="1" pf_init_opacity="0" pf_an_scale_x="1" pf_an_scale_y="1" pf_an_opacity="1" pf_duration="1800" pf_delay="180" pf_init_translate_y="45"][ld_images_group_element absolute_pos="yes" image="56" position="top_small:-40px|right_small:0px|left_small:0px"][/ld_images_group_element][ld_images_group_element img_size="50%" enable_effects="yes" parallax="yes" enable_image_shadow="yes" shadow_style="4" enable_shadow="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" parallax_overflow="yes" image="135" translate_from_y="0"][/ld_images_group_element][/ld_images_group_container][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" align="text-center" css=".vc_custom_1605401078625{margin-top: 30px !important;}" ca_duration="1800" ca_delay="180" ca_init_translate_y="35" responsive_align="text-center" responsive_css="margin_top_medium:70px"][ld_button style="btn-solid" title="More About Our Works" transformation="text-uppercase" shape="circle" enable_row_shadowbox="yes" fs="14px" lh="1.5em" button_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2220px%22%2C%22blur_radius%22%3A%2250px%22%2C%22shadow_color%22%3A%22rgba(0%2C207%2C50%2C0.2)%22%7D%5D" hover_button_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2225px%22%2C%22blur_radius%22%3A%2260px%22%2C%22shadow_color%22%3A%22rgba(12%2C0%2C0%2C0.1)%22%7D%5D" hover_color="rgb(27, 27, 27)"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Info 23 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Info 23', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'info-23.jpg' );
	$data['sort_name'] = 'Info';
	$data['custom_class'] = 'general info';
	$data['content'] = <<<CONTENT
	<p>[vc_row full_width="stretch_row" gap="0" full_height="yes" columns_placement="stretch" equal_height="yes" enable_content_animation="yes" enable_cc_circle="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" cc_circle_color="rgba(255, 157, 202, 0.44)" ca_duration="1800" ca_delay="180" responsive_css="padding_top_small:0px" css=".vc_custom_1614501395799{padding-top: 60px !important;}"][vc_column width="1/3" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_x="0%" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-2/5" css=".vc_custom_1608035606145{border-right-width: 0px !important;border-bottom-width: 1px !important;padding-top: 9vh !important;padding-right: 15px !important;padding-bottom: 10vh !important;padding-left: 15px !important;border-right-color: #a3183c !important;border-right-style: solid !important;border-bottom-color: #a3183c !important;border-bottom-style: solid !important;}" responsive_css="padding_right_large:7vw|padding_left_large:7vw|padding_right_medium:5vw|padding_left_medium:5vw|border_right_small:1px|padding_top_small:10vh" ca_duration="1600" ca_delay="160" ca_init_translate_y="30" ca_init_rotate_z="5"][ld_particles visible_on_hover="yes" absolute_pos="yes" opacity="1" enable_random_size="yes" modes_grab_opacity="1" retina_detect="yes" particle_id="lqd-1608034385137-bf3434ef-384f" height="100%" position="top_small:0px|right_small:0px|bottom_small:0px|left_small:0px" number="30" color="#167cf9" size="4"][ld_fancy_heading tag="h4" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" margin="bottom_small:1em"]About me[/ld_fancy_heading][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(164, 25, 61)" fs="text_large:18px|text_small:14px" lh="text_small:1.5em" margin="bottom_small:1.5em"]My name is Roberto, I’m a freelance Branding and Digital Designer based by the valley in New York. I currently work at Liquid. I create brand identities, digital experiences, and print materials that communicate clearly achieve marketing goals, and look fantastic.[/ld_fancy_heading][ld_button style="btn-underlined" title="Available for freelance" link_type="modal_window" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-lqd-envelope" color="rgb(164, 25, 61)" fs="14px" lh="1em" hover_color="rgb(255, 255, 255)" anchor_id="#contact-modal"][ld_modal_window title="Contact me" el_id="contact-modal"][vc_row_inner][vc_column_inner width="1/2"][vc_column_text css=".vc_custom_1608199527374{margin-bottom: 40px !important;}"]<span style="font-size: 16px; color: #4666e3;">Address</span></p>
<hr />
<p><span style="font-size: 15px; color: #666666;">290 Maryam Springs 260,</span><br />
<span style="font-size: 15px; color: #666666;">Courbevoie, Paris, France</span>[/vc_column_text][ld_google_map style="unsaturatedBrowns" map_marker="html_marker" si_style="" si_size="" si_border="" zoom="16" map_controls="fullscreenControl" map_height="448px" address="7420 Shore Rd, Brooklyn, NY 11209, USA"][vc_separator color="custom" accent_color="#f7f9fb"][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-offset-1 vc_col-md-5" css=".vc_custom_1608035373180{border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 40px !important;padding-right: 12% !important;padding-left: 12% !important;border-left-color: #e7e7e7 !important;border-left-style: solid !important;border-right-color: #e7e7e7 !important;border-right-style: solid !important;border-top-color: #e7e7e7 !important;border-top-style: solid !important;border-bottom-color: #e7e7e7 !important;border-bottom-style: solid !important;}"][ld_fancy_heading tag="h2" tag_to_inherite="h3" use_custom_fonts_title="true" use_inheritance="true" color="rgb(26, 28, 38)" margin="bottom_small:10px" fw="300"]Send a message[/ld_fancy_heading][ld_spacer height="10px"][vc_column_text]<span style="color: #73747f; font-size: 15px; line-height: 26px;">Feel free to reach us if you need any assistance.</span>[/vc_column_text][ld_spacer height="35px"][ld_cf7 id="132" btn_width="lqd-contact-form-button-block" use_custom_fonts_input="true" use_custom_fonts_submit="true" fs="14px" submit_fs="15px" submit_color="rgb(255, 255, 255)" h_color="rgb(94, 96, 98)" bg_color="rgb(247, 249, 251)" hbg_color="rgb(238, 243, 248)" color="rgb(111, 114, 116)" fw="400" submit_hbg_color="rgb(58, 58, 58)" submit_hover_border_color="rgb(58, 58, 58)" border_color="rgb(247, 249, 251)" hover_border_color="rgb(238, 243, 248)" lqd_bg_color="rgb(247, 249, 251)" css=".vc_custom_1608035319019{background-color: #f7f9fb !important;}"][/vc_column_inner][vc_column_inner][/vc_column_inner][/vc_row_inner][/ld_modal_window][/vc_column][vc_column width="1/3" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_x="0%" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-1/5" css=".vc_custom_1608037023630{border-right-width: 0px !important;border-bottom-width: 1px !important;padding-top: 5vh !important;padding-right: 15px !important;padding-bottom: 5vh !important;padding-left: 15px !important;border-right-color: #a3183c !important;border-right-style: solid !important;border-bottom-color: #a3183c !important;border-bottom-style: solid !important;}" responsive_css="padding_right_medium:2.5vw|padding_left_medium:2.5vw|border_right_small:1px|padding_top_small:10vh|padding_bottom_small:10vh" ca_duration="1600" ca_delay="160" ca_init_translate_y="35" ca_init_rotate_z="5" ca_start_delay="650"][ld_particles visible_on_hover="yes" absolute_pos="yes" opacity="1" enable_random_size="yes" modes_grab_opacity="1" retina_detect="yes" particle_id="lqd-1608034333111-e5ef3cc6-0627" height="100%" position="top_small:0px|right_small:0px|bottom_small:0px|left_small:0px" number="30" color="#15f887" size="4"][ld_fancy_heading tag="h4" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" margin="bottom_small:1em"]Experience[/ld_fancy_heading][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(164, 25, 61)" fs="text_large:18px|text_small:14px" lh="text_small:1.5em" margin="bottom_small:1.5em"]I worked with Vodafone, Apple, Google, Amazon and many more startups in San Francisco.[/ld_fancy_heading][/vc_column][vc_column width="1/3" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_x="0%" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-2/5" css=".vc_custom_1608037050753{border-bottom-width: 1px !important;padding-top: 7vh !important;padding-right: 15px !important;padding-bottom: 7vh !important;padding-left: 15px !important;border-bottom-color: #a3183c !important;border-bottom-style: solid !important;}" responsive_css="padding_right_large:7vw|padding_left_large:7vw|padding_right_medium:5vw|padding_left_medium:5vw|padding_top_small:10vh|padding_bottom_small:10vh" ca_duration="1600" ca_delay="160" ca_init_translate_y="35" ca_init_rotate_z="5" ca_start_delay="900"][ld_particles visible_on_hover="yes" absolute_pos="yes" opacity="1" enable_random_size="yes" modes_grab_opacity="1" retina_detect="yes" particle_id="lqd-1608034123225-5dbb76e5-e96c" height="100%" position="top_small:0px|right_small:0px|bottom_small:0px|left_small:0px" number="30" color="#ff0a0a" size="4"][ld_fancy_heading tag="h4" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" margin="bottom_small:1em"]Career[/ld_fancy_heading][ld_custom_menu source="custom" use_custom_fonts_menu="true" items="%5B%7B%22label%22%3A%222020%20%20%20%20%E2%80%94%20%20%20%20Senior%20Designer%20%20%E2%80%94%20Liquid%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%222019%20%20%20%20%E2%80%94%20%20%20%20Product%20Designer%20%20%E2%80%94%20Apple%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%222018%20%20%20%20%E2%80%94%20%20%20%20Junior%20Designer%20%20%E2%80%94%20Google%20%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%222015%20%20%20%20%E2%80%94%20%20%20%20Graduated%20from%20Yale%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%222011%20%20%20%20%E2%80%94%20%20%20%20%20Graduated%20from%20High%20School%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%5D" spacing="7" fs="18px" color="rgb(164, 25, 61)" hcolor="rgb(255, 255, 255)" lh="1.5em"][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_x="0%" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-6" css=".vc_custom_1608037458634{border-right-width: 0px !important;border-bottom-width: 1px !important;padding-top: 10vh !important;padding-right: 15px !important;padding-bottom: 10vh !important;padding-left: 15px !important;border-right-color: #a3183c !important;border-right-style: solid !important;border-bottom-color: #a3183c !important;border-bottom-style: solid !important;}" responsive_css="padding_right_large:7vw|padding_left_large:7vw|border_bottom_medium:0px|padding_right_medium:5vw|padding_left_medium:5vw|border_right_small:1px" ca_duration="1600" ca_delay="80" ca_init_translate_y="35" ca_init_rotate_z="5" ca_start_delay="1150"][ld_particles visible_on_hover="yes" absolute_pos="yes" opacity="1" enable_random_size="yes" modes_grab_opacity="1" retina_detect="yes" particle_id="lqd-1608034408420-1e477203-1f27" height="100%" position="top_small:0px|right_small:0px|bottom_small:0px|left_small:0px" number="30" color="#8402ff" size="4"][ld_fancy_heading tag="h4" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" margin="bottom_small:1em"]Skills[/ld_fancy_heading][vc_row_inner equal_height="yes"][vc_column_inner width="1/3" responsive_css="padding_left_small:25px" css=".vc_custom_1608033780195{border-left-width: 1px !important;padding-left: 10px !important;border-left-color: #a4193d !important;border-left-style: dashed !important;}" offset="vc_col-xs-6"][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(164, 25, 61)" fs="text_large:18px|text_small:13px" lh="text_small:1.5em"]Brand Guid[ld_br]<br />
Flayer Design[ld_br]<br />
Video Production[ld_br]<br />
Web Advertising[ld_br]<br />
Illustrations[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/3" responsive_css="padding_left_small:25px" css=".vc_custom_1608033789290{border-left-width: 1px !important;padding-left: 10px !important;border-left-color: #a4193d !important;border-left-style: dashed !important;}" offset="vc_col-xs-6"][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(164, 25, 61)" fs="text_large:18px|text_small:13px" lh="text_small:1.5em"]Art Direction[ld_br]<br />
Brand Strategy[ld_br]<br />
Communication[ld_br]<br />
Graphic Design[ld_br]<br />
Print Design[ld_br]<br />
Motion Graphics[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/3" responsive_css="padding_left_small:25px" css=".vc_custom_1608033795285{border-left-width: 1px !important;padding-left: 10px !important;border-left-color: #a4193d !important;border-left-style: dashed !important;}" offset="vc_col-xs-6"][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(164, 25, 61)" fs="text_large:18px|text_small:13px" lh="text_small:1.45em"]Graphic Design[ld_br]<br />
Print Design[ld_br]<br />
Motion Graphics[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/vc_column][vc_column width="1/2" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_x="0%" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-3" css=".vc_custom_1608037234997{border-right-width: 0px !important;border-bottom-width: 1px !important;padding-top: 5vh !important;padding-right: 15px !important;padding-bottom: 5vh !important;padding-left: 15px !important;border-right-color: #a3183c !important;border-right-style: solid !important;border-bottom-color: #a3183c !important;border-bottom-style: solid !important;}" responsive_css="padding_right_medium:3vw|padding_left_medium:3vw|border_right_small:1px|border_bottom_small:0px|padding_top_small:10vh|padding_bottom_small:10vh" ca_duration="1600" ca_delay="120" ca_init_translate_y="35" ca_init_rotate_z="5" ca_start_delay="1450"][ld_particles visible_on_hover="yes" absolute_pos="yes" opacity="1" enable_random_size="yes" modes_grab_opacity="1" retina_detect="yes" particle_id="lqd-1608034397048-27e6de0e-3001" height="100%" position="top_small:0px|right_small:0px|bottom_small:0px|left_small:0px" number="30" color="#0205d6" size="4"][ld_fancy_heading tag="h4" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" margin="bottom_small:1em"]Awards[/ld_fancy_heading][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(164, 25, 61)" fs="text_large:18px|text_small:13px" lh="text_small:1.45em"]<span class="mr-3">3x</span>AW Site of the Day[ld_br]<br />
<span class="mr-3">1x</span>FTA Best Interactivity[ld_br]<br />
<span class="mr-3">2x</span>CSS Design Awards[ld_br]<br />
<span class="mr-3">6x</span>AW Honorable Mention[ld_br]<br />
<span class="mr-3">2x</span>Red Dot Graphic[/ld_fancy_heading][/vc_column][vc_column width="1/2" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_x="0%" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-3" css=".vc_custom_1608037243987{padding-top: 5vh !important;padding-right: 15px !important;padding-bottom: 5vh !important;padding-left: 15px !important;}" responsive_css="padding_right_medium:3vw|padding_left_medium:3vw|padding_top_small:10vh|padding_bottom_small:10vh" ca_duration="1600" ca_delay="160" ca_init_translate_y="35" ca_init_rotate_z="5" ca_start_delay="1600"][ld_particles visible_on_hover="yes" absolute_pos="yes" opacity="1" enable_random_size="yes" modes_grab_opacity="1" retina_detect="yes" particle_id="lqd-1608034213121-6d30d3b3-0264" height="100%" position="top_small:0px|right_small:0px|bottom_small:0px|left_small:0px" number="30" color="#02ffdd" size="4"][ld_fancy_heading tag="h4" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" margin="bottom_small:1em"]Contact[/ld_fancy_heading][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(164, 25, 61)" fs="text_large:20px|text_small:13px" lh="text_small:1.57em" margin="bottom_small:0.5em"]I’m interested in<br />
working together[/ld_fancy_heading][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(164, 25, 61)" fs="text_large:20px|text_small:13px" lh="text_small:1.57em" margin="bottom_small:0.5em"]+1 827 48 89[/ld_fancy_heading][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(164, 25, 61)" fs="text_large:20px|text_small:13px" lh="text_small:1.57em" margin="bottom_small:0.5em"]Have a project in mind?[/ld_fancy_heading][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(164, 25, 61)" fs="text_large:20px|text_small:13px" lh="text_small:1.57em" margin="bottom_small:0.5em"]info@hub.com[/ld_fancy_heading][/vc_column][/vc_row]</p>
CONTENT;
	$templates[] = $data;

	//Info 24 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Info 24', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'info-24.jpg' );
	$data['sort_name'] = 'Info';
	$data['custom_class'] = 'general info';
	$data['content'] = <<<CONTENT
	[vc_section bg_position="custom" css=".vc_custom_1622099594544{background-image: url(https://staging.liquid-themes.com/lawyer/wp-content/uploads/2021/05/bg.png?id=3600) !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}" bg_pos_h="80%" bg_pos_v="50%"][vc_row content_placement="middle" css=".vc_custom_1622103205576{padding-top: 65px !important;padding-bottom: 45px !important;}" el_id="about"][vc_column offset="vc_col-md-6"][ld_fancy_heading tag="h6" margin="bottom_small:1.25em"]Legal disciplines.[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_large:45px" margin="bottom_large:0px"]Practice Areas.[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-offset-1 vc_col-md-5"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.47em"]We embrace holistic development and support for the aim of being a first-choice employer within our sectors.[/ld_fancy_heading][/vc_column][/vc_row][vc_row css=".vc_custom_1622027003753{border-top-width: 1px !important;border-top-color: rgba(0,0,0,0.1) !important;border-top-style: solid !important;}"][vc_column width="1/3" responsive_css="padding_right_large:20%25|padding_right_medium:10%25"][ld_icon_box i_type="linea" heading_size="lg" alignment="text-left" i_icon_linea="lqd-icn-ess icon-lqd-circle" title="Financial capital And business" icon_size="18px" css=".vc_custom_1622027200149{margin-top: -10px !important;}" i_color="rgb(177, 120, 86)" icon_mb="28"]<span style="font-size: 15px;">Our process applies techniques from a variety of disciplines distinction in detail and gives careful attention.</span>[/ld_icon_box][/vc_column][vc_column width="1/3" responsive_css="padding_right_large:20%25|padding_right_medium:10%25"][ld_icon_box i_type="linea" heading_size="lg" alignment="text-left" i_icon_linea="lqd-icn-ess icon-lqd-circle" title="Citizenship And Immigration" icon_size="18px" css=".vc_custom_1622027268247{margin-top: -10px !important;}" i_color="rgb(177, 120, 86)" icon_mb="28"]<span style="font-size: 15px;">Our process applies techniques from a variety of disciplines distinction in detail and gives careful attention.</span>[/ld_icon_box][/vc_column][vc_column width="1/3" responsive_css="padding_right_large:20%25|padding_right_medium:10%25"][ld_icon_box i_type="linea" heading_size="lg" alignment="text-left" i_icon_linea="lqd-icn-ess icon-lqd-circle" title="Criminal Cases And Defense" icon_size="18px" css=".vc_custom_1622027458062{margin-top: -10px !important;}" i_color="rgb(177, 120, 86)" icon_mb="28"]<span style="font-size: 15px;">Our process applies techniques from a variety of disciplines distinction in detail and gives careful attention.</span>[/ld_icon_box][/vc_column][/vc_row][/vc_section]
CONTENT;
	$templates[] = $data;

	//Info 25 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Info 25', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'info-25.jpg' );
	$data['sort_name'] = 'Info';
	$data['custom_class'] = 'general info';
	$data['content'] = <<<CONTENT
	[vc_row equal_height="yes" content_placement="middle" responsive_css="padding_top_medium:45px|padding_bottom_medium:50px" css=".vc_custom_1622027909060{padding-top: 35px !important;padding-bottom: 35px !important;}"][vc_column column_content_align="justify-content-end" row_scale_bg_onhover="yes" enable_hover_move="lqd-column-move-onhover" hover_move_value="-5px" enable_overlay="yes" enable_column_shadowbox="yes" enable_column_hover_shadowbox="yes" bg_position="center top" offset="vc_col-lg-5 vc_col-md-6" css=".vc_custom_1622100300872{margin-bottom: 30px !important;padding-top: 250px !important;padding-right: 20px !important;padding-bottom: 45px !important;padding-left: 20px !important;background-image: url(https://staging.liquid-themes.com/lawyer/wp-content/uploads/2021/05/img-1@2x.jpg?id=25) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;border-radius: 10px !important;}" overlay_bg="linear-gradient(0deg, rgb(46, 70, 85) 0%, rgba(46, 70, 85, 0) 40%)" column_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2220px%22%2C%22blur_radius%22%3A%2288px%22%2C%22shadow_color%22%3A%22rgba(0%2C%200%2C%200%2C%200.2)%22%7D%5D" responsive_css="margin_bottom_medium:0px|padding_top_medium:300px|padding_right_medium:65px|padding_left_medium:65px" column_hover_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2230px%22%2C%22blur_radius%22%3A%22100px%22%2C%22shadow_color%22%3A%22rgba(0%2C%200%2C%200%2C%200.2)%22%7D%5D" responsive_align="text-right"][ld_fancy_heading tag="p" use_custom_fonts_title="true" use_inheritance="true" color="rgb(255, 255, 255)" fs="text_small:150px" lh="text_small:1em" margin="bottom_small:0px"]<span class="d-flex align-items-end justify-content-end"><span style="margin-bottom: -0.15em;">11</span> <span class="d-flex flex-column" style="font-size: 18px; line-height: 18px; flex: 0;">Years of experience</span></span>[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-offset-1 vc_col-md-5" responsive_css="padding_right_large:15%25"][ld_fancy_heading tag="h6" margin="bottom_small:1em"]About us[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_medium:45px"]We provide legal aid and <u>advice.</u>[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" margin="bottom_small:2.15em"]Our process applies techniques from a variety of disciplines, values distinction in detail and gives careful. <a href="#">Our process</a> applies techniques from a variety of disciplines, values distinction in detail and gives careful[/ld_fancy_heading][ld_button style="btn-underlined" title="Read the story" link_type="scroll_to_section" border="border-thick" border_width="btn-bw-30" color="rgb(35, 42, 59)" lh="text_small:2em"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Category Latest Posts
	//Latest Posts 1
	$data = array();
	$data['name'] = esc_html__( 'Latest Posts 01', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'lp-1.jpg' );
	$data['sort_name'] = 'Latest Posts';
	$data['custom_class'] = 'general latest-posts';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1602658731479{padding-bottom: 70px !important;}" responsive_css="padding_top_medium:70px|padding_bottom_medium:70px"][vc_column align="text-center" offset="vc_col-md-offset-3 vc_col-md-6" css=".vc_custom_1575614866488{margin-bottom: 60px !important;}" responsive_align="text-center"][ld_fancy_heading tag="h6" margin="bottom_small:2em"]Keep in touch[/ld_fancy_heading][ld_fancy_heading tag="h2"]Latest stories[/ld_fancy_heading][/vc_column][vc_column enable_content_animation="yes" animation_preset="Fade In" ca_delay="80"][ld_blog style="style03" grid_columns="3" post_type="post" posts_per_page="3" columns_gap="24" bottom_gap="30" ib_style="" ib_border="" unique_id="1575551164044-8928616c-5450" title_color="rgb(241, 241, 241)" filter_id="lqd-1596021020438-62349bcb-d705"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Latest Posts 2
	$data = array();
	$data['name'] = esc_html__( 'Latest Posts 02', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'lp-2.jpg' );
	$data['sort_name'] = 'Latest Posts';
	$data['custom_class'] = 'general latest-posts';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" css=".vc_custom_1602156062406{padding-top: 65px !important;padding-bottom: 30px !important;}" responsive_css="padding_top_medium:100px|padding_bottom_medium:30px|padding_top_small:65px|padding_bottom_small:30px"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" align="text-center" offset="vc_col-md-offset-3 vc_col-md-6" css=".vc_custom_1605624154640{margin-bottom: 40px !important;}" ca_duration="1800" ca_delay="180" ca_init_translate_y="35" responsive_align="text-center" responsive_css="margin_bottom_medium:60px"][ld_fancy_heading tag="h2"]hub news[/ld_fancy_heading][ld_fancy_heading tag="p"]As a partner of corporates, Liquid has more than 9,000 partners of all sizes and all potential of session.[/ld_fancy_heading][/vc_column][vc_column css=".vc_custom_1602156564948{margin-bottom: 25px !important;}" responsive_css="margin_bottom_medium:80px|margin_bottom_small:25px"][ld_blog style="style16" grid_columns="3" meta_type="cats" post_type="post" posts_per_page="3" columns_gap="15" bottom_gap="30" ib_style="btn-default" unique_id="lqd-1588957493353-c70b8c09-8ad4" title_weight="700" filter_id="lqd-1588957493353-26dc0f0a-18f7" hover_title_color="rgb(0, 0, 0)" post_excerpt_length="12"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Latest Posts 3
	$data = array();
	$data['name'] = esc_html__( 'Latest Posts 03', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'lp-3.jpg' );
	$data['sort_name'] = 'Latest Posts';
	$data['custom_class'] = 'general latest-posts';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" css=".vc_custom_1602180575452{padding-bottom: 20px !important;}" responsive_css="padding_top_medium:35px|padding_right_medium:100px|padding_left_medium:100px"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" align="text-center" offset="vc_col-lg-offset-3 vc_col-lg-6 vc_col-md-offset-2 vc_col-md-8" ca_duration="1800" ca_delay="180" ca_init_translate_y="30" css=".vc_custom_1612275120149{margin-bottom: 20px !important;}" responsive_align="text-left text-md-center"][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" color="rgb(58, 82, 116)" fs="12px" ls="0.1em" margin="bottom_small:1em"]One step ahead[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_large:40px|text_small:32px"]Read the latest news.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:29px" margin="bottom_large:2.15em|bottom_small:1.2em" padding="right_large:15%25|left_large:15%25"]We provide digital experience services to startups and small businesses.[/ld_fancy_heading][/vc_column][/vc_row][vc_row responsive_css="padding_right_medium:80px|padding_left_medium:80px"][vc_column][ld_blog style="style06" grid_columns="3" meta_type="cats" post_type="post" posts_per_page="3" columns_gap="20" bottom_gap="30" filter_id="lqd-1588852304002-aa9ed0ce-6ecf" unique_id="1588852304002-ce055b4b-b4fb" hover_title_color="rgb(0, 0, 0)" title_size="20px"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Latest Posts 4
	$data = array();
	$data['name'] = esc_html__( 'Latest Posts 04', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'lp-4.jpg' );
	$data['sort_name'] = 'Latest Posts';
	$data['custom_class'] = 'general latest-posts';
	$data['content'] = <<<CONTENT
	[vc_row equal_height="yes" content_placement="middle" css=".vc_custom_1605833547205{padding-bottom: 60px !important;}" responsive_css="margin_bottom_medium:100px|padding_top_medium:100px|padding_bottom_medium:100px"][vc_column offset="vc_col-md-6"][ld_fancy_heading tag="h2"]Latest Posts[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-6"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:18px" lh="text_small:1.666em"]Performance. Rock-solid structure and next-gen technologies deliver the maximum performance with minimum resources.[/ld_fancy_heading][/vc_column][vc_column css=".vc_custom_1587039540134{padding-top: 40px !important;}"][ld_blog style="style06" grid_columns="3" meta_type="cats" post_type="post" posts_per_page="3" columns_gap="20" bottom_gap="30" filter_id="lqd-1595765357802-2a176e9f-4b2d" unique_id="lqd-1595765357802-8df74a1f-4cd6" title_size="20px"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Latest Posts 5
	$data = array();
	$data['name'] = esc_html__( 'Latest Posts 05', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'lp-5.jpg' );
	$data['sort_name'] = 'Latest Posts';
	$data['custom_class'] = 'general latest-posts';
	$data['content'] = <<<CONTENT
	[vc_row equal_height="yes" content_placement="middle" css=".vc_custom_1611401743265{padding-top: 60px !important;}" responsive_css="padding_top_medium:0px|padding_bottom_medium:25px"][vc_column width="1/4" offset="vc_col-md-2 vc_col-xs-4" responsive_css="padding_right_medium:30px|padding_left_medium:30px"][vc_single_image image="4306" alignment="center" enable_opacity="yes" opacity="0.8"][/vc_column][vc_column width="1/4" offset="vc_col-md-2 vc_col-xs-4" responsive_css="padding_right_small:30px|padding_left_small:30px"][vc_single_image image="4609" alignment="center" enable_opacity="yes" opacity="0.8"][/vc_column][vc_column width="1/4" offset="vc_col-md-2 vc_col-xs-4" responsive_css="padding_right_small:30px|padding_left_small:30px"][vc_single_image image="4325" alignment="center" enable_opacity="yes" opacity="0.8"][/vc_column][vc_column width="1/4" offset="vc_col-md-2 vc_col-xs-4" responsive_css="padding_right_small:30px|padding_left_small:30px"][vc_single_image image="4329" alignment="center" enable_opacity="yes" opacity="0.8" image_max_width="80px"][/vc_column][vc_column width="1/4" offset="vc_col-md-2 vc_col-xs-4"][vc_single_image image="4610" alignment="center" enable_opacity="yes" opacity="0.8"][/vc_column][vc_column width="1/4" offset="vc_col-md-2 vc_col-xs-4"][vc_single_image image="4608" alignment="center" enable_opacity="yes" opacity="0.8"][/vc_column][/vc_row][vc_row css=".vc_custom_1611401731714{padding-top: 20px !important;padding-bottom: 40px !important;}"][vc_column align="text-center" offset="vc_col-md-offset-2 vc_col-md-8" responsive_align="text-left text-md-center"][ld_fancy_heading tag="h2" margin="bottom_large:1.5em|bottom_small:1em"]Latest Posts[/ld_fancy_heading][/vc_column][vc_column][ld_blog style="style14" post_type="post" posts_per_page="3" columns_gap="11" bottom_gap="13" filter_id="lqd-1588074923578-332e53d2-6d21" unique_id="1588074923578-0e509fc5-a2c8" hover_title_color="rgb(255, 255, 255)"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Latest Posts 6
	$data = array();
	$data['name'] = esc_html__( 'Latest Posts 06', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'lp-6.jpg' );
	$data['sort_name'] = 'Latest Posts';
	$data['custom_class'] = 'general latest-posts';
	$data['content'] = <<<CONTENT
	[vc_row][vc_column][vc_row_inner enable_content_animation="yes" gap="30" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" ca_duration="1800" ca_delay="180" ca_init_translate_x="-45"][vc_column_inner offset="vc_col-md-8" responsive_css="padding_right_medium:0px|padding_left_medium:0px" css=".vc_custom_1573289890827{padding-right: 15px !important;padding-left: 15px !important;}"][ld_blog style="style07" meta_type="cats" post_type="post" posts_per_page="1" columns_gap="15" bottom_gap="30" heading_custom_spacing="yes" ib_style="" ib_border="" unique_id="ld-1571999412482-5cb2f760-8852" post_excerpt_length="20" title_mb="10" filter_id="lqd-1595269382374-d36ed0da-3664"][/vc_column_inner][vc_column_inner offset="vc_col-md-4" responsive_css="padding_right_medium:0px|padding_left_medium:0px" css=".vc_custom_1573289897868{padding-right: 15px !important;padding-left: 15px !important;}"][ld_blog style="style03" meta_type="cats" post_type="post" posts_per_page="2" columns_gap="15" bottom_gap="30" ib_style="" ib_border="" unique_id="1571999289920-606b4b1e-2c89" offset="1" filter_id="lqd-1595269382603-dc714fff-0f61"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Latest Posts 7
	$data = array();
	$data['name'] = esc_html__( 'Latest Posts 07', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'lp-7.jpg' );
	$data['sort_name'] = 'Latest Posts';
	$data['custom_class'] = 'general latest-posts';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" equal_height="yes" content_placement="middle" css=".vc_custom_1611576969467{padding-bottom: 60px !important;}" responsive_css="margin_left_medium:100px|padding_top_medium:50px|padding_right_medium:5vw|padding_bottom_medium:80px|padding_left_medium:5vw"][vc_column offset="vc_col-lg-4 vc_col-md-5"][ld_fancy_heading tag="h2"]Latest Posts[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-lg-offset-3 vc_col-lg-5 vc_col-md-offset-1 vc_col-md-6"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:18px" lh="text_small:1.666em"]Helping innovators and brands through cultural insight, strategic vision, and innovation.[/ld_fancy_heading][/vc_column][vc_column css=".vc_custom_1587039540134{padding-top: 40px !important;}"][ld_blog style="style16" grid_columns="3" meta_type="cats" post_type="post" posts_per_page="3" columns_gap="30" bottom_gap="30" filter_id="lqd-1611576524985-6c981469-eb77" unique_id="lqd-1611576524985-3aeefa90-f906" post_excerpt_length="15"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Latest Posts 8
	$data = array();
	$data['name'] = esc_html__( 'Latest Posts 08', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'lp-8.jpg' );
	$data['sort_name'] = 'Latest Posts';
	$data['custom_class'] = 'general latest-posts';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1615375700830{padding-top: 40px !important;}" responsive_css="padding_top_medium:70px|padding_bottom_medium:70px|padding_top_small:70px" el_id="blog"][vc_column offset="vc_col-md-12"][ld_blog style="style10" grid_columns="3" post_type="post" posts_per_page="3" columns_gap="10" bottom_gap="30" filter_id="lqd-1588596812347-cf56466b-1b1a" unique_id="1588596812348-41ce2ceb-6b86"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Latest Posts 9
	$data = array();
	$data['name'] = esc_html__( 'Latest Posts 09', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'lp-9.jpg' );
	$data['sort_name'] = 'Latest Posts';
	$data['custom_class'] = 'general latest-posts';
	$data['content'] = <<<CONTENT
	[vc_row equal_height="yes" content_placement="middle" css=".vc_custom_1610021432369{padding-top: 40px !important;padding-bottom: 40px !important;}" responsive_css="padding_top_medium:60px|padding_bottom_medium:60px"][vc_column width="1/2"][ld_fancy_heading tag="h2" tag_to_inherite="h3" use_inheritance="true"]Arch news_[/ld_fancy_heading][/vc_column][vc_column width="1/2" responsive_align="text-sm-right"][ld_button style="btn-naked" title="Read latest" transformation="text-uppercase" hover_txt_effect="btn-hover-txt-liquid-x" i_type="linea" i_add_icon="true" i_icon_linea="icon-ion-ios-add" fw="700" color="rgb(0, 0, 0)"][/vc_column][vc_column css=".vc_custom_1586254413932{margin-top: 25px !important;}"][ld_blog style="style19" grid_columns="3" meta_type="cats" post_type="post" posts_per_page="3" columns_gap="17" bottom_gap="30" filter_id="lqd-1596447696874-ffe0821e-7a34" unique_id="lqd-1596447696874-0c11eb16-441c" hover_title_color="rgb(0, 0, 0)" hover_underline_color="rgba(0, 0, 0, 0)"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Latest Posts 10
	$data = array();
	$data['name'] = esc_html__( 'Latest Posts 10', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'lp-10.jpg' );
	$data['sort_name'] = 'Latest Posts';
	$data['custom_class'] = 'general latest-posts';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" css=".vc_custom_1610030386812{padding-top: 30px !important;padding-bottom: 30px !important;}" responsive_css="padding_top_medium:80px|padding_bottom_medium:80px"][vc_column width="1/2"][ld_fancy_heading tag="h2" tag_to_inherite="h3" use_inheritance="true"]Arch news_[/ld_fancy_heading][/vc_column][vc_column width="1/2" responsive_align="text-sm-right"][ld_button style="btn-naked" title="More stories" transformation="text-uppercase" i_type="linea" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-ion-ios-add" color="rgb(0, 0, 0)" fw="700" i_size="18px"][/vc_column][vc_column css=".vc_custom_1609935041018{margin-top: 30px !important;}"][ld_blog style="style19" grid_columns="3" pagination="ajax" ajax_trigger="click" post_type="post" posts_per_page="6" columns_gap="17" bottom_gap="45" filter_id="lqd-1610025374665-aadb0b2b-c0c9" unique_id="lqd-1610025374665-bd78d749-aece"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Latest Posts11
	$data = array();
	$data['name'] = esc_html__( 'Latest Posts 11', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'lp-11.jpg' );
	$data['sort_name'] = 'Latest Posts';
	$data['custom_class'] = 'general latest-posts';
	$data['content'] = <<<CONTENT
	[vc_row gap="20" equal_height="yes" css=".vc_custom_1605941125782{padding-top: 70px !important;padding-bottom: 50px !important;}" responsive_css="padding_bottom_medium:70px"][vc_column align="text-center" offset="vc_col-md-offset-3 vc_col-md-6" css=".vc_custom_1591086885293{margin-bottom: 40px !important;}" responsive_align="text-center"][ld_fancy_heading tag="h2"]Read the magazine[/ld_fancy_heading][ld_fancy_heading tag="p" padding="right_large:3vw|left_large:3vw"]As a partner of corporates, Liquid has more than 9,000 partners of all sizes and all potential of session.[/ld_fancy_heading][/vc_column][vc_column][ld_blog style="style19" grid_columns="3" post_type="post" posts_per_page="3" columns_gap="20" bottom_gap="30" filter_id="lqd-1597043780999-8fdee8d4-c747" unique_id="lqd-1597043780999-c932e2d0-4d1c" title_size="20px" hover_underline_color="rgba(255, 255, 255, 0)"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Latest Posts 12
	$data = array();
	$data['name'] = esc_html__( 'Latest Posts 12', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'lp-12.jpg' );
	$data['sort_name'] = 'Latest Posts';
	$data['custom_class'] = 'general latest-posts';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1606000179946{padding-bottom: 20px !important;}" responsive_css="margin_top_medium:70px|padding_top_medium:100px|padding_bottom_medium:55px"][vc_column align="text-center" offset="vc_col-md-offset-3 vc_col-md-6" css=".vc_custom_1606000136443{margin-bottom: 40px !important;}" responsive_align="text-center" responsive_css="margin_bottom_medium:50px"][ld_fancy_heading tag="h6" margin="bottom_small:0.75em" color="rgb(255, 90, 61)"]What around hub[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" enable_fit="true" fs="text_large:48px|text_small:35px" lh="text_small:1.2em" margin="bottom_small:0.65em" minfontsize="36"]Articles daily updated[/ld_fancy_heading][/vc_column][vc_column][ld_blog style="style06" grid_columns="3" post_type="post" posts_per_page="3" columns_gap="15" bottom_gap="30" filter_id="1598625628714-e58bd55a-6155" unique_id="1598625628715-330cc2df-51d7"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Latest Posts 13
	$data = array();
	$data['name'] = esc_html__( 'Latest Posts 13', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'lp-13.jpg' );
	$data['sort_name'] = 'Latest Posts';
	$data['custom_class'] = 'general latest-posts';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1605609950882{padding-bottom: 60px !important;}" responsive_css="margin_bottom_medium:70px|padding_top_medium:80px|padding_bottom_medium:80px"][vc_column align="text-center" offset="vc_col-md-offset-3 vc_col-md-6" css=".vc_custom_1577791230118{margin-bottom: 25px !important;}" responsive_align="text-center"][ld_fancy_heading tag="h6"]From our blog[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_large:43px|text_small:38px"]Latest news[/ld_fancy_heading][/vc_column][vc_column][ld_blog style="style09" grid_columns="2" meta_type="cats" post_type="post" posts_per_page="2" columns_gap="25" bottom_gap="30" ib_style="btn-default" unique_id="lqd-1588942521587-b0a4d052-a28a" filter_id="lqd-1588942521586-a5cb2989-39a2" post_excerpt_length="20" title_weight="700"][/vc_column][/vc_row][vc_row enable_gradient="yes" enable_row_dividers="yes" css=".vc_custom_1605609631170{padding-top: 90px !important;padding-bottom: 120px !important;}" gradient_bg="linear-gradient(90deg, rgb(155, 82, 255) 0%, #130cb5 100%)" row_svg_divider="top_shape_type:8|top_shape_color:%23ffffff|top_shape_height:100|bottom_shape_type:12|bottom_shape_color:%23ffffff|bottom_shape_height:150" responsive_css="padding_top_medium:120px|padding_bottom_medium:170px"][vc_column offset="vc_col-md-6"][ld_images_group_container][ld_images_group_element image="5078"][/ld_images_group_element][/ld_images_group_container][/vc_column][vc_column offset="vc_col-md-6"][ld_fancy_heading tag="h2" enable_txt_rotator="yes" items="%5B%7B%22word%22%3A%22hello%22%7D%2C%7B%22word%22%3A%22Zdravo%22%7D%2C%7B%22word%22%3A%22Bonjour%22%7D%2C%7B%22word%22%3A%22Priv%C3%A9t%22%7D%5D" use_custom_fonts_title="true" color="rgb(255, 255, 255)" margin="bottom_small:0.35em" fs="text_large:43px|text_small:38px"]👋 Say[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="18px"]We are here to answer any question you may have.[/ld_fancy_heading][ld_cf7 id="49" shape="lqd-contact-form-inputs-underlined" thickness="lqd-contact-form-inputs-border-thick" btn_roundness="lqd-contact-form-button-circle" use_custom_fonts_input="true" use_custom_fonts_submit="true" fs="14px" submit_fs="12px" submit_ls="0.09em" color="rgb(255, 255, 255)" border_color="rgba(255, 255, 255, 0.3)" hover_border_color="rgb(255, 255, 255)" css=".vc_custom_1607333483904{margin-top: 30px !important;}"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Latest Posts 14
	$data = array();
	$data['name'] = esc_html__( 'Latest Posts 14', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'lp-14.jpg' );
	$data['sort_name'] = 'Latest Posts';
	$data['custom_class'] = 'general latest-posts';
	$data['content'] = <<<CONTENT
CONTENT;
	$templates[] = $data;

	//Latest Posts 15
	$data = array();
	$data['name'] = esc_html__( 'Latest Posts 15', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'lp-15.jpg' );
	$data['sort_name'] = 'Latest Posts';
	$data['custom_class'] = 'general latest-posts';
	$data['content'] = <<<CONTENT
	[vc_row responsive_css="padding_top_medium:100px|padding_bottom_medium:100px" css=".vc_custom_1622103253423{padding-top: 70px !important;padding-bottom: 70px !important;}" el_id="news"][vc_column offset="vc_col-lg-offset-3 vc_col-lg-6 vc_col-md-offset-2 vc_col-md-8" responsive_align="text-center" responsive_css="margin_bottom_medium:40px" css=".vc_custom_1622096299217{margin-bottom: 30px !important;}"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_medium:45px"]Latest Posts[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.47em"]We embrace holistic development and support for the aim of being a first-choice employer within our sectors.[/ld_fancy_heading][/vc_column][vc_column][ld_blog style="style19" grid_columns="3" post_type="post" posts_per_page="3" columns_gap="23" bottom_gap="30" filter_id="lqd-1622096304136-02e0494e-2022" unique_id="lqd-1622096304137-97c820e2-e358" title_size="20px" title_weight="700" hover_underline_color="rgba(163, 129, 106, 0.25)"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Latest Posts 16
	$data = array();
	$data['name'] = esc_html__( 'Latest Posts 16', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'lp-16.jpg' );
	$data['sort_name'] = 'Latest Posts';
	$data['custom_class'] = 'general latest-posts';
	$data['content'] = <<<CONTENT
	[vc_row bg_position="custom" responsive_css="padding_top_medium:50px|padding_bottom_medium:80px" css=".vc_custom_1621955990913{padding-top: 30px !important;padding-bottom: 30px !important;background-image: url(https://staging.liquid-themes.com/kids/wp-content/uploads/2021/05/pen.svg?id=4457) !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}" bg_pos_h="50%" bg_pos_v="128px" el_id="news"][vc_column offset="vc_col-lg-offset-3 vc_col-md-6" responsive_align="text-center" responsive_css="margin_bottom_medium:45px" css=".vc_custom_1621951731066{margin-bottom: 30px !important;}"][ld_fancy_heading tag="h6" enable_bg="yes" fh_border_radius="circle" color="rgb(255, 126, 106)" padding="top_small:0.625em|right_small:1em|bottom_small:0.625em|left_small:1em" fh_bg="rgba(255, 126, 106, 0.1)" margin="bottom_small:1em"]News and blog[/ld_fancy_heading][ld_fancy_heading tag="h2" margin="bottom_small:0.35em"]Latest Posts[/ld_fancy_heading][/vc_column][vc_column][ld_blog style="style23" grid_columns="3" post_type="post" posts_per_page="3" columns_gap="15" bottom_gap="30" filter_id="lqd-1621951668664-bed31a69-8a1b" unique_id="lqd-1621951668665-07008e9f-c438" post_excerpt_length="15"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Category Marquee
	//Marquee 1
	$data = array();
	$data['name'] = esc_html__( 'Marquee 01', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'marquee-1.jpg' );
	$data['sort_name'] = 'Marquee';
	$data['custom_class'] = 'general marquee';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" gap="0" css=".vc_custom_1602658648968{padding-bottom: 70px !important;}" el_id="videos" responsive_css="padding_top_medium:20px|padding_bottom_medium:110px"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" align="text-center" offset="vc_col-md-offset-3 vc_col-md-6" css=".vc_custom_1575556211575{margin-bottom: 60px !important;}" ca_duration="1800" ca_delay="180" ca_init_translate_y="35" responsive_align="text-center"][ld_fancy_heading tag="h6" margin="bottom_small:2em"]Gallery[/ld_fancy_heading][ld_fancy_heading tag="h2"]Latest Videos[/ld_fancy_heading][/vc_column][vc_column][ld_carousel_marquee_tab columns="md:1.95|sm:2|xs:1|spacing_md:70px|spacing_xs:15px" pause_on_hover="yes"][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600676918411-0a09d9e4-974e"][vc_row_inner][vc_column_inner bg_position="center center" align="text-center" responsive_css="padding_top_medium:220px|padding_bottom_medium:220px" css=".vc_custom_1583761429164{margin-bottom: 30px !important;padding-top: 135px !important;padding-bottom: 135px !important;background-image: url(https://musichub.liquid-themes.com/staging/wp-content/uploads/2020/03/carousel-1-opt.jpg?id=4521) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;border-radius: 5px !important;}" responsive_align="text-center"][ld_button style="btn-naked" link_type="lightbox" i_type="linea" i_position="top" i_shape="btn-icon-circle" i_shape_style="btn-icon-bordered" i_shape_bw="btn-icon-border-thickest" i_shape_size="btn-icon-custom-size" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-ion-ios-play" i_size="25px" i_shape_custom_size="86px" i_hcolor="rgb(0, 0, 0)" i_color="rgb(255, 255, 255)" i_fill_color2="rgb(255, 255, 255)" i_fill_hcolor2="rgb(255, 255, 255)" link="url:http%3A%2F%2Fyoutube.com%2Fwatch%3Fv%3DbS3uSzk4VwY|||"][/vc_column_inner][vc_column_inner align="text-center" responsive_align="text-center"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="18px" margin="bottom_small:0.25em"]Carlos Santana[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(128, 127, 131)" fs="18px"]Live Performance in London[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Tab" tab_id="lqd-1600677498601-48dacf29-8412"][vc_row_inner][vc_column_inner bg_position="center center" align="text-center" responsive_css="padding_top_medium:220px|padding_bottom_medium:220px" css=".vc_custom_1583764929789{margin-bottom: 30px !important;padding-top: 135px !important;padding-bottom: 135px !important;background-image: url(https://musichub.liquid-themes.com/staging/wp-content/uploads/2020/03/carousel-3@2x.jpg?id=4531) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;border-radius: 5px !important;}" responsive_align="text-center"][ld_button style="btn-naked" link_type="lightbox" i_type="linea" i_position="top" i_shape="btn-icon-circle" i_shape_style="btn-icon-bordered" i_shape_bw="btn-icon-border-thickest" i_shape_size="btn-icon-custom-size" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-ion-ios-play" i_size="25px" i_shape_custom_size="86px" i_hcolor="rgb(0, 0, 0)" i_color="rgb(255, 255, 255)" i_fill_color2="rgb(255, 255, 255)" i_fill_hcolor2="rgb(255, 255, 255)" link="url:http%3A%2F%2Fyoutube.com%2Fwatch%3Fv%3DbS3uSzk4VwY|||"][/vc_column_inner][vc_column_inner align="text-center" responsive_align="text-center"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="18px" margin="bottom_small:0.25em"]Carlos Santana[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(128, 127, 131)" fs="18px"]Live Performance in London[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Tab" tab_id="lqd-1600677502379-20bcbc66-e24c"][vc_row_inner][vc_column_inner bg_position="center center" align="text-center" responsive_css="padding_top_medium:220px|padding_bottom_medium:220px" css=".vc_custom_1583764921850{margin-bottom: 30px !important;padding-top: 135px !important;padding-bottom: 135px !important;background-image: url(https://musichub.liquid-themes.com/staging/wp-content/uploads/2020/03/carousel-2@2x.jpg?id=4530) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;border-radius: 5px !important;}" responsive_align="text-center"][ld_button style="btn-naked" link_type="lightbox" i_type="linea" i_position="top" i_shape="btn-icon-circle" i_shape_style="btn-icon-bordered" i_shape_bw="btn-icon-border-thickest" i_shape_size="btn-icon-custom-size" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-ion-ios-play" i_size="25px" i_shape_custom_size="86px" i_hcolor="rgb(0, 0, 0)" i_color="rgb(255, 255, 255)" i_fill_color2="rgb(255, 255, 255)" i_fill_hcolor2="rgb(255, 255, 255)" link="url:http%3A%2F%2Fyoutube.com%2Fwatch%3Fv%3DbS3uSzk4VwY|||"][/vc_column_inner][vc_column_inner align="text-center" responsive_align="text-center"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="18px" margin="bottom_small:0.25em"]Carlos Santana[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(128, 127, 131)" fs="18px"]Live Performance in London[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Tab" tab_id="lqd-1600677506194-98843f62-752f"][vc_row_inner][vc_column_inner bg_position="center center" align="text-center" responsive_css="padding_top_medium:220px|padding_bottom_medium:220px" css=".vc_custom_1595926170703{margin-bottom: 30px !important;padding-top: 135px !important;padding-bottom: 135px !important;background-image: url(https://musichub.liquid-themes.com/staging/wp-content/uploads/2020/03/slide-2-opt.jpg?id=4524) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;border-radius: 5px !important;}" responsive_align="text-center"][ld_button style="btn-naked" link_type="lightbox" i_type="linea" i_position="top" i_shape="btn-icon-circle" i_shape_style="btn-icon-bordered" i_shape_bw="btn-icon-border-thickest" i_shape_size="btn-icon-custom-size" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-ion-ios-play" i_size="25px" i_shape_custom_size="86px" i_hcolor="rgb(0, 0, 0)" i_color="rgb(255, 255, 255)" i_fill_color2="rgb(255, 255, 255)" i_fill_hcolor2="rgb(255, 255, 255)" link="url:http%3A%2F%2Fyoutube.com%2Fwatch%3Fv%3DbS3uSzk4VwY|||"][/vc_column_inner][vc_column_inner align="text-center" responsive_align="text-center"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="18px" margin="bottom_small:0.25em"]Carlos Santana[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(128, 127, 131)" fs="18px"]Live Performance in London[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_carousel_marquee_section][/ld_carousel_marquee_tab][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;
	
	//Marquee 2 - gridportfolio
	$data = array();
	$data['name'] = esc_html__( 'Marquee 02', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'marquee-2.jpg' );
	$data['sort_name'] = 'Marquee';
	$data['custom_class'] = 'general marquee';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" css=".vc_custom_1605879890274{margin-top: 30px !important;margin-bottom: 40px !important;}" responsive_css="margin_top_medium:100px|margin_bottom_medium:100px"][vc_column][ld_carousel_marquee_tab columns_auto_width="yes" fadesides="lqd-fade-sides" draggable="no" pause_on_hover="yes" reverse="yes"][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600669953490-1d6432ae-31e3"][ld_fancy_heading whitespace="ws-nowrap" hover_text_outline="ld-fh-outline" outline_appearance="ld-fh-outline-static" use_custom_fonts_title="true" fs="text_large:10vw|text_small:50px" color="rgb(0, 0, 0)" hover_text_outline_color="rgba(0, 0, 0, 0.2)" lh="text_small:1em" ls="text_small:-0.02em"]UI Design.[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Tab" tab_id="lqd-1600670046727-6e3f70d6-9e29"][ld_fancy_heading whitespace="ws-nowrap" hover_text_outline="ld-fh-outline" outline_appearance="ld-fh-outline-static" use_custom_fonts_title="true" fs="text_large:10vw|text_small:50px" color="rgb(0, 0, 0)" hover_text_outline_color="rgba(0, 0, 0, 0.2)" lh="text_small:1em" ls="text_small:-0.02em"]Branding.[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Tab" tab_id="lqd-1600670050127-af9486df-0052"][ld_fancy_heading whitespace="ws-nowrap" hover_text_outline="ld-fh-outline" outline_appearance="ld-fh-outline-static" use_custom_fonts_title="true" fs="text_large:10vw|text_small:50px" color="rgb(0, 0, 0)" hover_text_outline_color="rgba(0, 0, 0, 0.2)" lh="text_small:1em" ls="text_small:-0.02em"]Development.[/ld_fancy_heading][/ld_carousel_marquee_section][/ld_carousel_marquee_tab][ld_carousel_marquee_tab columns_auto_width="yes" fadesides="lqd-fade-sides" draggable="no" pause_on_hover="yes"][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600669960959-c9e61543-b44e"][ld_fancy_heading whitespace="ws-nowrap" hover_text_outline="ld-fh-outline" outline_appearance="ld-fh-outline" use_custom_fonts_title="true" fs="text_large:10vw|text_small:50px" color="rgb(0, 0, 0)" hover_text_outline_color="rgba(0, 0, 0, 0.2)" lh="text_small:1em" ls="text_small:-0.02em"]Motion Design.[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Tab" tab_id="lqd-1600670059663-52e16e4a-044c"][ld_fancy_heading whitespace="ws-nowrap" hover_text_outline="ld-fh-outline" outline_appearance="ld-fh-outline" use_custom_fonts_title="true" fs="text_large:10vw|text_small:50px" color="rgb(0, 0, 0)" hover_text_outline_color="rgba(0, 0, 0, 0.2)" lh="text_small:1em" ls="text_small:-0.02em"]Art Direction.[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Tab" tab_id="lqd-1600670067403-b1936528-48cc"][ld_fancy_heading whitespace="ws-nowrap" hover_text_outline="ld-fh-outline" outline_appearance="ld-fh-outline" use_custom_fonts_title="true" fs="text_large:10vw|text_small:50px" color="rgb(0, 0, 0)" hover_text_outline_color="rgba(0, 0, 0, 0.2)" lh="text_small:1em" ls="text_small:-0.02em"]Marketing Strategy.[/ld_fancy_heading][/ld_carousel_marquee_section][/ld_carousel_marquee_tab][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;
	
	//Marquee 3 - startup
	$data = array();
	$data['name'] = esc_html__( 'Marquee 03', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'marquee-3.jpg' );
	$data['sort_name'] = 'Marquee';
	$data['custom_class'] = 'general marquee';
	$data['content'] = <<<CONTENT
	[vc_row bg_position="center top" css=".vc_custom_1614256038099{padding-bottom: 50px !important;background-image: url(https://startuphub.liquid-themes.com/staging/wp-content/uploads/2020/04/bg-2.png?id=774) !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}" responsive_css="margin_bottom_medium:70px|padding_top_medium:50px" el_id="integration"][vc_column][ld_carousel_marquee_tab columns_auto_width="yes" auto_width_padding="2%" cellalign="center" fadesides="lqd-fade-sides" pause_on_hover="yes"][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600428714688-cc703bb5-fbc6"][ld_icon_box i_type="image" get_bubble_classname="iconbox-bubble" get_content_hover_classname="iconbox-contents-show-onhover" i_shape="square" i_size="xs" i_border="" enable_shape_shadowbox="yes" i_icon_image="772" title_mb="1" icon_mb="1" i_shape_border_radius="25" custom_i_size="75px" shape_color="rgb(255, 255, 255)" shape_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2215px%22%2C%22blur_radius%22%3A%2230px%22%2C%22shadow_color%22%3A%22rgba(65%2C94%2C148%2C0.1)%22%7D%5D"][/ld_icon_box][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600428714845-f3b92a23-4344"][ld_icon_box i_type="image" i_shape="square" i_size="xs" i_border="" enable_shape_shadowbox="yes" i_icon_image="771" title_mb="1" icon_mb="1" i_shape_border_radius="25" custom_i_size="75px" shape_color="rgb(255, 255, 255)" shape_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2215px%22%2C%22blur_radius%22%3A%2230px%22%2C%22shadow_color%22%3A%22rgba(65%2C94%2C148%2C0.1)%22%7D%5D"][/ld_icon_box][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Tab" tab_id="lqd-1600428741879-b1bfcf2a-7e76"][ld_icon_box i_type="image" i_shape="square" i_size="xs" i_border="" enable_shape_shadowbox="yes" i_icon_image="770" title_mb="1" icon_mb="1" i_shape_border_radius="25" custom_i_size="75px" shape_color="rgb(255, 255, 255)" shape_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2215px%22%2C%22blur_radius%22%3A%2230px%22%2C%22shadow_color%22%3A%22rgba(65%2C94%2C148%2C0.1)%22%7D%5D"][/ld_icon_box][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Tab" tab_id="lqd-1600428745953-9c60f44f-9e15"][ld_icon_box i_type="image" i_shape="square" i_size="xs" i_border="" enable_shape_shadowbox="yes" i_icon_image="769" title_mb="1" icon_mb="1" i_shape_border_radius="25" custom_i_size="75px" shape_color="rgb(255, 255, 255)" shape_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2215px%22%2C%22blur_radius%22%3A%2230px%22%2C%22shadow_color%22%3A%22rgba(65%2C94%2C148%2C0.1)%22%7D%5D"][/ld_icon_box][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Tab" tab_id="lqd-1600428749822-973048db-a108"][ld_icon_box i_type="image" i_shape="square" i_size="xs" i_border="" enable_shape_shadowbox="yes" i_icon_image="767" title_mb="1" icon_mb="1" i_shape_border_radius="25" custom_i_size="75px" shape_color="rgb(255, 255, 255)" shape_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2215px%22%2C%22blur_radius%22%3A%2230px%22%2C%22shadow_color%22%3A%22rgba(65%2C94%2C148%2C0.1)%22%7D%5D"][/ld_icon_box][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Tab" tab_id="lqd-1600428754067-008dbae0-2d76"][ld_icon_box i_type="image" i_shape="square" i_size="xs" i_border="" enable_shape_shadowbox="yes" i_icon_image="763" title_mb="1" icon_mb="1" i_shape_border_radius="25" custom_i_size="75px" shape_color="rgb(255, 255, 255)" shape_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2215px%22%2C%22blur_radius%22%3A%2230px%22%2C%22shadow_color%22%3A%22rgba(65%2C94%2C148%2C0.1)%22%7D%5D"][/ld_icon_box][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Tab" tab_id="lqd-1600428757948-460785e0-337b"][ld_icon_box i_type="image" i_shape="square" i_size="xs" i_border="" enable_shape_shadowbox="yes" i_icon_image="764" title_mb="1" icon_mb="1" i_shape_border_radius="25" custom_i_size="75px" shape_color="rgb(255, 255, 255)" shape_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2215px%22%2C%22blur_radius%22%3A%2230px%22%2C%22shadow_color%22%3A%22rgba(65%2C94%2C148%2C0.1)%22%7D%5D"][/ld_icon_box][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Tab" tab_id="lqd-1600428761906-f45e00fa-53d9"][ld_icon_box i_type="image" i_shape="square" i_size="xs" i_border="" enable_shape_shadowbox="yes" i_icon_image="773" title_mb="1" icon_mb="1" i_shape_border_radius="25" custom_i_size="75px" shape_color="rgb(255, 255, 255)" shape_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2215px%22%2C%22blur_radius%22%3A%2230px%22%2C%22shadow_color%22%3A%22rgba(65%2C94%2C148%2C0.1)%22%7D%5D"][/ld_icon_box][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Tab" tab_id="lqd-1600428766025-9da6ad0c-4cb6"][ld_icon_box i_type="image" i_shape="square" i_size="xs" i_border="" enable_shape_shadowbox="yes" i_icon_image="768" title_mb="1" icon_mb="1" i_shape_border_radius="25" custom_i_size="75px" shape_color="rgb(255, 255, 255)" shape_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2215px%22%2C%22blur_radius%22%3A%2230px%22%2C%22shadow_color%22%3A%22rgba(65%2C94%2C148%2C0.1)%22%7D%5D"][/ld_icon_box][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Tab" tab_id="lqd-1600428771003-636fd2c4-7179"][ld_icon_box i_type="image" i_shape="square" i_size="xs" i_border="" enable_shape_shadowbox="yes" i_icon_image="771" title_mb="1" icon_mb="1" i_shape_border_radius="25" custom_i_size="75px" shape_color="rgb(255, 255, 255)" shape_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2215px%22%2C%22blur_radius%22%3A%2230px%22%2C%22shadow_color%22%3A%22rgba(65%2C94%2C148%2C0.1)%22%7D%5D"][/ld_icon_box][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Tab" tab_id="lqd-1600428775638-351cb4b1-22d2"][ld_icon_box i_type="image" i_shape="square" i_size="xs" i_border="" enable_shape_shadowbox="yes" i_icon_image="769" title_mb="1" icon_mb="1" i_shape_border_radius="25" custom_i_size="75px" shape_color="rgb(255, 255, 255)" shape_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2215px%22%2C%22blur_radius%22%3A%2230px%22%2C%22shadow_color%22%3A%22rgba(65%2C94%2C148%2C0.1)%22%7D%5D"][/ld_icon_box][/ld_carousel_marquee_section][/ld_carousel_marquee_tab][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;
	
	//Marquee 4 - startup
	$data = array();
	$data['name'] = esc_html__( 'Marquee 04', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'marquee-4.jpg' );
	$data['sort_name'] = 'Marquee';
	$data['custom_class'] = 'general marquee';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" gap="0" css=".vc_custom_1605833709875{padding-bottom: 70px !important;}" responsive_css="padding_top_medium:40px|padding_bottom_medium:40px"][vc_column align="text-center" css=".vc_custom_1588159798471{margin-bottom: 45px !important;}" responsive_align="text-center"][ld_fancy_heading tag="h6" transform="text-uppercase" enable_bg="yes" fh_border_radius="round" use_custom_fonts_title="true" color="rgb(51, 59, 65)" fs="text_small:11px" ls="text_small:0.1em" padding="top_small:7px|right_small:20px|bottom_small:7px|left_small:20px" fh_bg="rgb(237, 243, 247)" margin="bottom_small:1.5em"]Trusted by[/ld_fancy_heading][/vc_column][vc_column align="text-center" responsive_align="text-center"][ld_carousel_marquee_tab columns="md:5|xs:3|spacing_xs:2%25" cellalign="center" fadesides="lqd-fade-sides" draggable="no" pause_on_hover="yes"][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600428250615-4989a97c-9694"][vc_single_image image="4682" css=".vc_custom_1611668430694{margin-bottom: 0px !important;}"][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600428434207-1f7690cd-1757"][vc_single_image image="4685" css=".vc_custom_1611668420537{margin-bottom: 0px !important;}"][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600428461710-d9abacf9-c67e"][vc_single_image image="800" img_size="30x24" css=".vc_custom_1600428674389{margin-bottom: 0px !important;}"][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600428479085-8469b200-802c"][vc_single_image image="4684" css=".vc_custom_1611668446288{margin-bottom: 0px !important;}"][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600428502839-5cb03a59-01b9"][vc_single_image image="4681" css=".vc_custom_1611668467470{margin-bottom: 0px !important;}"][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600428523133-611aa506-328a"][vc_single_image image="4680" css=".vc_custom_1611668490009{margin-bottom: 0px !important;}"][/ld_carousel_marquee_section][/ld_carousel_marquee_tab][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;
	
	//Marquee 5 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Marquee 05', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'marquee-5.jpg' );
	$data['sort_name'] = 'Marquee';
	$data['custom_class'] = 'general marquee';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" gap="0" css=".vc_custom_1602671540471{padding-top: 25px !important;padding-bottom: 25px !important;background-color: #ffd78b !important;}"][vc_column][ld_carousel_marquee_tab columns_auto_width="yes" auto_width_padding="2%" cellalign="center"][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1603288497441-8bf20fef-4083"][ld_icon_box i_type="fontawesome" i_icon_fontawesome="fas fa-circle" title_mb="1" icon_size="8px" icon_mb="1" css=".vc_custom_1603288495552{margin-bottom: 0px !important;}"][/ld_icon_box][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1602670644137-e38675d2-149a"][ld_fancy_heading tag="h4" whitespace="ws-nowrap" use_custom_fonts_title="true" fs="text_small:17px" margin="bottom_small:0px" fw="text_small:500"]I feel amazing when I use Hub Cosmetics.[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1603288409283-989c28c2-d697"][ld_icon_box i_type="fontawesome" i_icon_fontawesome="fas fa-circle" title_mb="1" icon_size="8px" icon_mb="1" css=".vc_custom_1603288483752{margin-bottom: 0px !important;}"][/ld_icon_box][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1602671192095-46abc435-ec95"][ld_fancy_heading tag="h4" whitespace="ws-nowrap" use_custom_fonts_title="true" fs="text_small:17px" margin="bottom_small:0px" fw="text_small:500"]The best products I’ve ever tried! Simply amazing![/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1602670963432-11920b84-244e"][ld_icon_box i_type="fontawesome" i_icon_fontawesome="fas fa-circle" title_mb="1" icon_size="8px" icon_mb="1" css=".vc_custom_1603288495552{margin-bottom: 0px !important;}"][/ld_icon_box][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1602670954055-fa8296fb-8b7e"][ld_fancy_heading tag="h4" whitespace="ws-nowrap" use_custom_fonts_title="true" fs="text_small:17px" margin="bottom_small:0px" fw="text_small:500"]I was super happy when I got the package! It’s the best skin care product I’ve ever used![/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1603288526674-65d262fc-eff4"][ld_icon_box i_type="fontawesome" i_icon_fontawesome="fas fa-circle" title_mb="1" icon_size="8px" icon_mb="1" css=".vc_custom_1603288495552{margin-bottom: 0px !important;}"][/ld_icon_box][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1602670975168-2be5953e-7120"][ld_fancy_heading tag="h4" whitespace="ws-nowrap" use_custom_fonts_title="true" fs="text_small:17px" margin="bottom_small:0px" fw="text_small:500"]The best products I’ve ever tried! Simply amazing![/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1603288521994-c8c46d08-1455"][ld_icon_box i_type="fontawesome" i_icon_fontawesome="fas fa-circle" title_mb="1" icon_size="8px" icon_mb="1" css=".vc_custom_1603288495552{margin-bottom: 0px !important;}"][/ld_icon_box][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1602671209218-19459e63-0fea"][ld_fancy_heading tag="h4" whitespace="ws-nowrap" use_custom_fonts_title="true" fs="text_small:17px" margin="bottom_small:0px" fw="text_small:500"]I was super happy when I got the package! It’s the best skin care product I’ve ever used![/ld_fancy_heading][/ld_carousel_marquee_section][/ld_carousel_marquee_tab][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;
	
	//Marquee 6 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Marquee 06', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'marquee-6.jpg' );
	$data['sort_name'] = 'Marquee';
	$data['custom_class'] = 'general marquee';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" css=".vc_custom_1605606230955{padding-top: 60px !important;padding-bottom: 60px !important;}" responsive_css="padding_top_medium:100px|padding_bottom_medium:100px"][vc_column align="text-center" responsive_align="text-center"][ld_carousel_marquee_tab columns_auto_width="yes" auto_width_padding="2%" cellalign="center" fadesides="lqd-fade-sides" marquee_speed="2"][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1603433760082-6eae0819-1090"][ld_fancy_heading tag="h2" transform="text-uppercase" whitespace="ws-nowrap" hover_text_outline="ld-fh-outline" outline_appearance="ld-fh-outline-static" use_custom_fonts_title="true" hover_text_outline_color="rgb(255, 255, 255)" fs="text_small:12vw" margin="bottom_small:0px"]Webgl[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Tab" tab_id="lqd-1603433967213-165b3b46-9d5d"][ld_fancy_heading tag="h2" transform="text-uppercase" whitespace="ws-nowrap" hover_text_outline="ld-fh-outline" outline_appearance="ld-fh-outline-static" use_custom_fonts_title="true" hover_text_outline_color="rgb(255, 255, 255)" fs="text_small:12vw" margin="bottom_small:0px"]Ruby[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Tab" tab_id="lqd-1603433970644-39e52cac-75ce"][ld_fancy_heading tag="h2" transform="text-uppercase" whitespace="ws-nowrap" hover_text_outline="ld-fh-outline" outline_appearance="ld-fh-outline-static" use_custom_fonts_title="true" hover_text_outline_color="rgb(255, 255, 255)" fs="text_small:12vw" margin="bottom_small:0px"]Java[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Tab" tab_id="lqd-1603433973732-5dd9bbb5-1239"][ld_fancy_heading tag="h2" transform="text-uppercase" whitespace="ws-nowrap" hover_text_outline="ld-fh-outline" outline_appearance="ld-fh-outline-static" use_custom_fonts_title="true" hover_text_outline_color="rgb(255, 255, 255)" fs="text_small:12vw" margin="bottom_small:0px"]Dart[/ld_fancy_heading][/ld_carousel_marquee_section][/ld_carousel_marquee_tab][vc_row_inner responsive_css="padding_right_medium:8vw|padding_left_medium:8vw"][vc_column_inner][vc_separator color="white" border_width="2" css=".vc_custom_1588404151561{margin-top: 0px !important;margin-bottom: 0px !important;}"][/vc_column_inner][/vc_row_inner][ld_carousel_marquee_tab columns_auto_width="yes" auto_width_padding="2%" cellalign="center" fadesides="lqd-fade-sides" reverse="yes" marquee_speed="2"][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1603433802208-9e944f5d-8ecd"][ld_fancy_heading tag="h2" transform="text-uppercase" whitespace="ws-nowrap" use_custom_fonts_title="true" fs="text_small:12vw" margin="bottom_small:0px"]Social[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Tab" tab_id="lqd-1603433867498-a43b9d62-800b"][ld_fancy_heading tag="h2" transform="text-uppercase" whitespace="ws-nowrap" use_custom_fonts_title="true" fs="text_small:12vw" margin="bottom_small:0px"]Ecommerce[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Tab" tab_id="lqd-1603433871018-e034fb2c-ae87"][ld_fancy_heading tag="h2" transform="text-uppercase" whitespace="ws-nowrap" use_custom_fonts_title="true" fs="text_small:12vw" margin="bottom_small:0px"]UI Design[/ld_fancy_heading][/ld_carousel_marquee_section][/ld_carousel_marquee_tab][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Marquee 7 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Marquee 07', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'marquee-7.jpg' );
	$data['sort_name'] = 'Marquee';
	$data['custom_class'] = 'general marquee';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" css=".vc_custom_1605606230955{padding-top: 60px !important;padding-bottom: 60px !important;}" responsive_css="padding_top_medium:100px|padding_bottom_medium:100px"][vc_column align="text-center" responsive_align="text-center"][ld_carousel_marquee_tab columns_auto_width="yes" auto_width_padding="2%" cellalign="center" fadesides="lqd-fade-sides" marquee_speed="2"][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1603433760082-6eae0819-1090"][ld_fancy_heading tag="h2" transform="text-uppercase" whitespace="ws-nowrap" hover_text_outline="ld-fh-outline" outline_appearance="ld-fh-outline-static" use_custom_fonts_title="true" hover_text_outline_color="rgb(255, 255, 255)" fs="text_small:12vw" margin="bottom_small:0px"]Webgl[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Tab" tab_id="lqd-1603433967213-165b3b46-9d5d"][ld_fancy_heading tag="h2" transform="text-uppercase" whitespace="ws-nowrap" hover_text_outline="ld-fh-outline" outline_appearance="ld-fh-outline-static" use_custom_fonts_title="true" hover_text_outline_color="rgb(255, 255, 255)" fs="text_small:12vw" margin="bottom_small:0px"]Ruby[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Tab" tab_id="lqd-1603433970644-39e52cac-75ce"][ld_fancy_heading tag="h2" transform="text-uppercase" whitespace="ws-nowrap" hover_text_outline="ld-fh-outline" outline_appearance="ld-fh-outline-static" use_custom_fonts_title="true" hover_text_outline_color="rgb(255, 255, 255)" fs="text_small:12vw" margin="bottom_small:0px"]Java[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Tab" tab_id="lqd-1603433973732-5dd9bbb5-1239"][ld_fancy_heading tag="h2" transform="text-uppercase" whitespace="ws-nowrap" hover_text_outline="ld-fh-outline" outline_appearance="ld-fh-outline-static" use_custom_fonts_title="true" hover_text_outline_color="rgb(255, 255, 255)" fs="text_small:12vw" margin="bottom_small:0px"]Dart[/ld_fancy_heading][/ld_carousel_marquee_section][/ld_carousel_marquee_tab][vc_row_inner responsive_css="padding_right_medium:8vw|padding_left_medium:8vw"][vc_column_inner][vc_separator color="white" border_width="2" css=".vc_custom_1588404151561{margin-top: 0px !important;margin-bottom: 0px !important;}"][/vc_column_inner][/vc_row_inner][ld_carousel_marquee_tab columns_auto_width="yes" auto_width_padding="2%" cellalign="center" fadesides="lqd-fade-sides" reverse="yes" marquee_speed="2"][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1603433802208-9e944f5d-8ecd"][ld_fancy_heading tag="h2" transform="text-uppercase" whitespace="ws-nowrap" use_custom_fonts_title="true" fs="text_small:12vw" margin="bottom_small:0px"]Social[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Tab" tab_id="lqd-1603433867498-a43b9d62-800b"][ld_fancy_heading tag="h2" transform="text-uppercase" whitespace="ws-nowrap" use_custom_fonts_title="true" fs="text_small:12vw" margin="bottom_small:0px"]Ecommerce[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Tab" tab_id="lqd-1603433871018-e034fb2c-ae87"][ld_fancy_heading tag="h2" transform="text-uppercase" whitespace="ws-nowrap" use_custom_fonts_title="true" fs="text_small:12vw" margin="bottom_small:0px"]UI Design[/ld_fancy_heading][/ld_carousel_marquee_section][/ld_carousel_marquee_tab][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Marquee 8 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Marquee 08', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'marquee-8.jpg' );
	$data['sort_name'] = 'Marquee';
	$data['custom_class'] = 'general marquee';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" gap="0" bg_position="right center" css=".vc_custom_1611739774461{padding-top: 100px !important;padding-bottom: 100px !important;background-image: url(https://fashionstorepro.liquid-themes.com/wp-content/uploads/2021/01/fashion-banner@2x.jpg?id=4723) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" responsive_css="padding_top_medium:180px|padding_bottom_medium:180px"][vc_column][ld_carousel_marquee_tab columns_auto_width="yes" auto_width_padding="1%" cellalign="center" draggable="no" reverse="yes" marquee_speed="2.5"][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600869286436-59cf967c-a07e"][ld_fancy_heading tag="h6" transform="text-uppercase" whitespace="ws-nowrap" hover_text_outline="ld-fh-outline" outline_appearance="ld-fh-outline-static" use_custom_fonts_title="true" hover_text_outline_color="rgb(255, 255, 255)" hover_text_outline_width="1px" fs="text_small:10vmin" margin="bottom_small:0px"]New arrivals[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600869818369-03acb2a4-846a"][ld_fancy_heading tag="h6" transform="text-uppercase" whitespace="ws-nowrap" hover_text_outline="ld-fh-outline" outline_appearance="ld-fh-outline-static" use_custom_fonts_title="true" hover_text_outline_color="rgb(255, 255, 255)" hover_text_outline_width="1px" fs="text_small:10vmin" margin="bottom_small:0px"]New arrivals[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600869817802-3774fc9d-9692"][ld_fancy_heading tag="h6" transform="text-uppercase" whitespace="ws-nowrap" hover_text_outline="ld-fh-outline" outline_appearance="ld-fh-outline-static" use_custom_fonts_title="true" hover_text_outline_color="rgb(255, 255, 255)" hover_text_outline_width="1px" fs="text_small:10vmin" margin="bottom_small:0px"]New arrivals[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600869817219-849901cc-8e60"][ld_fancy_heading tag="h6" transform="text-uppercase" whitespace="ws-nowrap" hover_text_outline="ld-fh-outline" outline_appearance="ld-fh-outline-static" use_custom_fonts_title="true" hover_text_outline_color="rgb(255, 255, 255)" hover_text_outline_width="1px" fs="text_small:10vmin" margin="bottom_small:0px"]New arrivals[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600869816524-0deef519-42a2"][ld_fancy_heading tag="h6" transform="text-uppercase" whitespace="ws-nowrap" hover_text_outline="ld-fh-outline" outline_appearance="ld-fh-outline-static" use_custom_fonts_title="true" hover_text_outline_color="rgb(255, 255, 255)" hover_text_outline_width="1px" fs="text_small:10vmin" margin="bottom_small:0px"]New arrivals[/ld_fancy_heading][/ld_carousel_marquee_section][/ld_carousel_marquee_tab][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Marquee 9 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Marquee 09', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'marquee-9.jpg' );
	$data['sort_name'] = 'Marquee';
	$data['custom_class'] = 'general marquee';
	$data['content'] = <<<CONTENT
	[vc_row responsive_css="padding_top_medium:50px|padding_bottom_medium:50px" css=".vc_custom_1614256641431{padding-top: 30px !important;padding-bottom: 30px !important;}"][vc_column offset="vc_hidden-sm vc_hidden-xs"][ld_particles as_bg="yes" shape_type="image" opacity="1" enable_move="yes" move_out_mode="bounce" enable_bounce_move="yes" modes_grab_opacity="1" particle_id="lqd-1614869946417-306a9263-8727" number="1" image="4907" size="45" el_class="hidden-xs hidden-sm"][ld_particles as_bg="yes" shape_type="image" opacity="1" enable_move="yes" move_out_mode="bounce" enable_bounce_move="yes" modes_grab_opacity="1" particle_id="lqd-1614870476008-6329acb8-f972" number="1" image="4906" size="40" el_class="hidden-xs hidden-sm"][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_x="20%" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_origin_x="80%" ca_an_opacity="1" offset="vc_col-md-offset-2 vc_col-md-8" responsive_align="text-center" ca_duration="1600" ca_delay="160" ca_init_translate_y="65" ca_init_rotate_y="25"][ld_fancy_heading tag="p" absolute_pos="yes" use_custom_fonts_title="true" use_inheritance="true" gradient="linear-gradient(180deg, rgba(34, 43, 60, 0.1) 0%, rgba(255, 255, 255, 0.1) 100%)" fs="text_large:300px|text_small:39vw" position="bottom_medium:-350px|right_small:0px|bottom_small:-80px|left_small:0px" lh="text_small:0.8em" margin="bottom_small:0px" fw="text_small:700" ls="text_small:-0.025"]4.87[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" gradient="linear-gradient(90deg, rgb(181,201,212) 0%, rgb(242,171,53) 27.38853503184713%, rgb(247,135,75) 68.59872611464968%, #c6b5bd 100%)" fs="text_large:74px|text_medium:54px|text_small:14vw" lh="text_small:1em" margin="top_small:-0.15em|bottom_small:0px"]The best rated[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_large:74px|text_medium:54px|text_small:14vw" lh="text_small:1em" margin="bottom_small:0.2em" color="rgb(49, 49, 49)"]theme[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgba(0, 0, 0, 0.6)" fs="text_small:18px" lh="text_small:1.4em" margin="right_large:18%25|left_large:18%25|bottom_small:1em"]They enjoy Hub as much as we do. So, why don’t you join us and be a part of the fastest growing community?[/ld_fancy_heading][/vc_column][/vc_row][vc_row full_width="stretch_row" gap="0"][vc_column][ld_carousel_marquee_tab columns="md:3.95|sm:2.5|xs:1|spacing_xs:15px" cellalign="center" inactiv_opacity="1" groupcells="no" wraparound="yes" mobile_dots_bottom_offset_outside="0px"][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1614259738802-47276269-95c2"][ld_testimonial title="Alex De Sanchez" position="Freelancer Designer"]Great design templates which are quite easy to adapt. The customer support is very helpful.[/ld_testimonial][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1614261032484-7586d1ec-1e99"][ld_testimonial title="Alex De Sanchez" position="Freelancer Designer"]Great design templates which are quite easy to adapt. The customer support is very helpful.[/ld_testimonial][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1614259933121-93dd082b-2525"][ld_testimonial title="Alex De Sanchez" position="Freelancer Designer"]Great design templates which are quite easy to adapt. The customer support is very helpful.[/ld_testimonial][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1614259931722-01422873-c280"][ld_testimonial title="Alex De Sanchez" position="Freelancer Designer"]Great design templates which are quite easy to adapt. The customer support is very helpful.[/ld_testimonial][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1614259930032-54fb41d0-fa8b"][ld_testimonial title="Alex De Sanchez" position="Freelancer Designer"]Great design templates which are quite easy to adapt. The customer support is very helpful.[/ld_testimonial][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1614259928521-9c81606f-f5ae"][ld_testimonial title="Alex De Sanchez" position="Freelancer Designer"]Great design templates which are quite easy to adapt. The customer support is very helpful.[/ld_testimonial][/ld_carousel_marquee_section][/ld_carousel_marquee_tab][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Marquee 10 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Marquee 10', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'marquee-11.jpg' );
	$data['sort_name'] = 'Marquee';
	$data['custom_class'] = 'general marquee';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1621001372195{border-top-width: 1px !important;padding-top: 40px !important;padding-bottom: 40px !important;border-top-color: #f0f0f0 !important;border-top-style: solid !important;}" responsive_css="margin_top_medium:60px"][vc_column][ld_carousel_marquee_tab columns="md:6|sm:4|xs:3|spacing_xs:5px" cellalign="center" fadesides="lqd-fade-sides" reverse="yes" marquee_speed="1"][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600869275969-2af5a83e-691d"][vc_single_image image="86" css=".vc_custom_1600869578540{margin-bottom: 0px !important;}"][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600869581894-1df5449f-86ae"][vc_single_image image="89" css=".vc_custom_1600869594464{margin-bottom: 0px !important;}"][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600869595467-ec50c9c5-a299"][vc_single_image image="88" css=".vc_custom_1600869608860{margin-bottom: 0px !important;}"][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600869619216-960b0d0f-15ef"][vc_single_image image="87" css=".vc_custom_1600869646405{margin-bottom: 0px !important;}"][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600869648981-0550ffa2-b53c"][vc_single_image image="90" css=".vc_custom_1600869662207{margin-bottom: 0px !important;}"][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600869663953-167bf2b1-dbdf"][vc_single_image image="91" css=".vc_custom_1600869682676{margin-bottom: 0px !important;}"][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600869684367-6a0c87f8-3df3"][vc_single_image image="88" css=".vc_custom_1600869805735{margin-bottom: 0px !important;}"][/ld_carousel_marquee_section][/ld_carousel_marquee_tab][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Marquee 12 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Marquee 12', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'marquee-12.jpg' );
	$data['sort_name'] = 'Marquee';
	$data['custom_class'] = 'general marquee';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" gap="0" css=".vc_custom_1605616478180{padding-bottom: 60px !important;}"][vc_column][ld_carousel_marquee_tab columns="md:4.25|sm:2.9|xs:1.5|spacing_md:50px|spacing_xs:2%25" pause_on_hover="yes" randomveroffset="yes"][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600434166403-376bd1f6-e3bd"][vc_single_image image="56" css=".vc_custom_1600434720760{margin-bottom: 50px !important;}"][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600434294047-e8e3297a-ecf8"][vc_single_image image="58" css=".vc_custom_1600434728358{margin-bottom: 50px !important;}"][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600434315298-8ffdba0e-bdb9"][vc_single_image image="59" css=".vc_custom_1600434737821{margin-bottom: 50px !important;}"][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600434339502-e71d2cda-694b"][vc_single_image image="4313" css=".vc_custom_1600434747987{margin-bottom: 50px !important;}"][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600434392281-5839817b-a5de"][vc_single_image image="57" css=".vc_custom_1600434759523{margin-bottom: 50px !important;}"][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600434420928-b13c76de-d2ed"][vc_single_image image="56" css=".vc_custom_1600434767214{margin-bottom: 50px !important;}"][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600434440973-4835951d-d1fa"][vc_single_image image="4314" css=".vc_custom_1600434775295{margin-bottom: 50px !important;}"][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600434469640-f8476374-692b"][vc_single_image image="4311" css=".vc_custom_1600434783500{margin-bottom: 50px !important;}"][/ld_carousel_marquee_section][/ld_carousel_marquee_tab][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Marquee 13 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Marquee 13', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'marquee-13.jpg' );
	$data['sort_name'] = 'Marquee';
	$data['custom_class'] = 'general marquee';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" gap="0" responsive_css="padding_bottom_medium:170px" css=".vc_custom_1608305043948{padding-bottom: 60px !important;}"][vc_column css=".vc_custom_1608298152523{margin-bottom: 15px !important;}"][ld_carousel_marquee_tab columns_auto_width="yes" auto_width_padding="1%" marquee_speed="0.75"][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1608116305863-05a26f49-3597"][ld_fancy_heading tag="h3" transform="text-uppercase" whitespace="ws-nowrap" enable_bg="yes" fh_border_radius="circle" enable_fh_shadowbox="yes" use_custom_fonts_title="true" margin="top_small:2px|bottom_small:2px" ls="text_small:-0.02em" fs="text_large:4vw" lh="text_small:1em" fh_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%220%22%2C%22blur_radius%22%3A%220%22%2C%22spread_radius%22%3A%222px%22%2C%22shadow_color%22%3A%22%231f1f1f%22%7D%5D" padding="top_small:0.1em|right_small:0.5em|bottom_small:0.1em|left_small:0.5em"]Branding[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1608116305864-78c3d786-5fc8"][ld_fancy_heading tag="h3" transform="text-uppercase" whitespace="ws-nowrap" enable_bg="yes" fh_border_radius="circle" enable_fh_shadowbox="yes" use_custom_fonts_title="true" margin="top_small:2px|bottom_small:2px" ls="text_small:-0.02em" fs="text_large:4vw" lh="text_small:1em" fh_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%220%22%2C%22blur_radius%22%3A%220%22%2C%22spread_radius%22%3A%222px%22%2C%22shadow_color%22%3A%22%231f1f1f%22%7D%5D" padding="top_small:0.1em|right_small:0.5em|bottom_small:0.1em|left_small:0.5em"]Graphic Design[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1608116305864-44b2fc22-3d1c"][ld_fancy_heading tag="h3" transform="text-uppercase" whitespace="ws-nowrap" enable_bg="yes" fh_border_radius="circle" enable_fh_shadowbox="yes" use_custom_fonts_title="true" margin="top_small:2px|bottom_small:2px" ls="text_small:-0.02em" fs="text_large:4vw" lh="text_small:1em" padding="top_small:0.1em|right_small:0.5em|bottom_small:0.1em|left_small:0.5em" color="rgb(255, 223, 185)" fh_bg="rgb(229, 67, 63)" fh_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%220%22%2C%22blur_radius%22%3A%220%22%2C%22spread_radius%22%3A%222px%22%2C%22shadow_color%22%3A%22%23e5433f%22%7D%5D"]Designer[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1608116820776-fc435265-95e4"][ld_fancy_heading tag="h3" transform="text-uppercase" whitespace="ws-nowrap" enable_bg="yes" fh_border_radius="circle" enable_fh_shadowbox="yes" use_custom_fonts_title="true" margin="top_small:2px|bottom_small:2px" ls="text_small:-0.02em" fs="text_large:4vw" lh="text_small:1em" fh_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%220%22%2C%22blur_radius%22%3A%220%22%2C%22spread_radius%22%3A%222px%22%2C%22shadow_color%22%3A%22%231f1f1f%22%7D%5D" padding="top_small:0.1em|right_small:0.5em|bottom_small:0.1em|left_small:0.5em"]Video Production[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1608116928670-0d3df418-03fb"][ld_fancy_heading tag="h3" transform="text-uppercase" whitespace="ws-nowrap" enable_bg="yes" fh_border_radius="circle" enable_fh_shadowbox="yes" use_custom_fonts_title="true" margin="top_small:2px|bottom_small:2px" ls="text_small:-0.02em" fs="text_large:4vw" lh="text_small:1em" fh_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%220%22%2C%22blur_radius%22%3A%220%22%2C%22spread_radius%22%3A%222px%22%2C%22shadow_color%22%3A%22%231f1f1f%22%7D%5D" padding="top_small:0.1em|right_small:0.5em|bottom_small:0.1em|left_small:0.5em"]Graphic Design[/ld_fancy_heading][/ld_carousel_marquee_section][/ld_carousel_marquee_tab][/vc_column][vc_column css=".vc_custom_1608117008361{margin-bottom: 15px !important;}"][ld_carousel_marquee_tab columns_auto_width="yes" auto_width_padding="1%" reverse="yes" marquee_speed="0.6"][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1608116982525-17f4dbe1-a927"][ld_fancy_heading tag="h3" transform="text-uppercase" whitespace="ws-nowrap" enable_bg="yes" fh_border_radius="circle" enable_fh_shadowbox="yes" use_custom_fonts_title="true" margin="top_small:2px|bottom_small:2px" ls="text_small:-0.02em" fs="text_large:4vw" lh="text_small:1em" fh_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%220%22%2C%22blur_radius%22%3A%220%22%2C%22spread_radius%22%3A%222px%22%2C%22shadow_color%22%3A%22%231f1f1f%22%7D%5D" padding="top_small:0.1em|right_small:0.5em|bottom_small:0.1em|left_small:0.5em"]Motion[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1608116982528-a6c99b03-beb1"][ld_fancy_heading tag="h3" transform="text-uppercase" whitespace="ws-nowrap" enable_bg="yes" fh_border_radius="circle" enable_fh_shadowbox="yes" use_custom_fonts_title="true" margin="top_small:2px|bottom_small:2px" ls="text_small:-0.02em" fs="text_large:4vw" lh="text_small:1em" fh_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%220%22%2C%22blur_radius%22%3A%220%22%2C%22spread_radius%22%3A%222px%22%2C%22shadow_color%22%3A%22%23e5433f%22%7D%5D" padding="top_small:0.1em|right_small:0.5em|bottom_small:0.1em|left_small:0.5em" color="rgb(255, 223, 185)" fh_bg="rgb(229, 67, 63)"]Photoshoot[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1608116982531-1ceb4ae0-4633"][ld_fancy_heading tag="h3" transform="text-uppercase" whitespace="ws-nowrap" enable_bg="yes" fh_border_radius="circle" enable_fh_shadowbox="yes" use_custom_fonts_title="true" margin="top_small:2px|bottom_small:2px" ls="text_small:-0.02em" fs="text_large:4vw" lh="text_small:1em" fh_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%220%22%2C%22blur_radius%22%3A%220%22%2C%22spread_radius%22%3A%222px%22%2C%22shadow_color%22%3A%22%231f1f1f%22%7D%5D" padding="top_small:0.1em|right_small:0.5em|bottom_small:0.1em|left_small:0.5em"]Strategy[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1608116982523-cf970267-5791"][ld_fancy_heading tag="h3" transform="text-uppercase" whitespace="ws-nowrap" enable_bg="yes" fh_border_radius="circle" enable_fh_shadowbox="yes" use_custom_fonts_title="true" margin="top_small:2px|bottom_small:2px" ls="text_small:-0.02em" fs="text_large:4vw" lh="text_small:1em" fh_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%220%22%2C%22blur_radius%22%3A%220%22%2C%22spread_radius%22%3A%222px%22%2C%22shadow_color%22%3A%22%231f1f1f%22%7D%5D" padding="top_small:0.1em|right_small:0.5em|bottom_small:0.1em|left_small:0.5em"]UI Design[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1608116982534-4a218d87-43a3"][ld_fancy_heading tag="h3" transform="text-uppercase" whitespace="ws-nowrap" enable_bg="yes" fh_border_radius="circle" enable_fh_shadowbox="yes" use_custom_fonts_title="true" margin="top_small:2px|bottom_small:2px" ls="text_small:-0.02em" fs="text_large:4vw" lh="text_small:1em" fh_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%220%22%2C%22blur_radius%22%3A%220%22%2C%22spread_radius%22%3A%222px%22%2C%22shadow_color%22%3A%22%231f1f1f%22%7D%5D" padding="top_small:0.1em|right_small:0.5em|bottom_small:0.1em|left_small:0.5em"]Retouch[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1608117388298-1df713bb-5acf"][ld_fancy_heading tag="h3" transform="text-uppercase" whitespace="ws-nowrap" enable_bg="yes" fh_border_radius="circle" enable_fh_shadowbox="yes" use_custom_fonts_title="true" margin="top_small:2px|bottom_small:2px" ls="text_small:-0.02em" fs="text_large:4vw" lh="text_small:1em" fh_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%220%22%2C%22blur_radius%22%3A%220%22%2C%22spread_radius%22%3A%222px%22%2C%22shadow_color%22%3A%22%231f1f1f%22%7D%5D" padding="top_small:0.1em|right_small:0.5em|bottom_small:0.1em|left_small:0.5em"]UI Design[/ld_fancy_heading][/ld_carousel_marquee_section][/ld_carousel_marquee_tab][/vc_column][vc_column css=".vc_custom_1608117008361{margin-bottom: 15px !important;}"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Category Media
	//Media 1
	$data = array();
	$data['name'] = esc_html__( 'Media 01', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'media-1.jpg' );
	$data['sort_name'] = 'Media';
	$data['custom_class'] = 'general media';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" css=".vc_custom_1595348344118{padding-top: 50px !important;padding-right: 10px !important;padding-bottom: 50px !important;padding-left: 10px !important;background-color: #191919 !important;}" el_id="lqd-gallery" responsive_css="padding_right_medium:50px|padding_left_medium:50px"][vc_column][ld_media columns_gap="15" bottom_gap="30" enable_item_animation="yes" pf_init_scale_x="1" pf_init_scale_y="1" pf_init_opacity="0" pf_an_scale_x="1" pf_an_scale_y="1" pf_an_opacity="1" media_id="lqd-1575634066049-29fc854e-3303" pf_delay="130" pf_init_translate_y="-1" pf_duration="1800"][ld_media_element link_type="image" add_icon="yes" icon_type="plus" width="1/2" image="66" offset="vc_col-md-3 vc_col-xs-6"][ld_media_element link_type="image" add_icon="yes" icon_type="plus" width="1/2" image="68" offset="vc_col-md-3 vc_col-xs-6"][ld_media_element link_type="image" add_icon="yes" icon_type="plus" width="1/2" image="70" offset="vc_col-md-3 vc_col-xs-6"][ld_media_element link_type="image" add_icon="yes" icon_type="plus" width="1/2" image="72" offset="vc_col-md-3 vc_col-xs-6"][ld_media_element link_type="image" add_icon="yes" icon_type="plus" width="1/1" image="64" offset="vc_col-md-6"][ld_media_element link_type="image" add_icon="yes" icon_type="plus" width="1/2" image="63" offset="vc_col-md-3 vc_col-xs-6"][ld_media_element link_type="image" add_icon="yes" icon_type="plus" width="1/2" image="65" offset="vc_col-md-3 vc_col-xs-6"][ld_media_element link_type="image" add_icon="yes" icon_type="plus" width="1/2" image="67" offset="vc_col-md-3 vc_col-xs-6"][ld_media_element link_type="image" add_icon="yes" icon_type="plus" width="1/2" image="69" offset="vc_col-md-3 vc_col-xs-6"][/ld_media][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Media 2
	$data = array();
	$data['name'] = esc_html__( 'Media 02', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'media-2.jpg' );
	$data['sort_name'] = 'Media';
	$data['custom_class'] = 'general media';
	$data['content'] = <<<CONTENT
	[vc_row bg_position="right center" enable_overlay="yes" css=".vc_custom_1605626609742{padding-top: 20px !important;padding-bottom: 40px !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}" el_id="listen" overlay_bg="linear-gradient(0deg, rgb(15,15,20) 0.3184713375796178%, rgba(15, 15, 20, 0.79) 98.72611464968153%)" responsive_css="padding_top_medium:100px|padding_bottom_medium:100px"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" align="text-center" offset="vc_col-md-offset-3 vc_col-md-6" css=".vc_custom_1575544994394{margin-bottom: 60px !important;}" ca_duration="1800" ca_delay="180" ca_init_translate_y="35" responsive_align="text-center"][ld_fancy_heading tag="h2"]Latest Releases[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="18px" lh="1.777em"]His solo work was as commercially successful as most debuted in the top 10 of the UK Music Charts.[/ld_fancy_heading][/vc_column][vc_column align="text-center" css=".vc_custom_1579185718022{margin-bottom: 30px !important;}" responsive_align="text-center"][ld_media columns_gap="0" bottom_gap="0" use_custom_fonts_title="true" media_id="1575537484172-f1af07e8-c2eb" fs="17px"][ld_media_element link_type="video" visible_content="yes" image="35" link="url:https%3A%2F%2Fwww.youtube.com%2Fwatch%3Fv%3D1DpH-icPpl0|||" offset="vc_col-md-2 vc_col-xs-6" title="Swagger" subtitle="ft. Alicia"][ld_media_element link_type="video" visible_content="yes" image="36" link="url:https%3A%2F%2Fwww.youtube.com%2Fwatch%3Fv%3DM4ZoCHID9GI|||" offset="vc_col-md-2 vc_col-xs-6" title="River" subtitle="Devia"][ld_media_element link_type="iframe" visible_content="yes" image="37" link="url:https%3A%2F%2Fw.soundcloud.com%2Fplayer%2F%3Furl%3Dhttps%253A%2F%2Fapi.soundcloud.com%2Ftracks%2F291312051%26color%3D%2523ff5500%26auto_play%3Dfalse%26hide_related%3Dfalse%26show_comments%3Dtrue%26show_user%3Dtrue%26show_reposts%3Dfalse%26show_teaser%3Dtrue%26visual%3Dtrue|||" offset="vc_col-md-2 vc_col-xs-6" title="Soundcloud" subtitle="Devia"][ld_media_element link_type="video" visible_content="yes" image="38" link="url:https%3A%2F%2Fwww.youtube.com%2Fwatch%3Fv%3D1DpH-icPpl0|||" offset="vc_col-md-2 vc_col-xs-6" title="Glitter & Gold" subtitle="Devia"][ld_media_element link_type="video" visible_content="yes" image="39" link="url:https%3A%2F%2Fwww.youtube.com%2Fwatch%3Fv%3DDkeiKbqa02g|||" offset="vc_col-md-2 vc_col-xs-6" title="Freak" subtitle="ft. Alicia"][ld_media_element link_type="video" visible_content="yes" image="40" link="url:https%3A%2F%2Fwww.youtube.com%2Fwatch%3Fv%3D9HDEHj2yzew|||" offset="vc_col-md-2 vc_col-xs-6" title="Blacktop" subtitle="Devia"][/ld_media][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Media 3
	$data = array();
	$data['name'] = esc_html__( 'Media 03', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'media-3.jpg' );
	$data['sort_name'] = 'Media';
	$data['custom_class'] = 'general media';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1551902075173{margin-top: 20px !important;margin-bottom: 50px !important;}" responsive_css="margin_bottom_medium:100px"][vc_column][ld_media columns_gap="10" bottom_gap="20" enable_item_animation="yes" pf_init_scale_x="1" pf_init_scale_y="1" pf_init_opacity="1" pf_an_scale_x="1" pf_an_scale_y="1" pf_an_opacity="1" media_id="ld-1540207915500-298c08e6-2b13"][ld_media_element link_type="video" width="1/1" title="Strategy" image="9088" offset="vc_col-md-6" link="url:https%3A%2F%2Fyoutu.be%2FJLE228ZuGGA|||" custom_height="645px"][ld_media_element vertical_alignment="justify-content-end" link_type="image" width="1/1" title="Press and Media" image="9087" offset="vc_col-md-6" custom_height="312px"][ld_media_element vertical_alignment="justify-content-end" link_type="image" width="1/2" title="Career" image="9090" offset="vc_col-md-3 vc_col-xs-12" custom_height="312px"][ld_media_element vertical_alignment="justify-content-end" link_type="image" width="1/2" title="Learn" image="9089" offset="vc_col-md-3 vc_col-xs-12" custom_height="312px"][/ld_media][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Media 4
	$data = array();
	$data['name'] = esc_html__( 'Media 04', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'media-4.jpg' );
	$data['sort_name'] = 'Media';
	$data['custom_class'] = 'general media';
	$data['content'] = <<<CONTENT
	[vc_row row_scale_bg_onhover="yes" bg_position="center center" enable_overlay="yes" enable_row_dividers="yes" css=".vc_custom_1621002308138{padding-top: 60px !important;padding-bottom: 115px !important;background-image: url(https://businessstartuppro.liquid-themes.com/wp-content/uploads/2020/08/parallaxbg-2@2x-scaled-1.jpg?id=155) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" overlay_bg="rgba(0, 16, 31, 0.6)" row_svg_divider="bottom_shape_type:8|bottom_shape_color:%23ffffff|bottom_shape_height:100" responsive_css="padding_top_medium:160px|padding_bottom_medium:190px"][vc_column enable_content_animation="yes" ca_init_scale_x="0.85" ca_init_scale_y="0.85" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" align="text-center" offset="vc_col-md-offset-3 vc_col-md-6" ca_duration="1800" ca_delay="180" ca_init_translate_y="70" responsive_align="text-center"][ld_button style="btn-naked" link_type="lightbox" i_type="linea" i_position="top" i_shape="btn-icon-circle" i_shape_style="btn-icon-bordered" i_shape_bw="btn-icon-border-thickest" i_shape_size="btn-icon-custom-size" i_ripple="btn-icon-ripple" i_add_icon="true" i_icon_linea="icon-ion-ios-play" i_size="30px" i_shape_custom_size="95px" color="rgb(255, 255, 255)" i_color="rgb(255, 255, 255)" i_hcolor="rgb(0, 0, 0)" i_fill_color2="rgba(255, 255, 255, 0.35)" i_fill_hcolor2="rgb(255, 255, 255)" link="url:https%3A%2F%2Fwww.youtube.com%2Fwatch%3Fv%3DJT8jjNBWCAc|||"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="37px" margin="top_small:0.85em"]Scalable business for startups.[/ld_fancy_heading][/vc_column][/vc_row][vc_row enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" css=".vc_custom_1605972087190{padding-top: 40px !important;padding-bottom: 40px !important;}" ca_duration="1800" ca_delay="180" ca_init_translate_y="60" responsive_css="padding_top_medium:120px"][vc_column offset="vc_col-md-offset-0 vc_col-md-4"][ld_icon_box i_type="image" heading_size="custom" i_size="xs" position="iconbox-side" title="Seamless Integration" custom_heading_size="21px" i_icon_image="40" custom_size="40px"]Hub IT allows your business and technology computers to store, transmit and analyze.[/ld_icon_box][/vc_column][vc_column offset="vc_col-md-offset-0 vc_col-md-4"][ld_icon_box i_type="image" heading_size="custom" i_size="xs" position="iconbox-side" title="Seamless Integration" custom_heading_size="21px" i_icon_image="41" custom_size="40px"]Hub IT allows your business and technology computers to store, transmit and analyze.[/ld_icon_box][/vc_column][vc_column offset="vc_col-md-offset-0 vc_col-md-4"][ld_icon_box i_type="image" heading_size="custom" i_size="xs" position="iconbox-side" title="Seamless Integration" custom_heading_size="21px" i_icon_image="42" custom_size="40px"]Hub IT allows your business and technology computers to store, transmit and analyze.[/ld_icon_box][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Media 5
	$data = array();
	$data['name'] = esc_html__( 'Media 05', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'media-5.jpg' );
	$data['sort_name'] = 'Media';
	$data['custom_class'] = 'general media';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" bg_position="center top" enable_row_dividers="yes" css=".vc_custom_1608729633610{padding-top: 120px !important;padding-bottom: 100px !important;background-image: url(https://businessstartuppro.liquid-themes.com/wp-content/uploads/2020/12/bg-1@2x.jpg?id=233) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" responsive_css="padding_top_medium:140px|padding_bottom_medium:140px" row_svg_divider="bottom_shape_type:8|bottom_shape_color:%23ffffff|bottom_shape_height:61"][vc_column width="1/2" offset="vc_col-md-5" css=".vc_custom_1608729930888{margin-bottom: 20px !important;}" responsive_css="margin_bottom_small:35px"][ld_images_group_container enable_item_animation="yes" pf_init_scale_x="1" pf_init_scale_y="1" pf_init_opacity="0" pf_an_scale_x="1" pf_an_scale_y="1" pf_an_opacity="1" pf_duration="1600" pf_delay="160" pf_init_translate_x="-35" pf_init_translate_y="35" pf_init_rotate_y="0"][ld_images_group_element absolute_pos="yes" image="237" position="top_small:0px|left_small:0px"][/ld_images_group_element][ld_images_group_element img_size="50%" image="231" margin="top_small:25px|left_small:28px"][ld_button style="btn-solid" title="Play video" link_type="lightbox" shape="circle" i_type="linea" i_position="left" i_hover_reveal="btn-hover-swp" i_add_icon="true" link="url:https%3A%2F%2Fyoutu.be%2FJLE228ZuGGA|||" i_icon_linea="lqd-icn-ess icon-ion-ios-play" color="rgb(255, 255, 255)" text_color="rgb(0, 0, 0)" hover_color="rgb(0, 0, 0)" htext_color="rgb(255, 255, 255)" lh="1.1em"][/ld_images_group_element][/ld_images_group_container][/vc_column][vc_column width="1/2" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-lg-offset-1 vc_col-lg-6 vc_col-md-7" css=".vc_custom_1608729911892{margin-bottom: 70px !important;}" responsive_css="margin_bottom_medium:65px|margin_bottom_small:35px" ca_delay="160" ca_init_translate_y="60" ca_duration="1600" ca_start_delay="450"][ld_fancy_heading tag="h6" transform="text-uppercase" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(255, 255, 255)" fs="text_small:12px" fw="text_small:700" ls="text_small:0.08em" margin="bottom_small:3em"]Customer stories[/ld_fancy_heading][ld_fancy_heading ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(255, 255, 255)" fs="text_small:68px" lh="text_small:1.1em" fw="text_small:700" ls="text_small:-0.02em" highlight_color="rgba(126, 255, 195, 0.4)" margin="bottom_small:0.25em"]They [ld_highlight]trust[/ld_highlight] Hub. But why?[/ld_fancy_heading][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgba(255, 255, 255, 0.7)" fs="text_small:18px" lh="text_small:1.44em" fw="text_small:500" margin="right_large:22%25|bottom_small:2.75em"]Hub IT allows your business and technology computers to store and analyze.[/ld_fancy_heading][ld_button style="btn-naked" title="`{`ld_strong`}`DANIEL CHARLES`{`/ld_strong`}``{`ld_span`}`Netflix Chief Designer`{`/ld_span`}`" link_type="lightbox" i_type="linea" i_position="left" i_shape="btn-icon-circle" i_shape_style="btn-icon-bordered" i_shape_bw="btn-icon-border-thicker" i_shape_size="btn-icon-custom-size" i_add_icon="true" link="url:https%3A%2F%2Fwww.youtube.com%2Fwatch%3Fv%3DFXI_-OesT3A%26ab_channel%3DApple|||" i_icon_linea="lqd-icn-ess icon-ion-ios-play" i_shape_custom_size="68px" color="rgb(255, 255, 255)" i_hcolor="rgb(0, 0, 0)" i_fill_hcolor2="rgb(255, 255, 255)" hover_color="rgb(255, 255, 255)"][/vc_column][vc_column][ld_carousel_tab columns="md:6|sm:4|xs:3|spacing_xs:15px" inactiv_opacity="1" enable_item_animation="yes" groupcells="no" wraparound="yes" equalheightcells="yes" middlealigncontent="yes" autoplay="yes" mobile_dots_bottom_offset_outside="1em" pf_init_scale_x="0.3" pf_init_scale_y="0.3" pf_init_opacity="0" pf_an_scale_x="1" pf_an_scale_y="1" pf_an_opacity="1" pf_duration="1600" pf_start_delay="1000" pf_delay="160" mobile_dots_bg_color="rgba(255, 255, 255, 0.35)" mobile_dots_bg_hcolor="rgb(255, 255, 255)"][ld_carousel_section title="Carousel Item" tab_id="lqd-1608722795312-3f978e43-4471"][vc_single_image image="240" alignment="center" css=".vc_custom_1608722911038{margin-bottom: 0px !important;}"][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1608723029108-4269f2d2-09ef"][vc_single_image image="239" alignment="center" css=".vc_custom_1608723005040{margin-bottom: 0px !important;}"][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1608722795312-563e3a31-1736"][vc_single_image image="242" alignment="center" css=".vc_custom_1608722946839{margin-bottom: 0px !important;}"][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1608722795312-4b81f2ed-de44"][vc_single_image image="241" alignment="center" css=".vc_custom_1608722972969{margin-bottom: 0px !important;}"][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1608722993089-e220608a-0b0b"][vc_single_image image="239" alignment="center" css=".vc_custom_1608723005040{margin-bottom: 0px !important;}"][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1608722976821-3fc5d8ee-00fd"][vc_single_image image="243" alignment="center" css=".vc_custom_1608722989439{margin-bottom: 0px !important;}"][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1608723009463-97570643-55f7"][vc_single_image image="238" alignment="center" css=".vc_custom_1608723023054{margin-bottom: 0px !important;}"][/ld_carousel_section][/ld_carousel_tab][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Media 6
	$data = array();
	$data['name'] = esc_html__( 'Media 06', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'media-6.jpg' );
	$data['sort_name'] = 'Media';
	$data['custom_class'] = 'general media';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" css=".vc_custom_1610701078375{padding-top: 60px !important;padding-bottom: 30px !important;}" responsive_css="padding_top_medium:60px|padding_bottom_medium:60px|padding_top_small:90px"][vc_column offset="vc_col-md-5"][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" margin="bottom_small:0.75em" color="rgb(86, 154, 204)" fs="text_small:16px"]What we achieved[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" enable_fit="true" fs="text_small:39px" lh="text_small:1.05em" margin="bottom_small:0.65em" minfontsize="36" color="rgb(31, 42, 88)"]Hub generated 2x more online sales in 2021.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:20px" lh="text_small:1.5em" margin="bottom_small:2.5em"]Through strategy, design, and planning we build brand identities that connect with your Nesi. We then fine-tune a marketing plan that allows us to laser focus.[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-lg-5 vc_col-md-offset-1 vc_col-md-6"][ld_images_group_container absolute_pos="yes" position="right_small:-30px|bottom_small:-70px|left_small:-30px"][ld_images_group_element absolute_pos="yes" image="333" position="bottom_small:0px|left_small:0px"][/ld_images_group_element][ld_images_group_element absolute_pos="yes" image="382" position="right_small:-110px|bottom_small:-80px"][/ld_images_group_element][/ld_images_group_container][ld_images_group_element parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" absolute_pos="yes" image="58" translate_from_y="80" translate_to_y="-80" position="bottom_small:-25px|left_small:-50px"][/ld_images_group_element][vc_row_inner equal_height="yes" content_placement="middle" gap="0" enable_row_shadowbox="yes" css=".vc_custom_1605987054627{padding-top: 15px !important;background-color: #ffffff !important;border-radius: 15px !important;}" row_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2223px%22%2C%22blur_radius%22%3A%2250px%22%2C%22shadow_color%22%3A%22rgba(0%2C0%2C0%2C0.08)%22%7D%5D" responsive_css="padding_top_medium:0px"][vc_column_inner width="1/2" responsive_css="border_right_medium:1px" css=".vc_custom_1610701571587{border-right-width: 1px !important;border-bottom-width: 1px !important;padding-top: 45px !important;padding-bottom: 15px !important;border-right-color: #eeeeee !important;border-right-style: solid !important;border-bottom-color: #eeeeee !important;border-bottom-style: solid !important;}" offset="vc_col-xs-6"][ld_counter template="`{`object Object`}`" content_align="text-center" use_custom_fonts_title="true" counter_mb_checkbox="true" enable_blur="true" count="19+" label="Total Top Services" fs="48px" fw="700" color="rgb(0, 0, 0)" label_color="rgb(153, 153, 153)" counter_mb="13"][/vc_column_inner][vc_column_inner width="1/2" css=".vc_custom_1605986910497{border-right-width: 0px !important;border-bottom-width: 1px !important;padding-top: 45px !important;padding-bottom: 15px !important;border-right-color: #eeeeee !important;border-right-style: solid !important;border-bottom-color: #eeeeee !important;border-bottom-style: solid !important;}" offset="vc_col-xs-6"][ld_counter template="`{`object Object`}`" content_align="text-center" use_custom_fonts_title="true" counter_mb_checkbox="true" enable_blur="true" count="27+" label="Countries" fs="48px" fw="700" color="rgb(0, 0, 0)" label_color="rgb(153, 153, 153)" counter_mb="13"][/vc_column_inner][vc_column_inner width="1/2" responsive_css="border_right_medium:1px" css=".vc_custom_1610701577771{border-right-width: 1px !important;padding-top: 45px !important;padding-bottom: 15px !important;border-right-color: #eeeeee !important;border-right-style: solid !important;}" offset="vc_col-xs-6"][ld_counter template="`{`object Object`}`" content_align="text-center" use_custom_fonts_title="true" counter_mb_checkbox="true" enable_blur="true" count="98%" label="Positive Feedback" fs="48px" fw="700" color="rgb(0, 0, 0)" label_color="rgb(153, 153, 153)" counter_mb="13"][/vc_column_inner][vc_column_inner width="1/2" css=".vc_custom_1605986941269{padding-top: 45px !important;padding-bottom: 15px !important;}" offset="vc_col-xs-6"][ld_counter template="`{`object Object`}`" content_align="text-center" use_custom_fonts_title="true" counter_mb_checkbox="true" enable_blur="true" count="2,664" label="Usual Users" fs="48px" fw="700" color="rgb(0, 0, 0)" label_color="rgb(153, 153, 153)" counter_mb="13"][/vc_column_inner][/vc_row_inner][/vc_column][vc_column offset="vc_hidden-sm vc_hidden-xs"][ld_images_group_container move_to_parent_row="yes" position="top_small:35%25|left_small:26%25"][ld_images_group_element image="257"][/ld_images_group_element][/ld_images_group_container][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Media 7
	$data = array();
	$data['name'] = esc_html__( 'Media 07', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'media-7.jpg' );
	$data['sort_name'] = 'Media';
	$data['custom_class'] = 'general media';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" gap="0" equal_height="yes" content_placement="middle" css=".vc_custom_1614669941565{background-color: #fafafa !important;}" el_id="howitworks"][vc_column row_scale_bg_onhover="yes" bg_position="center center" align="text-center" offset="vc_col-md-6" css=".vc_custom_1620719918371{padding-top: 30vw !important;padding-bottom: 30vw !important;background-image: url(https://itbusinesspro.liquid-themes.com/wp-content/uploads/2020/01/bg-3@2x.jpg?id=52) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" responsive_align="text-center" responsive_css="padding_top_medium:15vw|padding_bottom_medium:15vw|padding_top_small:25vw|padding_bottom_small:25vw"][ld_button style="btn-naked" link_type="lightbox" i_type="linea" i_position="top" i_shape="btn-icon-circle" i_shape_style="btn-icon-bordered" i_shape_bw="btn-icon-border-thickest" i_shape_size="btn-icon-xlg" i_ripple="btn-icon-ripple" i_add_icon="true" i_icon_linea="icon-ion-ios-play" i_size="24px" color="rgb(255, 255, 255)" link="url:https%3A%2F%2Fwww.youtube.com%2Fwatch%3Fv%3DcVEemOmHw9Y|||" i_hcolor="rgb(0, 0, 0)" i_fill_hcolor2="rgb(255, 255, 255)"][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" responsive_css="padding_top_medium:90px|padding_right_medium:12%25|padding_bottom_medium:90px|padding_left_medium:12%25" css=".vc_custom_1607346561233{padding-top: 60px !important;padding-right: 15px !important;padding-left: 15px !important;}" offset="vc_col-md-6" ca_duration="1800" ca_delay="180" ca_init_translate_x="0" ca_init_translate_y="35"][ld_fancy_heading tag="h2"]The Creative Process[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.64em" margin="bottom_small:2.6em"]Hub IT allows your business and technology computers to store, transmit, analyze, and manipulate big data in the digital world.[/ld_fancy_heading][vc_accordion size="lg" show_icon="yes" i_add_icon="true" i_type="linea" active_add_icon="true" active_type="linea" use_custom_fonts_title="true" bottom_margin="25px" fs="18px" lh="1.5em" i_icon_linea="icon-ion-ios-arrow-down" active_icon_linea="icon-ion-ios-arrow-up" bg_color="rgb(255, 255, 255)" heading_color="rgb(21, 21, 23)" active_tab="-1"][vc_accordion_tab title="increase your conversion rate" tab_id="ld-1578911887679-d3801bcc-f354"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.64em"]Hub IT allows your business and technology computers to store, transmit, analyze, and manipulate big data in the digital world.[/ld_fancy_heading][/vc_accordion_tab][vc_accordion_tab title="End-to-end encryption for messages" tab_id="ld-1578911887956-3fb39dcc-5ffb"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.64em"]Hub IT allows your business and technology computers to store, transmit, analyze, and manipulate big data in the digital world.[/ld_fancy_heading][/vc_accordion_tab][vc_accordion_tab title="Getting messages from businesses" tab_id="ld-1578911888239-a4e132ad-1dd9"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.64em"]Hub IT allows your business and technology computers to store, transmit, analyze, and manipulate big data in the digital world.[/ld_fancy_heading][/vc_accordion_tab][/vc_accordion][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Media 8
	$data = array();
	$data['name'] = esc_html__( 'Media 08', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'media-8.jpg' );
	$data['sort_name'] = 'Media';
	$data['custom_class'] = 'general media';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" responsive_css="padding_top_medium:110px|padding_bottom_medium:75px" css=".vc_custom_1622015720342{padding-top: 70px !important;padding-bottom: 35px !important;}" el_id="solutions"][vc_column offset="vc_col-lg-5 vc_col-md-6"][ld_fancy_heading tag="h6" transform="text-uppercase" enable_bg="yes" fh_border_radius="circle" use_custom_fonts_title="true" color="rgb(0, 0, 0)" fs="text_small:12px" fw="text_small:700" padding="top_small:4px|right_small:11px|bottom_small:4px|left_small:11px" fh_bg="rgb(235, 239, 241)" margin="bottom_small:1.75em" ls="text_small:0.1em"]THE PROCESS[/ld_fancy_heading][ld_fancy_heading tag="h2" margin="bottom_small:0.85em"]Smart and effective business solutions.[/ld_fancy_heading][ld_icon_box i_type="linea" heading_size="custom" i_shape="circle" i_border="" position="iconbox-side" i_linked="iconbox-icon-linked" alignment="text-left" shadow="iconbox-icon-shadow" i_icon_linea="lqd-icn-ess icon-num-1" title="Initial Concept Phase" custom_heading_size="17px" icon_size="15px" custom_i_size="47px" i_color="rgb(21, 81, 83)" shape_color="rgb(255, 255, 255)" icon_mb="22" title_mb="15" css=".vc_custom_1622015551988{margin-bottom: 45px !important;}" h_i_color="rgb(255, 255, 255)" shape_hcolor="rgb(21, 81, 83)"]<span style="font-size: 15px; line-height: 1.6em;">Google makes it easier to run high performance shared hosting account on its cloud platform.</span>[/ld_icon_box][ld_icon_box i_type="linea" heading_size="custom" i_shape="circle" i_border="" position="iconbox-side" i_linked="iconbox-icon-linked" alignment="text-left" shadow="iconbox-icon-shadow" i_icon_linea="lqd-icn-ess icon-num-2" title="Business Consultation" custom_heading_size="17px" icon_size="15px" custom_i_size="47px" i_color="rgb(21, 81, 83)" shape_color="rgb(255, 255, 255)" icon_mb="22" title_mb="15" css=".vc_custom_1622015541138{margin-bottom: 45px !important;}" h_i_color="rgb(255, 255, 255)" shape_hcolor="rgb(21, 81, 83)"]<span style="font-size: 15px; line-height: 1.6em;">Google makes it easier to run high performance shared hosting account on its cloud platform.</span>[/ld_icon_box][ld_icon_box i_type="linea" heading_size="custom" i_shape="circle" i_border="" position="iconbox-side" alignment="text-left" shadow="iconbox-icon-shadow" i_icon_linea="lqd-icn-ess icon-num-3" title="Product Launch" custom_heading_size="17px" icon_size="15px" custom_i_size="47px" i_color="rgb(21, 81, 83)" shape_color="rgb(255, 255, 255)" icon_mb="22" title_mb="15" css=".vc_custom_1622015529637{margin-bottom: 45px !important;}" h_i_color="rgb(255, 255, 255)" shape_hcolor="rgb(21, 81, 83)"]<span style="font-size: 15px; line-height: 1.6em;">Google makes it easier to run high performance shared hosting account on its cloud platform.</span>[/ld_icon_box][/vc_column][vc_column column_top_ontablet="yes" column_top_onmobile="yes" offset="vc_col-md-offset-1 vc_col-md-6" responsive_css="margin_bottom_medium:0px" css=".vc_custom_1621859483629{margin-bottom: 30px !important;}"][ld_images_group_element img_size="50%" enable_image_shadow="yes" shadow_style="3" enable_hover3d="yes" enable_roudness="yes" image_roudness="custom" image="101" custom_roundness="15px"][ld_button style="btn-naked" link_type="lightbox" i_type="linea" i_position="top" i_shape="btn-icon-circle" i_shape_style="btn-icon-solid" i_shape_size="btn-icon-custom-size" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-ion-ios-play" i_shape_custom_size="100px" i_margin_bottom="0px" i_size="18px" color="rgba(21, 81, 83, 0.93)" link="url:https%3A%2F%2Fwww.youtube.com%2Fwatch%3Fv%3DWaSvMAl4zPw||target:%20_blank|" i_hcolor="rgb(21, 81, 83)" i_fill_hcolor="rgb(255, 255, 255)"][/ld_images_group_element][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Media 9
	$data = array();
	$data['name'] = esc_html__( 'Media 09', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'media-9.jpg' );
	$data['sort_name'] = 'Media';
	$data['custom_class'] = 'general media';
	$data['content'] = <<<CONTENT
	[vc_row responsive_css="padding_top_medium:50px|padding_bottom_medium:50px" css=".vc_custom_1621952567735{padding-top: 70px !important;padding-bottom: 35px !important;}"][vc_column offset="vc_col-md-offset-3 vc_col-md-6" responsive_align="text-center" css=".vc_custom_1621950829889{margin-bottom: 30px !important;}"][ld_fancy_heading tag="h6" enable_bg="yes" fh_border_radius="circle" color="rgb(51, 95, 178)" padding="top_small:0.625em|right_small:1em|bottom_small:0.625em|left_small:1em" fh_bg="rgba(51, 95, 178, 0.1)" margin="bottom_small:1em"]Kindergarten[/ld_fancy_heading][ld_fancy_heading tag="h2" margin="bottom_small:0.35em"]Learn and Explore[/ld_fancy_heading][/vc_column][vc_column][ld_media columns_gap="20" bottom_gap="40" media_id="lqd-1621950832669-342554fd-b765" overlay_bg="rgba(41, 62, 66, 0.88)"][ld_media_element link_type="image" width="1/2" shadow_content="yes" title="Educational Programs" image="109" offset="vc_col-md-4"][ld_media_element link_type="video" width="1/2" shadow_content="yes" title="Educational Programs" image="111" offset="vc_col-md-4" link="url:https%3A%2F%2Fwww.youtube.com%2Fwatch%3Fv%3DENi-gJVCjeQ||target:%20_blank|"][ld_media_element link_type="image" width="1/2" shadow_content="yes" title="Educational Programs" image="110" offset="vc_col-md-4"][ld_media_element link_type="image" width="1/2" shadow_content="yes" title="Educational Programs" image="113" offset="vc_col-md-4"][ld_media_element link_type="video" width="1/2" shadow_content="yes" title="Educational Programs" image="112" offset="vc_col-md-4" link="url:https%3A%2F%2Fwww.youtube.com%2Fwatch%3Fv%3D5ppDzM8m9lI||target:%20_blank|"][ld_media_element link_type="image" width="1/2" shadow_content="yes" title="Educational Programs" image="109" offset="vc_col-md-4"][/ld_media][/vc_column][vc_column responsive_align="text-center"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(36, 20, 13)" fs="text_small:14px"]We want to change the world. Why not join us? <a href="#">Become Volunteer</a>[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Media 10
	$data = array();
	$data['name'] = esc_html__( 'Media 10', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'banner-12.jpg' );
	$data['sort_name'] = 'Media';
	$data['custom_class'] = 'general media';
	$data['content'] = <<<CONTENT
	[vc_row responsive_css="padding_top_medium:50px|padding_bottom_medium:50px" css=".vc_custom_1621952567735{padding-top: 70px !important;padding-bottom: 35px !important;}"][vc_column offset="vc_col-md-offset-3 vc_col-md-6" responsive_align="text-center" css=".vc_custom_1621950829889{margin-bottom: 30px !important;}"][ld_fancy_heading tag="h6" enable_bg="yes" fh_border_radius="circle" color="rgb(51, 95, 178)" padding="top_small:0.625em|right_small:1em|bottom_small:0.625em|left_small:1em" fh_bg="rgba(51, 95, 178, 0.1)" margin="bottom_small:1em"]Kindergarten[/ld_fancy_heading][ld_fancy_heading tag="h2" margin="bottom_small:0.35em"]Learn and Explore[/ld_fancy_heading][/vc_column][vc_column][ld_media columns_gap="20" bottom_gap="40" media_id="lqd-1621950832669-342554fd-b765" overlay_bg="rgba(41, 62, 66, 0.88)"][ld_media_element link_type="image" width="1/2" shadow_content="yes" title="Educational Programs" image="109" offset="vc_col-md-4"][ld_media_element link_type="video" width="1/2" shadow_content="yes" title="Educational Programs" image="111" offset="vc_col-md-4" link="url:https%3A%2F%2Fwww.youtube.com%2Fwatch%3Fv%3DENi-gJVCjeQ||target:%20_blank|"][ld_media_element link_type="image" width="1/2" shadow_content="yes" title="Educational Programs" image="110" offset="vc_col-md-4"][ld_media_element link_type="image" width="1/2" shadow_content="yes" title="Educational Programs" image="113" offset="vc_col-md-4"][ld_media_element link_type="video" width="1/2" shadow_content="yes" title="Educational Programs" image="112" offset="vc_col-md-4" link="url:https%3A%2F%2Fwww.youtube.com%2Fwatch%3Fv%3D5ppDzM8m9lI||target:%20_blank|"][ld_media_element link_type="image" width="1/2" shadow_content="yes" title="Educational Programs" image="109" offset="vc_col-md-4"][/ld_media][/vc_column][vc_column responsive_align="text-center"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(36, 20, 13)" fs="text_small:14px"]We want to change the world. Why not join us? <a href="#">Become Volunteer</a>[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;
	
	//Category Mega Menu
	//Mega Menu 1
	$data = array();
	$data['name'] = esc_html__( 'Mega Menu 01', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'mm-1.jpg' );
	$data['sort_name'] = 'Mega Menu';
	$data['custom_class'] = 'general mega-menu';
	$data['content'] = <<<CONTENT
	[vc_row equal_height="yes" css=".vc_custom_1613469907458{background-color: #232323 !important;}"][vc_column width="1/4" offset="vc_col-md-offset-0 vc_col-md-3" css=".vc_custom_1617173870856{border-right-width: 0px !important;border-right-color: rgba(255,255,255,0.05) !important;border-right-style: solid !important;}" responsive_css="border_right_medium:1px|padding_top_medium:35px|padding_right_medium:30px|padding_bottom_medium:35px"][ld_simple_menu magnetic_items="true" use_custom_fonts_menu="true" color="rgba(255, 255, 255, 0.44)" spacing="2" hcolor="rgb(255, 255, 255)" bg_hcolor="rgba(255, 255, 255, 0.11)" menu_slug="templates-1" fw="text_small:500" fs="text_small:17px"][/vc_column][vc_column width="1/4" css=".vc_custom_1617173880360{border-right-width: 0px !important;border-right-color: rgba(255,255,255,0.05) !important;border-right-style: solid !important;}" responsive_css="border_right_medium:1px|padding_top_medium:35px|padding_right_medium:30px|padding_bottom_medium:35px"][ld_simple_menu magnetic_items="true" use_custom_fonts_menu="true" color="rgba(255, 255, 255, 0.44)" spacing="2" hcolor="rgb(255, 255, 255)" bg_hcolor="rgba(255, 255, 255, 0.09)" menu_slug="templates-2" fw="text_small:500" fs="text_small:17px"][/vc_column][vc_column width="1/4" css=".vc_custom_1617173888871{border-right-width: 0px !important;border-right-color: rgba(255,255,255,0.05) !important;border-right-style: solid !important;}" responsive_css="border_right_medium:1px|padding_top_medium:35px|padding_right_medium:30px|padding_bottom_medium:35px"][ld_simple_menu magnetic_items="true" use_custom_fonts_menu="true" color="rgba(255, 255, 255, 0.44)" spacing="2" hcolor="rgb(255, 255, 255)" bg_hcolor="rgba(255, 255, 255, 0.08)" menu_slug="templates-3" fw="text_small:500" fs="text_small:17px"][/vc_column][vc_column width="1/4" responsive_css="padding_top_medium:35px|padding_bottom_medium:35px"][ld_simple_menu menu_slug="templates-4" color="rgba(255, 255, 255, 0.44)" hcolor="rgb(255, 255, 255)" bg_hcolor="rgba(255, 255, 255, 0.09)" fs="text_small:17px" fw="text_small:500"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Mega Menu 2
	$data = array();
	$data['name'] = esc_html__( 'Mega Menu 02', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'mm-2.jpg' );
	$data['sort_name'] = 'Mega Menu';
	$data['custom_class'] = 'general mega-menu';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" gap="0" bg_position="right center" css=".vc_custom_1616755628089{background-image: url(https://originalhub.liquid-themes.com/wp-content/uploads/2021/03/Image@2x.jpg?id=12039) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" responsive_css="padding_top_large:30px|padding_right_large:2.25vw|padding_left_large:2.25vw"][vc_column offset="vc_col-md-9"][vc_row_inner][vc_column_inner offset="vc_col-lg-3 vc_col-md-6" css=".vc_custom_1616754640410{margin-bottom: 30px !important;}"][ld_simple_heading tag="h4" transform="uppercase" highlight_animation="lqd-highlight-fadein" highlight_height="142%" highlight_offset="-21%" use_custom_fonts_title="true" color="rgb(0, 0, 0)" fs="text_small:13px" fw="text_small:600" ls="text_small:0.07em" margin="bottom_small:1em" highlight_color="rgba(74, 142, 222, 0.15)" highlight_roudness="15px" padding="right_all:25px|left_all:25px"]About Pages[/ld_simple_heading][vc_separator color="custom" accent_color="rgba(112,112,112,0.13)" css=".vc_custom_1616603278096{margin-bottom: 5px !important;}"][ld_simple_menu use_custom_fonts_menu="true" menu_slug="pages-about" fs="17px" fw="500" color="rgb(0, 0, 0)" hcolor="rgb(0, 0, 0)" bg_hcolor="rgba(0, 0, 0, 0.04)"][/vc_column_inner][vc_column_inner offset="vc_col-lg-3 vc_col-md-6" css=".vc_custom_1616754646473{margin-bottom: 30px !important;}"][ld_simple_heading tag="h4" transform="uppercase" highlight_animation="lqd-highlight-fadein" highlight_height="142%" highlight_offset="-21%" use_custom_fonts_title="true" color="rgb(0, 0, 0)" fs="text_small:13px" fw="text_small:600" ls="text_small:0.07em" margin="bottom_small:1em" highlight_color="rgba(74, 142, 222, 0.15)" highlight_roudness="15px" padding="right_all:25px|left_all:25px"]Services Pages[/ld_simple_heading][vc_separator color="custom" accent_color="rgba(112,112,112,0.13)" css=".vc_custom_1616603278096{margin-bottom: 5px !important;}"][ld_simple_menu use_custom_fonts_menu="true" menu_slug="pages-services" fs="17px" fw="500" color="rgb(0, 0, 0)" hcolor="rgb(0, 0, 0)" bg_hcolor="rgba(0, 0, 0, 0.04)"][/vc_column_inner][vc_column_inner offset="vc_col-lg-3 vc_col-md-6" css=".vc_custom_1616754653203{margin-bottom: 30px !important;}"][ld_simple_heading tag="h4" transform="uppercase" highlight_animation="lqd-highlight-fadein" highlight_height="142%" highlight_offset="-21%" use_custom_fonts_title="true" color="rgb(0, 0, 0)" fs="text_small:13px" fw="text_small:600" ls="text_small:0.07em" margin="bottom_small:1em" highlight_color="rgba(74, 142, 222, 0.15)" highlight_roudness="15px" padding="right_all:25px|left_all:25px"]Contact Pages[/ld_simple_heading][vc_separator color="custom" accent_color="rgba(112,112,112,0.13)" css=".vc_custom_1616603278096{margin-bottom: 5px !important;}"][ld_simple_menu use_custom_fonts_menu="true" menu_slug="pages-contact" fs="text_small:17px" fw="text_small:500" color="rgb(0, 0, 0)" hcolor="rgb(0, 0, 0)" bg_hcolor="rgba(0, 0, 0, 0.04)" margin="bottom_small:30px"][ld_simple_heading tag="h4" transform="uppercase" highlight_animation="lqd-highlight-fadein" highlight_height="142%" highlight_offset="-21%" use_custom_fonts_title="true" color="rgb(0, 0, 0)" fs="text_small:13px" fw="text_small:600" ls="text_small:0.07em" margin="bottom_small:1em" highlight_color="rgba(74, 142, 222, 0.15)" highlight_roudness="15px" padding="right_all:25px|left_all:25px"]Utility Pages[/ld_simple_heading][vc_separator color="custom" accent_color="rgba(112,112,112,0.13)" css=".vc_custom_1616603278096{margin-bottom: 5px !important;}"][ld_simple_menu use_custom_fonts_menu="true" menu_slug="pages-utility" fs="17px" fw="500" color="rgb(0, 0, 0)" hcolor="rgb(0, 0, 0)" bg_hcolor="rgba(0, 0, 0, 0.04)"][/vc_column_inner][vc_column_inner offset="vc_col-lg-3 vc_col-md-6" css=".vc_custom_1616754659828{margin-bottom: 30px !important;}"][ld_simple_heading tag="h4" transform="uppercase" highlight_animation="lqd-highlight-fadein" highlight_height="142%" highlight_offset="-21%" use_custom_fonts_title="true" color="rgb(0, 0, 0)" fs="text_small:13px" fw="text_small:600" ls="text_small:0.07em" margin="bottom_small:1em" highlight_color="rgba(74, 142, 222, 0.15)" highlight_roudness="15px" padding="right_all:25px|left_all:25px"]Pricing and Process[/ld_simple_heading][vc_separator color="custom" accent_color="rgba(112,112,112,0.13)" css=".vc_custom_1616603278096{margin-bottom: 5px !important;}"][ld_simple_menu use_custom_fonts_menu="true" menu_slug="pages-pricing" fs="text_small:17px" fw="text_small:500" color="rgb(0, 0, 0)" hcolor="rgb(0, 0, 0)" bg_hcolor="rgba(0, 0, 0, 0.04)" margin="bottom_small:30px"][ld_simple_heading tag="h4" transform="uppercase" highlight_animation="lqd-highlight-fadein" highlight_height="142%" highlight_offset="-21%" use_custom_fonts_title="true" color="rgb(0, 0, 0)" fs="text_small:13px" fw="text_small:600" ls="text_small:0.07em" margin="bottom_small:1em" highlight_color="rgba(74, 142, 222, 0.15)" highlight_roudness="15px" padding="right_all:25px|left_all:25px"]Misc Pages[/ld_simple_heading][vc_separator color="custom" accent_color="rgba(112,112,112,0.13)" css=".vc_custom_1616603278096{margin-bottom: 5px !important;}"][ld_simple_menu use_custom_fonts_menu="true" menu_slug="pages-misc" fs="17px" fw="500" color="rgb(0, 0, 0)" hcolor="rgb(0, 0, 0)" bg_hcolor="rgba(0, 0, 0, 0.04)"][/vc_column_inner][/vc_row_inner][/vc_column][vc_column offset="vc_col-md-3"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Mega Menu 3
	$data = array();
	$data['name'] = esc_html__( 'Mega Menu 03', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'mm-3.jpg' );
	$data['sort_name'] = 'Mega Menu';
	$data['custom_class'] = 'general mega-menu';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" gap="35" css=".vc_custom_1616754883981{background-color: #262527 !important;}" responsive_css="padding_top_large:42px|padding_right_large:2.5vw|padding_bottom_large:12px|padding_left_large:2.5vw"][vc_column width="2/5" css=".vc_custom_1616754866673{margin-bottom: 30px !important;}"][ld_simple_heading tag="h4" transform="uppercase" highlight_animation="lqd-highlight-fadein" highlight_height="144%" highlight_offset="-22%" use_custom_fonts_title="true" color="rgb(255, 255, 255)" highlight_color="rgba(74, 142, 222, 0.15)" highlight_roudness="15px" fs="text_small:13px" fw="text_small:600" ls="text_small:0.07em" margin="bottom_small:1.15em" padding="right_all:25px|left_all:25px"]Portfolio List[/ld_simple_heading][vc_separator color="custom" border_width="2" accent_color="rgba(255,255,255,0.05)" css=".vc_custom_1616597825367{margin-bottom: 12px !important;}"][vc_row_inner gap="0"][vc_column_inner width="1/2"][ld_simple_menu use_custom_fonts_menu="true" menu_slug="portfolio-list-1" fs="17px" color="rgba(255, 255, 255, 0.55)" hcolor="rgb(255, 255, 255)" bg_hcolor="rgba(255, 255, 255, 0.05)" fw="500"][/vc_column_inner][vc_column_inner width="1/2"][ld_simple_menu use_custom_fonts_menu="true" menu_slug="portfolio-list-2" fs="17px" color="rgba(255, 255, 255, 0.55)" hcolor="rgb(255, 255, 255)" bg_hcolor="rgba(255, 255, 255, 0.05)" fw="500"][ld_simple_heading tag="p" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.2)" fs="text_small:17px" padding="right_all:1.571em|left_all:1.571em|top_small:0.7em|bottom_small:0.7em" fw="text_small:500"]And many more[/ld_simple_heading][/vc_column_inner][/vc_row_inner][/vc_column][vc_column width="1/2" offset="vc_col-lg-2/5" css=".vc_custom_1616754872419{margin-bottom: 30px !important;}"][ld_simple_heading tag="h4" transform="uppercase" highlight_animation="lqd-highlight-fadein" highlight_height="144%" highlight_offset="-22%" use_custom_fonts_title="true" color="rgb(255, 255, 255)" highlight_color="rgba(237, 90, 90, 0.15)" highlight_roudness="15px" fs="text_small:13px" fw="text_small:600" ls="text_small:0.07em" margin="bottom_small:1.15em" padding="right_all:25px|left_all:25px"]Single Projects[/ld_simple_heading][vc_separator color="custom" border_width="2" accent_color="rgba(255,255,255,0.05)" css=".vc_custom_1616597825367{margin-bottom: 12px !important;}"][vc_row_inner gap="0"][vc_column_inner width="1/2"][ld_simple_menu use_custom_fonts_menu="true" menu_slug="portfolio-single-1" fs="17px" color="rgba(255, 255, 255, 0.55)" hcolor="rgb(255, 255, 255)" bg_hcolor="rgba(255, 255, 255, 0.05)" fw="500"][/vc_column_inner][vc_column_inner width="1/2"][ld_simple_menu use_custom_fonts_menu="true" menu_slug="portfolio-single-2" fs="17px" color="rgba(255, 255, 255, 0.55)" hcolor="rgb(255, 255, 255)" bg_hcolor="rgba(255, 255, 255, 0.05)" fw="500"][ld_simple_heading tag="p" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.2)" fs="text_small:17px" padding="right_all:1.571em|left_all:1.571em|top_small:0.7em|bottom_small:0.7em" fw="text_small:500"]And many more[/ld_simple_heading][/vc_column_inner][/vc_row_inner][/vc_column][vc_column width="1/5" offset="vc_hidden-md vc_hidden-sm vc_hidden-xs"][ld_simple_heading tag="h4" transform="uppercase" highlight_animation="lqd-highlight-fadein" highlight_height="144%" highlight_offset="-22%" use_custom_fonts_title="true" color="rgb(255, 255, 255)" highlight_color="rgba(237, 90, 90, 0.15)" highlight_roudness="15px" fs="text_small:13px" fw="text_small:600" ls="text_small:0.07em" margin="bottom_small:1.15em" padding="right_all:25px|left_all:25px"]Unlimited Layouts[/ld_simple_heading][vc_separator color="custom" border_width="2" accent_color="rgba(255,255,255,0.05)" css=".vc_custom_1617386149257{margin-bottom: 22px !important;}"][ld_images_group_element enable_hover3d="yes" enable_roudness="yes" image_roudness="6" image="12611" margin="bottom_small:30px"][/ld_images_group_element][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Mega Menu 4
	$data = array();
	$data['name'] = esc_html__( 'Mega Menu 04', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'mm-4.jpg' );
	$data['sort_name'] = 'Mega Menu';
	$data['custom_class'] = 'general mega-menu';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" gap="35" css=".vc_custom_1616755074141{background-color: #262527 !important;}" responsive_css="padding_top_large:42px|padding_right_large:2.5vw|padding_bottom_large:12px|padding_left_large:2.5vw"][vc_column css=".vc_custom_1616755084451{margin-bottom: 30px !important;}" offset="vc_col-lg-6"][ld_simple_heading tag="h4" transform="uppercase" highlight_animation="lqd-highlight-fadein" highlight_height="144%" highlight_offset="-22%" use_custom_fonts_title="true" color="rgb(255, 255, 255)" highlight_color="rgba(74, 142, 222, 0.15)" highlight_roudness="15px" fs="text_small:13px" fw="text_small:600" ls="text_small:0.07em" margin="bottom_small:1.15em"]Structure[/ld_simple_heading][vc_separator color="custom" border_width="2" accent_color="rgba(255,255,255,0.05)" css=".vc_custom_1616597825367{margin-bottom: 12px !important;}"][vc_row_inner responsive_css="padding_left_large:17px"][vc_column_inner enable_link="enable_column_link" enable_hover_move="lqd-column-move-onhover" width="1/2" enable_overlay="yes" responsive_css="margin_right_large:20px|padding_right_large:15px|padding_left_large:15px|margin_left_medium:-40px|padding_right_medium:25px|padding_left_medium:25px" css=".vc_custom_1617358165631{padding-top: 18px !important;padding-bottom: 18px !important;border-radius: 5px !important;}" hover_overlay_bg="rgb(44, 43, 46)" link="url:https%3A%2F%2Foriginalhub.liquid-themes.com%2Felements-events%2F||target:%20_blank|"][ld_simple_heading use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:17px" fw="text_small:500" ls="text_small:0.02em" margin="bottom_small:0.5em"]Exclusive Events Plugin[/ld_simple_heading][ld_simple_heading tag="p" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.37)" fs="text_small:15px" fw="text_small:500" ls="text_small:0.02em" margin="bottom_small:0px"]Included for free.[/ld_simple_heading][/vc_column_inner][vc_column_inner enable_link="enable_column_link" enable_hover_move="lqd-column-move-onhover" width="1/2" enable_overlay="yes" responsive_css="padding_right_large:15px|padding_left_large:15px|margin_left_medium:-40px|padding_right_medium:25px|padding_left_medium:25px" css=".vc_custom_1617357714874{padding-top: 18px !important;padding-bottom: 18px !important;border-radius: 5px !important;}" hover_overlay_bg="rgb(44, 43, 46)" link="url:https%3A%2F%2Fadaptivecolorspro.liquid-themes.com%2F||target:%20_blank|"][ld_simple_heading highlight_height="114%" highlight_offset="-7%" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:17px" fw="text_small:500" ls="text_small:0.02em" margin="bottom_small:0.5em" highlight_color="rgba(255, 85, 85, 0.15)" highlight_roudness="15px"]Adaptive Colors [ld_highlight font_size="11px" color="#FF5555" ]  EXCLUSIVE  [/ld_highlight][/ld_simple_heading][ld_simple_heading tag="p" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.37)" fs="text_small:15px" fw="text_small:500" ls="text_small:0.02em" margin="bottom_small:0px"]For background, logo and header.[/ld_simple_heading][/vc_column_inner][vc_column_inner enable_link="enable_column_link" enable_hover_move="lqd-column-move-onhover" width="1/2" enable_overlay="yes" responsive_css="margin_right_large:20px|padding_right_large:15px|padding_left_large:15px|margin_left_medium:-40px|padding_right_medium:25px|padding_left_medium:25px" css=".vc_custom_1617358173975{padding-top: 18px !important;padding-bottom: 18px !important;border-radius: 5px !important;}" hover_overlay_bg="rgb(44, 43, 46)" link="url:https%3A%2F%2Fasymmetric-agencypro.liquid-themes.com%2F||target:%20_blank|"][ld_simple_heading use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:17px" fw="text_small:500" ls="text_small:0.02em" margin="bottom_small:0.5em"]Vertical Header Modules[/ld_simple_heading][ld_simple_heading tag="p" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.37)" fs="text_small:15px" fw="text_small:500" ls="text_small:0.02em" margin="bottom_small:0px"]w/ dynamic colors and modals.[/ld_simple_heading][/vc_column_inner][vc_column_inner enable_link="enable_column_link" width="1/2" enable_overlay="yes" responsive_css="padding_right_large:15px|padding_left_large:15px|margin_left_medium:-40px|padding_right_medium:25px|padding_left_medium:25px" css=".vc_custom_1617357482505{padding-top: 18px !important;padding-bottom: 18px !important;border-radius: 5px !important;}" hover_overlay_bg="rgb(44, 43, 46)" link="url:https%3A%2F%2Fparallaxpro.liquid-themes.com%2F||target:%20_blank|"][ld_simple_heading use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:17px" fw="text_small:500" ls="text_small:0.02em" margin="bottom_small:0.5em"]Sticky Row / Column[/ld_simple_heading][ld_simple_heading tag="p" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.37)" fs="text_small:15px" fw="text_small:500" ls="text_small:0.02em" margin="bottom_small:0px"]Dynamic shaped image mask[/ld_simple_heading][/vc_column_inner][vc_column_inner enable_link="enable_column_link" enable_hover_move="lqd-column-move-onhover" width="1/2" enable_overlay="yes" responsive_css="margin_right_large:20px|padding_right_large:15px|padding_left_large:15px|margin_left_medium:-40px|padding_right_medium:25px|padding_left_medium:25px" css=".vc_custom_1617358180815{padding-top: 18px !important;padding-bottom: 18px !important;border-radius: 5px !important;}" hover_overlay_bg="rgb(44, 43, 46)" link="url:http%3A%2F%2Fappblockspro.liquid-themes.com%2F||target:%20_blank|"][ld_simple_heading highlight_height="114%" highlight_offset="-7%" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:17px" fw="text_small:500" ls="text_small:0.02em" margin="bottom_small:0.5em" highlight_color="rgba(255, 255, 255, 0.15)" highlight_roudness="15px"]Page Blocks [ld_highlight font_size="11px" color="#fff" ]  POPULAR  [/ld_highlight][/ld_simple_heading][ld_simple_heading tag="p" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.37)" fs="text_small:15px" fw="text_small:500" ls="text_small:0.02em" margin="bottom_small:0px"]stacked rows with custom menu.[/ld_simple_heading][/vc_column_inner][vc_column_inner enable_link="enable_column_link" enable_hover_move="lqd-column-move-onhover" width="1/2" enable_overlay="yes" responsive_css="padding_right_large:15px|padding_left_large:15px|margin_left_medium:-40px|padding_right_medium:25px|padding_left_medium:25px" css=".vc_custom_1617357720751{padding-top: 18px !important;padding-bottom: 18px !important;border-radius: 5px !important;}" hover_overlay_bg="rgb(44, 43, 46)" link="url:http%3A%2F%2Fsplitpro.liquid-themes.com%2F||target:%20_blank|"][ld_simple_heading use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:17px" fw="text_small:500" ls="text_small:0.02em" margin="bottom_small:0.5em"]Custom Cursor[/ld_simple_heading][ld_simple_heading tag="p" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.37)" fs="text_small:15px" fw="text_small:500" ls="text_small:0.02em" margin="bottom_small:0px"]Replace and customize default cursor.[/ld_simple_heading][/vc_column_inner][/vc_row_inner][/vc_column][vc_column offset="vc_col-lg-6" css=".vc_custom_1616755094874{margin-bottom: 30px !important;}"][ld_simple_heading tag="h4" transform="uppercase" highlight_animation="lqd-highlight-fadein" highlight_height="144%" highlight_offset="-22%" use_custom_fonts_title="true" color="rgb(255, 255, 255)" highlight_color="rgba(255, 255, 255, 0.15)" highlight_roudness="15px" fs="text_small:13px" fw="text_small:600" ls="text_small:0.07em" margin="bottom_small:1.15em"]Elements[/ld_simple_heading][vc_separator color="custom" border_width="2" accent_color="rgba(255,255,255,0.05)" css=".vc_custom_1616597825367{margin-bottom: 12px !important;}"][vc_row_inner responsive_css="padding_left_large:17px"][vc_column_inner enable_link="enable_column_link" enable_hover_move="lqd-column-move-onhover" width="1/2" enable_overlay="yes" responsive_css="margin_right_large:20px|padding_right_large:15px|padding_left_large:15px|margin_left_medium:-40px|padding_right_medium:25px|padding_left_medium:25px" css=".vc_custom_1617358086194{padding-top: 18px !important;padding-bottom: 18px !important;border-radius: 5px !important;}" hover_overlay_bg="rgb(44, 43, 46)" link="url:%23|||"][ld_simple_heading use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:17px" fw="text_small:500" ls="text_small:0.02em" margin="bottom_small:0.5em"]Section Scroll[/ld_simple_heading][ld_simple_heading tag="p" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.37)" fs="text_small:15px" fw="text_small:500" ls="text_small:0.02em" margin="bottom_small:0px"]Sticky rows with custom menu.[/ld_simple_heading][/vc_column_inner][vc_column_inner enable_link="enable_column_link" enable_hover_move="lqd-column-move-onhover" width="1/2" enable_overlay="yes" responsive_css="margin_right_large:20px|padding_right_large:15px|padding_left_large:15px|margin_left_medium:-40px|padding_right_medium:25px|padding_left_medium:25px" css=".vc_custom_1617358142971{padding-top: 18px !important;padding-bottom: 18px !important;border-radius: 5px !important;}" hover_overlay_bg="rgb(44, 43, 46)" link="url:https%3A%2F%2Foriginalhub.liquid-themes.com%2Felements-3d-depth-banner%2F||target:%20_blank|"][ld_simple_heading use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:17px" fw="text_small:500" ls="text_small:0.02em" margin="bottom_small:0.5em"]3D Depth Map[/ld_simple_heading][ld_simple_heading tag="p" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.37)" fs="text_small:15px" fw="text_small:500" ls="text_small:0.02em" margin="bottom_small:0px"]Interactive 3D Scene w/ static images.[/ld_simple_heading][/vc_column_inner][vc_column_inner enable_link="enable_column_link" enable_hover_move="lqd-column-move-onhover" width="1/2" enable_overlay="yes" responsive_css="margin_right_large:20px|padding_right_large:15px|padding_left_large:15px|margin_left_medium:-40px|padding_right_medium:25px|padding_left_medium:25px" css=".vc_custom_1617358095898{padding-top: 18px !important;padding-bottom: 18px !important;border-radius: 5px !important;}" hover_overlay_bg="rgb(44, 43, 46)" link="url:https%3A%2F%2Fdigitalpro.liquid-themes.com%2F||target:%20_blank|"][ld_simple_heading use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:17px" fw="text_small:500" ls="text_small:0.02em" margin="bottom_small:0.5em"]Masked Image[/ld_simple_heading][ld_simple_heading tag="p" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.37)" fs="text_small:15px" fw="text_small:500" ls="text_small:0.02em" margin="bottom_small:0px"]Dynamic shaped image mask.[/ld_simple_heading][/vc_column_inner][vc_column_inner enable_link="enable_column_link" enable_hover_move="lqd-column-move-onhover" width="1/2" enable_overlay="yes" responsive_css="margin_right_large:20px|padding_right_large:15px|padding_left_large:15px|margin_left_medium:-40px|padding_right_medium:25px|padding_left_medium:25px" css=".vc_custom_1617358155463{padding-top: 18px !important;padding-bottom: 18px !important;border-radius: 5px !important;}" hover_overlay_bg="rgb(44, 43, 46)" link="url:https%3A%2F%2Fproductshoppro.liquid-themes.com%2F||target:%20_blank|"][ld_simple_heading use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:17px" fw="text_small:500" ls="text_small:0.02em" margin="bottom_small:0.5em"]Marquee[/ld_simple_heading][ld_simple_heading tag="p" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.37)" fs="text_small:15px" fw="text_small:500" ls="text_small:0.02em" margin="bottom_small:0px"]Infinite dynamic carousel[/ld_simple_heading][/vc_column_inner][vc_column_inner enable_link="enable_column_link" enable_hover_move="lqd-column-move-onhover" width="1/2" enable_overlay="yes" responsive_css="margin_right_large:20px|padding_right_large:15px|padding_left_large:15px|margin_left_medium:-40px|padding_right_medium:25px|padding_left_medium:25px" css=".vc_custom_1617358102135{padding-top: 18px !important;padding-bottom: 18px !important;border-radius: 5px !important;}" hover_overlay_bg="rgb(44, 43, 46)" link="url:https%3A%2F%2Fdigitalpro.liquid-themes.com%2F||target:%20_blank|"][ld_simple_heading use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:17px" fw="text_small:500" ls="text_small:0.02em" margin="bottom_small:0.5em"]Interactive Particles[/ld_simple_heading][ld_simple_heading tag="p" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.37)" fs="text_small:15px" fw="text_small:500" ls="text_small:0.02em" margin="bottom_small:0px"]Create dynamic, interactive scenes.[/ld_simple_heading][/vc_column_inner][vc_column_inner enable_link="enable_column_link" enable_hover_move="lqd-column-move-onhover" width="1/2" enable_overlay="yes" responsive_css="margin_right_large:20px|padding_right_large:15px|padding_left_large:15px|margin_left_medium:-40px|padding_right_medium:25px|padding_left_medium:25px" css=".vc_custom_1617358149649{padding-top: 18px !important;padding-bottom: 18px !important;border-radius: 5px !important;}" hover_overlay_bg="rgb(44, 43, 46)" link="url:https%3A%2F%2Fmarketingpro.liquid-themes.com%2F||target:%20_blank|"][ld_simple_heading highlight_height="114%" highlight_offset="-7%" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:17px" fw="text_small:500" ls="text_small:0.02em" margin="bottom_small:0.5em" highlight_color="rgba(64, 221, 221, 0.2)" highlight_roudness="15px"]Dynamic Separator [ld_highlight font_size="11px" color="#40DDDD" ]  HOT  [/ld_highlight][/ld_simple_heading][ld_simple_heading tag="p" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.37)" fs="text_small:15px" fw="text_small:500" ls="text_small:0.02em" margin="bottom_small:0px"]Animated row divider.[/ld_simple_heading][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Mega Menu 5
	$data = array();
	$data['name'] = esc_html__( 'Mega Menu 05', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'mm-5.jpg' );
	$data['sort_name'] = 'Mega Menu';
	$data['custom_class'] = 'general mega-menu';
	$data['content'] = <<<CONTENT
	[vc_row gap="0"][vc_column bg_position="right top" offset="vc_col-md-5" css=".vc_custom_1616608402134{background-image: url(https://originalhub.liquid-themes.com/wp-content/uploads/2021/03/Icon.svg?id=12100) !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}"][vc_row_inner gap="0" css=".vc_custom_1616755136697{border-bottom-width: 1px !important;padding-top: 25px !important;padding-bottom: 25px !important;border-bottom-color: rgba(0,0,0,0.07) !important;border-bottom-style: solid !important;}" responsive_css="padding_right_large:45px|padding_left_large:45px"][vc_column_inner][ld_simple_heading tag="h3" use_custom_fonts_title="true" margin="bottom_small:0px" fs="text_small:19px"]Lifetime Updates. For Free.[/ld_simple_heading][/vc_column_inner][/vc_row_inner][vc_row_inner gap="0" css=".vc_custom_1616755145643{padding-top: 20px !important;padding-bottom: 20px !important;}" responsive_css="padding_right_large:45px|padding_left_large:45px"][vc_column_inner width="1/2"][ld_simple_heading tag="h3" use_custom_fonts_title="true" color="rgb(58, 65, 74)" fs="text_small:16px" fw="text_small:500" margin="bottom_small:1em"]Latest Updates[/ld_simple_heading][ld_simple_menu use_custom_fonts_menu="true" menu_slug="hub-versions" spacing="12" fs="15px" color="rgb(73, 93, 113)" hcolor="rgb(0, 0, 0)"][/vc_column_inner][vc_column_inner width="1/2"][ld_simple_heading tag="h3" use_custom_fonts_title="true" color="rgb(58, 65, 74)" fs="text_small:16px" fw="text_small:500" margin="bottom_small:1em"]Need help?[/ld_simple_heading][ld_simple_menu use_custom_fonts_menu="true" menu_slug="hub-links" spacing="12" fs="15px" color="rgb(73, 93, 113)" hcolor="rgb(0, 0, 0)"][/vc_column_inner][/vc_row_inner][vc_row_inner gap="0" enable_gradient="yes" enable_overlay="yes" gradient_bg="linear-gradient(90deg, rgb(229, 247, 255) 0%, #f1eaff 100%)" hover_overlay_bg="linear-gradient(270deg, rgb(229,247,255) 0%, #f1eaff 100%)"][vc_column_inner enable_link="enable_column_link" link="url:%23|||" css=".vc_custom_1616755160751{padding-top: 18px !important;padding-bottom: 18px !important;}" responsive_css="padding_right_large:45px|padding_left_large:45px"][ld_simple_heading tag="h3" use_custom_fonts_title="true" color="rgb(53, 72, 92)" fs="text_small:17px" fw="text_small:500" margin="bottom_small:0.3em"]See Changelog[/ld_simple_heading][ld_simple_heading tag="p" use_custom_fonts_title="true" color="rgb(73, 93, 113)" fs="text_small:14px" margin="bottom_small:0px"]Explore the latest features, improvements, and fixes.[/ld_simple_heading][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Mega Menu 6
	$data = array();
	$data['name'] = esc_html__( 'Mega Menu 06', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'mm-6.jpg' );
	$data['sort_name'] = 'Mega Menu';
	$data['custom_class'] = 'general mega-menu';
	$data['content'] = <<<CONTENT
	[vc_row gap="0"][vc_column offset="vc_col-md-4" css=".vc_custom_1621257404492{padding-top: 35px !important;}"][ld_icon_box i_type="image" heading_size="custom" heading_icon_onhover="yes" i_size="xs" position="iconbox-side" items_alignment="align-items-center" title="Our Community" title_mb="1" h_color="rgb(0, 0, 0)" css=".vc_custom_1620645394415{margin-bottom: 35px !important;padding-right: 15px !important;padding-left: 25px !important;}" i_icon_image="340" custom_heading_size="15px" custom_size="36px" link="url:%2Fcommunity|||" svg_fill_color="rgb(240, 89, 89)"]<span style="font-size: 12px; color: #aaa;">Smart and convent solutions.</span>[/ld_icon_box][ld_icon_box i_type="image" heading_size="custom" heading_icon_onhover="yes" i_size="xs" position="iconbox-side" items_alignment="align-items-center" title="Mobility Solutions" title_mb="1" h_color="rgb(0, 0, 0)" css=".vc_custom_1620645403246{margin-bottom: 35px !important;padding-right: 15px !important;padding-left: 25px !important;}" i_icon_image="337" custom_heading_size="15px" custom_size="36px" link="url:%2Fmobility-solutions|title:Mobility%20Solutions||" svg_fill_color="rgb(240, 89, 89)"]<span style="font-size: 12px; color: #aaa;">Smart and convent solutions.</span>[/ld_icon_box][ld_icon_box i_type="image" heading_size="custom" heading_icon_onhover="yes" i_size="xs" position="iconbox-side" items_alignment="align-items-center" title="FAQs" title_mb="1" h_color="rgb(0, 0, 0)" css=".vc_custom_1620645413123{margin-bottom: 35px !important;padding-right: 15px !important;padding-left: 25px !important;}" i_icon_image="336" custom_heading_size="15px" custom_size="36px" link="url:%2Fhelp-centre|||" svg_fill_color="rgb(240, 89, 89)"]<span style="font-size: 12px; color: #aaa;">Smart and convent solutions.</span>[/ld_icon_box][ld_icon_box i_type="image" heading_size="custom" heading_icon_onhover="yes" i_size="xs" position="iconbox-side" items_alignment="align-items-center" title="Integrations" title_mb="1" h_color="rgb(0, 0, 0)" css=".vc_custom_1620645425140{margin-bottom: 35px !important;padding-right: 15px !important;padding-left: 25px !important;}" i_icon_image="339" custom_heading_size="15px" custom_size="36px" link="url:%2Fintegrations|title:Integrations||" svg_fill_color="rgb(240, 89, 89)"]<span style="font-size: 12px; color: #aaa;">Smart and convent solutions.</span>[/ld_icon_box][ld_button style="btn-solid" title="Explore features" transformation="text-uppercase" size="btn-lg" border="border-none" width="btn-block" i_type="linea" i_hover_reveal="btn-hover-swp" i_add_icon="true" color="rgb(248, 249, 253)" text_color="rgb(0, 0, 0)" fs="13px" ls="0.1em" hover_color="rgb(237, 239, 243)" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" htext_color="rgb(0, 0, 0)"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Mega Menu 7
	$data = array();
	$data['name'] = esc_html__( 'Mega Menu 07', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'mm-7.jpg' );
	$data['sort_name'] = 'Mega Menu';
	$data['custom_class'] = 'general mega-menu';
	$data['content'] = <<<CONTENT
	[vc_row gap="0"][vc_column offset="vc_col-md-6"][vc_row_inner css=".vc_custom_1602580877685{padding-top: 30px !important;padding-right: 30px !important;padding-left: 30px !important;}"][vc_column_inner][ld_content_box template="s10" title="For Designers" heading_color="rgb(0, 0, 0)"][/ld_content_box][/vc_column_inner][vc_column_inner width="1/2"][ld_icon_box i_type="image" heading_size="custom" heading_weight="font-weight-medium" heading_icon_onhover="yes" position="iconbox-side" title="Mobility Solutions" title_mb="3" custom_heading_size="15px" icon_mb="5" link="url:%23|||" i_icon_image="131"]<span style="display: block; font-size: 14px; line-height: 1.54em !important;">Focused on providing smart and affordable business solutions.</span>[/ld_icon_box][/vc_column_inner][vc_column_inner width="1/2"][ld_icon_box i_type="image" heading_size="custom" heading_weight="font-weight-medium" heading_icon_onhover="yes" position="iconbox-side" title="Manage Payments" title_mb="3" custom_heading_size="15px" icon_mb="5" link="url:%23|||" i_icon_image="123"]<span style="display: block; font-size: 14px; line-height: 1.54em !important;">Focused on providing smart and affordable business solutions.</span>[/ld_icon_box][/vc_column_inner][vc_column_inner][vc_separator color="custom" accent_color="rgba(0,0,0,0.1)" css=".vc_custom_1602581129970{margin-top: 30px !important;margin-bottom: 30px !important;}"][/vc_column_inner][/vc_row_inner][vc_row_inner css=".vc_custom_1602581136069{padding-right: 30px !important;padding-bottom: 30px !important;padding-left: 30px !important;}"][vc_column_inner][ld_content_box template="s10" title="For Developers" heading_color="rgb(0, 0, 0)"][/ld_content_box][/vc_column_inner][vc_column_inner width="1/2"][ld_icon_box i_type="image" heading_size="custom" heading_weight="font-weight-medium" heading_icon_onhover="yes" position="iconbox-side" title="Extend API" title_mb="3" custom_heading_size="15px" icon_mb="5" link="url:%23|||" i_icon_image="130"]<span style="display: block; font-size: 14px; line-height: 1.54em !important;">Focused on providing smart and affordable business solutions.</span>[/ld_icon_box][/vc_column_inner][vc_column_inner width="1/2"][ld_icon_box i_type="image" heading_size="custom" heading_weight="font-weight-medium" heading_icon_onhover="yes" position="iconbox-side" title="Data Network" title_mb="3" custom_heading_size="15px" icon_mb="5" link="url:%23|||" i_icon_image="132"]<span style="display: block; font-size: 14px; line-height: 1.54em !important;">Focused on providing smart and affordable business solutions.</span>[/ld_icon_box][/vc_column_inner][/vc_row_inner][vc_row_inner][vc_column_inner][ld_button style="btn-solid" title="Explore all features" transformation="text-uppercase" size="btn-lg" border="border-none" width="btn-block" hover_txt_effect="btn-hover-txt-liquid-x-alt" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-forward" color="rgb(247, 249, 252)" hover_color="rgb(245, 58, 139)" hover_color2="rgb(123, 64, 228)" text_color="rgb(57, 57, 57)" htext_color="rgb(255, 255, 255)" fs="12px" ls="0.1em" lh="2em" fw="500"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Mega Menu 8
	$data = array();
	$data['name'] = esc_html__( 'Mega Menu 01', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'mm-8.jpg' );
	$data['sort_name'] = 'Mega Menu';
	$data['custom_class'] = 'general mega-menu';
	$data['content'] = <<<CONTENT
	[vc_row gap="0"][vc_column offset="vc_col-md-6"][vc_row_inner gap="0" css=".vc_custom_1621316289910{padding-top: 30px !important;padding-right: 30px !important;padding-left: 30px !important;}"][vc_column_inner][ld_content_box template="s10" title="For Designers" heading_color="rgb(0, 0, 0)"][/ld_content_box][/vc_column_inner][vc_column_inner width="1/2"][ld_icon_box i_type="image" heading_size="custom" heading_weight="font-weight-medium" heading_icon_onhover="yes" position="iconbox-side" title="Our Unique Approach" title_mb="3" custom_heading_size="14px" icon_mb="5" link="url:%2Fwhat-we-do|||" h_color="rgb(0, 0, 0)" i_icon_image="114"]<span style="color: #a2a2a2; font-size: 12px;">Focused on providing smart, </span><span style="color: #a2a2a2; font-size: 12px;">convenient solutions.</span>[/ld_icon_box][/vc_column_inner][vc_column_inner width="1/2"][ld_icon_box i_type="image" heading_size="custom" heading_weight="font-weight-medium" heading_icon_onhover="yes" position="iconbox-side" title="What Our Clients Say" title_mb="3" custom_heading_size="14px" icon_mb="5" link="url:%2Ftestimonials|title:Testimonials||" h_color="rgb(0, 0, 0)" i_icon_image="111"]<span style="color: #a2a2a2; font-size: 12px;">Focused on providing smart, </span><span style="color: #a2a2a2; font-size: 12px;">convenient solutions.</span>[/ld_icon_box][/vc_column_inner][vc_column_inner][vc_separator color="custom" accent_color="rgba(0,0,0,0.1)" css=".vc_custom_1602581129970{margin-top: 30px !important;margin-bottom: 30px !important;}"][/vc_column_inner][/vc_row_inner][vc_row_inner css=".vc_custom_1602581136069{padding-right: 30px !important;padding-bottom: 30px !important;padding-left: 30px !important;}"][vc_column_inner][ld_content_box template="s10" title="For Developers" heading_color="rgb(0, 0, 0)"][/ld_content_box][/vc_column_inner][vc_column_inner width="1/2"][ld_icon_box i_type="image" heading_size="custom" heading_weight="font-weight-medium" heading_icon_onhover="yes" position="iconbox-side" title="Data Driven Solutions" title_mb="3" custom_heading_size="14px" icon_mb="5" link="url:%2Four-solutions|||" h_color="rgb(0, 0, 0)" i_icon_image="113"]<span style="color: #a2a2a2; font-size: 12px;">Focused on providing smart, </span><span style="color: #a2a2a2; font-size: 12px;">convenient solutions.</span>[/ld_icon_box][/vc_column_inner][vc_column_inner width="1/2"][ld_icon_box i_type="image" heading_size="custom" heading_weight="font-weight-medium" heading_icon_onhover="yes" position="iconbox-side" title="SEO Analytics" title_mb="3" custom_heading_size="14px" icon_mb="5" link="url:%2Ffree-seo-analysis|||" h_color="rgb(0, 0, 0)" i_icon_image="110"]<span style="color: #a2a2a2; font-size: 12px;">Focused on providing smart, </span><span style="color: #a2a2a2; font-size: 12px;">convenient solutions.</span>[/ld_icon_box][/vc_column_inner][/vc_row_inner][vc_row_inner][vc_column_inner][ld_button style="btn-solid" title="Explore all features" transformation="text-uppercase" size="btn-lg" border="border-none" width="btn-block" hover_txt_effect="btn-hover-txt-liquid-x-alt" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-forward" color="rgb(247, 249, 252)" hover_color="rgb(245, 58, 139)" hover_color2="rgb(123, 64, 228)" text_color="rgb(57, 57, 57)" htext_color="rgb(255, 255, 255)" fs="12px" ls="0.1em" lh="2em" fw="500"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Mega Menu 9
	$data = array();
	$data['name'] = esc_html__( 'Mega Menu 09', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'mm-9.jpg' );
	$data['sort_name'] = 'Mega Menu';
	$data['custom_class'] = 'general mega-menu';
	$data['content'] = <<<CONTENT
	[vc_row gap="0" css=".vc_custom_1621411842220{border-radius: 10px !important;}"][vc_column offset="vc_col-md-3" responsive_css="padding_top_medium:35px"][ld_icon_box i_type="image" heading_size="custom" heading_icon_onhover="yes" i_size="xs" position="iconbox-side" items_alignment="align-items-center" title="Our network" title_mb="1" h_color="rgb(0, 0, 0)" css=".vc_custom_1617780708688{margin-bottom: 35px !important;padding-right: 15px !important;padding-left: 25px !important;}" i_icon_image="4394" custom_heading_size="15px" custom_size="42px" link="url:%2Fuse-cases|||"]<span style="font-size: 12px; color: #bababa;">Smart and convent solutions.</span>[/ld_icon_box][ld_icon_box i_type="image" heading_size="custom" heading_icon_onhover="yes" i_size="xs" position="iconbox-side" items_alignment="align-items-center" title="Help Center" title_mb="1" h_color="rgb(0, 0, 0)" css=".vc_custom_1617780717417{margin-bottom: 35px !important;padding-right: 15px !important;padding-left: 25px !important;}" i_icon_image="4397" custom_heading_size="15px" custom_size="42px" link="url:%2Fhelp-center|title:Help%20Center||"]<span style="font-size: 12px; color: #bababa;">Smart and convent solutions.</span>[/ld_icon_box][ld_icon_box i_type="image" heading_size="custom" heading_icon_onhover="yes" i_size="xs" position="iconbox-side" items_alignment="align-items-center" title="Extend APIs" title_mb="1" h_color="rgb(0, 0, 0)" css=".vc_custom_1617780725017{margin-bottom: 35px !important;padding-right: 15px !important;padding-left: 25px !important;}" i_icon_image="4396" custom_heading_size="15px" custom_size="42px" link="url:%2Fintegrations|||"]<span style="font-size: 12px; color: #bababa;">Smart and convent solutions.</span>[/ld_icon_box][ld_icon_box i_type="image" heading_size="custom" heading_icon_onhover="yes" i_size="xs" position="iconbox-side" items_alignment="align-items-center" title="Payment Solutions" title_mb="1" h_color="rgb(0, 0, 0)" css=".vc_custom_1617780731645{margin-bottom: 35px !important;padding-right: 15px !important;padding-left: 25px !important;}" i_icon_image="4395" custom_heading_size="15px" custom_size="42px" link="url:%2Fsolutions|||"]<span style="font-size: 12px; color: #bababa;">Smart and convent solutions.</span>[/ld_icon_box][ld_button style="btn-solid" title="Explore features" transformation="text-uppercase" size="btn-lg" border="border-none" width="btn-block" i_type="linea" i_hover_reveal="btn-hover-swp" i_add_icon="true" color="rgb(248, 249, 253)" text_color="rgb(0, 0, 0)" fs="13px" ls="0.1em" hover_color="rgb(237, 239, 243)" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" htext_color="rgb(0, 0, 0)"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Mega Menu 10
	$data = array();
	$data['name'] = esc_html__( 'Mega Menu 10', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'mm-10.jpg' );
	$data['sort_name'] = 'Mega Menu';
	$data['custom_class'] = 'general mega-menu';
	$data['content'] = <<<CONTENT
	[vc_row gap="0" equal_height="yes" content_placement="middle" enable_row_shadowbox="yes" css=".vc_custom_1595685693382{padding-top: 0px !important;background-color: #ffffff !important;border-radius: 10px !important;}" row_box_shadow="%5B%7B%22y_offset%22%3A%2230px%22%2C%22blur_radius%22%3A%2270px%22%2C%22shadow_color%22%3A%22rgba(4%2C50%2C99%2C0.24)%22%7D%5D" el_class="overflow-hidden"][vc_column width="7/12"][vc_row_inner content_placement="middle"][vc_column_inner width="7/12" css=".vc_custom_1621434834551{margin-right: 30px !important;margin-left: 30px !important;background-image: url(https://startup.liquid-themes.com/wp-content/uploads/2020/07/startup-tab-3@2x.png?id=4402) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: contain !important;}" offset="vc_hidden-sm vc_hidden-xs"][vc_single_image image="794" img_size="300px" invisible="yes"][/vc_column_inner][vc_column_inner width="5/12" responsive_css="padding_top_medium:40px|padding_right_medium:20px|padding_bottom_medium:40px|padding_left_medium:40px"][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" color="rgb(0, 0, 0)" fs="text_small:12px" fw="text_small:700" ls="text_small:0.185em" link="|||"]Solutions[/ld_fancy_heading][ld_spacer height="30px"][ld_content_box template="s10" title="Overview" heading_color="rgb(52, 142, 245)" img_link="url:%2Fsolutions|||"]<span style="font-size: 14px;">Looking for Industry Solutions?</span>[/ld_content_box][vc_separator css=".vc_custom_1613461903523{margin-bottom: 25px !important;}"][ld_content_box template="s10" title="Pricing" heading_color="rgb(52, 142, 245)" img_link="url:%2Fpricing|||"]<span style="font-size: 14px;">Affordable pricing packages</span>[/ld_content_box][vc_separator css=".vc_custom_1613461903523{margin-bottom: 25px !important;}"][ld_content_box template="s10" title="Resources" heading_color="rgb(52, 142, 245)" img_link="url:%2Fblog|||"]<span style="font-size: 14px;">Providing Smart Solutions</span>[/ld_content_box][vc_separator][ld_button style="btn-naked" title="Explore Hub" transformation="text-uppercase" i_type="linea" i_hover_reveal="btn-hover-swp" i_add_icon="true" link="url:%23|||" fs="12px" fw="600" ls="0.2em" css=".vc_custom_1613461994940{padding-top: 0.25em !important;padding-bottom: 0.25em !important;}" i_icon_linea="lqd-icn-ess icon-md-arrow-forward"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]CONTENT;
CONTENT;
	$templates[] = $data;

	//Mega Menu 11
	$data = array();
	$data['name'] = esc_html__( 'Mega Menu 11', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'mm-11.jpg' );
	$data['sort_name'] = 'Mega Menu';
	$data['custom_class'] = 'general mega-menu';
	$data['content'] = <<<CONTENT
	[vc_row gap="0" equal_height="yes"][vc_column offset="vc_col-md-7"][vc_row_inner equal_height="yes" gap="0"][vc_column_inner width="1/2" responsive_css="padding_top_medium:45px|padding_right_medium:45px|padding_bottom_medium:45px|padding_left_medium:55px" css=".vc_custom_1622132303506{border-right-width: 1px !important;border-right-color: rgba(255,255,255,0.22) !important;border-right-style: solid !important;}"][ld_simple_menu source="custom" items="%5B%7B%22label%22%3A%22Citizenship%22%2C%22url%22%3A%22%23%22%2C%22icon_classname%22%3A%22lqd-icn-ess%20icon-lqd-circle%20mr-1%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Aviation%20and%20Construction%20%22%2C%22url%22%3A%22%23%22%2C%22icon_classname%22%3A%22lqd-icn-ess%20icon-lqd-circle%20mr-1%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Workplace%20Problems%22%2C%22url%22%3A%22%23%22%2C%22icon_classname%22%3A%22lqd-icn-ess%20icon-lqd-circle%20mr-1%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Anti-money%20Laundering%22%2C%22url%22%3A%22%23%22%2C%22icon_classname%22%3A%22lqd-icn-ess%20icon-lqd-circle%20mr-1%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Immigration%20Issues%22%2C%22url%22%3A%22%23%22%2C%22icon_classname%22%3A%22lqd-icn-ess%20icon-lqd-circle%20mr-1%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%5D" fs="text_small:15px" lh="text_small:1.5em" fw="text_small:500" spacing="22" color="rgb(255, 255, 255)" hcolor="rgba(255, 255, 255, 0.85)"][/vc_column_inner][vc_column_inner width="1/2" responsive_css="padding_top_medium:45px|padding_right_medium:45px|padding_bottom_medium:45px|padding_left_medium:55px"][ld_simple_menu source="custom" items="%5B%7B%22label%22%3A%22Private%20Business%22%2C%22url%22%3A%22%23%22%2C%22icon_classname%22%3A%22lqd-icn-ess%20icon-lqd-circle%20mr-1%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Intellectual%20Property%22%2C%22url%22%3A%22%23%22%2C%22icon_classname%22%3A%22lqd-icn-ess%20icon-lqd-circle%20mr-1%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Corporate%20and%20Real%20Estate%22%2C%22url%22%3A%22%23%22%2C%22icon_classname%22%3A%22lqd-icn-ess%20icon-lqd-circle%20mr-1%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Divorce%20Attorney%22%2C%22url%22%3A%22%23%22%2C%22icon_classname%22%3A%22lqd-icn-ess%20icon-lqd-circle%20mr-1%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Insurance%20Services%22%2C%22url%22%3A%22%23%22%2C%22icon_classname%22%3A%22lqd-icn-ess%20icon-lqd-circle%20mr-1%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%5D" fs="text_small:15px" lh="text_small:1.5em" fw="text_small:500" spacing="22" color="rgb(255, 255, 255)" hcolor="rgba(255, 255, 255, 0.85)"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Category Misc
	//Misc 1
	$data = array();
	$data['name'] = esc_html__( 'Misc 01', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'misc-1.jpg' );
	$data['sort_name'] = 'Misc, Fancy Text';
	$data['custom_class'] = 'general misc fancytext';
	$data['content'] = <<<CONTENT
	[vc_row el_id="screenshot" css=".vc_custom_1610621677167{padding-top: 5vh !important;padding-bottom: 10vh !important;}"][vc_column parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" to_easy="power2.in" translate_from_y="180" translate_to_y="-250" rotate_to_z="0" rotate_from_z="0" parallax_duration="+=50%"][ld_fancy_heading tag="h2" parallax="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="0.9" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="0" parallax_trigger="top top" use_custom_fonts_title="true" enable_split="true" color="rgb(139, 139, 139)" fs="text_large:55px|text_medium:48px|text_small:10vw" lh="text_small:1em" fw="text_small:700" ca_init_translate_y="80" ca_init_rotate_z="2"]🏦 <span style="color: #ffffff;">Pre-market.</span> Preferred stock may be hybrid by having the qualities of bonds of fixed returns and common stock voting rightson.[/ld_fancy_heading][/vc_column][/vc_row][vc_row fade_scroll="yes" responsive_css="padding_top_large:10vh|padding_bottom_large:10vh"][vc_column parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" to_easy="power3.in" translate_from_y="100" translate_to_y="-100" rotate_to_z="0" rotate_from_z="0" parallax_duration="+=50%"][ld_fancy_heading tag="h2" parallax="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="0.9" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="0" parallax_trigger="center center" use_custom_fonts_title="true" enable_split="true" color="rgb(139, 139, 139)" fs="text_large:55px|text_medium:48px|text_small:10vw" lh="text_small:1em" fw="text_small:700" ca_init_translate_y="80" ca_init_rotate_z="2"]💶 <span style="color: #ffffff;">Stock exchange.</span> Lets investors recoup the initial investment plus capital gains from subsequent rises in stock price.[/ld_fancy_heading][/vc_column][/vc_row][vc_row fade_scroll="yes" css=".vc_custom_1610570152432{padding-top: 10vh !important;padding-bottom: 20vh !important;}"][vc_column parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" to_easy="power4.in" translate_from_y="100" translate_to_y="-170" rotate_to_z="0" rotate_from_z="0" parallax_duration="+=50%"][ld_fancy_heading tag="h2" parallax="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="0.9" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="0" parallax_trigger="center center" use_custom_fonts_title="true" enable_split="true" color="rgb(139, 139, 139)" fs="text_large:55px|text_medium:48px|text_small:10vw" lh="text_small:1em" fw="text_small:700" ca_init_translate_y="80" ca_init_rotate_z="2"]💬 <span style="color: #ffffff;">Next‑generation security.</span> knows a face when it sees one, and intelligently relights it to capture more natural-looking contours.[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Misc 2
	$data = array();
	$data['name'] = esc_html__( 'Misc 02', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'misc-2.jpg' );
	$data['sort_name'] = 'Misc';
	$data['custom_class'] = 'general misc';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" css=".vc_custom_1603097323845{padding-top: 60px !important;padding-bottom: 30px !important;}" el_id="about" responsive_css="padding_top_medium:130px|padding_bottom_medium:65px|padding_top_small:70px|padding_bottom_small:40px"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-6" ca_duration="1800" ca_delay="180" ca_init_translate_x="-50"][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" color="rgb(122, 118, 100)" fs="11px" margin="bottom_small:2em" fw="700" ls="0.2em"]Meet Alex[/ld_fancy_heading][ld_fancy_heading tag="h2" split_type="words" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" enable_split="true" use_mask="true" padding="right_large:22%25" ca_init_translate_y="70"]Boston’s favorite hair stylist.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true"]Hold ourselves at the standard shaving of perfection in the barber special. Service and top-notch barbers, have the ability to consistently deals field and brow a diverse client base in London.[/ld_fancy_heading][ld_spacer height="12px"][ld_button style="btn-underlined" title="Book appointment" transformation="text-uppercase" i_type="linea" i_hover_reveal="btn-hover-swp" i_add_icon="true" fs="10px" lh="1.5em" ls="0.125em" css=".vc_custom_1595406272654{padding-top: 1em !important;padding-right: 0.5em !important;padding-bottom: 1em !important;padding-left: 0.5em !important;}" i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-round-forward" color="rgb(37, 37, 37)" hover_color="rgb(26, 26, 26)" i_size="21px"][ld_spacer][/vc_column][vc_column align="text-center" offset="vc_col-md-6 vc_hidden-sm vc_hidden-xs" responsive_align="text-center"][ld_images_group_container][ld_images_group_element img_size="50%" parallax="yes" enable_image_shadow="yes" shadow_style="4" enable_shadow="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" image="154" translate_from_y="25" translate_to_y="-95" margin="left_small:40%25"][/ld_images_group_element][ld_images_group_element img_size="50%" parallax="yes" enable_image_shadow="yes" shadow_style="4" enable_shadow="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" image="60" margin="top_small:-40px" translate_from_y="40" translate_to_y="-80" position="right_small:-150px" shadow_delay="300"][/ld_images_group_element][ld_images_group_element img_size="50%" parallax="yes" enable_image_shadow="yes" shadow_style="4" enable_hover3d="yes" enable_shadow="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" image="59" margin="top_small:-18%25|left_small:-60%25" translate_from_y="80" translate_to_y="-120" shadow_delay="400"][/ld_images_group_element][/ld_images_group_container][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Misc 3
	$data = array();
	$data['name'] = esc_html__( 'Misc 03', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'misc-3.jpg' );
	$data['sort_name'] = 'Misc';
	$data['custom_class'] = 'general misc';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1602658984101{padding-bottom: 70px !important;}" responsive_css="margin_bottom_medium:60px|padding_top_medium:120px|padding_bottom_medium:120px"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-6" ca_duration="1800" ca_delay="80" ca_init_translate_x="2" ca_init_translate_y="50" ca_init_rotate_y="50" responsive_align="text-center text-md-left"][ld_fancy_heading tag="h6" margin="bottom_small:2em"]Biography[/ld_fancy_heading][ld_fancy_heading tag="h2" margin="bottom_small:1em"]Derrick's Story[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="21px" lh="1.71em"]Robert attended English-style boarding schools in India from the age of eight and returned to Zanzibar after secondary school. In 1964, his family fled the Zanzibar Revolution. One of Mercury’s former bandmates from the Hectics has said “the only music he listened to, and played, was Western pop music. In addition to working with Michael Jackson, Mercury and Roger Taylor sang on the title track for Billy Squier’s 1982 studio release,[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-6"][ld_images_group_container move_to_parent_row="yes" absolute_pos="yes" position="top_medium:100px|top_small:70%25|right_small:0px"][ld_images_group_element img_size="70%" enable_effects="yes" enable_hover3d="yes" image="4523"][/ld_images_group_element][/ld_images_group_container][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Misc 4
	$data = array();
	$data['name'] = esc_html__( 'Misc 04', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'misc-4.jpg' );
	$data['sort_name'] = 'Misc';
	$data['custom_class'] = 'general misc';
	$data['content'] = <<<CONTENT
	[vc_row full_height="yes" css=".vc_custom_1602662034705{padding-top: 30px !important;padding-bottom: 60px !important;}" responsive_css="padding_top_small:30px|padding_bottom_small:20px"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" align="text-center" offset="vc_col-md-offset-3 vc_col-md-6" css=".vc_custom_1608641455549{margin-bottom: 60px !important;}" ca_duration="1800" ca_delay="180" ca_init_translate_y="35" responsive_align="text-center"][ld_fancy_heading tag="h6" margin="bottom_small:2em"]Discography[/ld_fancy_heading][ld_fancy_heading tag="h2"]Listen on Spotify[/ld_fancy_heading][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" align="text-center" offset="vc_col-md-4" ca_duration="1800" ca_delay="180" ca_init_translate_y="35" ca_init_rotate_y="50" responsive_css="padding_bottom_medium:0px" css=".vc_custom_1605626649614{padding-bottom: 70px !important;}" responsive_align="text-center text-md-left"][ld_images_group_container margin="bottom_small:25px"][ld_images_group_element img_size="34%" enable_hover3d="yes" hover3d_stacking_factor="0.6" enable_roudness="yes" image_roudness="6" image="4547"][/ld_images_group_element][/ld_images_group_container][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="18px" margin="bottom_small:0.15em"]Carlos Santana[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(128, 127, 131)" fs="18px"]Part II. 2018[/ld_fancy_heading][ld_spacer height="15px"][ld_button style="btn-default" title="Listen on Spotify" transformation="text-uppercase" shape="circle" size="btn-lg" border="border-thick" i_type="fontawesome" i_hover_reveal="btn-hover-reveal" i_add_icon="true" color="rgb(165, 116, 80)" hover_color="rgb(255, 255, 255)" htext_color="rgb(0, 0, 0)" fs="14px" lh="1.5em" ls="0.115em" i_size="16px" i_icon_fontawesome="fab fa-spotify"][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-8" ca_duration="1800" ca_start_delay="450" ca_delay="180" ca_init_translate_y="60" ca_init_rotate_y="51"][vc_column_text][/vc_column_text][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Misc 5
	$data = array();
	$data['name'] = esc_html__( 'Misc 05', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'misc-5.jpg' );
	$data['sort_name'] = 'Misc';
	$data['custom_class'] = 'general misc';
	$data['content'] = <<<CONTENT
	[vc_row bg_position="center bottom" enable_overlay="yes" css=".vc_custom_1602658688642{padding-top: 70px !important;padding-bottom: 70px !important;background-image: url(https://musichub.liquid-themes.com/staging/wp-content/uploads/2020/01/music-bg-2@2x.jpg?id=4471) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" el_id="tour" overlay_bg="linear-gradient(0deg, rgb(15,15,20) 1.5923566878980893%, rgba(15, 15, 20, 0.63) 100%)" responsive_css="margin_top_medium:60px|padding_top_medium:100px|padding_bottom_medium:100px"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" align="text-center" offset="vc_col-md-offset-3 vc_col-md-6" css=".vc_custom_1605626836335{margin-bottom: 20px !important;}" ca_duration="1800" ca_delay="180" ca_init_translate_y="35" responsive_align="text-center" responsive_css="margin_bottom_medium:60px"][ld_fancy_heading tag="h6" margin="bottom_small:2em"]Events[/ld_fancy_heading][ld_fancy_heading tag="h2"]Tour dates[/ld_fancy_heading][/vc_column][vc_column enable_content_animation="yes" animation_preset="Fade In" ca_delay="50" ca_duration="900"][vc_row_inner equal_height="yes" content_placement="middle" gap="20" enable_overlay="yes" overlay_bg="rgba(0, 0, 0, 0)" hover_overlay_bg="rgba(0, 0, 0, 0.25)" css=".vc_custom_1575554642734{border-bottom-width: 1px !important;padding-top: 30px !important;padding-bottom: 5px !important;border-bottom-color: rgba(255,255,255,0.17) !important;border-bottom-style: solid !important;}"][vc_column_inner width="1/2" offset="vc_col-md-2 vc_col-xs-6" css=".vc_custom_1602773028642{margin-bottom: 15px !important;}"][ld_fancy_heading tag="h4"]21 APR[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-3 vc_col-xs-6" css=".vc_custom_1602773038033{margin-bottom: 15px !important;}"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="18px"]Arizona, US[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-3 vc_col-xs-6" css=".vc_custom_1602773046504{margin-bottom: 15px !important;}"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.55)" fs="15px"]Santana ft. Joss[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-2 vc_hidden-sm vc_col-xs-6 vc_hidden-xs" responsive_align="text-md-right" css=".vc_custom_1602773158856{margin-bottom: 15px !important;}"][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-2 vc_col-xs-6" responsive_align="text-md-right" css=".vc_custom_1602773072235{margin-bottom: 15px !important;}"][ld_button style="btn-naked" title="Buy tickets" transformation="text-uppercase" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" color="rgb(255, 255, 255)" hover_color="rgb(255, 255, 255)" fs="14px" ls="0.115em" css=".vc_custom_1595925758773{margin-bottom: 0.5em !important;}" i_icon_linea="lqd-icn-ess icon-md-arrow-forward"][/vc_column_inner][/vc_row_inner][vc_row_inner equal_height="yes" content_placement="middle" gap="20" enable_overlay="yes" overlay_bg="rgba(0, 0, 0, 0)" hover_overlay_bg="rgba(0, 0, 0, 0.25)" css=".vc_custom_1575554642734{border-bottom-width: 1px !important;padding-top: 30px !important;padding-bottom: 5px !important;border-bottom-color: rgba(255,255,255,0.17) !important;border-bottom-style: solid !important;}"][vc_column_inner align="text-center" offset="vc_hidden-lg vc_hidden-md" css=".vc_custom_1605682943092{margin-bottom: 15px !important;}" responsive_align="text-center"][ld_fancy_heading tag="p" transform="text-uppercase" enable_bg="yes" fh_border_radius="circle" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.25)" fs="12px" ls="0.115em" padding="top_small:7px|right_small:20px|bottom_small:7px|left_small:20px" fh_bg="rgba(255, 255, 255, 0.1)" lh="1.25em"]Sold out[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-2 vc_col-xs-6" css=".vc_custom_1602773080006{margin-bottom: 15px !important;}"][ld_fancy_heading tag="h4"]19 MAY[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-3 vc_col-xs-6" css=".vc_custom_1602773101970{margin-bottom: 15px !important;}"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="18px"]Stockholm, Sweden[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-3 vc_col-xs-6" css=".vc_custom_1602773108669{margin-bottom: 15px !important;}"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.55)" fs="15px"]Santana ft. Joss[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-2 vc_hidden-sm vc_col-xs-6 vc_hidden-xs" responsive_align="text-md-right" css=".vc_custom_1602773115902{margin-bottom: 15px !important;}"][ld_fancy_heading tag="p" transform="text-uppercase" enable_bg="yes" fh_border_radius="circle" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.25)" fs="12px" ls="0.115em" padding="top_small:7px|right_small:20px|bottom_small:7px|left_small:20px" fh_bg="rgba(255, 255, 255, 0.1)" lh="1.25em"]Sold out[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-2 vc_col-xs-6" responsive_align="text-md-right" css=".vc_custom_1602773123164{margin-bottom: 15px !important;}"][ld_button style="btn-naked" title="Buy tickets" transformation="text-uppercase" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" color="rgb(255, 255, 255)" hover_color="rgb(255, 255, 255)" fs="14px" ls="0.115em" css=".vc_custom_1595925758773{margin-bottom: 0.5em !important;}" i_icon_linea="lqd-icn-ess icon-md-arrow-forward"][/vc_column_inner][/vc_row_inner][vc_row_inner equal_height="yes" content_placement="middle" gap="20" enable_overlay="yes" overlay_bg="rgba(0, 0, 0, 0)" hover_overlay_bg="rgba(0, 0, 0, 0.25)" css=".vc_custom_1575554642734{border-bottom-width: 1px !important;padding-top: 30px !important;padding-bottom: 5px !important;border-bottom-color: rgba(255,255,255,0.17) !important;border-bottom-style: solid !important;}"][vc_column_inner offset="vc_col-md-2 vc_col-xs-6" css=".vc_custom_1602773129464{margin-bottom: 15px !important;}"][ld_fancy_heading tag="h4"]08 JUN[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-3 vc_col-xs-6" css=".vc_custom_1602773136459{margin-bottom: 15px !important;}"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="18px"]North Carolina, US[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-3 vc_col-xs-6" css=".vc_custom_1602773142518{margin-bottom: 15px !important;}"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.55)" fs="15px"]Santana ft. Joss[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-2 vc_hidden-sm vc_hidden-xs" responsive_align="text-md-right" css=".vc_custom_1602773154205{margin-bottom: 15px !important;}"][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-2 vc_col-xs-6" responsive_align="text-md-right" css=".vc_custom_1602773166263{margin-bottom: 15px !important;}"][ld_button style="btn-naked" title="Buy tickets" transformation="text-uppercase" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" color="rgb(255, 255, 255)" hover_color="rgb(255, 255, 255)" fs="14px" ls="0.115em" css=".vc_custom_1595925758773{margin-bottom: 0.5em !important;}" i_icon_linea="lqd-icn-ess icon-md-arrow-forward"][/vc_column_inner][/vc_row_inner][vc_row_inner equal_height="yes" content_placement="middle" gap="20" enable_overlay="yes" overlay_bg="rgba(0, 0, 0, 0)" hover_overlay_bg="rgba(0, 0, 0, 0.25)" css=".vc_custom_1575554642734{border-bottom-width: 1px !important;padding-top: 30px !important;padding-bottom: 5px !important;border-bottom-color: rgba(255,255,255,0.17) !important;border-bottom-style: solid !important;}"][vc_column_inner offset="vc_col-md-2 vc_col-xs-6" css=".vc_custom_1602773172442{margin-bottom: 15px !important;}"][ld_fancy_heading tag="h4"]11 JUL[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-3 vc_col-xs-6" css=".vc_custom_1602773179027{margin-bottom: 15px !important;}"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="18px"]London, UK[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-3 vc_col-xs-6" css=".vc_custom_1602773186008{margin-bottom: 15px !important;}"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.55)" fs="15px"]Santana ft. Joss[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-2 vc_hidden-sm vc_hidden-xs" responsive_align="text-md-right" css=".vc_custom_1602773191539{margin-bottom: 15px !important;}"][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-2 vc_col-xs-6" responsive_align="text-md-right" css=".vc_custom_1602773198908{margin-bottom: 15px !important;}"][ld_button style="btn-naked" title="Buy tickets" transformation="text-uppercase" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" color="rgb(255, 255, 255)" hover_color="rgb(255, 255, 255)" fs="14px" ls="0.115em" css=".vc_custom_1595925758773{margin-bottom: 0.5em !important;}" i_icon_linea="lqd-icn-ess icon-md-arrow-forward"][/vc_column_inner][/vc_row_inner][vc_row_inner equal_height="yes" content_placement="middle" gap="20" enable_overlay="yes" overlay_bg="rgba(0, 0, 0, 0)" hover_overlay_bg="rgba(0, 0, 0, 0.25)" css=".vc_custom_1575554642734{border-bottom-width: 1px !important;padding-top: 30px !important;padding-bottom: 5px !important;border-bottom-color: rgba(255,255,255,0.17) !important;border-bottom-style: solid !important;}"][vc_column_inner align="text-center" offset="vc_hidden-lg vc_hidden-md" css=".vc_custom_1605682964011{margin-bottom: 15px !important;}" responsive_align="text-center"][ld_fancy_heading tag="p" transform="text-uppercase" enable_bg="yes" fh_border_radius="circle" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.25)" fs="12px" ls="0.115em" padding="top_small:7px|right_small:20px|bottom_small:7px|left_small:20px" fh_bg="rgba(255, 255, 255, 0.1)" lh="1.25em"]Sold out[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-2 vc_col-xs-6" css=".vc_custom_1602773227518{margin-bottom: 15px !important;}"][ld_fancy_heading tag="h4"]15 AUG[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-3 vc_col-xs-6" css=".vc_custom_1602773234716{margin-bottom: 15px !important;}"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="18px"]Florence, Italy[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-3 vc_col-xs-6" css=".vc_custom_1602773241702{margin-bottom: 15px !important;}"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.55)" fs="15px"]Santana ft. Joss[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-2 vc_hidden-sm vc_col-xs-6 vc_hidden-xs" responsive_align="text-md-right" css=".vc_custom_1602773265298{margin-bottom: 15px !important;}"][ld_fancy_heading tag="p" transform="text-uppercase" enable_bg="yes" fh_border_radius="circle" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.25)" fs="12px" ls="0.115em" padding="top_small:7px|right_small:20px|bottom_small:7px|left_small:20px" fh_bg="rgba(255, 255, 255, 0.1)" lh="1.25em"]Sold out[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-2 vc_col-xs-6" responsive_align="text-md-right" css=".vc_custom_1602773272487{margin-bottom: 15px !important;}"][ld_button style="btn-naked" title="Buy tickets" transformation="text-uppercase" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" color="rgb(255, 255, 255)" hover_color="rgb(255, 255, 255)" fs="14px" ls="0.115em" css=".vc_custom_1595925758773{margin-bottom: 0.5em !important;}" i_icon_linea="lqd-icn-ess icon-md-arrow-forward"][/vc_column_inner][/vc_row_inner][/vc_column][vc_column align="text-center" css=".vc_custom_1575614929081{padding-top: 70px !important;}" responsive_align="text-center"][ld_button style="btn-default" title="SEE SCHEDULE" transformation="text-uppercase" shape="circle" size="btn-lg" border="border-thicker" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" color="rgb(255, 255, 255)" hover_color="rgb(255, 255, 255)" htext_color="rgb(0, 0, 0)" fs="14px" lh="1.5em" ls="0.115em"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Misc 6
	$data = array();
	$data['name'] = esc_html__( 'Misc 06', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'misc-6.jpg' );
	$data['sort_name'] = 'Misc, Marquee';
	$data['custom_class'] = 'general misc marquee';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" gap="0" full_height="yes" columns_placement="top" equal_height="yes" content_placement="middle" responsive_css="padding_right_medium:100px" css=".vc_custom_1610708948914{background-color: #ffffff !important;}" data_tooltip="Lookbook"][vc_column width="1/2" offset="vc_col-md-6" el_class="z-index-2" responsive_css="padding_top_medium:0px|margin_bottom_small:0px|padding_right_small:0px|padding_left_small:0px" css=".vc_custom_1603706081765{margin-bottom: 30px !important;padding-top: 80px !important;padding-right: 15px !important;padding-left: 15px !important;}"][ld_hotspots image="4002" identities="%5B%7B%22title%22%3A%22Nike%20Air%20Max%20-%20%2499%22%2C%22description%22%3A%22A%20lookbook%20is%20a%20collection%20of%20photographs%20compiled%20to%20show%22%2C%22position%22%3A%22lqd-hotspot-t%22%2C%22top%22%3A%2233%25%22%2C%22right%22%3A%2225%25%22%7D%2C%7B%22title%22%3A%22Zara%20Top%20-%20%2439%22%2C%22description%22%3A%22A%20lookbook%20is%20a%20collection%20of%20photographs%20compiled%20to%20show%22%2C%22position%22%3A%22lqd-hotspot-b%22%2C%22top%22%3A%2253%25%22%2C%22left%22%3A%2247%25%22%7D%5D" custom_height="calc(100vh - 90px)"][ld_fancy_heading tag="h2" alignment="text-center" absolute_pos="yes" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_medium:18vmin|text_small:38vw" lh="text_small:0.8em" position="right_small:0px|bottom_small:-0.175em|left_small:0px" margin="bottom_small:0px"]Look book[/ld_fancy_heading][/vc_column][vc_column width="1/2" offset="vc_col-md-offset-1 vc_col-md-4" responsive_css="padding_top_medium:5vh|padding_right_medium:0px|padding_left_medium:0px|margin_top_small:0px" css=".vc_custom_1611259827164{margin-top: 32vw !important;padding-right: 15px !important;padding-left: 15px !important;}" responsive_align="text-center text-sm-left"][ld_fancy_heading tag="h6" alignment="text-center" hover_text_outline="ld-fh-outline" outline_appearance="ld-fh-outline-static" vertical_txt="text-sm-vertical" absolute_pos="yes" use_custom_fonts_title="true" hover_text_outline_color="rgba(112, 112, 112, 0.3)" hover_text_outline_width="1px" fs="text_medium:45vh|text_small:30vw" margin="bottom_small:0px" position="left_medium:5vw|top_small:-6vw|right_small:5vw|left_small:17vw" el_class="z-index-0"]NEW[/ld_fancy_heading][ld_images_group_element img_size="50%" enable_hover3d="yes" image="3922" margin="bottom_small:35px" img_link="url:%23|||"][/ld_images_group_element][vc_row_inner][vc_column_inner responsive_align="text-center text-md-left"][ld_icon_box i_type="fontawesome" heading_size="custom" position="iconbox-inline" i_icon_fontawesome="fab fa-instagram" title="Kate Austen #hublookbook" title_mb="1" custom_heading_size="12px" icon_size="24px" i_color="rgb(203, 122, 64)" link="url:%23|||"][/ld_icon_box][/vc_column_inner][/vc_row_inner][/vc_column][vc_column align="text-center" css=".vc_custom_1610706659081{padding-top: 30px !important;padding-bottom: 30px !important;}" responsive_align="text-center"][ld_carousel_marquee_tab columns_auto_width="yes" auto_width_padding="3.5%"][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600680551013-c4ceed9c-5033"][ld_fancy_heading tag="p" whitespace="ws-nowrap" use_custom_fonts_title="true" color="rgb(185, 185, 185)" fs="text_small:15px" margin="bottom_small:0px"]2020 Editorial 2020 Editorial[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600680669500-48e7a0c0-9aa4"][ld_fancy_heading tag="p" whitespace="ws-nowrap" use_custom_fonts_title="true" color="rgb(185, 185, 185)" fs="text_small:15px" margin="bottom_small:0px"]2020 Editorial 2020 Editorial[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600680690310-dbfa2d3b-f459"][ld_fancy_heading tag="p" whitespace="ws-nowrap" use_custom_fonts_title="true" color="rgb(185, 185, 185)" fs="text_small:15px" margin="bottom_small:0px"]2020 Editorial 2020 Editorial[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600680686463-d4457e6c-2630"][ld_fancy_heading tag="p" whitespace="ws-nowrap" use_custom_fonts_title="true" color="rgb(185, 185, 185)" fs="text_small:15px" margin="bottom_small:0px"]2020 Editorial 2020 Editorial[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600680685867-99f1df18-59f7"][ld_fancy_heading tag="p" whitespace="ws-nowrap" use_custom_fonts_title="true" color="rgb(185, 185, 185)" fs="text_small:15px" margin="bottom_small:0px"]2020 Editorial 2020 Editorial[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600680685273-64d8a2e0-7a83"][ld_fancy_heading tag="p" whitespace="ws-nowrap" use_custom_fonts_title="true" color="rgb(185, 185, 185)" fs="text_small:15px" margin="bottom_small:0px"]2020 Editorial 2020 Editorial[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600680684690-409cfc6e-a8f0"][ld_fancy_heading tag="p" whitespace="ws-nowrap" use_custom_fonts_title="true" color="rgb(185, 185, 185)" fs="text_small:15px" margin="bottom_small:0px"]2020 Editorial 2020 Editorial[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600680684146-5ff714e5-f19a"][ld_fancy_heading tag="p" whitespace="ws-nowrap" use_custom_fonts_title="true" color="rgb(185, 185, 185)" fs="text_small:15px" margin="bottom_small:0px"]2020 Editorial 2020 Editorial[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600680683551-95e4c64d-c441"][ld_fancy_heading tag="p" whitespace="ws-nowrap" use_custom_fonts_title="true" color="rgb(185, 185, 185)" fs="text_small:15px" margin="bottom_small:0px"]2020 Editorial 2020 Editorial[/ld_fancy_heading][/ld_carousel_marquee_section][/ld_carousel_marquee_tab][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Misc 7
	$data = array();
	$data['name'] = esc_html__( 'Misc 07', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'misc-7.jpg' );
	$data['sort_name'] = 'Misc';
	$data['custom_class'] = 'general misc';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" gap="0" full_height="yes" columns_placement="stretch" equal_height="yes" content_placement="middle" css=".vc_custom_1610708893632{background-color: #ffffff !important;}" data_tooltip="Zara Women"][vc_column css=".vc_custom_1610376199246{margin-bottom: 60px !important;background-image: url(https://lookbookhub.liquid-themes.com/staging/wp-content/uploads/2021/01/image7@2x.jpg?id=3919) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" offset="vc_hidden-lg vc_hidden-md" responsive_css="margin_bottom_small:0px"][vc_row_inner content_placement="middle"][vc_column_inner width="1/2" align="text-center" offset="vc_col-md-offset-3" responsive_align="text-center"][ld_fancy_heading tag="h2" alignment="text-center" hover_text_outline="ld-fh-outline" outline_appearance="ld-fh-outline-static" vertical_txt="text-sm-vertical" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_medium:50vh|text_small:80vw" margin="bottom_small:0px" hover_text_outline_color="rgb(255, 255, 255)" hover_text_outline_width="1px" lh="text_small:1em"]02[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/vc_column][vc_column width="1/2" offset="vc_col-md-offset-1 vc_col-md-5" responsive_css="padding_right_large:10vw|padding_left_large:35px|padding_right_medium:5vw|padding_left_medium:0px" css=".vc_custom_1603366557844{padding-right: 15px !important;padding-left: 15px !important;}" responsive_align="text-center text-sm-left"][vc_row_inner el_class="z-index-2"][vc_column_inner][ld_fancy_heading tag="h2" alignment="text-right" tag_to_inherite="h4" absolute_pos="yes" use_custom_fonts_title="true" use_inheritance="true" fs="text_small:38px" lh="text_small:1.2em" margin="bottom_small:0px" position="right_all:-20%25|left_all:60%25|top_medium:-50px|right_medium:-10%25|left_medium:50%25|top_small:-1em|left_small:0px"]Zara — [ld_br] Women[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][ld_images_group_element img_size="50%" enable_hover3d="yes" image="4006" margin="bottom_small:35px" img_link="url:%23|||"][/ld_images_group_element][ld_button style="btn-naked" title="Shop this collection" hover_txt_effect="btn-hover-txt-liquid-x-alt" i_type="linea" i_hover_reveal="btn-hover-swp" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" color="rgb(0, 0, 0)"][/vc_column][vc_column row_scale_bg_onhover="yes" width="1/2" css=".vc_custom_1610708615096{padding-top: 50vh !important;padding-bottom: 50vh !important;background-image: url(https://lookbookhub.liquid-themes.com/staging/wp-content/uploads/2021/01/image7@2x.jpg?id=3919) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" offset="vc_hidden-sm vc_hidden-xs" responsive_align="text-center"][vc_row_inner][vc_column_inner offset="vc_col-md-offset-3 vc_col-md-6"][ld_fancy_heading tag="h2" alignment="text-center" hover_text_outline="ld-fh-outline" outline_appearance="ld-fh-outline-static" vertical_txt="text-sm-vertical" absolute_pos="yes" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.27)" fs="text_medium:50vh|text_small:80vw" margin="bottom_small:0px" hover_text_outline_color="rgba(255, 255, 255, 0.22)" hover_text_outline_width="1px" lh="text_small:1em" position="top_small:-32vh|right_small:0px|left_small:0px"]02[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Misc 8
	$data = array();
	$data['name'] = esc_html__( 'Misc 08', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'misc-8.jpg' );
	$data['sort_name'] = 'Misc';
	$data['custom_class'] = 'general misc';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" full_height="yes" equal_height="yes" content_placement="middle" luminosity="dark" enable_overlay="yes" responsive_css="padding_right_medium:12vw|padding_left_medium:12vw" overlay_bg="rgba(0, 0, 0, 0.35)" css=".vc_custom_1612252247744{background: #ffffff url(https://lookbookhub.liquid-themes.com/staging/wp-content/uploads/2021/02/fashionstore@2x.jpg?id=4017) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" data_tooltip="New Arrivals"][vc_column offset="vc_hidden-lg vc_hidden-md vc_hidden-sm" responsive_align="text-center"][ld_fancy_heading tag="h2" alignment="text-center" hover_text_outline="ld-fh-outline" outline_appearance="ld-fh-outline-static" vertical_txt="text-sm-vertical" use_custom_fonts_title="true" fs="text_small:75vw" margin="bottom_small:0px" hover_text_outline_color="rgba(255, 255, 255, 0.15)" hover_text_outline_width="1px" lh="text_small:1em"]03[/ld_fancy_heading][/vc_column][vc_column width="7/12"][ld_fancy_heading tag="h6" color="rgba(255, 255, 255, 0.7)"]Video Background[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_medium:11vmin|text_small:16vw" lh="text_small:1.1em"]New Arrivals[/ld_fancy_heading][/vc_column][vc_column width="5/12" offset="vc_hidden-xs"][ld_fancy_heading tag="h2" alignment="text-center" hover_text_outline="ld-fh-outline" outline_appearance="ld-fh-outline-static" vertical_txt="text-sm-vertical" use_custom_fonts_title="true" fs="text_small:50vh" margin="bottom_small:0px" hover_text_outline_color="rgba(255, 255, 255, 0.15)" hover_text_outline_width="1px" lh="text_small:1em"]03[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Misc 9
	$data = array();
	$data['name'] = esc_html__( 'Misc 09', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'misc-9.jpg' );
	$data['sort_name'] = 'Misc';
	$data['custom_class'] = 'general misc';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" gap="0" full_height="yes" columns_placement="stretch" equal_height="yes" content_placement="middle" responsive_css="padding_right_medium:100px" css=".vc_custom_1610708938843{background-color: #ffffff !important;}" data_tooltip="Collection"][vc_column width="1/2" css=".vc_custom_1610708688519{margin-bottom: 60px !important;padding-top: 50vh !important;padding-bottom: 50vh !important;background-image: url(https://lookbookhub.liquid-themes.com/staging/wp-content/uploads/2020/04/img-6@2x.jpg?id=42) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" responsive_css="margin_bottom_small:0px" responsive_align="text-center"][vc_row_inner][vc_column_inner offset="vc_col-md-offset-3 vc_col-md-6"][ld_fancy_heading tag="h2" alignment="text-center" hover_text_outline="ld-fh-outline" outline_appearance="ld-fh-outline-static" vertical_txt="text-sm-vertical" absolute_pos="yes" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.44)" fs="text_medium:50vh|text_small:80vw" margin="bottom_small:0px" hover_text_outline_color="rgba(255, 255, 255, 0.5)" hover_text_outline_width="1px" lh="text_small:1em" position="top_small:-32vh|right_small:0px|left_small:0px"]05[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/vc_column][vc_column width="1/2" offset="vc_col-md-offset-1 vc_col-md-5" responsive_css="padding_right_medium:0px|padding_left_medium:0px" css=".vc_custom_1603365631551{padding-right: 15px !important;padding-left: 15px !important;}"][ld_images_group_element img_size="50%" enable_side_label="yes" enable_hover3d="yes" image="43" label="Shop This Collection" label_color="rgb(0, 0, 0)" margin="bottom_small:35px" img_link="url:%23|||"][/ld_images_group_element][vc_row_inner responsive_css="padding_left_medium:55px"][vc_column_inner responsive_align="text-center text-md-left"][ld_icon_box i_type="fontawesome" heading_size="custom" position="iconbox-inline" i_icon_fontawesome="fab fa-instagram" title="Kate Austen #hublookbook" title_mb="1" custom_heading_size="12px" icon_size="24px" i_color="rgb(203, 122, 64)" link="url:%23|||"][/ld_icon_box][/vc_column_inner][/vc_row_inner][/vc_column][vc_column align="text-center" css=".vc_custom_1610376682116{margin-top: -90px !important;padding-top: 30px !important;padding-bottom: 30px !important;background-color: #ffffff !important;}" responsive_align="text-center"][ld_carousel_marquee_tab columns_auto_width="yes" auto_width_padding="3.5%"][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600680740127-d3ec6cd2-3889"][ld_fancy_heading tag="p" whitespace="ws-nowrap" use_custom_fonts_title="true" color="rgb(185, 185, 185)" fs="text_small:15px" margin="bottom_small:0px"]New Arrivals New Arrivals[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1610704659342-5573b344-effc"][ld_fancy_heading tag="p" whitespace="ws-nowrap" use_custom_fonts_title="true" color="rgb(185, 185, 185)" fs="text_small:15px" margin="bottom_small:0px"]New Arrivals New Arrivals[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1610704658636-c39339f2-37b3"][ld_fancy_heading tag="p" whitespace="ws-nowrap" use_custom_fonts_title="true" color="rgb(185, 185, 185)" fs="text_small:15px" margin="bottom_small:0px"]New Arrivals New Arrivals[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1610704658461-015ce51b-21d0"][ld_fancy_heading tag="p" whitespace="ws-nowrap" use_custom_fonts_title="true" color="rgb(185, 185, 185)" fs="text_small:15px" margin="bottom_small:0px"]New Arrivals New Arrivals[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1610704658302-caffcc72-5080"][ld_fancy_heading tag="p" whitespace="ws-nowrap" use_custom_fonts_title="true" color="rgb(185, 185, 185)" fs="text_small:15px" margin="bottom_small:0px"]New Arrivals New Arrivals[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1610704658122-1c36fc42-9457"][ld_fancy_heading tag="p" whitespace="ws-nowrap" use_custom_fonts_title="true" color="rgb(185, 185, 185)" fs="text_small:15px" margin="bottom_small:0px"]New Arrivals New Arrivals[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1610704657942-28dbefcd-f91b"][ld_fancy_heading tag="p" whitespace="ws-nowrap" use_custom_fonts_title="true" color="rgb(185, 185, 185)" fs="text_small:15px" margin="bottom_small:0px"]New Arrivals New Arrivals[/ld_fancy_heading][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1610704657479-6c417581-420d"][ld_fancy_heading tag="p" whitespace="ws-nowrap" use_custom_fonts_title="true" color="rgb(185, 185, 185)" fs="text_small:15px" margin="bottom_small:0px"]New Arrivals New Arrivals[/ld_fancy_heading][/ld_carousel_marquee_section][/ld_carousel_marquee_tab][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Misc 10
	$data = array();
	$data['name'] = esc_html__( 'Misc 10', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'misc-10.jpg' );
	$data['sort_name'] = 'Misc';
	$data['custom_class'] = 'general misc';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" css=".vc_custom_1602179251577{padding-top: 70px !important;padding-bottom: 25px !important;}" el_id="process" responsive_css="padding_top_medium:100px|padding_bottom_medium:80px"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" align="text-center" offset="vc_col-lg-offset-3 vc_col-lg-6 vc_col-md-offset-2 vc_col-md-8" ca_duration="1800" ca_delay="180" ca_init_translate_y="30" css=".vc_custom_1612275012647{margin-bottom: 20px !important;}" responsive_align="text-left text-md-center"][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" color="rgb(58, 82, 116)" fs="12px" ls="0.1em" margin="bottom_small:1em"]One step ahead[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_large:40px|text_small:32px"]Explore the creative process.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:29px" margin="bottom_small:2.15em" padding="right_large:15%25|left_large:15%25"]We provide digital experience services to startups and small businesses.[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-6" responsive_css="padding_right_medium:10%25|padding_bottom_medium:0px" css=".vc_custom_1602178733584{padding-bottom: 30px !important;}"][ld_images_group_container parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" translate_from_y="95" translate_to_y="-110"][ld_images_group_element parallax="yes" scale_from_x="1.2" scale_from_y="1.2" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" parallax_overflow="yes" image="5871" translate_from_y="0"][/ld_images_group_element][/ld_images_group_container][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-6" ca_duration="1800" ca_delay="180" ca_init_translate_x="45" ca_init_rotate_z="2"][ld_icon_box i_type="linea" heading_size="sm" i_shape="circle" i_border="" position="iconbox-side" i_linked="iconbox-icon-linked" i_icon_linea="lqd-icn-ess icon-num-1" custom_i_size="64px" title="Global SEO Research" icon_size="22px" css=".vc_custom_1611261501272{margin-bottom: 55px !important;}"]Practical tools and features make it easier to build and manage your site.[/ld_icon_box][ld_icon_box i_type="linea" heading_size="sm" i_shape="circle" i_border="" position="iconbox-side" i_linked="iconbox-icon-linked" i_icon_linea="lqd-icn-ess icon-num-2" custom_i_size="64px" title="Social media integration" icon_size="22px" css=".vc_custom_1611261507728{margin-bottom: 55px !important;}"]Practical tools and features make it easier to build and manage your site.[/ld_icon_box][ld_icon_box i_type="linea" heading_size="sm" i_shape="circle" i_border="" position="iconbox-side" i_icon_linea="lqd-icn-ess icon-num-3" custom_i_size="64px" title="Launching the Application" icon_size="22px" css=".vc_custom_1595583393498{margin-bottom: 55px !important;}"]Practical tools and features make it easier to build and manage your site.[/ld_icon_box][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Misc 11
	$data = array();
	$data['name'] = esc_html__( 'Misc 11', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'misc-11.jpg' );
	$data['sort_name'] = 'Misc';
	$data['custom_class'] = 'general misc';
	$data['content'] = <<<CONTENT
	[vc_row equal_height="yes" content_placement="middle" css=".vc_custom_1602180654526{padding-top: 80px !important;padding-bottom: 80px !important;}" row_hide="hidden-xs hidden-sm"][vc_column offset="vc_col-md-2"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(73, 75, 93)" fs="text_small:13px" lh="text_small:1.15em" margin="bottom_small:0.3em"]Looking for collaboration?[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_small:21px"]Hub Wired[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-3"][vc_separator color="black" border_width="2" css=".vc_custom_1588076332680{margin-top: 0px !important;margin-bottom: 0px !important;}"][/vc_column][vc_column offset="vc_col-md-2"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:15px" lh="text_small:1.21em" margin="bottom_small:0.75em"]290 Maryam Springs Courbevoie, NYC[/ld_fancy_heading][ld_fancy_heading tag="h5" use_custom_fonts_title="true" fs="text_small:15px" margin="bottom_small:0.3em"]+1 827 48 89[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-3"][vc_separator color="black" border_width="2" css=".vc_custom_1588076332680{margin-top: 0px !important;margin-bottom: 0px !important;}"][/vc_column][vc_column offset="vc_col-md-2"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:15px" lh="text_small:1.21em" margin="bottom_small:0.75em"]Looking for a job? Send your resume[/ld_fancy_heading][ld_fancy_heading tag="h5" use_custom_fonts_title="true" fs="text_small:15px" margin="bottom_small:0.3em"]info@hub.com[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Misc 12 - gridportfolio
	$data = array();
	$data['name'] = esc_html__( 'Misc 12', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'misc-12.jpg' );
	$data['sort_name'] = 'Misc';
	$data['custom_class'] = 'general misc';
	$data['content'] = <<<CONTENT
	[vc_row equal_height="yes" css=".vc_custom_1595506854528{padding-bottom: 80px !important;}" responsive_css="margin_bottom_medium:50px" el_id="services"][vc_column width="2/3" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-offset-0 vc_col-md-3" ca_init_translate_y="35" ca_init_translate_x="0" ca_duration="1200" ca_delay="150"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(241, 60, 70)" fs="text_small:12px" fw="text_small:700" ls="text_small:0.2em"]01[/ld_fancy_heading][ld_fancy_heading tag="h2" split_type="words" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" fs="36px" lh="1.11em"]Branded eCommerce[/ld_fancy_heading][ld_fancy_heading tag="p"]Our eCommerce design starts and ends with a best-in-class experience strategy that builds brands and drives transactions.[/ld_fancy_heading][ld_spacer height="35px"][ld_fancy_heading tag="p" transform="text-uppercase" enable_txt_rotator="yes" items="%5B%7B%22word%22%3A%22CONTENT%20MANAGEMENT%22%7D%2C%7B%22word%22%3A%22CREATIVE%20SOLUTIONS%22%7D%2C%7B%22word%22%3A%22DIGITAL%20MARKETING%22%7D%5D" use_custom_fonts_title="true" fs="text_small:11px" fw="text_small:700" ls="text_small:0.1em" color="rgb(24, 27, 49)"][/ld_fancy_heading][ld_fancy_heading tag="p" transform="text-uppercase" use_custom_fonts_title="true" fs="11px" fw="700" ls="0.1em" color="rgb(24, 27, 49)"]Platform & Positioning[/ld_fancy_heading][ld_fancy_heading tag="p" transform="text-uppercase" use_custom_fonts_title="true" fs="11px" fw="700" ls="0.1em" color="rgb(24, 27, 49)"]Trends & Insights[/ld_fancy_heading][ld_fancy_heading tag="p" transform="text-uppercase" use_custom_fonts_title="true" fs="11px" fw="700" ls="0.1em" color="rgb(24, 27, 49)"]Marketing Strategy[/ld_fancy_heading][ld_spacer height="50px" md_hide="vc_hidden-md" lg_hide="vc_hidden-lg" md_height="0px" lg_height="0px"][/vc_column][vc_column width="2/3" align="text-center" offset="vc_col-md-offset-1 vc_col-md-4" responsive_align="text-center"][vc_row_inner][vc_column_inner width="5/6" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" align="text-left" offset="vc_col-md-offset-1" ca_start_delay="250" ca_init_translate_y="38" ca_duration="1200" ca_delay="150" responsive_align="text-left"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(241, 60, 70)" fs="text_small:12px" fw="text_small:700" ls="text_small:0.2em"]02[/ld_fancy_heading][ld_fancy_heading tag="h2" split_type="words" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" fs="36px" lh="1.11em" margin="right_large:8%25"]Digital Experience[/ld_fancy_heading][ld_fancy_heading tag="p"]Through a deep understanding of our audience’s makeup and motivations, we design digital experiences that connect with people.[/ld_fancy_heading][ld_spacer height="35px"][ld_fancy_heading tag="p" transform="text-uppercase" use_custom_fonts_title="true" fs="11px" fw="700" ls="0.1em" color="rgb(24, 27, 49)"]Web design[/ld_fancy_heading][ld_fancy_heading tag="p" transform="text-uppercase" use_custom_fonts_title="true" fs="11px" fw="700" ls="0.1em" color="rgb(24, 27, 49)"]mobile app design[/ld_fancy_heading][ld_fancy_heading tag="p" transform="text-uppercase" enable_txt_rotator="yes" items="%5B%7B%22word%22%3A%22CONTENT%20MANAGEMENT%22%7D%2C%7B%22word%22%3A%22CREATIVE%20SOLUTIONS%22%7D%2C%7B%22word%22%3A%22DIGITAL%20MARKETING%22%7D%5D" use_custom_fonts_title="true" fs="text_small:11px" fw="text_small:700" ls="text_small:0.1em" color="rgb(24, 27, 49)"][/ld_fancy_heading][ld_fancy_heading tag="p" transform="text-uppercase" use_custom_fonts_title="true" fs="11px" fw="700" ls="0.1em" color="rgb(24, 27, 49)"]dashboard & tool[/ld_fancy_heading][ld_spacer height="50px" md_hide="vc_hidden-md" lg_hide="vc_hidden-lg" md_height="0px" lg_height="0px"][/vc_column_inner][/vc_row_inner][/vc_column][vc_column width="2/3" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-offset-1 vc_col-md-3" ca_start_delay="500" ca_init_translate_y="40" ca_init_translate_x="0" ca_duration="1200" ca_delay="150"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(241, 60, 70)" fs="text_small:12px" fw="text_small:700" ls="text_small:0.2em"]03[/ld_fancy_heading][ld_fancy_heading tag="h2" split_type="words" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" fs="36px" lh="1.11em"]Branding Strategy[/ld_fancy_heading][ld_fancy_heading tag="p"]We build and activate brands through cultural insight, strategic vision, and the power of emotion across every element.[/ld_fancy_heading][ld_spacer height="35px"][ld_fancy_heading tag="p" transform="text-uppercase" use_custom_fonts_title="true" fs="11px" fw="700" ls="0.1em" color="rgb(24, 27, 49)"]Communications[/ld_fancy_heading][ld_fancy_heading tag="p" transform="text-uppercase" use_custom_fonts_title="true" fs="11px" fw="700" ls="0.1em" color="rgb(24, 27, 49)"]Logo & Identity[/ld_fancy_heading][ld_fancy_heading tag="p" transform="text-uppercase" use_custom_fonts_title="true" fs="11px" fw="700" ls="0.1em" color="rgb(24, 27, 49)"]Content Management[/ld_fancy_heading][ld_fancy_heading tag="p" transform="text-uppercase" use_custom_fonts_title="true" fs="11px" fw="700" ls="0.1em" color="rgb(24, 27, 49)"]System & guides[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Misc 13 - gridportfolio
	$data = array();
	$data['name'] = esc_html__( 'Misc 13', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'misc-13.jpg' );
	$data['sort_name'] = 'Misc';
	$data['custom_class'] = 'general misc';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1606903969497{margin-top: 20px !important;margin-bottom: 20px !important;}"][vc_column][ld_fancy_heading tag="h6" margin="bottom_small:2.7em" color="rgb(0, 0, 0)"]— International Design Awards[/ld_fancy_heading][vc_separator color="black"][/vc_column][vc_column width="1/6" align="text-left" responsive_align="text-left"][ld_fancy_heading tag="p" alignment="text-left" color="rgb(0, 0, 0)"]— 2020[/ld_fancy_heading][/vc_column][vc_column width="7/12" offset="vc_col-xs-6"][vc_single_image image="4012" css=".vc_custom_1588769011827{margin-bottom: 0px !important;}"][/vc_column][vc_column width="1/4" responsive_align="text-right" offset="vc_col-xs-6"][ld_fancy_heading tag="p" margin="left_large:80px" color="rgb(0, 0, 0)"]— Honorable Mention x 4[/ld_fancy_heading][/vc_column][/vc_row][vc_row css=".vc_custom_1606903990571{margin-top: 20px !important;margin-bottom: 20px !important;}"][vc_column][vc_separator color="black"][/vc_column][vc_column width="1/6" align="text-left" responsive_align="text-left"][ld_fancy_heading tag="p" alignment="text-left" color="rgb(0, 0, 0)"]— 2019[/ld_fancy_heading][/vc_column][vc_column width="7/12" offset="vc_col-xs-6"][vc_single_image image="4012" css=".vc_custom_1588769011827{margin-bottom: 0px !important;}"][/vc_column][vc_column width="1/4" responsive_align="text-right" offset="vc_col-xs-6"][ld_fancy_heading tag="p" margin="left_large:80px" color="rgb(0, 0, 0)"]— Honorable Mention x 4 Developer Award x3[/ld_fancy_heading][/vc_column][/vc_row][vc_row css=".vc_custom_1606904002630{margin-top: 20px !important;padding-bottom: 150px !important;}"][vc_column][vc_separator color="black"][/vc_column][vc_column width="1/6" align="text-left" responsive_align="text-left"][ld_fancy_heading tag="p" alignment="text-left" color="rgb(0, 0, 0)"]— 2018[/ld_fancy_heading][/vc_column][vc_column width="7/12" offset="vc_col-xs-6"][vc_single_image image="4012" css=".vc_custom_1588769011827{margin-bottom: 0px !important;}"][/vc_column][vc_column width="1/4" responsive_align="text-right" offset="vc_col-xs-6"][ld_fancy_heading tag="p" margin="left_large:80px" color="rgb(0, 0, 0)"]— Honorable Mention x 4[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Misc 14 - modernblocks
	$data = array();
	$data['name'] = esc_html__( 'Misc 14', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'misc-14.jpg' );
	$data['sort_name'] = 'Misc';
	$data['custom_class'] = 'general misc';
	$data['content'] = <<<CONTENT
	[vc_row full_height="yes" equal_height="yes" content_placement="middle" video_bg="yes" video_bg_source="youtube" video_bg_url="https://www.youtube.com/watch?v=5bnc8AxRTFc" enable_content_animation="yes" animation_preset="Fade In" responsive_css="padding_right_large:12vw|padding_left_large:12vw|padding_top_medium:200px|padding_right_medium:7vw|padding_bottom_medium:200px|padding_left_medium:7vw" css=".vc_custom_1614932776248{padding-top: 100px !important;padding-bottom: 100px !important;}" ca_delay="125"][vc_column offset="vc_col-md-5"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px" lh="text_small:1.5em"]Looking for collaboration for your next project? Do not hesitate to contact us to say hello.[/ld_fancy_heading][/vc_column][vc_column][ld_spacer height="50px"][/vc_column][vc_column offset="vc_col-md-5"][ld_fancy_heading tag="h2" enable_txt_rotator="yes" items="%5B%7B%22word%22%3A%22hello.%22%7D%2C%7B%22word%22%3A%22sallut.%22%7D%2C%7B%22word%22%3A%22%E4%BD%A0%E5%A5%BD%22%7D%2C%7B%22word%22%3A%22hallo.%20%22%7D%2C%7B%22word%22%3A%22merhaba.%22%7D%2C%7B%22word%22%3A%22%E3%82%82%E3%81%97%E3%82%82%E3%81%97.%22%7D%2C%7B%22word%22%3A%22hola.%22%7D%5D" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_large:3.5vw|text_small:50px" margin="bottom_large:0px" lh="text_small:1.2em"]Don't be shy. Say[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-3"][vc_separator color="white" border_width="5" css=".vc_custom_1614943343984{margin-top: 0px !important;margin-bottom: 0px !important;}"][/vc_column][vc_column offset="vc_col-md-4"][ld_spacer height="50px" md_hide="vc_hidden-md" lg_hide="vc_hidden-lg"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:35px" margin="bottom_large:0px"]info@hub.com[/ld_fancy_heading][/vc_column][vc_column][ld_spacer height="50px" md_height="80px"][/vc_column][vc_column offset="vc_col-md-7"][vc_row_inner][vc_column_inner width="1/2"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.6)" fs="text_small:15px" margin="bottom_small:0px"]Project Offers[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:21px" margin="bottom_small:0px" fw="text_small:700"]info@hub.com[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/2"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.6)" fs="text_small:15px" margin="bottom_small:0px"]Say hello[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:21px" margin="bottom_small:0px" fw="text_small:700"]07388 252344[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][ld_spacer height="50px" md_hide="vc_hidden-md" lg_hide="vc_hidden-lg"][/vc_column][vc_column offset="vc_col-md-5" responsive_align="text-md-right"][ld_custom_menu source="custom" inline="inline-nav" use_custom_fonts_menu="true" items="%5B%7B%22label%22%3A%22Fb.%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Tw.%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Li%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%5D" spacing="45" fs="16px" color="rgb(255, 255, 255)" hcolor="rgba(255, 255, 255, 0.6)"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Misc 15 - modernblocks
	$data = array();
	$data['name'] = esc_html__( 'Misc 15', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'misc-15.jpg' );
	$data['sort_name'] = 'Misc';
	$data['custom_class'] = 'general misc';
	$data['content'] = <<<CONTENT
	[vc_row full_height="yes" columns_placement="bottom" enable_content_animation="yes" enable_cc_circle="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" bg_position="custom" css=".vc_custom_1608191242573{padding-bottom: 30px !important;background: #111214 url(https://modernblocks.liquid-themes.com/staging/wp-content/uploads/2020/12/bg@2x.jpg?id=166) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" responsive_css="padding_right_medium:7%25|padding_bottom_medium:15vw|padding_left_medium:7%25" ca_duration="1600" ca_start_delay="850" ca_delay="160" ca_init_translate_y="25" cc_circle_color="rgb(255, 108, 79)" bg_pos_h="80%" bg_pos_v="50%"][vc_column][ld_fancy_heading tag="p" split_type="words" duration="1200" delay="40" easing="bounce.inOut" direction="random" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" color="rgb(255, 255, 255)" fs="text_small:23px" lh="text_small:1.13em" fw="text_small:700" start_delay="100"]                                       My name is Christian Thierry, I’m a freelance Branding and Digital Designer based by the valley in New York. I currently work at Liquid. I create <span style="text-decoration: underline;">brand identities, digital experiences</span>, and print materials that communicate clearly. My job is to build your website so that it is functional and user friendly.[/ld_fancy_heading][/vc_column][vc_column css=".vc_custom_1608189980216{padding-top: 17px !important;}"][vc_separator color="custom" accent_color="rgba(255,255,255,0.23)"][/vc_column][vc_column width="1/4" offset="vc_col-xs-3"][ld_custom_menu source="custom" inline="inline-nav" magnetic_items="true" use_custom_fonts_menu="true" items="%5B%7B%22label%22%3A%22Fb.%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%5D" fs="17px" color="rgb(255, 255, 255)" hcolor="rgba(255, 255, 255, 0.85)"][/vc_column][vc_column width="1/4" offset="vc_col-xs-3"][ld_custom_menu source="custom" inline="inline-nav" magnetic_items="true" use_custom_fonts_menu="true" items="%5B%7B%22label%22%3A%22Tw.%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%5D" fs="17px" color="rgb(255, 255, 255)" hcolor="rgba(255, 255, 255, 0.85)"][/vc_column][vc_column width="1/4" offset="vc_col-xs-3"][ld_custom_menu source="custom" inline="inline-nav" magnetic_items="true" use_custom_fonts_menu="true" items="%5B%7B%22label%22%3A%22In.%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%5D" fs="17px" color="rgb(255, 255, 255)" hcolor="rgba(255, 255, 255, 0.85)"][/vc_column][vc_column width="1/4" offset="vc_col-xs-3"][ld_custom_menu source="custom" inline="inline-nav" magnetic_items="true" use_custom_fonts_menu="true" items="%5B%7B%22label%22%3A%22Lk.%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%5D" fs="17px" color="rgb(255, 255, 255)" hcolor="rgba(255, 255, 255, 0.85)"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;
	
	//Misc 16 - modernblocks
	$data = array();
	$data['name'] = esc_html__( 'Misc 16', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'misc-16.jpg' );
	$data['sort_name'] = 'Misc';
	$data['custom_class'] = 'general misc';
	$data['content'] = <<<CONTENT
[vc_row bg_position="center center" css=".vc_custom_1614770008317{padding-top: 45px !important;padding-bottom: 45px !important;background-image: url(https://newsletterhub.liquid-themes.com/staging/wp-content/uploads/2021/03/map.png?id=275) !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}" responsive_css="padding_top_medium:55px|padding_bottom_medium:55px"][vc_column offset="vc_hidden-xs"][ld_images_group_container parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" absolute_pos="yes" position="right_all:0px|left_all:15%25|top_large:-25vh|left_large:10%25|top_small:-10vh|right_small:15%25|left_small:15%25" translate_from_y="90" translate_to_y="-90"][ld_images_group_element image="276"][/ld_images_group_element][/ld_images_group_container][/vc_column][vc_column responsive_align="text-center" css=".vc_custom_1608725453633{margin-bottom: 15px !important;}"][ld_fancy_heading tag="p" transform="text-uppercase" duration="1600" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_x="0%" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(30, 47, 105)" fs="text_small:12px" fw="text_small:700" ls="text_small:0.08em" ca_init_translate_y="30" ca_init_rotate_z="2"]Global clients around the world[/ld_fancy_heading][/vc_column][vc_column width="1/2" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_x="0%" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-3 vc_col-xs-6" responsive_align="text-center" ca_duration="1600" ca_delay="80" ca_init_translate_y="60" ca_init_translate_x="0" ca_init_rotate_z="5"][ld_fancy_heading tag="p" split_type="chars, words" highlight_height="13px" highlight_offset="0.15em" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(30, 47, 105)" fs="text_medium:62px|text_small:52px" fw="text_small:700" margin="bottom_small:0px" highlight_color="rgba(113, 252, 188, 0.65)" lh="text_small:1em"][ld_highlight]2.6x[/ld_highlight][/ld_fancy_heading][ld_fancy_heading tag="p" transform="text-uppercase" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(30, 47, 105)" fs="text_small:12px" fw="text_small:700" ls="text_small:0.08em"]Avarage growth[/ld_fancy_heading][/vc_column][vc_column width="1/2" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_x="0%" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-3 vc_col-xs-6" responsive_align="text-center" ca_duration="1600" ca_delay="80" ca_init_translate_y="60" ca_init_translate_x="0" ca_init_rotate_z="5" ca_start_delay="250"][ld_fancy_heading tag="p" split_type="chars, words" highlight_height="13px" highlight_offset="0.15em" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(30, 47, 105)" fs="text_medium:62px|text_small:52px" fw="text_small:700" margin="bottom_small:0px" highlight_color="rgba(113, 252, 188, 0.65)" lh="text_small:1em"][ld_highlight]99.6%[/ld_highlight][/ld_fancy_heading][ld_fancy_heading tag="p" transform="text-uppercase" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(30, 47, 105)" fs="text_small:12px" fw="text_small:700" ls="text_small:0.08em"]Customer satisfaction[/ld_fancy_heading][/vc_column][vc_column width="1/2" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_x="0%" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-3 vc_col-xs-6" responsive_align="text-center" ca_duration="1600" ca_delay="80" ca_init_translate_y="60" ca_init_translate_x="0" ca_init_rotate_z="5" ca_start_delay="500"][ld_fancy_heading tag="p" split_type="chars, words" highlight_height="13px" highlight_offset="0.15em" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(30, 47, 105)" fs="text_medium:62px|text_small:52px" fw="text_small:700" highlight_color="rgba(113, 252, 188, 0.65)" lh="text_small:1em" margin="bottom_small:0px"][ld_highlight]302m[/ld_highlight][/ld_fancy_heading][ld_fancy_heading tag="p" transform="text-uppercase" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(30, 47, 105)" fs="text_small:12px" fw="text_small:700" ls="text_small:0.08em"]Daily data input[/ld_fancy_heading][/vc_column][vc_column width="1/2" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_x="0%" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-3 vc_col-xs-6" responsive_align="text-center" ca_duration="1600" ca_delay="80" ca_init_translate_y="60" ca_init_translate_x="0" ca_init_rotate_z="5" ca_start_delay="750"][ld_fancy_heading tag="p" split_type="chars, words" highlight_height="13px" highlight_offset="0.15em" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(30, 47, 105)" fs="text_medium:62px|text_small:52px" fw="text_small:700" margin="bottom_small:0px" highlight_color="rgba(113, 252, 188, 0.65)" lh="text_small:1em"][ld_highlight]287+[/ld_highlight][/ld_fancy_heading][ld_fancy_heading tag="p" transform="text-uppercase" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(30, 47, 105)" fs="text_small:12px" fw="text_small:700" ls="text_small:0.08em"]Hub it Employees[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;
	
	//Misc 17 - classic
	$data = array();
	$data['name'] = esc_html__( 'Misc 17', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'misc-17.jpg' );
	$data['sort_name'] = 'Misc';
	$data['custom_class'] = 'general misc';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1608208830310{padding-top: 30px !important;padding-bottom: 60px !important;}"][vc_column enable_pin="enable_pin" width="1/3" offset="vc_col-md-3"][vc_row_inner][vc_column_inner css=".vc_custom_1608208949369{margin-bottom: 30px !important;padding-top: 35px !important;padding-right: 20px !important;padding-bottom: 15px !important;padding-left: 20px !important;background-color: #f7f8fa !important;border-radius: 5px !important;}" responsive_css="padding_right_large:45px|padding_left_large:45px|margin_bottom_medium:45px|padding_right_small:20px|padding_left_small:20px"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:19px" margin="bottom_small:1.25em"]Project Details[/ld_fancy_heading][ld_single_portfolio_meta columns="1"][/vc_column_inner][vc_column_inner css=".vc_custom_1608208963857{margin-bottom: 30px !important;padding-top: 35px !important;padding-right: 20px !important;padding-bottom: 35px !important;padding-left: 20px !important;background-color: #f7f8fa !important;border-radius: 5px !important;}" responsive_css="padding_right_large:30px|padding_left_large:30px|margin_bottom_medium:45px"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:19px" margin="bottom_small:1.25em"]Get a Free Quote[/ld_fancy_heading][ld_cf7 id="259" shape="lqd-contact-form-inputs-filled" size="lqd-contact-form-inputs-sm" roundness="lqd-contact-form-inputs-round" btn_size="lqd-contact-form-button-md" btn_width="lqd-contact-form-button-block" btn_roundness="lqd-contact-form-button-round" use_custom_fonts_input="true" use_custom_fonts_submit="true" bm="10px" fs="15px" submit_fs="15px" lqd_bg_color="rgb(255, 255, 255)" color="rgb(127, 130, 132)" css=".vc_custom_1608208190835{margin-bottom: 0px !important;}" h_color="rgb(0, 0, 0)"][/vc_column_inner][/vc_row_inner][/vc_column][vc_column width="2/3" column_top_ontablet="yes" column_top_onmobile="yes" offset="vc_col-md-offset-1 vc_col-md-8" responsive_css="margin_bottom_medium:0px" css=".vc_custom_1608208994618{margin-bottom: 35px !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:25px" margin="bottom_small:1em"]Data Analysis[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:1.5em"]Take advantage of the experiential-learning opportunities built into many programs. You can work in labs on and off campus or even spend semesters overseas. One Construction employs over 3 000 employees, the majority of whom are based on project sites.[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:1.5em"]We embrace holistic development and support for employees with the aim of being a first-choice employer within our sectors. Through a unique combination of engineering, construction and design disciplines and expertise.[/ld_fancy_heading][ld_spacer height="0px" md_height="30px"][vc_row_inner equal_height="yes" content_placement="middle" gap="0" css=".vc_custom_1608208367027{border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;border-left-color: #ebebeb !important;border-left-style: solid !important;border-right-color: #ebebeb !important;border-right-style: solid !important;border-top-color: #ebebeb !important;border-top-style: solid !important;border-bottom-color: #ebebeb !important;border-bottom-style: solid !important;}"][vc_column_inner responsive_css="border_right_medium:1px|border_bottom_medium:0px|padding_right_medium:40px|padding_left_medium:40px|padding_right_small:20px|padding_left_small:20px" css=".vc_custom_1608209048884{border-right-width: 0px !important;border-bottom-width: 1px !important;padding-top: 35px !important;padding-right: 35px !important;padding-bottom: 35px !important;padding-left: 35px !important;border-right-color: #ebebeb !important;border-right-style: solid !important;border-bottom-color: #ebebeb !important;border-bottom-style: solid !important;}" offset="vc_col-md-7"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:25px" margin="bottom_small:0.75em"]RD Service Plan[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:2em"]Through a unique combination of engineering, construction and design disciplines and expertise, Concor delivers world class infrastructure solutions. We embrace holistic development and support for employees.[/ld_fancy_heading][ld_button style="btn-solid" title="Get in Touch" shape="round" width="btn-block" fs="16px" fw="600" ls="0px"][/vc_column_inner][vc_column_inner css=".vc_custom_1608209027397{padding-top: 35px !important;padding-right: 15px !important;padding-bottom: 35px !important;padding-left: 15px !important;}" responsive_css="padding_left_medium:35px" offset="vc_col-md-5"][ld_custom_menu source="custom" items="%5B%7B%22label%22%3A%22Global%20Data%20Analysis%22%2C%22url%22%3A%22%23%22%2C%22icon_classname%22%3A%22lqd-icn-ess%20icon-ion-ios-checkmark%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Immediate%20settlement%22%2C%22url%22%3A%22%23%22%2C%22icon_classname%22%3A%22lqd-icn-ess%20icon-ion-ios-checkmark%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Zero%20broker%20commission%22%2C%22url%22%3A%22%23%22%2C%22icon_classname%22%3A%22lqd-icn-ess%20icon-ion-ios-checkmark%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Guaranteed%20by%20the%20services%22%2C%22url%22%3A%22%23%22%2C%22icon_classname%22%3A%22lqd-icn-ess%20icon-ion-ios-checkmark%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Global%20Data%20Analysis%22%2C%22url%22%3A%22%23%22%2C%22icon_classname%22%3A%22lqd-icn-ess%20icon-ion-ios-checkmark%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Infrastructure%20solutions%20%22%2C%22url%22%3A%22%23%22%2C%22icon_classname%22%3A%22lqd-icn-ess%20icon-ion-ios-checkmark%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%5D" icon_color="rgb(38, 176, 95)" spacing="15"][/vc_column_inner][/vc_row_inner][ld_spacer height="30px" md_height="50px"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:25px" margin="bottom_small:1em"]Questions? You’re covered.[/ld_fancy_heading][vc_accordion size="lg" borders="accordion-title-underlined" show_icon="yes" i_add_icon="true" expander_position="accordion-expander-left" expander_size="accordion-expander-lg" i_type="linea" active_add_icon="true" active_type="linea" use_custom_fonts_title="true" active_tab="-1" fs="17px" fw="500" exp_color="rgb(38, 176, 95)" lh="1.5em" i_icon_linea="lqd-icn-ess icon-ion-ios-add" active_icon_linea="lqd-icn-ess icon-ion-ios-remove"][vc_accordion_tab title="Guaranteed by the trusted aviation services" tab_id="lqd-1608195246481-cdcf9380-7c98"][ld_fancy_heading tag="p" margin="bottom_small:0px"]We embrace holistic development and support for employees with the aim of being a first-choice employer within our sectors. Through a unique combination of engineering, construction and design disciplines and expertise.[/ld_fancy_heading][/vc_accordion_tab][vc_accordion_tab title="Professional end to end encryption for companies" tab_id="lqd-1608195398248-a9ad0a33-4d60"][ld_fancy_heading tag="p" margin="bottom_small:0px"]We embrace holistic development and support for employees with the aim of being a first-choice employer within our sectors. Through a unique combination of engineering, construction and design disciplines and expertise.[/ld_fancy_heading][/vc_accordion_tab][vc_accordion_tab title="Zero broker commission for data research and analysis" tab_id="lqd-1608195413119-53c7aa0b-0417"][ld_fancy_heading tag="p" margin="bottom_small:0px"]We embrace holistic development and support for employees with the aim of being a first-choice employer within our sectors. Through a unique combination of engineering, construction and design disciplines and expertise.[/ld_fancy_heading][/vc_accordion_tab][/vc_accordion][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;
	
	//Misc 18 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Misc 18', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'misc-18.jpg' );
	$data['sort_name'] = 'Misc';
	$data['custom_class'] = 'general misc';
	$data['content'] = <<<CONTENT
	[vc_row parallax="enable_parallax" row_scale_bg_onhover="yes" css=".vc_custom_1610715186481{padding-top: 200px !important;padding-bottom: 200px !important;background-image: url(https://productshop.liquid-themes.com/staging/wp-content/uploads/2020/12/beauty-portrait-of-sensual-ginger-woman-with-long-hair-posing-with-green-leaf23@2x.jpg?id=238) !important;background-position: center;background-repeat: no-repeat !important;background-size: cover !important;}"][vc_column align="text-center" offset="vc_col-md-offset-2 vc_col-md-8" responsive_align="text-center"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_large:78px|text_small:48px"]Comfy makeup. Easy routine.[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;
	
	//Misc 19 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Misc 19', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'misc-19.jpg' );
	$data['sort_name'] = 'Misc';
	$data['custom_class'] = 'general misc';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1605622394399{padding-bottom: 60px !important;}" responsive_css="padding_top_medium:60px"][vc_column css=".vc_custom_1589980317303{border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;border-left-color: #707070 !important;border-left-style: solid !important;border-right-color: #707070 !important;border-right-style: solid !important;border-top-color: #707070 !important;border-top-style: solid !important;border-bottom-color: #707070 !important;border-bottom-style: solid !important;}"][vc_row_inner equal_height="yes" content_placement="middle" gap="0" css=".vc_custom_1589980636656{border-bottom-width: 1px !important;border-bottom-color: #707070 !important;border-bottom-style: solid !important;}"][vc_column_inner width="1/3" css=".vc_custom_1606206352204{border-right-width: 0px !important;padding-top: 21px !important;padding-right: 40px !important;padding-bottom: 10px !important;padding-left: 40px !important;border-right-color: #707070 !important;border-right-style: solid !important;}" responsive_css="border_right_small:1px|padding_bottom_small:21px"][ld_fancy_heading tag="h6" margin="bottom_small:0px"]Classification[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:11px"]Antioxidant[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/3" css=".vc_custom_1606206341338{border-right-width: 0px !important;padding-right: 40px !important;padding-left: 40px !important;border-right-color: #707070 !important;border-right-style: solid !important;}" responsive_css="border_right_small:1px|padding_top_small:20px|padding_bottom_small:20px"][ld_fancy_heading tag="p" margin="bottom_small:0px"]Micro Ingredients[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/3" css=".vc_custom_1589980520776{padding-top: 20px !important;padding-right: 40px !important;padding-bottom: 20px !important;padding-left: 40px !important;}"][ld_fancy_heading tag="p" margin="bottom_small:0px"]4-98[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][vc_row_inner equal_height="yes" content_placement="middle" gap="0" css=".vc_custom_1589980636656{border-bottom-width: 1px !important;border-bottom-color: #707070 !important;border-bottom-style: solid !important;}"][vc_column_inner width="1/3" css=".vc_custom_1606206360837{border-right-width: 0px !important;padding-top: 21px !important;padding-right: 40px !important;padding-bottom: 10px !important;padding-left: 40px !important;border-right-color: #707070 !important;border-right-style: solid !important;}" responsive_css="border_right_small:1px|padding_bottom_small:20px"][ld_fancy_heading tag="h6" margin="bottom_small:0px"]Classification[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:11px"]Antioxidant[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/3" css=".vc_custom_1606206370097{border-right-width: 0px !important;padding-right: 40px !important;padding-left: 40px !important;border-right-color: #707070 !important;border-right-style: solid !important;}" responsive_css="border_right_small:1px|padding_top_small:20px|padding_bottom_small:20px"][ld_fancy_heading tag="p" margin="bottom_small:0px"]Micro Ingredients[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/3" css=".vc_custom_1589980520776{padding-top: 20px !important;padding-right: 40px !important;padding-bottom: 20px !important;padding-left: 40px !important;}"][ld_fancy_heading tag="p" margin="bottom_small:0px"]4-98[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][vc_row_inner equal_height="yes" content_placement="middle" gap="0"][vc_column_inner width="1/3" css=".vc_custom_1606206393460{border-right-width: 0px !important;padding-top: 21px !important;padding-right: 40px !important;padding-bottom: 10px !important;padding-left: 40px !important;border-right-color: #707070 !important;border-right-style: solid !important;}" responsive_css="border_right_small:1px|padding_bottom_small:20px"][ld_fancy_heading tag="h6" margin="bottom_small:0px"]Classification[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:11px"]Antioxidant[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/3" css=".vc_custom_1606206402830{border-right-width: 0px !important;padding-right: 40px !important;padding-left: 40px !important;border-right-color: #707070 !important;border-right-style: solid !important;}" responsive_css="border_right_small:1px|padding_top_small:20px|padding_bottom_small:20px"][ld_fancy_heading tag="p" margin="bottom_small:0px"]Micro Ingredients[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/3" css=".vc_custom_1589980520776{padding-top: 20px !important;padding-right: 40px !important;padding-bottom: 20px !important;padding-left: 40px !important;}"][ld_fancy_heading tag="p" margin="bottom_small:0px"]4-98[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;
	
	//Misc 20 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Misc 20', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'misc-20.jpg' );
	$data['sort_name'] = 'Misc';
	$data['custom_class'] = 'general misc counter fancyimage';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1605844944964{padding-bottom: 70px !important;}" el_id="about" responsive_css="padding_top_medium:80px|padding_bottom_medium:80px"][vc_column offset="vc_col-md-3" css=".vc_custom_1575033873278{margin-bottom: 30px !important;}"][ld_fancy_heading tag="h5" margin="bottom_small:1em"]About me[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-9"][ld_images_group_element enable_effects="yes" parallax="yes" enable_reveal="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" image="4342" reveal_color="rgb(116, 116, 116)" translate_from_y="55" translate_to_y="-100"][/ld_images_group_element][vc_row_inner][vc_column_inner width="5/12" offset="vc_col-md-offset-6 vc_col-md-3 vc_col-xs-6" responsive_align="text-md-right" css=".vc_custom_1575034340553{margin-top: -170px !important;}"][ld_counter use_custom_fonts_title="true" enable_blur="true" count="9" fs="300px" color="rgb(194, 137, 92)" lh="1em"][/vc_column_inner][vc_column_inner width="1/4" offset="vc_col-md-3 vc_col-xs-6"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.7)" fs="text_small:21px" lh="text_medium:1.25em|text_small:0.9em"]Years of [ld_br] experience[/ld_fancy_heading][/vc_column_inner][vc_column_inner responsive_css="margin_top_medium:-4.5em"][ld_fancy_heading tag="p" delay="250" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" fs="18px" lh="27px" ca_init_translate_y="80"]Hi, my name is Jason! Aim is to build your website so that it is functional and user friendly but at the same time attractive. My aim is to bring across your message and identity in the also have major skills in motion graphics.[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;
	
	//Misc 21 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Misc 21', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'misc-21.jpg' );
	$data['sort_name'] = 'Misc';
	$data['custom_class'] = 'general misc fancyimage';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" css=".vc_custom_1588350020344{padding-top: 50px !important;padding-bottom: 50px !important;}" responsive_css="padding_top_medium:70px|padding_right_medium:12vw|padding_bottom_medium:70px|padding_left_medium:12vw"][vc_column offset="vc_col-md-offset-1 vc_col-md-6"][ld_images_group_element enable_lightbox="yes" lightbox_group_id="shadow-lightbox" enable_hover3d="yes" image="109" margin="bottom_small:25px" img_link="url:https%3A%2F%2Fwww.youtube.com%2Fwatch%3Fv%3DnnZeDt2c8Yo|||"][/ld_images_group_element][ld_fancy_heading tag="h2" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:24px" lh="text_small:1.5em" margin="bottom_small:0.35em"]Digital Numbers[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:12px" lh="text_small:1.5em" color="rgba(255, 255, 255, 0.37)"]Creating brand identities, digital experiences, that communicate clearly.[/ld_fancy_heading][/vc_column][/vc_row][vc_row full_width="stretch_row" css=".vc_custom_1588350026905{padding-top: 50px !important;padding-bottom: 50px !important;}" responsive_css="padding_top_medium:70px|padding_right_medium:12vw|padding_bottom_medium:70px|padding_left_medium:12vw"][vc_column offset="vc_col-md-offset-4 vc_col-md-6"][ld_images_group_element enable_lightbox="yes" lightbox_group_id="shadow-lightbox" enable_hover3d="yes" image="110" margin="bottom_small:25px" img_link="|||"][/ld_images_group_element][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_small:24px" lh="text_small:1.5em" margin="bottom_small:0.35em"]Information Kit[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:12px" lh="text_small:1.5em" color="rgba(255, 255, 255, 0.4)"]Creating brand identities, digital experiences, that communicate clearly.[/ld_fancy_heading][/vc_column][/vc_row][vc_row full_width="stretch_row" css=".vc_custom_1588350033988{padding-top: 50px !important;padding-bottom: 50px !important;}" responsive_css="padding_top_medium:70px|padding_right_medium:12vw|padding_bottom_medium:70px|padding_left_medium:12vw"][vc_column offset="vc_col-lg-4 vc_col-md-offset-1 vc_col-md-5" responsive_css="margin_left_medium:-4.5vw"][ld_images_group_element enable_lightbox="yes" lightbox_group_id="shadow-lightbox" enable_hover3d="yes" image="111" margin="bottom_small:25px" img_link="url:https%3A%2F%2Fwww.youtube.com%2Fwatch%3Fv%3DJ2U9Hmmpqhc|||"][/ld_images_group_element][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_small:24px" lh="text_small:1.5em" margin="bottom_small:0.35em"]3D iPhone[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:12px" lh="text_small:1.5em" color="rgba(255, 255, 255, 0.4)"]Creating brand identities, digital experiences, that communicate clearly.[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-offset-1 vc_col-md-6" responsive_css="padding_top_medium:30vh" css=".vc_custom_1605606203818{padding-top: 10vh !important;}"][ld_images_group_element enable_lightbox="yes" lightbox_group_id="shadow-lightbox" enable_hover3d="yes" image="112" margin="bottom_small:25px" img_link="|||"][/ld_images_group_element][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_small:24px" lh="text_small:1.5em" margin="bottom_small:0.35em"]Rotation[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:12px" lh="text_small:1.5em" color="rgba(255, 255, 255, 0.4)"]Creating brand identities, digital experiences, that communicate clearly.[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;
	
	//Misc 22 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Misc 22', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'misc-22.jpg' );
	$data['sort_name'] = 'Misc';
	$data['custom_class'] = 'general misc';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" bg_position="right bottom" responsive_css="padding_top_medium:70px|padding_bottom_medium:70px" css=".vc_custom_1598364173202{padding-top: 50px !important;padding-bottom: 50px !important;background-image: url(http://asymmetric-freelancer.liquid-themes.com/wp-content/uploads/2020/04/bg-2.png?id=49) !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}"][vc_column offset="vc_col-md-offset-1 vc_col-md-4" responsive_css="padding_bottom_medium:0px" css=".vc_custom_1605606676578{padding-bottom: 20px !important;}"][ld_images_group_element image="91" margin="right_large:2vw|left_large:-8vw"][/ld_images_group_element][/vc_column][vc_column offset="vc_col-md-offset-0 vc_col-md-2/5" responsive_css="margin_bottom_medium:0px" css=".vc_custom_1605606722741{margin-bottom: 50px !important;}"][ld_fancy_heading tag="h6" margin="bottom_large:4em|bottom_small:1em"]— this is Robert Sanchez.[/ld_fancy_heading][ld_fancy_heading tag="p" delay="80" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" enable_split="true" color="rgba(255, 255, 255, 0.6)"]My name is Roberto, I’m a freelance Branding & Digital Designer based by the valley in New York. I currently work at Liquid. I create brand identities, digital experiences, and print materials that communicate clearly achieve marketing goals, and look fantastic. beauty and technical performance. Our design starts and ends a best-in-class experience strategy that builds brands.[/ld_fancy_heading][ld_spacer height="45px"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:15px" margin="bottom_small:0.3em"]2020 — CEO — LiquidThemes[/ld_fancy_heading][vc_separator color="custom" accent_color="rgba(112,112,112,0.3)" css=".vc_custom_1588697544183{margin-top: 0px !important;margin-bottom: 0.9em !important;}"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:15px" margin="bottom_small:0.3em"]2019 — Genius Tech — Apple[/ld_fancy_heading][vc_separator color="custom" accent_color="rgba(112,112,112,0.3)" css=".vc_custom_1588697544183{margin-top: 0px !important;margin-bottom: 0.9em !important;}"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:15px" margin="bottom_small:0.3em"]2018 — Tech Special — Google[/ld_fancy_heading][vc_separator color="custom" accent_color="rgba(112,112,112,0.3)" css=".vc_custom_1588697544183{margin-top: 0px !important;margin-bottom: 0.9em !important;}"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:15px" margin="bottom_small:0.3em"]2015 — Graduated from Yale[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-offset-0 vc_col-md-2" responsive_css="padding_left_medium:30px"][ld_fancy_heading tag="h6" margin="bottom_large:4em|bottom_small:1em"]— services[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:0.25em"]- Art Direction[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:0.25em"]- Brand Strategy[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:0.25em"]- Tone of Voice[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:0.25em"]- Graphic Design[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:0.25em"]- Print Design[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:0.25em"]- Graphic Design[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:0.25em"]- Print Design[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:0.25em"]- Illustration &[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:0.25em"]- Packaging Design[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:0.25em"]- Tone of Voice[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:0.25em"]- Brand Identity[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:0.25em"]- Art Direction[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:0.25em"]- Brand Strategy[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:0.25em"]- Graphic Design[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;
	
	//Misc 23 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Misc 23', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'misc-23.jpg' );
	$data['sort_name'] = 'Misc';
	$data['custom_class'] = 'general misc';
	$data['content'] = <<<CONTENT
	[vc_row equal_height="yes" content_placement="middle" css=".vc_custom_1605944416251{padding-top: 60px !important;}" responsive_css="padding_top_medium:100px|padding_bottom_medium:50px"][vc_column css=".vc_custom_1608024487095{border-top-width: 1px !important;padding-top: 35px !important;padding-bottom: 35px !important;border-top-color: rgba(255,255,255,0.2) !important;border-top-style: solid !important;}" responsive_css="padding_bottom_medium:35px"][vc_row_inner][vc_column_inner width="1/6" offset="vc_col-md-1 vc_col-xs-2"][ld_fancy_heading tag="p"]2020[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="7/12" offset="vc_col-md-2"][vc_single_image image="57" image_max_width="50px"][/vc_column_inner][vc_column_inner width="1/4" offset="vc_col-md-offset-2 vc_col-md-7" responsive_align="text-md-right"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:12px"]Honorable Mention x 4[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/vc_column][vc_column css=".vc_custom_1608024487095{border-top-width: 1px !important;padding-top: 35px !important;padding-bottom: 35px !important;border-top-color: rgba(255,255,255,0.2) !important;border-top-style: solid !important;}" responsive_css="padding_bottom_medium:35px"][vc_row_inner][vc_column_inner width="1/6" offset="vc_col-md-1 vc_col-xs-2"][ld_fancy_heading tag="p"]2017[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="7/12" offset="vc_col-md-2"][vc_single_image image="57" image_max_width="50px"][/vc_column_inner][vc_column_inner width="1/4" offset="vc_col-md-offset-2 vc_col-md-7" responsive_align="text-md-right"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:12px"]Developer Award x3[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/vc_column][vc_column css=".vc_custom_1608024487095{border-top-width: 1px !important;padding-top: 35px !important;padding-bottom: 35px !important;border-top-color: rgba(255,255,255,0.2) !important;border-top-style: solid !important;}" responsive_css="padding_bottom_medium:35px"][vc_row_inner][vc_column_inner width="1/6" offset="vc_col-md-1 vc_col-xs-2"][ld_fancy_heading tag="p"]2019[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="7/12" offset="vc_col-md-2"][vc_single_image image="57" image_max_width="50px"][/vc_column_inner][vc_column_inner width="1/4" offset="vc_col-md-offset-2 vc_col-md-7" responsive_align="text-md-right"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:12px"]Honorable Mention x 4[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:12px"]Developer Award x3[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;
	
	//Misc 24 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Misc 24', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'misc-24.jpg' );
	$data['sort_name'] = 'Misc, Accordion';
	$data['custom_class'] = 'general misc accordion';
	$data['content'] = <<<CONTENT
	[vc_row enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" responsive_css="padding_top_medium:120px" css=".vc_custom_1608021659478{padding-top: 70px !important;padding-bottom: 20px !important;}" ca_duration="1600" ca_delay="160" ca_init_translate_y="100"][vc_column width="1/2"][ld_fancy_heading tag="h5" duration="1600" delay="60" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_x="0%" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" enable_split="true" use_mask="true" ca_init_translate_y="78" ca_init_rotate_z="7" margin="bottom_small:1em"]About me[/ld_fancy_heading][/vc_column][vc_column width="1/2" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-lg-offset-1 vc_col-lg-5" ca_duration="1600" ca_start_delay="850" ca_delay="160" ca_init_translate_y="45"][ld_fancy_heading tag="p" duration="1600" delay="60" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_x="0%" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgba(255, 255, 255, 0.7)" lh="text_small:1.68em" ca_init_translate_y="80" ca_init_rotate_z="7" start_delay="200"]My name is Roberto, I’m a freelance Branding & Digital Designer based by the valley in New York. I currently work at Liquid. I create brand identities, digital experiences, and print materials that communicate clearly achieve marketing goals, and look fantastic. beauty and technical performance. Our design starts and ends best-in-class experience strategy that builds brands.[/ld_fancy_heading][ld_spacer height="20px" md_height="45px"][vc_accordion size="md" borders="accordion-title-underlined" show_icon="yes" i_add_icon="true" i_type="linea" active_add_icon="true" active_type="linea" use_custom_fonts_title="true" active_tab="-1" fs="16px" i_icon_linea="lqd-icn-ess icon-ion-ios-add" active_icon_linea="lqd-icn-ess icon-ion-ios-remove" heading_color="rgba(255, 255, 255, 0.7)" active_heading_color="rgb(255, 255, 255)" border_color="rgba(255, 255, 255, 0.2)" fw="400"][vc_accordion_tab title="Digital UI Design" tab_id="lqd-1608021215877-f7b3b98d-a88d"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.7)" fs="text_small:14px" lh="text_small:1.68em"]I’m a freelance Branding & Digital Designer based by the valley in New York. I currently work at Liquid. I create brand identities, digital experiences,[/ld_fancy_heading][/vc_accordion_tab][vc_accordion_tab title="Product Design" tab_id="lqd-1608021462145-1e37d61a-421f"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.7)" fs="text_small:14px" lh="text_small:1.68em"]I’m a freelance Branding & Digital Designer based by the valley in New York. I currently work at Liquid. I create brand identities, digital experiences,[/ld_fancy_heading][/vc_accordion_tab][vc_accordion_tab title="Business Consultation" tab_id="lqd-1608021475881-a987be52-c29d"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.7)" fs="text_small:14px" lh="text_small:1.68em"]I’m a freelance Branding & Digital Designer based by the valley in New York. I currently work at Liquid. I create brand identities, digital experiences,[/ld_fancy_heading][/vc_accordion_tab][/vc_accordion][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;
	
	//Misc 25 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Misc 25', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'misc-25.jpg' );
	$data['sort_name'] = 'Misc';
	$data['custom_class'] = 'general misc';
	$data['content'] = <<<CONTENT
	[vc_row enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" css=".vc_custom_1608023689024{padding-top: 30px !important;padding-bottom: 30px !important;}" ca_duration="1600" ca_delay="160" ca_init_translate_y="100"][vc_column width="1/2"][ld_fancy_heading tag="h5" duration="1600" delay="60" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_x="0%" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" enable_split="true" use_mask="true" ca_init_translate_y="78" ca_init_rotate_z="7" margin="bottom_small:1em"]Experience[/ld_fancy_heading][/vc_column][vc_column width="1/2" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-lg-offset-1 vc_col-lg-5" ca_duration="1600" ca_start_delay="850" ca_delay="160" ca_init_translate_y="45"][ld_custom_menu source="custom" items="%5B%7B%22label%22%3A%222020%20%3Ci%20class%3D%5C%22lqd-icn-ess%20icon-lqd-circle%20mx-4%5C%22%3E%3C%2Fi%3E%20CEO%20%20%E2%80%94%20LiquidThemes%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%222019%20%3Ci%20class%3D%5C%22lqd-icn-ess%20icon-lqd-circle%20mx-4%5C%22%3E%3C%2Fi%3E%20Senior%20Designer%20%20%E2%80%94%20Apple%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%222018%20%3Ci%20class%3D%5C%22lqd-icn-ess%20icon-lqd-circle%20mx-4%5C%22%3E%3C%2Fi%3E%20Junior%20Designer%20%20%E2%80%94%20%20Google%20%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%222015%20%3Ci%20class%3D%5C%22lqd-icn-ess%20icon-lqd-circle%20mx-4%5C%22%3E%3C%2Fi%3E%20Graduated%20from%20Yale%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%5D" color="rgba(255, 255, 255, 0.7)" hcolor="rgb(255, 255, 255)" spacing="30"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;
	
	//Misc 26 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Misc 26', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'misc-26.jpg' );
	$data['sort_name'] = 'Misc';
	$data['custom_class'] = 'general misc';
	$data['content'] = <<<CONTENT
	[vc_row enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" css=".vc_custom_1608025876286{padding-top: 40px !important;padding-bottom: 40px !important;}" ca_duration="1600" ca_delay="160" ca_init_translate_y="100"][vc_column width="1/2"][ld_fancy_heading tag="h5" duration="1600" delay="60" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_x="0%" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" enable_split="true" use_mask="true" ca_init_translate_y="78" ca_init_rotate_z="7" margin="bottom_small:1em"]Skills[/ld_fancy_heading][/vc_column][vc_column width="1/2" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-lg-offset-1 vc_col-lg-5" ca_duration="1600" ca_start_delay="850" ca_delay="160" ca_init_translate_y="45"][vc_row_inner][vc_column_inner width="1/2"][ld_custom_menu source="custom" magnetic_items="true" items="%5B%7B%22label%22%3A%22Art%20Direction%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22%20Brand%20Strategy%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22%20Communication%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Graphic%20Design%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22%20Print%20Design%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22%20Motion%20Graphics%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%5D" spacing="15" color="rgba(255, 255, 255, 0.7)" hcolor="rgb(255, 255, 255)"][/vc_column_inner][vc_column_inner width="1/2"][ld_custom_menu source="custom" magnetic_items="true" items="%5B%7B%22label%22%3A%22Brand%20Guide%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Flayer%20Design%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Video%20Production%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Web%20Advertising%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Illustrations%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Content%20Creation%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%5D" spacing="15" color="rgba(255, 255, 255, 0.7)" hcolor="rgb(255, 255, 255)"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;
	
	//Misc 27 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Misc 27', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'misc-27.jpg' );
	$data['sort_name'] = 'Misc';
	$data['custom_class'] = 'general misc';
	$data['content'] = <<<CONTENT
	[vc_row enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" css=".vc_custom_1608025866035{padding-top: 40px !important;padding-bottom: 40px !important;}" ca_duration="1600" ca_delay="160" ca_init_translate_y="100"][vc_column width="1/2"][ld_fancy_heading tag="h5" duration="1600" delay="60" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_x="0%" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" enable_split="true" use_mask="true" ca_init_translate_y="78" ca_init_rotate_z="7" margin="bottom_small:1em"]Awards[/ld_fancy_heading][/vc_column][vc_column width="1/2" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-lg-offset-1 vc_col-lg-5" ca_duration="1600" ca_start_delay="850" ca_delay="160" ca_init_translate_y="45"][ld_custom_menu source="custom" magnetic_items="true" items="%5B%7B%22label%22%3A%22%3Ci%20class%3D%5C%22mr-5%5C%22%20style%3D%5C%22font-style%3A%20normal%3B%20opacity%3A%200.7%5C%22%3E3x%3C%2Fi%3E%20AW%20Site%20of%20the%20Day%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22%3Ci%20class%3D%5C%22mr-5%5C%22%20style%3D%5C%22font-style%3A%20normal%3B%20opacity%3A%200.7%5C%22%3E1x%3C%2Fi%3E%20FTA%20Best%20Interactivity%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22%3Ci%20class%3D%5C%22mr-5%5C%22%20style%3D%5C%22font-style%3A%20normal%3B%20opacity%3A%200.7%5C%22%3E2x%3C%2Fi%3E%20CSS%20Design%20Awards%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22%3Ci%20class%3D%5C%22mr-5%5C%22%20style%3D%5C%22font-style%3A%20normal%3B%20opacity%3A%200.7%5C%22%3E6x%3C%2Fi%3E%20AW%20Honorable%20Mention%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22%3Ci%20class%3D%5C%22mr-5%5C%22%20style%3D%5C%22font-style%3A%20normal%3B%20opacity%3A%200.7%5C%22%3E2x%3C%2Fi%3E%20Red%20Dot%20Graphic%20Design%20Awards%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22%3Ci%20class%3D%5C%22mr-5%5C%22%20style%3D%5C%22font-style%3A%20normal%3B%20opacity%3A%200.7%5C%22%3E1x%3C%2Fi%3E%20AW%20Collections%22%2C%22url%22%3A%22%23%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%5D" spacing="15" color="rgba(255, 255, 255, 0.7)" hcolor="rgb(255, 255, 255)"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;
	
	//Misc 28 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Misc 28', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'misc-28.jpg' );
	$data['sort_name'] = 'Misc';
	$data['custom_class'] = 'general misc';
	$data['content'] = <<<CONTENT
	[vc_row equal_height="yes" content_placement="middle" responsive_css="padding_bottom_medium:100px|padding_top_small:50px" css=".vc_custom_1608025838088{padding-top: 30px !important;padding-bottom: 30px !important;}"][vc_column width="1/3" offset="vc_col-md-2" responsive_css="margin_bottom_small:0px" css=".vc_custom_1608024402921{margin-bottom: 25px !important;}"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:11px" margin="bottom_small:0px"]Looking for collaboration?[/ld_fancy_heading][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" fs="text_small:18px"]Hub wire[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-2 vc_hidden-sm vc_hidden-xs"][vc_separator color="white" border_width="2"][/vc_column][vc_column width="1/3" offset="vc_col-md-offset-1 vc_col-md-2" responsive_css="margin_bottom_small:0px" css=".vc_custom_1608024409989{margin-bottom: 25px !important;}"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:14px" lh="text_small:1.21em"]290 Maryam Springs Courbevoie, NYC[/ld_fancy_heading][ld_fancy_heading tag="h6" use_custom_fonts_title="true" fs="text_small:18px"]+1 827 48 89[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-2 vc_hidden-sm vc_hidden-xs"][vc_separator color="white" border_width="2"][/vc_column][vc_column width="1/3" offset="vc_col-md-offset-1 vc_col-md-2" responsive_css="margin_bottom_small:0px" css=".vc_custom_1608024417804{margin-bottom: 25px !important;}"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:14px" lh="text_small:1.21em"]Looking for a job? Send your resume[/ld_fancy_heading][ld_fancy_heading tag="h6" use_custom_fonts_title="true" fs="text_small:18px"]info@hub.com[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Misc 29 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Misc 29', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'misc-29.jpg' );
	$data['sort_name'] = 'Misc';
	$data['custom_class'] = 'general misc';
	$data['content'] = <<<CONTENT
	[vc_row equal_height="yes" content_placement="middle" css=".vc_custom_1605944416251{padding-top: 60px !important;}" responsive_css="padding_top_medium:100px|padding_bottom_medium:50px"][vc_column css=".vc_custom_1608024487095{border-top-width: 1px !important;padding-top: 35px !important;padding-bottom: 35px !important;border-top-color: rgba(255,255,255,0.2) !important;border-top-style: solid !important;}" responsive_css="padding_bottom_medium:35px"][vc_row_inner][vc_column_inner width="1/6" offset="vc_col-md-1 vc_col-xs-2"][ld_fancy_heading tag="p"]2020[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="7/12" offset="vc_col-md-2"][vc_single_image image="57" image_max_width="50px"][/vc_column_inner][vc_column_inner width="1/4" offset="vc_col-md-offset-2 vc_col-md-7" responsive_align="text-md-right"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:12px"]Honorable Mention x 4[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/vc_column][vc_column css=".vc_custom_1608024487095{border-top-width: 1px !important;padding-top: 35px !important;padding-bottom: 35px !important;border-top-color: rgba(255,255,255,0.2) !important;border-top-style: solid !important;}" responsive_css="padding_bottom_medium:35px"][vc_row_inner][vc_column_inner width="1/6" offset="vc_col-md-1 vc_col-xs-2"][ld_fancy_heading tag="p"]2017[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="7/12" offset="vc_col-md-2"][vc_single_image image="57" image_max_width="50px"][/vc_column_inner][vc_column_inner width="1/4" offset="vc_col-md-offset-2 vc_col-md-7" responsive_align="text-md-right"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:12px"]Developer Award x3[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/vc_column][vc_column css=".vc_custom_1608024487095{border-top-width: 1px !important;padding-top: 35px !important;padding-bottom: 35px !important;border-top-color: rgba(255,255,255,0.2) !important;border-top-style: solid !important;}" responsive_css="padding_bottom_medium:35px"][vc_row_inner][vc_column_inner width="1/6" offset="vc_col-md-1 vc_col-xs-2"][ld_fancy_heading tag="p"]2019[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="7/12" offset="vc_col-md-2"][vc_single_image image="57" image_max_width="50px"][/vc_column_inner][vc_column_inner width="1/4" offset="vc_col-md-offset-2 vc_col-md-7" responsive_align="text-md-right"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:12px"]Honorable Mention x 4[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:12px"]Developer Award x3[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Misc 30 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Misc 30', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'misc-30.jpg' );
	$data['sort_name'] = 'Misc';
	$data['custom_class'] = 'general misc';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" bg_position="right bottom" responsive_css="padding_top_medium:70px|padding_bottom_medium:70px" css=".vc_custom_1618822546723{padding-top: 50px !important;padding-bottom: 50px !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}"][vc_column offset="vc_col-md-offset-1 vc_col-md-4" responsive_css="padding_bottom_medium:0px" css=".vc_custom_1605606676578{padding-bottom: 20px !important;}"][ld_images_group_element image="91" margin="right_large:2vw|left_large:-8vw"][/ld_images_group_element][/vc_column][vc_column offset="vc_col-md-offset-0 vc_col-md-2/5" responsive_css="margin_bottom_medium:0px" css=".vc_custom_1605606722741{margin-bottom: 50px !important;}"][ld_fancy_heading tag="h6" margin="bottom_large:4em|bottom_small:1em"]— this is Robert Sanchez.[/ld_fancy_heading][ld_fancy_heading tag="p" delay="80" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" enable_split="true" color="rgba(255, 255, 255, 0.6)"]My name is Roberto, I’m a freelance Branding &amp; Digital Designer based by the valley in New York. I currently work at Liquid. I create brand identities, digital experiences, and print materials that communicate clearly achieve marketing goals, and look fantastic. beauty and technical performance. Our design starts and ends a best-in-class experience strategy that builds brands.[/ld_fancy_heading][ld_spacer height="45px"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:15px" margin="bottom_small:0.3em"]2020 — CEO — LiquidThemes[/ld_fancy_heading][vc_separator color="custom" accent_color="rgba(112,112,112,0.3)" css=".vc_custom_1588697544183{margin-top: 0px !important;margin-bottom: 0.9em !important;}"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:15px" margin="bottom_small:0.3em"]2019 — Genius Tech — Apple[/ld_fancy_heading][vc_separator color="custom" accent_color="rgba(112,112,112,0.3)" css=".vc_custom_1588697544183{margin-top: 0px !important;margin-bottom: 0.9em !important;}"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:15px" margin="bottom_small:0.3em"]2018 — Tech Special — Google[/ld_fancy_heading][vc_separator color="custom" accent_color="rgba(112,112,112,0.3)" css=".vc_custom_1588697544183{margin-top: 0px !important;margin-bottom: 0.9em !important;}"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:15px" margin="bottom_small:0.3em"]2015 — Graduated from Yale[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-offset-0 vc_col-md-2" responsive_css="padding_left_medium:30px"][ld_fancy_heading tag="h6" margin="bottom_large:4em|bottom_small:1em"]— services[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:0.25em"]- Art Direction[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:0.25em"]- Brand Strategy[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:0.25em"]- Tone of Voice[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:0.25em"]- Graphic Design[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:0.25em"]- Print Design[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:0.25em"]- Graphic Design[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:0.25em"]- Print Design[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:0.25em"]- Illustration &amp;[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:0.25em"]- Packaging Design[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:0.25em"]- Tone of Voice[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:0.25em"]- Brand Identity[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:0.25em"]- Art Direction[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:0.25em"]- Brand Strategy[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:0.25em"]- Graphic Design[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Misc 31 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Misc 31', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'misc-31.jpg' );
	$data['sort_name'] = 'Misc';
	$data['custom_class'] = 'general misc';
	$data['content'] = <<<CONTENT
	[vc_row bg_position="left center" css=".vc_custom_1611568262746{padding-top: 50px !important;padding-bottom: 130px !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}"][vc_column css=".vc_custom_1611088285482{margin-bottom: 2.15em !important;}" offset="vc_col-md-offset-1 vc_col-md-10"][ld_fancy_heading tag="h6" margin="bottom_large:3em|bottom_small:2em"]— Architecture Services[/ld_fancy_heading][ld_fancy_heading tag="p" tag_to_inherite="h3" use_inheritance="true" margin="bottom_large:1.5em|bottom_small:1em"]Since the 1980s, as the complexity of buildings began to increase, the field of architecture became multi-disciplinary with specializations for each project type, technological expertise.[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-offset-1 vc_col-md-10"][vc_row_inner][vc_column_inner width="1/3"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="16px" lh="1.5em"]— Urban Codes[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="16px" lh="1.5em"]— Interior Design[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="16px" lh="1.5em"]— City Planning[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/3"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="16px" lh="1.5em"]— Residential[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="16px" lh="1.5em"]— Construction[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="16px" lh="1.5em"]— Landspaces[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/3"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="16px" lh="1.5em"]— Innovative Design[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="16px" lh="1.5em"]— Facility Optimization[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="16px" lh="1.5em"]— Consulting[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row full_width="stretch_row" gap="0" css=".vc_custom_1605616478180{padding-bottom: 60px !important;}"][vc_column][ld_carousel_marquee_tab columns="md:4.25|sm:2.9|xs:1.5|spacing_md:50px|spacing_xs:2%25" pause_on_hover="yes" randomveroffset="yes"][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600434166403-376bd1f6-e3bd"][vc_single_image image="56" css=".vc_custom_1600434720760{margin-bottom: 50px !important;}"][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600434294047-e8e3297a-ecf8"][vc_single_image image="58" css=".vc_custom_1600434728358{margin-bottom: 50px !important;}"][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600434315298-8ffdba0e-bdb9"][vc_single_image image="59" css=".vc_custom_1600434737821{margin-bottom: 50px !important;}"][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600434339502-e71d2cda-694b"][vc_single_image image="4313" css=".vc_custom_1600434747987{margin-bottom: 50px !important;}"][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600434392281-5839817b-a5de"][vc_single_image image="57" css=".vc_custom_1600434759523{margin-bottom: 50px !important;}"][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600434420928-b13c76de-d2ed"][vc_single_image image="56" css=".vc_custom_1600434767214{margin-bottom: 50px !important;}"][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600434440973-4835951d-d1fa"][vc_single_image image="4314" css=".vc_custom_1600434775295{margin-bottom: 50px !important;}"][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600434469640-f8476374-692b"][vc_single_image image="4311" css=".vc_custom_1600434783500{margin-bottom: 50px !important;}"][/ld_carousel_marquee_section][/ld_carousel_marquee_tab][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Misc 32 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Misc 32', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'misc-32.jpg' );
	$data['sort_name'] = 'Misc';
	$data['custom_class'] = 'general misc';
	$data['content'] = <<<CONTENT
	[vc_row gap="20" equal_height="yes" css=".vc_custom_1605940817178{padding-top: 60px !important;padding-bottom: 60px !important;}" responsive_css="padding_top_medium:90px|padding_bottom_medium:30px"][vc_column align="text-center" offset="vc_col-md-offset-3 vc_col-md-6" css=".vc_custom_1591020170979{margin-bottom: 55px !important;}" responsive_align="text-center"][ld_fancy_heading tag="h2"]#stayhome[/ld_fancy_heading][ld_fancy_heading tag="p" padding="right_large:3vw|left_large:3vw"]Because we know just how hard it is to get the size, color and even the garment right in the fashion.[/ld_fancy_heading][/vc_column][vc_column row_scale_bg_onhover="yes" enable_link="enable_column_link" enable_overlay="yes" bg_position="center center" align="text-center" offset="vc_col-md-6" css=".vc_custom_1618676208011{margin-bottom: 20px !important;padding-top: 250px !important;padding-right: 35px !important;padding-bottom: 35px !important;padding-left: 35px !important;background-image: url(https://fashionstorepro.liquid-themes.com/wp-content/uploads/2021/02/category@2x.jpg?id=4809) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" responsive_css="padding_top_medium:420px" hover_overlay_bg="rgba(0, 0, 0, 0.15)" responsive_align="text-center" link="url:https%3A%2F%2Ffashionstorepro.liquid-themes.com%2Fproduct-category%2Fparty-collection%2F|||"][ld_button style="btn-solid" title="Casual wear" transformation="text-uppercase" size="btn-sm" color="rgb(255, 255, 255)" hover_color="rgb(0, 0, 0)" text_color="rgb(0, 0, 0)" htext_color="rgb(255, 255, 255)" fs="12px" lh="1.2em" ls="0.1em"][/vc_column][vc_column width="1/2" offset="vc_col-md-3"][vc_row_inner][vc_column_inner row_scale_bg_onhover="yes" enable_link="enable_column_link" enable_overlay="yes" align="text-center" css=".vc_custom_1618676216767{margin-bottom: 20px !important;padding-top: 160px !important;padding-right: 25px !important;padding-bottom: 25px !important;padding-left: 25px !important;background-image: url(https://fashionstorepro.liquid-themes.com/wp-content/uploads/2020/08/shop-cat-2@2x.jpg?id=4439) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" responsive_css="margin_bottom_small:45px" hover_overlay_bg="rgba(0, 0, 0, 0.15)" responsive_align="text-center" link="url:https%3A%2F%2Ffashionstorepro.liquid-themes.com%2Fproduct-category%2Fparty-collection%2F|||"][ld_button style="btn-solid" title="Accessories" transformation="text-uppercase" size="btn-sm" color="rgb(255, 255, 255)" hover_color="rgb(0, 0, 0)" text_color="rgb(0, 0, 0)" htext_color="rgb(255, 255, 255)" fs="12px" lh="1.2em" ls="0.1em"][/vc_column_inner][vc_column_inner row_scale_bg_onhover="yes" enable_link="enable_column_link" enable_overlay="yes" align="text-center" css=".vc_custom_1618676222933{margin-bottom: 20px !important;padding-top: 160px !important;padding-right: 25px !important;padding-bottom: 25px !important;padding-left: 25px !important;background-image: url(https://fashionstorepro.liquid-themes.com/wp-content/uploads/2020/08/shop-cat-3@2x.jpg?id=4440) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" hover_overlay_bg="rgba(0, 0, 0, 0.15)" responsive_align="text-center" link="url:https%3A%2F%2Ffashionstorepro.liquid-themes.com%2Fproduct-category%2Fparty-collection%2F|||"][ld_button style="btn-solid" title="Shop Shirts" transformation="text-uppercase" size="btn-sm" color="rgb(255, 255, 255)" hover_color="rgb(0, 0, 0)" text_color="rgb(0, 0, 0)" htext_color="rgb(255, 255, 255)" fs="12px" lh="1.2em" ls="0.1em"][/vc_column_inner][/vc_row_inner][/vc_column][vc_column row_scale_bg_onhover="yes" enable_link="enable_column_link" width="1/2" enable_overlay="yes" align="text-center" offset="vc_col-md-3" css=".vc_custom_1618676231115{margin-bottom: 20px !important;padding-top: 420px !important;padding-right: 35px !important;padding-bottom: 35px !important;padding-left: 35px !important;background-image: url(https://fashionstorepro.liquid-themes.com/wp-content/uploads/2020/06/Image-1@2x.jpg?id=103) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" hover_overlay_bg="rgba(0, 0, 0, 0.15)" responsive_align="text-center" link="url:https%3A%2F%2Ffashionstorepro.liquid-themes.com%2Fproduct-category%2Fparty-collection%2F|||"][ld_button style="btn-solid" title="Top Dresses" transformation="text-uppercase" size="btn-sm" color="rgb(255, 255, 255)" hover_color="rgb(0, 0, 0)" text_color="rgb(0, 0, 0)" htext_color="rgb(255, 255, 255)" fs="12px" lh="1.2em" ls="0.1em"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Misc 33 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Misc 33', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'misc-33.jpg' );
	$data['sort_name'] = 'Misc';
	$data['custom_class'] = 'general misc';
	$data['content'] = <<<CONTENT
	[vc_row equal_height="yes" content_placement="middle" css=".vc_custom_1621603649330{padding-top: 55px !important;padding-bottom: 55px !important;background: #005153 url(https://insurance.liquid-themes.com/wp-content/uploads/2021/05/lines.svg?id=3507) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}"][vc_column offset="vc_col-lg-offset-3 vc_col-lg-6 vc_col-md-offset-2 vc_col-md-8" responsive_align="text-md-center" css=".vc_custom_1621603820978{margin-bottom: 15px !important;}"][ld_fancy_heading tag="h2" color="rgb(255, 255, 255)"]Compare insurance packages to get the best deal.[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-lg-offset-1 vc_col-lg-10 vc_hidden-sm vc_hidden-xs"][vc_row_inner equal_height="yes" content_placement="middle" gap="0"][vc_column_inner offset="vc_col-md-6" css=".vc_custom_1621603085923{border-right-width: 1px !important;border-bottom-width: 1px !important;padding-top: 20px !important;padding-bottom: 20px !important;border-right-color: rgba(255,255,255,0.25) !important;border-right-style: solid !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:17px" fw="text_small:500" margin="bottom_small:0px"]Injuries or Vehicle Damages[/ld_fancy_heading][/vc_column_inner][vc_column_inner offset="vc_col-md-3" css=".vc_custom_1621603095942{border-right-width: 1px !important;border-bottom-width: 1px !important;padding-top: 10px !important;padding-right: 15px !important;padding-bottom: 20px !important;padding-left: 15px !important;border-right-color: rgba(255,255,255,0.25) !important;border-right-style: solid !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}" responsive_align="text-center"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:15px" margin="bottom_small:1.25em"]Hub Insurance[/ld_fancy_heading][ld_icon_box i_type="linea" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" icon_size="22px" icon_mb="1" css=".vc_custom_1621603521054{margin-bottom: 0px !important;}" i_color="rgb(122, 209, 158)"][/ld_icon_box][/vc_column_inner][vc_column_inner offset="vc_col-md-3" css=".vc_custom_1621603295345{border-bottom-width: 1px !important;padding-top: 10px !important;padding-right: 15px !important;padding-bottom: 20px !important;padding-left: 15px !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}" responsive_align="text-center"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:15px" margin="bottom_small:1.25em"]Other Companies[/ld_fancy_heading][ld_icon_box i_type="linea" i_icon_linea="lqd-icn-ess icon-ion-ios-close" icon_size="28px" icon_mb="1" css=".vc_custom_1621603139906{margin-bottom: 0px !important;}" i_color="rgb(255, 255, 255)"][/ld_icon_box][/vc_column_inner][/vc_row_inner][vc_row_inner equal_height="yes" content_placement="middle" gap="0"][vc_column_inner offset="vc_col-md-6" css=".vc_custom_1621603085923{border-right-width: 1px !important;border-bottom-width: 1px !important;padding-top: 20px !important;padding-bottom: 20px !important;border-right-color: rgba(255,255,255,0.25) !important;border-right-style: solid !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:17px" fw="text_small:500" margin="bottom_small:0px"]Full Health Care Package[/ld_fancy_heading][/vc_column_inner][vc_column_inner offset="vc_col-md-3" css=".vc_custom_1621603271842{border-right-width: 1px !important;border-bottom-width: 1px !important;padding-top: 20px !important;padding-right: 15px !important;padding-bottom: 20px !important;padding-left: 15px !important;border-right-color: rgba(255,255,255,0.25) !important;border-right-style: solid !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}" responsive_align="text-center"][ld_icon_box i_type="linea" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" icon_size="22px" icon_mb="1" css=".vc_custom_1621603534685{margin-bottom: 0px !important;}" i_color="rgb(122, 209, 158)"][/ld_icon_box][/vc_column_inner][vc_column_inner offset="vc_col-md-3" css=".vc_custom_1621603300554{border-bottom-width: 1px !important;padding-top: 20px !important;padding-right: 15px !important;padding-bottom: 20px !important;padding-left: 15px !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}" responsive_align="text-center"][ld_icon_box i_type="linea" i_icon_linea="lqd-icn-ess icon-ion-ios-close" icon_size="28px" icon_mb="1" css=".vc_custom_1621603139906{margin-bottom: 0px !important;}" i_color="rgb(255, 255, 255)"][/ld_icon_box][/vc_column_inner][/vc_row_inner][vc_row_inner equal_height="yes" content_placement="middle" gap="0"][vc_column_inner offset="vc_col-md-6" css=".vc_custom_1621603085923{border-right-width: 1px !important;border-bottom-width: 1px !important;padding-top: 20px !important;padding-bottom: 20px !important;border-right-color: rgba(255,255,255,0.25) !important;border-right-style: solid !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:17px" fw="text_small:500" margin="bottom_small:0px"]Annual Bonus and Extras[/ld_fancy_heading][/vc_column_inner][vc_column_inner offset="vc_col-md-3" css=".vc_custom_1621603271842{border-right-width: 1px !important;border-bottom-width: 1px !important;padding-top: 20px !important;padding-right: 15px !important;padding-bottom: 20px !important;padding-left: 15px !important;border-right-color: rgba(255,255,255,0.25) !important;border-right-style: solid !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}" responsive_align="text-center"][ld_icon_box i_type="linea" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" icon_size="22px" icon_mb="1" css=".vc_custom_1621603544032{margin-bottom: 0px !important;}" i_color="rgb(122, 209, 158)"][/ld_icon_box][/vc_column_inner][vc_column_inner offset="vc_col-md-3" css=".vc_custom_1621603306594{border-bottom-width: 1px !important;padding-top: 20px !important;padding-right: 15px !important;padding-bottom: 20px !important;padding-left: 15px !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}" responsive_align="text-center"][ld_icon_box i_type="linea" i_icon_linea="lqd-icn-ess icon-ion-ios-close" icon_size="28px" icon_mb="1" css=".vc_custom_1621603139906{margin-bottom: 0px !important;}" i_color="rgb(255, 255, 255)"][/ld_icon_box][/vc_column_inner][/vc_row_inner][vc_row_inner equal_height="yes" content_placement="middle" gap="0"][vc_column_inner offset="vc_col-md-6" css=".vc_custom_1621603085923{border-right-width: 1px !important;border-bottom-width: 1px !important;padding-top: 20px !important;padding-bottom: 20px !important;border-right-color: rgba(255,255,255,0.25) !important;border-right-style: solid !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:17px" fw="text_small:500" margin="bottom_small:0px"]Auto-Renewal[/ld_fancy_heading][/vc_column_inner][vc_column_inner offset="vc_col-md-3" css=".vc_custom_1621603271842{border-right-width: 1px !important;border-bottom-width: 1px !important;padding-top: 20px !important;padding-right: 15px !important;padding-bottom: 20px !important;padding-left: 15px !important;border-right-color: rgba(255,255,255,0.25) !important;border-right-style: solid !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}" responsive_align="text-center"][ld_icon_box i_type="linea" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" icon_size="22px" icon_mb="1" css=".vc_custom_1621603552199{margin-bottom: 0px !important;}" i_color="rgb(122, 209, 158)"][/ld_icon_box][/vc_column_inner][vc_column_inner offset="vc_col-md-3" css=".vc_custom_1621603306594{border-bottom-width: 1px !important;padding-top: 20px !important;padding-right: 15px !important;padding-bottom: 20px !important;padding-left: 15px !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}" responsive_align="text-center"][ld_icon_box i_type="linea" i_icon_linea="lqd-icn-ess icon-ion-ios-close" icon_size="28px" icon_mb="1" css=".vc_custom_1621603139906{margin-bottom: 0px !important;}" i_color="rgb(255, 255, 255)"][/ld_icon_box][/vc_column_inner][/vc_row_inner][vc_row_inner equal_height="yes" content_placement="middle" gap="0"][vc_column_inner offset="vc_col-md-6" css=".vc_custom_1621603085923{border-right-width: 1px !important;border-bottom-width: 1px !important;padding-top: 20px !important;padding-bottom: 20px !important;border-right-color: rgba(255,255,255,0.25) !important;border-right-style: solid !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:17px" fw="text_small:500" margin="bottom_small:0px"]Responsible Driver Discount[/ld_fancy_heading][/vc_column_inner][vc_column_inner offset="vc_col-md-3" css=".vc_custom_1621603271842{border-right-width: 1px !important;border-bottom-width: 1px !important;padding-top: 20px !important;padding-right: 15px !important;padding-bottom: 20px !important;padding-left: 15px !important;border-right-color: rgba(255,255,255,0.25) !important;border-right-style: solid !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}" responsive_align="text-center"][ld_icon_box i_type="linea" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" icon_size="22px" icon_mb="1" css=".vc_custom_1621603558911{margin-bottom: 0px !important;}" i_color="rgb(122, 209, 158)"][/ld_icon_box][/vc_column_inner][vc_column_inner offset="vc_col-md-3" css=".vc_custom_1621603306594{border-bottom-width: 1px !important;padding-top: 20px !important;padding-right: 15px !important;padding-bottom: 20px !important;padding-left: 15px !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}" responsive_align="text-center"][ld_icon_box i_type="linea" i_icon_linea="lqd-icn-ess icon-ion-ios-close" icon_size="28px" icon_mb="1" css=".vc_custom_1621603139906{margin-bottom: 0px !important;}" i_color="rgb(255, 255, 255)"][/ld_icon_box][/vc_column_inner][/vc_row_inner][vc_row_inner equal_height="yes" content_placement="middle" gap="0"][vc_column_inner offset="vc_col-md-6" css=".vc_custom_1621603370319{border-right-width: 1px !important;padding-top: 20px !important;padding-bottom: 20px !important;border-right-color: rgba(255,255,255,0.25) !important;border-right-style: solid !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:17px" fw="text_small:500" margin="bottom_small:0px"]Full Health Care Package[/ld_fancy_heading][/vc_column_inner][vc_column_inner offset="vc_col-md-3" css=".vc_custom_1621603375853{border-right-width: 1px !important;padding-top: 20px !important;padding-right: 15px !important;padding-bottom: 20px !important;padding-left: 15px !important;border-right-color: rgba(255,255,255,0.25) !important;border-right-style: solid !important;}" responsive_align="text-center"][ld_icon_box i_type="linea" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" icon_size="22px" icon_mb="1" css=".vc_custom_1621603566157{margin-bottom: 0px !important;}" i_color="rgb(122, 209, 158)"][/ld_icon_box][/vc_column_inner][vc_column_inner offset="vc_col-md-3" css=".vc_custom_1621603382712{padding-top: 20px !important;padding-right: 15px !important;padding-bottom: 20px !important;padding-left: 15px !important;}" responsive_align="text-center"][ld_icon_box i_type="linea" i_icon_linea="lqd-icn-ess icon-ion-ios-close" icon_size="28px" icon_mb="1" css=".vc_custom_1621603139906{margin-bottom: 0px !important;}" i_color="rgb(255, 255, 255)"][/ld_icon_box][/vc_column_inner][/vc_row_inner][/vc_column][vc_column offset="vc_col-lg-offset-1 vc_col-lg-10 vc_hidden-lg vc_hidden-md" css=".vc_custom_1621604717824{margin-bottom: 35px !important;}"][vc_row_inner equal_height="yes" content_placement="middle" gap="0"][vc_column_inner][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:17px" margin="bottom_small:1.25em"]Hub Insurance[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="5/6" offset="vc_col-xs-10" css=".vc_custom_1621604310770{border-bottom-width: 1px !important;padding-top: 20px !important;padding-bottom: 20px !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:17px" fw="text_small:500" margin="bottom_small:0px"]Injuries or Vehicle Damages[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/6" offset="vc_col-xs-2" css=".vc_custom_1621604457628{border-bottom-width: 1px !important;padding-top: 20px !important;padding-right: 15px !important;padding-bottom: 20px !important;padding-left: 15px !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}" responsive_align="text-right"][ld_icon_box i_type="linea" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" icon_size="18px" icon_mb="1" css=".vc_custom_1621604415051{margin-bottom: 0px !important;}" i_color="rgb(122, 209, 158)"][/ld_icon_box][/vc_column_inner][/vc_row_inner][vc_row_inner equal_height="yes" content_placement="middle" gap="0"][vc_column_inner width="5/6" offset="vc_col-xs-10" css=".vc_custom_1621604310770{border-bottom-width: 1px !important;padding-top: 20px !important;padding-bottom: 20px !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:17px" fw="text_small:500" margin="bottom_small:0px"]Full Health Care Package[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/6" offset="vc_col-xs-2" css=".vc_custom_1621604457628{border-bottom-width: 1px !important;padding-top: 20px !important;padding-right: 15px !important;padding-bottom: 20px !important;padding-left: 15px !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}" responsive_align="text-right"][ld_icon_box i_type="linea" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" icon_size="18px" icon_mb="1" css=".vc_custom_1621604415051{margin-bottom: 0px !important;}" i_color="rgb(122, 209, 158)"][/ld_icon_box][/vc_column_inner][/vc_row_inner][vc_row_inner equal_height="yes" content_placement="middle" gap="0"][vc_column_inner width="5/6" offset="vc_col-xs-10" css=".vc_custom_1621604310770{border-bottom-width: 1px !important;padding-top: 20px !important;padding-bottom: 20px !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:17px" fw="text_small:500" margin="bottom_small:0px"]Annual Bonus and Extras[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/6" offset="vc_col-xs-2" css=".vc_custom_1621604457628{border-bottom-width: 1px !important;padding-top: 20px !important;padding-right: 15px !important;padding-bottom: 20px !important;padding-left: 15px !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}" responsive_align="text-right"][ld_icon_box i_type="linea" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" icon_size="18px" icon_mb="1" css=".vc_custom_1621604415051{margin-bottom: 0px !important;}" i_color="rgb(122, 209, 158)"][/ld_icon_box][/vc_column_inner][/vc_row_inner][vc_row_inner equal_height="yes" content_placement="middle" gap="0"][vc_column_inner width="5/6" offset="vc_col-xs-10" css=".vc_custom_1621604310770{border-bottom-width: 1px !important;padding-top: 20px !important;padding-bottom: 20px !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:17px" fw="text_small:500" margin="bottom_small:0px"]Auto-Renewal[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/6" offset="vc_col-xs-2" css=".vc_custom_1621604457628{border-bottom-width: 1px !important;padding-top: 20px !important;padding-right: 15px !important;padding-bottom: 20px !important;padding-left: 15px !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}" responsive_align="text-right"][ld_icon_box i_type="linea" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" icon_size="18px" icon_mb="1" css=".vc_custom_1621604415051{margin-bottom: 0px !important;}" i_color="rgb(122, 209, 158)"][/ld_icon_box][/vc_column_inner][/vc_row_inner][vc_row_inner equal_height="yes" content_placement="middle" gap="0"][vc_column_inner width="5/6" offset="vc_col-xs-10" css=".vc_custom_1621604310770{border-bottom-width: 1px !important;padding-top: 20px !important;padding-bottom: 20px !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:17px" fw="text_small:500" margin="bottom_small:0px"]Responsible Driver Discount[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/6" offset="vc_col-xs-2" css=".vc_custom_1621604457628{border-bottom-width: 1px !important;padding-top: 20px !important;padding-right: 15px !important;padding-bottom: 20px !important;padding-left: 15px !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}" responsive_align="text-right"][ld_icon_box i_type="linea" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" icon_size="18px" icon_mb="1" css=".vc_custom_1621604415051{margin-bottom: 0px !important;}" i_color="rgb(122, 209, 158)"][/ld_icon_box][/vc_column_inner][/vc_row_inner][vc_row_inner equal_height="yes" content_placement="middle" gap="0"][vc_column_inner width="5/6" offset="vc_col-xs-10" css=".vc_custom_1621604310770{border-bottom-width: 1px !important;padding-top: 20px !important;padding-bottom: 20px !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:17px" fw="text_small:500" margin="bottom_small:0px"]Full Health Care Package[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/6" offset="vc_col-xs-2" css=".vc_custom_1621604457628{border-bottom-width: 1px !important;padding-top: 20px !important;padding-right: 15px !important;padding-bottom: 20px !important;padding-left: 15px !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}" responsive_align="text-right"][ld_icon_box i_type="linea" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" icon_size="18px" icon_mb="1" css=".vc_custom_1621604415051{margin-bottom: 0px !important;}" i_color="rgb(122, 209, 158)"][/ld_icon_box][/vc_column_inner][/vc_row_inner][/vc_column][vc_column offset="vc_col-lg-offset-1 vc_col-lg-10 vc_hidden-lg vc_hidden-md"][vc_row_inner equal_height="yes" content_placement="middle" gap="0"][vc_column_inner][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:17px" margin="bottom_small:1.25em"]Other Companies[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="5/6" offset="vc_col-xs-10" css=".vc_custom_1621604310770{border-bottom-width: 1px !important;padding-top: 20px !important;padding-bottom: 20px !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:17px" fw="text_small:500" margin="bottom_small:0px"]Injuries or Vehicle Damages[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/6" offset="vc_col-xs-2" css=".vc_custom_1621604457628{border-bottom-width: 1px !important;padding-top: 20px !important;padding-right: 15px !important;padding-bottom: 20px !important;padding-left: 15px !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}" responsive_align="text-right"][ld_icon_box i_type="linea" i_icon_linea="lqd-icn-ess icon-ion-ios-close" icon_size="28px" icon_mb="1" css=".vc_custom_1621603139906{margin-bottom: 0px !important;}" i_color="rgb(255, 255, 255)"][/ld_icon_box][/vc_column_inner][/vc_row_inner][vc_row_inner equal_height="yes" content_placement="middle" gap="0"][vc_column_inner width="5/6" offset="vc_col-xs-10" css=".vc_custom_1621604310770{border-bottom-width: 1px !important;padding-top: 20px !important;padding-bottom: 20px !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:17px" fw="text_small:500" margin="bottom_small:0px"]Full Health Care Package[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/6" offset="vc_col-xs-2" css=".vc_custom_1621604457628{border-bottom-width: 1px !important;padding-top: 20px !important;padding-right: 15px !important;padding-bottom: 20px !important;padding-left: 15px !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}" responsive_align="text-right"][ld_icon_box i_type="linea" i_icon_linea="lqd-icn-ess icon-ion-ios-close" icon_size="28px" icon_mb="1" css=".vc_custom_1621603139906{margin-bottom: 0px !important;}" i_color="rgb(255, 255, 255)"][/ld_icon_box][/vc_column_inner][/vc_row_inner][vc_row_inner equal_height="yes" content_placement="middle" gap="0"][vc_column_inner width="5/6" offset="vc_col-xs-10" css=".vc_custom_1621604310770{border-bottom-width: 1px !important;padding-top: 20px !important;padding-bottom: 20px !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:17px" fw="text_small:500" margin="bottom_small:0px"]Annual Bonus and Extras[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/6" offset="vc_col-xs-2" css=".vc_custom_1621604457628{border-bottom-width: 1px !important;padding-top: 20px !important;padding-right: 15px !important;padding-bottom: 20px !important;padding-left: 15px !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}" responsive_align="text-right"][ld_icon_box i_type="linea" i_icon_linea="lqd-icn-ess icon-ion-ios-close" icon_size="28px" icon_mb="1" css=".vc_custom_1621603139906{margin-bottom: 0px !important;}" i_color="rgb(255, 255, 255)"][/ld_icon_box][/vc_column_inner][/vc_row_inner][vc_row_inner equal_height="yes" content_placement="middle" gap="0"][vc_column_inner width="5/6" offset="vc_col-xs-10" css=".vc_custom_1621604310770{border-bottom-width: 1px !important;padding-top: 20px !important;padding-bottom: 20px !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:17px" fw="text_small:500" margin="bottom_small:0px"]Auto-Renewal[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/6" offset="vc_col-xs-2" css=".vc_custom_1621604457628{border-bottom-width: 1px !important;padding-top: 20px !important;padding-right: 15px !important;padding-bottom: 20px !important;padding-left: 15px !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}" responsive_align="text-right"][ld_icon_box i_type="linea" i_icon_linea="lqd-icn-ess icon-ion-ios-close" icon_size="28px" icon_mb="1" css=".vc_custom_1621603139906{margin-bottom: 0px !important;}" i_color="rgb(255, 255, 255)"][/ld_icon_box][/vc_column_inner][/vc_row_inner][vc_row_inner equal_height="yes" content_placement="middle" gap="0"][vc_column_inner width="5/6" offset="vc_col-xs-10" css=".vc_custom_1621604310770{border-bottom-width: 1px !important;padding-top: 20px !important;padding-bottom: 20px !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:17px" fw="text_small:500" margin="bottom_small:0px"]Responsible Driver Discount[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/6" offset="vc_col-xs-2" css=".vc_custom_1621604457628{border-bottom-width: 1px !important;padding-top: 20px !important;padding-right: 15px !important;padding-bottom: 20px !important;padding-left: 15px !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}" responsive_align="text-right"][ld_icon_box i_type="linea" i_icon_linea="lqd-icn-ess icon-ion-ios-close" icon_size="28px" icon_mb="1" css=".vc_custom_1621603139906{margin-bottom: 0px !important;}" i_color="rgb(255, 255, 255)"][/ld_icon_box][/vc_column_inner][/vc_row_inner][vc_row_inner equal_height="yes" content_placement="middle" gap="0"][vc_column_inner width="5/6" offset="vc_col-xs-10" css=".vc_custom_1621604310770{border-bottom-width: 1px !important;padding-top: 20px !important;padding-bottom: 20px !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:17px" fw="text_small:500" margin="bottom_small:0px"]Full Health Care Package[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/6" offset="vc_col-xs-2" css=".vc_custom_1621604457628{border-bottom-width: 1px !important;padding-top: 20px !important;padding-right: 15px !important;padding-bottom: 20px !important;padding-left: 15px !important;border-bottom-color: rgba(255,255,255,0.25) !important;border-bottom-style: solid !important;}" responsive_align="text-right"][ld_icon_box i_type="linea" i_icon_linea="lqd-icn-ess icon-ion-ios-close" icon_size="28px" icon_mb="1" css=".vc_custom_1621603139906{margin-bottom: 0px !important;}" i_color="rgb(255, 255, 255)"][/ld_icon_box][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row css=".vc_custom_1621601353698{border-bottom-width: 1px !important;padding-top: 45px !important;padding-bottom: 45px !important;border-bottom-color: #d1d1d1 !important;border-bottom-style: solid !important;}"][vc_column responsive_align="text-center" css=".vc_custom_1621602116570{margin-bottom: 25px !important;}"][ld_fancy_heading tag="h6" use_custom_fonts_title="true" fs="text_small:12px" fw="text_small:700" ls="text_small:0.1em" color="rgb(15, 90, 100)"]GLOBAL CLIENTS AROUND THE WORLD[/ld_fancy_heading][/vc_column][vc_column width="1/2" css=".vc_custom_1621602033442{margin-bottom: 25px !important;}" offset="vc_col-md-3" responsive_align="text-center"][ld_fancy_heading tag="p" use_custom_fonts_title="true" use_inheritance="true" color="rgb(15, 90, 100)" fs="text_small:62px" margin="bottom_small:0px"]2.7x[/ld_fancy_heading][ld_fancy_heading tag="p" transform="text-uppercase" use_custom_fonts_title="true" color="rgba(0, 0, 0, 0.4)" fs="text_small:12px" fw="text_small:700" ls="text_small:0.1em"]Avarage growth[/ld_fancy_heading][/vc_column][vc_column width="1/2" css=".vc_custom_1621602033442{margin-bottom: 25px !important;}" offset="vc_col-md-3" responsive_align="text-center"][ld_fancy_heading tag="p" use_custom_fonts_title="true" use_inheritance="true" color="rgb(15, 90, 100)" fs="text_small:62px" margin="bottom_small:0px"]98.7+[/ld_fancy_heading][ld_fancy_heading tag="p" transform="text-uppercase" use_custom_fonts_title="true" color="rgba(0, 0, 0, 0.4)" fs="text_small:12px" fw="text_small:700" ls="text_small:0.1em"]Customer satisfaction[/ld_fancy_heading][/vc_column][vc_column width="1/2" css=".vc_custom_1621602033442{margin-bottom: 25px !important;}" offset="vc_col-md-3" responsive_align="text-center"][ld_fancy_heading tag="p" use_custom_fonts_title="true" use_inheritance="true" color="rgb(15, 90, 100)" fs="text_small:62px" margin="bottom_small:0px"]302m[/ld_fancy_heading][ld_fancy_heading tag="p" transform="text-uppercase" use_custom_fonts_title="true" color="rgba(0, 0, 0, 0.4)" fs="text_small:12px" fw="text_small:700" ls="text_small:0.1em"]Monthly Payment[/ld_fancy_heading][/vc_column][vc_column width="1/2" css=".vc_custom_1621602033442{margin-bottom: 25px !important;}" offset="vc_col-md-3" responsive_align="text-center"][ld_fancy_heading tag="p" use_custom_fonts_title="true" use_inheritance="true" color="rgb(15, 90, 100)" fs="text_small:62px" margin="bottom_small:0px"]287+[/ld_fancy_heading][ld_fancy_heading tag="p" transform="text-uppercase" use_custom_fonts_title="true" color="rgba(0, 0, 0, 0.4)" fs="text_small:12px" fw="text_small:700" ls="text_small:0.1em"]Agents around the world[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Misc 34 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Misc 34', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'misc-34.jpg' );
	$data['sort_name'] = 'Misc';
	$data['custom_class'] = 'general misc';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1608628242000{padding-top: 60px !important;padding-bottom: 60px !important;}"][vc_column enable_pin="enable_pin" width="1/3" offset="vc_col-md-3" css=".vc_custom_1620720039583{margin-bottom: 30px !important;}" responsive_css="margin_bottom_medium:0px"][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" fs="text_small:12px" fw="text_small:700" ls="text_small:0.08em" margin="bottom_small:4em"]It services[/ld_fancy_heading][ld_custom_menu source="custom" localscroll="yes" use_custom_fonts_menu="true" items="%5B%7B%22label%22%3A%22ID%20Pass%20Security%22%2C%22url%22%3A%22%23id-pass-security%22%2C%22icon_classname%22%3A%22lqd-icn-ess%20icon-ion-ios-arrow-down%22%2C%22icon_alignment%22%3A%22right-icon%22%7D%2C%7B%22label%22%3A%22Face%20ID%20Protection%22%2C%22url%22%3A%22%23face-id-protection%22%2C%22icon_classname%22%3A%22lqd-icn-ess%20icon-ion-ios-arrow-down%22%2C%22icon_alignment%22%3A%22right-icon%22%7D%2C%7B%22label%22%3A%22Financial%20Security%22%2C%22url%22%3A%22%23financial-security%22%2C%22icon_classname%22%3A%22lqd-icn-ess%20icon-ion-ios-arrow-down%22%2C%22icon_alignment%22%3A%22right-icon%22%7D%2C%7B%22label%22%3A%22Digital%20Solutions%22%2C%22url%22%3A%22%23digital-solutions%22%2C%22icon_classname%22%3A%22lqd-icn-ess%20icon-ion-ios-arrow-down%22%2C%22icon_alignment%22%3A%22right-icon%22%7D%5D" fs="16px" fw="500" color="rgb(150, 150, 150)" hcolor="rgb(0, 0, 0)" spacing="28"][/vc_column][vc_column width="2/3" offset="vc_col-md-9"][vc_row_inner el_id="id-pass-security"][vc_column_inner][vc_text_separator title="ID PASS SECURITY" title_align="separator_align_left" css=".vc_custom_1610536309401{margin-bottom: 3.5em !important;}"][ld_content_box template="s01b" box_height_b="h-pt-50" show_button="yes" ib_style="btn-underlined" ib_title="Learn more" ib_i_type="linea" use_custom_fonts_title="true" ib_i_add_icon="true" title="ID Pass Security" ib_i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-forward" ib_color="rgb(255, 255, 255)" ib_fs="13px" ib_lh="1em" image="8771" overlay_color="linear-gradient(0deg, #0b102c 0%, rgba(255, 255, 255, 0) 60%)" ib_hover_color="rgb(255, 255, 255)" fs="40px"]<span style="font-size: 18px;">Hub IT allows your business and technology computers to store, transmit, analyze, and manipulate big data.</span>[/ld_content_box][/vc_column_inner][/vc_row_inner][vc_row_inner el_id="face-id-protection" css=".vc_custom_1610536406448{margin-top: 2em !important;}"][vc_column_inner][vc_text_separator title="FACE ID PROTECTION" title_align="separator_align_left" css=".vc_custom_1610536354955{margin-bottom: 3.5em !important;}"][ld_content_box template="s01b" box_height_b="h-pt-50" show_button="yes" ib_style="btn-underlined" ib_title="Learn more" ib_i_type="linea" use_custom_fonts_title="true" ib_i_add_icon="true" title="Face ID Protection" ib_i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-forward" ib_color="rgb(255, 255, 255)" ib_fs="13px" ib_lh="1em" image="8772" overlay_color="linear-gradient(0deg, #0b102c 0%, rgba(255, 255, 255, 0) 60%)" ib_hover_color="rgb(255, 255, 255)" fs="40px"]<span style="font-size: 18px;">Hub IT allows your business and technology computers to store, transmit, analyze, and manipulate big data.</span>[/ld_content_box][/vc_column_inner][/vc_row_inner][vc_row_inner el_id="financial-security" css=".vc_custom_1610536433005{margin-top: 2em !important;}"][vc_column_inner][vc_text_separator title="FINANCIAL SECURITY" title_align="separator_align_left" css=".vc_custom_1610536425209{margin-bottom: 3.5em !important;}"][ld_content_box template="s01b" box_height_b="h-pt-50" show_button="yes" ib_style="btn-underlined" ib_title="Learn more" ib_i_type="linea" use_custom_fonts_title="true" ib_i_add_icon="true" title="Financial Security" ib_i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-forward" ib_color="rgb(255, 255, 255)" ib_fs="13px" ib_lh="1em" image="8773" overlay_color="linear-gradient(0deg, #0b102c 0%, rgba(255, 255, 255, 0) 60%)" ib_hover_color="rgb(255, 255, 255)" fs="40px"]<span style="font-size: 18px;">Hub IT allows your business and technology computers to store, transmit, analyze, and manipulate big data.</span>[/ld_content_box][/vc_column_inner][/vc_row_inner][vc_row_inner el_id="digital-solutions" css=".vc_custom_1610536458716{margin-top: 2em !important;}"][vc_column_inner][vc_text_separator title="DIGITAL SOLUTIONS" title_align="separator_align_left" css=".vc_custom_1610536450601{margin-bottom: 3.5em !important;}"][ld_content_box template="s01b" box_height_b="h-pt-50" show_button="yes" ib_style="btn-underlined" ib_title="Learn more" ib_i_type="linea" use_custom_fonts_title="true" ib_i_add_icon="true" title="Digital solutions" ib_i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-forward" ib_color="rgb(255, 255, 255)" ib_fs="13px" ib_lh="1em" image="8770" overlay_color="linear-gradient(0deg, #0b102c 0%, rgba(255, 255, 255, 0) 60%)" ib_hover_color="rgb(255, 255, 255)" fs="40px"]<span style="font-size: 18px;">Hub IT allows your business and technology computers to store, transmit, analyze, and manipulate big data.</span>[/ld_content_box][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Misc 35 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Misc 35', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'misc-35.jpg' );
	$data['sort_name'] = 'Misc';
	$data['custom_class'] = 'general misc';
	$data['content'] = <<<CONTENT
	[vc_row bg_position="custom" css=".vc_custom_1614343963165{padding-top: 35px !important;padding-bottom: 45px !important;background-image: url(http://saashubfree.liquid-themes.com/wp-content/uploads/2019/10/bg-4.svg?id=683) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" bg_pos_h="50%" bg_pos_v="-100%" el_id="features"][vc_column width="1/2" offset="vc_col-md-3" responsive_align="text-center" css=".vc_custom_1611237222930{margin-bottom: 30px !important;}"][ld_images_group_element img_size="50%" image="950" margin="bottom_small:30px"][/ld_images_group_element][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:18px" margin="bottom_small:1.25em"]Customizable UI[/ld_fancy_heading][ld_fancy_heading tag="p"]Ceating brand identities, digital experiences, and print materials that communicate clearly.[/ld_fancy_heading][/vc_column][vc_column width="1/2" offset="vc_col-md-3" responsive_align="text-center" css=".vc_custom_1611237222930{margin-bottom: 30px !important;}"][ld_images_group_element img_size="50%" enable_image_shadow="yes" shadow_style="3" enable_roudness="yes" image_roudness="4" image="946" margin="top_medium:30px|bottom_small:30px"][/ld_images_group_element][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:18px" margin="bottom_small:1.25em"]Custom Task Views[/ld_fancy_heading][ld_fancy_heading tag="p"]Ceating brand identities, digital experiences, and print materials that communicate clearly.[/ld_fancy_heading][/vc_column][vc_column width="1/2" offset="vc_col-md-3" responsive_align="text-center" css=".vc_custom_1611237222930{margin-bottom: 30px !important;}"][ld_images_group_element img_size="30%" enable_roudness="yes" image_roudness="4" image="1030" margin="top_medium:15px|bottom_small:30px"][/ld_images_group_element][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:18px" margin="bottom_small:1.25em"]Team Collaboration[/ld_fancy_heading][ld_fancy_heading tag="p"]Ceating brand identities, digital experiences, and print materials that communicate clearly.[/ld_fancy_heading][/vc_column][vc_column width="1/2" offset="vc_col-md-3" responsive_align="text-center" css=".vc_custom_1611237222930{margin-bottom: 30px !important;}"][ld_images_group_element img_size="50%" image="948" margin="top_medium:25px|bottom_small:30px"][/ld_images_group_element][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:18px" margin="bottom_small:1.25em"]Task Assignment[/ld_fancy_heading][ld_fancy_heading tag="p"]Ceating brand identities, digital experiences, and print materials that communicate clearly.[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Misc 36 - shadow
	$data = array();
	$data['name'] = esc_html__( 'Misc 36', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'misc-36.jpg' );
	$data['sort_name'] = 'Misc';
	$data['custom_class'] = 'general misc';
	$data['content'] = <<<CONTENT
	<p>[vc_row css=".vc_custom_1573627103443{padding-top: 60px !important;padding-bottom: 80px !important;background-color: #f8f8fd !important;}"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" bg_position="center bottom" align="text-center" offset="vc_col-md-offset-3 vc_col-md-6" css=".vc_custom_1573628011865{background-image: url(https://mainhub.liquid-themes.com/staging/wp-content/uploads/2019/11/dots-bg-1.png?id=4186) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: contain !important;}" ca_duration="1800" ca_delay="180" ca_init_translate_y="20" responsive_align="text-center"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" margin="bottom_small:2em" fs="text_small:30px"]Featured Jobs[/ld_fancy_heading][/vc_column][vc_column enable_column_shadowbox="yes" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" css=".vc_custom_1573627996206{margin-bottom: 70px !important;background-color: #ffffff !important;border-radius: 5px !important;}" offset="vc_col-md-offset-2 vc_col-md-8" column_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2226px%22%2C%22blur_radius%22%3A%2259px%22%2C%22shadow_color%22%3A%22rgba(85%2C%2093%2C%20131%2C%200.07)%22%7D%5D" ca_duration="1800" ca_delay="180" ca_init_translate_y="20"][vc_row_inner equal_height="yes" content_placement="middle" css=".vc_custom_1573627814102{border-bottom-width: 1px !important;padding-top: 24px !important;padding-right: 25px !important;padding-left: 25px !important;border-bottom-color: #f8f8fd !important;border-bottom-style: solid !important;}" responsive_css="padding_left_medium:40px"][vc_column_inner offset="vc_col-md-5"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="18px" margin="bottom_small:25px"]Support Ninja[/ld_fancy_heading][/vc_column_inner][vc_column_inner offset="vc_col-md-4"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="14px" margin="bottom_small:25px"]Liquid Themes, San Francisco.[/ld_fancy_heading][/vc_column_inner][vc_column_inner offset="vc_col-md-3"][ld_button style="btn-default" title="View Details" shape="circle" size="btn-sm" border="border-thick" fs="14px" lh="1.5em" css=".vc_custom_1606472742082{margin-bottom: 25px !important;padding-right: 0.25em !important;padding-left: 0.25em !important;}" color="rgb(91, 68, 255)"][/vc_column_inner][/vc_row_inner][vc_row_inner equal_height="yes" content_placement="middle" css=".vc_custom_1573627814102{border-bottom-width: 1px !important;padding-top: 24px !important;padding-right: 25px !important;padding-left: 25px !important;border-bottom-color: #f8f8fd !important;border-bottom-style: solid !important;}" responsive_css="padding_left_medium:40px"][vc_column_inner offset="vc_col-md-5"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="18px" margin="bottom_small:25px"]Backend Developer[/ld_fancy_heading][/vc_column_inner][vc_column_inner offset="vc_col-md-4"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="14px" margin="bottom_small:25px"]Liquid Themes, San Francisco.[/ld_fancy_heading][/vc_column_inner][vc_column_inner offset="vc_col-md-3"][ld_button style="btn-default" title="View Details" shape="circle" size="btn-sm" border="border-thick" fs="14px" lh="1.5em" css=".vc_custom_1606472751523{margin-bottom: 25px !important;padding-right: 0.25em !important;padding-left: 0.25em !important;}" color="rgb(91, 68, 255)"][/vc_column_inner][/vc_row_inner][vc_row_inner equal_height="yes" content_placement="middle" css=".vc_custom_1573627814102{border-bottom-width: 1px !important;padding-top: 24px !important;padding-right: 25px !important;padding-left: 25px !important;border-bottom-color: #f8f8fd !important;border-bottom-style: solid !important;}" responsive_css="padding_left_medium:40px"][vc_column_inner offset="vc_col-md-5"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="18px" margin="bottom_small:25px"]Digital Assistant[/ld_fancy_heading][/vc_column_inner][vc_column_inner offset="vc_col-md-4"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="14px" margin="bottom_small:25px"]Liquid Themes, San Francisco.[/ld_fancy_heading][/vc_column_inner][vc_column_inner offset="vc_col-md-3"][ld_button style="btn-default" title="View Details" shape="circle" size="btn-sm" border="border-thick" fs="14px" lh="1.5em" css=".vc_custom_1606472760127{margin-bottom: 25px !important;padding-right: 0.25em !important;padding-left: 0.25em !important;}" color="rgb(91, 68, 255)"][/vc_column_inner][/vc_row_inner][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" align="text-center" offset="vc_col-md-offset-3 vc_col-md-6" ca_duration="1800" ca_delay="180" ca_init_translate_y="30" responsive_align="text-center"][ld_button style="btn-underlined" title="See all jobs" b_color="rgb(91, 68, 255)" color="rgb(0, 0, 0)" hover_color="rgb(91, 68, 255)"][/vc_column][/vc_row]</p>
CONTENT;
	$templates[] = $data;
	
	//Category Newsletter
	//Newsletter 1 - startuphub
	$data = array();
	$data['name'] = esc_html__( 'Newsletter 01', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'newsletter-1.jpg' );
	$data['sort_name'] = 'Newsletter';
	$data['custom_class'] = 'general newsletter';
	$data['content'] = <<<CONTENT
	[vc_row enable_gradient="yes" gradient_bg="linear-gradient(179deg, #eef7fa 0.6369426751592356%, rgb(255, 255, 255) 100%)" css=".vc_custom_1605833651153{padding-top: 70px !important;padding-bottom: 50px !important;}"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-6" ca_duration="1800" ca_delay="180" ca_init_translate_y="65"][ld_fancy_heading tag="h2" highlight_reset_onhover="lqd-highlight-reset-onhover" margin="bottom_small:0.3em" highlight_color="rgba(157, 95, 255, 0.1)"]Start your [ld_highlight]free trial.[/ld_highlight][/ld_fancy_heading][ld_fancy_heading tag="h4" color="rgba(21, 86, 108, 0.45)" margin="bottom_small:1.5em"]Ready to get started?[/ld_fancy_heading][ld_newsletter style="solid" inputs_size="ld-sf--size-xl" inputs_radius="ld-sf--round" inputs_shadow="ld-sf--input-shadow" btn_style="naked" btn_display="label_icon" btn_label="GET STARTED" btn_position="ld-sf--button-inside" i_type="linea" use_custom_fonts_input="true" use_custom_fonts_label="true" i_add_icon="true" placeholder_text="Your email address" fs="18px" label_fs="15px" label_ls="0.01em" txt_color="rgb(128, 129, 171)" txt_f_color="rgb(0, 0, 0)" margin="bottom_small:15px" i_icon_linea="lqd-icn-ess icon-md-arrow-forward"][vc_column_text]    Try for free. No credit card required.[/vc_column_text][/vc_column][vc_column offset="vc_col-lg-4 vc_col-md-offset-1 vc_col-md-5 vc_hidden-sm vc_hidden-xs"][ld_images_group_container margin="top_large:-50%25"][ld_images_group_element enable_hover3d="yes" enable_float_effect="yes" image="766"][/ld_images_group_element][/ld_images_group_container][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Newsletter 2 - newsletter
	$data = array();
	$data['name'] = esc_html__( 'Newsletter 02', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'newsletter-2.jpg' );
	$data['sort_name'] = 'Newsletter';
	$data['custom_class'] = 'general newsletter';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" css=".vc_custom_1605847058780{padding-top: 60px !important;padding-bottom: 20px !important;background-color: #edf7fa !important;}" el_id="join" responsive_css="padding_top_medium:120px|padding_bottom_medium:120px"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-5" ca_duration="1800" ca_delay="200" ca_init_translate_y="35" responsive_css="margin_bottom_medium:0px" css=".vc_custom_1573388537490{margin-bottom: 45px !important;}"][ld_fancy_heading tag="h2" highlight_offset="10px" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" enable_fit="true" fs="text_large:52px|text_medium:44px|text_small:38px" margin="bottom_small:0.35em" compressor="0.7" minfontsize="44" highlight_color="rgba(46, 195, 104, 0.39)"]Start building your project [ld_highlight]for free.[/ld_highlight][/ld_fancy_heading][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" fs="text_small:19px" lh="text_small:27px" margin="bottom_small:1.5em" padding="right_all:12%25"]Buy Hub and get access to premium and exclusive plugins for free.[/ld_fancy_heading][ld_newsletter style="solid" inputs_radius="ld-sf--round" inputs_border="ld-sf--border-none" inputs_shadow="ld-sf--input-shadow" btn_style="solid" btn_display="label_icon" btn_label="Try it for Free" btn_position="ld-sf--button-block" i_type="linea" use_custom_fonts_input="true" use_custom_fonts_label="true" i_add_icon="true" placeholder_text="Enter your email address" fs="16px" label_fs="16px" txt_color="rgb(110, 121, 130)" bg_color="rgb(255, 255, 255)" hover_btn_bg_color="rgb(255, 255, 255)" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" label_fw="700"][ld_gdpr_box]🍪 This website uses cookies to improve your web experience.[/ld_gdpr_box][/vc_column][vc_column column_top_onmobile="yes" offset="vc_col-md-7"][vc_single_image image="181" css=".vc_custom_1595944046490{margin-top: 35px !important;}"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Newsletter 3 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Newsletter 03', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'newsletter-3.jpg' );
	$data['sort_name'] = 'Newsletter';
	$data['custom_class'] = 'general newsletter';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1610715066440{padding-bottom: 40px !important;}" responsive_css="padding_top_medium:30px|padding_bottom_medium:40px"][vc_column align="text-center" offset="vc_col-md-offset-3 vc_col-md-6" css=".vc_custom_1590400188926{margin-bottom: 30px !important;}" responsive_css="padding_right_medium:5%25|padding_left_medium:5%25" responsive_align="text-center"][ld_fancy_heading tag="h2" tag_to_inherite="h3" use_inheritance="true"]Subscribe and get 20% off your first purchase.[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-offset-2 vc_col-md-8 vc_col-xs-offset-1 vc_col-xs-10"][ld_images_group_element absolute_pos="yes" image="102" position="top_small:-60px|right_small:-50px"][/ld_images_group_element][ld_newsletter use_opt_in="Yes" style="underlined" btn_style="naked" btn_label="Submit" btn_position="ld-sf--button-inside" use_custom_fonts_input="true" use_custom_fonts_label="true" placeholder_text="Enter your email address" fs="15px" label_fs="15px" txt_color="rgb(0, 0, 0)" brd_color="rgb(151, 151, 151)" txt_f_color="rgb(151, 151, 151)" brd_f_color="rgb(0, 0, 0)" btn_txt_color="rgb(0, 0, 0)"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Newsletter 4 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Newsletter 04', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'newsletter-4.jpg' );
	$data['sort_name'] = 'Newsletter';
	$data['custom_class'] = 'general newsletter';
	$data['content'] = <<<CONTENT
	[vc_row parallax="enable_parallax" bg_position="center bottom" enable_gradient="yes" enable_row_shadowbox="yes" css=".vc_custom_1614690200927{margin-right: 20px !important;margin-left: 20px !important;padding-top: 60px !important;padding-bottom: 40px !important;background-image: url(https://seopro.liquid-themes.com/wp-content/uploads/2019/12/bg-5@2x-1-scaled.jpg?id=4430) !important;background-position: center;background-repeat: no-repeat;background-size: cover !important;border-radius: 10px !important;}" responsive_css="margin_right_medium:50px|margin_left_medium:50px|padding_top_medium:95px|padding_bottom_medium:90px" gradient_bg="linear-gradient(90deg, rgb(11, 94, 238) 0%, #ac1de1 100%)" row_box_shadow="%5B%7B%22y_offset%22%3A%2290px%22%2C%22blur_radius%22%3A%2240px%22%2C%22spread_radius%22%3A%2240px%22%2C%22shadow_color%22%3A%22rgba(202%2C199%2C226%2C0.21)%22%7D%5D"][vc_column align="text-center" offset="vc_col-md-offset-2 vc_col-md-8" responsive_align="text-center"][ld_fancy_heading tag="h2" highlight_animation="lqd-highlight-grow-bottom" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" enable_fit="true" color="rgb(255, 255, 255)" margin="bottom_small:15px" minfontsize="38" fs="text_large:43px|text_small:35px" highlight_color="rgba(58, 224, 180, 0.52)"]Get your free SEO Analysis[/ld_fancy_heading][vc_separator color="custom" border_width="3" el_width="20" accent_color="#fb8c00" css=".vc_custom_1577710914693{margin-bottom: 30px !important;}"][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(255, 255, 255)" fs="14px" margin="bottom_small:3.2em"]Uncover, analyze, track, and report on SEO data.[/ld_fancy_heading][vc_row_inner][vc_column_inner responsive_css="margin_left_medium:-25px"][ld_cf7 id="4468" shape="lqd-contact-form-inputs-filled" size="lqd-contact-form-inputs-lg" roundness="lqd-contact-form-inputs-circle" btn_size="lqd-contact-form-button-lg" btn_roundness="lqd-contact-form-button-circle" use_custom_fonts_input="true" use_custom_fonts_submit="true" fs="14px" submit_fs="12px" submit_ls="0.09em" color="rgb(124, 124, 124)"][/vc_column_inner][/vc_row_inner][/vc_column][vc_column offset="vc_col-md-offset-2 vc_col-md-8"][ld_images_group_container absolute_pos="yes" position="bottom_small:30px|left_small:-200px"][ld_images_group_element image="101"][/ld_images_group_element][ld_images_group_element parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" absolute_pos="yes" image="102" position="top_small:0px|right_small:-50px" translate_from_x="-45" translate_from_y="45" parallax_offset="-200" translate_to_x="45" translate_to_y="-45"][/ld_images_group_element][/ld_images_group_container][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;
	
	//Category Pricing
	//Pricing 1
	$data = array();
	$data['name'] = esc_html__( 'Pricing 01', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'pricing-1.jpg' );
	$data['sort_name'] = 'Pricing';
	$data['custom_class'] = 'general pricing';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1605278329873{padding-top: 120px !important;}" el_id="pricing"][vc_column offset="vc_col-lg-offset-3 vc_col-lg-6 vc_col-md-offset-2 vc_col-md-8" responsive_align="text-center" css=".vc_custom_1605519505752{margin-bottom: 12px !important;}"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_medium:62px" margin="bottom_small:0.25em" lh="text_small:1em"]Simple Pricing[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:20px" lh="text_small:1.5em"]Preferred stock may be hybrid by having the qualities of bonds of fixed returns and common stock voting rightson.[/ld_fancy_heading][/vc_column][vc_column][ld_tabs style="style09c" nav_alignment="justify-content-md-center" use_custom_fonts_nav="true" nav_bg_color="rgb(33, 34, 34)" primary_hcolor="rgb(23, 23, 23)" fs="14px" lh="1em"][ld_tab_section title="Monthly" tab_id="lqd-1605513973187-1776c30b-d096"][vc_row_inner gap="0"][vc_column_inner enable_link="enable_column_link" width="1/2" link="url:%23|||"][ld_price_table template="style03b" show_button="yes" pt_style="btn-naked" pt_title="Join basic plan" pt_i_type="linea" pt_i_hover_reveal="btn-hover-reveal" pt_i_add_icon="true" title="Basic plan" description="Preferred stock may be hybrid by having the qualities of bonds of fixed returns." price="£6.90 <small>/year</small>" accent_color="rgb(94, 85, 255)" pt_i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-forward" pt_color="rgb(255, 255, 255)" h_color="rgb(255, 255, 255)" pt_css=".vc_custom_1610181634565{background-color: rgba(0,0,0,0.01) !important;*background-color: rgb(0,0,0) !important;}" border_color="rgb(38, 38, 38)" desc_color="rgba(255, 255, 255, 0.5)" price_color="rgb(255, 255, 255)" bg_color="rgba(255, 255, 255, 0)" pt_hover_color="rgb(94, 85, 255)"]</p> <ul> <li><span style="color: #ffffff;"><i class="lqd-icn-ess icon-ion-ios-checkmark"></i>Live Stock Updates</span></li> <li><span style="color: rgba(255, 255, 255, 0.3);">- <i class="lqd-icn-ess"></i> Access to Pre and After Markets</span></li> <li>- <i class="lqd-icn-ess"></i><span style="color: rgba(255, 255, 255, 0.3);"> Secure Data Connection</span></li> </ul> <p>[/ld_price_table][/vc_column_inner][vc_column_inner enable_link="enable_column_link" width="1/2" responsive_css="margin_left_small:-1px" link="url:%23|||"][ld_price_table template="style03b" featured="yes" featured_tag="yes" show_button="yes" pt_style="btn-naked" pt_title="Join premium plan" pt_i_type="linea" pt_i_hover_reveal="btn-hover-reveal" pt_i_add_icon="true" title="Popular Plan" description="Preferred stock may be hybrid by having the qualities of bonds of fixed returns." price="£12.90 <small>/year</small>" accent_color="rgb(94, 85, 255)" pt_i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-forward" pt_color="rgb(255, 255, 255)" h_color="rgb(255, 255, 255)" pt_css=".vc_custom_1610181670552{background-color: rgba(0,0,0,0.01) !important;*background-color: rgb(0,0,0) !important;}" border_color="rgb(38, 38, 38)" desc_color="rgba(255, 255, 255, 0.5)" price_color="rgb(255, 255, 255)" bg_color="rgba(255, 255, 255, 0)" pt_hover_color="rgb(94, 85, 255)" featured_label="Save 20%" featured_txt_color="rgb(255, 255, 255)"]</p> <ul> <li><span style="color: #ffffff;"><i class="lqd-icn-ess icon-ion-ios-checkmark"></i>Live Stock Updates</span></li> <li><span style="color: #ffffff;"><i class="lqd-icn-ess icon-ion-ios-checkmark"></i>Access to Pre and After Markets</span></li> <li><span style="color: #ffffff;"><i class="lqd-icn-ess icon-ion-ios-checkmark"></i>Secure Data Connection</span></li> <li style="list-style-type: none;"></li> </ul> <p>[/ld_price_table][/vc_column_inner][/vc_row_inner][/ld_tab_section][ld_tab_section title="Annual - Save 40%" tab_id="lqd-1605520608121-cb1d25f7-9a98"][vc_row_inner gap="0"][vc_column_inner enable_link="enable_column_link" width="1/2" link="url:%23|||"][ld_price_table template="style03b" show_button="yes" pt_style="btn-naked" pt_title="Join basic plan" pt_i_type="linea" pt_i_hover_reveal="btn-hover-reveal" pt_i_add_icon="true" title="Basic plan" description="Preferred stock may be hybrid by having the qualities of bonds of fixed returns." price="£66.90 <small>/year</small>" accent_color="rgb(94, 85, 255)" pt_i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-forward" pt_color="rgb(255, 255, 255)" h_color="rgb(255, 255, 255)" pt_css=".vc_custom_1610570414937{background-color: rgba(0,0,0,0.01) !important;*background-color: rgb(0,0,0) !important;}" border_color="rgb(38, 38, 38)" desc_color="rgba(255, 255, 255, 0.5)" price_color="rgb(255, 255, 255)" bg_color="rgba(255, 255, 255, 0)" pt_hover_color="rgb(94, 85, 255)"]</p> <ul> <li><span style="color: #ffffff;"><i class="lqd-icn-ess icon-ion-ios-checkmark"></i>Live Stock Updates</span></li> <li><span style="color: rgba(255, 255, 255, 0.3);">- <i class="lqd-icn-ess"></i> Access to Pre and After Markets</span></li> <li>- <i class="lqd-icn-ess"></i><span style="color: rgba(255, 255, 255, 0.3);"> Secure Data Connection</span></li> </ul> <p>[/ld_price_table][/vc_column_inner][vc_column_inner enable_link="enable_column_link" width="1/2" responsive_css="margin_left_small:-1px" link="url:%23|||"][ld_price_table template="style03b" featured="yes" featured_tag="yes" show_button="yes" pt_style="btn-naked" pt_title="Join premium plan" pt_i_type="linea" pt_i_hover_reveal="btn-hover-reveal" pt_i_add_icon="true" title="Popular Plan" description="Preferred stock may be hybrid by having the qualities of bonds of fixed returns." price="£82.90 <small>/year</small>" accent_color="rgb(94, 85, 255)" pt_i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-forward" pt_color="rgb(255, 255, 255)" h_color="rgb(255, 255, 255)" pt_css=".vc_custom_1610570408494{background-color: rgba(0,0,0,0.01) !important;*background-color: rgb(0,0,0) !important;}" border_color="rgb(38, 38, 38)" desc_color="rgba(255, 255, 255, 0.5)" price_color="rgb(255, 255, 255)" bg_color="rgba(255, 255, 255, 0)" pt_hover_color="rgb(94, 85, 255)" featured_label="Save 40%" featured_txt_color="rgb(255, 255, 255)"]</p> <ul> <li><span style="color: #ffffff;"><i class="lqd-icn-ess icon-ion-ios-checkmark"></i>Live Stock Updates</span></li> <li><span style="color: #ffffff;"><i class="lqd-icn-ess icon-ion-ios-checkmark"></i>Access to Pre and After Markets</span></li> <li><span style="color: #ffffff;"><i class="lqd-icn-ess icon-ion-ios-checkmark"></i>Secure Data Connection</span></li> <li style="list-style-type: none;"></li> </ul> <p>[/ld_price_table][/vc_column_inner][/vc_row_inner][/ld_tab_section][/ld_tabs][/vc_column][vc_column offset="vc_col-md-offset-4 vc_col-md-4" responsive_align="text-center"][ld_icon_box i_type="image" heading_size="custom" heading_weight="font-weight-normal" position="iconbox-side" items_alignment="align-items-center" i_icon_image="119" title="Les services de paiement sont disponibles via des applications mobiles et de bureau." title_mb="1" custom_heading_size="14px" h_color="rgba(167, 167, 167, 0.55)" icon_mb="20" custom_size="30px"][/ld_icon_box][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Pricing 2
	$data = array();
	$data['name'] = esc_html__( 'Pricing 02', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'pricing-2.jpg' );
	$data['sort_name'] = 'Pricing';
	$data['custom_class'] = 'general pricing';
	$data['content'] = <<<CONTENT
	[vc_row gap="30" css=".vc_custom_1612795934473{padding-top: 100px !important;padding-bottom: 50px !important;background-color: #191919 !important;}" el_id="pricing"][vc_column align="text-center" offset="vc_col-md-offset-3 vc_col-md-6" css=".vc_custom_1575632945266{margin-bottom: 40px !important;}" responsive_align="text-center"][ld_fancy_heading tag="h6" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="13px" margin="bottom_small:1em"]Quality First[/ld_fancy_heading][ld_fancy_heading tag="h2" split_type="words" duration="1600" delay="350" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" enable_split="true" use_mask="true" color="rgb(255, 255, 255)" ca_init_translate_y="70"]Our Pricing[/ld_fancy_heading][/vc_column][vc_column width="1/2" offset="vc_col-md-6 vc_col-xs-6"][vc_row_inner content_placement="middle" css=".vc_custom_1575633407099{border-bottom-width: 1px !important;padding-top: 25px !important;padding-bottom: 25px !important;border-bottom-color: rgba(255,255,255,0.15) !important;border-bottom-style: solid !important;}"][vc_column_inner width="3/4"][ld_fancy_heading tag="h4" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="15px"]Japanese Haircut[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/4" responsive_align="text-sm-right"][ld_fancy_heading tag="h6" use_custom_fonts_title="true" color="rgb(150, 150, 150)" fs="15px"]21[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][vc_row_inner content_placement="middle" css=".vc_custom_1575633417276{border-bottom-width: 1px !important;padding-top: 25px !important;padding-bottom: 25px !important;border-bottom-color: rgba(255,255,255,0.15) !important;border-bottom-style: solid !important;}"][vc_column_inner width="3/4"][ld_fancy_heading tag="h4" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="15px"]Face Shave[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/2" responsive_align="text-sm-right" offset="vc_col-md-3"][ld_fancy_heading tag="h6" use_custom_fonts_title="true" color="rgb(150, 150, 150)" fs="15px"]33[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][vc_row_inner content_placement="middle" css=".vc_custom_1575633417276{border-bottom-width: 1px !important;padding-top: 25px !important;padding-bottom: 25px !important;border-bottom-color: rgba(255,255,255,0.15) !important;border-bottom-style: solid !important;}"][vc_column_inner width="3/4"][ld_fancy_heading tag="h4" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="15px"]Shave w/ Facial Skin Cleansing[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/4" responsive_align="text-sm-right"][ld_fancy_heading tag="h6" use_custom_fonts_title="true" color="rgb(150, 150, 150)" fs="15px"]17[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][vc_row_inner content_placement="middle" css=".vc_custom_1575633417276{border-bottom-width: 1px !important;padding-top: 25px !important;padding-bottom: 25px !important;border-bottom-color: rgba(255,255,255,0.15) !important;border-bottom-style: solid !important;}"][vc_column_inner width="3/4"][ld_fancy_heading tag="h4" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="15px"]Head Spa[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/4" responsive_align="text-sm-right"][ld_fancy_heading tag="h6" use_custom_fonts_title="true" color="rgb(150, 150, 150)" fs="15px"]11[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][vc_row_inner content_placement="middle" css=".vc_custom_1575633417276{border-bottom-width: 1px !important;padding-top: 25px !important;padding-bottom: 25px !important;border-bottom-color: rgba(255,255,255,0.15) !important;border-bottom-style: solid !important;}"][vc_column_inner width="3/4"][ld_fancy_heading tag="h4" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="15px"]Facial and Eyebrow Waxing[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/4" responsive_align="text-sm-right"][ld_fancy_heading tag="h6" use_custom_fonts_title="true" color="rgb(150, 150, 150)" fs="15px"]18[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/vc_column][vc_column width="1/2" offset="vc_col-md-6 vc_col-xs-6"][vc_row_inner content_placement="middle" css=".vc_custom_1575633407099{border-bottom-width: 1px !important;padding-top: 25px !important;padding-bottom: 25px !important;border-bottom-color: rgba(255,255,255,0.15) !important;border-bottom-style: solid !important;}"][vc_column_inner width="3/4"][ld_fancy_heading tag="h4" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="15px"]Head Spa[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/4" responsive_align="text-sm-right"][ld_fancy_heading tag="h6" use_custom_fonts_title="true" color="rgb(150, 150, 150)" fs="15px"]36[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][vc_row_inner content_placement="middle" css=".vc_custom_1575633417276{border-bottom-width: 1px !important;padding-top: 25px !important;padding-bottom: 25px !important;border-bottom-color: rgba(255,255,255,0.15) !important;border-bottom-style: solid !important;}"][vc_column_inner width="3/4"][ld_fancy_heading tag="h4" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="15px"]Facial Skin Cleansing[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/2" responsive_align="text-sm-right" offset="vc_col-md-3"][ld_fancy_heading tag="h6" use_custom_fonts_title="true" color="rgb(150, 150, 150)" fs="15px"]26[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][vc_row_inner content_placement="middle" css=".vc_custom_1575633417276{border-bottom-width: 1px !important;padding-top: 25px !important;padding-bottom: 25px !important;border-bottom-color: rgba(255,255,255,0.15) !important;border-bottom-style: solid !important;}"][vc_column_inner width="3/4"][ld_fancy_heading tag="h4" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="15px"]Traditional Hair Styling[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/4" responsive_align="text-sm-right"][ld_fancy_heading tag="h6" use_custom_fonts_title="true" color="rgb(150, 150, 150)" fs="15px"]72[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][vc_row_inner content_placement="middle" css=".vc_custom_1575633417276{border-bottom-width: 1px !important;padding-top: 25px !important;padding-bottom: 25px !important;border-bottom-color: rgba(255,255,255,0.15) !important;border-bottom-style: solid !important;}"][vc_column_inner width="3/4"][ld_fancy_heading tag="h4" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="15px"]Face Shave[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/4" responsive_align="text-sm-right"][ld_fancy_heading tag="h6" use_custom_fonts_title="true" color="rgb(150, 150, 150)" fs="15px"]11[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][vc_row_inner content_placement="middle" css=".vc_custom_1575633417276{border-bottom-width: 1px !important;padding-top: 25px !important;padding-bottom: 25px !important;border-bottom-color: rgba(255,255,255,0.15) !important;border-bottom-style: solid !important;}"][vc_column_inner width="3/4"][ld_fancy_heading tag="h4" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="15px"]Japanese Haircut[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/4" responsive_align="text-sm-right"][ld_fancy_heading tag="h6" use_custom_fonts_title="true" color="rgb(150, 150, 150)" fs="15px"]22[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/vc_column][vc_column align="text-center" css=".vc_custom_1575633824432{padding-top: 70px !important;}" responsive_align="text-center"][ld_button style="btn-default" title="Book appointment" transformation="text-uppercase" size="btn-lg" border="border-thicker" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" fs="10px" lh="1.5em" ls="0.125em" css=".vc_custom_1595333034437{padding-top: 1em !important;padding-right: 0.5em !important;padding-bottom: 1em !important;padding-left: 0.5em !important;}" htext_color="rgb(0, 0, 0)" i_icon_linea="lqd-icn-ess icon-md-arrow-forward"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;
	
	//Pricing 3 - startuphub
	$data = array();
	$data['name'] = esc_html__( 'Pricing 03', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'pricing-3.jpg' );
	$data['sort_name'] = 'Pricing';
	$data['custom_class'] = 'general pricing';
	$data['content'] = <<<CONTENT
	[vc_row enable_gradient="yes" css=".vc_custom_1614256108710{margin-top: 50px !important;padding-top: 60px !important;}" gradient_bg="linear-gradient(180deg, rgb(248, 251, 255) 0.6369426751592356%, rgb(255, 255, 255) 99.04458598726114%)" responsive_css="margin_top_medium:0px|padding_top_medium:100px|padding_bottom_medium:100px" el_id="pricing"][vc_column align="text-center" offset="vc_col-md-offset-3 vc_col-md-6" css=".vc_custom_1607066650054{margin-bottom: 25px !important;}" responsive_align="text-center"][ld_fancy_heading tag="h6" transform="text-uppercase" enable_bg="yes" fh_border_radius="round" use_custom_fonts_title="true" color="rgb(51, 59, 65)" fs="text_small:11px" ls="text_small:0.1em" padding="top_small:7px|right_small:20px|bottom_small:7px|left_small:20px" fh_bg="rgb(237, 243, 247)" margin="bottom_small:1.5em"]Workflow Integration[/ld_fancy_heading][ld_fancy_heading tag="h2" highlight_reset_onhover="lqd-highlight-reset-onhover" use_custom_fonts_title="true" fs="text_small:50px" lh="text_small:1.02em" highlight_color="rgba(175, 124, 255, 0.15)"][ld_highlight]Simple[/ld_highlight] pricing for everyone[/ld_fancy_heading][/vc_column][vc_column][ld_tabs style="style10" primary_color="rgb(0, 209, 130)"][ld_tab_section title="Monthly" tab_id="ld-1573564745147-a273eb06-234c"][vc_row_inner enable_content_animation="yes" gap="20" animation_preset="Fade In" ca_duration="1800" ca_delay="80"][vc_column_inner enable_hover_move="lqd-column-move-onhover" hover_move_value="-6px" width="5/6" offset="vc_col-md-offset-0 vc_col-md-4 vc_col-sm-offset-1"][ld_price_table template="style04" show_button="yes" pt_style="btn-solid" pt_title="FREE FOREVER" pt_transformation="text-uppercase" pt_shape="circle" pt_border="border-none" use_custom_fonts_title="true" title="Free" description="Yearly" price="<small>$</small>0" footer_text="`{`ld_span font-size=``12px`` text_decoration=``underline```}`Upgrade your plan`{`/ld_span`}`" pt_color="rgb(244, 245, 248)" pt_text_color="rgb(0, 0, 0)" pt_fs="11px" pt_lh="1.25em" pt_ls="0.15em" pt_css=".vc_custom_1614259688477{padding-top: 0.15em !important;padding-right: 0.75em !important;padding-bottom: 0.15em !important;padding-left: 0.75em !important;}" accent_color="rgb(24, 22, 62)" fs="13px"] <ul> <li><span style="font-size: 16px;"><i class="lqd-icn-ess icon-ion-ios-checkmark" style="color: #00cb99;"></i>Full Service Payroll - Monthly</span></li> <li><span style="font-size: 16px;"><i class="lqd-icn-ess icon-ion-ios-checkmark" style="color: #00cb99;"></i>Automate All Contracts</span></li> <li><span style="font-size: 16px;"><i class="lqd-icn-ess icon-ion-ios-checkmark" style="color: #00cb99;"></i>Self Service Employee Support</span></li> <li><span style="font-size: 16px;"><i class="lqd-icn-ess icon-ion-ios-checkmark" style="color: #00cb99;"></i>Extended Knowledgebase</span></li> </ul> [/ld_price_table][/vc_column_inner][vc_column_inner enable_hover_move="lqd-column-move-onhover" hover_move_value="-7px" width="5/6" offset="vc_col-md-offset-0 vc_col-md-4 vc_col-sm-offset-1"][ld_price_table template="style04" featured="yes" show_button="yes" pt_style="btn-solid" pt_title="JOIN THIS PLAN" pt_transformation="text-uppercase" pt_shape="circle" pt_border="border-none" use_custom_fonts_title="true" title="popular" description="Yearly" price="<small>$</small>29" footer_text="`{`ld_span font-size=``12px`` color=``#fff`` text_decoration=``underline```}`Get your 30 day free trial`{`/ld_span`}`" pt_color="rgb(244, 245, 248)" pt_text_color="rgb(0, 0, 0)" pt_fs="11px" pt_lh="1.25em" pt_ls="0.15em" pt_css=".vc_custom_1614259668739{padding-top: 0.15em !important;padding-right: 0.75em !important;padding-bottom: 0.15em !important;padding-left: 0.75em !important;}" accent_color="rgb(32, 30, 50)" fs="13px"] <ul> <li><span style="font-size: 16px;"><i class="lqd-icn-ess icon-ion-ios-checkmark" style="color: #00cb99;"></i>Full Service Payroll - Monthly</span></li> <li><span style="font-size: 16px;"><i class="lqd-icn-ess icon-ion-ios-checkmark" style="color: #00cb99;"></i>Automate All Contracts</span></li> <li><span style="font-size: 16px;"><i class="lqd-icn-ess icon-ion-ios-checkmark" style="color: #00cb99;"></i>Self Service Employee Support</span></li> <li><span style="font-size: 16px;"><i class="lqd-icn-ess icon-ion-ios-checkmark" style="color: #00cb99;"></i>Extended Knowledgebase</span></li> </ul> [/ld_price_table][/vc_column_inner][vc_column_inner enable_hover_move="lqd-column-move-onhover" hover_move_value="-6px" width="5/6" offset="vc_col-md-offset-0 vc_col-md-4 vc_col-sm-offset-1"][ld_price_table template="style04" show_button="yes" pt_style="btn-solid" pt_title="JOIN THIS PLAN" pt_transformation="text-uppercase" pt_shape="circle" pt_border="border-none" use_custom_fonts_title="true" title="Exclusive" description="Yearly" price="<small>$</small>99" footer_text="`{`ld_span font-size=``12px`` text_decoration=``underline```}`Get your 30 day free trial`{`/ld_span`}`" pt_color="rgb(244, 245, 248)" pt_text_color="rgb(0, 0, 0)" pt_fs="11px" pt_lh="1.25em" pt_ls="0.15em" pt_css=".vc_custom_1614259727838{padding-top: 0.15em !important;padding-right: 0.75em !important;padding-bottom: 0.15em !important;padding-left: 0.75em !important;}" accent_color="rgb(24, 22, 62)" fs="13px"] <ul> <li><span style="font-size: 16px;"><i class="lqd-icn-ess icon-ion-ios-checkmark" style="color: #00cb99;"></i>Full Service Payroll - Monthly</span></li> <li><span style="font-size: 16px;"><i class="lqd-icn-ess icon-ion-ios-checkmark" style="color: #00cb99;"></i>Automate All Contracts</span></li> <li><span style="font-size: 16px;"><i class="lqd-icn-ess icon-ion-ios-checkmark" style="color: #00cb99;"></i>Self Service Employee Support</span></li> <li><span style="font-size: 16px;"><i class="lqd-icn-ess icon-ion-ios-checkmark" style="color: #00cb99;"></i>Extended Knowledgebase</span></li> </ul> [/ld_price_table][/vc_column_inner][/vc_row_inner][/ld_tab_section][ld_tab_section title="Annually - Save 30%" tab_id="lqd-1600669213539-640e5bf0-943b"][vc_row_inner enable_content_animation="yes" gap="20" animation_preset="Fade In" ca_duration="1800" ca_delay="80"][vc_column_inner width="5/6" offset="vc_col-md-offset-0 vc_col-md-4 vc_col-sm-offset-1"][ld_price_table template="style04" show_button="yes" pt_style="btn-solid" pt_title="FREE FOREVER" pt_transformation="text-uppercase" pt_shape="circle" pt_border="border-none" use_custom_fonts_title="true" title="Free" description="Yearly" price="<small>$</small>0" footer_text="`{`ld_span font-size=``12px`` text_decoration=``underline```}`Upgrade your plan`{`/ld_span`}`" pt_color="rgb(244, 245, 248)" pt_text_color="rgb(0, 0, 0)" pt_fs="11px" pt_lh="1.25em" pt_ls="0.15em" pt_css=".vc_custom_1596193284384{padding-top: 0.15em !important;padding-right: 0.75em !important;padding-bottom: 0.15em !important;padding-left: 0.75em !important;}" accent_color="rgb(24, 22, 62)" fs="13px"] <ul> <li><span style="font-size: 14px;"><i class="lqd-icn-ess icon-ion-ios-checkmark" style="color: #00cb99;"></i>300 GB Storage</span></li> <li><span style="font-size: 14px;"><i class="lqd-icn-ess icon-ion-ios-checkmark" style="color: #00cb99;"></i>Unlimited Photos</span></li> <li><span style="font-size: 14px;"><i class="lqd-icn-ess icon-ion-ios-checkmark" style="color: #00cb99;"></i>Exclusive Support</span></li> <li><span style="font-size: 14px;"><i class="lqd-icn-ess icon-ion-ios-checkmark" style="color: #00cb99;"></i>Custom Branding</span></li> </ul> [/ld_price_table][/vc_column_inner][vc_column_inner width="5/6" offset="vc_col-md-offset-0 vc_col-md-4 vc_col-sm-offset-1"][ld_price_table template="style04" featured="yes" show_button="yes" pt_style="btn-solid" pt_title="JOIN THIS PLAN" pt_transformation="text-uppercase" pt_shape="circle" pt_border="border-none" use_custom_fonts_title="true" title="popular" description="Yearly" price="<small>$</small>79" footer_text="`{`ld_span font-size=``12px`` color=``#fff`` text_decoration=``underline```}`Get your 30 day free trial`{`/ld_span`}`" pt_color="rgb(244, 245, 248)" pt_text_color="rgb(0, 0, 0)" pt_fs="11px" pt_lh="1.25em" pt_ls="0.15em" pt_css=".vc_custom_1611667575854{padding-top: 0.15em !important;padding-right: 0.75em !important;padding-bottom: 0.15em !important;padding-left: 0.75em !important;}" accent_color="rgb(39, 39, 58)" fs="13px"] <ul> <li><span style="font-size: 14px;"><i class="lqd-icn-ess icon-ion-ios-checkmark" style="color: #00cb99;"></i>300 GB Storage</span></li> <li><span style="font-size: 14px;"><i class="lqd-icn-ess icon-ion-ios-checkmark" style="color: #00cb99;"></i>Unlimited Photos</span></li> <li><span style="font-size: 14px;"><i class="lqd-icn-ess icon-ion-ios-checkmark" style="color: #00cb99;"></i>Exclusive Support</span></li> <li><span style="font-size: 14px;"><i class="lqd-icn-ess icon-ion-ios-checkmark" style="color: #00cb99;"></i>Custom Branding</span></li> </ul> [/ld_price_table][/vc_column_inner][vc_column_inner width="5/6" offset="vc_col-md-offset-0 vc_col-md-4 vc_col-sm-offset-1"][ld_price_table template="style04" show_button="yes" pt_style="btn-solid" pt_title="JOIN THIS PLAN" pt_transformation="text-uppercase" pt_shape="circle" pt_border="border-none" use_custom_fonts_title="true" title="Exclusive" description="Yearly" price="<small>$</small>99" footer_text="`{`ld_span font-size=``12px`` text_decoration=``underline```}`Get your 30 day free trial`{`/ld_span`}`" pt_color="rgb(244, 245, 248)" pt_text_color="rgb(0, 0, 0)" pt_fs="11px" pt_lh="1.25em" pt_ls="0.15em" pt_css=".vc_custom_1596193317572{padding-top: 0.15em !important;padding-right: 0.75em !important;padding-bottom: 0.15em !important;padding-left: 0.75em !important;}" accent_color="rgb(24, 22, 62)" fs="13px"] <ul> <li><span style="font-size: 14px;"><i class="lqd-icn-ess icon-ion-ios-checkmark" style="color: #00cb99;"></i>300 GB Storage</span></li> <li><span style="font-size: 14px;"><i class="lqd-icn-ess icon-ion-ios-checkmark" style="color: #00cb99;"></i>Unlimited Photos</span></li> <li><span style="font-size: 14px;"><i class="lqd-icn-ess icon-ion-ios-checkmark" style="color: #00cb99;"></i>Exclusive Support</span></li> <li><span style="font-size: 14px;"><i class="lqd-icn-ess icon-ion-ios-checkmark" style="color: #00cb99;"></i>Custom Branding</span></li> </ul> [/ld_price_table][/vc_column_inner][/vc_row_inner][/ld_tab_section][/ld_tabs][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;
	
	//Pricing 4 - classic
	$data = array();
	$data['name'] = esc_html__( 'Pricing 04', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'pricing-4.jpg' );
	$data['sort_name'] = 'Pricing';
	$data['custom_class'] = 'general pricing';
	$data['content'] = <<<CONTENT
	[vc_row gap="20" css=".vc_custom_1608200964837{border-bottom-width: 1px !important;padding-top: 60px !important;padding-bottom: 60px !important;border-bottom-color: #ededed !important;border-bottom-style: solid !important;}"][vc_column width="5/6" offset="vc_col-md-offset-0 vc_col-md-4 vc_col-sm-offset-1"][ld_price_table template="style07" show_button="yes" pt_style="btn-solid" pt_title="Apply for this plan" pt_shape="round" title="Individual Text about your service plan" description="A startup or start-up is started by individual founders entrepreneurs." price="£3Per month" pt_ls="0px" pt_fw="600" pt_fs="14px" border_color="rgb(227, 227, 227)"] Auto Direct Payment Project Estimation Dashboard Access Unlimited Team Projects [/ld_price_table][/vc_column][vc_column width="5/6" offset="vc_col-md-offset-0 vc_col-md-4 vc_col-sm-offset-1"][ld_price_table template="style07" show_button="yes" pt_style="btn-solid" pt_title="Apply for this plan" pt_shape="round" title="Business Text about your service plan" description="A startup or start-up is started by individual founders entrepreneurs." price="£8Per month" pt_ls="0px" pt_fw="600" pt_fs="14px" border_color="rgb(227, 227, 227)"] Montly Direct Payment Project Estimation Dashboard Access Unlimited Team Projects [/ld_price_table][/vc_column][vc_column width="5/6" offset="vc_col-md-offset-0 vc_col-md-4 vc_col-sm-offset-1"][ld_price_table template="style07" show_button="yes" pt_style="btn-solid" pt_title="Apply for this plan" pt_shape="round" title="Corporate Text about your service plan" description="A startup or start-up is started by individual founders entrepreneurs." price="£23Per month" pt_ls="0px" pt_fw="600" pt_fs="14px" border_color="rgb(227, 227, 227)"] Auto Direct Payment Project Estimation Dashboard Access Unlimited Team Projects [/ld_price_table][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Pricing 5 - classic
	$data = array();
	$data['name'] = esc_html__( 'Pricing 05', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'pricing-5.jpg' );
	$data['sort_name'] = 'Pricing';
	$data['custom_class'] = 'general pricing';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1605900524275{padding-top: 60px !important;padding-bottom: 60px !important;}" responsive_css="padding_top_medium:150px|padding_bottom_medium:100px"][vc_column align="text-center" offset="vc_col-md-offset-3 vc_col-md-6" css=".vc_custom_1607345786055{margin-bottom: 60px !important;}" responsive_align="text-md-center"][ld_fancy_heading tag="h6" margin="bottom_small:1em"]Pricing table[/ld_fancy_heading][ld_fancy_heading tag="h2" split_type="words" duration="1000" delay="120" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" enable_fit="true" minfontsize="40" fs="text_large:48px|text_small:40px" ca_init_translate_y="70"]Simple pricing solutions for everyone.[/ld_fancy_heading][/vc_column][vc_column][vc_row_inner][vc_column_inner width="1/2" offset="vc_col-md-4"][ld_price_table template="style04" show_button="yes" pt_style="btn-default" pt_title="Join this plan" pt_transformation="text-uppercase" pt_shape="circle" use_custom_fonts_title="true" title="Basic" description="YEARLY" price="<small>$</small>39" pt_css=".vc_custom_1599657818967{padding-right: 1em !important;padding-left: 1em !important;}" pt_color="rgb(204, 204, 204)" pt_text_color="rgb(0, 49, 121)" pt_fs="14px" pt_ls="0.14em" pt_lh="1.35em" pt_hover_color="rgb(0, 207, 50)" accent_color="rgb(0, 0, 0)" footer_text="`{`ld_span`}`Get your 30 day free trial`{`/ld_span`}`"]</p>
<ul>
<li>300 GB Storage</li>
<li>Unlimited Photos and Videos</li>
<li>Pricing Feature Three</li>
<li>Pricing Feature Four</li>
</ul>
<p>[/ld_price_table][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-4"][ld_price_table template="style04" featured="yes" show_button="yes" pt_style="btn-solid" pt_title="Join this plan" pt_transformation="text-uppercase" pt_shape="circle" pt_enable_row_shadowbox="yes" use_custom_fonts_title="true" title="Popular" description="YEARLY" price="<small>$</small>59" pt_css=".vc_custom_1599657800112{padding-right: 1em !important;padding-left: 1em !important;}" pt_fs="14px" pt_ls="0.14em" pt_lh="1.35em" accent_color="rgb(255, 255, 255)" pt_button_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2220px%22%2C%22blur_radius%22%3A%2260px%22%2C%22shadow_color%22%3A%22rgba(10%2C1%2C1%2C0.09)%22%7D%5D" pt_hover_button_box_shadow="%5B%7B%7D%5D" price_color="rgb(0, 0, 0)" featured_txt_color="rgb(72, 72, 72)" h_color="rgb(0, 207, 50)" footer_text="`{`ld_span`}`Get your 30 day free trial`{`/ld_span`}`"]</p>
<ul>
<li>300 GB Storage</li>
<li>Unlimited Photos and Videos</li>
<li>Pricing Feature Three</li>
<li>Pricing Feature Four</li>
</ul>
<p>[/ld_price_table][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-4"][ld_price_table template="style04" show_button="yes" pt_style="btn-default" pt_title="Join this plan" pt_transformation="text-uppercase" pt_shape="circle" use_custom_fonts_title="true" title="Exclusive" description="YEARLY" price="<small>$</small>79" pt_css=".vc_custom_1599657863617{padding-right: 1em !important;padding-left: 1em !important;}" pt_color="rgb(204, 204, 204)" pt_text_color="rgb(0, 49, 121)" pt_fs="14px" pt_ls="0.14em" pt_lh="1.35em" pt_hover_color="rgb(0, 207, 50)" accent_color="rgb(0, 0, 0)" footer_text="`{`ld_span`}`Get your 30 day free trial`{`/ld_span`}`"]</p>
<ul>
<li>300 GB Storage</li>
<li>Unlimited Photos and Videos</li>
<li>Pricing Feature Three</li>
<li>Pricing Feature Four</li>
</ul>
<p>[/ld_price_table][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Pricing 6 - classic
	$data = array();
	$data['name'] = esc_html__( 'Pricing 06', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'pricing-6.jpg' );
	$data['sort_name'] = 'Pricing';
	$data['custom_class'] = 'general pricing';
	$data['content'] = <<<CONTENT
	[vc_row gap="35" content_placement="bottom" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" bg_position="center top" css=".vc_custom_1605610224170{padding-bottom: 50px !important;}" ca_duration="1800" ca_delay="180" ca_init_translate_y="30"][vc_column align="text-center" offset="vc_col-md-offset-3 vc_col-md-6" responsive_align="text-center"][ld_fancy_heading tag="h6"]Pricing plans[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" enable_fit="true" minfontsize="38" fs="text_large:43px|text_small:38px"]Select a package.[/ld_fancy_heading][/vc_column][vc_column width="1/2" align="text-center" offset="vc_col-md-4" css=".vc_custom_1573805471098{padding-top: 40px !important;padding-bottom: 40px !important;}" responsive_align="text-center"][vc_single_image image="4134" alignment="center" css=".vc_custom_1577790391165{margin-bottom: 45px !important;}"][vc_separator color="custom" accent_color="#e7ecf0" css=".vc_custom_1573804821467{margin-top: 0px !important;margin-bottom: 30px !important;}"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_small:23px" margin="bottom_small:0px"]Analytics Pack[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="16px" margin="bottom_small:1.35em"]The most basic plan[/ld_fancy_heading][vc_separator color="custom" accent_color="#e7ecf0" css=".vc_custom_1573804880799{margin-top: 0px !important;margin-bottom: 30px !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:33px" fw="text_small:600" margin="bottom_small:0px"]$480[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="14px" margin="bottom_small:1.35em"]Starting from[/ld_fancy_heading][vc_separator color="custom" accent_color="#e7ecf0" css=".vc_custom_1573805450262{margin-top: 0px !important;margin-bottom: 40px !important;}"][ld_icon_box i_type="linea" heading_size="custom" heading_weight="font-weight-normal" position="iconbox-side" items_alignment="align-items-center" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title="300 GB Storage" title_mb="1" custom_heading_size="14px" i_color="rgb(7, 204, 153)" h_color="rgb(86, 90, 98)" css=".vc_custom_1611132870437{margin-bottom: 25px !important;padding-right: 25px !important;padding-left: 25px !important;}" icon_mb="15" icon_size="18px"][/ld_icon_box][ld_icon_box i_type="linea" heading_size="custom" heading_weight="font-weight-normal" position="iconbox-side" items_alignment="align-items-center" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title="Unlimited Photos and Videos" title_mb="1" custom_heading_size="14px" icon_size="18px" i_color="rgb(7, 204, 153)" h_color="rgb(86, 90, 98)" css=".vc_custom_1600422656989{margin-bottom: 25px !important;padding-right: 25px !important;padding-left: 25px !important;}" icon_mb="15"][/ld_icon_box][ld_icon_box i_type="linea" heading_size="custom" heading_weight="font-weight-normal" position="iconbox-side" items_alignment="align-items-center" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title="Exclusive Support" title_mb="1" custom_heading_size="14px" icon_size="18px" i_color="rgb(7, 204, 153)" h_color="rgb(86, 90, 98)" css=".vc_custom_1600422688847{margin-bottom: 25px !important;padding-right: 25px !important;padding-left: 25px !important;}" icon_mb="15"][/ld_icon_box][ld_icon_box i_type="linea" heading_size="custom" heading_weight="font-weight-normal" position="iconbox-side" items_alignment="align-items-center" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title="Custom Branding Strategy" title_mb="1" custom_heading_size="14px" icon_size="18px" i_color="rgb(255, 255, 255)" h_color="rgba(86, 90, 98, 0.35)" css=".vc_custom_1600422713579{margin-bottom: 25px !important;padding-right: 25px !important;padding-left: 25px !important;}" icon_mb="15"][/ld_icon_box][ld_button style="btn-default" title="Join this Plan" shape="circle" css=".vc_custom_1583862115825{margin-top: 15px !important;padding-right: 4em !important;padding-left: 4em !important;}" color="rgb(230, 230, 230)" hover_color="rgb(0, 49, 121)" text_color="rgb(0, 49, 121)" htext_color="rgb(255, 255, 255)"][/vc_column][vc_column width="1/2" align="text-center" offset="vc_col-md-4" css=".vc_custom_1577790423526{padding-top: 40px !important;padding-bottom: 40px !important;}" responsive_align="text-center"][vc_single_image image="4133" alignment="center" css=".vc_custom_1579687634732{margin-bottom: 60px !important;}"][vc_separator color="custom" accent_color="#e7ecf0" css=".vc_custom_1573804821467{margin-top: 0px !important;margin-bottom: 30px !important;}"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_small:23px" margin="bottom_small:0px"]Diamond Pack[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="16px" margin="bottom_small:1.35em"]The most basic plan[/ld_fancy_heading][vc_separator color="custom" accent_color="#e7ecf0" css=".vc_custom_1573804880799{margin-top: 0px !important;margin-bottom: 30px !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="33px" fw="600" margin="bottom_small:0px"]<small>$</small>990[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="14px" margin="bottom_small:1.35em"]Starting from[/ld_fancy_heading][vc_separator color="custom" accent_color="#e7ecf0" css=".vc_custom_1573805450262{margin-top: 0px !important;margin-bottom: 40px !important;}"][ld_icon_box i_type="linea" heading_size="custom" heading_weight="font-weight-normal" position="iconbox-side" items_alignment="align-items-center" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title="300 GB Storage" title_mb="1" custom_heading_size="14px" icon_size="18px" i_color="rgb(7, 204, 153)" h_color="rgb(86, 90, 98)" css=".vc_custom_1600422623047{margin-bottom: 25px !important;padding-right: 25px !important;padding-left: 25px !important;}" icon_mb="15"][/ld_icon_box][ld_icon_box i_type="linea" heading_size="custom" heading_weight="font-weight-normal" position="iconbox-side" items_alignment="align-items-center" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title="Unlimited Photos and Videos" title_mb="1" custom_heading_size="14px" icon_size="18px" i_color="rgb(7, 204, 153)" h_color="rgb(86, 90, 98)" css=".vc_custom_1600422656989{margin-bottom: 25px !important;padding-right: 25px !important;padding-left: 25px !important;}" icon_mb="15"][/ld_icon_box][ld_icon_box i_type="linea" heading_size="custom" heading_weight="font-weight-normal" position="iconbox-side" items_alignment="align-items-center" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title="Exclusive Support" title_mb="1" custom_heading_size="14px" icon_size="18px" i_color="rgb(7, 204, 153)" h_color="rgb(86, 90, 98)" css=".vc_custom_1600422688847{margin-bottom: 25px !important;padding-right: 25px !important;padding-left: 25px !important;}" icon_mb="15"][/ld_icon_box][ld_icon_box i_type="linea" heading_size="custom" heading_weight="font-weight-normal" position="iconbox-side" items_alignment="align-items-center" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title="Custom Branding Strategy" title_mb="1" custom_heading_size="14px" icon_size="18px" i_color="rgb(7, 204, 153)" h_color="rgb(86, 90, 98)" css=".vc_custom_1600422833961{margin-bottom: 25px !important;padding-right: 25px !important;padding-left: 25px !important;}" icon_mb="15"][/ld_icon_box][ld_button style="btn-solid" title="Join this Plan" shape="circle" css=".vc_custom_1577790588020{margin-top: 15px !important;padding-right: 4em !important;padding-left: 4em !important;}" lh="1.35em"][/vc_column][vc_column width="1/2" align="text-center" offset="vc_col-md-4" css=".vc_custom_1573805471098{padding-top: 40px !important;padding-bottom: 40px !important;}" responsive_align="text-center"][vc_single_image image="4132" alignment="center" css=".vc_custom_1577790406224{margin-bottom: 45px !important;}"][vc_separator color="custom" accent_color="#e7ecf0" css=".vc_custom_1573804821467{margin-top: 0px !important;margin-bottom: 30px !important;}"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_small:23px" margin="bottom_small:0px"]Online Advertising[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="16px" margin="bottom_small:1.35em"]The most basic plan[/ld_fancy_heading][vc_separator color="custom" accent_color="#e7ecf0" css=".vc_custom_1573804880799{margin-top: 0px !important;margin-bottom: 30px !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="33px" fw="600" margin="bottom_small:0px"]<small>$</small>4680[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="14px" margin="bottom_small:1.35em"]Starting from[/ld_fancy_heading][vc_separator color="custom" accent_color="#e7ecf0" css=".vc_custom_1573805450262{margin-top: 0px !important;margin-bottom: 40px !important;}"][ld_icon_box i_type="linea" heading_size="custom" heading_weight="font-weight-normal" position="iconbox-side" items_alignment="align-items-center" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title="300 GB Storage" title_mb="1" custom_heading_size="14px" icon_size="18px" i_color="rgb(7, 204, 153)" h_color="rgb(86, 90, 98)" css=".vc_custom_1600422623047{margin-bottom: 25px !important;padding-right: 25px !important;padding-left: 25px !important;}" icon_mb="15"][/ld_icon_box][ld_icon_box i_type="linea" heading_size="custom" heading_weight="font-weight-normal" position="iconbox-side" items_alignment="align-items-center" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title="Unlimited Photos and Videos" title_mb="1" custom_heading_size="14px" icon_size="18px" i_color="rgb(7, 204, 153)" h_color="rgb(86, 90, 98)" css=".vc_custom_1600422656989{margin-bottom: 25px !important;padding-right: 25px !important;padding-left: 25px !important;}" icon_mb="15"][/ld_icon_box][ld_icon_box i_type="linea" heading_size="custom" heading_weight="font-weight-normal" position="iconbox-side" items_alignment="align-items-center" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title="Exclusive Support" title_mb="1" custom_heading_size="14px" icon_size="18px" i_color="rgb(7, 204, 153)" h_color="rgb(86, 90, 98)" css=".vc_custom_1600422688847{margin-bottom: 25px !important;padding-right: 25px !important;padding-left: 25px !important;}" icon_mb="15"][/ld_icon_box][ld_icon_box i_type="linea" heading_size="custom" heading_weight="font-weight-normal" position="iconbox-side" items_alignment="align-items-center" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title="Custom Branding Strategy" title_mb="1" custom_heading_size="14px" icon_size="18px" i_color="rgb(7, 204, 153)" h_color="rgb(86, 90, 98)" css=".vc_custom_1600422833961{margin-bottom: 25px !important;padding-right: 25px !important;padding-left: 25px !important;}" icon_mb="15"][/ld_icon_box][ld_button style="btn-default" title="Join this Plan" shape="circle" css=".vc_custom_1583862126135{margin-top: 15px !important;padding-right: 4em !important;padding-left: 4em !important;}" color="rgb(230, 230, 230)" hover_color="rgb(0, 49, 121)" text_color="rgb(0, 49, 121)" htext_color="rgb(255, 255, 255)"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Pricing 8 - classic
	$data = array();
	$data['name'] = esc_html__( 'Pricing 08', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'pricing-8.jpg' );
	$data['sort_name'] = 'Pricing';
	$data['custom_class'] = 'general pricing';
	$data['content'] = <<<CONTENT
	[vc_row bg_position="custom" css=".vc_custom_1611311332834{padding-top: 80px !important;padding-bottom: 25px !important;}" bg_pos_h="50%" bg_pos_v="80%" el_id="pricing" responsive_css="padding_top_medium:100px|padding_bottom_medium:50px"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" align="text-center" offset="vc_col-md-offset-3 vc_col-md-6" css=".vc_custom_1611311233885{margin-bottom: 30px !important;padding-right: 15px !important;padding-left: 15px !important;}" ca_duration="1800" ca_delay="180" ca_init_translate_y="30" responsive_align="text-center"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_medium:51px|text_small:11vw"]Simple Pricing.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:18px" lh="text_small:30px" padding="right_all:6%25|left_all:6%25"]Intuitive Header Builder – Choose a pre-built header or create a custom layout that perfectly[/ld_fancy_heading][/vc_column][vc_column][ld_images_group_element img_size="50%" enable_float_effect="yes" absolute_pos="yes" position="top_small:0px|left_small:-35px" image="983" el_class="z-index-2"][/ld_images_group_element][ld_tabs style="style10" use_custom_fonts_nav="true" primary_color="rgb(12, 50, 83)" fs="15px" text_color="rgb(84, 87, 103)"][ld_tab_section title="Monthly" tab_id="lqd-1611307406057-8a453c57-289a"][vc_row_inner gap="0"][vc_column_inner enable_hover_move="lqd-column-move-onhover" hover_move_value="-5px" width="1/2"][ld_price_table template="style03b" show_button="yes" pt_style="btn-naked" pt_title="Join premium plan" pt_transformation="text-uppercase" use_custom_fonts_title="true" title="Popular plan" description="No more complex codes or boring designs. Creating an attractive and functional site." price="£20.90 <small>/ year</small>" fs="13px" pt_color="rgb(0, 0, 0)" pt_fs="13px" pt_fw="700" price_color="rgb(0, 0, 0)" pt_ls="0.1em" pt_lh="2em"]</p>
<ul>
<li class="mb-3"><i class="lqd-icn-ess icon-ion-ios-checkmark"></i><span style="color: #2c2c2c; font-size: 17px;">Professional Calendar View</span></li>
<li class="mb-3"><i class="lqd-icn-ess icon-ion-ios-checkmark"></i><span style="color: #2c2c2c; font-size: 17px;">Free Google Analytics</span></li>
<li class="mb-3"><i class="lqd-icn-ess icon-ion-ios-checkmark"></i><span style="color: #2c2c2c; font-size: 17px;">Unlimited Task and Comments</span></li>
</ul>
<p>[/ld_price_table][/vc_column_inner][vc_column_inner enable_hover_move="lqd-column-move-onhover" hover_move_value="-5px" width="1/2" css=".vc_custom_1614341506871{margin-left: -1px !important;}"][ld_price_table template="style03b" featured="yes" show_button="yes" pt_style="btn-naked" pt_title="Join basic plan" pt_transformation="text-uppercase" use_custom_fonts_title="true" title="Popular plan" description="No more complex codes or boring designs. Creating an attractive and functional site." price="£6.90 <small>/ year</small>" fs="13px" pt_color="rgb(255, 255, 255)" pt_fs="13px" pt_fw="700" price_color="rgb(255, 255, 255)" pt_ls="0.1em" pt_lh="2em" accent_color="rgb(3, 3, 67)" border_color="rgb(3, 3, 67)" desc_color="rgba(255, 255, 255, 0.45)" featured_txt_color="rgb(255, 255, 255)" h_color="rgb(255, 255, 255)" pt_hover_color="rgba(255, 255, 255, 0.9)"]</p>
<ul>
<li class="mb-3"><i class="lqd-icn-ess icon-ion-ios-checkmark" style="color: #006ce3;"></i><span style="font-size: 17px;">Professional Calendar View</span></li>
<li class="mb-3"><i class="lqd-icn-ess icon-ion-ios-checkmark" style="color: #006ce3;"></i><span style="font-size: 17px;">Free Google Analytics</span></li>
<li class="mb-3"><i class="lqd-icn-ess icon-ion-ios-checkmark" style="color: #006ce3;"></i>Unlimited Task and Comments</li>
</ul>
<p>[/ld_price_table][/vc_column_inner][/vc_row_inner][/ld_tab_section][ld_tab_section title="Annually Save 30%" tab_id="lqd-1611310758373-88e01690-e264"][vc_row_inner gap="0"][vc_column_inner width="1/2"][ld_price_table template="style03b" show_button="yes" pt_style="btn-naked" pt_title="Join premium plan" pt_transformation="text-uppercase" use_custom_fonts_title="true" title="Popular plan" description="All in one landing and startup solutions endless use-cases that make it highly." price="£20.90 <small>/ year</small>" fs="13px" pt_color="rgb(0, 0, 0)" pt_fs="13px" pt_fw="700" price_color="rgb(0, 0, 0)" pt_ls="0.1em" pt_lh="2em"]</p>
<ul>
<li class="mb-3"><i class="lqd-icn-ess icon-ion-ios-checkmark"></i><span style="color: #2c2c2c; font-size: 17px;">Professional Calendar View</span></li>
<li class="mb-3"><i class="lqd-icn-ess icon-ion-ios-checkmark"></i><span style="color: #2c2c2c; font-size: 17px;">Free Google Analytics</span></li>
<li class="mb-3"><i class="lqd-icn-ess icon-ion-ios-checkmark"></i><span style="color: #2c2c2c; font-size: 17px;">Unlimited Task and Comments</span></li>
</ul>
<p>[/ld_price_table][/vc_column_inner][vc_column_inner width="1/2" css=".vc_custom_1611314562351{margin-left: -1px !important;}"][ld_price_table template="style03b" featured="yes" show_button="yes" pt_style="btn-naked" pt_title="Join basic plan" pt_transformation="text-uppercase" use_custom_fonts_title="true" title="Popular plan" description="All in one landing and startup solutions endless use-cases that make it highly." price="£6.90 <small>/ year</small>" fs="13px" pt_color="rgb(255, 255, 255)" pt_fs="13px" pt_fw="700" price_color="rgb(255, 255, 255)" pt_ls="0.1em" pt_lh="2em" accent_color="rgb(3, 3, 67)" border_color="rgb(3, 3, 67)" desc_color="rgba(255, 255, 255, 0.45)" featured_txt_color="rgb(255, 255, 255)" h_color="rgb(255, 255, 255)"]</p>
<ul>
<li class="mb-3"><i class="lqd-icn-ess icon-ion-ios-checkmark" style="color: #006ce3;"></i><span style="font-size: 17px;">Professional Calendar View</span></li>
<li class="mb-3"><i class="lqd-icn-ess icon-ion-ios-checkmark" style="color: #006ce3;"></i><span style="font-size: 17px;">Free Google Analytics</span></li>
<li class="mb-3"><i class="lqd-icn-ess icon-ion-ios-checkmark" style="color: #006ce3;"></i>Unlimited Task and Comments</li>
</ul>
<p>[/ld_price_table][/vc_column_inner][/vc_row_inner][/ld_tab_section][/ld_tabs][/vc_column][vc_column responsive_align="text-center"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:14px"]Looking for a corporate solution? <a href="#"><span style="text-decoration: underline; color: #7a25ff;">Contact us.</span></a>[/ld_fancy_heading][/vc_column][/vc_row][vc_row equal_height="yes" content_placement="middle" responsive_css="padding_top_medium:120px|padding_top_small:80px|padding_bottom_small:30px" css=".vc_custom_1614342255674{padding-top: 60px !important;padding-bottom: 15px !important;}"][vc_column offset="vc_col-md-5" responsive_css="margin_bottom_medium:0px" css=".vc_custom_1611315213533{margin-bottom: 20px !important;}"][ld_fancy_heading tag="h6" margin="bottom_small:2em"]<a href="https://saaspro.liquid-themes.com/wp-content/uploads/2021/01/Group-32402.svg"><img class="alignnone size-medium wp-image-964" src="https://saaspro.liquid-themes.com/wp-content/uploads/2021/01/Group-32402.svg" alt="" width="110" height="19" /></a>  Next Generation[/ld_fancy_heading][ld_fancy_heading tag="h2" highlight_reset_onhover="lqd-highlight-reset-onhover" highlight_offset="0.15em" use_custom_fonts_title="true" fs="text_medium:51px|text_small:11vw" highlight_color="rgba(177, 204, 255, 0.35)" margin="bottom_small:0.35em"]Track your daily [ld_highlight]activity.[/ld_highlight][/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.47em"]The latest design trends meet hand-crafted templates in Hub Collection. Use pre-built sections to speed up your design process.[/ld_fancy_heading][/vc_column][vc_column responsive_css="padding_left_large:6%25" offset="vc_col-md-7"][ld_images_group_element enable_hover3d="yes" image="970"][/ld_images_group_element][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Pricing 9 - classic
	$data = array();
	$data['name'] = esc_html__( 'Pricing 09', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'pricing-9.jpg' );
	$data['sort_name'] = 'Pricing';
	$data['custom_class'] = 'general pricing';
	$data['content'] = <<<CONTENT
	[vc_row enable_gradient="yes" enable_row_dividers="yes" gradient_bg="linear-gradient(270deg, rgb(19, 12, 181) 0%, rgb(181, 84, 239) 100%)" row_svg_divider="top_shape_type:2|top_shape_color:%23ffffff|top_shape_height:79|bottom_shape_type:12|bottom_shape_color:%23ffffff|bottom_shape_height:85" css=".vc_custom_1621437525932{margin-bottom: 270px !important;padding-top: 180px !important;padding-bottom: 230px !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" el_id="pricing"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" align="text-center" offset="vc_col-md-offset-3 vc_col-md-6" css=".vc_custom_1605105301609{margin-bottom: 25px !important;}" responsive_css="padding_right_medium:12%25|padding_left_medium:12%25" ca_duration="1800" ca_delay="180" ca_init_translate_y="30" responsive_align="text-center"][ld_fancy_heading tag="p" transform="text-uppercase" tag_to_inherite="h6" enable_bg="yes" fh_border_radius="circle" use_custom_fonts_title="true" use_inheritance="true" fs="text_small:12px" ls="text_small:0.05em" margin="bottom_small:2em" color="rgb(255, 255, 255)" padding="top_small:10px|right_small:20px|bottom_small:10px|left_small:20px" fh_bg="rgba(0, 0, 0, 0.1)" fw="text_small:700"]Start your free trial[/ld_fancy_heading][ld_fancy_heading tag="h2" color="rgb(255, 255, 255)"]Build the right plan for your team.[/ld_fancy_heading][/vc_column][vc_column el_class="z-index-2"][ld_tabs style="style10" text_color="rgba(255, 255, 255, 0.51)" primary_hcolor="rgb(255, 255, 255)" text_hcolor="rgb(255, 255, 255)" primary_color="rgba(0, 0, 0, 0.19)"][ld_tab_section title="Yearly" tab_id="1572853226561-8f6abd1e-53f7"][vc_row_inner content_placement="middle" gap="0" css=".vc_custom_1610972591409{margin-bottom: -400px !important;padding-top: 40px !important;}"][vc_column_inner width="5/6" offset="vc_col-md-offset-0 vc_col-md-4 vc_col-sm-offset-1"][ld_price_table template="style08" show_button="yes" pt_style="btn-default" pt_title="Get Started" pt_shape="circle" pt_size="btn-lg" pt_width="btn-block" pt_i_type="linea" pt_i_add_icon="true" title="Simple Plan" price="<small>$</small>7.90<small>/mo</small>" pt_i_icon_linea="lqd-icn-ess icon-md-arrow-forward" pt_i_margin_left="1em" pt_color="rgba(17, 36, 70, 0.06)" pt_hover_color="rgb(0, 0, 0)" pt_text_color="rgb(0, 0, 0)" pt_htext_color="rgb(255, 255, 255)" pt_lh="text_small:1.15em"]</p>
<ul>
<li>Hosting Space <strong>300GB</strong></li>
<li>Emails <strong>Unlimited</strong></li>
<li>Pricing Feature <strong>Available</strong></li>
<li>Exclusive Support <strong>Not Avai.</strong></li>
</ul>
<p>[/ld_price_table][/vc_column_inner][vc_column_inner width="5/6" el_class="z-index-2" offset="vc_col-md-offset-0 vc_col-md-4 vc_col-sm-offset-1"][ld_price_table template="style08" featured="yes" show_button="yes" pt_style="btn-solid" pt_title="Get Started" pt_shape="circle" pt_size="btn-lg" pt_width="btn-block" pt_i_type="linea" pt_i_add_icon="true" title="Popular Plan" price="<small>$</small>38<small>/mo</small>" pt_i_icon_linea="lqd-icn-ess icon-md-arrow-forward" pt_i_margin_left="1em" pt_color="rgb(255, 255, 255)" pt_hover_color="rgb(0, 0, 0)" pt_text_color="rgb(0, 0, 0)" pt_htext_color="rgb(255, 255, 255)" pt_lh="text_small:1.15em" bg_color="rgb(38, 52, 75)"]</p>
<ul style="font-size: 19px;">
<li>Hosting Space <strong>700GB</strong></li>
<li>Emails <strong>Unlimited</strong></li>
<li>Pricing Feature <strong>Available</strong></li>
<li>Bonus Plugins <strong>Included</strong></li>
<li>Exclusive Support <strong>Yesß</strong></li>
</ul>
<p>[/ld_price_table][/vc_column_inner][vc_column_inner width="5/6" offset="vc_col-md-offset-0 vc_col-md-4 vc_col-sm-offset-1"][ld_price_table template="style08" show_button="yes" pt_style="btn-default" pt_title="Get Started" pt_shape="circle" pt_size="btn-lg" pt_width="btn-block" pt_i_type="linea" pt_i_add_icon="true" title="Exclusive Plan" price="<small>$</small>88<small>/mo</small>" pt_i_icon_linea="lqd-icn-ess icon-md-arrow-forward" pt_i_margin_left="1em" pt_color="rgba(17, 36, 70, 0.06)" pt_hover_color="rgb(0, 0, 0)" pt_text_color="rgb(0, 0, 0)" pt_htext_color="rgb(255, 255, 255)" pt_lh="text_small:1.15em"]</p>
<ul>
<li>Hosting Space <strong>900GB</strong></li>
<li>Emails <strong>Unlimited</strong></li>
<li>Pricing Feature <strong>Available</strong></li>
<li>Exclusive Support <strong>Available</strong></li>
</ul>
<p>[/ld_price_table][/vc_column_inner][/vc_row_inner][/ld_tab_section][ld_tab_section title="Monthly" tab_id="ld-1572862058362-00a3cbb2-16be"][vc_row_inner content_placement="middle" gap="0" css=".vc_custom_1572859074831{margin-bottom: -400px !important;padding-top: 40px !important;}"][vc_column_inner width="5/6" offset="vc_col-md-offset-0 vc_col-md-4 vc_col-sm-offset-1"][ld_price_table template="style08" show_button="yes" pt_style="btn-default" pt_title="Get Started" pt_shape="circle" pt_size="btn-lg" pt_width="btn-block" pt_i_type="linea" pt_i_add_icon="true" title="Simple Plan" price="<small>$</small>7.90<small>/mo</small>" pt_i_icon_linea="lqd-icn-ess icon-md-arrow-forward" pt_i_margin_left="1em" pt_color="rgba(17, 36, 70, 0.06)" pt_hover_color="rgb(0, 0, 0)" pt_text_color="rgb(0, 0, 0)" pt_htext_color="rgb(255, 255, 255)" pt_lh="text_small:1.15em"]</p>
<ul>
<li>Hosting Space <strong>300GB</strong></li>
<li>Emails <strong>Unlimited</strong></li>
<li>Pricing Feature <strong>Available</strong></li>
<li>Exclusive Support <strong>Not Avai.</strong></li>
</ul>
<p>[/ld_price_table][/vc_column_inner][vc_column_inner width="5/6" el_class="z-index-2" offset="vc_col-md-offset-0 vc_col-md-4 vc_col-sm-offset-1"][ld_price_table template="style08" featured="yes" show_button="yes" pt_style="btn-solid" pt_title="Get Started" pt_shape="circle" pt_size="btn-lg" pt_width="btn-block" pt_i_type="linea" pt_i_add_icon="true" title="Popular Plan" price="<small>$</small>38<small>/mo</small>" pt_i_icon_linea="lqd-icn-ess icon-md-arrow-forward" pt_i_margin_left="1em" pt_color="rgb(255, 255, 255)" pt_hover_color="rgb(0, 0, 0)" pt_text_color="rgb(0, 0, 0)" pt_htext_color="rgb(255, 255, 255)" pt_lh="text_small:1.15em" bg_color="rgb(38, 52, 75)"]</p>
<ul style="font-size: 19px;">
<li>Hosting Space <strong>700GB</strong></li>
<li>Emails <strong>Unlimited</strong></li>
<li>Pricing Feature <strong>Available</strong></li>
<li>Bonus Plugins <strong>Included</strong></li>
<li>Exclusive Support <strong>Yes</strong></li>
</ul>
<p>[/ld_price_table][/vc_column_inner][vc_column_inner width="5/6" offset="vc_col-md-offset-0 vc_col-md-4 vc_col-sm-offset-1"][ld_price_table template="style08" show_button="yes" pt_style="btn-default" pt_title="Get Started" pt_shape="circle" pt_size="btn-lg" pt_width="btn-block" pt_i_type="linea" pt_i_add_icon="true" title="Exclusive Plan" price="<small>$</small>88<small>/mo</small>" pt_i_icon_linea="lqd-icn-ess icon-md-arrow-forward" pt_i_margin_left="1em" pt_color="rgba(17, 36, 70, 0.06)" pt_hover_color="rgb(0, 0, 0)" pt_text_color="rgb(0, 0, 0)" pt_htext_color="rgb(255, 255, 255)" pt_lh="text_small:1.15em"]</p>
<ul>
<li>Hosting Space <strong>900GB</strong></li>
<li>Emails <strong>Unlimited</strong></li>
<li>Pricing Feature <strong>Available</strong></li>
<li>Exclusive Support <strong>Available</strong></li>
</ul>
<p>[/ld_price_table][/vc_column_inner][/vc_row_inner][/ld_tab_section][/ld_tabs][/vc_column][/vc_row]</p>
CONTENT;
	$templates[] = $data;

	//Pricing 10 - classic
	$data = array();
	$data['name'] = esc_html__( 'Pricing 10', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'pricing-10.jpg' );
	$data['sort_name'] = 'Pricing';
	$data['custom_class'] = 'general pricing';
	$data['content'] = <<<CONTENT
	[vc_row enable_gradient="yes" enable_row_dividers="yes" gradient_bg="linear-gradient(40deg, rgb(46, 52, 67) 0.3184713375796178%, rgb(50, 51, 74) 50.318471337579616%, #3b4157 100%)" css=".vc_custom_1614781260982{padding-top: 145px !important;padding-bottom: 40px !important;}" row_svg_divider="bottom_shape_type:12|bottom_shape_color:%23ffffff|bottom_shape_height:84" responsive_css="padding_bottom_medium:60px"][vc_column offset="vc_col-md-offset-2 vc_col-md-8" responsive_align="text-center" css=".vc_custom_1610696620249{margin-bottom: 35px !important;}"][ld_fancy_heading use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_medium:73px|text_small:62px" margin="bottom_small:0.2em"]Pricing Tables[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.6)" fs="text_small:18px" lh="text_small:1.2em" margin="right_all:25%25|left_all:25%25|right_large:15%25|left_large:15%25|bottom_small:1em"]Hub IT allows your business and technology computers to store and analyze.[/ld_fancy_heading][ld_button style="btn-naked" link_type="scroll_to_section" i_type="linea" i_position="bottom" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-down" i_size="18px" color="rgb(255, 255, 255)"][ld_images_group_container parallax="yes" move_to_parent_row="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" absolute_pos="yes" position="top_medium:-105%25|top_small:-45%25|left_small:0px" translate_from_y="-200" translate_to_y="133"][ld_images_group_element img_size="50%" image="301"][/ld_images_group_element][/ld_images_group_container][/vc_column][/vc_row][vc_row full_width="stretch_row" gap="0" content_placement="bottom" css=".vc_custom_1573802178517{padding-top: 75px !important;padding-right: 15px !important;padding-bottom: 75px !important;padding-left: 15px !important;}" responsive_css="padding_right_medium:7%25|padding_left_medium:7%25"][vc_column width="1/2" offset="vc_col-md-3" css=".vc_custom_1573802578342{border-top-width: 1px !important;border-right-width: 1px !important;border-right-color: #e7ecf0 !important;border-right-style: solid !important;border-top-color: #e7ecf0 !important;border-top-style: solid !important;}"][ld_price_table template="style11" show_button="yes" pt_style="btn-default" pt_title="Join this Plan" pt_shape="circle" pt_size="btn-sm" pt_border="border-thick" title="Free" subtitle="The most basic plan" description="This plan includes sending or receiving messages" price="<small>$</small>0<small>always free</small>" pt_color="rgb(0, 49, 121)" pt_text_color="rgb(0, 49, 121)" pt_fs="16px" pt_lh="1.15em" accent_color="rgb(0, 49, 121)" h_color="rgb(0, 49, 121)" pt_css=".vc_custom_1606461204920{padding-right: 0.5em !important;padding-left: 0.5em !important;}"]</p>
<ul>
<li><i class="lqd-icn-ess icon-ion-ios-checkmark" style="color: #07cc99;"></i>300 GB Storage</li>
<li><i class="lqd-icn-ess icon-ion-ios-checkmark" style="color: #07cc99;"></i>Unlimited Photos and Videos</li>
<li><i class="lqd-icn-ess icon-ion-ios-checkmark" style="color: #07cc99;"></i>Exclusive Support</li>
<li class="feature-inactive"><i class="lqd-icn-ess icon-ion-ios-checkmark invisible" style="color: #07cc99;"></i>Custom Branding Strategy</li>
<li class="feature-inactive"><i class="lqd-icn-ess icon-ion-ios-checkmark invisible" style="color: #07cc99;"></i>Free SEO Tools</li>
</ul>
<p>[/ld_price_table][/vc_column][vc_column width="1/2" offset="vc_col-md-3" css=".vc_custom_1573802605469{border-top-width: 1px !important;border-right-width: 1px !important;border-right-color: #e7ecf0 !important;border-right-style: solid !important;border-top-color: #e7ecf0 !important;border-top-style: solid !important;}"][ld_price_table template="style11" featured="yes" featured_tag="yes" show_button="yes" pt_style="btn-solid" pt_title="Join this Plan" pt_shape="circle" pt_size="btn-sm" pt_border="border-thick" title="Basic" subtitle="The most basic plan" description="This plan includes sending or receiving messages" price="<small>$</small>29<small>monthly</small>" pt_color="rgb(0, 49, 121)" pt_fs="16px" pt_lh="1.15em" accent_color="rgb(245, 248, 250)" h_color="rgb(0, 49, 121)" pt_css=".vc_custom_1606461183891{padding-right: 0.5em !important;padding-left: 0.5em !important;}" featured_label="Popular" price_color="rgb(0, 49, 121)" featured_txt_color="rgb(86, 90, 98)"]</p>
<ul>
<li><i class="lqd-icn-ess icon-ion-ios-checkmark" style="color: #07cc99;"></i>300 GB Storage</li>
<li><i class="lqd-icn-ess icon-ion-ios-checkmark" style="color: #07cc99;"></i>Unlimited Photos and Videos</li>
<li><i class="lqd-icn-ess icon-ion-ios-checkmark" style="color: #07cc99;"></i>Exclusive Support</li>
<li class="feature-inactive"><i class="lqd-icn-ess icon-ion-ios-checkmark invisible" style="color: #07cc99;"></i>Custom Branding Strategy</li>
<li class="feature-inactive"><i class="lqd-icn-ess icon-ion-ios-checkmark invisible" style="color: #07cc99;"></i>Free SEO Tools</li>
</ul>
<p>[/ld_price_table][/vc_column][vc_column width="1/2" offset="vc_col-md-3" css=".vc_custom_1573802614319{border-top-width: 1px !important;border-right-width: 1px !important;border-right-color: #e7ecf0 !important;border-right-style: solid !important;border-top-color: #e7ecf0 !important;border-top-style: solid !important;}"][ld_price_table template="style11" show_button="yes" pt_style="btn-default" pt_title="Join this Plan" pt_shape="circle" pt_size="btn-sm" pt_border="border-thick" title="Premium" subtitle="The most basic plan" description="This plan includes sending or receiving messages" price="<small>$</small>39<small>monthly</small>" pt_color="rgb(0, 49, 121)" pt_text_color="rgb(0, 49, 121)" pt_fs="16px" pt_lh="1.15em" accent_color="rgb(0, 49, 121)" h_color="rgb(0, 49, 121)" pt_css=".vc_custom_1606461248534{padding-right: 0.5em !important;padding-left: 0.5em !important;}"]</p>
<ul>
<li><i class="lqd-icn-ess icon-ion-ios-checkmark" style="color: #07cc99;"></i>300 GB Storage</li>
<li><i class="lqd-icn-ess icon-ion-ios-checkmark" style="color: #07cc99;"></i>Unlimited Photos and Videos</li>
<li><i class="lqd-icn-ess icon-ion-ios-checkmark" style="color: #07cc99;"></i>Exclusive Support</li>
<li><i class="lqd-icn-ess icon-ion-ios-checkmark" style="color: #07cc99;"></i>Custom Branding Strategy</li>
<li class="feature-inactive"><i class="lqd-icn-ess icon-ion-ios-checkmark invisible" style="color: #07cc99;"></i>Free SEO Tools</li>
</ul>
<p>[/ld_price_table][/vc_column][vc_column width="1/2" offset="vc_col-md-3" css=".vc_custom_1573802632550{border-top-width: 1px !important;border-top-color: #e7ecf0 !important;border-top-style: solid !important;}"][ld_price_table template="style11" show_button="yes" pt_style="btn-default" pt_title="Join this Plan" pt_shape="circle" pt_size="btn-sm" pt_border="border-thick" title="Exclusive" subtitle="The most basic plan" description="This plan includes sending or receiving messages" price="<small>$</small>49<small>monthly</small>" pt_color="rgb(0, 49, 121)" pt_text_color="rgb(0, 49, 121)" pt_fs="16px" pt_lh="1.15em" accent_color="rgb(0, 49, 121)" h_color="rgb(0, 49, 121)" pt_css=".vc_custom_1606461296712{padding-right: 0.5em !important;padding-left: 0.5em !important;}"]</p>
<ul>
<li><i class="lqd-icn-ess icon-ion-ios-checkmark style="></i>300 GB Storage</li>
<li><i class="lqd-icn-ess icon-ion-ios-checkmark style="></i>Unlimited Photos and Videos</li>
<li><i class="lqd-icn-ess icon-ion-ios-checkmark" style="color: #07cc99;"></i>Exclusive Support</li>
<li><i class="lqd-icn-ess icon-ion-ios-checkmark" style="color: #07cc99;"></i>Custom Branding Strategy</li>
<li><i class="lqd-icn-ess icon-ion-ios-checkmark" style="color: #07cc99;"></i>Free SEO Tools</li>
</ul>
<p>[/ld_price_table][/vc_column][vc_column align="text-center" offset="vc_col-md-offset-3 vc_col-md-6" css=".vc_custom_1573803183586{margin-top: 100px !important;}" responsive_align="text-center"][ld_fancy_heading tag="h4" use_custom_fonts_title="true" color="rgb(0, 35, 82)" fs="text_small:23px"]Looking for a company solution?[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="17px"]<span style="text-decoration: underline;">Contact our team</span> to get a quote.[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Pricing 11 - classic
	$data = array();
	$data['name'] = esc_html__( 'Pricing 11', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'pricing-11.jpg' );
	$data['sort_name'] = 'Pricing';
	$data['custom_class'] = 'general pricing';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1618494732150{padding-top: 120px !important;padding-bottom: 30px !important;}" el_id="pricing" responsive_css="padding_top_medium:200px|padding_bottom_medium:60px"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" align="text-center" offset="vc_col-lg-offset-3 vc_col-lg-6 vc_col-md-offset-2 vc_col-md-8" responsive_css="padding_right_medium:5%25|padding_left_medium:5%25" ca_duration="1800" ca_delay="180" ca_init_translate_y="45" css=".vc_custom_1575013814102{margin-bottom: 30px !important;}" responsive_align="text-center"][ld_fancy_heading tag="h2" use_inheritance="true"]Pricing Plans[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:19px" lh="text_small:31px" margin="bottom_small:2em"]Choose a pre-built header or create a custom layout that perfectly suits your needs.[/ld_fancy_heading][/vc_column][vc_column][ld_tabs style="style03" nav_alignment="justify-content-md-center" use_custom_fonts_nav="true" fs="15px"][ld_tab_section title="Monthly Pricing" tab_id="lqd-1575013950022-b7b2c073-ebff"][vc_row_inner css=".vc_custom_1614767985588{padding-top: 30px !important;}"][vc_column_inner width="1/2" align="text-center" offset="vc_col-md-4" css=".vc_custom_1607342902408{margin-bottom: 30px !important;border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 35px !important;padding-right: 45px !important;padding-bottom: 35px !important;padding-left: 45px !important;border-left-color: rgba(0,0,0,0.1) !important;border-left-style: solid !important;border-right-color: rgba(0,0,0,0.1) !important;border-right-style: solid !important;border-top-color: rgba(0,0,0,0.1) !important;border-top-style: solid !important;border-bottom-color: rgba(0,0,0,0.1) !important;border-bottom-style: solid !important;}" responsive_align="text-center"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="22px" margin="bottom_small:0.75em"]Basic Plan[/ld_fancy_heading][ld_fancy_heading tag="h5" enable_bg="yes" use_custom_fonts_title="true" color="rgb(116, 116, 116)" fs="14px" padding="top_small:6px|right_small:22px|bottom_small:6px|left_small:22px" fh_bg="rgb(250, 250, 250)" fw="400" margin="bottom_small:1em"]Free for a month[/ld_fancy_heading][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="50px" fw="400" margin="top_small:0.25em|bottom_small:0.5em"]<span style="color: #000000;"><small>$</small>3.90</span> <small style="color: rgba(0,0,0,0.4); font-size: 16px;">month</small>[/ld_fancy_heading][ld_button style="btn-solid" title="Join Free Plan" transformation="text-uppercase" shape="round" size="btn-md" width="btn-block" htext_color="rgb(255, 255, 255)" color="rgba(16, 114, 250, 0.04)" text_color="rgb(16, 114, 250)"][ld_spacer height="40px"][ld_icon_box i_type="linea" heading_size="custom" position="iconbox-inline" alignment="text-left" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title_mb="1" custom_heading_size="15px" icon_size="18px" icon_mb="0" i_color="rgb(51, 228, 155)" title="Unlimited Disk Space" css=".vc_custom_1597138866874{margin-bottom: 10px !important;}"][/ld_icon_box][ld_icon_box i_type="linea" heading_size="custom" position="iconbox-inline" alignment="text-left" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title_mb="1" custom_heading_size="15px" icon_size="18px" icon_mb="0" i_color="rgb(51, 228, 155)" title="300+ Company Benefits" css=".vc_custom_1597138877679{margin-bottom: 10px !important;}"][/ld_icon_box][ld_icon_box i_type="linea" heading_size="custom" position="iconbox-inline" alignment="text-left" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title_mb="1" custom_heading_size="15px" icon_size="18px" icon_mb="0" i_color="rgb(51, 228, 155)" title="Exclusive Support" css=".vc_custom_1597138886085{margin-bottom: 10px !important;}"][/ld_icon_box][ld_icon_box i_type="linea" heading_size="custom" position="iconbox-inline" alignment="text-left" i_icon_linea="lqd-icn-ess icon-ion-ios-close" title_mb="1" custom_heading_size="15px" icon_size="18px" icon_mb="0" i_color="rgb(228, 51, 74)" title="Free API Integration" css=".vc_custom_1597138893669{margin-bottom: 10px !important;}" h_color="rgb(175, 175, 175)"][/ld_icon_box][ld_icon_box i_type="linea" heading_size="custom" position="iconbox-inline" alignment="text-left" i_icon_linea="lqd-icn-ess icon-ion-ios-close" title_mb="1" custom_heading_size="15px" icon_size="18px" icon_mb="0" i_color="rgb(228, 51, 74)" title="Unlimited Emails" css=".vc_custom_1597138901304{margin-bottom: 10px !important;}" h_color="rgb(165, 165, 165)"][/ld_icon_box][/vc_column_inner][vc_column_inner width="1/2" align="text-center" offset="vc_col-md-4" css=".vc_custom_1607342911642{margin-bottom: 30px !important;border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 35px !important;padding-right: 45px !important;padding-bottom: 35px !important;padding-left: 45px !important;border-left-color: rgba(0,0,0,0.1) !important;border-left-style: solid !important;border-right-color: rgba(0,0,0,0.1) !important;border-right-style: solid !important;border-top-color: rgba(0,0,0,0.1) !important;border-top-style: solid !important;border-bottom-color: rgba(0,0,0,0.1) !important;border-bottom-style: solid !important;}" responsive_align="text-center"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="22px" margin="bottom_small:0.75em"]Standard Plan[/ld_fancy_heading][ld_fancy_heading tag="h5" enable_bg="yes" use_custom_fonts_title="true" color="rgb(116, 116, 116)" fs="14px" padding="top_small:6px|right_small:22px|bottom_small:6px|left_small:22px" fh_bg="rgb(250, 250, 250)" fw="400" margin="bottom_small:1em"]Most Popular[/ld_fancy_heading][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="50px" fw="400" margin="top_small:0.25em|bottom_small:0.5em"]<span style="color: #000000;"><small>$</small>8.90</span> <small style="color: rgba(0,0,0,0.4); font-size: 16px;">month</small>[/ld_fancy_heading][ld_button style="btn-solid" title="Join Free Plan" transformation="text-uppercase" shape="round" size="btn-md" width="btn-block"][ld_spacer height="40px"][ld_icon_box i_type="linea" heading_size="custom" position="iconbox-inline" alignment="text-left" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title_mb="1" custom_heading_size="15px" icon_size="18px" icon_mb="0" i_color="rgb(51, 228, 155)" title="Unlimited Disk Space" css=".vc_custom_1597138908872{margin-bottom: 10px !important;}"][/ld_icon_box][ld_icon_box i_type="linea" heading_size="custom" position="iconbox-inline" alignment="text-left" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title_mb="1" custom_heading_size="15px" icon_size="18px" icon_mb="0" i_color="rgb(51, 228, 155)" title="300+ Company Benefits" css=".vc_custom_1597138915738{margin-bottom: 10px !important;}"][/ld_icon_box][ld_icon_box i_type="linea" heading_size="custom" position="iconbox-inline" alignment="text-left" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title_mb="1" custom_heading_size="15px" icon_size="18px" icon_mb="0" i_color="rgb(51, 228, 155)" title="Exclusive Support" css=".vc_custom_1597138922817{margin-bottom: 10px !important;}"][/ld_icon_box][ld_icon_box i_type="linea" heading_size="custom" position="iconbox-inline" alignment="text-left" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title_mb="1" custom_heading_size="15px" icon_size="18px" icon_mb="0" i_color="rgb(51, 228, 155)" title="Free API Integration" css=".vc_custom_1597138931358{margin-bottom: 10px !important;}"][/ld_icon_box][ld_icon_box i_type="linea" heading_size="custom" position="iconbox-inline" alignment="text-left" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title_mb="1" custom_heading_size="15px" icon_size="18px" icon_mb="0" i_color="rgb(51, 228, 155)" title="Unlimited Emails" css=".vc_custom_1597138826823{margin-bottom: 6px !important;}"][/ld_icon_box][/vc_column_inner][vc_column_inner width="1/2" align="text-center" offset="vc_col-md-4" css=".vc_custom_1607342919534{margin-bottom: 30px !important;border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 35px !important;padding-right: 45px !important;padding-bottom: 35px !important;padding-left: 45px !important;border-left-color: rgba(0,0,0,0.1) !important;border-left-style: solid !important;border-right-color: rgba(0,0,0,0.1) !important;border-right-style: solid !important;border-top-color: rgba(0,0,0,0.1) !important;border-top-style: solid !important;border-bottom-color: rgba(0,0,0,0.1) !important;border-bottom-style: solid !important;}" responsive_align="text-center"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="22px" margin="bottom_small:0.75em"]Exclusive Plan[/ld_fancy_heading][ld_fancy_heading tag="h5" enable_bg="yes" use_custom_fonts_title="true" color="rgb(116, 116, 116)" fs="14px" padding="top_small:6px|right_small:22px|bottom_small:6px|left_small:22px" fh_bg="rgb(250, 250, 250)" fw="400" margin="bottom_small:1em"]Free for a month[/ld_fancy_heading][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="50px" fw="400" margin="top_small:0.25em|bottom_small:0.5em"]<span style="color: #000000;"><small>$</small>9.90</span> <small style="color: rgba(0,0,0,0.4); font-size: 16px;">month</small>[/ld_fancy_heading][ld_button style="btn-solid" title="Join Free Plan" transformation="text-uppercase" shape="round" size="btn-md" width="btn-block" htext_color="rgb(255, 255, 255)" color="rgba(16, 114, 250, 0.04)" text_color="rgb(16, 114, 250)"][ld_spacer height="40px"][ld_icon_box i_type="linea" heading_size="custom" position="iconbox-inline" alignment="text-left" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title_mb="1" custom_heading_size="15px" icon_size="18px" icon_mb="0" i_color="rgb(51, 228, 155)" title="Unlimited Disk Space" css=".vc_custom_1597138940261{margin-bottom: 10px !important;}"][/ld_icon_box][ld_icon_box i_type="linea" heading_size="custom" position="iconbox-inline" alignment="text-left" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title_mb="1" custom_heading_size="15px" icon_size="18px" icon_mb="0" i_color="rgb(51, 228, 155)" title="300+ Company Benefits" css=".vc_custom_1597138948222{margin-bottom: 10px !important;}"][/ld_icon_box][ld_icon_box i_type="linea" heading_size="custom" position="iconbox-inline" alignment="text-left" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title_mb="1" custom_heading_size="15px" icon_size="18px" icon_mb="0" i_color="rgb(51, 228, 155)" title="Exclusive Support" css=".vc_custom_1597138956883{margin-bottom: 10px !important;}"][/ld_icon_box][ld_icon_box i_type="linea" heading_size="custom" position="iconbox-inline" alignment="text-left" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title_mb="1" custom_heading_size="15px" icon_size="18px" icon_mb="0" i_color="rgb(51, 228, 155)" title="Free API Integration" css=".vc_custom_1595519053328{margin-bottom: 6px !important;}"][/ld_icon_box][ld_icon_box i_type="linea" heading_size="custom" position="iconbox-inline" alignment="text-left" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title_mb="1" custom_heading_size="15px" icon_size="18px" icon_mb="0" i_color="rgb(51, 228, 155)" title="Unlimited Emails" css=".vc_custom_1595519045221{margin-bottom: 6px !important;}"][/ld_icon_box][/vc_column_inner][/vc_row_inner][/ld_tab_section][ld_tab_section title="Annual Pricing (Save up to $199)" tab_id="1598527758469-ede12025-dff8"][vc_row_inner css=".vc_custom_1575015129010{padding-top: 30px !important;}"][vc_column_inner width="1/2" align="text-center" offset="vc_col-md-4" css=".vc_custom_1607342972670{margin-bottom: 30px !important;border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 35px !important;padding-right: 45px !important;padding-bottom: 35px !important;padding-left: 45px !important;border-left-color: rgba(0,0,0,0.1) !important;border-left-style: solid !important;border-right-color: rgba(0,0,0,0.1) !important;border-right-style: solid !important;border-top-color: rgba(0,0,0,0.1) !important;border-top-style: solid !important;border-bottom-color: rgba(0,0,0,0.1) !important;border-bottom-style: solid !important;}" responsive_align="text-center"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="22px" margin="bottom_small:0.75em"]Basic Plan[/ld_fancy_heading][ld_fancy_heading tag="h5" enable_bg="yes" use_custom_fonts_title="true" color="rgb(116, 116, 116)" fs="14px" padding="top_small:6px|right_small:22px|bottom_small:6px|left_small:22px" fh_bg="rgb(250, 250, 250)" fw="400" margin="bottom_small:1em"]Free for a month[/ld_fancy_heading][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="50px" fw="400" margin="top_small:0.25em|bottom_small:0.5em"]<span style="color: #000000;"><small>$</small>3.90</span> <small style="color: rgba(0,0,0,0.4); font-size: 16px;">month</small>[/ld_fancy_heading][ld_button style="btn-solid" title="Join Free Plan" transformation="text-uppercase" shape="round" size="btn-lg" width="btn-block" htext_color="rgb(255, 255, 255)" color="rgba(16, 114, 250, 0.04)" text_color="rgb(16, 114, 250)"][ld_spacer height="40px"][ld_icon_box i_type="linea" heading_size="custom" position="iconbox-inline" alignment="text-left" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title_mb="1" custom_heading_size="15px" icon_size="18px" icon_mb="0" i_color="rgb(51, 228, 155)" title="Unlimited Disk Space" css=".vc_custom_1597138866874{margin-bottom: 10px !important;}"][/ld_icon_box][ld_icon_box i_type="linea" heading_size="custom" position="iconbox-inline" alignment="text-left" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title_mb="1" custom_heading_size="15px" icon_size="18px" icon_mb="0" i_color="rgb(51, 228, 155)" title="300+ Company Benefits" css=".vc_custom_1597138877679{margin-bottom: 10px !important;}"][/ld_icon_box][ld_icon_box i_type="linea" heading_size="custom" position="iconbox-inline" alignment="text-left" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title_mb="1" custom_heading_size="15px" icon_size="18px" icon_mb="0" i_color="rgb(51, 228, 155)" title="Exclusive Support" css=".vc_custom_1597138886085{margin-bottom: 10px !important;}"][/ld_icon_box][ld_icon_box i_type="linea" heading_size="custom" position="iconbox-inline" alignment="text-left" i_icon_linea="lqd-icn-ess icon-ion-ios-close" title_mb="1" custom_heading_size="15px" icon_size="18px" icon_mb="0" i_color="rgb(228, 51, 74)" title="Free API Integration" css=".vc_custom_1597138893669{margin-bottom: 10px !important;}" h_color="rgb(175, 175, 175)"][/ld_icon_box][ld_icon_box i_type="linea" heading_size="custom" position="iconbox-inline" alignment="text-left" i_icon_linea="lqd-icn-ess icon-ion-ios-close" title_mb="1" custom_heading_size="15px" icon_size="18px" icon_mb="0" i_color="rgb(228, 51, 74)" title="Unlimited Emails" css=".vc_custom_1597138901304{margin-bottom: 10px !important;}" h_color="rgb(165, 165, 165)"][/ld_icon_box][/vc_column_inner][vc_column_inner width="1/2" align="text-center" offset="vc_col-md-4" css=".vc_custom_1607342979138{margin-bottom: 30px !important;border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 35px !important;padding-right: 45px !important;padding-bottom: 35px !important;padding-left: 45px !important;border-left-color: rgba(0,0,0,0.1) !important;border-left-style: solid !important;border-right-color: rgba(0,0,0,0.1) !important;border-right-style: solid !important;border-top-color: rgba(0,0,0,0.1) !important;border-top-style: solid !important;border-bottom-color: rgba(0,0,0,0.1) !important;border-bottom-style: solid !important;}" responsive_align="text-center"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="22px" margin="bottom_small:0.75em"]Standard Plan[/ld_fancy_heading][ld_fancy_heading tag="h5" enable_bg="yes" use_custom_fonts_title="true" color="rgb(116, 116, 116)" fs="14px" padding="top_small:6px|right_small:22px|bottom_small:6px|left_small:22px" fh_bg="rgb(250, 250, 250)" fw="400" margin="bottom_small:1em"]Most Popular[/ld_fancy_heading][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="50px" fw="400" margin="top_small:0.25em|bottom_small:0.5em"]<span style="color: #000000;"><small>$</small>8.90</span> <small style="color: rgba(0,0,0,0.4); font-size: 16px;">month</small>[/ld_fancy_heading][ld_button style="btn-solid" title="Join Free Plan" transformation="text-uppercase" shape="round" size="btn-lg" width="btn-block"][ld_spacer height="40px"][ld_icon_box i_type="linea" heading_size="custom" position="iconbox-inline" alignment="text-left" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title_mb="1" custom_heading_size="15px" icon_size="18px" icon_mb="0" i_color="rgb(51, 228, 155)" title="Unlimited Disk Space" css=".vc_custom_1597138908872{margin-bottom: 10px !important;}"][/ld_icon_box][ld_icon_box i_type="linea" heading_size="custom" position="iconbox-inline" alignment="text-left" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title_mb="1" custom_heading_size="15px" icon_size="18px" icon_mb="0" i_color="rgb(51, 228, 155)" title="300+ Company Benefits" css=".vc_custom_1597138915738{margin-bottom: 10px !important;}"][/ld_icon_box][ld_icon_box i_type="linea" heading_size="custom" position="iconbox-inline" alignment="text-left" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title_mb="1" custom_heading_size="15px" icon_size="18px" icon_mb="0" i_color="rgb(51, 228, 155)" title="Exclusive Support" css=".vc_custom_1597138922817{margin-bottom: 10px !important;}"][/ld_icon_box][ld_icon_box i_type="linea" heading_size="custom" position="iconbox-inline" alignment="text-left" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title_mb="1" custom_heading_size="15px" icon_size="18px" icon_mb="0" i_color="rgb(51, 228, 155)" title="Free API Integration" css=".vc_custom_1597138931358{margin-bottom: 10px !important;}"][/ld_icon_box][ld_icon_box i_type="linea" heading_size="custom" position="iconbox-inline" alignment="text-left" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title_mb="1" custom_heading_size="15px" icon_size="18px" icon_mb="0" i_color="rgb(51, 228, 155)" title="Unlimited Emails" css=".vc_custom_1597138826823{margin-bottom: 6px !important;}"][/ld_icon_box][/vc_column_inner][vc_column_inner width="1/2" align="text-center" offset="vc_col-md-4" css=".vc_custom_1607342986450{margin-bottom: 30px !important;border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 35px !important;padding-right: 45px !important;padding-bottom: 35px !important;padding-left: 45px !important;border-left-color: rgba(0,0,0,0.1) !important;border-left-style: solid !important;border-right-color: rgba(0,0,0,0.1) !important;border-right-style: solid !important;border-top-color: rgba(0,0,0,0.1) !important;border-top-style: solid !important;border-bottom-color: rgba(0,0,0,0.1) !important;border-bottom-style: solid !important;}" responsive_align="text-center"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="22px" margin="bottom_small:0.75em"]Exclusive Plan[/ld_fancy_heading][ld_fancy_heading tag="h5" enable_bg="yes" use_custom_fonts_title="true" color="rgb(116, 116, 116)" fs="14px" padding="top_small:6px|right_small:22px|bottom_small:6px|left_small:22px" fh_bg="rgb(250, 250, 250)" fw="400" margin="bottom_small:1em"]Free for a month[/ld_fancy_heading][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="50px" fw="400" margin="top_small:0.25em|bottom_small:0.5em"]<span style="color: #000000;"><small>$</small>9.90</span> <small style="color: rgba(0,0,0,0.4); font-size: 16px;">month</small>[/ld_fancy_heading][ld_button style="btn-solid" title="Join Free Plan" transformation="text-uppercase" shape="round" size="btn-lg" width="btn-block" htext_color="rgb(255, 255, 255)" color="rgba(16, 114, 250, 0.04)" text_color="rgb(16, 114, 250)"][ld_spacer height="40px"][ld_icon_box i_type="linea" heading_size="custom" position="iconbox-inline" alignment="text-left" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title_mb="1" custom_heading_size="15px" icon_size="18px" icon_mb="0" i_color="rgb(51, 228, 155)" title="Unlimited Disk Space" css=".vc_custom_1597138940261{margin-bottom: 10px !important;}"][/ld_icon_box][ld_icon_box i_type="linea" heading_size="custom" position="iconbox-inline" alignment="text-left" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title_mb="1" custom_heading_size="15px" icon_size="18px" icon_mb="0" i_color="rgb(51, 228, 155)" title="300+ Company Benefits" css=".vc_custom_1597138948222{margin-bottom: 10px !important;}"][/ld_icon_box][ld_icon_box i_type="linea" heading_size="custom" position="iconbox-inline" alignment="text-left" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title_mb="1" custom_heading_size="15px" icon_size="18px" icon_mb="0" i_color="rgb(51, 228, 155)" title="Exclusive Support" css=".vc_custom_1597138956883{margin-bottom: 10px !important;}"][/ld_icon_box][ld_icon_box i_type="linea" heading_size="custom" position="iconbox-inline" alignment="text-left" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title_mb="1" custom_heading_size="15px" icon_size="18px" icon_mb="0" i_color="rgb(51, 228, 155)" title="Free API Integration" css=".vc_custom_1595519053328{margin-bottom: 6px !important;}"][/ld_icon_box][ld_icon_box i_type="linea" heading_size="custom" position="iconbox-inline" alignment="text-left" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title_mb="1" custom_heading_size="15px" icon_size="18px" icon_mb="0" i_color="rgb(51, 228, 155)" title="Unlimited Emails" css=".vc_custom_1595519045221{margin-bottom: 6px !important;}"][/ld_icon_box][/vc_column_inner][/vc_row_inner][/ld_tab_section][ld_tab_section title="Company Plan" tab_id="1598527745471-e7a420dc-62b3"][vc_row_inner css=".vc_custom_1575015129010{padding-top: 30px !important;}"][vc_column_inner width="1/2" align="text-center" offset="vc_col-md-4" css=".vc_custom_1607342995517{margin-bottom: 30px !important;border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 35px !important;padding-right: 45px !important;padding-bottom: 35px !important;padding-left: 45px !important;border-left-color: rgba(0,0,0,0.1) !important;border-left-style: solid !important;border-right-color: rgba(0,0,0,0.1) !important;border-right-style: solid !important;border-top-color: rgba(0,0,0,0.1) !important;border-top-style: solid !important;border-bottom-color: rgba(0,0,0,0.1) !important;border-bottom-style: solid !important;}" responsive_align="text-center"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="22px" margin="bottom_small:0.75em"]Basic Plan[/ld_fancy_heading][ld_fancy_heading tag="h5" enable_bg="yes" use_custom_fonts_title="true" color="rgb(116, 116, 116)" fs="14px" padding="top_small:6px|right_small:22px|bottom_small:6px|left_small:22px" fh_bg="rgb(250, 250, 250)" fw="400" margin="bottom_small:1em"]Free for a month[/ld_fancy_heading][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="50px" fw="400" margin="top_small:0.25em|bottom_small:0.5em"]<span style="color: #000000;"><small>$</small>3.90</span> <small style="color: rgba(0,0,0,0.4); font-size: 16px;">month</small>[/ld_fancy_heading][ld_button style="btn-solid" title="Join Free Plan" transformation="text-uppercase" shape="round" size="btn-lg" width="btn-block" htext_color="rgb(255, 255, 255)" color="rgba(16, 114, 250, 0.04)" text_color="rgb(16, 114, 250)"][ld_spacer height="40px"][ld_icon_box i_type="linea" heading_size="custom" position="iconbox-inline" alignment="text-left" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title_mb="1" custom_heading_size="15px" icon_size="18px" icon_mb="0" i_color="rgb(51, 228, 155)" title="Unlimited Disk Space" css=".vc_custom_1597138866874{margin-bottom: 10px !important;}"][/ld_icon_box][ld_icon_box i_type="linea" heading_size="custom" position="iconbox-inline" alignment="text-left" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title_mb="1" custom_heading_size="15px" icon_size="18px" icon_mb="0" i_color="rgb(51, 228, 155)" title="300+ Company Benefits" css=".vc_custom_1597138877679{margin-bottom: 10px !important;}"][/ld_icon_box][ld_icon_box i_type="linea" heading_size="custom" position="iconbox-inline" alignment="text-left" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title_mb="1" custom_heading_size="15px" icon_size="18px" icon_mb="0" i_color="rgb(51, 228, 155)" title="Exclusive Support" css=".vc_custom_1597138886085{margin-bottom: 10px !important;}"][/ld_icon_box][ld_icon_box i_type="linea" heading_size="custom" position="iconbox-inline" alignment="text-left" i_icon_linea="lqd-icn-ess icon-ion-ios-close" title_mb="1" custom_heading_size="15px" icon_size="18px" icon_mb="0" i_color="rgb(228, 51, 74)" title="Free API Integration" css=".vc_custom_1597138893669{margin-bottom: 10px !important;}" h_color="rgb(175, 175, 175)"][/ld_icon_box][ld_icon_box i_type="linea" heading_size="custom" position="iconbox-inline" alignment="text-left" i_icon_linea="lqd-icn-ess icon-ion-ios-close" title_mb="1" custom_heading_size="15px" icon_size="18px" icon_mb="0" i_color="rgb(228, 51, 74)" title="Unlimited Emails" css=".vc_custom_1597138901304{margin-bottom: 10px !important;}" h_color="rgb(165, 165, 165)"][/ld_icon_box][/vc_column_inner][vc_column_inner width="1/2" align="text-center" offset="vc_col-md-4" css=".vc_custom_1607343001999{margin-bottom: 30px !important;border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 35px !important;padding-right: 45px !important;padding-bottom: 35px !important;padding-left: 45px !important;border-left-color: rgba(0,0,0,0.1) !important;border-left-style: solid !important;border-right-color: rgba(0,0,0,0.1) !important;border-right-style: solid !important;border-top-color: rgba(0,0,0,0.1) !important;border-top-style: solid !important;border-bottom-color: rgba(0,0,0,0.1) !important;border-bottom-style: solid !important;}" responsive_align="text-center"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="22px" margin="bottom_small:0.75em"]Standard Plan[/ld_fancy_heading][ld_fancy_heading tag="h5" enable_bg="yes" use_custom_fonts_title="true" color="rgb(116, 116, 116)" fs="14px" padding="top_small:6px|right_small:22px|bottom_small:6px|left_small:22px" fh_bg="rgb(250, 250, 250)" fw="400" margin="bottom_small:1em"]Most Popular[/ld_fancy_heading][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="50px" fw="400" margin="top_small:0.25em|bottom_small:0.5em"]<span style="color: #000000;"><small>$</small>8.90</span> <small style="color: rgba(0,0,0,0.4); font-size: 16px;">month</small>[/ld_fancy_heading][ld_button style="btn-solid" title="Join Free Plan" transformation="text-uppercase" shape="round" size="btn-lg" width="btn-block"][ld_spacer height="40px"][ld_icon_box i_type="linea" heading_size="custom" position="iconbox-inline" alignment="text-left" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title_mb="1" custom_heading_size="15px" icon_size="18px" icon_mb="0" i_color="rgb(51, 228, 155)" title="Unlimited Disk Space" css=".vc_custom_1597138908872{margin-bottom: 10px !important;}"][/ld_icon_box][ld_icon_box i_type="linea" heading_size="custom" position="iconbox-inline" alignment="text-left" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title_mb="1" custom_heading_size="15px" icon_size="18px" icon_mb="0" i_color="rgb(51, 228, 155)" title="300+ Company Benefits" css=".vc_custom_1597138915738{margin-bottom: 10px !important;}"][/ld_icon_box][ld_icon_box i_type="linea" heading_size="custom" position="iconbox-inline" alignment="text-left" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title_mb="1" custom_heading_size="15px" icon_size="18px" icon_mb="0" i_color="rgb(51, 228, 155)" title="Exclusive Support" css=".vc_custom_1597138922817{margin-bottom: 10px !important;}"][/ld_icon_box][ld_icon_box i_type="linea" heading_size="custom" position="iconbox-inline" alignment="text-left" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title_mb="1" custom_heading_size="15px" icon_size="18px" icon_mb="0" i_color="rgb(51, 228, 155)" title="Free API Integration" css=".vc_custom_1597138931358{margin-bottom: 10px !important;}"][/ld_icon_box][ld_icon_box i_type="linea" heading_size="custom" position="iconbox-inline" alignment="text-left" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title_mb="1" custom_heading_size="15px" icon_size="18px" icon_mb="0" i_color="rgb(51, 228, 155)" title="Unlimited Emails" css=".vc_custom_1597138826823{margin-bottom: 6px !important;}"][/ld_icon_box][/vc_column_inner][vc_column_inner width="1/2" align="text-center" offset="vc_col-md-4" css=".vc_custom_1607343013702{margin-bottom: 30px !important;border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 35px !important;padding-right: 45px !important;padding-bottom: 35px !important;padding-left: 45px !important;border-left-color: rgba(0,0,0,0.1) !important;border-left-style: solid !important;border-right-color: rgba(0,0,0,0.1) !important;border-right-style: solid !important;border-top-color: rgba(0,0,0,0.1) !important;border-top-style: solid !important;border-bottom-color: rgba(0,0,0,0.1) !important;border-bottom-style: solid !important;}" responsive_align="text-center"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="22px" margin="bottom_small:0.75em"]Exclusive Plan[/ld_fancy_heading][ld_fancy_heading tag="h5" enable_bg="yes" use_custom_fonts_title="true" color="rgb(116, 116, 116)" fs="14px" padding="top_small:6px|right_small:22px|bottom_small:6px|left_small:22px" fh_bg="rgb(250, 250, 250)" fw="400" margin="bottom_small:1em"]Free for a month[/ld_fancy_heading][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="50px" fw="400" margin="top_small:0.25em|bottom_small:0.5em"]<span style="color: #000000;"><small>$</small>9.90</span> <small style="color: rgba(0,0,0,0.4); font-size: 16px;">month</small>[/ld_fancy_heading][ld_button style="btn-solid" title="Join Free Plan" transformation="text-uppercase" shape="round" size="btn-lg" width="btn-block" htext_color="rgb(255, 255, 255)" color="rgba(16, 114, 250, 0.04)" text_color="rgb(16, 114, 250)"][ld_spacer height="40px"][ld_icon_box i_type="linea" heading_size="custom" position="iconbox-inline" alignment="text-left" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title_mb="1" custom_heading_size="15px" icon_size="18px" icon_mb="0" i_color="rgb(51, 228, 155)" title="Unlimited Disk Space" css=".vc_custom_1597138940261{margin-bottom: 10px !important;}"][/ld_icon_box][ld_icon_box i_type="linea" heading_size="custom" position="iconbox-inline" alignment="text-left" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title_mb="1" custom_heading_size="15px" icon_size="18px" icon_mb="0" i_color="rgb(51, 228, 155)" title="300+ Company Benefits" css=".vc_custom_1597138948222{margin-bottom: 10px !important;}"][/ld_icon_box][ld_icon_box i_type="linea" heading_size="custom" position="iconbox-inline" alignment="text-left" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title_mb="1" custom_heading_size="15px" icon_size="18px" icon_mb="0" i_color="rgb(51, 228, 155)" title="Exclusive Support" css=".vc_custom_1597138956883{margin-bottom: 10px !important;}"][/ld_icon_box][ld_icon_box i_type="linea" heading_size="custom" position="iconbox-inline" alignment="text-left" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title_mb="1" custom_heading_size="15px" icon_size="18px" icon_mb="0" i_color="rgb(51, 228, 155)" title="Free API Integration" css=".vc_custom_1595519053328{margin-bottom: 6px !important;}"][/ld_icon_box][ld_icon_box i_type="linea" heading_size="custom" position="iconbox-inline" alignment="text-left" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title_mb="1" custom_heading_size="15px" icon_size="18px" icon_mb="0" i_color="rgb(51, 228, 155)" title="Unlimited Emails" css=".vc_custom_1595519045221{margin-bottom: 6px !important;}"][/ld_icon_box][/vc_column_inner][/vc_row_inner][/ld_tab_section][/ld_tabs][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Pricing 12 - classic
	$data = array();
	$data['name'] = esc_html__( 'Pricing 12', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'pricing-12.jpg' );
	$data['sort_name'] = 'Pricing';
	$data['custom_class'] = 'general pricing';
	$data['content'] = <<<CONTENT
	[vc_row gap="0" content_placement="bottom" css=".vc_custom_1605958624180{padding-top: 60px !important;padding-bottom: 40px !important;}" el_id="pricing" responsive_css="padding_top_medium:80px|padding_bottom_medium:120px"][vc_column width="5/6" align="text-center" offset="vc_col-md-offset-2 vc_col-md-8 vc_col-sm-offset-1" responsive_align="text-md-center" responsive_css="padding_right_medium:0px|padding_left_medium:0px" css=".vc_custom_1607337971107{padding-right: 15px !important;padding-left: 15px !important;}"][ld_fancy_heading tag="h2" highlight_animation="lqd-highlight-grow-bottom" highlight_reset_onhover="lqd-highlight-reset-onhover" use_custom_fonts_title="true" fs="text_small:45px" lh="text_small:1.1em" margin="bottom_small:0.35em" highlight_color="rgba(103, 203, 195, 0.25)"]Mobile-first approach to [ld_highlight]video calls[/ld_highlight] and group chats.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:18px" lh="text_small:1.666em" ls="text_small:-0.01em" margin="right_large:0px|left_large:0px|right_small:10px|bottom_small:1.5em|left_small:10px"]Install any demo or template with a single click. You can mix and match all the demos &amp; templates. Every demo can be turned into one or multi-page.[/ld_fancy_heading][ld_spacer height="" sm_hide="vc_hidden-sm" sm_height="0px" md_height="20px" lg_height="70px"][/vc_column][vc_column width="2/3" offset="vc_col-md-offset-0 vc_col-md-4 vc_col-sm-offset-2" responsive_css="padding_right_medium:0px|padding_left_medium:0px" css=".vc_custom_1607339896294{padding-right: 15px !important;padding-left: 15px !important;}"][ld_price_table template="style11" show_button="yes" pt_style="btn-default" pt_title="Join this Plan" pt_border="border-thick" title="Free" subtitle="The most basic plan" description="This plan includes sending or receiving messages" price="<small>$</small>0<small>always free</small>" pt_color="rgb(0, 6, 69)" pt_text_color="rgb(0, 6, 69)" pt_fs="text_small:14px" pt_lh="text_small:1em" accent_color="rgb(0, 6, 69)" h_color="rgb(0, 6, 69)" pt_css=".vc_custom_1619430181514{padding-right: 0.5em !important;padding-left: 0.5em !important;}"]</p>
<ul>
<li><span style="font-size: 14px;"><i class="lqd-icn-ess icon-ion-ios-checkmark" style="color: #07cc99;"></i><span style="font-size: 16px;">300 GB Storage</span></span></li>
<li><span style="font-size: 16px;"><i class="lqd-icn-ess icon-ion-ios-checkmark" style="color: #07cc99;"></i>Unlimited Photos and Videos</span></li>
<li><span style="font-size: 16px;"><i class="lqd-icn-ess icon-ion-ios-checkmark" style="color: #07cc99;"></i>Exclusive Support</span></li>
<li class="feature-inactive"><span style="font-size: 16px;"><i class="lqd-icn-ess icon-ion-ios-checkmark invisible" style="color: #07cc99;"></i>Custom Branding Strategy</span></li>
<li class="feature-inactive"><span style="font-size: 16px;"><i class="lqd-icn-ess icon-ion-ios-checkmark invisible" style="color: #07cc99;"></i>Free SEO Tools</span></li>
</ul>
<p>[/ld_price_table][/vc_column][vc_column width="2/3" offset="vc_col-md-offset-0 vc_col-md-4 vc_col-sm-offset-2" responsive_css="padding_right_medium:0px|padding_left_medium:0px" css=".vc_custom_1607339909905{padding-right: 15px !important;padding-left: 15px !important;}"][ld_price_table template="style11" featured="yes" featured_tag="yes" show_button="yes" pt_style="btn-solid" pt_title="Get Started — it's free" pt_border="border-thick" title="Basic" subtitle="The most basic plan" description="This plan includes sending or receiving messages" price="<small>$</small>29<small>monthly</small>" pt_color="rgb(0, 6, 69)" pt_text_color="rgb(255, 255, 255)" pt_fs="text_small:14px" pt_lh="text_small:1.15em" accent_color="linear-gradient(115deg, rgb(247, 245, 255) 0%, #ebf9ff 100%)" h_color="rgb(0, 6, 69)" pt_css=".vc_custom_1619430192926{padding-right: 0.5em !important;padding-left: 0.5em !important;}" featured_label="Popular" price_color="rgb(0, 6, 69)" featured_txt_color="rgb(86, 90, 98)"]</p>
<ul>
<li><span style="font-size: 14px;"><i class="lqd-icn-ess icon-ion-ios-checkmark" style="color: #07cc99;"></i><span style="font-size: 16px;">300 GB Storage</span></span></li>
<li><span style="font-size: 16px;"><i class="lqd-icn-ess icon-ion-ios-checkmark" style="color: #07cc99;"></i>Unlimited Photos and Videos</span></li>
<li><span style="font-size: 16px;"><i class="lqd-icn-ess icon-ion-ios-checkmark" style="color: #07cc99;"></i>Exclusive Support</span></li>
<li class="feature-inactive"><span style="font-size: 16px;"><i class="lqd-icn-ess icon-ion-ios-checkmark invisible" style="color: #07cc99;"></i>Custom Branding Strategy</span></li>
<li class="feature-inactive"><span style="font-size: 16px;"><i class="lqd-icn-ess icon-ion-ios-checkmark invisible" style="color: #07cc99;"></i>Free SEO Tools</span></li>
</ul>
<p>[/ld_price_table][/vc_column][vc_column width="2/3" offset="vc_col-md-offset-0 vc_col-md-4 vc_col-sm-offset-2" responsive_css="padding_right_medium:0px|padding_left_medium:0px" css=".vc_custom_1607339923665{padding-right: 15px !important;padding-left: 15px !important;}"][ld_price_table template="style11" show_button="yes" pt_style="btn-default" pt_title="Join this Plan" pt_border="border-thick" title="Premium" subtitle="The most basic plan" description="This plan includes sending or receiving messages" price="<small>$</small>39<small>monthly</small>" pt_color="rgb(0, 6, 69)" pt_text_color="rgb(0, 6, 69)" pt_fs="text_small:14px" pt_lh="text_small:1em" accent_color="rgb(0, 6, 69)" h_color="rgb(0, 6, 69)" pt_css=".vc_custom_1619430205189{padding-right: 0.5em !important;padding-left: 0.5em !important;}"]</p>
<ul>
<li><span style="font-size: 14px;"><i class="lqd-icn-ess icon-ion-ios-checkmark" style="color: #07cc99;"></i><span style="font-size: 16px;">300 GB Storage</span></span></li>
<li><span style="font-size: 16px;"><i class="lqd-icn-ess icon-ion-ios-checkmark" style="color: #07cc99;"></i>Unlimited Photos and Videos</span></li>
<li><span style="font-size: 16px;"><i class="lqd-icn-ess icon-ion-ios-checkmark" style="color: #07cc99;"></i>Exclusive Support</span></li>
<li><span style="font-size: 16px;"><i class="lqd-icn-ess icon-ion-ios-checkmark" style="color: #07cc99;"></i>Custom Branding Strategy</span></li>
<li class="feature-inactive"><span style="font-size: 16px;"><i class="lqd-icn-ess icon-ion-ios-checkmark invisible" style="color: #07cc99;"></i>Free SEO Tools</span></li>
</ul>
<p>[/ld_price_table][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;	

	//Category Product
	//Product 1 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Product 01', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'product-1.jpg' );
	$data['sort_name'] = 'Product';
	$data['custom_class'] = 'general product';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1611152797537{padding-bottom: 40px !important;}" responsive_css="padding_top_medium:60px|padding_bottom_medium:60px"][vc_column align="text-center" offset="vc_col-md-offset-3 vc_col-md-6" css=".vc_custom_1606168712191{margin-bottom: 40px !important;}" responsive_align="text-center" responsive_css="margin_bottom_medium:60px"][ld_fancy_heading tag="h2" tag_to_inherite="h3" use_inheritance="true" margin="bottom_small:0.15em"]Shop Hub Products[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:13px" lh="text_small:1.5em" margin="bottom_small:0px"]Get discounts for a limited time only.[/ld_fancy_heading][/vc_column][vc_column][ld_woo_products_list template="grid" columns_gap="0" limit="3"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Product 2 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Product 02', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'product-2.jpg' );
	$data['sort_name'] = 'Product';
	$data['custom_class'] = 'general product';
	$data['content'] = <<<CONTENT
	[vc_row equal_height="yes" content_placement="middle" css=".vc_custom_1590732009527{padding-top: 30px !important;padding-bottom: 30px !important;}"][vc_column width="2/3" offset="vc_col-md-4 vc_col-xs-8"][ld_fancy_heading tag="h2" margin="bottom_large:0px"]Shop Furniture[/ld_fancy_heading][/vc_column][vc_column width="1/3" offset="vc_col-md-offset-2 vc_col-md-6 vc_col-xs-4" responsive_align="text-right" responsive_css="margin_bottom_medium:0px" css=".vc_custom_1607435540975{margin-bottom: 30px !important;}"][ld_button style="btn-underlined" title="See more" fs="12px" lh="1em"][/vc_column][vc_column][ld_spacer height="20px"][/vc_column][vc_column row_scale_bg_onhover="yes" enable_overlay="yes" enable_column_hover_shadowbox="yes" bg_position="center top" align="text-center" offset="vc_col-md-3" responsive_css="padding_right_large:40px|padding_left_large:40px|margin_bottom_medium:0px|padding_top_medium:235px|padding_top_small:500px" css=".vc_custom_1611133474167{margin-bottom: 30px !important;padding-top: 375px !important;padding-right: 15px !important;padding-bottom: 30px !important;padding-left: 15px !important;background-image: url(https://retailpro.liquid-themes.com/wp-content/uploads/2020/05/bg-7@2x.jpg?id=120) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;border-radius: 5px !important;}" overlay_bg="linear-gradient(0deg, rgba(0, 0, 0, 0.45) 0%, rgba(0, 0, 0, 0) 44.904458598726116%)" column_hover_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2225px%22%2C%22blur_radius%22%3A%2250px%22%2C%22spread_radius%22%3A%22-3px%22%2C%22shadow_color%22%3A%22rgba(0%2C%200%2C%200%2C%200.15)%22%7D%5D" responsive_align="text-center"][ld_fancy_heading tag="h2" color="rgb(255, 255, 255)"]Refresh your Kitchen.[/ld_fancy_heading][ld_button style="btn-solid" title="Starting from £88" shape="circle" size="btn-sm" i_type="linea" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-forward" color="rgb(255, 255, 255)" hover_color="rgb(0, 0, 0)" text_color="rgb(0, 0, 0)" htext_color="rgb(255, 255, 255)" fs="text_small:15px" lh="text_small:1.15em" link="url:https%3A%2F%2Fretailpro.liquid-themes.com%2Fproduct-category%2Fclothing%2F|||"][/vc_column][vc_column offset="vc_col-md-9" responsive_css="padding_right_medium:0px|padding_left_medium:0px" css=".vc_custom_1591878659602{padding-right: 15px !important;padding-left: 15px !important;}"][ld_woo_products_list template="carousel" columns_gap="13" prevnextbuttons="yes" navarrow="6" navfill="carousel-nav-solid" navshape="carousel-nav-circle" navhalign="carousel-nav-center" navfloated="carousel-nav-floated" navvalign="carousel-nav-middle" orderby="title" order="desc" limit="4" shapesize="40px" nav_arrow_color="rgb(0, 0, 0)" nav_arrow_color_hover="rgb(255, 255, 255)" nav_bg_color="rgb(245, 247, 252)" nav_bg_hcolor="rgb(0, 0, 0)" prevoffset="-7px" nextoffset="-7px"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Product 3 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Product 03', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'product-3.jpg' );
	$data['sort_name'] = 'Product';
	$data['custom_class'] = 'general product';
	$data['content'] = <<<CONTENT
	[vc_row equal_height="yes" content_placement="middle" css=".vc_custom_1590742057771{padding-top: 30px !important;padding-bottom: 30px !important;}"][vc_column row_scale_bg_onhover="yes" enable_overlay="yes" enable_column_hover_shadowbox="yes" bg_position="center top" align="text-center" offset="vc_col-md-3" responsive_css="padding_right_large:40px|padding_left_large:40px|margin_bottom_medium:0px|padding_top_medium:185px|padding_top_small:500px" css=".vc_custom_1611133483249{margin-bottom: 30px !important;padding-top: 375px !important;padding-right: 15px !important;padding-bottom: 30px !important;padding-left: 15px !important;background-image: url(https://retailpro.liquid-themes.com/wp-content/uploads/2020/08/cat-4@2x.jpg?id=342) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;border-radius: 5px !important;}" overlay_bg="linear-gradient(0deg, rgba(0, 0, 0, 0.45) 0%, rgba(0, 0, 0, 0) 44.904458598726116%)" column_hover_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2225px%22%2C%22blur_radius%22%3A%2250px%22%2C%22spread_radius%22%3A%22-3px%22%2C%22shadow_color%22%3A%22rgba(0%2C%200%2C%200%2C%200.15)%22%7D%5D" responsive_align="text-center"][ld_fancy_heading tag="h2" color="rgb(255, 255, 255)"]Starbucks Coffee-Latte.[/ld_fancy_heading][ld_button style="btn-solid" title="Shop Starbucks" shape="circle" size="btn-sm" i_type="linea" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-forward" color="rgb(255, 255, 255)" hover_color="rgb(0, 0, 0)" text_color="rgb(0, 0, 0)" htext_color="rgb(255, 255, 255)" fs="text_small:15px" lh="text_small:1.15em" link="url:https%3A%2F%2Fretailpro.liquid-themes.com%2Fproduct-category%2Fclothing%2F|||"][/vc_column][vc_column offset="vc_col-md-9"][vc_row_inner][vc_column_inner width="1/3"][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" fs="text_small:13px" fw="text_small:700" ls="text_small:0.05em" margin="bottom_small:1.5em"]Best Sellers[/ld_fancy_heading][ld_woo_products orderby="popularity" limit="9"][/vc_column_inner][vc_column_inner width="1/3"][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" fs="text_small:13px" fw="text_small:700" ls="text_small:0.05em" margin="bottom_small:1.5em"]New Arrivals[/ld_fancy_heading][ld_woo_products orderby="date" limit="9"][/vc_column_inner][vc_column_inner width="1/3"][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" fs="text_small:13px" fw="text_small:700" ls="text_small:0.05em" margin="bottom_small:1.5em"]On Sale[/ld_fancy_heading][ld_woo_products show="onsale" limit="9"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Product 4 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Product 04', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'product-4.jpg' );
	$data['sort_name'] = 'Product';
	$data['custom_class'] = 'general product';
	$data['content'] = <<<CONTENT
	[vc_row equal_height="yes" content_placement="middle" css=".vc_custom_1616593337291{padding-top: 30px !important;padding-bottom: 30px !important;}" el_id="shopoptions"][vc_column width="2/3" offset="vc_col-md-3 vc_col-xs-9"][ld_fancy_heading tag="h2" margin="bottom_large:0px"]Today’s Hot Deals[/ld_fancy_heading][/vc_column][vc_column width="1/3" offset="vc_col-md-2 vc_col-xs-3" responsive_align="text-right text-md-left" responsive_css="margin_bottom_medium:0px" css=".vc_custom_1620649547725{margin-bottom: 15px !important;}"][ld_button style="btn-underlined" title="See more" fs="text_small:12px" lh="text_small:1em" link="url:https%3A%2F%2Fretailpro.liquid-themes.com%2Fproduct-category%2Fclothing%2F|||"][/vc_column][vc_column offset="vc_col-md-offset-1 vc_col-md-6" responsive_align="text-md-right"][ld_countdown month="12" day="15" year="2021" countdown_inline="true" use_custom_typography="true" fs="35px" fw="900" primary_color="rgb(0, 0, 0)" sep_color="rgba(255, 255, 255, 0)"][/vc_column][vc_column][ld_spacer height="35px" md_height="15px"][/vc_column][vc_column row_scale_bg_onhover="yes" enable_overlay="yes" enable_column_hover_shadowbox="yes" bg_position="center top" align="text-center" offset="vc_col-md-3" responsive_css="padding_right_large:55px|padding_left_large:55px|margin_bottom_medium:0px|padding_top_medium:235px|padding_top_small:500px" css=".vc_custom_1611133369229{margin-bottom: 30px !important;padding-top: 375px !important;padding-right: 15px !important;padding-bottom: 30px !important;padding-left: 15px !important;background-image: url(https://retailpro.liquid-themes.com/wp-content/uploads/2020/08/cat-1@2x.jpg?id=343) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;border-radius: 5px !important;}" overlay_bg="linear-gradient(0deg, rgba(0, 0, 0, 0.45) 0%, rgba(0, 0, 0, 0) 44.904458598726116%)" column_hover_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2225px%22%2C%22blur_radius%22%3A%2250px%22%2C%22spread_radius%22%3A%22-3px%22%2C%22shadow_color%22%3A%22rgba(0%2C%200%2C%200%2C%200.15)%22%7D%5D" responsive_align="text-center"][ld_fancy_heading tag="h2" color="rgb(255, 255, 255)"]New Arrivals in Fashion.[/ld_fancy_heading][ld_button style="btn-solid" title="Shop Women’s" shape="circle" size="btn-sm" i_type="linea" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-forward" color="rgb(255, 255, 255)" hover_color="rgb(0, 0, 0)" text_color="rgb(0, 0, 0)" htext_color="rgb(255, 255, 255)" fs="text_small:15px" lh="text_small:1.15em" link="url:https%3A%2F%2Fretailpro.liquid-themes.com%2Fproduct-category%2Fclothing%2F|||"][/vc_column][vc_column offset="vc_col-md-9" responsive_css="margin_bottom_medium:0px|padding_right_medium:0px|padding_left_medium:0px" css=".vc_custom_1591877786732{margin-bottom: 30px !important;padding-right: 15px !important;padding-left: 15px !important;}"][ld_woo_products_list template="carousel" columns_gap="13" prevnextbuttons="yes" navarrow="6" navfill="carousel-nav-solid" navshape="carousel-nav-circle" navhalign="carousel-nav-center" navfloated="carousel-nav-floated" navvalign="carousel-nav-middle" limit="4" shapesize="40px" nav_arrow_color="rgb(0, 0, 0)" nav_arrow_color_hover="rgb(255, 255, 255)" nav_bg_color="rgb(245, 247, 252)" nav_bg_hcolor="rgb(0, 0, 0)" prevoffset="-7px" nextoffset="-7px"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Product 5 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Product 05', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'product-5.jpg' );
	$data['sort_name'] = 'Product';
	$data['custom_class'] = 'general product';
	$data['content'] = <<<CONTENT
	[vc_row gap="20" equal_height="yes" css=".vc_custom_1605941053014{padding-bottom: 80px !important;}" responsive_css="padding_top_medium:60px|padding_bottom_medium:30px"][vc_column align="text-center" offset="vc_col-md-offset-3 vc_col-md-6" css=".vc_custom_1591020170979{margin-bottom: 55px !important;}" responsive_align="text-center"][ld_fancy_heading tag="h2"]Women's Clothing[/ld_fancy_heading][ld_fancy_heading tag="p" padding="right_large:3vw|left_large:3vw"]Because we know just how hard it is to get the size, color and even the garment right in the fashion.[/ld_fancy_heading][/vc_column][vc_column][ld_woo_products_list template="carousel" grid_columns="4" columns_gap="22" prevnextbuttons="yes" navarrow="custom" navhalign="carousel-nav-center" navfloated="carousel-nav-floated" navvalign="carousel-nav-middle" prev="#E-8_JTNDaSUyMGNsYXNzJTNEJTVDJTIybHFkLWljbi1lc3MlMjBpY29uLWlvbi1pb3MtYXJyb3ctYmFjayU1QyUyMiUzRSUzQyUyRmklM0U=" next="#E-8_JTNDaSUyMGNsYXNzJTNEJTVDJTIybHFkLWljbi1lc3MlMjBpY29uLWlvbi1pb3MtYXJyb3ctZm9yd2FyZCU1QyUyMiUzRSUzQyUyRmklM0U=" prevoffset="-45px" nextoffset="-45px" navoffset="top: 40%" nav_arrow_color="rgb(0, 0, 0)" nav_arrow_color_hover="rgba(0, 0, 0, 0.75)" limit="8"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Product 6 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Product 06', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'product-6.jpg' );
	$data['sort_name'] = 'Product';
	$data['custom_class'] = 'general product';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" equal_height="yes" content_placement="middle" css=".vc_custom_1619017597597{padding-top: 25px !important;padding-bottom: 35px !important;}" responsive_css="margin_right_large:8vw|margin_left_large:8vw|margin_right_medium:4vw|margin_left_medium:4vw"][vc_column width="5/6" offset="vc_col-md-5 vc_col-xs-10" responsive_css="margin_bottom_medium:-90px"][ld_fancy_heading tag="h2" margin="bottom_small:0px"]Shop Electronics[/ld_fancy_heading][/vc_column][vc_column width="1/6" align="text-right" offset="vc_hidden-lg vc_hidden-md vc_col-xs-2" css=".vc_custom_1601025347706{padding-right: 15px !important;}" responsive_align="text-right"][ld_button style="btn-naked" title="All" i_type="linea" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-forward" color="rgb(0, 0, 0)"][/vc_column][vc_column css=".vc_custom_1593428021677{margin-top: 20px !important;}" el_id="products-nav-2"][ld_tabs style="style11" nav_alignment="justify-content-md-end" use_custom_fonts_nav="true" primary_color="rgb(75, 75, 75)" primary_hcolor="rgb(0, 0, 0)" fs="15px"][ld_tab_section title="Best Sellers" tab_id="lqd-1591973060388-f75e7290-b3f8"][ld_woo_products_list template="carousel" grid_columns="5" columns_gap="0" prevnextbuttons="yes" navarrow="custom" navappend="custom_id" navsize="carousel-nav-sm" navfill="carousel-nav-bordered" navshape="carousel-nav-square" navhalign="carousel-nav-right" orderby="popularity" limit="6" prev="#E-8_JTNDaSUyMGNsYXNzJTNEJTVDJTIybHFkLWljbi1lc3MlMjBpY29uLWlvbi1pb3MtYXJyb3ctYmFjayU1QyUyMiUzRSUzQyUyRmklM0U=" next="#E-8_JTNDaSUyMGNsYXNzJTNEJTVDJTIybHFkLWljbi1lc3MlMjBpY29uLWlvbi1pb3MtYXJyb3ctZm9yd2FyZCU1QyUyMiUzRSUzQyUyRmklM0U=" navappend_id="#products-nav-2 .lqd-tabs-nav" shapesize="42px" nav_arrow_color="rgb(0, 0, 0)" nav_arrow_color_hover="rgb(255, 255, 255)" nav_border_color="rgb(216, 216, 216)" nav_border_hcolor="rgb(0, 0, 0)" nav_bg_hcolor="rgb(0, 0, 0)" prevoffset="11px"][/ld_tab_section][ld_tab_section title="Best Rated" tab_id="lqd-1591972560393-4f8fa492-8cc2"][ld_woo_products_list template="carousel" grid_columns="5" columns_gap="0" prevnextbuttons="yes" navarrow="custom" navappend="custom_id" navsize="carousel-nav-sm" navfill="carousel-nav-bordered" navshape="carousel-nav-square" navhalign="carousel-nav-right" orderby="rating" limit="6" prev="#E-8_JTNDaSUyMGNsYXNzJTNEJTVDJTIybHFkLWljbi1lc3MlMjBpY29uLWlvbi1pb3MtYXJyb3ctYmFjayU1QyUyMiUzRSUzQyUyRmklM0U=" next="#E-8_JTNDaSUyMGNsYXNzJTNEJTVDJTIybHFkLWljbi1lc3MlMjBpY29uLWlvbi1pb3MtYXJyb3ctZm9yd2FyZCU1QyUyMiUzRSUzQyUyRmklM0U=" navappend_id="#products-nav-2 .lqd-tabs-nav" shapesize="42px" nav_arrow_color="rgb(0, 0, 0)" nav_arrow_color_hover="rgb(255, 255, 255)" nav_border_color="rgb(216, 216, 216)" nav_border_hcolor="rgb(0, 0, 0)" nav_bg_hcolor="rgb(0, 0, 0)" prevoffset="11px"][/ld_tab_section][ld_tab_section title="New Arrivals" tab_id="lqd-1591973080068-48b40384-32e9"][ld_woo_products_list template="carousel" grid_columns="5" columns_gap="0" prevnextbuttons="yes" navarrow="custom" navappend="custom_id" navsize="carousel-nav-sm" navfill="carousel-nav-bordered" navshape="carousel-nav-square" navhalign="carousel-nav-right" limit="6" prev="#E-8_JTNDaSUyMGNsYXNzJTNEJTVDJTIybHFkLWljbi1lc3MlMjBpY29uLWlvbi1pb3MtYXJyb3ctYmFjayU1QyUyMiUzRSUzQyUyRmklM0U=" next="#E-8_JTNDaSUyMGNsYXNzJTNEJTVDJTIybHFkLWljbi1lc3MlMjBpY29uLWlvbi1pb3MtYXJyb3ctZm9yd2FyZCU1QyUyMiUzRSUzQyUyRmklM0U=" navappend_id="#products-nav-2 .lqd-tabs-nav" shapesize="42px" nav_arrow_color="rgb(0, 0, 0)" nav_arrow_color_hover="rgb(255, 255, 255)" nav_border_color="rgb(216, 216, 216)" nav_border_hcolor="rgb(0, 0, 0)" nav_bg_hcolor="rgb(0, 0, 0)" prevoffset="11px"][/ld_tab_section][ld_tab_section title="Low Price" tab_id="lqd-1591973071010-4dc2ee33-8371"][ld_woo_products_list template="carousel" grid_columns="5" columns_gap="0" prevnextbuttons="yes" navarrow="custom" navappend="custom_id" navsize="carousel-nav-sm" navfill="carousel-nav-bordered" navshape="carousel-nav-square" navhalign="carousel-nav-right" orderby="price" limit="6" prev="#E-8_JTNDaSUyMGNsYXNzJTNEJTVDJTIybHFkLWljbi1lc3MlMjBpY29uLWlvbi1pb3MtYXJyb3ctYmFjayU1QyUyMiUzRSUzQyUyRmklM0U=" next="#E-8_JTNDaSUyMGNsYXNzJTNEJTVDJTIybHFkLWljbi1lc3MlMjBpY29uLWlvbi1pb3MtYXJyb3ctZm9yd2FyZCU1QyUyMiUzRSUzQyUyRmklM0U=" navappend_id="#products-nav-2 .lqd-tabs-nav" shapesize="42px" nav_arrow_color="rgb(0, 0, 0)" nav_arrow_color_hover="rgb(255, 255, 255)" nav_border_color="rgb(216, 216, 216)" nav_border_hcolor="rgb(0, 0, 0)" nav_bg_hcolor="rgb(0, 0, 0)" prevoffset="11px"][/ld_tab_section][/ld_tabs][/vc_column][/vc_row][vc_row full_width="stretch_row" css=".vc_custom_1619017721375{margin-bottom: 40px !important;padding-bottom: 20px !important;}" responsive_css="margin_right_large:8vw|margin_left_large:8vw|margin_right_medium:4vw|margin_left_medium:4vw"][vc_column width="1/3" align="text-center" offset="vc_col-md-2 vc_col-xs-6" css=".vc_custom_1590484287153{padding-top: 15px !important;padding-bottom: 15px !important;}" responsive_align="text-center"][ld_button style="btn-solid" title="Wireless`{`ld_span`}`Networks`{`/ld_span`}`" shape="circle" size="btn-sm" width="btn-block" color="rgb(242, 247, 248)" hover_color="rgb(0, 0, 0)" text_color="rgb(0, 0, 0)" htext_color="rgb(255, 255, 255)" fs="text_small:14px" lh="text_small:1.05em" link="url:https%3A%2F%2Fmarketplacepro.liquid-themes.com%2Fproduct-category%2Fcomputers%2Fhome-theather%2F|||"][/vc_column][vc_column width="1/3" align="text-center" offset="vc_col-md-2 vc_col-xs-6" css=".vc_custom_1590484287153{padding-top: 15px !important;padding-bottom: 15px !important;}" responsive_align="text-center"][ld_button style="btn-solid" title="Cell`{`ld_span`}`Phones`{`/ld_span`}`" shape="circle" size="btn-sm" width="btn-block" color="rgb(242, 247, 248)" hover_color="rgb(0, 0, 0)" text_color="rgb(0, 0, 0)" htext_color="rgb(255, 255, 255)" fs="text_small:14px" lh="text_small:1.05em" link="url:https%3A%2F%2Fmarketplacepro.liquid-themes.com%2Fproduct-category%2Fcomputers%2Fhome-theather%2F|||"][/vc_column][vc_column width="1/3" align="text-center" offset="vc_col-md-2 vc_col-xs-6" css=".vc_custom_1590484287153{padding-top: 15px !important;padding-bottom: 15px !important;}" responsive_align="text-center"][ld_button style="btn-solid" title="Cameras`{`ld_span`}`Camcorders`{`/ld_span`}`" shape="circle" size="btn-sm" width="btn-block" color="rgb(242, 247, 248)" hover_color="rgb(0, 0, 0)" text_color="rgb(0, 0, 0)" htext_color="rgb(255, 255, 255)" fs="text_small:14px" lh="text_small:1.05em" link="url:https%3A%2F%2Fmarketplacepro.liquid-themes.com%2Fproduct-category%2Fcomputers%2Fhome-theather%2F|||"][/vc_column][vc_column width="1/3" align="text-center" offset="vc_col-md-2 vc_col-xs-6" css=".vc_custom_1590484287153{padding-top: 15px !important;padding-bottom: 15px !important;}" responsive_align="text-center"][ld_button style="btn-solid" title="Gaming`{`ld_span`}`Monitors`{`/ld_span`}`" shape="circle" size="btn-sm" width="btn-block" color="rgb(242, 247, 248)" hover_color="rgb(0, 0, 0)" text_color="rgb(0, 0, 0)" htext_color="rgb(255, 255, 255)" fs="text_small:14px" lh="text_small:1.05em" link="url:https%3A%2F%2Fmarketplacepro.liquid-themes.com%2Fproduct-category%2Fcomputers%2Fhome-theather%2F|||"][/vc_column][vc_column width="1/3" align="text-center" offset="vc_col-md-2 vc_col-xs-6" css=".vc_custom_1590484287153{padding-top: 15px !important;padding-bottom: 15px !important;}" responsive_align="text-center"][ld_button style="btn-solid" title="Virtual`{`ld_span`}`Reality`{`/ld_span`}`" shape="circle" size="btn-sm" width="btn-block" color="rgb(242, 247, 248)" hover_color="rgb(0, 0, 0)" text_color="rgb(0, 0, 0)" htext_color="rgb(255, 255, 255)" fs="text_small:14px" lh="text_small:1.05em" link="url:https%3A%2F%2Fmarketplacepro.liquid-themes.com%2Fproduct-category%2Fcomputers%2Fhome-theather%2F|||"][/vc_column][vc_column width="1/3" align="text-center" offset="vc_col-md-2 vc_col-xs-6" css=".vc_custom_1590484287153{padding-top: 15px !important;padding-bottom: 15px !important;}" responsive_align="text-center"][ld_button style="btn-solid" title="Bluetooth`{`ld_span`}`Speakers`{`/ld_span`}`" shape="circle" size="btn-sm" width="btn-block" color="rgb(242, 247, 248)" hover_color="rgb(0, 0, 0)" text_color="rgb(0, 0, 0)" htext_color="rgb(255, 255, 255)" fs="text_small:14px" lh="text_small:1.05em" link="url:https%3A%2F%2Fmarketplacepro.liquid-themes.com%2Fproduct-category%2Fcomputers%2Fhome-theather%2F|||"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Product 7 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Product 07', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'product-7.jpg' );
	$data['sort_name'] = 'Product';
	$data['custom_class'] = 'general product';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" equal_height="yes" css=".vc_custom_1607069499820{padding-bottom: 30px !important;}" responsive_css="padding_right_large:8vw|padding_left_large:8vw|padding_right_medium:4vw|padding_left_medium:4vw"][vc_column align="text-center" offset="vc_col-md-4" css=".vc_custom_1614151521590{margin-bottom: 30px !important;padding-top: 47px !important;padding-right: 15px !important;padding-bottom: 47px !important;padding-left: 15px !important;background-color: #009455 !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;border-radius: 5px !important;}" responsive_css="margin_bottom_medium:1.75vw|padding_right_medium:4vw|padding_left_medium:4vw" responsive_align="text-center"][ld_images_group_element img_size="50%" image="134" margin="bottom_small:20px"][/ld_images_group_element][ld_fancy_heading tag="h2" color="rgb(255, 255, 255)" margin="bottom_small:0.6em"]Wireless<br />
Controller 3[/ld_fancy_heading][ld_button style="btn-default" title="Starting from £89" shape="circle" size="btn-sm" border="border-thicker" color="rgb(255, 255, 255)" lh="1em" htext_color="rgb(0, 0, 0)"][ld_images_group_element img_size="50%" image="133" margin="top_small:40px"][/ld_images_group_element][/vc_column][vc_column column_top_ontablet="yes" column_top_onmobile="yes" offset="vc_col-md-8"][vc_row_inner equal_height="yes"][vc_column_inner width="1/2" bg_position="custom" css=".vc_custom_1614094720794{margin-bottom: 30px !important;border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 30px !important;padding-bottom: 35px !important;padding-left: 15px !important;background-image: url(https://marketplacepro.liquid-themes.com/wp-content/uploads/2020/05/bg-5@2x.jpg?id=138) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;border-left-color: #e5e5e5 !important;border-left-style: solid !important;border-right-color: #e5e5e5 !important;border-right-style: solid !important;border-top-color: #e5e5e5 !important;border-top-style: solid !important;border-bottom-color: #e5e5e5 !important;border-bottom-style: solid !important;border-radius: 5px !important;}" responsive_css="margin_bottom_medium:1.75vw|padding_left_medium:40px" bg_pos_h="70%" bg_pos_v="50%"][ld_fancy_heading tag="h3" margin="bottom_small:0.8em"]Smartphones[/ld_fancy_heading][ld_custom_menu source="custom" icon_pos="text-left" use_custom_fonts_menu="true" items="%5B%7B%22label%22%3A%22iPhone%2011%20Pro%22%2C%22url%22%3A%22%23%22%2C%22icon_classname%22%3A%22lqd-icn-ess%20icon-ion-ios-arrow-forward%22%2C%22icon_alignment%22%3A%22right-icon%22%7D%2C%7B%22label%22%3A%22Google%20Pixel%22%2C%22url%22%3A%22%23%22%2C%22icon_classname%22%3A%22lqd-icn-ess%20icon-ion-ios-arrow-forward%22%2C%22icon_alignment%22%3A%22right-icon%22%7D%2C%7B%22label%22%3A%22Samsung%20Galaxy%22%2C%22url%22%3A%22%23%22%2C%22icon_classname%22%3A%22lqd-icn-ess%20icon-ion-ios-arrow-forward%22%2C%22icon_alignment%22%3A%22right-icon%22%7D%2C%7B%22label%22%3A%22Sony%20Xperia%20Series%22%2C%22url%22%3A%22%23%22%2C%22icon_classname%22%3A%22lqd-icn-ess%20icon-ion-ios-arrow-forward%22%2C%22icon_alignment%22%3A%22right-icon%22%7D%5D" fs="14px" lh="1.5em" color="rgb(0, 0, 0)" hcolor="rgb(0, 66, 180)" spacing="12"][ld_button style="btn-underlined" title="View More" fs="text_small:12px" link="url:https%3A%2F%2Fmarketplacepro.liquid-themes.com%2Fproduct-category%2Fcomputers%2Fhome-theather%2F|||" css=".vc_custom_1621346689124{margin-top: 12px !important;}"][/vc_column_inner][vc_column_inner width="1/2" responsive_css="margin_bottom_medium:1.75vw|padding_left_medium:40px" css=".vc_custom_1614094725467{margin-bottom: 30px !important;border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 30px !important;padding-bottom: 35px !important;padding-left: 15px !important;background-image: url(https://marketplacepro.liquid-themes.com/wp-content/uploads/2020/05/bg-6@2x.jpg?id=139) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;border-left-color: #e5e5e5 !important;border-left-style: solid !important;border-right-color: #e5e5e5 !important;border-right-style: solid !important;border-top-color: #e5e5e5 !important;border-top-style: solid !important;border-bottom-color: #e5e5e5 !important;border-bottom-style: solid !important;border-radius: 5px !important;}"][ld_fancy_heading tag="h3" margin="bottom_small:0.8em"]Tablets[/ld_fancy_heading][ld_custom_menu source="custom" icon_pos="text-left" use_custom_fonts_menu="true" items="%5B%7B%22label%22%3A%22Apple%20iPad%20Pro%22%2C%22url%22%3A%22%23%22%2C%22icon_classname%22%3A%22lqd-icn-ess%20icon-ion-ios-arrow-forward%22%2C%22icon_alignment%22%3A%22right-icon%22%7D%2C%7B%22label%22%3A%22Android%20Samsung%22%2C%22url%22%3A%22%23%22%2C%22icon_classname%22%3A%22lqd-icn-ess%20icon-ion-ios-arrow-forward%22%2C%22icon_alignment%22%3A%22right-icon%22%7D%2C%7B%22label%22%3A%22Google%22%2C%22url%22%3A%22%23%22%2C%22icon_classname%22%3A%22lqd-icn-ess%20icon-ion-ios-arrow-forward%22%2C%22icon_alignment%22%3A%22right-icon%22%7D%2C%7B%22label%22%3A%22Microsoft%20X%20Series%22%2C%22url%22%3A%22%23%22%2C%22icon_classname%22%3A%22lqd-icn-ess%20icon-ion-ios-arrow-forward%22%2C%22icon_alignment%22%3A%22right-icon%22%7D%5D" fs="14px" lh="1.5em" color="rgb(0, 0, 0)" hcolor="rgb(0, 66, 180)" spacing="12"][ld_button style="btn-underlined" title="View More" fs="text_small:12px" link="url:https%3A%2F%2Fmarketplacepro.liquid-themes.com%2Fproduct-category%2Fcomputers%2Fhome-theather%2F|||" css=".vc_custom_1621346694289{margin-top: 12px !important;}"][/vc_column_inner][vc_column_inner width="1/2" bg_position="custom" responsive_css="margin_bottom_medium:1.75vw|padding_left_medium:40px" css=".vc_custom_1614094729209{margin-bottom: 30px !important;border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 30px !important;padding-bottom: 35px !important;padding-left: 15px !important;background-image: url(https://marketplacepro.liquid-themes.com/wp-content/uploads/2020/05/bg-7@2x.jpg?id=148) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;border-left-color: #e5e5e5 !important;border-left-style: solid !important;border-right-color: #e5e5e5 !important;border-right-style: solid !important;border-top-color: #e5e5e5 !important;border-top-style: solid !important;border-bottom-color: #e5e5e5 !important;border-bottom-style: solid !important;border-radius: 5px !important;}" bg_pos_h="70%" bg_pos_v="50%"][ld_fancy_heading tag="h3" margin="bottom_small:0.8em"]Computers[/ld_fancy_heading][ld_custom_menu source="custom" icon_pos="text-left" use_custom_fonts_menu="true" items="%5B%7B%22label%22%3A%22Apple%20Macbook%22%2C%22url%22%3A%22%23%22%2C%22icon_classname%22%3A%22lqd-icn-ess%20icon-ion-ios-arrow-forward%22%2C%22icon_alignment%22%3A%22right-icon%22%7D%2C%7B%22label%22%3A%22Lenovo%20IdeaPad%22%2C%22url%22%3A%22%23%22%2C%22icon_classname%22%3A%22lqd-icn-ess%20icon-ion-ios-arrow-forward%22%2C%22icon_alignment%22%3A%22right-icon%22%7D%2C%7B%22label%22%3A%22Computer%20Tablets%22%2C%22url%22%3A%22%23%22%2C%22icon_classname%22%3A%22lqd-icn-ess%20icon-ion-ios-arrow-forward%22%2C%22icon_alignment%22%3A%22right-icon%22%7D%2C%7B%22label%22%3A%22Google%20Chromebook%22%2C%22url%22%3A%22%23%22%2C%22icon_classname%22%3A%22lqd-icn-ess%20icon-ion-ios-arrow-forward%22%2C%22icon_alignment%22%3A%22right-icon%22%7D%5D" fs="14px" lh="1.5em" color="rgb(0, 0, 0)" hcolor="rgb(0, 66, 180)" spacing="12"][ld_button style="btn-underlined" title="View More" fs="text_small:12px" link="url:https%3A%2F%2Fmarketplacepro.liquid-themes.com%2Fproduct-category%2Fcomputers%2Fhome-theather%2F|||" css=".vc_custom_1621346701191{margin-top: 12px !important;}"][/vc_column_inner][vc_column_inner width="1/2" bg_position="custom" responsive_css="margin_bottom_medium:1.75vw|padding_left_medium:40px" css=".vc_custom_1614094733356{margin-bottom: 30px !important;border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 30px !important;padding-bottom: 35px !important;padding-left: 15px !important;background-image: url(https://marketplacepro.liquid-themes.com/wp-content/uploads/2020/05/bg-9@2x.jpg?id=141) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;border-left-color: #e5e5e5 !important;border-left-style: solid !important;border-right-color: #e5e5e5 !important;border-right-style: solid !important;border-top-color: #e5e5e5 !important;border-top-style: solid !important;border-bottom-color: #e5e5e5 !important;border-bottom-style: solid !important;border-radius: 5px !important;}" bg_pos_h="70%" bg_pos_v="50%"][ld_fancy_heading tag="h3" margin="bottom_small:0.8em"]Headphones[/ld_fancy_heading][ld_custom_menu source="custom" icon_pos="text-left" use_custom_fonts_menu="true" items="%5B%7B%22label%22%3A%22In-Ear%20Headphones%22%2C%22url%22%3A%22%23%22%2C%22icon_classname%22%3A%22lqd-icn-ess%20icon-ion-ios-arrow-forward%22%2C%22icon_alignment%22%3A%22right-icon%22%7D%2C%7B%22label%22%3A%22Apple%20AirPods%20Pro%22%2C%22url%22%3A%22%23%22%2C%22icon_classname%22%3A%22lqd-icn-ess%20icon-ion-ios-arrow-forward%22%2C%22icon_alignment%22%3A%22right-icon%22%7D%2C%7B%22label%22%3A%22Samsung%20Earbuds%22%2C%22url%22%3A%22%23%22%2C%22icon_classname%22%3A%22lqd-icn-ess%20icon-ion-ios-arrow-forward%22%2C%22icon_alignment%22%3A%22right-icon%22%7D%2C%7B%22label%22%3A%22Google%20Wireless%22%2C%22url%22%3A%22%23%22%2C%22icon_classname%22%3A%22lqd-icn-ess%20icon-ion-ios-arrow-forward%22%2C%22icon_alignment%22%3A%22right-icon%22%7D%5D" fs="14px" lh="1.5em" color="rgb(0, 0, 0)" hcolor="rgb(0, 66, 180)" spacing="12"][ld_button style="btn-underlined" title="View More" fs="text_small:12px" link="url:https%3A%2F%2Fmarketplacepro.liquid-themes.com%2Fproduct-category%2Fcomputers%2Fhome-theather%2F|||" css=".vc_custom_1621346705804{margin-top: 12px !important;}"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Product 8 - product shop
	$data = array();
	$data['name'] = esc_html__( 'Product 08', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'product-8.jpg' );
	$data['sort_name'] = 'Product';
	$data['custom_class'] = 'general product';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" equal_height="yes" content_placement="middle" css=".vc_custom_1607069485711{padding-top: 55px !important;padding-bottom: 45px !important;}" responsive_css="margin_right_large:8vw|margin_left_large:8vw|margin_right_medium:4vw|margin_bottom_medium:50px|margin_left_medium:4vw|padding_top_medium:70px"][vc_column width="5/6" offset="vc_col-lg-4 vc_col-xs-10" css=".vc_custom_1601024466121{margin-bottom: 25px !important;}"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" margin="bottom_small:0px" fs="text_large:28px|text_small:22px"]Today’s Hot Deals[/ld_fancy_heading][/vc_column][vc_column width="1/6" align="text-right" offset="vc_hidden-lg vc_hidden-md vc_col-xs-2" css=".vc_custom_1601024473387{margin-bottom: 25px !important;}" responsive_align="text-right"][ld_button style="btn-naked" title="All" i_type="linea" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-forward" color="rgb(0, 0, 0)"][/vc_column][vc_column width="3/4" align="text-center" offset="vc_col-lg-7 vc_col-md-10" responsive_align="text-md-left text-lg-right" css=".vc_custom_1607586532445{margin-bottom: 25px !important;}"][ld_countdown month="9" day="25" year="2021" countdown_inline="true" use_custom_typography="true" fs="35px" fw="900" primary_color="rgb(0, 0, 0)" digits_color="rgb(0, 69, 190)" sep_color="rgb(255, 255, 255)"][/vc_column][vc_column width="1/4" offset="vc_col-lg-1 vc_col-md-2" el_id="products-nav-1" responsive_align="text-sm-right" css=".vc_custom_1607586543412{margin-bottom: 25px !important;}"][/vc_column][vc_column][ld_woo_products_list template="carousel" grid_columns="5" columns_gap="0" prevnextbuttons="yes" navarrow="custom" navappend="custom_id" navfill="carousel-nav-bordered" navshape="carousel-nav-square" navhalign="carousel-nav-right" show="onsale" prev="#E-8_JTNDaSUyMGNsYXNzJTNEJTVDJTIybHFkLWljbi1lc3MlMjBpY29uLWlvbi1pb3MtYXJyb3ctYmFjayU1QyUyMiUzRSUzQyUyRmklM0U=" next="#E-8_JTNDaSUyMGNsYXNzJTNEJTVDJTIybHFkLWljbi1lc3MlMjBpY29uLWlvbi1pb3MtYXJyb3ctZm9yd2FyZCU1QyUyMiUzRSUzQyUyRmklM0U=" navappend_id="#products-nav-1" shapesize="42px" nav_arrow_color="rgb(0, 0, 0)" nav_arrow_color_hover="rgb(255, 255, 255)" nav_border_color="rgb(216, 216, 216)" nav_border_hcolor="rgb(0, 0, 0)" nav_bg_hcolor="rgb(0, 0, 0)" prevoffset="11px"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Category Portfolio
	//Portfolio 1
	$data = array();
	$data['name'] = esc_html__( 'Portfolio 01', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'pf-1.jpg' );
	$data['sort_name'] = 'Portfolio';
	$data['custom_class'] = 'general portfolio';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1611246786518{padding-top: 60px !important;padding-bottom: 60px !important;}"][vc_column][ld_portfolio_listing style="style02" columns_gap="15" bottom_gap="30" post_type="liquid-portfolio" posts_per_page="10" show_button="yes" show_filter="yes" pagination="pagination" filter_enable_counter="yes" filter_lbl_all="All" filter_size="size-custom" filter_decoration="filters-underline" filter_align="justify-content-start" filter_mb="50" filter_weight="font-weight-medium" filter_title_size="size-lg" ib_style="btn-naked" ib_title="See more" color_type="lqd-pf-color-custom" filter_id="lqd-1608206666593-989a1a56-7757" color_primary="linear-gradient(0deg, #184341 0%, rgba(24, 67, 65, 0) 100%)" overlay_arrow_color="rgb(255, 255, 255)" filter_cats="marketing, analytics, business" filter_title="By Category" custom_filter_size="16px" filter_normal_color="rgb(152, 158, 155)" filter_hover_color="rgb(24, 67, 65)"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;
	
	//Portfolio 2
	$data = array();
	$data['name'] = esc_html__( 'Portfolio 02', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'pf-2.jpg' );
	$data['sort_name'] = 'Portfolio';
	$data['custom_class'] = 'general portfolio';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1605623456501{padding-top: 60px !important;padding-bottom: 50px !important;background-color: #f8fafc !important;}" el_id="portfolio" responsive_css="padding_top_medium:80px|padding_bottom_medium:80px"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" align="text-center" offset="vc_col-lg-offset-3 vc_col-lg-6 vc_col-md-offset-2 vc_col-md-8" ca_duration="1800" ca_delay="180" ca_init_translate_y="30" css=".vc_custom_1606977794931{margin-bottom: 20px !important;}" responsive_align="text-md-center"][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" color="rgb(58, 82, 116)" fs="12px" ls="0.1em" margin="bottom_small:1.8em"]Selected Projects[/ld_fancy_heading][ld_fancy_heading tag="h2"]Digital Case studies.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:29px" margin="bottom_small:2.15em" padding="right_large:15%25|left_large:15%25"]We provide digital experience services to startups and small businesses.[/ld_fancy_heading][/vc_column][vc_column][ld_portfolio_listing style="style01" columns_gap="15" bottom_gap="30" post_type="liquid-portfolio" posts_per_page="6" enable_item_animation="yes" show_filter="yes" custom_cursor_style="lqd-cc-icon-trigger" filter_enable_counter="yes" filter_lbl_all="All" filter_size="size-custom" filter_mb="30" show_button="yes" ib_style="btn-naked" ib_title="See more" ib_i_type="linea" ib_i_hover_reveal="btn-hover-swp" color_type="lqd-pf-light" pf_init_scale_x="1" pf_init_scale_y="1" pf_init_opacity="0" pf_an_scale_x="1" pf_an_scale_y="1" pf_an_opacity="1" ib_i_add_icon="true" filter_id="1572892521874-40b18c53-ea57" color_primary="rgb(33, 33, 33)" pf_duration="1800" pf_delay="180" pf_init_translate_y="0" pf_init_rotate_x="0" filter_cats="branding, ecommerce, vertical-overlay" ib_i_icon_linea="lqd-icn-ess icon-md-arrow-forward" ib_color="rgb(0, 0, 0)" ib_i_color="rgb(0, 0, 0)" custom_filter_size="16px"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Portfolio 3 - gridportfolio
	$data = array();
	$data['name'] = esc_html__( 'Portfolio 03', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'pf-3.jpg' );
	$data['sort_name'] = 'Portfolio';
	$data['custom_class'] = 'general portfolio';
	$data['content'] = <<<CONTENT
	[vc_row][vc_column][ld_portfolio_listing style="style02" grid_columns="2" columns_gap="27" bottom_gap="90" post_type="liquid-portfolio" posts_per_page="6" show_filter="yes" custom_cursor_style="lqd-cc-icon-trigger" filter_lbl_all="All" filter_mb="50" show_button="yes" ib_style="btn-naked" ib_title="See more" ib_i_type="linea" color_type="lqd-pf-color-custom" ib_i_add_icon="true" filter_id="lqd-1588770546136-5772c7db-b381" filter_cats="branding, custom-print, digital-design" ib_i_icon_linea="lqd-icn-ess icon-md-arrow-forward" filter_normal_color="rgb(77, 77, 77)" filter_hover_color="rgb(0, 0, 0)" filter_title="Filter by" ib_color="rgb(77, 77, 77)" color_primary="linear-gradient(0deg, rgb(91, 25, 183) 0.3184713375796178%, rgba(255, 255, 255, 0.36) 100%)" title_size="17px" overlay_arrow_color="rgba(255, 255, 255, 0)"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Portfolio 4 - classic
	$data = array();
	$data['name'] = esc_html__( 'Portfolio 04', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'pf-4.jpg' );
	$data['sort_name'] = 'Portfolio';
	$data['custom_class'] = 'general portfolio';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1611323405556{padding-top: 60px !important;padding-bottom: 60px !important;}"][vc_column][ld_portfolio_listing style="style02" columns_gap="20" bottom_gap="30" post_type="liquid-portfolio" posts_per_page="9" show_button="yes" show_filter="yes" filter_enable_counter="yes" filter_lbl_all="All" filter_size="size-custom" filter_decoration="filters-underline" filter_align="justify-content-start" filter_mb="50" filter_weight="font-weight-medium" filter_title_size="size-md" ib_style="btn-naked" ib_title="See more" ib_i_type="linea" color_type="lqd-pf-color-custom" ib_i_add_icon="true" filter_id="lqd-1608206666593-989a1a56-7757" color_primary="rgba(62, 173, 60, 0.9)" overlay_arrow_color="rgb(255, 255, 255)" filter_cats="marketing, analytics, business" filter_title="By Category" custom_filter_size="15px" filter_underline_height="1px" ib_i_icon_linea="lqd-icn-ess icon-md-arrow-forward" ib_fs="15px" ib_ls="0px"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Portfolio 5 - photography
	$data = array();
	$data['name'] = esc_html__( 'Portfolio 05', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'pf-5.jpg' );
	$data['sort_name'] = 'Portfolio';
	$data['custom_class'] = 'general portfolio';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" responsive_css="padding_right_medium:35px|padding_left_medium:35px" css=".vc_custom_1579684978296{padding-top: 60px !important;}"][vc_column][ld_portfolio_listing style="style01" columns_gap="5" bottom_gap="11" post_type="liquid-portfolio" posts_per_page="21" enable_item_animation="yes" show_button="yes" show_filter="yes" enable_gallery="listing-lightbox-gallery" enable_parallax="no" custom_cursor_style="lqd-cc-icon-trigger" filter_enable_counter="yes" filter_lbl_all="All" filter_mb="20" ib_style="btn-naked" ib_title="See All" ib_i_type="linea" ib_i_hover_reveal="btn-hover-swp" pf_init_scale_x="1" pf_init_scale_y="1" pf_init_opacity="0" pf_an_scale_x="1" pf_an_scale_y="1" pf_an_opacity="1" ib_i_add_icon="true" filter_id="lqd-1595755870230-8d40b9f3-c0c2" pf_duration="1800" pf_delay="80" filter_cats="branding, custom-print, digital-design, ecommerce" filter_normal_color="rgb(152, 152, 152)" filter_hover_color="rgb(0, 0, 0)" ib_fs="13px" ib_i_icon_linea="lqd-icn-ess icon-md-arrow-forward" ib_css=".vc_custom_1605172090997{margin-bottom: 30px !important;}"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Portfolio 6 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Portfolio 06', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'pf-6.jpg' );
	$data['sort_name'] = 'Portfolio';
	$data['custom_class'] = 'general portfolio';
	$data['content'] = <<<CONTENT
	[vc_row responsive_css="padding_top_medium:250px|padding_bottom_medium:90px" css=".vc_custom_1605845068060{padding-top: 140px !important;padding-bottom: 50px !important;}"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-12" ca_duration="1800" ca_delay="180" ca_init_translate_y="70" ca_init_rotate_x="-6"][ld_fancy_heading enable_txt_rotator="yes" items="%5B%7B%22word%22%3A%22user%20interface%20designer%22%7D%2C%7B%22word%22%3A%22digital%20designer%22%7D%2C%7B%22word%22%3A%22developer%22%7D%5D" use_custom_fonts_title="true" enable_fit="true" word_colors="rgb(255, 255, 255)" color="rgb(157, 157, 157)" fs="text_large:52px|text_small:8vw" margin="bottom_small:0px" compressor="1.25" minfontsize="30" lh="text_small:1.15em"]I’m a passionate[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" enable_fit="true" color="rgb(157, 157, 157)" fs="text_large:52px|text_small:8vw" compressor="1.25" minfontsize="30"]looking for collaboration.[/ld_fancy_heading][ld_spacer][ld_portfolio_listing style="style01" columns_gap="15" bottom_gap="48" post_type="liquid-portfolio" posts_per_page="7" enable_item_animation="yes" show_filter="yes" custom_cursor_style="lqd-cc-icon-trigger" filter_lbl_all="All" filter_size="size-custom" filter_mb="25" show_button="yes" ib_style="btn-naked" ib_title="See more" ib_i_type="linea" color_type="lqd-pf-light" pf_init_scale_x="1" pf_init_scale_y="1" pf_init_opacity="0" pf_an_scale_x="1" pf_an_scale_y="1" pf_an_opacity="1" ib_i_add_icon="true" filter_id="lqd-1574935331891-8b9c5c11-0395" filter_cats="branding, custom-print, digital-design" ib_i_icon_linea="lqd-icn-ess icon-md-arrow-forward" ib_i_margin_left="15px" ib_color="rgb(112, 112, 112)" ib_hover_color="rgb(255, 255, 255)" ib_fs="13px" filter_normal_color="rgb(112, 112, 112)" filter_hover_color="rgb(255, 255, 255)" custom_filter_size="14px" pf_duration="1800" pf_delay="180" pf_init_translate_y="60" pf_start_delay="500" color_primary="rgb(20, 20, 20)"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Portfolio 7 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Portfolio 07', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'pf-7.jpg' );
	$data['sort_name'] = 'Portfolio';
	$data['custom_class'] = 'general portfolio';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" gap="0" css=".vc_custom_1614504816998{background-color: #9ccbc7 !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}"][vc_column css=".vc_custom_1614505741869{background-position: center !important;background-repeat: no-repeat !important;background-size: contain !important;}"][ld_fullproj use_custom_fonts_title="true" identities="%5B%7B%22media_type%22%3A%22image%22%2C%22image%22%3A%22158%22%2C%22text%22%3A%22Royal%20Airlines%22%2C%22subtitle%22%3A%22Digital%22%2C%22url%22%3A%22https%3A%2F%2Fportfoliopanelpro.liquid-themes.com%2Fportfolio%2Fnike-shopping%2F%22%7D%2C%7B%22media_type%22%3A%22image%22%2C%22image%22%3A%22159%22%2C%22text%22%3A%22Kladdin%22%2C%22subtitle%22%3A%22UI%20Design%22%2C%22url%22%3A%22https%3A%2F%2Fportfoliopanelpro.liquid-themes.com%2Fportfolio%2Fmercedez-benz-coupe%2F%22%7D%2C%7B%22media_type%22%3A%22image%22%2C%22image%22%3A%22157%22%2C%22text%22%3A%22Tesla%22%2C%22subtitle%22%3A%22MAGAZINE%22%2C%22url%22%3A%22https%3A%2F%2Fportfoliopanelpro.liquid-themes.com%2Fportfolio%2Fnexa-mobile%2F%22%7D%2C%7B%22media_type%22%3A%22image%22%2C%22image%22%3A%22171%22%2C%22text%22%3A%22Skarigem%22%2C%22subtitle%22%3A%22Mobile%20Application%22%2C%22url%22%3A%22https%3A%2F%2Fportfoliopanelpro.liquid-themes.com%2Fportfolio%2Fphoto-retouching%2F%22%7D%2C%7B%22media_type%22%3A%22image%22%2C%22image%22%3A%2243%22%2C%22text%22%3A%22eCommerce%22%2C%22subtitle%22%3A%22Creative%22%2C%22url%22%3A%22https%3A%2F%2Fportfoliopanelpro.liquid-themes.com%2Fportfolio%2Fkontrast%2F%22%7D%2C%7B%22media_type%22%3A%22image%22%2C%22image%22%3A%2275%22%2C%22text%22%3A%22ROGER%20FEDERER%22%2C%22subtitle%22%3A%22Branding%22%2C%22url%22%3A%22https%3A%2F%2Fportfoliopanelpro.liquid-themes.com%2Fportfolio%2Faliens-do-3d-automobile%2F%22%7D%2C%7B%22media_type%22%3A%22image%22%2C%22image%22%3A%2276%22%2C%22text%22%3A%22SHOWREEL%22%2C%22subtitle%22%3A%22StrategY%22%2C%22url%22%3A%22https%3A%2F%2Fportfoliopanelpro.liquid-themes.com%2Fportfolio%2Finspiration-board%2F%22%7D%2C%7B%22media_type%22%3A%22image%22%2C%22image%22%3A%224526%22%2C%22text%22%3A%22ATTRACTIF%22%2C%22subtitle%22%3A%22Digital%20Design%22%2C%22url%22%3A%22https%3A%2F%2Fportfoliopanelpro.liquid-themes.com%2Fportfolio%2Fvilla-in-dallas%2F%22%7D%2C%7B%22media_type%22%3A%22image%22%2C%22image%22%3A%22170%22%2C%22text%22%3A%22WAVES%22%2C%22subtitle%22%3A%22UI%20Design%22%2C%22url%22%3A%22https%3A%2F%2Fportfoliopanelpro.liquid-themes.com%2Fportfolio%2Fnexa-mobile%2F%22%7D%2C%7B%22media_type%22%3A%22image%22%2C%22image%22%3A%224531%22%2C%22text%22%3A%22KONTRAST%22%2C%22subtitle%22%3A%22DIGITAL%22%2C%22url%22%3A%22https%3A%2F%2Fportfoliopanelpro.liquid-themes.com%2Fportfolio%2Fartboard-studio%2F%22%7D%5D" color="rgb(9, 119, 117)" hover_color="rgb(255, 255, 255)" fs="text_large:6.5vw|text_medium:82px|text_small:12vw" lh="text_small:1em" inactive_opacity="0.7" inactive_items_opacity="0.55"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Portfolio 8 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Portfolio 08', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'pf-8.jpg' );
	$data['sort_name'] = 'Portfolio';
	$data['custom_class'] = 'general portfolio';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1605610163359{padding-bottom: 50px !important;}" responsive_css="padding_top_medium:100px|padding_bottom_medium:100px"][vc_column align="text-center" offset="vc_col-md-offset-3 vc_col-md-6" css=".vc_custom_1577783882845{margin-bottom: 40px !important;}" responsive_align="text-center"][ld_fancy_heading tag="h6"]See all projects[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_large:43px|text_small:38px"]Case Studies[/ld_fancy_heading][/vc_column][vc_column][ld_portfolio_listing style="style02" horizontal_alignment="pf-details-h-mid" columns_gap="20" bottom_gap="50" post_type="liquid-portfolio" posts_per_page="6" custom_cursor_style="lqd-cc-icon-trigger" color_type="lqd-pf-color-custom" filter_id="lqd-1577786052372-d184aee5-6c1b" overlay_arrow_color="rgb(255, 255, 255)" color_primary="linear-gradient(0deg, rgb(148, 11, 238) 0%, rgba(0, 0, 0, 0) 98.72611464968153%)" title_weight="700"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Portfolio 9 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Portfolio 09', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'pf-9.jpg' );
	$data['sort_name'] = 'Portfolio';
	$data['custom_class'] = 'general portfolio';
	$data['content'] = <<<CONTENT
	[vc_row bg_position="custom" css=".vc_custom_1611568446010{padding-top: 60px !important;background-image: url(https://architecturepro.liquid-themes.com/wp-content/uploads/2020/03/bg-1.png?id=14) !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}" bg_pos_h="40%" bg_pos_v="50%"][vc_column][ld_portfolio_listing style="style04" columns_gap="15" post_type="liquid-portfolio" posts_per_page="8" show_filter="yes" filter_lbl_all="All projects" filter_size="size-custom" filter_mb="50" show_button="yes" ib_style="btn-naked" ib_title="See more" ib_i_type="linea" ib_i_add_icon="true" filter_id="lqd-1584958305349-d532efb5-a1a7" filter_cats="digital-experiences, branding-strategy, ecommerce, print" filter_normal_color="rgba(0, 0, 0, 0.46)" filter_hover_color="rgb(0, 0, 0)" ib_i_icon_linea="lqd-icn-ess icon-md-arrow-forward" filter_title="— Latest projects" filter_subtitle="Selected case studies" ib_color="rgb(0, 0, 0)" ib_hover_color="rgba(0, 0, 0, 0.85)" custom_filter_size="15px" mobile_filter_normal_color="rgb(0, 0, 0)"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Portfolio 10 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Portfolio 10', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'pf-10.jpg' );
	$data['sort_name'] = 'Portfolio';
	$data['custom_class'] = 'general portfolio';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="bottom" css=".vc_custom_1610027462431{padding-top: 120px !important;padding-bottom: 35px !important;}" el_class="z-index-2"][vc_column offset="vc_col-md-8" responsive_css="margin_bottom_medium:0px" css=".vc_custom_1610030141650{margin-bottom: 20px !important;}"][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" color="rgb(0, 0, 0)" fs="text_small:10px" fw="text_small:700" ls="text_small:0.08em" margin="bottom_small:2em"]Projects[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_all:132px|text_medium:110px|text_small:16vw" ls="text_small:-0.04em" fw="text_small:500" margin="bottom_small:0px" lh="text_small:0.85em"]Explore <em class="h3 d-flex">the projects.</em>[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-4" responsive_css="padding_bottom_medium:30px"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:14px" lh="text_small:1.6em"]Urban design draws together the many strands of place-making, environmental stewardship, social equity and economic viability into the creation.[/ld_fancy_heading][/vc_column][/vc_row][vc_row content_placement="middle" responsive_css="padding_top_medium:80px"][vc_column css=".vc_custom_1609935041018{margin-top: 30px !important;}"][ld_portfolio_listing style="style02" columns_gap="22" bottom_gap="35" post_type="liquid-portfolio" posts_per_page="6" show_filter="yes" enable_parallax="no" custom_cursor_style="lqd-cc-icon-trigger" pagination="ajax" ajax_trigger="click" filter_lbl_all="All" filter_size="size-custom" filter_mb="50" filter_title_size="size-lg" show_button="yes" ib_style="btn-naked" ib_title="See more" ib_i_type="linea" ib_i_add_icon="true" filter_id="lqd-1610028588647-8ffc9083-8bb9" filter_title="Filter by" ib_i_icon_linea="lqd-icn-ess icon-md-arrow-forward" ib_color="rgb(112, 112, 112)" ib_hover_color="rgb(0, 0, 0)" ib_fs="13px" filter_normal_color="rgb(0, 0, 0)" custom_filter_size="15px"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Portfolio 11 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Portfolio 11', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'pf-11.jpg' );
	$data['sort_name'] = 'Portfolio';
	$data['custom_class'] = 'general portfolio';
	$data['content'] = <<<CONTENT
	[vc_row responsive_css="padding_top_medium:0px|padding_right_medium:7%25|padding_bottom_medium:40px|padding_left_medium:7%25|padding_top_small:150px" css=".vc_custom_1603443910313{padding-bottom: 50px !important;background-color: #ffffff !important;}"][vc_column css=".vc_custom_1579095812791{padding-top: 100px !important;}"][ld_portfolio_listing style="style02" columns_gap="20" bottom_gap="40" post_type="liquid-portfolio" posts_per_page="9" enable_item_animation="yes" show_filter="yes" custom_cursor_style="lqd-cc-icon-trigger" filter_enable_counter="yes" filter_lbl_all="All" filter_align="justify-content-start" filter_mb="50" color_type="lqd-pf-color-custom" pf_init_scale_x="1" pf_init_scale_y="1" pf_init_opacity="0" pf_an_scale_x="1" pf_an_scale_y="1" pf_an_opacity="1" filter_id="lqd-1579094189894-520c4b6c-a6c8" title_weight="500" filter_cats="branded-ecommerce, branding, branding-strategy, art-direction, ecommerce, graphic-design" filter_normal_color="rgb(54, 54, 54)" color_primary="rgba(0, 0, 0, 0)" overlay_arrow_color="rgba(255, 255, 255, 0)" pf_duration="1600" pf_delay="160" pf_init_translate_y="-60" pf_init_rotate_x="25"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Portfolio 12 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Portfolio 12', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'pf-12.jpg' );
	$data['sort_name'] = 'Portfolio';
	$data['custom_class'] = 'general portfolio';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" bg_position="custom" css=".vc_custom_1615296737519{padding-bottom: 60px !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}" bg_pos_h="140%" bg_pos_v="50%" el_id="case-studies" responsive_css="padding_top_medium:75px|padding_bottom_medium:75px"][vc_column align="text-center" offset="vc_col-md-6" responsive_align="text-md-left"][ld_fancy_heading tag="h2"]Case à study[/ld_fancy_heading][/vc_column][vc_column align="text-center" offset="vc_col-md-6" responsive_align="text-md-right"][ld_button style="btn-naked" title="See more works" transformation="text-uppercase" color="rgb(14, 82, 74)" hover_color="rgb(0, 0, 0)"][/vc_column][vc_column css=".vc_custom_1573380990586{margin-top: 22px !important;}"][ld_portfolio_listing style="style03" columns_gap="30" bottom_gap="30" post_type="liquid-portfolio" posts_per_page="10" color_type="lqd-pf-color-custom" filter_id="1598372673428-995a3408-547b" color_primary="linear-gradient(0deg, rgba(255, 77, 84, 0.86) 0%, rgba(0, 127, 255, 0.94) 100%)" overlay_arrow_color="rgb(255, 255, 255)"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Portfolio 13 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Portfolio 13', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'pf-13.jpg' );
	$data['sort_name'] = 'Portfolio';
	$data['custom_class'] = 'general portfolio';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1611478382364{padding-bottom: 50px !important;}" responsive_css="padding_top_medium:100px|padding_bottom_medium:120px"][vc_column offset="vc_col-md-5" css=".vc_custom_1611478428837{margin-bottom: 20px !important;}" responsive_align="text-center text-md-left"][ld_fancy_heading tag="h6" transform="text-lowercase" duration="1600" delay="100" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" enable_bg="yes" fh_border_radius="circle" enable_split="true" margin="bottom_small:0.75em" ca_init_translate_x="0" ca_init_rotate_y="0" ca_init_translate_y="35" color="rgb(255, 90, 61)" padding="top_small:10px|right_small:20px|bottom_small:10px|left_small:20px" fh_bg="rgb(255, 234, 230)"]Digital Experience[/ld_fancy_heading][ld_fancy_heading tag="h2" highlight_offset="0.1em" use_custom_fonts_title="true" enable_fit="true" fs="text_large:48px|text_small:35px" lh="text_small:1.2em" minfontsize="36" highlight_color="rgba(255, 185, 158, 0.51)"]Some [ld_highlight]recent[/ld_highlight] works we really proud of[/ld_fancy_heading][/vc_column][vc_column][ld_portfolio_listing style="style02" horizontal_alignment="pf-details-h-str" columns_gap="25" bottom_gap="30" post_type="liquid-portfolio" posts_per_page="6" enable_item_animation="yes" show_filter="yes" filter_lbl_all="All" filter_mb="50" show_button="yes" ib_style="btn-naked" ib_title="See More" color_type="lqd-pf-color-custom" pf_init_scale_x="1" pf_init_scale_y="1" pf_init_opacity="0" pf_an_scale_x="1" pf_an_scale_y="1" pf_an_opacity="1" filter_id="lqd-1580380871018-713390ac-2eb9" color_primary="linear-gradient(135deg, rgba(51, 106, 234, 0.87) 0.6369426751592356%, rgb(255,85,56) 100%)" overlay_arrow_color="rgb(255, 255, 255)" pf_duration="1600" pf_delay="160" pf_init_translate_y="-55" pf_init_rotate_x="25"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Portfolio 14 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Portfolio 14', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'pf-14.jpg' );
	$data['sort_name'] = 'Portfolio';
	$data['custom_class'] = 'general portfolio';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" gap="0"][vc_column][ld_portfolio_listing style="style05" columns_gap="0" post_type="liquid-portfolio" posts_per_page="6" enable_item_animation="yes" pf_init_scale_x="1" pf_init_scale_y="1" pf_init_opacity="0" pf_an_scale_x="1" pf_an_scale_y="1" pf_an_opacity="1" filter_id="lqd-1588244482960-42aa82e4-a6d7" pf_duration="1800" pf_delay="180" pf_init_translate_x="0"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Portfolio 15 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Portfolio 15', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'pf-15.jpg' );
	$data['sort_name'] = 'Portfolio';
	$data['custom_class'] = 'general portfolio';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" full_height="yes" css=".vc_custom_1612006135356{padding-top: 170px !important;padding-bottom: 170px !important;background-color: #1a3a47 !important;}"][vc_column align="text-center" responsive_align="text-center"][ld_distorse_gallery blend_mode="hue" use_custom_fonts_title="true" identities="%5B%7B%22images%22%3A%224532%2C4533%2C4534%22%2C%22text%22%3A%22Royal%20Fashion%22%2C%22subtext%22%3A%2201%22%2C%22url%22%3A%22https%3A%2F%2Fimagetrailpro.liquid-themes.com%2Fportfolio%2Fnexa-mobile%2F%22%7D%2C%7B%22images%22%3A%2228%2C29%2C30%2C31%22%2C%22text%22%3A%22Antidote%22%2C%22subtext%22%3A%2202%22%2C%22url%22%3A%22https%3A%2F%2Fimagetrailpro.liquid-themes.com%2Fportfolio%2Faliens-do-3d-automobile%2F%22%7D%2C%7B%22images%22%3A%2232%2C33%2C34%2C35%22%2C%22text%22%3A%22Cosmopolitan%22%2C%22subtext%22%3A%2203%22%2C%22url%22%3A%22https%3A%2F%2Fimagetrailpro.liquid-themes.com%2Fportfolio%2Fphoto-retouching%2F%22%7D%2C%7B%22images%22%3A%2236%2C37%2C38%2C39%22%2C%22text%22%3A%22Saturation%22%2C%22subtext%22%3A%2204%22%2C%22url%22%3A%22https%3A%2F%2Fimagetrailpro.liquid-themes.com%2Fportfolio%2Fkontrast%2F%22%7D%2C%7B%22images%22%3A%2240%2C41%2C43%2C32%22%2C%22text%22%3A%22ShowReel%22%2C%22subtext%22%3A%2205%22%2C%22url%22%3A%22https%3A%2F%2Fimagetrailpro.liquid-themes.com%2Fportfolio%2Fthe-portraits%2F%22%7D%2C%7B%22images%22%3A%224380%2C4381%22%2C%22text%22%3A%22Happiness%22%2C%22subtext%22%3A%2206%22%2C%22url%22%3A%22https%3A%2F%2Fimagetrailpro.liquid-themes.com%2Fportfolio%2Fartboard-studio%2F%22%7D%2C%7B%22images%22%3A%2244%2C45%2C46%2C47%22%2C%22text%22%3A%22In%20the%20Park%22%2C%22subtext%22%3A%2207%22%2C%22url%22%3A%22https%3A%2F%2Fimagetrailpro.liquid-themes.com%2Fportfolio%2Finspiration-board%2F%22%7D%2C%7B%22images%22%3A%2248%2C49%2C50%2C51%22%2C%22text%22%3A%22Dazzled%22%2C%22subtext%22%3A%2208%22%2C%22url%22%3A%22https%3A%2F%2Fimagetrailpro.liquid-themes.com%2Fportfolio%2Fmercedez-benz-coupe%2F%22%7D%5D" fs="clamp(48px, 9.5vw, 210px)" color="rgb(255, 116, 116)" lh="1.1em" hover_color="rgb(255, 255, 255)" ls="-0.02em" fw="500"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Portfolio 16 - dark pf
	$data = array();
	$data['name'] = esc_html__( 'Portfolio 16', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'pf-16.jpg' );
	$data['sort_name'] = 'Portfolio';
	$data['custom_class'] = 'general portfolio';
	$data['content'] = <<<CONTENT
	[vc_row full_height="yes" data_tooltip="Japay" css=".vc_custom_1620719007362{padding-top: 20px !important;padding-bottom: 40px !important;background-color: #141414 !important;}" el_id="japay" responsive_css="padding_bottom_medium:120px|padding_top_small:80px|padding_bottom_small:80px"][vc_column bg_position="right top" css=".vc_custom_1595878368498{background-position: 0 0 !important;background-repeat: no-repeat !important;}"][ld_fancy_heading tag="h2" hover_text_outline="ld-fh-outline" outline_appearance="ld-fh-outline-static" vertical_txt="text-sm-vertical" absolute_pos="yes" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.05)" margin="top_small:0px|right_small:0px|bottom_small:0px|left_small:0px" position="right_large:-21vw|top_medium:-25vh|top_small:-0.5em|right_small:0px" fs="text_large:35vh|text_medium:26vh|text_small:26vw" hover_text_outline_color="rgba(255, 255, 255, 0.05)"]NEXA[/ld_fancy_heading][ld_spacer height="10vh" md_hide="vc_hidden-md" lg_hide="vc_hidden-lg" sm_height="0px"][/vc_column][vc_column][ld_imgage_overlay_text show_button="yes" ib_style="btn-naked" ib_link_type="lightbox" ib_i_type="linea" ib_i_position="top" ib_i_shape="btn-icon-circle" ib_i_shape_size="btn-icon-xlg" use_custom_fonts_title="true" ib_i_add_icon="true" image="4754" subtitle="Japay App" info="Mobile app" ib_i_icon_linea="lqd-icn-ess icon-ion-ios-play" ib_i_size="23px" ib_color="rgba(255, 255, 255, 0.11)" ib_i_color="rgb(255, 255, 255)" stroke_color="rgba(255, 255, 255, 0.15)" ib_link="url:https%3A%2F%2Fyoutu.be%2FJLE228ZuGGA|||" fs="clamp(80px, 12vw, 240px)" title="JAPAY" color="rgb(255, 255, 255)" fw="900" img_link="url:https%3A%2F%2Fasymmetric-portfoliopro.liquid-themes.com%2Fportfolio%2Fnexa-mobile%2F|title:Nexa%20Mobile||" info_color="rgba(255, 255, 255, 0.51)"]We help our clients succeed by creating brand identities, digital experiences, and print materials.[/ld_imgage_overlay_text][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;
	
	//Category Process
	//Process 1
	$data = array();
	$data['name'] = esc_html__( 'Process 01', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'process-1.jpg' );
	$data['sort_name'] = 'Process';
	$data['custom_class'] = 'general process text';
	$data['content'] = <<<CONTENT
	[vc_row equal_height="yes" content_placement="middle" bg_position="center center" css=".vc_custom_1605624089957{padding-top: 45px !important;padding-bottom: 30px !important;background-image: url(https://companyhub.liquid-themes.com/staging/wp-content/uploads/2019/12/Shape-BG.png?id=8692) !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}" responsive_css="padding_top_medium:50px|padding_bottom_medium:80px|padding_top_small:45px"][vc_column offset="vc_col-md-6" responsive_align="text-center text-md-left"][ld_images_group_container][ld_images_group_element img_size="50%" enable_image_shadow="yes" shadow_style="3" enable_roudness="yes" image_roudness="4" enable_shadow="yes" image="8768" position="left_large:0px|left_medium:-19vw|left_small:-10vw"][/ld_images_group_element][ld_images_group_element img_size="50%" enable_image_shadow="yes" shadow_style="4" enable_roudness="yes" image_roudness="4" enable_shadow="yes" image="8849" margin="top_small:-38%25|left_small:33%25" shadow_delay="500" position="left_medium:0px|left_small:-3vw"][/ld_images_group_element][/ld_images_group_container][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-offset-1 vc_col-md-5" responsive_css="padding_left_medium:16%25" ca_duration="1800" ca_delay="180" ca_init_translate_y="35"][ld_fancy_heading tag="h6" margin="bottom_small:0.75em"]company’s vision[/ld_fancy_heading][ld_fancy_heading tag="h2"]Investing in the digital future.[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:2.25em"]Hub IT allows your business and technology<br /> computers to store, transmit, analyze,<br /> and manipulate big data in the digital world.[/ld_fancy_heading][ld_icon_box i_type="linea" heading_size="custom" heading_weight="font-weight-bold" position="iconbox-inline" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title="Business-Plan Consulting" title_mb="1" icon_mb="10" custom_heading_size="17px" css=".vc_custom_1610731201809{margin-bottom: 10px !important;}" i_color="rgb(24, 67, 65)" icon_size="15px"][/ld_icon_box][ld_icon_box i_type="linea" heading_size="custom" heading_weight="font-weight-bold" position="iconbox-side" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title="First-Class Investments" title_mb="1" icon_mb="10" custom_heading_size="17px" icon_size="15px" css=".vc_custom_1610731213234{margin-bottom: 10px !important;}" i_color="rgb(24, 67, 65)"][/ld_icon_box][vc_row_inner equal_height="yes" content_placement="middle" css=".vc_custom_1588062878035{padding-top: 30px !important;}"][vc_column_inner width="1/2" offset="vc_col-md-5"][ld_button style="btn-solid" title="Get a quote" shape="round" size="btn-lg" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" fs="16px" css=".vc_custom_1595424291759{padding-right: 0.75em !important;padding-left: 0.75em !important;}" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" i_size="20px" hover_color="rgb(24, 67, 65)"][/vc_column_inner][/vc_row_inner][/vc_column][vc_column][ld_spacer height="72px"][/vc_column][vc_column custom_border_radius="500px" css=".vc_custom_1606899691951{border-top-width: 0px !important;border-right-width: 0px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;padding-top: 35px !important;padding-bottom: 35px !important;border-left-color: #ededed !important;border-left-style: solid !important;border-right-color: #ededed !important;border-right-style: solid !important;border-top-color: #ededed !important;border-top-style: solid !important;border-bottom-color: #ededed !important;border-bottom-style: solid !important;}" responsive_css="border_top_medium:1px|border_right_medium:1px|border_bottom_medium:1px|border_left_medium:1px"][ld_process_box_container template="style05"][ld_process_box use_custom_fonts_title="true" title="Register your email" fs="16px" ls="0px" title_color="rgb(17, 36, 70)" bg_shape="rgb(255, 255, 255)" hover_icon_color="rgb(0, 0, 0)"][/ld_process_box][ld_process_box use_custom_fonts_title="true" title="Accept Invitations" fs="16px" ls="0px" bg_shape="rgb(255, 255, 255)" hover_icon_color="rgb(0, 0, 0)"][/ld_process_box][ld_process_box use_custom_fonts_title="true" title="Start using your email" fs="16px" ls="0px" title_color="rgb(17, 36, 70)" bg_shape="rgb(255, 255, 255)" hover_icon_color="rgb(0, 0, 0)"][/ld_process_box][/ld_process_box_container][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Process 2 newsletterhub
	$data = array();
	$data['name'] = esc_html__( 'Process 02', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'process-2.jpg' );
	$data['sort_name'] = 'Process';
	$data['custom_class'] = 'general process text';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1611442138313{padding-top: 50px !important;padding-bottom: 50px !important;}" responsive_css="padding_top_medium:0px|padding_bottom_medium:100px"][vc_column][ld_process_box_container template="style09"][ld_process_box title="Get a free quote" count="1" title_color="rgb(17, 36, 70)" title_hover_color="rgb(61, 80, 223)" bg_shape="rgb(240, 242, 253)" number_color="rgb(61, 80, 223)" shape_border="rgb(240, 242, 253)" hover_shape_border="rgb(61, 80, 223)" hover_bg_shape="rgb(61, 80, 223)"]</p>
<div class="lqd-lines split-unit lqd-unit-animation-done"><span class="split-inner" data-text=" Choose a pre-built header or create a custom layout that perfectly ">Choose a pre-built header or create a custom layout that perfectly </span><span class="split-inner" data-text="suits your needs. It’s easy and fast. Your time is precious for us. Install ">suits your needs. It’s easy and fast.</span></div>
<p>[/ld_process_box][ld_process_box title="Online Consultation" count="2" title_color="rgb(17, 36, 70)" title_hover_color="rgb(61, 80, 223)" bg_shape="rgb(240, 242, 253)" number_color="rgb(61, 80, 223)" shape_border="rgb(240, 242, 253)" hover_shape_border="rgb(61, 80, 223)" hover_bg_shape="rgb(61, 80, 223)"]</p>
<div class="lqd-lines split-unit lqd-unit-animation-done"><span class="split-inner" data-text=" Choose a pre-built header or create a custom layout that perfectly ">Choose a pre-built header or create a custom layout that perfectly </span><span class="split-inner" data-text="suits your needs. It’s easy and fast. Your time is precious for us. Install ">suits your needs. It’s easy and fast.</span></div>
<p>[/ld_process_box][ld_process_box title="Final Result and Report" count="3" title_color="rgb(17, 36, 70)" title_hover_color="rgb(61, 80, 223)" bg_shape="rgb(240, 242, 253)" number_color="rgb(61, 80, 223)" shape_border="rgb(240, 242, 253)" hover_shape_border="rgb(61, 80, 223)" hover_bg_shape="rgb(61, 80, 223)"]</p>
<div class="lqd-lines split-unit lqd-unit-animation-done"><span class="split-inner" data-text=" Choose a pre-built header or create a custom layout that perfectly ">Choose a pre-built header or create a custom layout that perfectly </span><span class="split-inner" data-text="suits your needs. It’s easy and fast. Your time is precious for us. Install ">suits your needs. It’s easy and fast.</span></div>
<p>[/ld_process_box][/ld_process_box_container][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Process 3
	$data = array();
	$data['name'] = esc_html__( 'Process 03', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'process-3.jpg' );
	$data['sort_name'] = 'Process';
	$data['custom_class'] = 'general process text';
	$data['content'] = <<<CONTENT
	[vc_row equal_height="yes" content_placement="middle" css=".vc_custom_1605944416251{padding-top: 60px !important;}" responsive_css="padding_top_medium:100px|padding_bottom_medium:50px"][vc_column css=".vc_custom_1608024487095{border-top-width: 1px !important;padding-top: 35px !important;padding-bottom: 35px !important;border-top-color: rgba(255,255,255,0.2) !important;border-top-style: solid !important;}" responsive_css="padding_bottom_medium:35px"][vc_row_inner][vc_column_inner width="1/6" offset="vc_col-md-1 vc_col-xs-2"][ld_fancy_heading tag="p"]2020[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="7/12" offset="vc_col-md-2"][vc_single_image image="57" image_max_width="50px"][/vc_column_inner][vc_column_inner width="1/4" offset="vc_col-md-offset-2 vc_col-md-7" responsive_align="text-md-right"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:12px"]Honorable Mention x 4[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/vc_column][vc_column css=".vc_custom_1608024487095{border-top-width: 1px !important;padding-top: 35px !important;padding-bottom: 35px !important;border-top-color: rgba(255,255,255,0.2) !important;border-top-style: solid !important;}" responsive_css="padding_bottom_medium:35px"][vc_row_inner][vc_column_inner width="1/6" offset="vc_col-md-1 vc_col-xs-2"][ld_fancy_heading tag="p"]2017[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="7/12" offset="vc_col-md-2"][vc_single_image image="57" image_max_width="50px"][/vc_column_inner][vc_column_inner width="1/4" offset="vc_col-md-offset-2 vc_col-md-7" responsive_align="text-md-right"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:12px"]Developer Award x3[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/vc_column][vc_column css=".vc_custom_1608024487095{border-top-width: 1px !important;padding-top: 35px !important;padding-bottom: 35px !important;border-top-color: rgba(255,255,255,0.2) !important;border-top-style: solid !important;}" responsive_css="padding_bottom_medium:35px"][vc_row_inner][vc_column_inner width="1/6" offset="vc_col-md-1 vc_col-xs-2"][ld_fancy_heading tag="p"]2019[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="7/12" offset="vc_col-md-2"][vc_single_image image="57" image_max_width="50px"][/vc_column_inner][vc_column_inner width="1/4" offset="vc_col-md-offset-2 vc_col-md-7" responsive_align="text-md-right"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:12px"]Honorable Mention x 4[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:12px"]Developer Award x3[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Process 4
	$data = array();
	$data['name'] = esc_html__( 'Process 04', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'process-4.jpg' );
	$data['sort_name'] = 'Process';
	$data['custom_class'] = 'general process text';
	$data['content'] = <<<CONTENT
	[vc_row enable_content_animation="yes" animation_preset="Fade In" css=".vc_custom_1611591938424{padding-bottom: 60px !important;}" ca_delay="80"][vc_column offset="vc_hidden-xs"][ld_images_group_container move_to_parent_row="yes" position="top_large:10%25|left_large:-360px|top_small:-5%25|left_small:-70%25"][ld_images_group_element img_size="50%" image="4417"][/ld_images_group_element][/ld_images_group_container][/vc_column][vc_column offset="vc_col-md-offset-2 vc_col-md-8"][ld_fancy_heading tag="h6" margin="bottom_large:7em|bottom_small:2em"]— The process[/ld_fancy_heading][/vc_column][vc_column width="1/2" offset="vc_col-md-offset-2 vc_col-md-3" responsive_css="margin_bottom_small:130px" css=".vc_custom_1621083582185{margin-bottom: 35px !important;}"][ld_fancy_heading tag="div" alignment="text-center" tag_to_inherite="h2" hover_text_outline="ld-fh-outline" outline_appearance="ld-fh-outline-static" vertical_txt="text-sm-vertical" absolute_pos="yes" use_custom_fonts_title="true" use_inheritance="true" hover_text_outline_color="rgba(112, 112, 112, 0.1)" fs="text_small:220px" fw="text_small:700" position="right_large:-0.7em|right_medium:-0.25em|top_small:-0.25em|right_small:0px"]01[/ld_fancy_heading][ld_fancy_heading tag="h2" tag_to_inherite="h3" use_custom_fonts_title="true" use_inheritance="true" margin="bottom_small:0.65em" fs="31px" lh="1em"]Building the<br />
future cities_[/ld_fancy_heading][ld_fancy_heading tag="p"]Interior design is the art and science of enhancing the interiors, sometimes including the exterior, of a space or[/ld_fancy_heading][/vc_column][vc_column width="1/2" offset="vc_col-md-offset-2 vc_col-md-3" responsive_css="margin_bottom_small:130px" css=".vc_custom_1621083588295{margin-bottom: 35px !important;}"][ld_fancy_heading tag="div" alignment="text-center" tag_to_inherite="h2" hover_text_outline="ld-fh-outline" outline_appearance="ld-fh-outline-static" vertical_txt="text-sm-vertical" absolute_pos="yes" use_custom_fonts_title="true" use_inheritance="true" hover_text_outline_color="rgba(112, 112, 112, 0.1)" fs="text_small:220px" fw="text_small:700" position="right_large:-0.7em|right_medium:-0.25em|top_small:-0.25em|right_small:0px"]02[/ld_fancy_heading][ld_fancy_heading tag="h2" tag_to_inherite="h3" use_custom_fonts_title="true" use_inheritance="true" margin="bottom_small:0.65em" fs="31px" lh="1em"]Influential<br />
and impactful_[/ld_fancy_heading][ld_fancy_heading tag="p"]Urban design draws together the many strands of place-making, environmental stewardship, social[/ld_fancy_heading][/vc_column][vc_column width="1/2" offset="vc_col-md-offset-2 vc_col-md-3" responsive_css="margin_bottom_small:130px" css=".vc_custom_1621083593378{margin-bottom: 35px !important;}"][ld_fancy_heading tag="div" alignment="text-center" tag_to_inherite="h2" hover_text_outline="ld-fh-outline" outline_appearance="ld-fh-outline-static" vertical_txt="text-sm-vertical" absolute_pos="yes" use_custom_fonts_title="true" use_inheritance="true" hover_text_outline_color="rgba(112, 112, 112, 0.1)" fs="text_small:220px" fw="text_small:700" position="right_large:-0.7em|right_medium:-0.25em|top_small:-0.25em|right_small:0px"]03[/ld_fancy_heading][ld_fancy_heading tag="h2" tag_to_inherite="h3" use_custom_fonts_title="true" use_inheritance="true" margin="bottom_small:0.65em" fs="31px" lh="1em"]Award-winning<br />
architecture_[/ld_fancy_heading][ld_fancy_heading tag="p"]Since the 1980s, as the complexity of buildings began to increase, the field of architecture became multi-[/ld_fancy_heading][/vc_column][vc_column width="1/2" offset="vc_col-md-offset-2 vc_col-md-3" responsive_css="margin_bottom_small:130px"][ld_fancy_heading tag="div" alignment="text-center" tag_to_inherite="h2" hover_text_outline="ld-fh-outline" outline_appearance="ld-fh-outline-static" vertical_txt="text-sm-vertical" absolute_pos="yes" use_custom_fonts_title="true" use_inheritance="true" hover_text_outline_color="rgba(112, 112, 112, 0.1)" fs="text_small:220px" fw="text_small:700" position="right_large:-0.7em|right_medium:-0.25em|top_small:-0.25em|right_small:0px"]04[/ld_fancy_heading][ld_fancy_heading tag="h2" tag_to_inherite="h3" use_custom_fonts_title="true" use_inheritance="true" margin="bottom_small:0.65em" fs="31px" lh="1em"]Scalable projects<br />
for everyone_[/ld_fancy_heading][ld_fancy_heading tag="p"]Our process applies techniques from a variety of disciplines, values distinction in detail and gives careful[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Process 5
	$data = array();
	$data['name'] = esc_html__( 'Process 5', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'process-5.jpg' );
	$data['sort_name'] = 'Process';
	$data['custom_class'] = 'general process text';
	$data['content'] = <<<CONTENT
	[vc_row bg_position="right center" css=".vc_custom_1610005457286{border-top-width: 1px !important;padding-bottom: 60px !important;border-top-color: #d0d0d0 !important;border-top-style: solid !important;}" responsive_css="padding_bottom_medium:100px"][vc_column offset="vc_col-md-4" responsive_css="padding_right_large:13%25"][ld_icon_box i_type="linea" heading_size="custom" alignment="text-left" i_icon_linea="lqd-icn-ess icon-lqd-circle" title="Building the`{`ld_br`}`future cities_" i_color="rgb(0, 0, 0)" custom_heading_size="31px" icon_size="20px" css=".vc_custom_1609931136425{margin-top: -10px !important;}"]<span style="font-size: 16px; line-height: 1.56em;">Urban design draws together the many strands of place-making, environmental stewardship.</span>[/ld_icon_box][/vc_column][vc_column offset="vc_col-md-4" responsive_css="padding_right_large:13%25"][ld_icon_box i_type="linea" heading_size="custom" alignment="text-left" i_icon_linea="lqd-icn-ess icon-lqd-circle" title="Influential`{`ld_br`}`and impactful_" i_color="rgb(0, 0, 0)" custom_heading_size="31px" icon_size="20px" css=".vc_custom_1609931189071{margin-top: -10px !important;}"]<span style="font-size: 16px; line-height: 1.56em;">Urban design draws together the many strands of place-making, environmental stewardship.</span>[/ld_icon_box][/vc_column][vc_column offset="vc_col-md-4" responsive_css="padding_right_large:13%25"][ld_icon_box i_type="linea" heading_size="custom" alignment="text-left" i_icon_linea="lqd-icn-ess icon-lqd-circle" title="Award-winning`{`ld_br`}`architecture_" i_color="rgb(0, 0, 0)" custom_heading_size="31px" icon_size="20px" css=".vc_custom_1609931212461{margin-top: -10px !important;}"]<span style="font-size: 16px; line-height: 1.56em;">Urban design draws together the many strands of place-making, environmental stewardship.</span>[/ld_icon_box][/vc_column][vc_column][ld_images_group_container move_to_parent_row="yes" absolute_pos="yes" position="top_large:-70%25|top_small:-30%25|right_small:0px" el_class="z-index--1"][ld_images_group_element img_size="50%" image="4417"][/ld_images_group_element][/ld_images_group_container][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Process 6
	$data = array();
	$data['name'] = esc_html__( 'Process 06', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'process-6.jpg' );
	$data['sort_name'] = 'Process';
	$data['custom_class'] = 'general process text';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" el_id="analytics" responsive_css="padding_top_medium:30px|padding_bottom_medium:80px" css=".vc_custom_1618494618853{padding-bottom: 50px !important;}"][vc_column align="text-center" responsive_css="margin_bottom_medium:60px|padding_right_medium:7%25|padding_left_medium:7%25" offset="vc_col-lg-offset-3 vc_col-lg-6 vc_col-md-offset-2 vc_col-md-8" responsive_align="text-center" css=".vc_custom_1605396614588{margin-bottom: 30px !important;}"][ld_fancy_heading tag="h6" margin="bottom_small:0.75em"]The process[/ld_fancy_heading][ld_fancy_heading tag="h2" use_inheritance="true"]API Integration[/ld_fancy_heading][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="0.75" ca_init_scale_y="0.75" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" bg_position="center top" align="text-center" css=".vc_custom_1573635663698{background-image: url(https://mainhub.liquid-themes.com/wp-content/uploads/2019/11/svg-bg-4.svg?id=4321) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: contain !important;}" offset="vc_col-md-7" ca_duration="1800" ca_delay="180" ca_init_translate_x="-55" ca_init_rotate_x="-15" responsive_align="text-center"][ld_images_group_element img_size="50%" parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" image="121" translate_from_y="70" translate_to_y="-80" margin="bottom_small:40px"][/ld_images_group_element][vc_row_inner][vc_column_inner offset="vc_col-md-offset-2 vc_col-md-8"][ld_icon_box i_type="linea" heading_size="custom" heading_weight="font-weight-normal" position="iconbox-side" i_icon_linea="lqd-icn-ess icon-lqd-check" title="Les services de paiement sont disponibles via des applications mobiles et de bureau." custom_heading_size="14px" icon_size="16px" h_color="rgb(134, 147, 158)" title_mb="1"][/ld_icon_box][/vc_column_inner][/vc_row_inner][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-5" ca_duration="1800" ca_start_delay="250" ca_delay="180" ca_init_translate_y="60" responsive_css="padding_right_medium:12%25"][ld_icon_box i_type="linea" heading_size="sm" i_shape="circle" i_border="1" position="iconbox-side" i_linked="iconbox-icon-linked" i_icon_linea="lqd-icn-ess icon-num-1" title="Register your API" icon_size="17px" custom_i_size="42px" shape_color="rgb(255, 255, 255)" border_shape_color="rgb(232, 235, 237)" i_color="rgb(0, 0, 0)" css=".vc_custom_1611484311638{margin-bottom: 44px !important;}" h_i_color="rgb(255, 255, 255)" shape_hcolor="rgb(0, 0, 0)" border_shape_hcolor="rgb(0, 0, 0)"]<span style="font-size: 16px;">No more complex codes or boring designs. Creating an attractive and functional site has never been easier.</span>[/ld_icon_box][ld_icon_box i_type="linea" heading_size="sm" i_shape="circle" i_border="1" position="iconbox-side" i_linked="iconbox-icon-linked" i_icon_linea="lqd-icn-ess icon-num-2" title="Start adding content" icon_size="17px" custom_i_size="42px" shape_color="rgb(255, 255, 255)" border_shape_color="rgb(232, 235, 237)" i_color="rgb(0, 0, 0)" css=".vc_custom_1611484294905{margin-bottom: 40px !important;}" h_i_color="rgb(255, 255, 255)" shape_hcolor="rgb(0, 0, 0)" border_shape_hcolor="rgb(0, 0, 0)"]<span style="font-size: 16px;">No more complex codes or boring designs. Creating an attractive and functional site has never been easier.</span>[/ld_icon_box][ld_icon_box i_type="linea" heading_size="sm" i_shape="circle" i_border="1" position="iconbox-side" i_linked="iconbox-icon-linked" i_icon_linea="lqd-icn-ess icon-num-3" title="Unlock your device" icon_size="17px" custom_i_size="42px" shape_color="rgb(255, 255, 255)" border_shape_color="rgb(232, 235, 237)" i_color="rgb(0, 0, 0)" css=".vc_custom_1611484331933{margin-bottom: 40px !important;}" h_i_color="rgb(255, 255, 255)" shape_hcolor="rgb(0, 0, 0)" border_shape_hcolor="rgb(0, 0, 0)"]<span style="font-size: 16px;">No more complex codes or boring designs. Creating an attractive and functional site has never been easier.</span>[/ld_icon_box][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Process 7
	$data = array();
	$data['name'] = esc_html__( 'Process 07', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'process-7.jpg' );
	$data['sort_name'] = 'Process';
	$data['custom_class'] = 'general process text';
	$data['content'] = <<<CONTENT
	[vc_row equal_height="yes" content_placement="middle" css=".vc_custom_1605894390821{padding-top: 70px !important;padding-bottom: 70px !important;background-color: #f6f9fe !important;}" responsive_css="padding_top_medium:100px|padding_bottom_medium:110px"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" align="text-center" offset="vc_col-md-offset-1 vc_col-md-10" responsive_css="margin_bottom_medium:100px|padding_right_medium:2.5vw|padding_left_medium:2.5vw" ca_duration="1800" ca_delay="180" ca_init_translate_y="35" css=".vc_custom_1607345714802{margin-bottom: 40px !important;}" responsive_align="text-md-center"][ld_fancy_heading tag="h6" margin="bottom_small:1em"]Who we are[/ld_fancy_heading][ld_fancy_heading tag="h2" split_type="words" duration="1000" delay="120" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" enable_fit="true" minfontsize="40" fs="text_large:48px|text_small:40px" ca_init_translate_y="70"]What makes Hub team different.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="18px" lh="1.666em"]Is to provide ground solutions that are well engineered, pragmatic and innovative, using the specialist skills and experience of our team, to meet and exceed the expectations of our clients.[/ld_fancy_heading][/vc_column][vc_column enable_content_animation="yes" animation_preset="Fade In" offset="vc_col-md-5" ca_duration="1800" ca_delay="180" responsive_css="margin_bottom_medium:0px|padding_right_medium:0px|padding_left_medium:0px" css=".vc_custom_1607345653278{margin-bottom: 60px !important;padding-right: 30px !important;padding-left: 30px !important;}"][vc_row_inner css=".vc_custom_1605400886869{margin-bottom: 50px !important;padding-right: 10px !important;padding-left: 10px !important;}"][vc_column_inner width="1/4" offset="vc_col-xs-3"][ld_fancy_heading tag="h6" use_custom_fonts_title="true" color="rgb(209, 220, 236)" fs="48px" fw="700"]01[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="3/4" css=".vc_custom_1607345614090{border-bottom-width: 2px !important;border-bottom-color: #eeeeee !important;border-bottom-style: solid !important;}" offset="vc_col-xs-9"][ld_fancy_heading tag="h5" use_custom_fonts_title="true"]Understand your requirements and the constrains.[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][vc_row_inner css=".vc_custom_1579177672209{margin-bottom: 50px !important;}"][vc_column_inner width="1/4" offset="vc_col-xs-3"][ld_fancy_heading tag="h6" use_custom_fonts_title="true" color="rgb(209, 220, 236)" fs="48px" fw="700"]02[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="3/4" css=".vc_custom_1607345688852{border-bottom-width: 2px !important;border-bottom-color: #eeeeee !important;border-bottom-style: solid !important;}" offset="vc_col-xs-9"][ld_fancy_heading tag="h5" use_custom_fonts_title="true"]Gather data, facts, thoughts, views, opinions &amp; constrain.[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][vc_row_inner css=".vc_custom_1579177672209{margin-bottom: 50px !important;}"][vc_column_inner width="1/4" offset="vc_col-xs-3"][ld_fancy_heading tag="h6" use_custom_fonts_title="true" color="rgb(209, 220, 236)" fs="48px" fw="700"]03[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="3/4" css=".vc_custom_1607345703224{border-bottom-width: 2px !important;border-bottom-color: #eeeeee !important;border-bottom-style: solid !important;}" offset="vc_col-xs-9"][ld_fancy_heading tag="h5" use_custom_fonts_title="true"]All projectcs are participative and supportive.[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/vc_column][vc_column align="text-center" offset="vc_col-md-offset-1 vc_col-md-6" responsive_align="text-center"][ld_images_group_container enable_item_animation="yes" pf_init_scale_x="1" pf_init_scale_y="1" pf_init_opacity="0" pf_an_scale_x="1" pf_an_scale_y="1" pf_an_opacity="1" pf_duration="1800" pf_delay="180" pf_init_translate_y="45"][ld_images_group_element absolute_pos="yes" image="56" position="top_small:-40px|right_small:0px|left_small:0px"][/ld_images_group_element][ld_images_group_element img_size="50%" enable_effects="yes" parallax="yes" enable_image_shadow="yes" shadow_style="4" enable_shadow="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" parallax_overflow="yes" image="135" translate_from_y="0"][/ld_images_group_element][/ld_images_group_container][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" align="text-center" css=".vc_custom_1605401078625{margin-top: 30px !important;}" ca_duration="1800" ca_delay="180" ca_init_translate_y="35" responsive_align="text-center" responsive_css="margin_top_medium:70px"][ld_button style="btn-solid" title="More About Our Works" transformation="text-uppercase" shape="circle" enable_row_shadowbox="yes" fs="14px" lh="1.5em" button_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2220px%22%2C%22blur_radius%22%3A%2250px%22%2C%22shadow_color%22%3A%22rgba(0%2C207%2C50%2C0.2)%22%7D%5D" hover_button_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2225px%22%2C%22blur_radius%22%3A%2260px%22%2C%22shadow_color%22%3A%22rgba(12%2C0%2C0%2C0.1)%22%7D%5D" hover_color="rgb(27, 27, 27)"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Process 8
	$data = array();
	$data['name'] = esc_html__( 'Process 08', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'process-8.jpg' );
	$data['sort_name'] = 'Process';
	$data['custom_class'] = 'general process text';
	$data['content'] = <<<CONTENT
	[vc_row enable_gradient="yes" enable_row_shadowbox="yes" css=".vc_custom_1611068996957{margin-right: 20px !important;margin-left: 20px !important;padding-top: 60px !important;padding-bottom: 60px !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;border-radius: 10px !important;}" gradient_bg="linear-gradient(270deg, rgb(131, 59, 255) 0.6369426751592356%, #ac1de1 100%)" responsive_css="margin_right_medium:50px|margin_left_medium:50px|padding_top_medium:80px|padding_bottom_medium:80px" row_box_shadow="%5B%7B%22y_offset%22%3A%2290px%22%2C%22blur_radius%22%3A%2290px%22%2C%22spread_radius%22%3A%2290px%22%2C%22shadow_color%22%3A%22%23ededff%22%7D%5D"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" align="text-center" offset="vc_col-md-offset-3 vc_col-md-6" css=".vc_custom_1577868995137{margin-bottom: 40px !important;}" ca_duration="1800" ca_delay="180" ca_init_translate_y="45" responsive_align="text-center"][ld_fancy_heading tag="h6" enable_bg="yes" fh_border_radius="circle" color="rgb(255, 255, 255)" fh_bg="rgba(0, 0, 0, 0.27)" padding="top_small:10px|right_small:20px|bottom_small:10px|left_small:20px"]How we do it[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" enable_fit="true" color="rgb(255, 255, 255)" minfontsize="38" fs="text_large:43px|text_small:35px"]See how we do it[/ld_fancy_heading][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" ca_duration="1800" ca_delay="180" ca_init_translate_x="45" responsive_css="padding_right_medium:0px|padding_left_medium:0px" css=".vc_custom_1605983239537{padding-right: 10px !important;padding-left: 10px !important;}"][ld_process_box_container template="style01" sep_color="rgb(255, 255, 255)"][ld_process_box use_custom_fonts_title="true" title="Brainstorming and<br />
creative ideas" title_color="rgb(255, 255, 255)" bg_shape="rgba(255, 255, 255, 0)" number_color="rgb(255, 255, 255)" fs="20px" lh="1.5em" shape_border="rgba(255, 255, 255, 0.27)" secondary_color="rgb(192, 198, 211)"]<span style="color: rgba(255,255,255,0.75);">Keyword research and other market research under the SEO analytics umbrella.</span>[/ld_process_box][ld_process_box use_custom_fonts_title="true" title="Building the strategy<br />
to boost your sales" title_color="rgb(255, 255, 255)" bg_shape="rgba(255, 255, 255, 0)" number_color="rgb(255, 255, 255)" fs="20px" lh="1.5em" shape_border="rgba(255, 255, 255, 0.27)" secondary_color="rgb(192, 198, 211)"]<span style="color: rgba(255,255,255,0.75);">Keyword research and other market research under the SEO analytics umbrella.</span>[/ld_process_box][ld_process_box use_custom_fonts_title="true" title="Helping to achieve<br />
more people" title_color="rgb(255, 255, 255)" bg_shape="rgba(255, 255, 255, 0)" number_color="rgb(255, 255, 255)" fs="20px" lh="1.5em" shape_border="rgba(255, 255, 255, 0.27)" secondary_color="rgb(192, 198, 211)"]<span style="color: rgba(255,255,255,0.75);">Keyword research and other market research under the SEO analytics umbrella.</span>[/ld_process_box][/ld_process_box_container][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Process 9
	$data = array();
	$data['name'] = esc_html__( 'Process 09', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'process-9.jpg' );
	$data['sort_name'] = 'Process';
	$data['custom_class'] = 'general process text';
	$data['content'] = <<<CONTENT
	[vc_row equal_height="yes" content_placement="middle" responsive_css="padding_top_medium:120px|padding_top_small:80px|padding_bottom_small:30px" css=".vc_custom_1614342255674{padding-top: 60px !important;padding-bottom: 15px !important;}"][vc_column offset="vc_col-md-5" responsive_css="margin_bottom_medium:0px" css=".vc_custom_1611315213533{margin-bottom: 20px !important;}"][ld_fancy_heading tag="h6" margin="bottom_small:2em"]<a href="https://saaspro.liquid-themes.com/wp-content/uploads/2021/01/Group-32402.svg"><img class="alignnone size-medium wp-image-964" src="https://saaspro.liquid-themes.com/wp-content/uploads/2021/01/Group-32402.svg" alt="" width="110" height="19" /></a>  Next Generation[/ld_fancy_heading][ld_fancy_heading tag="h2" highlight_reset_onhover="lqd-highlight-reset-onhover" highlight_offset="0.15em" use_custom_fonts_title="true" fs="text_medium:51px|text_small:11vw" highlight_color="rgba(177, 204, 255, 0.35)" margin="bottom_small:0.35em"]Track your daily [ld_highlight]activity.[/ld_highlight][/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.47em"]The latest design trends meet hand-crafted templates in Hub Collection. Use pre-built sections to speed up your design process.[/ld_fancy_heading][/vc_column][vc_column responsive_css="padding_left_large:6%25" offset="vc_col-md-7"][ld_images_group_element enable_hover3d="yes" image="970"][/ld_images_group_element][/vc_column][/vc_row][vc_row enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" css=".vc_custom_1614342277074{padding-top: 50px !important;padding-bottom: 50px !important;}" ca_duration="1800" ca_delay="180" ca_init_translate_x="35" responsive_css="margin_bottom_medium:35px"][vc_column offset="vc_col-md-4"][ld_icon_box i_type="linea" heading_size="custom" heading_weight="font-weight-bold" i_shape="circle" i_size="xs" i_border="1" position="iconbox-side" title="SCHEDULE APPOINTMENT" custom_heading_size="14px" custom_i_size="47px" shape_hcolor="rgb(0, 68, 235)" border_shape_color="rgb(220, 228, 235)" border_shape_hcolor="rgb(0, 68, 235)" shape_color="rgb(255, 255, 255)" icon_size="16px" h_i_color="rgb(255, 255, 255)" i_icon_linea="lqd-icn-ess icon-num-1" i_color="rgb(0, 0, 0)"]Google makes it easier to run high performance shared hosting account on its cloud platform.[/ld_icon_box][/vc_column][vc_column offset="vc_col-md-4"][ld_icon_box i_type="linea" heading_size="custom" heading_weight="font-weight-bold" i_shape="circle" i_size="xs" i_border="1" position="iconbox-side" title="BUSINESS CONSULTATION" custom_heading_size="14px" custom_i_size="47px" shape_hcolor="rgb(0, 68, 235)" border_shape_color="rgb(220, 228, 235)" border_shape_hcolor="rgb(0, 68, 235)" shape_color="rgb(255, 255, 255)" icon_size="16px" h_i_color="rgb(255, 255, 255)" i_icon_linea="lqd-icn-ess icon-num-2" i_color="rgb(26, 26, 26)"]Google makes it easier to run high performance shared hosting account on its cloud platform.[/ld_icon_box][/vc_column][vc_column offset="vc_col-md-4"][ld_icon_box i_type="linea" heading_size="custom" heading_weight="font-weight-bold" i_shape="circle" i_size="xs" i_border="1" position="iconbox-side" title="LAUNCH YOUR BUSINESS" custom_heading_size="14px" custom_i_size="47px" shape_hcolor="rgb(0, 68, 235)" border_shape_color="rgb(220, 228, 235)" border_shape_hcolor="rgb(0, 68, 235)" shape_color="rgb(255, 255, 255)" icon_size="16px" h_i_color="rgb(255, 255, 255)" i_icon_linea="lqd-icn-ess icon-num-3" i_color="rgb(22, 22, 22)"]Google makes it easier to run high performance shared hosting account on its cloud platform.[/ld_icon_box][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Process 10
	$data = array();
	$data['name'] = esc_html__( 'Process 10', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'process-10.jpg' );
	$data['sort_name'] = 'Process';
	$data['custom_class'] = 'general process text';
	$data['content'] = <<<CONTENT
	[vc_row responsive_css="padding_top_medium:150px|padding_top_small:80px" css=".vc_custom_1610108838714{padding-top: 60px !important;padding-bottom: 20px !important;}"][vc_column offset="vc_col-md-5" css=".vc_custom_1610108416482{margin-bottom: 30px !important;}"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" color="rgb(31, 42, 88)" fs="text_small:39px" lh="text_small:1.05em" highlight_color="rgba(21, 118, 255, 0.2)"]Las [ld_highlight]services[/ld_highlight] de sont disponibles.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px" lh="text_small:1.5em" margin="right_all:10%25"]Les services de paiement sont disponibles via des applications mobiles et de bureau.[/ld_fancy_heading][/vc_column][vc_column][ld_tabs style="style06" use_custom_fonts_nav="true" primary_hcolor="rgb(0, 203, 153)" fs="17px" lh="1.5em"][ld_tab_section i_type="linea" title="Make an Appointment" tab_id="1571993482466-866be5b0-1be5" i_icon_linea="lqd-icn-ess icon-num-1"][vc_row_inner responsive_css="margin_top_medium:-40%25"][vc_column_inner parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" align="text-right" offset="vc_col-md-offset-2 vc_col-md-11" translate_from_y="70" translate_to_y="-81" css=".vc_custom_1573289223292{margin-bottom: -370px !important;}" responsive_css="margin_bottom_medium:-450px" responsive_align="text-right"][vc_single_image image="319" alignment="right"][/vc_column_inner][vc_column_inner parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" offset="vc_col-md-offset-2 vc_col-md-8" translate_from_y="135" translate_to_y="-230" css=".vc_custom_1572006813545{padding-right: 5% !important;padding-left: 5% !important;}"][vc_single_image image="318"][/vc_column_inner][/vc_row_inner][/ld_tab_section][ld_tab_section i_type="linea" title="Business Consultation" tab_id="ld-1572006892557-78869ffb-9135" i_icon_linea="lqd-icn-ess icon-num-2"][vc_row_inner responsive_css="margin_top_medium:-40%25"][vc_column_inner parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" align="text-right" offset="vc_col-md-offset-2 vc_col-md-11" translate_from_y="70" translate_to_y="-81" css=".vc_custom_1573289234259{margin-bottom: -370px !important;}" responsive_css="margin_bottom_medium:-450px" responsive_align="text-right"][vc_single_image image="317" alignment="right"][/vc_column_inner][vc_column_inner parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" offset="vc_col-md-offset-2 vc_col-md-8" translate_from_y="135" translate_to_y="-230" css=".vc_custom_1572006813545{padding-right: 5% !important;padding-left: 5% !important;}"][vc_single_image image="318"][/vc_column_inner][/vc_row_inner][/ld_tab_section][ld_tab_section i_type="linea" title="Business Analytics" tab_id="ld-1572006902459-d8356ed9-2186" i_icon_linea="lqd-icn-ess icon-num-3"][vc_row_inner responsive_css="margin_top_medium:-40%25"][vc_column_inner parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" align="text-right" offset="vc_col-md-offset-2 vc_col-md-11" translate_from_y="70" translate_to_y="-81" css=".vc_custom_1573289247777{margin-bottom: -370px !important;}" responsive_css="margin_bottom_medium:-450px" responsive_align="text-right"][vc_single_image image="319" alignment="right"][/vc_column_inner][vc_column_inner parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" offset="vc_col-md-offset-2 vc_col-md-8" translate_from_y="135" translate_to_y="-230" css=".vc_custom_1572006813545{padding-right: 5% !important;padding-left: 5% !important;}"][vc_single_image image="318"][/vc_column_inner][/vc_row_inner][/ld_tab_section][/ld_tabs][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Process 11
	$data = array();
	$data['name'] = esc_html__( 'Process 11', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'process-11.jpg' );
	$data['sort_name'] = 'Process';
	$data['custom_class'] = 'general process text';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" css=".vc_custom_1614777528169{padding-top: 40px !important;padding-bottom: 40px !important;}" responsive_css="padding_top_medium:40px|padding_bottom_medium:100px"][vc_column align="text-center" offset="vc_col-lg-offset-2 vc_col-lg-8" responsive_css="margin_bottom_medium:60px" css=".vc_custom_1602652006790{margin-bottom: 30px !important;}" responsive_align="text-center"][ld_fancy_heading tag="h6" transform="text-lowercase" duration="1600" delay="100" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" enable_bg="yes" fh_border_radius="circle" enable_split="true" margin="bottom_small:0.75em" ca_init_translate_x="0" ca_init_rotate_y="0" ca_init_translate_y="35" color="rgb(255, 90, 61)" padding="top_small:10px|right_small:20px|bottom_small:10px|left_small:20px" fh_bg="rgb(255, 234, 230)"]Digital Experience[/ld_fancy_heading][ld_fancy_heading tag="h2"]Explore the creative process[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:19px" lh="text_small:1.5em" margin="bottom_small:2em" padding="right_all:22%25|left_all:22%25"]Passionate about solving problems through creative communications.[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-lg-offset-1 vc_col-lg-4 vc_col-md-5" css=".vc_custom_1602652228979{padding-bottom: 50px !important;}" responsive_css="padding_bottom_medium:0px"][ld_images_group_element enable_hover3d="yes" enable_float_effect="yes" image="4930" margin="left_large:-30%25"][/ld_images_group_element][/vc_column][vc_column offset="vc_col-lg-offset-1 vc_col-lg-5 vc_col-md-5" css=".vc_custom_1602651874458{padding-right: 15% !important;padding-left: 15% !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}" responsive_css="padding_right_medium:0px|padding_left_medium:0px"][vc_row_inner gap="5" css=".vc_custom_1588592449870{margin-bottom: 65px !important;}"][vc_column_inner offset="vc_col-md-3"][ld_fancy_heading tag="p" use_custom_fonts_title="true" use_inheritance="true" color="rgb(209, 220, 236)" fs="text_small:48px" lh="text_small:1em" margin="bottom_small:0px" ls="text_small:-0.05em"]01[/ld_fancy_heading][/vc_column_inner][vc_column_inner offset="vc_col-md-9" css=".vc_custom_1595846172877{border-bottom-width: 2px !important;border-bottom-color: #e3e3e3 !important;border-bottom-style: solid !important;}"][ld_fancy_heading tag="h4" use_custom_fonts_title="true" fs="text_small:18px" lh="text_small:1.38em" margin="bottom_small:0.8em"]Understand your requirements and the constrains.[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][vc_row_inner gap="5" css=".vc_custom_1588592449870{margin-bottom: 65px !important;}"][vc_column_inner offset="vc_col-md-3"][ld_fancy_heading tag="p" use_custom_fonts_title="true" use_inheritance="true" color="rgb(209, 220, 236)" fs="text_small:48px" lh="text_small:1em" margin="bottom_small:0px" ls="text_small:-0.05em"]02[/ld_fancy_heading][/vc_column_inner][vc_column_inner offset="vc_col-md-9" css=".vc_custom_1588592476060{border-bottom-width: 2px !important;border-bottom-color: #e3e3e3 !important;border-bottom-style: solid !important;}"][ld_fancy_heading tag="h4" use_custom_fonts_title="true" fs="text_small:18px" lh="text_small:1.38em" margin="bottom_small:0.8em"]Gather data, facts, thoughts, views, opinions and constrain.[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][vc_row_inner gap="5" css=".vc_custom_1588592449870{margin-bottom: 65px !important;}"][vc_column_inner offset="vc_col-md-3"][ld_fancy_heading tag="p" use_custom_fonts_title="true" use_inheritance="true" color="rgb(209, 220, 236)" fs="text_small:48px" lh="text_small:1em" margin="bottom_small:0px" ls="text_small:-0.05em"]03[/ld_fancy_heading][/vc_column_inner][vc_column_inner offset="vc_col-md-9" css=".vc_custom_1588592476060{border-bottom-width: 2px !important;border-bottom-color: #e3e3e3 !important;border-bottom-style: solid !important;}"][ld_fancy_heading tag="h4" use_custom_fonts_title="true" fs="text_small:18px" lh="text_small:1.38em" margin="bottom_small:0.8em"]All projects are participative and supportive.[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Process 12
	$data = array();
	$data['name'] = esc_html__( 'Process 12', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'process-12.jpg' );
	$data['sort_name'] = 'Process';
	$data['custom_class'] = 'general process text';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1614769259969{padding-top: 30px !important;padding-bottom: 0px !important;}" responsive_css="padding_top_medium:100px|padding_bottom_medium:100px" el_id="howitworks"][vc_column offset="vc_col-lg-offset-1 vc_col-lg-3 vc_col-md-4" responsive_css="margin_bottom_medium:0px|padding_right_medium:0px|padding_left_medium:0px" css=".vc_custom_1605219055070{margin-bottom: 50px !important;padding-right: 30px !important;padding-left: 30px !important;}"][ld_fancy_heading tag="p" absolute_pos="yes" use_custom_fonts_title="true" color="rgb(216, 239, 254)" fs="text_small:190px" lh="text_small:1em" position="top_small:-0.2em|right_small:0px" fw="text_small:700"]1[/ld_fancy_heading][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" fs="text_small:14px" fw="text_small:700" ls="text_small:0.11em" margin="bottom_small:0.65em"]Step 1[/ld_fancy_heading][ld_fancy_heading tag="h3" margin="bottom_small:0.85em"]Install the application.[/ld_fancy_heading][ld_spacer height="22px"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px" lh="text_small:1.5em"]Create newsletters with the Mailchimp integrations and grow your subscribers. No layout limitations.[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-lg-offset-1 vc_col-lg-3 vc_col-md-4" responsive_css="margin_bottom_medium:0px|padding_right_medium:0px|padding_left_medium:0px" css=".vc_custom_1605219098790{margin-bottom: 50px !important;padding-right: 30px !important;padding-left: 30px !important;}"][ld_fancy_heading tag="p" absolute_pos="yes" use_custom_fonts_title="true" color="rgb(216, 239, 254)" fs="text_small:190px" lh="text_small:1em" position="top_small:-0.2em|right_small:0px" fw="text_small:700"]2[/ld_fancy_heading][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" fs="text_small:14px" fw="text_small:700" ls="text_small:0.11em" margin="bottom_small:0.65em"]Step 2[/ld_fancy_heading][ld_fancy_heading tag="h3" margin="bottom_small:0.85em"]Create your profile.[/ld_fancy_heading][ld_spacer height="22px"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px" lh="text_small:1.5em"]Create newsletters with the Mailchimp integrations and grow your subscribers.[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-lg-offset-1 vc_col-lg-3 vc_col-md-4" responsive_css="padding_right_medium:0px|padding_left_medium:0px" css=".vc_custom_1605219159217{padding-right: 30px !important;padding-left: 30px !important;}"][ld_fancy_heading tag="p" absolute_pos="yes" use_custom_fonts_title="true" color="rgb(216, 239, 254)" fs="text_small:190px" lh="text_small:1em" position="top_small:-0.2em|right_small:0px" fw="text_small:700"]3[/ld_fancy_heading][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" fs="text_small:14px" fw="text_small:700" ls="text_small:0.11em" margin="bottom_small:0.65em"]Step 3[/ld_fancy_heading][ld_fancy_heading tag="h3" margin="bottom_small:0.85em"]Connect and start a chat.[/ld_fancy_heading][ld_spacer height="22px"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px" lh="text_small:1.5em"]Create newsletters with the Mailchimp integrations and grow your subscribers. No layout limitations.[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Process 13
	$data = array();
	$data['name'] = esc_html__( 'Process 13', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'process-13.jpg' );
	$data['sort_name'] = 'Process';
	$data['custom_class'] = 'general process text';
	$data['content'] = <<<CONTENT
CONTENT;
	$templates[] = $data;

	//Process 14
	$data = array();
	$data['name'] = esc_html__( 'Process 14', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'process-14.jpg' );
	$data['sort_name'] = 'Process';
	$data['custom_class'] = 'general process text';
	$data['content'] = <<<CONTENT
CONTENT;
	$templates[] = $data;

	//Process 15
	$data = array();
	$data['name'] = esc_html__( 'Process 15', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'process-15.jpg' );
	$data['sort_name'] = 'Process';
	$data['custom_class'] = 'general process text';
	$data['content'] = <<<CONTENT
CONTENT;
	$templates[] = $data;

	//Process 16
	$data = array();
	$data['name'] = esc_html__( 'Process 16', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'process-16.jpg' );
	$data['sort_name'] = 'Process';
	$data['custom_class'] = 'general process text';
	$data['content'] = <<<CONTENT
CONTENT;
	$templates[] = $data;

	//Process 17
	$data = array();
	$data['name'] = esc_html__( 'Process 17', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'process-17.jpg' );
	$data['sort_name'] = 'Process';
	$data['custom_class'] = 'general process text';
	$data['content'] = <<<CONTENT
CONTENT;
	$templates[] = $data;

	//Process 18
	$data = array();
	$data['name'] = esc_html__( 'Process 18', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'process-18.jpg' );
	$data['sort_name'] = 'Process';
	$data['custom_class'] = 'general process text';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" responsive_css="padding_top_medium:110px|padding_bottom_medium:75px" css=".vc_custom_1622015720342{padding-top: 70px !important;padding-bottom: 35px !important;}" el_id="solutions"][vc_column offset="vc_col-lg-5 vc_col-md-6"][ld_fancy_heading tag="h6" transform="text-uppercase" enable_bg="yes" fh_border_radius="circle" use_custom_fonts_title="true" color="rgb(0, 0, 0)" fs="text_small:12px" fw="text_small:700" padding="top_small:4px|right_small:11px|bottom_small:4px|left_small:11px" fh_bg="rgb(235, 239, 241)" margin="bottom_small:1.75em" ls="text_small:0.1em"]THE PROCESS[/ld_fancy_heading][ld_fancy_heading tag="h2" margin="bottom_small:0.85em"]Smart and effective business solutions.[/ld_fancy_heading][ld_icon_box i_type="linea" heading_size="custom" i_shape="circle" i_border="" position="iconbox-side" i_linked="iconbox-icon-linked" alignment="text-left" shadow="iconbox-icon-shadow" i_icon_linea="lqd-icn-ess icon-num-1" title="Initial Concept Phase" custom_heading_size="17px" icon_size="15px" custom_i_size="47px" i_color="rgb(21, 81, 83)" shape_color="rgb(255, 255, 255)" icon_mb="22" title_mb="15" css=".vc_custom_1622015551988{margin-bottom: 45px !important;}" h_i_color="rgb(255, 255, 255)" shape_hcolor="rgb(21, 81, 83)"]<span style="font-size: 15px; line-height: 1.6em;">Google makes it easier to run high performance shared hosting account on its cloud platform.</span>[/ld_icon_box][ld_icon_box i_type="linea" heading_size="custom" i_shape="circle" i_border="" position="iconbox-side" i_linked="iconbox-icon-linked" alignment="text-left" shadow="iconbox-icon-shadow" i_icon_linea="lqd-icn-ess icon-num-2" title="Business Consultation" custom_heading_size="17px" icon_size="15px" custom_i_size="47px" i_color="rgb(21, 81, 83)" shape_color="rgb(255, 255, 255)" icon_mb="22" title_mb="15" css=".vc_custom_1622015541138{margin-bottom: 45px !important;}" h_i_color="rgb(255, 255, 255)" shape_hcolor="rgb(21, 81, 83)"]<span style="font-size: 15px; line-height: 1.6em;">Google makes it easier to run high performance shared hosting account on its cloud platform.</span>[/ld_icon_box][ld_icon_box i_type="linea" heading_size="custom" i_shape="circle" i_border="" position="iconbox-side" alignment="text-left" shadow="iconbox-icon-shadow" i_icon_linea="lqd-icn-ess icon-num-3" title="Product Launch" custom_heading_size="17px" icon_size="15px" custom_i_size="47px" i_color="rgb(21, 81, 83)" shape_color="rgb(255, 255, 255)" icon_mb="22" title_mb="15" css=".vc_custom_1622015529637{margin-bottom: 45px !important;}" h_i_color="rgb(255, 255, 255)" shape_hcolor="rgb(21, 81, 83)"]<span style="font-size: 15px; line-height: 1.6em;">Google makes it easier to run high performance shared hosting account on its cloud platform.</span>[/ld_icon_box][/vc_column][vc_column column_top_ontablet="yes" column_top_onmobile="yes" offset="vc_col-md-offset-1 vc_col-md-6" responsive_css="margin_bottom_medium:0px" css=".vc_custom_1621859483629{margin-bottom: 30px !important;}"][ld_images_group_element img_size="50%" enable_image_shadow="yes" shadow_style="3" enable_hover3d="yes" enable_roudness="yes" image_roudness="custom" image="101" custom_roundness="15px"][ld_button style="btn-naked" link_type="lightbox" i_type="linea" i_position="top" i_shape="btn-icon-circle" i_shape_style="btn-icon-solid" i_shape_size="btn-icon-custom-size" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-ion-ios-play" i_shape_custom_size="100px" i_margin_bottom="0px" i_size="18px" color="rgba(21, 81, 83, 0.93)" link="url:https%3A%2F%2Fwww.youtube.com%2Fwatch%3Fv%3DWaSvMAl4zPw||target:%20_blank|" i_hcolor="rgb(21, 81, 83)" i_fill_hcolor="rgb(255, 255, 255)"][/ld_images_group_element][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Process 19
	$data = array();
	$data['name'] = esc_html__( 'Process 19', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'process-19.jpg' );
	$data['sort_name'] = 'Process';
	$data['custom_class'] = 'general process text';
	$data['content'] = <<<CONTENT
	[vc_section bg_position="custom" css=".vc_custom_1622099594544{background-image: url(https://staging.liquid-themes.com/lawyer/wp-content/uploads/2021/05/bg.png?id=3600) !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}" bg_pos_h="80%" bg_pos_v="50%"][vc_row content_placement="middle" css=".vc_custom_1622103205576{padding-top: 65px !important;padding-bottom: 45px !important;}" el_id="about"][vc_column offset="vc_col-md-6"][ld_fancy_heading tag="h6" margin="bottom_small:1.25em"]Legal disciplines.[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_large:45px" margin="bottom_large:0px"]Practice Areas.[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-offset-1 vc_col-md-5"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.47em"]We embrace holistic development and support for the aim of being a first-choice employer within our sectors.[/ld_fancy_heading][/vc_column][/vc_row][vc_row css=".vc_custom_1622027003753{border-top-width: 1px !important;border-top-color: rgba(0,0,0,0.1) !important;border-top-style: solid !important;}"][vc_column width="1/3" responsive_css="padding_right_large:20%25|padding_right_medium:10%25"][ld_icon_box i_type="linea" heading_size="lg" alignment="text-left" i_icon_linea="lqd-icn-ess icon-lqd-circle" title="Financial capital And business" icon_size="18px" css=".vc_custom_1622027200149{margin-top: -10px !important;}" i_color="rgb(177, 120, 86)" icon_mb="28"]<span style="font-size: 15px;">Our process applies techniques from a variety of disciplines distinction in detail and gives careful attention.</span>[/ld_icon_box][/vc_column][vc_column width="1/3" responsive_css="padding_right_large:20%25|padding_right_medium:10%25"][ld_icon_box i_type="linea" heading_size="lg" alignment="text-left" i_icon_linea="lqd-icn-ess icon-lqd-circle" title="Citizenship And Immigration" icon_size="18px" css=".vc_custom_1622027268247{margin-top: -10px !important;}" i_color="rgb(177, 120, 86)" icon_mb="28"]<span style="font-size: 15px;">Our process applies techniques from a variety of disciplines distinction in detail and gives careful attention.</span>[/ld_icon_box][/vc_column][vc_column width="1/3" responsive_css="padding_right_large:20%25|padding_right_medium:10%25"][ld_icon_box i_type="linea" heading_size="lg" alignment="text-left" i_icon_linea="lqd-icn-ess icon-lqd-circle" title="Criminal Cases And Defense" icon_size="18px" css=".vc_custom_1622027458062{margin-top: -10px !important;}" i_color="rgb(177, 120, 86)" icon_mb="28"]<span style="font-size: 15px;">Our process applies techniques from a variety of disciplines distinction in detail and gives careful attention.</span>[/ld_icon_box][/vc_column][/vc_row][/vc_section]
CONTENT;
	$templates[] = $data;

	//Category Progress
	//Progress 1 - classic
	$data = array();
	$data['name'] = esc_html__( 'Progress 01', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'progress-1.jpg' );
	$data['sort_name'] = 'progress';
	$data['custom_class'] = 'general progress';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" css=".vc_custom_1602158463860{padding-top: 60px !important;padding-bottom: 40px !important;}" responsive_css="padding_top_medium:100px|padding_bottom_medium:75px|padding_top_small:70px|padding_bottom_small:50px"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-5" css=".vc_custom_1605888548110{margin-bottom: 35px !important;}" responsive_css="padding_right_large:20%25" ca_duration="1800" ca_delay="180" ca_init_translate_x="-35"][ld_fancy_heading tag="h6" use_custom_fonts_title="true" color="rgb(0, 0, 0)" fs="text_small:12px" fw="text_small:600" margin="bottom_small:1.5em"]Landing Hub Pro[/ld_fancy_heading][ld_fancy_heading tag="h2" tag_to_inherite="h3" use_custom_fonts_title="true" use_inheritance="true" margin="bottom_small:0.35em"]Let your audience about your brand.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" margin="bottom_small:2em" fs="text_small:17px" lh="text_small:28px"]Hub IT allows your business and technology computers to store, transmit and analyze.[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-offset-1 vc_col-md-6"][ld_progressbar size="liquid-progressbar-custom" roundness="liquid-progressbar-circle" label="DIGITAL SOLUTIONS - 7 YEARS" count="80" vertical_height="8px" background="rgb(239, 239, 239)" label_color="rgb(0, 0, 0)" margin="bottom_small:65px"][ld_progressbar size="liquid-progressbar-custom" roundness="liquid-progressbar-circle" label="SALES SERVICES" count="60" vertical_height="8px" background="rgb(239, 239, 239)" label_color="rgb(0, 0, 0)" margin="bottom_small:65px"][ld_progressbar size="liquid-progressbar-custom" roundness="liquid-progressbar-circle" label="ANDROID APPLICATIONS" count="75" vertical_height="8px" background="rgb(239, 239, 239)" label_color="rgb(0, 0, 0)" margin="bottom_small:65px"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Category Promo
	//Promo 1
	$data = array();
	$data['name'] = esc_html__( 'Promo 01', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'promo-1.jpg' );
	$data['sort_name'] = 'Promo';
	$data['custom_class'] = 'general promo';
	$data['content'] = <<<CONTENT
	[vc_row equal_height="yes" content_placement="middle" css=".vc_custom_1590732009527{padding-top: 30px !important;padding-bottom: 30px !important;}"][vc_column offset="vc_col-md-3" el_class="z-index-2"][ld_fancy_heading tag="h2" margin="bottom_large:0px|bottom_small:1em"]Shop Categories[/ld_fancy_heading][/vc_column][vc_column responsive_css="margin_top_medium:-25px"][ld_tabs style="style11" nav_alignment="justify-content-md-end"][ld_tab_section title="Electronics" tab_id="lqd-1590732176641-974d68ec-d95f"][vc_row_inner equal_height="yes" content_placement="middle" gap="0"][vc_column_inner row_scale_bg_onhover="yes" enable_column_hover_shadowbox="yes" bg_position="center top" css=".vc_custom_1611133388848{margin-bottom: 30px !important;padding-top: 150px !important;padding-right: 15px !important;padding-bottom: 50px !important;padding-left: 15px !important;background-image: url(https://retailpro.liquid-themes.com/wp-content/uploads/2020/05/bg-6@2x.jpg?id=119) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;border-radius: 5px !important;}" offset="vc_col-md-6" responsive_css="padding_top_large:260px|padding_right_large:50px|padding_left_large:60px|margin_right_medium:45px|margin_bottom_medium:0px|padding_right_medium:35px|padding_left_medium:40px|padding_right_small:35px|padding_left_small:35px" column_hover_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2230px%22%2C%22blur_radius%22%3A%2275px%22%2C%22spread_radius%22%3A%22-2px%22%2C%22shadow_color%22%3A%22rgba(0%2C%200%2C%200%2C%200.25)%22%7D%5D"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:15px" margin="bottom_small:0.75em" fw="text_small:600"]From $13.89/mo for 36 months or $499.99.ᶿ[/ld_fancy_heading][ld_fancy_heading tag="h2" use_inheritance="true" color="rgb(255, 255, 255)" margin="bottom_small:0.8em"]Samsung New French Door Refrigerator.[/ld_fancy_heading][ld_button style="btn-solid" title="Starting from £398" shape="circle" border="border-none" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-forward" fs="text_small:15px" lh="text_small:1.2em" css=".vc_custom_1618676967810{padding-right: 1em !important;padding-left: 1em !important;}" color="rgb(255, 194, 33)" hover_color="rgb(255, 255, 255)" text_color="rgb(0, 0, 0)" htext_color="rgb(0, 0, 0)" link="url:https%3A%2F%2Fretailpro.liquid-themes.com%2Fproduct-category%2Fclothing%2F|||"][/vc_column_inner][vc_column_inner width="1/2" align="text-center" offset="vc_col-md-3 vc_col-xs-6" css=".vc_custom_1605601214199{border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 30px !important;padding-right: 15px !important;padding-bottom: 35px !important;padding-left: 15px !important;border-left-color: #dedede !important;border-left-style: solid !important;border-right-color: #dedede !important;border-right-style: solid !important;border-top-color: #dedede !important;border-top-style: solid !important;border-bottom-color: #dedede !important;border-bottom-style: solid !important;}" responsive_align="text-center"][vc_single_image image="174" css=".vc_custom_1590737610835{margin-bottom: 10px !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:15px"]Bluetooth Headphones[/ld_fancy_heading][ld_fancy_heading tag="h6" use_custom_fonts_title="true" color="rgb(248, 68, 25)" fs="text_small:13px"]Beats, Apple, Sony, Bose[/ld_fancy_heading][vc_separator color="custom" accent_color="#dedede" css=".vc_custom_1590737651650{margin-top: 30px !important;margin-bottom: 30px !important;}"][vc_single_image image="172" css=".vc_custom_1590737720538{margin-bottom: 10px !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:15px"]Smartphones[/ld_fancy_heading][ld_fancy_heading tag="h6" use_custom_fonts_title="true" color="rgb(248, 68, 25)" fs="text_small:13px"]Apple, Google, Samsung, Sony[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/2" align="text-center" offset="vc_col-md-3 vc_col-xs-6" css=".vc_custom_1605601270197{border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 0px !important;padding-top: 30px !important;padding-right: 15px !important;padding-bottom: 35px !important;padding-left: 15px !important;border-left-color: #dedede !important;border-left-style: solid !important;border-right-color: #dedede !important;border-right-style: solid !important;border-top-color: #dedede !important;border-top-style: solid !important;border-bottom-color: #dedede !important;border-bottom-style: solid !important;}" responsive_align="text-center"][vc_single_image image="173" css=".vc_custom_1590737973369{margin-bottom: 10px !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:15px"]Gaming Consoles[/ld_fancy_heading][ld_fancy_heading tag="h6" use_custom_fonts_title="true" color="rgb(248, 68, 25)" fs="text_small:13px"]Xbox, Playstation, Nintendo[/ld_fancy_heading][vc_separator color="custom" accent_color="#dedede" css=".vc_custom_1590737651650{margin-top: 30px !important;margin-bottom: 30px !important;}"][vc_single_image image="175" css=".vc_custom_1590738015099{margin-bottom: 10px !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:15px"]Smart Watches[/ld_fancy_heading][ld_fancy_heading tag="h6" use_custom_fonts_title="true" color="rgb(248, 68, 25)" fs="text_small:13px"]Apple Watch, Samsung, Xiaomi[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_tab_section][ld_tab_section title="Home Furniture" tab_id="lqd-1590738175928-789d7c5b-7be4"][vc_row_inner equal_height="yes" content_placement="middle" gap="0"][vc_column_inner row_scale_bg_onhover="yes" enable_column_hover_shadowbox="yes" bg_position="center top" css=".vc_custom_1611133403809{margin-bottom: 30px !important;padding-top: 150px !important;padding-right: 15px !important;padding-bottom: 50px !important;padding-left: 15px !important;background-image: url(https://retailpro.liquid-themes.com/wp-content/uploads/2020/08/car-2@2x.jpg?id=341) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;border-radius: 5px !important;}" offset="vc_col-md-6" responsive_css="padding_top_large:260px|padding_right_large:50px|padding_left_large:60px|margin_right_medium:45px|margin_bottom_medium:0px|padding_top_medium:240px|padding_right_medium:35px|padding_left_medium:40px|padding_right_small:35px|padding_left_small:35px" column_hover_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2230px%22%2C%22blur_radius%22%3A%2275px%22%2C%22spread_radius%22%3A%22-2px%22%2C%22shadow_color%22%3A%22rgba(0%2C%200%2C%200%2C%200.25)%22%7D%5D"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:15px" margin="bottom_small:0.75em" fw="text_small:600"]From $13.89/mo for 36 months or $499.99.ᶿ[/ld_fancy_heading][ld_fancy_heading tag="h2" use_inheritance="true" color="rgb(255, 255, 255)" margin="bottom_small:0.8em"]Samsung New French Door Refrigerator.[/ld_fancy_heading][ld_button style="btn-solid" title="Starting from £398" shape="circle" border="border-none" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-forward" fs="15px" lh="1.2em" css=".vc_custom_1590733961276{padding-right: 1em !important;padding-left: 1em !important;}" color="rgb(255, 194, 33)" hover_color="rgb(255, 255, 255)" text_color="rgb(0, 0, 0)" htext_color="rgb(0, 0, 0)"][/vc_column_inner][vc_column_inner width="1/2" align="text-center" offset="vc_col-md-3 vc_col-xs-6" css=".vc_custom_1605601278249{border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 30px !important;padding-right: 15px !important;padding-bottom: 35px !important;padding-left: 15px !important;border-left-color: #dedede !important;border-left-style: solid !important;border-right-color: #dedede !important;border-right-style: solid !important;border-top-color: #dedede !important;border-top-style: solid !important;border-bottom-color: #dedede !important;border-bottom-style: solid !important;}" responsive_align="text-center"][vc_single_image image="259" css=".vc_custom_1596536113563{margin-bottom: 10px !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:15px"]Bluetooth Headphones[/ld_fancy_heading][ld_fancy_heading tag="h6" use_custom_fonts_title="true" color="rgb(248, 68, 25)" fs="text_small:13px"]Beats, Apple, Sony, Bose[/ld_fancy_heading][vc_separator color="custom" accent_color="#dedede" css=".vc_custom_1590737651650{margin-top: 30px !important;margin-bottom: 30px !important;}"][vc_single_image image="261" css=".vc_custom_1596536167200{margin-bottom: 10px !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:15px"]Smartphones[/ld_fancy_heading][ld_fancy_heading tag="h6" use_custom_fonts_title="true" color="rgb(248, 68, 25)" fs="text_small:13px"]Apple, Google, Samsung, Sony[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/2" align="text-center" offset="vc_col-md-3 vc_col-xs-6" css=".vc_custom_1605601297226{border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;padding-top: 30px !important;padding-right: 15px !important;padding-bottom: 35px !important;padding-left: 15px !important;border-right-color: #dedede !important;border-right-style: solid !important;border-top-color: #dedede !important;border-top-style: solid !important;border-bottom-color: #dedede !important;border-bottom-style: solid !important;}" responsive_align="text-center"][vc_single_image image="256" css=".vc_custom_1596536127999{margin-bottom: 10px !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:15px"]Gaming Consoles[/ld_fancy_heading][ld_fancy_heading tag="h6" use_custom_fonts_title="true" color="rgb(248, 68, 25)" fs="text_small:13px"]Xbox, Playstation, Nintendo[/ld_fancy_heading][vc_separator color="custom" accent_color="#dedede" css=".vc_custom_1590737651650{margin-top: 30px !important;margin-bottom: 30px !important;}"][vc_single_image image="260" css=".vc_custom_1596536176916{margin-bottom: 10px !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:15px"]Smart Watches[/ld_fancy_heading][ld_fancy_heading tag="h6" use_custom_fonts_title="true" color="rgb(248, 68, 25)" fs="text_small:13px"]Apple Watch, Samsung, Xiaomi[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_tab_section][ld_tab_section title="Fashion" tab_id="lqd-1590738170338-a4ad7852-6872"][vc_row_inner equal_height="yes" content_placement="middle" gap="0"][vc_column_inner row_scale_bg_onhover="yes" enable_column_hover_shadowbox="yes" bg_position="center top" css=".vc_custom_1611133411472{margin-bottom: 30px !important;padding-top: 150px !important;padding-right: 15px !important;padding-bottom: 50px !important;padding-left: 15px !important;background-image: url(https://retailpro.liquid-themes.com/wp-content/uploads/2020/08/car-1@2x.jpg?id=340) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;border-radius: 5px !important;}" offset="vc_col-md-6" responsive_css="padding_top_large:260px|padding_right_large:50px|padding_left_large:60px|margin_right_medium:45px|margin_bottom_medium:0px|padding_right_medium:35px|padding_left_medium:40px|padding_right_small:35px|padding_left_small:35px" column_hover_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2230px%22%2C%22blur_radius%22%3A%2275px%22%2C%22spread_radius%22%3A%22-2px%22%2C%22shadow_color%22%3A%22rgba(0%2C%200%2C%200%2C%200.25)%22%7D%5D"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:15px" margin="bottom_small:0.75em" fw="text_small:600"]From $13.89/mo for 36 months or $499.99.ᶿ[/ld_fancy_heading][ld_fancy_heading tag="h2" use_inheritance="true" margin="bottom_small:0.8em"]Samsung New French Door Refrigerator.[/ld_fancy_heading][ld_button style="btn-solid" title="Starting from £398" shape="circle" border="border-none" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-forward" fs="15px" lh="1.2em" css=".vc_custom_1590733961276{padding-right: 1em !important;padding-left: 1em !important;}" color="rgb(255, 194, 33)" hover_color="rgb(255, 255, 255)" text_color="rgb(0, 0, 0)" htext_color="rgb(0, 0, 0)"][/vc_column_inner][vc_column_inner width="1/2" align="text-center" offset="vc_col-md-3 vc_col-xs-6" css=".vc_custom_1605601304210{border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 30px !important;padding-right: 15px !important;padding-bottom: 35px !important;padding-left: 15px !important;border-left-color: #dedede !important;border-left-style: solid !important;border-right-color: #dedede !important;border-right-style: solid !important;border-top-color: #dedede !important;border-top-style: solid !important;border-bottom-color: #dedede !important;border-bottom-style: solid !important;}" responsive_align="text-center"][vc_single_image image="174" css=".vc_custom_1590737610835{margin-bottom: 10px !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:15px"]Bluetooth Headphones[/ld_fancy_heading][ld_fancy_heading tag="h6" use_custom_fonts_title="true" color="rgb(248, 68, 25)" fs="text_small:13px"]Beats, Apple, Sony, Bose[/ld_fancy_heading][vc_separator color="custom" accent_color="#dedede" css=".vc_custom_1590737651650{margin-top: 30px !important;margin-bottom: 30px !important;}"][vc_single_image image="172" css=".vc_custom_1590737720538{margin-bottom: 10px !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:15px"]Smartphones[/ld_fancy_heading][ld_fancy_heading tag="h6" use_custom_fonts_title="true" color="rgb(248, 68, 25)" fs="text_small:13px"]Apple, Google, Samsung, Sony[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/2" align="text-center" offset="vc_col-md-3 vc_col-xs-6" css=".vc_custom_1605601315235{border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;padding-top: 30px !important;padding-right: 15px !important;padding-bottom: 35px !important;padding-left: 15px !important;border-right-color: #dedede !important;border-right-style: solid !important;border-top-color: #dedede !important;border-top-style: solid !important;border-bottom-color: #dedede !important;border-bottom-style: solid !important;}" responsive_align="text-center"][vc_single_image image="173" css=".vc_custom_1590737973369{margin-bottom: 10px !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:15px"]Gaming Consoles[/ld_fancy_heading][ld_fancy_heading tag="h6" use_custom_fonts_title="true" color="rgb(248, 68, 25)" fs="text_small:13px"]Xbox, Playstation, Nintendo[/ld_fancy_heading][vc_separator color="custom" accent_color="#dedede" css=".vc_custom_1590737651650{margin-top: 30px !important;margin-bottom: 30px !important;}"][vc_single_image image="175" css=".vc_custom_1590738015099{margin-bottom: 10px !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:15px"]Smart Watches[/ld_fancy_heading][ld_fancy_heading tag="h6" use_custom_fonts_title="true" color="rgb(248, 68, 25)" fs="text_small:13px"]Apple Watch, Samsung, Xiaomi[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_tab_section][ld_tab_section title="Sports" tab_id="lqd-1590738159245-762b2eac-659a"][vc_row_inner equal_height="yes" content_placement="middle" gap="0"][vc_column_inner row_scale_bg_onhover="yes" enable_column_hover_shadowbox="yes" bg_position="center top" css=".vc_custom_1611133424251{margin-bottom: 30px !important;padding-top: 150px !important;padding-right: 15px !important;padding-bottom: 50px !important;padding-left: 15px !important;background-image: url(https://retailpro.liquid-themes.com/wp-content/uploads/2020/05/bg-6@2x.jpg?id=119) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;border-radius: 5px !important;}" offset="vc_col-md-6" responsive_css="padding_top_large:260px|padding_right_large:50px|padding_left_large:60px|margin_right_medium:45px|margin_bottom_medium:0px|padding_right_medium:35px|padding_left_medium:40px|padding_right_small:35px|padding_left_small:35px" column_hover_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2230px%22%2C%22blur_radius%22%3A%2275px%22%2C%22spread_radius%22%3A%22-2px%22%2C%22shadow_color%22%3A%22rgba(0%2C%200%2C%200%2C%200.25)%22%7D%5D"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:15px" margin="bottom_small:0.75em" fw="text_small:600"]From $13.89/mo for 36 months or $499.99.ᶿ[/ld_fancy_heading][ld_fancy_heading tag="h2" use_inheritance="true" color="rgb(255, 255, 255)" margin="bottom_small:0.8em"]Samsung New French Door Refrigerator.[/ld_fancy_heading][ld_button style="btn-solid" title="Starting from £398" shape="circle" border="border-none" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-forward" fs="15px" lh="1.2em" css=".vc_custom_1590733961276{padding-right: 1em !important;padding-left: 1em !important;}" color="rgb(255, 194, 33)" hover_color="rgb(255, 255, 255)" text_color="rgb(0, 0, 0)" htext_color="rgb(0, 0, 0)"][/vc_column_inner][vc_column_inner width="1/2" align="text-center" offset="vc_col-md-3 vc_col-xs-6" css=".vc_custom_1605601324315{border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 30px !important;padding-right: 15px !important;padding-bottom: 35px !important;padding-left: 15px !important;border-left-color: #dedede !important;border-left-style: solid !important;border-right-color: #dedede !important;border-right-style: solid !important;border-top-color: #dedede !important;border-top-style: solid !important;border-bottom-color: #dedede !important;border-bottom-style: solid !important;}" responsive_align="text-center"][vc_single_image image="174" css=".vc_custom_1590737610835{margin-bottom: 10px !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:15px"]Bluetooth Headphones[/ld_fancy_heading][ld_fancy_heading tag="h6" use_custom_fonts_title="true" color="rgb(248, 68, 25)" fs="text_small:13px"]Beats, Apple, Sony, Bose[/ld_fancy_heading][vc_separator color="custom" accent_color="#dedede" css=".vc_custom_1590737651650{margin-top: 30px !important;margin-bottom: 30px !important;}"][vc_single_image image="172" css=".vc_custom_1590737720538{margin-bottom: 10px !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:15px"]Smartphones[/ld_fancy_heading][ld_fancy_heading tag="h6" use_custom_fonts_title="true" color="rgb(248, 68, 25)" fs="text_small:13px"]Apple, Google, Samsung, Sony[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/2" align="text-center" offset="vc_col-md-3 vc_col-xs-6" css=".vc_custom_1605601337000{border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;padding-top: 30px !important;padding-right: 15px !important;padding-bottom: 35px !important;padding-left: 15px !important;border-right-color: #dedede !important;border-right-style: solid !important;border-top-color: #dedede !important;border-top-style: solid !important;border-bottom-color: #dedede !important;border-bottom-style: solid !important;}" responsive_align="text-center"][vc_single_image image="173" css=".vc_custom_1590737973369{margin-bottom: 10px !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:15px"]Gaming Consoles[/ld_fancy_heading][ld_fancy_heading tag="h6" use_custom_fonts_title="true" color="rgb(248, 68, 25)" fs="text_small:13px"]Xbox, Playstation, Nintendo[/ld_fancy_heading][vc_separator color="custom" accent_color="#dedede" css=".vc_custom_1590737651650{margin-top: 30px !important;margin-bottom: 30px !important;}"][vc_single_image image="175" css=".vc_custom_1590738015099{margin-bottom: 10px !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:15px"]Smart Watches[/ld_fancy_heading][ld_fancy_heading tag="h6" use_custom_fonts_title="true" color="rgb(248, 68, 25)" fs="text_small:13px"]Apple Watch, Samsung, Xiaomi[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_tab_section][ld_tab_section title="Grocery" tab_id="lqd-1590738154449-69bdc259-a413"][vc_row_inner equal_height="yes" content_placement="middle" gap="0"][vc_column_inner row_scale_bg_onhover="yes" enable_column_hover_shadowbox="yes" bg_position="center top" css=".vc_custom_1611133436319{margin-bottom: 30px !important;padding-top: 150px !important;padding-right: 15px !important;padding-bottom: 50px !important;padding-left: 15px !important;background-image: url(https://retailpro.liquid-themes.com/wp-content/uploads/2020/05/bg-6@2x.jpg?id=119) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;border-radius: 5px !important;}" offset="vc_col-md-6" responsive_css="padding_top_large:260px|padding_right_large:50px|padding_left_large:60px|margin_right_medium:45px|margin_bottom_medium:0px|padding_top_medium:260px|padding_right_medium:35px|padding_left_medium:40px|padding_right_small:35px|padding_left_small:35px" column_hover_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2230px%22%2C%22blur_radius%22%3A%2275px%22%2C%22spread_radius%22%3A%22-2px%22%2C%22shadow_color%22%3A%22rgba(0%2C%200%2C%200%2C%200.25)%22%7D%5D"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:15px" margin="bottom_small:0.75em" fw="text_small:600"]From $13.89/mo for 36 months or $499.99.ᶿ[/ld_fancy_heading][ld_fancy_heading tag="h2" use_inheritance="true" color="rgb(255, 255, 255)" margin="bottom_small:0.8em"]Samsung New French Door Refrigerator.[/ld_fancy_heading][ld_button style="btn-solid" title="Starting from £398" shape="circle" border="border-none" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-forward" fs="15px" lh="1.2em" css=".vc_custom_1590733961276{padding-right: 1em !important;padding-left: 1em !important;}" color="rgb(255, 194, 33)" hover_color="rgb(255, 255, 255)" text_color="rgb(0, 0, 0)" htext_color="rgb(0, 0, 0)"][/vc_column_inner][vc_column_inner width="1/2" align="text-center" offset="vc_col-md-3 vc_col-xs-6" css=".vc_custom_1605601345058{border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 30px !important;padding-right: 15px !important;padding-bottom: 35px !important;padding-left: 15px !important;border-left-color: #dedede !important;border-left-style: solid !important;border-right-color: #dedede !important;border-right-style: solid !important;border-top-color: #dedede !important;border-top-style: solid !important;border-bottom-color: #dedede !important;border-bottom-style: solid !important;}" responsive_align="text-center"][vc_single_image image="174" css=".vc_custom_1590737610835{margin-bottom: 10px !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:15px"]Bluetooth Headphones[/ld_fancy_heading][ld_fancy_heading tag="h6" use_custom_fonts_title="true" color="rgb(248, 68, 25)" fs="text_small:13px"]Beats, Apple, Sony, Bose[/ld_fancy_heading][vc_separator color="custom" accent_color="#dedede" css=".vc_custom_1590737651650{margin-top: 30px !important;margin-bottom: 30px !important;}"][vc_single_image image="172" css=".vc_custom_1590737720538{margin-bottom: 10px !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:15px"]Smartphones[/ld_fancy_heading][ld_fancy_heading tag="h6" use_custom_fonts_title="true" color="rgb(248, 68, 25)" fs="text_small:13px"]Apple, Google, Samsung, Sony[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/2" align="text-center" offset="vc_col-md-3 vc_col-xs-6" css=".vc_custom_1605601357323{border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;padding-top: 30px !important;padding-right: 15px !important;padding-bottom: 35px !important;padding-left: 15px !important;border-right-color: #dedede !important;border-right-style: solid !important;border-top-color: #dedede !important;border-top-style: solid !important;border-bottom-color: #dedede !important;border-bottom-style: solid !important;}" responsive_align="text-center"][vc_single_image image="173" css=".vc_custom_1590737973369{margin-bottom: 10px !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:15px"]Gaming Consoles[/ld_fancy_heading][ld_fancy_heading tag="h6" use_custom_fonts_title="true" color="rgb(248, 68, 25)" fs="text_small:13px"]Xbox, Playstation, Nintendo[/ld_fancy_heading][vc_separator color="custom" accent_color="#dedede" css=".vc_custom_1590737651650{margin-top: 30px !important;margin-bottom: 30px !important;}"][vc_single_image image="175" css=".vc_custom_1590738015099{margin-bottom: 10px !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:15px"]Smart Watches[/ld_fancy_heading][ld_fancy_heading tag="h6" use_custom_fonts_title="true" color="rgb(248, 68, 25)" fs="text_small:13px"]Apple Watch, Samsung, Xiaomi[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_tab_section][ld_tab_section title="Outdoor" tab_id="lqd-1590738151066-d57af964-7266"][vc_row_inner equal_height="yes" content_placement="middle" gap="0"][vc_column_inner row_scale_bg_onhover="yes" enable_column_hover_shadowbox="yes" bg_position="center top" css=".vc_custom_1611133444426{margin-bottom: 30px !important;padding-top: 150px !important;padding-right: 15px !important;padding-bottom: 50px !important;padding-left: 15px !important;background-image: url(https://retailpro.liquid-themes.com/wp-content/uploads/2020/05/bg-6@2x.jpg?id=119) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;border-radius: 5px !important;}" offset="vc_col-md-6" responsive_css="padding_top_large:260px|padding_right_large:50px|padding_left_large:60px|margin_right_medium:45px|margin_bottom_medium:0px|padding_right_medium:30px|padding_left_medium:40px|padding_right_small:35px|padding_left_small:35px" column_hover_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2230px%22%2C%22blur_radius%22%3A%2275px%22%2C%22spread_radius%22%3A%22-2px%22%2C%22shadow_color%22%3A%22rgba(0%2C%200%2C%200%2C%200.25)%22%7D%5D"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:15px" margin="bottom_small:0.75em" fw="text_small:600"]From $13.89/mo for 36 months or $499.99.ᶿ[/ld_fancy_heading][ld_fancy_heading tag="h2" use_inheritance="true" color="rgb(255, 255, 255)" margin="bottom_small:0.8em"]Samsung New French Door Refrigerator.[/ld_fancy_heading][ld_button style="btn-solid" title="Starting from £398" shape="circle" border="border-none" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-forward" fs="15px" lh="1.2em" css=".vc_custom_1590733961276{padding-right: 1em !important;padding-left: 1em !important;}" color="rgb(255, 194, 33)" hover_color="rgb(255, 255, 255)" text_color="rgb(0, 0, 0)" htext_color="rgb(0, 0, 0)"][/vc_column_inner][vc_column_inner width="1/2" align="text-center" offset="vc_col-md-3 vc_col-xs-6" css=".vc_custom_1605601364218{border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 30px !important;padding-right: 15px !important;padding-bottom: 35px !important;padding-left: 15px !important;border-left-color: #dedede !important;border-left-style: solid !important;border-right-color: #dedede !important;border-right-style: solid !important;border-top-color: #dedede !important;border-top-style: solid !important;border-bottom-color: #dedede !important;border-bottom-style: solid !important;}" responsive_align="text-center"][vc_single_image image="174" css=".vc_custom_1590737610835{margin-bottom: 10px !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:15px"]Bluetooth Headphones[/ld_fancy_heading][ld_fancy_heading tag="h6" use_custom_fonts_title="true" color="rgb(248, 68, 25)" fs="text_small:13px"]Beats, Apple, Sony, Bose[/ld_fancy_heading][vc_separator color="custom" accent_color="#dedede" css=".vc_custom_1590737651650{margin-top: 30px !important;margin-bottom: 30px !important;}"][vc_single_image image="172" css=".vc_custom_1590737720538{margin-bottom: 10px !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:15px"]Smartphones[/ld_fancy_heading][ld_fancy_heading tag="h6" use_custom_fonts_title="true" color="rgb(248, 68, 25)" fs="text_small:13px"]Apple, Google, Samsung, Sony[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/2" align="text-center" offset="vc_col-md-3 vc_col-xs-6" css=".vc_custom_1605601376342{border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;padding-top: 30px !important;padding-right: 15px !important;padding-bottom: 35px !important;padding-left: 15px !important;border-right-color: #dedede !important;border-right-style: solid !important;border-top-color: #dedede !important;border-top-style: solid !important;border-bottom-color: #dedede !important;border-bottom-style: solid !important;}" responsive_align="text-center"][vc_single_image image="173" css=".vc_custom_1590737973369{margin-bottom: 10px !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:15px"]Gaming Consoles[/ld_fancy_heading][ld_fancy_heading tag="h6" use_custom_fonts_title="true" color="rgb(248, 68, 25)" fs="text_small:13px"]Xbox, Playstation, Nintendo[/ld_fancy_heading][vc_separator color="custom" accent_color="#dedede" css=".vc_custom_1590737651650{margin-top: 30px !important;margin-bottom: 30px !important;}"][vc_single_image image="175" css=".vc_custom_1590738015099{margin-bottom: 10px !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:15px"]Smart Watches[/ld_fancy_heading][ld_fancy_heading tag="h6" use_custom_fonts_title="true" color="rgb(248, 68, 25)" fs="text_small:13px"]Apple Watch, Samsung, Xiaomi[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_tab_section][ld_tab_section title="Petshop" tab_id="lqd-1590738147957-0bf463c0-6430"][vc_row_inner equal_height="yes" content_placement="middle" gap="0"][vc_column_inner row_scale_bg_onhover="yes" enable_column_hover_shadowbox="yes" bg_position="center top" css=".vc_custom_1611133457276{margin-bottom: 30px !important;padding-top: 150px !important;padding-right: 15px !important;padding-bottom: 50px !important;padding-left: 15px !important;background-image: url(https://retailpro.liquid-themes.com/wp-content/uploads/2020/05/bg-6@2x.jpg?id=119) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;border-radius: 5px !important;}" offset="vc_col-md-6" responsive_css="padding_top_large:260px|padding_right_large:50px|padding_left_large:60px|margin_right_medium:45px|margin_bottom_medium:0px|padding_right_medium:35px|padding_left_medium:40px|padding_right_small:35px|padding_left_small:35px" column_hover_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2230px%22%2C%22blur_radius%22%3A%2275px%22%2C%22spread_radius%22%3A%22-2px%22%2C%22shadow_color%22%3A%22rgba(0%2C%200%2C%200%2C%200.25)%22%7D%5D"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:15px" margin="bottom_small:0.75em" fw="text_small:600"]From $13.89/mo for 36 months or $499.99.ᶿ[/ld_fancy_heading][ld_fancy_heading tag="h2" use_inheritance="true" color="rgb(255, 255, 255)" margin="bottom_small:0.8em"]Samsung New French Door Refrigerator.[/ld_fancy_heading][ld_button style="btn-solid" title="Starting from £398" shape="circle" border="border-none" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-forward" fs="15px" lh="1.2em" css=".vc_custom_1590733961276{padding-right: 1em !important;padding-left: 1em !important;}" color="rgb(255, 194, 33)" hover_color="rgb(255, 255, 255)" text_color="rgb(0, 0, 0)" htext_color="rgb(0, 0, 0)"][/vc_column_inner][vc_column_inner width="1/2" align="text-center" offset="vc_col-md-3 vc_col-xs-6" css=".vc_custom_1605601385764{border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 30px !important;padding-right: 15px !important;padding-bottom: 35px !important;padding-left: 15px !important;border-left-color: #dedede !important;border-left-style: solid !important;border-right-color: #dedede !important;border-right-style: solid !important;border-top-color: #dedede !important;border-top-style: solid !important;border-bottom-color: #dedede !important;border-bottom-style: solid !important;}" responsive_align="text-center"][vc_single_image image="174" css=".vc_custom_1590737610835{margin-bottom: 10px !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:15px"]Bluetooth Headphones[/ld_fancy_heading][ld_fancy_heading tag="h6" use_custom_fonts_title="true" color="rgb(248, 68, 25)" fs="text_small:13px"]Beats, Apple, Sony, Bose[/ld_fancy_heading][vc_separator color="custom" accent_color="#dedede" css=".vc_custom_1590737651650{margin-top: 30px !important;margin-bottom: 30px !important;}"][vc_single_image image="172" css=".vc_custom_1590737720538{margin-bottom: 10px !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:15px"]Smartphones[/ld_fancy_heading][ld_fancy_heading tag="h6" use_custom_fonts_title="true" color="rgb(248, 68, 25)" fs="text_small:13px"]Apple, Google, Samsung, Sony[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/2" align="text-center" offset="vc_col-md-3 vc_col-xs-6" css=".vc_custom_1605601399815{border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;padding-top: 30px !important;padding-right: 15px !important;padding-bottom: 35px !important;padding-left: 15px !important;border-right-color: #dedede !important;border-right-style: solid !important;border-top-color: #dedede !important;border-top-style: solid !important;border-bottom-color: #dedede !important;border-bottom-style: solid !important;}" responsive_align="text-center"][vc_single_image image="173" css=".vc_custom_1590737973369{margin-bottom: 10px !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:15px"]Gaming Consoles[/ld_fancy_heading][ld_fancy_heading tag="h6" use_custom_fonts_title="true" color="rgb(248, 68, 25)" fs="text_small:13px"]Xbox, Playstation, Nintendo[/ld_fancy_heading][vc_separator color="custom" accent_color="#dedede" css=".vc_custom_1590737651650{margin-top: 30px !important;margin-bottom: 30px !important;}"][vc_single_image image="175" css=".vc_custom_1590738015099{margin-bottom: 10px !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:15px"]Smart Watches[/ld_fancy_heading][ld_fancy_heading tag="h6" use_custom_fonts_title="true" color="rgb(248, 68, 25)" fs="text_small:13px"]Apple Watch, Samsung, Xiaomi[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_tab_section][ld_tab_section title="Automobile" tab_id="lqd-1590738143315-b5f1a546-90b1"][vc_row_inner equal_height="yes" content_placement="middle" gap="0"][vc_column_inner row_scale_bg_onhover="yes" enable_column_hover_shadowbox="yes" bg_position="center top" css=".vc_custom_1611133467907{margin-bottom: 30px !important;padding-top: 150px !important;padding-right: 15px !important;padding-bottom: 50px !important;padding-left: 15px !important;background-image: url(https://retailpro.liquid-themes.com/wp-content/uploads/2020/05/bg-6@2x.jpg?id=119) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;border-radius: 5px !important;}" offset="vc_col-md-6" responsive_css="padding_top_large:260px|padding_right_large:50px|padding_left_large:60px|margin_right_medium:45px|margin_bottom_medium:0px|padding_right_medium:35px|padding_left_medium:40px|padding_right_small:35px|padding_left_small:35px" column_hover_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2230px%22%2C%22blur_radius%22%3A%2275px%22%2C%22spread_radius%22%3A%22-2px%22%2C%22shadow_color%22%3A%22rgba(0%2C%200%2C%200%2C%200.25)%22%7D%5D"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:15px" margin="bottom_small:0.75em" fw="text_small:600"]From $13.89/mo for 36 months or $499.99.ᶿ[/ld_fancy_heading][ld_fancy_heading tag="h2" use_inheritance="true" color="rgb(255, 255, 255)" margin="bottom_small:0.8em"]Samsung New French Door Refrigerator.[/ld_fancy_heading][ld_button style="btn-solid" title="Starting from £398" shape="circle" border="border-none" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-forward" fs="15px" lh="1.2em" css=".vc_custom_1590733961276{padding-right: 1em !important;padding-left: 1em !important;}" color="rgb(255, 194, 33)" hover_color="rgb(255, 255, 255)" text_color="rgb(0, 0, 0)" htext_color="rgb(0, 0, 0)"][/vc_column_inner][vc_column_inner width="1/2" align="text-center" offset="vc_col-md-3 vc_col-xs-6" css=".vc_custom_1605601408443{border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 30px !important;padding-right: 15px !important;padding-bottom: 35px !important;padding-left: 15px !important;border-left-color: #dedede !important;border-left-style: solid !important;border-right-color: #dedede !important;border-right-style: solid !important;border-top-color: #dedede !important;border-top-style: solid !important;border-bottom-color: #dedede !important;border-bottom-style: solid !important;}" responsive_align="text-center"][vc_single_image image="174" css=".vc_custom_1590737610835{margin-bottom: 10px !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:15px"]Bluetooth Headphones[/ld_fancy_heading][ld_fancy_heading tag="h6" use_custom_fonts_title="true" color="rgb(248, 68, 25)" fs="text_small:13px"]Beats, Apple, Sony, Bose[/ld_fancy_heading][vc_separator color="custom" accent_color="#dedede" css=".vc_custom_1590737651650{margin-top: 30px !important;margin-bottom: 30px !important;}"][vc_single_image image="172" css=".vc_custom_1590737720538{margin-bottom: 10px !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:15px"]Smartphones[/ld_fancy_heading][ld_fancy_heading tag="h6" use_custom_fonts_title="true" color="rgb(248, 68, 25)" fs="text_small:13px"]Apple, Google, Samsung, Sony[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/2" align="text-center" offset="vc_col-md-3 vc_col-xs-6" css=".vc_custom_1605601421712{border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;padding-top: 30px !important;padding-right: 15px !important;padding-bottom: 35px !important;padding-left: 15px !important;border-right-color: #dedede !important;border-right-style: solid !important;border-top-color: #dedede !important;border-top-style: solid !important;border-bottom-color: #dedede !important;border-bottom-style: solid !important;}" responsive_align="text-center"][vc_single_image image="173" css=".vc_custom_1590737973369{margin-bottom: 10px !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:15px"]Gaming Consoles[/ld_fancy_heading][ld_fancy_heading tag="h6" use_custom_fonts_title="true" color="rgb(248, 68, 25)" fs="text_small:13px"]Xbox, Playstation, Nintendo[/ld_fancy_heading][vc_separator color="custom" accent_color="#dedede" css=".vc_custom_1590737651650{margin-top: 30px !important;margin-bottom: 30px !important;}"][vc_single_image image="175" css=".vc_custom_1590738015099{margin-bottom: 10px !important;}"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:15px"]Smart Watches[/ld_fancy_heading][ld_fancy_heading tag="h6" use_custom_fonts_title="true" color="rgb(248, 68, 25)" fs="text_small:13px"]Apple Watch, Samsung, Xiaomi[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_tab_section][/ld_tabs][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Promo 2
	$data = array();
	$data['name'] = esc_html__( 'Promo 02', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'promo-2.jpg' );
	$data['sort_name'] = 'Promo';
	$data['custom_class'] = 'general promo';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1616593322372{padding-top: 30px !important;padding-bottom: 30px !important;}" el_id="countdown"][vc_column bg_position="center top" css=".vc_custom_1600251272124{border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 60px !important;padding-right: 15px !important;padding-bottom: 60px !important;padding-left: 15px !important;background-image: url(https://retailpro.liquid-themes.com/wp-content/uploads/2020/09/Colorful-Bars.svg?id=407) !important;background-position: 0 0 !important;background-repeat: repeat-x !important;border-left-color: #e5e5e5 !important;border-left-style: solid !important;border-right-color: #e5e5e5 !important;border-right-style: solid !important;border-top-color: #e5e5e5 !important;border-top-style: solid !important;border-bottom-color: #e5e5e5 !important;border-bottom-style: solid !important;border-radius: 5px !important;}" responsive_css="padding_right_small:30px|padding_left_small:30px"][vc_row_inner equal_height="yes" content_placement="middle"][vc_column_inner offset="vc_col-md-offset-1 vc_col-md-5" responsive_css="margin_bottom_medium:0px" css=".vc_custom_1605605525437{margin-bottom: 30px !important;}" responsive_align="text-center text-sm-left"][vc_single_image image="186" img_size="120x51" image_max_width="120px" css=".vc_custom_1620302497710{margin-bottom: 15px !important;}"][ld_fancy_heading tag="h2" use_inheritance="true" margin="bottom_small:0.35em"]Simple. Powerful. Chrome OS.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px" margin="bottom_small:0.85em"]Starting from $899.[/ld_fancy_heading][ld_countdown month="12" day="25" year="2021" countdown_inline="true" use_custom_typography="true" fs="35px" fw="900" digits_color="rgb(248, 68, 25)" sep_color="rgb(255, 255, 255)" primary_color="rgb(0, 0, 0)"][ld_spacer height="35px"][ld_button style="btn-default" title="Buy Apple iPad Air" shape="circle" border="border-thicker" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" css=".vc_custom_1619101171567{padding-right: 1em !important;padding-left: 1em !important;}" color="rgb(0, 0, 0)" hover_color="rgb(0, 0, 0)" htext_color="rgb(255, 255, 255)" fs="text_small:15px" lh="text_small:1.2em" link="url:https%3A%2F%2Fretailpro.liquid-themes.com%2Fproduct%2Fgopro-action-camera-32gb-waterproof%2F|||"][/vc_column_inner][vc_column_inner offset="vc_col-md-6" responsive_align="text-center text-sm-left"][vc_single_image image="188"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Promo 3
	$data = array();
	$data['name'] = esc_html__( 'Promo 03', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'promo-3.jpg' );
	$data['sort_name'] = 'Promo';
	$data['custom_class'] = 'general promo';
	$data['content'] = <<<CONTENT
	[vc_row bg_position="custom" css=".vc_custom_1611574294303{margin-bottom: 60px !important;padding-top: 80px !important;padding-bottom: 35px !important;background-color: #1a1a21 !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}" responsive_css="margin_top_medium:30px|margin_bottom_medium:30px|margin_left_medium:100px" bg_pos_h="50%" bg_pos_v="170%"][vc_column offset="vc_col-md-5" responsive_css="margin_bottom_medium:0px" css=".vc_custom_1606157568161{margin-bottom: 50px !important;}"][ld_fancy_heading tag="h6" margin="bottom_small:2em" color="rgba(255, 255, 255, 0.35)"]La solution a vos mobile[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_small:31px" lh="text_small:1.3" color="rgb(255, 255, 255)" margin="bottom_small:1em" padding="right_large:16%25"]Helping innovators and brands through cultural insight, strategic vision, and innovation.[/ld_fancy_heading][ld_button style="btn-solid" title="Send message" shape="round" size="btn-sm" border="border-none" hover_txt_effect="btn-hover-txt-liquid-y" i_type="linea" i_hover_reveal="btn-hover-swp" i_add_icon="true" color="rgb(255, 255, 255)" text_color="rgb(0, 0, 0)" css=".vc_custom_1596372112707{padding-right: 0.5em !important;padding-left: 0.5em !important;}" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" hover_color="rgb(37, 37, 37)" htext_color="rgb(255, 255, 255)"][/vc_column][vc_column offset="vc_col-md-offset-1 vc_col-md-6"][vc_row_inner enable_content_animation="yes" equal_height="yes" animation_preset="Fade In" ca_delay="80"][vc_column_inner width="1/2" responsive_css="padding_right_medium:15px|padding_left_medium:15px" responsive_align="text-center text-md-left" offset="vc_col-xs-6"][ld_icon_box i_type="linea" heading_size="xs" heading_weight="font-weight-bold" alignment="text-left" title="Innovative Business" title_mb="10" h_color="rgb(255, 255, 255)" icon_mb="25" css=".vc_custom_1611574440955{margin-bottom: 45px !important;}" i_icon_linea="lqd-icn-ess icon-lqd-path" icon_size="45px" i_color="rgba(255, 255, 255, 0.75)"]<span style="color: #808080;">We’re passionate about solving problems through creatives.</span>[/ld_icon_box][/vc_column_inner][vc_column_inner width="1/2" responsive_css="padding_right_medium:15px|padding_left_medium:15px" responsive_align="text-center text-md-left" offset="vc_col-xs-6"][ld_icon_box i_type="linea" heading_size="xs" heading_weight="font-weight-bold" alignment="text-left" title="Business Development" title_mb="10" h_color="rgb(255, 255, 255)" icon_mb="25" css=".vc_custom_1611574458415{margin-bottom: 45px !important;}" i_icon_linea="lqd-icn-ess icon-lqd-cogs" icon_size="45px" i_color="rgba(255, 255, 255, 0.74)"]<span style="color: #808080;">We’re passionate about solving problems through creatives.</span>[/ld_icon_box][/vc_column_inner][vc_column_inner width="1/2" responsive_css="padding_right_medium:15px|padding_left_medium:15px" responsive_align="text-center text-md-left" offset="vc_col-xs-6"][ld_icon_box i_type="linea" heading_size="xs" heading_weight="font-weight-bold" alignment="text-left" title="Seamless Integration" title_mb="10" h_color="rgb(255, 255, 255)" icon_mb="25" css=".vc_custom_1611574339348{margin-bottom: 45px !important;}" i_icon_linea="lqd-icn-ess icon-lqd-presentation" i_color="rgba(255, 255, 255, 0.73)" icon_size="45px"]<span style="color: #808080;">We’re passionate about solving problems through creatives.</span>[/ld_icon_box][/vc_column_inner][vc_column_inner width="1/2" responsive_css="padding_right_medium:15px|padding_left_medium:15px" responsive_align="text-center text-md-left" offset="vc_col-xs-6"][ld_icon_box i_type="linea" heading_size="xs" heading_weight="font-weight-bold" alignment="text-left" title="Startup Strategy" title_mb="10" h_color="rgb(255, 255, 255)" icon_mb="25" css=".vc_custom_1611574370962{margin-bottom: 45px !important;}" i_icon_linea="lqd-icn-ess icon-lqd-mobile" icon_size="45px" i_color="rgba(255, 255, 255, 0.7)"]<span style="color: #808080;">We’re passionate about solving problems through creatives.</span>[/ld_icon_box][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Promo 4
	$data = array();
	$data['name'] = esc_html__( 'Promo 04', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'promo-4.jpg' );
	$data['sort_name'] = 'Promo';
	$data['custom_class'] = 'general promo';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" css=".vc_custom_1605984996048{padding-top: 60px !important;padding-bottom: 60px !important;}" el_id="services" responsive_css="padding_top_medium:150px|padding_bottom_medium:100px"][vc_column offset="vc_col-md-6" responsive_css="margin_left_medium:25px"][ld_fancy_heading tag="h2" highlight_reset_onhover="lqd-highlight-reset-onhover" highlight_offset="13px" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" enable_split="true" use_mask="true" highlight_color="rgba(21, 118, 255, 0.2)" ca_init_translate_x="0" ca_init_translate_y="0" margin="bottom_small:0.25em"]La [ld_highlight]solution[/ld_highlight] à cos payment[/ld_fancy_heading][ld_fancy_heading tag="p" tag_to_inherite="h6" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_inheritance="true" enable_split="true" use_mask="true"]Les services de paiement sont disponibles via des applications mobiles et de bureau.[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-6" el_id="fancy-box-carousel-nav" responsive_align="text-md-right" responsive_css="margin_right_medium:25px"][/vc_column][vc_column css=".vc_custom_1572335927203{margin-top: 60px !important;}"][ld_carousel_tab columns="xs:1|spacing_md:30px|spacing_xs:15px" inactiv_opacity="1" prevnextbuttons="yes" wraparound="yes" adaptiveheight="yes" navarrow="6" navappend="custom_id" navsize="carousel-nav-xl" navfill="carousel-nav-solid" navshape="carousel-nav-circle" navshadow="carousel-nav-shadowed-onhover" navhalign="carousel-nav-right" navappend_id="#fancy-box-carousel-nav" nav_arrow_color="rgb(0, 36, 88)" nav_arrow_color_hover="rgb(0, 36, 88)" nav_bg_color="rgb(255, 255, 255)" nav_bg_hcolor="rgb(246, 252, 254)"][ld_carousel_section title="Tab" tab_id="lqd-1595256704358-1ba85b49-d223"][vc_row_inner equal_height="yes"][vc_column_inner offset="vc_col-md-6" css=".vc_custom_1595257176494{margin-bottom: 30px !important;}" responsive_css="padding_right_medium:17px"][ld_content_box template="s08" i_type="fontawesome" title="Available for retailers and stores" image="4351" i_icon_fontawesome="fa fa-angle-right" hover_text_color="rgb(255, 227, 209)"][/ld_content_box][/vc_column_inner][vc_column_inner offset="vc_col-md-6" css=".vc_custom_1595257194496{margin-bottom: 30px !important;}" responsive_css="padding_left_medium:17px"][ld_content_box template="s08" i_type="fontawesome" title="Highly Secure Online Shopping" image="4350" i_icon_fontawesome="fa fa-angle-right" hover_text_color="rgb(255, 227, 209)"][/ld_content_box][/vc_column_inner][vc_column_inner offset="vc_col-md-6" css=".vc_custom_1595257187010{margin-bottom: 30px !important;}" responsive_css="padding_right_medium:17px"][ld_content_box template="s08" i_type="fontawesome" title="Online Payment Services for mobile" image="4349" i_icon_fontawesome="fa fa-angle-right" hover_text_color="rgb(255, 227, 209)"][/ld_content_box][/vc_column_inner][vc_column_inner offset="vc_col-md-6" css=".vc_custom_1595257200786{margin-bottom: 30px !important;}" responsive_css="padding_left_medium:17px"][ld_content_box template="s08" i_type="fontawesome" title="Intelligent money Transfer" image="4348" i_icon_fontawesome="fa fa-angle-right" hover_text_color="rgb(255, 227, 209)"][/ld_content_box][/vc_column_inner][/vc_row_inner][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595256704539-cff9b882-097d"][vc_row_inner equal_height="yes"][vc_column_inner offset="vc_col-md-6" css=".vc_custom_1595257259135{margin-bottom: 30px !important;}" responsive_css="padding_right_medium:17px"][ld_content_box template="s08" i_type="fontawesome" title="Highly Secure Online Shopping" image="4350" i_icon_fontawesome="fa fa-angle-right" hover_text_color="rgb(255, 227, 209)"][/ld_content_box][/vc_column_inner][vc_column_inner offset="vc_col-md-6" css=".vc_custom_1595257271979{margin-bottom: 30px !important;}" responsive_css="padding_left_medium:17px"][ld_content_box template="s08" i_type="fontawesome" title="Intelligent money Transfer" image="4348" i_icon_fontawesome="fa fa-angle-right" hover_text_color="rgb(255, 227, 209)"][/ld_content_box][/vc_column_inner][vc_column_inner offset="vc_col-md-6" css=".vc_custom_1595257265477{margin-bottom: 30px !important;}" responsive_css="padding_right_medium:17px"][ld_content_box template="s08" i_type="fontawesome" title="Available for retailers and stores" image="4351" i_icon_fontawesome="fa fa-angle-right" hover_text_color="rgb(255, 227, 209)"][/ld_content_box][/vc_column_inner][vc_column_inner offset="vc_col-md-6" css=".vc_custom_1595257278511{margin-bottom: 30px !important;}" responsive_css="padding_left_medium:17px"][ld_content_box template="s08" i_type="fontawesome" title="Online Payment Services for mobile" image="4349" i_icon_fontawesome="fa fa-angle-right" hover_text_color="rgb(255, 227, 209)"][/ld_content_box][/vc_column_inner][/vc_row_inner][/ld_carousel_section][/ld_carousel_tab][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Promo 5
	$data = array();
	$data['name'] = esc_html__( 'Promo 05', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'promo-5.jpg' );
	$data['sort_name'] = 'Promo';
	$data['custom_class'] = 'general promo';
	$data['content'] = <<<CONTENT
	[vc_row equal_height="yes" content_placement="middle" css=".vc_custom_1605616186759{padding-top: 40px !important;padding-bottom: 60px !important;}"][vc_column offset="vc_col-md-5" responsive_css="margin_bottom_medium:0px" css=".vc_custom_1605616127527{margin-bottom: 40px !important;}"][ld_images_group_element image="4310"][/ld_images_group_element][/vc_column][vc_column offset="vc_col-md-offset-1 vc_col-md-6" responsive_css="padding_right_large:7%25|padding_right_medium:5%25|padding_left_medium:8%25"][ld_fancy_heading tag="h6" margin="bottom_small:1.25em"]— Arch Philosophy[/ld_fancy_heading][ld_fancy_heading tag="h2" tag_to_inherite="h3" use_inheritance="true" margin="bottom_small:1.5em"]As the complexity of buildings to increase, the field of architecture became multi-disciplinary with technological expertise.[/ld_fancy_heading][vc_accordion size="md" borders="accordion-title-underlined" show_icon="yes" i_add_icon="true" i_type="linea" active_add_icon="true" active_type="linea" use_custom_fonts_title="true" fs="18px" lh="1.8em" i_icon_linea="lqd-icn-ess icon-ion-ios-add" active_icon_linea="lqd-icn-ess icon-ion-ios-remove" heading_color="rgb(0, 0, 0)" active_heading_color="rgb(0, 0, 0)" fw="400" border_color="rgb(185, 185, 185)"][vc_accordion_tab title="01. Building the future cities" tab_id="lqd-1584631046124-4d7a24d6-c841"][vc_column_text css=".vc_custom_1584946903012{margin-bottom: 15px !important;}"]As the complexity of buildings to increase, the field of architecture became multi-disciplinary with technological expertise.[/vc_column_text][/vc_accordion_tab][vc_accordion_tab title="02. Unique and influential design" tab_id="lqd-1584631246270-3f120044-72ac"][vc_column_text css=".vc_custom_1584946910333{margin-bottom: 15px !important;}"]As the complexity of buildings to increase, the field of architecture became multi-disciplinary with technological expertise.[/vc_column_text][/vc_accordion_tab][vc_accordion_tab title="03. Award-winning Architecture" tab_id="lqd-1584631247309-5c26887d-1aeb"][vc_column_text css=".vc_custom_1584946916841{margin-bottom: 15px !important;}"]As the complexity of buildings to increase, the field of architecture became multi-disciplinary with technological expertise.[/vc_column_text][/vc_accordion_tab][/vc_accordion][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Promo 6
	$data = array();
	$data['name'] = esc_html__( 'Promo 06', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'promo-6.jpg' );
	$data['sort_name'] = 'Promo';
	$data['custom_class'] = 'general promo';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" gap="0" luminosity="dark" responsive_css="margin_right_large:16%25|margin_right_medium:8%25|margin_bottom_medium:80px"][vc_column][ld_slideshow_2 height="700px" overlay_bg="rgba(0, 0, 0, 0.3)"][ld_slideshow_section title="Interior Design" image="4306"][ld_fancy_heading tag="h6" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" enable_split="true" color="rgb(255, 255, 255)" margin="bottom_small:1.5em"]— Latest projects[/ld_fancy_heading][ld_fancy_heading tag="h3" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" color="rgb(255, 255, 255)" fs="text_large:81px|text_small:40px" lh="text_small:1.15em"]Building the<br />
city marks[/ld_fancy_heading][/ld_slideshow_section][ld_slideshow_section title="Construction" image="4263"][ld_fancy_heading tag="h6" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" enable_split="true" color="rgb(255, 255, 255)" margin="bottom_small:1.5em"]— Latest projects[/ld_fancy_heading][ld_fancy_heading tag="h3" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" color="rgb(255, 255, 255)" fs="text_large:81px|text_small:40px" lh="text_small:0.96em"]Building the<br />
city marks[/ld_fancy_heading][/ld_slideshow_section][ld_slideshow_section title="Residential" image="4445"][ld_fancy_heading tag="h6" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" enable_split="true" color="rgb(255, 255, 255)" margin="bottom_small:1.5em"]— Latest projects[/ld_fancy_heading][ld_fancy_heading tag="h3" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" color="rgb(255, 255, 255)" fs="text_large:80px|text_small:40px" lh="text_small:0.96em"]Building the<br />
city marks[/ld_fancy_heading][/ld_slideshow_section][ld_slideshow_section title="City planning" image="4260"][ld_fancy_heading tag="h6" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" enable_split="true" color="rgb(255, 255, 255)" margin="bottom_small:1.5em"]— Latest projects[/ld_fancy_heading][ld_fancy_heading tag="h3" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" color="rgb(255, 255, 255)" fs="text_large:80px|text_small:40px" lh="text_small:0.96em"]Building the<br />
city marks[/ld_fancy_heading][/ld_slideshow_section][/ld_slideshow_2][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Promo 7
	$data = array();
	$data['name'] = esc_html__( 'Promo 07', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'promo-7.jpg' );
	$data['sort_name'] = 'Promo';
	$data['custom_class'] = 'general promo';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" css=".vc_custom_1605396284595{padding-bottom: 50px !important;}" responsive_css="padding_top_medium:50px|padding_bottom_medium:100px"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" align="text-center" offset="vc_col-lg-5 vc_col-md-6" ca_duration="1800" ca_delay="180" ca_init_translate_y="45" responsive_align="text-center text-md-left"][ld_fancy_heading tag="h6" margin="bottom_small:1.5em"]Data Literacy[/ld_fancy_heading][ld_fancy_heading tag="h2" use_inheritance="true" margin="bottom_small:0.75em"]Create and edit tasks online. For free.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:19px" lh="text_small:31px" margin="bottom_small:2em"]Install any demo or template with a single click. You can mix and match all the demos &amp; templates. Every demo can be turned into one or multi-page.[/ld_fancy_heading][ld_button style="btn-solid" title="Get started" shape="round" size="btn-lg" border="border-none" i_type="linea" i_hover_reveal="btn-hover-swp" i_add_icon="true" css=".vc_custom_1597154219154{margin-right: 30px !important;}" i_icon_linea="lqd-icn-ess icon-md-arrow-forward"][ld_button style="btn-naked" title="Learn more" color="rgb(0, 0, 0)"][/vc_column][vc_column offset="vc_col-lg-7 vc_col-md-6 vc_hidden-sm vc_hidden-xs"][ld_images_group_element image="120"][/ld_images_group_element][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Promo 8
	$data = array();
	$data['name'] = esc_html__( 'Promo 08', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'promo-8.jpg' );
	$data['sort_name'] = 'Promo';
	$data['custom_class'] = 'general promo';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" css=".vc_custom_1605396842080{padding-top: 30px !important;padding-bottom: 60px !important;background-color: #ffffff !important;}" responsive_css="padding_top_medium:0px|padding_bottom_medium:105px"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" align="text-center" offset="vc_col-lg-5 vc_col-md-6" ca_duration="1800" ca_delay="180" ca_init_translate_y="45" responsive_align="text-center text-md-left" responsive_css="padding_bottom_medium:0px" css=".vc_custom_1605397092538{padding-bottom: 30px !important;}"][ld_fancy_heading tag="h6" margin="bottom_small:1.5em"]Data Literacy[/ld_fancy_heading][ld_fancy_heading tag="h2" use_inheritance="true" enable_fit="true" padding="right_large:12%25" margin="bottom_small:0.75em" minfontsize="32"]Seamless integration on all platforms.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:19px" lh="text_small:31px" margin="bottom_small:2em" padding="right_large:12%25"]Install any demo or template with a single click. You can mix and match all the demos &amp; templates. Every demo can be turned into one or multi-page.[/ld_fancy_heading][ld_button style="btn-solid" title="Discover Hub" shape="round" size="btn-lg" border="border-none" i_type="linea" i_hover_reveal="btn-hover-swp" i_add_icon="true" css=".vc_custom_1597154164794{margin-right: 30px !important;}" i_icon_linea="lqd-icn-ess icon-md-arrow-forward"][ld_button style="btn-naked" title="Learn more" color="rgb(0, 0, 0)"][/vc_column][vc_column offset="vc_col-lg-7 vc_col-md-6"][ld_images_group_container margin="bottom_small:0px"][ld_images_group_element img_size="50%" enable_float_effect="yes" image="41"][/ld_images_group_element][/ld_images_group_container][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Promo 9
	$data = array();
	$data['name'] = esc_html__( 'Promo 09', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'promo-9.jpg' );
	$data['sort_name'] = 'Promo';
	$data['custom_class'] = 'general promo';
	$data['content'] = <<<CONTENT
	[vc_row enable_content_animation="yes" ca_init_scale_x="0.85" ca_init_scale_y="0.85" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" css=".vc_custom_1613747209958{padding-top: 100px !important;padding-bottom: 100px !important;background-color: #292e33 !important;}" ca_duration="1800" ca_delay="180" ca_init_translate_y="65" ca_init_rotate_x="-35"][vc_column enable_column_shadowbox="yes" responsive_css="padding_right_medium:90px|padding_left_medium:90px" css=".vc_custom_1605397142557{margin-bottom: -100px !important;padding-top: 55px !important;padding-right: 15px !important;padding-bottom: 55px !important;padding-left: 15px !important;background-color: #4354fa !important;border-radius: 10px !important;}" column_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2215px%22%2C%22blur_radius%22%3A%2250px%22%2C%22shadow_color%22%3A%22rgba(0%2C%200%2C%200%2C%200.19)%22%7D%5D" responsive_align="text-center text-md-left"][vc_row_inner content_placement="middle"][vc_column_inner align="text-center" offset="vc_col-md-6" responsive_align="text-md-left"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="39px" margin="bottom_large:0px"]Create and edit tasks online. For free.[/ld_fancy_heading][/vc_column_inner][vc_column_inner align="text-center" responsive_align="text-md-right" offset="vc_col-md-6"][ld_button style="btn-solid" title="Get Started Today" shape="round" size="btn-lg" i_type="linea" i_hover_reveal="btn-hover-swp" i_add_icon="true" color="rgb(255, 255, 255)" hover_color="rgb(18, 18, 18)" htext_color="rgb(255, 255, 255)" text_color="rgb(0, 0, 0)" i_icon_linea="lqd-icn-ess icon-md-arrow-forward"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Promo 10
	$data = array();
	$data['name'] = esc_html__( 'Promo 10', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'promo-10.jpg' );
	$data['sort_name'] = 'Promo';
	$data['custom_class'] = 'general promo';
	$data['content'] = <<<CONTENT
	[vc_row equal_height="yes" content_placement="middle" css=".vc_custom_1618505117021{padding-bottom: 60px !important;}" responsive_css="margin_bottom_large:20px|padding_bottom_large:110px|padding_top_medium:60px|padding_bottom_medium:90px"][vc_column offset="vc_col-md-offset-0 vc_col-md-5" responsive_align="text-center text-md-left" css=".vc_custom_1605941093420{padding-bottom: 30px !important;}" responsive_css="padding_bottom_medium:0px"][ld_icon_box i_type="fontawesome" heading_size="custom" heading_weight="font-weight-light" position="iconbox-side" items_alignment="align-items-center" i_icon_fontawesome="fab fa-instagram" title="Kate Austen #hublookbook" title_mb="1" custom_heading_size="12px" icon_mb="15" icon_size="24px" i_color="rgb(203, 122, 64)" css=".vc_custom_1591084247851{margin-bottom: 20px !important;}"][/ld_icon_box][ld_fancy_heading tag="h2"]S-20 Lookbook Editorial.[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:2em"]Hub offers a range of skincare products that are feminine, delicate and long-lasting with vitamins and nutritions to improve your skin condition.[/ld_fancy_heading][ld_button style="btn-naked" title="Shop Collection" transformation="text-uppercase" i_type="linea" i_hover_reveal="btn-hover-swp" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" color="rgb(0, 0, 0)" fs="11px" fw="700" ls="0.1em" i_size="1.5em"][/vc_column][vc_column offset="vc_col-md-offset-1 vc_col-md-6"][ld_images_group_container][ld_images_group_element img_size="50%" image="4435" margin="left_small:-20px"][/ld_images_group_element][ld_images_group_element img_size="50%" absolute_pos="yes" image="4715" position="right_small:0px|bottom_small:-50px"][/ld_images_group_element][/ld_images_group_container][/vc_column][/vc_row][vc_row css=".vc_custom_1621001372195{border-top-width: 1px !important;padding-top: 40px !important;padding-bottom: 40px !important;border-top-color: #f0f0f0 !important;border-top-style: solid !important;}" responsive_css="margin_top_medium:60px"][vc_column][ld_carousel_marquee_tab columns="md:6|sm:4|xs:3|spacing_xs:5px" cellalign="center" fadesides="lqd-fade-sides" reverse="yes" marquee_speed="1"][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600869275969-2af5a83e-691d"][vc_single_image image="86" css=".vc_custom_1600869578540{margin-bottom: 0px !important;}"][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600869581894-1df5449f-86ae"][vc_single_image image="89" css=".vc_custom_1600869594464{margin-bottom: 0px !important;}"][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600869595467-ec50c9c5-a299"][vc_single_image image="88" css=".vc_custom_1600869608860{margin-bottom: 0px !important;}"][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600869619216-960b0d0f-15ef"][vc_single_image image="87" css=".vc_custom_1600869646405{margin-bottom: 0px !important;}"][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600869648981-0550ffa2-b53c"][vc_single_image image="90" css=".vc_custom_1600869662207{margin-bottom: 0px !important;}"][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600869663953-167bf2b1-dbdf"][vc_single_image image="91" css=".vc_custom_1600869682676{margin-bottom: 0px !important;}"][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1600869684367-6a0c87f8-3df3"][vc_single_image image="88" css=".vc_custom_1600869805735{margin-bottom: 0px !important;}"][/ld_carousel_marquee_section][/ld_carousel_marquee_tab][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Promo 11
	$data = array();
	$data['name'] = esc_html__( 'Promo 11', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'promo-11.jpg' );
	$data['sort_name'] = 'Promo';
	$data['custom_class'] = 'general promo';
	$data['content'] = <<<CONTENT
	[vc_row gap="20" equal_height="yes" css=".vc_custom_1605940817178{padding-top: 60px !important;padding-bottom: 60px !important;}" responsive_css="padding_top_medium:90px|padding_bottom_medium:30px"][vc_column align="text-center" offset="vc_col-md-offset-3 vc_col-md-6" css=".vc_custom_1591020170979{margin-bottom: 55px !important;}" responsive_align="text-center"][ld_fancy_heading tag="h2"]#stayhome[/ld_fancy_heading][ld_fancy_heading tag="p" padding="right_large:3vw|left_large:3vw"]Because we know just how hard it is to get the size, color and even the garment right in the fashion.[/ld_fancy_heading][/vc_column][vc_column row_scale_bg_onhover="yes" enable_link="enable_column_link" enable_overlay="yes" bg_position="center center" align="text-center" offset="vc_col-md-6" css=".vc_custom_1618676208011{margin-bottom: 20px !important;padding-top: 250px !important;padding-right: 35px !important;padding-bottom: 35px !important;padding-left: 35px !important;background-image: url(https://fashionstorepro.liquid-themes.com/wp-content/uploads/2021/02/category@2x.jpg?id=4809) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" responsive_css="padding_top_medium:420px" hover_overlay_bg="rgba(0, 0, 0, 0.15)" responsive_align="text-center" link="url:https%3A%2F%2Ffashionstorepro.liquid-themes.com%2Fproduct-category%2Fparty-collection%2F|||"][ld_button style="btn-solid" title="Casual wear" transformation="text-uppercase" size="btn-sm" color="rgb(255, 255, 255)" hover_color="rgb(0, 0, 0)" text_color="rgb(0, 0, 0)" htext_color="rgb(255, 255, 255)" fs="12px" lh="1.2em" ls="0.1em"][/vc_column][vc_column width="1/2" offset="vc_col-md-3"][vc_row_inner][vc_column_inner row_scale_bg_onhover="yes" enable_link="enable_column_link" enable_overlay="yes" align="text-center" css=".vc_custom_1618676216767{margin-bottom: 20px !important;padding-top: 160px !important;padding-right: 25px !important;padding-bottom: 25px !important;padding-left: 25px !important;background-image: url(https://fashionstorepro.liquid-themes.com/wp-content/uploads/2020/08/shop-cat-2@2x.jpg?id=4439) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" responsive_css="margin_bottom_small:45px" hover_overlay_bg="rgba(0, 0, 0, 0.15)" responsive_align="text-center" link="url:https%3A%2F%2Ffashionstorepro.liquid-themes.com%2Fproduct-category%2Fparty-collection%2F|||"][ld_button style="btn-solid" title="Accessories" transformation="text-uppercase" size="btn-sm" color="rgb(255, 255, 255)" hover_color="rgb(0, 0, 0)" text_color="rgb(0, 0, 0)" htext_color="rgb(255, 255, 255)" fs="12px" lh="1.2em" ls="0.1em"][/vc_column_inner][vc_column_inner row_scale_bg_onhover="yes" enable_link="enable_column_link" enable_overlay="yes" align="text-center" css=".vc_custom_1618676222933{margin-bottom: 20px !important;padding-top: 160px !important;padding-right: 25px !important;padding-bottom: 25px !important;padding-left: 25px !important;background-image: url(https://fashionstorepro.liquid-themes.com/wp-content/uploads/2020/08/shop-cat-3@2x.jpg?id=4440) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" hover_overlay_bg="rgba(0, 0, 0, 0.15)" responsive_align="text-center" link="url:https%3A%2F%2Ffashionstorepro.liquid-themes.com%2Fproduct-category%2Fparty-collection%2F|||"][ld_button style="btn-solid" title="Shop Shirts" transformation="text-uppercase" size="btn-sm" color="rgb(255, 255, 255)" hover_color="rgb(0, 0, 0)" text_color="rgb(0, 0, 0)" htext_color="rgb(255, 255, 255)" fs="12px" lh="1.2em" ls="0.1em"][/vc_column_inner][/vc_row_inner][/vc_column][vc_column row_scale_bg_onhover="yes" enable_link="enable_column_link" width="1/2" enable_overlay="yes" align="text-center" offset="vc_col-md-3" css=".vc_custom_1618676231115{margin-bottom: 20px !important;padding-top: 420px !important;padding-right: 35px !important;padding-bottom: 35px !important;padding-left: 35px !important;background-image: url(https://fashionstorepro.liquid-themes.com/wp-content/uploads/2020/06/Image-1@2x.jpg?id=103) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" hover_overlay_bg="rgba(0, 0, 0, 0.15)" responsive_align="text-center" link="url:https%3A%2F%2Ffashionstorepro.liquid-themes.com%2Fproduct-category%2Fparty-collection%2F|||"][ld_button style="btn-solid" title="Top Dresses" transformation="text-uppercase" size="btn-sm" color="rgb(255, 255, 255)" hover_color="rgb(0, 0, 0)" text_color="rgb(0, 0, 0)" htext_color="rgb(255, 255, 255)" fs="12px" lh="1.2em" ls="0.1em"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Promo 12
	$data = array();
	$data['name'] = esc_html__( 'Promo 12', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'promo-12.jpg' );
	$data['sort_name'] = 'Promo';
	$data['custom_class'] = 'general promo';
	$data['content'] = <<<CONTENT
CONTENT;
	$templates[] = $data;

	//Promo 13
	$data = array();
	$data['name'] = esc_html__( 'Promo 13', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'promo-13.jpg' );
	$data['sort_name'] = 'Promo';
	$data['custom_class'] = 'general promo';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" responsive_css="padding_top_medium:100px|padding_bottom_medium:100px" css=".vc_custom_1621613980008{padding-top: 70px !important;padding-bottom: 70px !important;}" el_id="packages"][vc_column offset="vc_col-lg-5 vc_col-md-6"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_small:47px"]Insurance Packages.[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-lg-offset-1 vc_col-md-5"][ld_fancy_heading tag="h6" use_custom_fonts_title="true" color="rgb(80, 80, 80)" fs="text_small:18px" lh="text_small:1.55em"]Being a first-choice employer within our sectors. Our process applies techniques from a variety of disciplines.[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-1" responsive_align="text-md-right" el_id="package-carousel-nav"][/vc_column][vc_column css=".vc_custom_1621600519269{padding-top: 30px !important;}"][ld_carousel_tab columns="md:3|sm:2.5|xs:1|spacing_sm:25px|spacing_xs:15px" inactiv_opacity="1" prevnextbuttons="yes" groupcells="no" wraparound="yes" equalheightcells="yes" navarrow="4" navappend="custom_id" navsize="carousel-nav-sm" navshape="carousel-nav-square" navline="carousel-nav-dot-between" mobile_dots_position="carousel-dots-mobile-inside" navappend_id="#package-carousel-nav" shapesize="16px"][ld_carousel_section title="Carousel Item" tab_id="lqd-1621598718655-80c80356-1fee"][vc_row_inner css=".vc_custom_1621599561629{margin-bottom: 45px !important;}"][vc_column_inner enable_overlay="yes" enable_column_hover_shadowbox="yes" css=".vc_custom_1621599326460{padding-top: 22px !important;padding-bottom: 25px !important;background-color: #f8f8f8 !important;border-radius: 10px !important;}" hover_overlay_bg="rgb(255, 255, 255)" column_hover_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2220px%22%2C%22blur_radius%22%3A%2250px%22%2C%22shadow_color%22%3A%22rgba(65%2C%2094%2C%20148%2C%200.09)%22%7D%5D"][ld_fancy_heading tag="h6" alignment="text-right" transform="text-uppercase" enable_bg="yes" fh_border_radius="circle" use_custom_fonts_title="true" color="rgb(51, 51, 51)" fs="text_small:10px" lh="text_small:1em" fw="text_small:700" ls="text_small:0.1em" padding="top_small:7px|right_small:10px|bottom_small:7px|left_small:10px" fh_bg="rgb(255, 255, 255)" margin="right_small:35px"]New[/ld_fancy_heading][ld_icon_box i_type="image" heading_size="custom" alignment="text-left" i_icon_image="3477" title="Protected Insurance" custom_heading_size="23px" css=".vc_custom_1621600093542{margin-bottom: 35px !important;padding-right: 35px !important;padding-left: 35px !important;}" custom_size="58px" icon_mb="30" title_mb="15"]<span style="font-size: 17px; line-height: 1.47em;">Adjust global theme options and see design changes in real-time.</span>[/ld_icon_box][vc_separator color="custom" accent_color="#e6e6e6" css=".vc_custom_1621599381041{margin-top: 0px !important;margin-bottom: 0px !important;}"][ld_button style="btn-naked" title="Learn more" i_type="linea" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" css=".vc_custom_1621599449886{margin-top: 20px !important;margin-right: 35px !important;margin-left: 35px !important;}" color="rgb(15, 90, 100)" hover_color="rgb(0, 0, 0)" fs="text_small:15px"][/vc_column_inner][/vc_row_inner][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1621599795422-fd00bb79-f296"][vc_row_inner css=".vc_custom_1621599561629{margin-bottom: 45px !important;}"][vc_column_inner enable_overlay="yes" enable_column_hover_shadowbox="yes" css=".vc_custom_1621599326460{padding-top: 22px !important;padding-bottom: 25px !important;background-color: #f8f8f8 !important;border-radius: 10px !important;}" hover_overlay_bg="rgb(255, 255, 255)" column_hover_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2220px%22%2C%22blur_radius%22%3A%2250px%22%2C%22shadow_color%22%3A%22rgba(65%2C%2094%2C%20148%2C%200.09)%22%7D%5D"][ld_fancy_heading tag="h6" alignment="text-right" transform="text-uppercase" enable_bg="yes" fh_border_radius="circle" use_custom_fonts_title="true" color="rgb(51, 51, 51)" fs="text_small:10px" lh="text_small:1em" fw="text_small:700" ls="text_small:0.1em" padding="top_small:7px|right_small:10px|bottom_small:7px|left_small:10px" fh_bg="rgb(255, 255, 255)" margin="right_small:35px"]Offer[/ld_fancy_heading][ld_icon_box i_type="image" heading_size="custom" alignment="text-left" i_icon_image="3478" title="Healthcare Policy" custom_heading_size="23px" css=".vc_custom_1621599811757{margin-bottom: 35px !important;padding-right: 35px !important;padding-left: 35px !important;}" custom_size="50px" icon_mb="30" title_mb="15"]<span style="font-size: 17px; line-height: 1.47em;">Adjust global theme options and see design changes in real-time.</span>[/ld_icon_box][vc_separator color="custom" accent_color="#e6e6e6" css=".vc_custom_1621599381041{margin-top: 0px !important;margin-bottom: 0px !important;}"][ld_button style="btn-naked" title="Learn more" i_type="linea" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" css=".vc_custom_1621599449886{margin-top: 20px !important;margin-right: 35px !important;margin-left: 35px !important;}" color="rgb(15, 90, 100)" hover_color="rgb(0, 0, 0)" fs="text_small:15px"][/vc_column_inner][/vc_row_inner][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1621599820576-00ce6812-07a4"][vc_row_inner css=".vc_custom_1621599561629{margin-bottom: 45px !important;}"][vc_column_inner enable_overlay="yes" enable_column_hover_shadowbox="yes" css=".vc_custom_1621599326460{padding-top: 22px !important;padding-bottom: 25px !important;background-color: #f8f8f8 !important;border-radius: 10px !important;}" hover_overlay_bg="rgb(255, 255, 255)" column_hover_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2220px%22%2C%22blur_radius%22%3A%2250px%22%2C%22shadow_color%22%3A%22rgba(65%2C%2094%2C%20148%2C%200.09)%22%7D%5D"][ld_fancy_heading tag="h6" alignment="text-right" transform="text-uppercase" enable_bg="yes" fh_border_radius="circle" use_custom_fonts_title="true" color="rgb(51, 51, 51)" fs="text_small:10px" lh="text_small:1em" fw="text_small:700" ls="text_small:0.1em" padding="top_small:7px|right_small:10px|bottom_small:7px|left_small:10px" fh_bg="rgb(255, 255, 255)" margin="right_small:35px"]Hot[/ld_fancy_heading][ld_icon_box i_type="image" heading_size="custom" alignment="text-left" i_icon_image="3479" title="Car / Vehicle Insurance" custom_heading_size="23px" css=".vc_custom_1621599934303{margin-bottom: 35px !important;padding-right: 35px !important;padding-left: 35px !important;}" custom_size="65px" icon_mb="26" title_mb="15"]<span style="font-size: 17px; line-height: 1.47em;">Adjust global theme options and see design changes in real-time.</span>[/ld_icon_box][vc_separator color="custom" accent_color="#e6e6e6" css=".vc_custom_1621599381041{margin-top: 0px !important;margin-bottom: 0px !important;}"][ld_button style="btn-naked" title="Learn more" i_type="linea" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" css=".vc_custom_1621599449886{margin-top: 20px !important;margin-right: 35px !important;margin-left: 35px !important;}" color="rgb(15, 90, 100)" hover_color="rgb(0, 0, 0)" fs="text_small:15px"][/vc_column_inner][/vc_row_inner][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1621599987738-6e0435c7-e658"][vc_row_inner css=".vc_custom_1621599561629{margin-bottom: 45px !important;}"][vc_column_inner enable_overlay="yes" enable_column_hover_shadowbox="yes" css=".vc_custom_1621599326460{padding-top: 22px !important;padding-bottom: 25px !important;background-color: #f8f8f8 !important;border-radius: 10px !important;}" hover_overlay_bg="rgb(255, 255, 255)" column_hover_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2220px%22%2C%22blur_radius%22%3A%2250px%22%2C%22shadow_color%22%3A%22rgba(65%2C%2094%2C%20148%2C%200.09)%22%7D%5D"][ld_fancy_heading tag="h6" alignment="text-right" transform="text-uppercase" enable_bg="yes" fh_border_radius="circle" use_custom_fonts_title="true" color="rgb(51, 51, 51)" fs="text_small:10px" lh="text_small:1em" fw="text_small:700" ls="text_small:0.1em" padding="top_small:7px|right_small:10px|bottom_small:7px|left_small:10px" fh_bg="rgb(255, 255, 255)" margin="right_small:35px"]Offer[/ld_fancy_heading][ld_icon_box i_type="image" heading_size="custom" alignment="text-left" i_icon_image="3478" title="Healthcare Policy" custom_heading_size="23px" css=".vc_custom_1621599811757{margin-bottom: 35px !important;padding-right: 35px !important;padding-left: 35px !important;}" custom_size="50px" icon_mb="30" title_mb="15"]<span style="font-size: 17px; line-height: 1.47em;">Adjust global theme options and see design changes in real-time.</span>[/ld_icon_box][vc_separator color="custom" accent_color="#e6e6e6" css=".vc_custom_1621599381041{margin-top: 0px !important;margin-bottom: 0px !important;}"][ld_button style="btn-naked" title="Learn more" i_type="linea" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" css=".vc_custom_1621599449886{margin-top: 20px !important;margin-right: 35px !important;margin-left: 35px !important;}" color="rgb(15, 90, 100)" hover_color="rgb(0, 0, 0)" fs="text_small:15px"][/vc_column_inner][/vc_row_inner][/ld_carousel_section][/ld_carousel_tab][/vc_column][vc_column responsive_align="text-center" responsive_css="padding_top_medium:0px" css=".vc_custom_1621616700255{padding-top: 30px !important;}"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(0, 0, 0)" fs="text_small:15px"]Our nearly 8,000 committed <a href="#">staff members</a> are ready to help.[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Promo 14
	$data = array();
	$data['name'] = esc_html__( 'Promo 14', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'promo-14.jpg' );
	$data['sort_name'] = 'Promo';
	$data['custom_class'] = 'general promo';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" responsive_css="padding_top_medium:100px|padding_bottom_medium:40px" css=".vc_custom_1621614006178{padding-top: 70px !important;padding-bottom: 30px !important;}" el_id="life-insurance"][vc_column offset="vc_col-lg-5 vc_col-md-6"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_small:47px"]Insurance Packages.[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-lg-offset-1 vc_col-md-5"][ld_fancy_heading tag="h6" use_custom_fonts_title="true" color="rgb(80, 80, 80)" fs="text_small:18px" lh="text_small:1.55em"]Being a first-choice employer within our sectors. Our process applies techniques from a variety of disciplines.[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-1" responsive_align="text-md-right" el_id="insurance-carousel-nav"][/vc_column][vc_column css=".vc_custom_1621600519269{padding-top: 30px !important;}"][ld_carousel_tab columns="md:3|sm:2.5|xs:1|spacing_xs:8px" inactiv_opacity="1" prevnextbuttons="yes" fullwidthside="yes" groupcells="no" equalheightcells="yes" navarrow="4" navappend="custom_id" navsize="carousel-nav-sm" navshape="carousel-nav-square" navline="carousel-nav-dot-between" navappend_id="#insurance-carousel-nav" shapesize="16px"][ld_carousel_section title="Carousel Item" tab_id="lqd-1621604763333-bd21c540-6c12"][vc_row_inner row_scale_bg_onhover="yes" gap="0" bg_position="center center" enable_overlay="yes" css=".vc_custom_1621617311109{padding-top: 200px !important;padding-right: 20px !important;padding-bottom: 35px !important;padding-left: 20px !important;background-image: url(https://insurance.liquid-themes.com/wp-content/uploads/2021/05/Image-4@2x.jpg?id=3529) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" responsive_css="padding_top_medium:270px|padding_right_medium:35px|padding_left_medium:35px" overlay_bg="linear-gradient(0deg, rgb(27,30,43) 0%, rgba(27,30,43,0) 44.904458598726116%)" hover_overlay_bg="rgba(27, 30, 43, 0.35)"][vc_column_inner][ld_fancy_heading tag="p" tag_to_inherite="h3" enable_bg="yes" fh_border_radius="circle" use_custom_fonts_title="true" use_inheritance="true" fs="text_small:12px" fw="text_small:400" padding="top_small:7px|right_small:11px|bottom_small:7px|left_small:11px" fh_bg="rgb(255, 255, 255)" margin="bottom_small:1.5em"]Healthcare[/ld_fancy_heading][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:25px" fw="text_small:500"]Healthcare Policies[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.65)" fs="text_small:16px" lh="text_small:1.375em"]We embrace holistic development and support for employees the aim of[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1621605348199-e7e5cb71-3969"][vc_row_inner row_scale_bg_onhover="yes" gap="0" bg_position="center center" enable_overlay="yes" css=".vc_custom_1621617302874{padding-top: 200px !important;padding-right: 20px !important;padding-bottom: 35px !important;padding-left: 20px !important;background-image: url(https://insurance.liquid-themes.com/wp-content/uploads/2021/05/Image-3@2x.jpg?id=3528) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" responsive_css="padding_top_medium:270px|padding_right_medium:35px|padding_left_medium:35px" overlay_bg="linear-gradient(0deg, rgb(27,30,43) 0%, rgba(27,30,43,0) 44.904458598726116%)" hover_overlay_bg="rgba(27, 30, 43, 0.35)"][vc_column_inner][ld_fancy_heading tag="p" tag_to_inherite="h3" enable_bg="yes" fh_border_radius="circle" use_custom_fonts_title="true" use_inheritance="true" fs="text_small:12px" fw="text_small:400" padding="top_small:7px|right_small:11px|bottom_small:7px|left_small:11px" fh_bg="rgb(255, 255, 255)" margin="bottom_small:1.5em"]Insurance[/ld_fancy_heading][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:25px" fw="text_small:500"]Life Insurance[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.65)" fs="text_small:16px" lh="text_small:1.375em"]We embrace holistic development and support for employees the aim of[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1621605392792-5cd5dac2-a18d"][vc_row_inner row_scale_bg_onhover="yes" gap="0" bg_position="center center" enable_overlay="yes" css=".vc_custom_1621617325778{padding-top: 200px !important;padding-right: 20px !important;padding-bottom: 35px !important;padding-left: 20px !important;background-image: url(https://insurance.liquid-themes.com/wp-content/uploads/2021/05/Image-2@2x.jpg?id=3527) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" responsive_css="padding_top_medium:270px|padding_right_medium:35px|padding_left_medium:35px" overlay_bg="linear-gradient(0deg, rgb(27,30,43) 0%, rgba(27,30,43,0) 44.904458598726116%)" hover_overlay_bg="rgba(27, 30, 43, 0.35)"][vc_column_inner][ld_fancy_heading tag="p" tag_to_inherite="h3" enable_bg="yes" fh_border_radius="circle" use_custom_fonts_title="true" use_inheritance="true" fs="text_small:12px" fw="text_small:400" padding="top_small:7px|right_small:11px|bottom_small:7px|left_small:11px" fh_bg="rgb(255, 255, 255)" margin="bottom_small:1.5em"]Vehicles[/ld_fancy_heading][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:25px" fw="text_small:500"]Health Insurance[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.65)" fs="text_small:16px" lh="text_small:1.375em"]We embrace holistic development and support for employees the aim of[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1621605449456-14a6c0e7-3613"][vc_row_inner row_scale_bg_onhover="yes" gap="0" bg_position="center center" enable_overlay="yes" css=".vc_custom_1621617344579{padding-top: 200px !important;padding-right: 20px !important;padding-bottom: 35px !important;padding-left: 20px !important;background-image: url(https://insurance.liquid-themes.com/wp-content/uploads/2021/05/Image-1@2x.jpg?id=3526) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" responsive_css="padding_top_medium:270px|padding_right_medium:35px|padding_left_medium:35px" overlay_bg="linear-gradient(0deg, rgb(27,30,43) 0%, rgba(27,30,43,0) 44.904458598726116%)" hover_overlay_bg="rgba(27, 30, 43, 0.35)"][vc_column_inner][ld_fancy_heading tag="p" tag_to_inherite="h3" enable_bg="yes" fh_border_radius="circle" use_custom_fonts_title="true" use_inheritance="true" fs="text_small:12px" fw="text_small:400" padding="top_small:7px|right_small:11px|bottom_small:7px|left_small:11px" fh_bg="rgb(255, 255, 255)" margin="bottom_small:1.5em"]Insurance[/ld_fancy_heading][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:25px" fw="text_small:500"]Insurance Policy[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.65)" fs="text_small:16px" lh="text_small:1.375em"]We embrace holistic development and support for employees the aim of[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1621605505361-646860f0-11f3"][vc_row_inner row_scale_bg_onhover="yes" gap="0" bg_position="center center" enable_overlay="yes" css=".vc_custom_1621617357549{padding-top: 200px !important;padding-right: 20px !important;padding-bottom: 35px !important;padding-left: 20px !important;background-image: url(https://insurance.liquid-themes.com/wp-content/uploads/2021/05/Image-3@2x.jpg?id=3528) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" responsive_css="padding_top_medium:270px|padding_right_medium:35px|padding_left_medium:35px" overlay_bg="linear-gradient(0deg, rgb(27,30,43) 0%, rgba(27,30,43,0) 44.904458598726116%)" hover_overlay_bg="rgba(27, 30, 43, 0.35)"][vc_column_inner][ld_fancy_heading tag="p" tag_to_inherite="h3" enable_bg="yes" fh_border_radius="circle" use_custom_fonts_title="true" use_inheritance="true" fs="text_small:12px" fw="text_small:400" padding="top_small:7px|right_small:11px|bottom_small:7px|left_small:11px" fh_bg="rgb(255, 255, 255)" margin="bottom_small:1.5em"]Insurance[/ld_fancy_heading][ld_fancy_heading tag="h3" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:25px" fw="text_small:500"]Life Insurance[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.65)" fs="text_small:16px" lh="text_small:1.375em"]We embrace holistic development and support for employees the aim of[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_carousel_section][/ld_carousel_tab][/vc_column][vc_column responsive_align="text-center" responsive_css="padding_top_medium:65px" css=".vc_custom_1621605341086{padding-top: 35px !important;}"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(0, 0, 0)" fs="text_small:15px"]Our nearly 8,000 committed <a href="#">staff members</a> are ready to help.[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Promo 15
	$data = array();
	$data['name'] = esc_html__( 'Promo 15', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'promo-15.jpg' );
	$data['sort_name'] = 'Promo';
	$data['custom_class'] = 'general promo';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" responsive_css="padding_top_medium:40px|padding_bottom_medium:40px" css=".vc_custom_1621614035928{padding-top: 30px !important;padding-bottom: 30px !important;}" el_id="vehicle-insurance"][vc_column offset="vc_col-md-5"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_large:47px" margin="bottom_small:0.75em"]Covering your family’s needs.[/ld_fancy_heading][ld_fancy_heading tag="h3"]Protectec Insurance Policy[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.35em" margin="bottom_small:2.65em"]Mobile insurance packages made easy, forget about worrying for your mobile and live your life.[/ld_fancy_heading][ld_fancy_heading tag="h3"]Competitive Packages[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.35em" margin="bottom_small:2.65em"]We embrace holistic development and support for employees the aim of being a first-choice employer[/ld_fancy_heading][ld_button style="btn-solid" title="Request a Quote" shape="circle" border="border-none" i_type="linea" i_shape="btn-icon-circle" i_shape_style="btn-icon-solid" i_shape_size="btn-icon-custom-size" i_add_icon="true" link="url:%23|||" i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-forward" i_shape_custom_size="30px" hover_color="rgb(15, 90, 100)" text_color="rgb(15, 90, 100)" color="rgba(7, 124, 88, 0.11)" htext_color="rgb(255, 255, 255)" i_hcolor="rgb(15, 90, 100)" i_fill_hcolor="rgb(255, 255, 255)" i_color="rgb(15, 90, 100)" fs="text_small:14px" lh="text_small:2em" i_margin_left="12px" fw="text_small:500"][/vc_column][vc_column column_top_ontablet="yes" column_top_onmobile="yes" offset="vc_col-md-offset-1 vc_col-md-6" responsive_css="margin_bottom_medium:0px" css=".vc_custom_1621616442735{margin-bottom: 30px !important;}"][vc_single_image image="3532" css=".vc_custom_1621606897777{margin-bottom: 0px !important;}"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Promo 16
	$data = array();
	$data['name'] = esc_html__( 'Promo 16', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'promo-16.jpg' );
	$data['sort_name'] = 'Promo';
	$data['custom_class'] = 'general promo';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" equal_height="yes" content_placement="middle" responsive_css="margin_right_large:8vw|margin_bottom_large:60px|margin_left_large:8vw|margin_right_medium:4vw|margin_left_medium:4vw" css=".vc_custom_1619017657725{margin-right: 15px !important;margin-bottom: 30px !important;margin-left: 15px !important;border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 40px !important;padding-bottom: 10px !important;border-left-color: #e5e5e5 !important;border-left-style: solid !important;border-right-color: #e5e5e5 !important;border-right-style: solid !important;border-top-color: #e5e5e5 !important;border-top-style: solid !important;border-bottom-color: #e5e5e5 !important;border-bottom-style: solid !important;border-radius: 5px !important;}"][vc_column align="text-center" offset="vc_col-md-offset-1 vc_col-md-5" responsive_css="padding_right_medium:7%25" css=".vc_custom_1590495807919{margin-bottom: 30px !important;}" responsive_align="text-md-left"][ld_images_group_element img_size="50%" image="146" margin="bottom_small:20px"][/ld_images_group_element][ld_fancy_heading tag="h2" use_custom_fonts_title="true" margin="bottom_small:0.3em" fs="text_medium:46px|text_small:38px" lh="text_small:1em"]Your next computer is not a computer.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" margin="bottom_small:2.6em" fs="text_small:16px"]Starting from $899.[/ld_fancy_heading][ld_button style="btn-solid" title="Buy Apple iPad Air" shape="round" size="btn-lg" hover_txt_effect="btn-hover-txt-liquid-y" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" color="rgb(255, 194, 33)" text_color="rgb(4, 30, 66)" lh="text_small:1.15em" css=".vc_custom_1618676336303{padding-right: 1em !important;padding-left: 1em !important;}" fs="text_small:15px" link="url:https%3A%2F%2Fmarketplacepro.liquid-themes.com%2Fproduct%2Fapple-ipad-pro-2-128gb-wi-fi-only%2F|||"][/vc_column][vc_column offset="vc_col-md-6" css=".vc_custom_1590494917892{margin-bottom: 30px !important;}"][ld_images_group_element image="147"][/ld_images_group_element][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Promo 17
	$data = array();
	$data['name'] = esc_html__( 'Promo 17', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'promo-17.jpg' );
	$data['sort_name'] = 'Promo';
	$data['custom_class'] = 'general promo';
	$data['content'] = <<<CONTENT
	[vc_row equal_height="yes" content_placement="middle" css=".vc_custom_1611579563123{padding-top: 60px !important;padding-bottom: 60px !important;}" responsive_css="padding_top_medium:140px|padding_bottom_medium:65px"][vc_column offset="vc_col-md-6"][ld_images_group_element img_size="60%" enable_hover3d="yes" enable_float_effect="yes" image="4637"][/ld_images_group_element][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-offset-1 vc_col-md-5" ca_duration="1800" ca_delay="180" ca_init_translate_x="40" ca_init_rotate_z="2" ca_init_translate_y="25" responsive_align="text-center text-md-left"][ld_fancy_heading tag="h6"]Increase conversion rate[/ld_fancy_heading][ld_fancy_heading tag="h2" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" enable_fit="true" margin="bottom_small:0.6em" minfontsize="38" fs="text_large:43px|text_small:38px"]Organic Search Engine Optimisation[/ld_fancy_heading][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" color="rgb(89, 91, 116)" fs="text_small:18px" lh="text_small:30px" margin="bottom_small:1.75em"]We build and activate brands through cultural insight, strategic vision, and the power of emotion across every element of its expression. Our eCommerce design starts and ends with a best-in-class experience strategy that builds brands and drives transactions.[/ld_fancy_heading][ld_button style="btn-naked" title="Learn more" transformation="text-uppercase" link_type="lightbox" hover_txt_effect="btn-hover-txt-liquid-y" i_type="linea" i_hover_reveal="btn-hover-swp" i_add_icon="true" link="url:https%3A%2F%2Fwww.youtube.com%2Fwatch%3Fv%3DKEc3aGjN228|||" i_icon_linea="lqd-icn-ess icon-md-arrow-forward"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Promo 18
	$data = array();
	$data['name'] = esc_html__( 'Promo 18', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'promo-18.jpg' );
	$data['sort_name'] = 'Promo';
	$data['custom_class'] = 'general promo';
	$data['content'] = <<<CONTENT
	[vc_row equal_height="yes" content_placement="middle" css=".vc_custom_1611579550402{padding-bottom: 60px !important;}" responsive_css="padding_bottom_medium:75px"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-5" ca_duration="1800" ca_delay="180" ca_init_translate_x="-40" ca_init_translate_y="25" ca_init_rotate_z="-2" responsive_align="text-center text-md-left"][ld_fancy_heading tag="h2" highlight_offset="0.25em" use_custom_fonts_title="true" enable_fit="true" margin="bottom_small:0.6em" minfontsize="38" fs="text_large:43px|text_small:38px" highlight_color="rgba(50, 223, 161, 0.36)"][ld_highlight]Real-time [/ld_highlight]analytics.[/ld_fancy_heading][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" color="rgb(89, 91, 116)" fs="text_small:18px" lh="text_small:30px" margin="bottom_small:1.75em"]We build and activate brands through cultural insight, strategic vision, and the power of emotion across every element of its expression.[/ld_fancy_heading][vc_row_inner css=".vc_custom_1577714262716{margin-top: 20px !important;}"][vc_column_inner offset="vc_col-md-12"][ld_icon_box i_type="image" heading_size="xs" i_shape="circle" i_border="" position="iconbox-side" i_icon_image="97" title="Professional Assistant" title_mb="15" custom_i_size="65px" shape_color="rgb(255, 200, 212)" custom_size="30px"]<span style="font-size: 15px; color: #6a7c92;">Ceating brand identities, digital and print materials that communicate clearly.</span>[/ld_icon_box][ld_icon_box i_type="image" heading_size="xs" i_shape="circle" i_border="" position="iconbox-side" i_icon_image="98" title="Visible Ranking Improvement" title_mb="15" custom_i_size="65px" shape_color="rgb(215, 255, 246)" custom_size="30px"]<span style="color: #6a7c92;"> Uncover, analyze, track, and report on SEO data management.</span>[/ld_icon_box][/vc_column_inner][/vc_row_inner][/vc_column][vc_column offset="vc_col-md-offset-1 vc_col-md-6"][ld_images_group_element img_size="60%" content_align="lqd-imggrp-content-mid-right" enable_hover3d="yes" enable_float_effect="yes" image="4634"][/ld_images_group_element][/vc_column][vc_column][ld_particles as_bg="yes" absolute_pos="yes" color_type="multi_color" opacity="1" modes_grab_opacity="1" retina_detect="yes" particle_id="ld-1577781715685-1770a172-96bc" number="4" multi_color_values="%5B%7B%22scolor%22%3A%22%23604cfd%22%7D%2C%7B%22scolor%22%3A%22%23fda44c%22%7D%2C%7B%22scolor%22%3A%22%230fbbb4%22%7D%2C%7B%22scolor%22%3A%22%23f85976%22%7D%5D" size="4" height="100%" position="top_small:-50%25"][ld_images_group_container move_to_parent_row="yes" position="top_small:0px|left_small:-90px"][ld_images_group_element parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" image="104" translate_from_y="90" translate_to_y="-134"][/ld_images_group_element][/ld_images_group_container][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Promo 19
	$data = array();
	$data['name'] = esc_html__( 'Promo 19', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'promo-19.jpg' );
	$data['sort_name'] = 'Promo';
	$data['custom_class'] = 'general promo';
	$data['content'] = <<<CONTENT
	[vc_row equal_height="yes" content_placement="middle" css=".vc_custom_1605610071158{padding-top: 60px !important;padding-bottom: 70px !important;}" responsive_css="padding_top_medium:170px|padding_bottom_medium:75px"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-lg-5 vc_col-md-6" ca_duration="1800" ca_delay="180" ca_init_translate_y="65" css=".vc_custom_1605983335270{margin-bottom: 65px !important;}" responsive_css="margin_bottom_medium:0px" responsive_align="text-center text-md-left"][ld_images_group_element image="109" margin="bottom_small:20px"][/ld_images_group_element][ld_fancy_heading tag="h2" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" enable_fit="true" margin="bottom_small:0.6em" minfontsize="38" fs="text_large:43px|text_small:38px"]Let your audience about your brand.[/ld_fancy_heading][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(89, 91, 116)" fs="text_small:18px" lh="text_small:30px" margin="bottom_small:1.75em" padding="right_large:6%25"]We build and activate brands through cultural insight, strategic vision, and the power of emotion across every element of its expression. Through a deep understanding of our audience’s makeup and motivations.[/ld_fancy_heading][ld_button style="btn-naked" title="Learn more" transformation="text-uppercase" link_type="lightbox" hover_txt_effect="btn-hover-txt-liquid-y" i_type="linea" i_hover_reveal="btn-hover-swp" i_add_icon="true" link="url:https%3A%2F%2Fwww.youtube.com%2Fwatch%3Fv%3DKEc3aGjN228|||" i_icon_linea="lqd-icn-ess icon-md-arrow-forward"][/vc_column][vc_column width="5/6" offset="vc_col-lg-offset-2 vc_col-lg-5 vc_col-md-offset-0 vc_col-md-6 vc_col-sm-offset-1"][ld_icon_box_circle enable_animation="yes" primary_color="rgb(238, 238, 238)"][ld_icon_box_circle_item i_type="image" i_icon_image="110" title="Digital marketing"]Passionate about solving problems through creative communications.[/ld_icon_box_circle_item][ld_icon_box_circle_item i_type="image" i_icon_image="111" title="Building the strategy"]Passionate about solving problems through creative communications.[/ld_icon_box_circle_item][ld_icon_box_circle_item i_type="image" i_icon_image="112" title="Helping to achieve more people"]Passionate about solving problems through creative communications.[/ld_icon_box_circle_item][ld_icon_box_circle_item i_type="image" i_icon_image="113" title="Boost your sales"]Passionate about solving problems through creative communications.[/ld_icon_box_circle_item][ld_icon_box_circle_item i_type="image" i_icon_image="114" title="Brainstorming and creative ideas"]Passionate about solving problems through creative communications.[/ld_icon_box_circle_item][/ld_icon_box_circle][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Promo 20
	$data = array();
	$data['name'] = esc_html__( 'Promo 20', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'promo-20.jpg' );
	$data['sort_name'] = 'Promo';
	$data['custom_class'] = 'general promo';
	$data['content'] = <<<CONTENT
CONTENT;
	$templates[] = $data;

	//Promo 21
	$data = array();
	$data['name'] = esc_html__( 'Promo 21', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'promo-21.jpg' );
	$data['sort_name'] = 'Promo';
	$data['custom_class'] = 'general promo';
	$data['content'] = <<<CONTENT
	[vc_row equal_height="yes" content_placement="middle" el_id="ourvision" responsive_css="padding_top_medium:50px" css=".vc_custom_1614669877344{padding-bottom: 50px !important;}"][vc_column offset="vc_col-md-6 vc_hidden-sm vc_hidden-xs"][ld_images_group_container][ld_images_group_element img_size="50%" enable_effects="yes" parallax="yes" enable_image_shadow="yes" shadow_style="3" enable_shadow="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" image="40" translate_from_y="35" rotate_from_y="0" translate_to_y="-45"][/ld_images_group_element][ld_images_group_element img_size="50%" enable_effects="yes" parallax="yes" enable_image_shadow="yes" shadow_style="3" enable_shadow="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" image="41" margin="top_small:-10%25|left_small:20%25" translate_from_y="90" translate_to_y="-70"][/ld_images_group_element][ld_images_group_element img_size="50%" enable_effects="yes" parallax="yes" enable_image_shadow="yes" shadow_style="3" enable_shadow="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" image="42" margin="top_small:-70%25|right_small:-20%25|left_small:50%25" translate_from_y="135" translate_to_y="-91"][/ld_images_group_element][/ld_images_group_container][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-offset-1 vc_col-md-5" responsive_css="padding_left_medium:14%25" ca_duration="1800" ca_delay="180" ca_init_translate_y="35"][ld_fancy_heading tag="h6" use_custom_fonts_title="true" margin="bottom_small:0.75em" fs="13px"]Company’s vision[/ld_fancy_heading][ld_fancy_heading tag="h2" padding="right_large:4%25"]IT solutions for your business.[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:1.5em"]Hub IT allows your business and technology computers to store, transmit, analyze, and manipulate big data in the digital world.[/ld_fancy_heading][ld_icon_box i_type="linea" heading_size="custom" heading_weight="font-weight-normal" position="iconbox-inline" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title="Request API Integration" title_mb="1" icon_mb="10" custom_heading_size="17px" css=".vc_custom_1607346394904{margin-bottom: 10px !important;}" i_color="rgb(24, 67, 65)" icon_size="18px"][/ld_icon_box][ld_icon_box i_type="linea" heading_size="custom" heading_weight="font-weight-normal" position="iconbox-inline" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title="Simple Registration System" title_mb="1" icon_mb="7" custom_heading_size="17px" icon_size="18px" css=".vc_custom_1607346378529{margin-bottom: 10px !important;}" i_color="rgb(24, 67, 65)"][/ld_icon_box][vc_row_inner content_placement="middle" css=".vc_custom_1578906109013{padding-top: 35px !important;}"][vc_column_inner width="7/12"][ld_button style="btn-solid" title="See how we work" transformation="text-uppercase" shape="round" border="border-none" hover_txt_effect="btn-hover-txt-liquid-y" hover_bg_effect="btn-hover-bg-liquid" hover_bg_color="rgb(0, 0, 0)" fs="14px" css=".vc_custom_1578917815295{margin-bottom: 15px !important;}"][/vc_column_inner][vc_column_inner width="5/12"][ld_fancy_heading tag="p" color="rgb(37, 97, 239)" margin="bottom_small:15px"](733) 860-2906[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Promo 22
	$data = array();
	$data['name'] = esc_html__( 'Promo 22', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'promo-22.jpg' );
	$data['sort_name'] = 'Promo';
	$data['custom_class'] = 'general promo';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" gap="0" equal_height="yes" content_placement="middle" css=".vc_custom_1614669941565{background-color: #fafafa !important;}" el_id="howitworks"][vc_column row_scale_bg_onhover="yes" bg_position="center center" align="text-center" offset="vc_col-md-6" css=".vc_custom_1620719918371{padding-top: 30vw !important;padding-bottom: 30vw !important;background-image: url(https://itbusinesspro.liquid-themes.com/wp-content/uploads/2020/01/bg-3@2x.jpg?id=52) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" responsive_align="text-center" responsive_css="padding_top_medium:15vw|padding_bottom_medium:15vw|padding_top_small:25vw|padding_bottom_small:25vw"][ld_button style="btn-naked" link_type="lightbox" i_type="linea" i_position="top" i_shape="btn-icon-circle" i_shape_style="btn-icon-bordered" i_shape_bw="btn-icon-border-thickest" i_shape_size="btn-icon-xlg" i_ripple="btn-icon-ripple" i_add_icon="true" i_icon_linea="icon-ion-ios-play" i_size="24px" color="rgb(255, 255, 255)" link="url:https%3A%2F%2Fwww.youtube.com%2Fwatch%3Fv%3DcVEemOmHw9Y|||" i_hcolor="rgb(0, 0, 0)" i_fill_hcolor2="rgb(255, 255, 255)"][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" responsive_css="padding_top_medium:90px|padding_right_medium:12%25|padding_bottom_medium:90px|padding_left_medium:12%25" css=".vc_custom_1607346561233{padding-top: 60px !important;padding-right: 15px !important;padding-left: 15px !important;}" offset="vc_col-md-6" ca_duration="1800" ca_delay="180" ca_init_translate_x="0" ca_init_translate_y="35"][ld_fancy_heading tag="h2"]The Creative Process[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.64em" margin="bottom_small:2.6em"]Hub IT allows your business and technology computers to store, transmit, analyze, and manipulate big data in the digital world.[/ld_fancy_heading][vc_accordion size="lg" show_icon="yes" i_add_icon="true" i_type="linea" active_add_icon="true" active_type="linea" use_custom_fonts_title="true" bottom_margin="25px" fs="18px" lh="1.5em" i_icon_linea="icon-ion-ios-arrow-down" active_icon_linea="icon-ion-ios-arrow-up" bg_color="rgb(255, 255, 255)" heading_color="rgb(21, 21, 23)" active_tab="-1"][vc_accordion_tab title="increase your conversion rate" tab_id="ld-1578911887679-d3801bcc-f354"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.64em"]Hub IT allows your business and technology computers to store, transmit, analyze, and manipulate big data in the digital world.[/ld_fancy_heading][/vc_accordion_tab][vc_accordion_tab title="End-to-end encryption for messages" tab_id="ld-1578911887956-3fb39dcc-5ffb"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.64em"]Hub IT allows your business and technology computers to store, transmit, analyze, and manipulate big data in the digital world.[/ld_fancy_heading][/vc_accordion_tab][vc_accordion_tab title="Getting messages from businesses" tab_id="ld-1578911888239-a4e132ad-1dd9"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.64em"]Hub IT allows your business and technology computers to store, transmit, analyze, and manipulate big data in the digital world.[/ld_fancy_heading][/vc_accordion_tab][/vc_accordion][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Promo 23
	$data = array();
	$data['name'] = esc_html__( 'Promo 23', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'promo-23.jpg' );
	$data['sort_name'] = 'Promo';
	$data['custom_class'] = 'general promo';
	$data['content'] = <<<CONTENT
	[vc_row equal_height="yes" content_placement="middle" responsive_css="padding_top_medium:120px|padding_top_small:80px|padding_bottom_small:30px" css=".vc_custom_1614342255674{padding-top: 60px !important;padding-bottom: 15px !important;}"][vc_column offset="vc_col-md-5" responsive_css="margin_bottom_medium:0px" css=".vc_custom_1611315213533{margin-bottom: 20px !important;}"][ld_fancy_heading tag="h6" margin="bottom_small:2em"]<a href="https://saaspro.liquid-themes.com/wp-content/uploads/2021/01/Group-32402.svg"><img class="alignnone size-medium wp-image-964" src="https://saaspro.liquid-themes.com/wp-content/uploads/2021/01/Group-32402.svg" alt="" width="110" height="19" /></a>  Next Generation[/ld_fancy_heading][ld_fancy_heading tag="h2" highlight_reset_onhover="lqd-highlight-reset-onhover" highlight_offset="0.15em" use_custom_fonts_title="true" fs="text_medium:51px|text_small:11vw" highlight_color="rgba(177, 204, 255, 0.35)" margin="bottom_small:0.35em"]Track your daily [ld_highlight]activity.[/ld_highlight][/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.47em"]The latest design trends meet hand-crafted templates in Hub Collection. Use pre-built sections to speed up your design process.[/ld_fancy_heading][/vc_column][vc_column responsive_css="padding_left_large:6%25" offset="vc_col-md-7"][ld_images_group_element enable_hover3d="yes" image="970"][/ld_images_group_element][/vc_column][/vc_row][vc_row enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" css=".vc_custom_1614342277074{padding-top: 50px !important;padding-bottom: 50px !important;}" ca_duration="1800" ca_delay="180" ca_init_translate_x="35" responsive_css="margin_bottom_medium:35px"][vc_column offset="vc_col-md-4"][ld_icon_box i_type="linea" heading_size="custom" heading_weight="font-weight-bold" i_shape="circle" i_size="xs" i_border="1" position="iconbox-side" title="SCHEDULE APPOINTMENT" custom_heading_size="14px" custom_i_size="47px" shape_hcolor="rgb(0, 68, 235)" border_shape_color="rgb(220, 228, 235)" border_shape_hcolor="rgb(0, 68, 235)" shape_color="rgb(255, 255, 255)" icon_size="16px" h_i_color="rgb(255, 255, 255)" i_icon_linea="lqd-icn-ess icon-num-1" i_color="rgb(0, 0, 0)"]Google makes it easier to run high performance shared hosting account on its cloud platform.[/ld_icon_box][/vc_column][vc_column offset="vc_col-md-4"][ld_icon_box i_type="linea" heading_size="custom" heading_weight="font-weight-bold" i_shape="circle" i_size="xs" i_border="1" position="iconbox-side" title="BUSINESS CONSULTATION" custom_heading_size="14px" custom_i_size="47px" shape_hcolor="rgb(0, 68, 235)" border_shape_color="rgb(220, 228, 235)" border_shape_hcolor="rgb(0, 68, 235)" shape_color="rgb(255, 255, 255)" icon_size="16px" h_i_color="rgb(255, 255, 255)" i_icon_linea="lqd-icn-ess icon-num-2" i_color="rgb(26, 26, 26)"]Google makes it easier to run high performance shared hosting account on its cloud platform.[/ld_icon_box][/vc_column][vc_column offset="vc_col-md-4"][ld_icon_box i_type="linea" heading_size="custom" heading_weight="font-weight-bold" i_shape="circle" i_size="xs" i_border="1" position="iconbox-side" title="LAUNCH YOUR BUSINESS" custom_heading_size="14px" custom_i_size="47px" shape_hcolor="rgb(0, 68, 235)" border_shape_color="rgb(220, 228, 235)" border_shape_hcolor="rgb(0, 68, 235)" shape_color="rgb(255, 255, 255)" icon_size="16px" h_i_color="rgb(255, 255, 255)" i_icon_linea="lqd-icn-ess icon-num-3" i_color="rgb(22, 22, 22)"]Google makes it easier to run high performance shared hosting account on its cloud platform.[/ld_icon_box][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Promo 24
	$data = array();
	$data['name'] = esc_html__( 'Promo 24', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'promo-24.jpg' );
	$data['sort_name'] = 'Promo';
	$data['custom_class'] = 'general promo';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" gap="0" css=".vc_custom_1609856819563{padding-top: 20px !important;padding-bottom: 50px !important;}"][vc_column responsive_align="text-center" offset="vc_col-md-offset-2 vc_col-md-8" css=".vc_custom_1609857128979{margin-bottom: 40px !important;}"][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" color="rgb(35, 46, 108)" fs="text_small:12px" ls="text_small:0.1em" margin="bottom_small:1.5em"]Our services[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" color="rgb(35, 46, 108)" fs="text_small:43px" margin="bottom_small:0.35em"]Digital Solutions[/ld_fancy_heading][/vc_column][vc_column width="1/2" offset="vc_col-md-3"][ld_content_box template="s06" use_custom_fonts_title="true" title="Tailor-made digital solutions." fs="26px" lh="1.2em" image="8860" subtitle="Art Direction" fw="600"][/ld_content_box][/vc_column][vc_column width="1/2" offset="vc_col-md-3"][ld_content_box template="s06" use_custom_fonts_title="true" title="Online Financial Security" fs="26px" lh="1.2em" image="8862" subtitle="Art Direction" fw="600"][/ld_content_box][/vc_column][vc_column width="1/2" offset="vc_col-md-3"][ld_content_box template="s06" use_custom_fonts_title="true" title="Face ID Protection and Analyze" fs="26px" lh="1.2em" image="8863" subtitle="Art Direction" fw="600"][/ld_content_box][/vc_column][vc_column width="1/2" offset="vc_col-md-3"][ld_content_box template="s06" use_custom_fonts_title="true" title="Online Privacy And Security" fs="26px" lh="1.2em" image="8861" subtitle="Art Direction" fw="600"][/ld_content_box][/vc_column][vc_column css=".vc_custom_1609857185047{margin-top: 45px !important;}" responsive_align="text-center"][ld_fancy_heading tag="p" color="rgb(0, 0, 0)"]Our nearly 8,000 committed <a href="#">staff members</a> are ready to help.[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Promo 25
	$data = array();
	$data['name'] = esc_html__( 'Promo 25', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'promo-25.jpg' );
	$data['sort_name'] = 'Promo';
	$data['custom_class'] = 'general promo';
	$data['content'] = <<<CONTENT
	[vc_row bg_position="custom" css=".vc_custom_1614343963165{padding-top: 35px !important;padding-bottom: 45px !important;background-image: url(http://saashubfree.liquid-themes.com/wp-content/uploads/2019/10/bg-4.svg?id=683) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" bg_pos_h="50%" bg_pos_v="-100%" el_id="features"][vc_column width="1/2" offset="vc_col-md-3" responsive_align="text-center" css=".vc_custom_1611237222930{margin-bottom: 30px !important;}"][ld_images_group_element img_size="50%" image="950" margin="bottom_small:30px"][/ld_images_group_element][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:18px" margin="bottom_small:1.25em"]Customizable UI[/ld_fancy_heading][ld_fancy_heading tag="p"]Ceating brand identities, digital experiences, and print materials that communicate clearly.[/ld_fancy_heading][/vc_column][vc_column width="1/2" offset="vc_col-md-3" responsive_align="text-center" css=".vc_custom_1611237222930{margin-bottom: 30px !important;}"][ld_images_group_element img_size="50%" enable_image_shadow="yes" shadow_style="3" enable_roudness="yes" image_roudness="4" image="946" margin="top_medium:30px|bottom_small:30px"][/ld_images_group_element][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:18px" margin="bottom_small:1.25em"]Custom Task Views[/ld_fancy_heading][ld_fancy_heading tag="p"]Ceating brand identities, digital experiences, and print materials that communicate clearly.[/ld_fancy_heading][/vc_column][vc_column width="1/2" offset="vc_col-md-3" responsive_align="text-center" css=".vc_custom_1611237222930{margin-bottom: 30px !important;}"][ld_images_group_element img_size="30%" enable_roudness="yes" image_roudness="4" image="1030" margin="top_medium:15px|bottom_small:30px"][/ld_images_group_element][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:18px" margin="bottom_small:1.25em"]Team Collaboration[/ld_fancy_heading][ld_fancy_heading tag="p"]Ceating brand identities, digital experiences, and print materials that communicate clearly.[/ld_fancy_heading][/vc_column][vc_column width="1/2" offset="vc_col-md-3" responsive_align="text-center" css=".vc_custom_1611237222930{margin-bottom: 30px !important;}"][ld_images_group_element img_size="50%" image="948" margin="top_medium:25px|bottom_small:30px"][/ld_images_group_element][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:18px" margin="bottom_small:1.25em"]Task Assignment[/ld_fancy_heading][ld_fancy_heading tag="p"]Ceating brand identities, digital experiences, and print materials that communicate clearly.[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Promo 26
	$data = array();
	$data['name'] = esc_html__( 'Promo 26', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'promo-26.jpg' );
	$data['sort_name'] = 'Promo';
	$data['custom_class'] = 'general promo';
	$data['content'] = <<<CONTENT
	[vc_row gap="20" el_id="services"][vc_column offset="vc_col-lg-offset-3 vc_col-lg-6 vc_col-md-offset-2 vc_col-md-8" responsive_align="text-center" css=".vc_custom_1611049100816{margin-bottom: 35px !important;}"][ld_fancy_heading tag="h2"]Case Studies[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:20px" lh="text_small:34px"]Our design services starts and ends with a best in class experience strategy that builds brands.[/ld_fancy_heading][/vc_column][vc_column][vc_row_inner][vc_column_inner][/vc_column_inner][/vc_row_inner][/vc_column][vc_column enable_hover_move="lqd-column-move-onhover" width="1/2" enable_column_shadowbox="yes" enable_column_hover_shadowbox="yes" offset="vc_col-md-3" css=".vc_custom_1612877242397{margin-bottom: 30px !important;padding-top: 30px !important;padding-right: 15px !important;padding-bottom: 30px !important;padding-left: 15px !important;background-color: #ffffff !important;border-radius: 10px !important;}" column_box_shadow="%5B%7B%22x_offset%22%3A%22-5px%22%2C%22y_offset%22%3A%2218px%22%2C%22blur_radius%22%3A%2260px%22%2C%22shadow_color%22%3A%22rgba(210%2C%20210%2C%20234%2C%200.4)%22%7D%5D" responsive_css="padding_top_small:45px|padding_right_small:30px|padding_bottom_small:45px|padding_left_small:30px" column_hover_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2220px%22%2C%22blur_radius%22%3A%2275px%22%2C%22spread_radius%22%3A%22-5px%22%2C%22shadow_color%22%3A%22rgba(210%2C%20210%2C%20234%2C%200.6)%22%7D%5D"][ld_icon_box i_type="image" heading_size="sm" i_shape="circle" i_size="sm" i_border="" alignment="text-left" enable_shape_shadowbox="yes" title="Web Design" shape_color="rgb(251, 227, 229)" shape_box_shadow="%5B%7B%22x_offset%22%3A%226px%22%2C%22y_offset%22%3A%2215px%22%2C%22blur_radius%22%3A%2230px%22%2C%22shadow_color%22%3A%22rgba(188%2C0%2C50%2C0.07)%22%7D%5D" icon_mb="23" css=".vc_custom_1614709200790{margin-bottom: 55px !important;}" custom_i_size="55px" i_icon_image="4805" svg_fill_color="rgb(216, 95, 105)"]<span style="font-size: 14px;">Ceating brand identities, digital experiences, and print materials that communicate clearly.</span>[/ld_icon_box][ld_button style="btn-naked" title="― Learn more" transformation="text-uppercase" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" color="rgb(36, 61, 98)" fs="13px" ls="0.05em" i_icon_linea="lqd-icn-ess icon-md-arrow-forward"][/vc_column][vc_column enable_hover_move="lqd-column-move-onhover" width="1/2" enable_column_shadowbox="yes" enable_column_hover_shadowbox="yes" offset="vc_col-md-3" css=".vc_custom_1612877268495{margin-bottom: 30px !important;padding-top: 30px !important;padding-right: 15px !important;padding-bottom: 30px !important;padding-left: 15px !important;background-color: #ffffff !important;border-radius: 10px !important;}" column_box_shadow="%5B%7B%22x_offset%22%3A%22-5px%22%2C%22y_offset%22%3A%2218px%22%2C%22blur_radius%22%3A%2260px%22%2C%22shadow_color%22%3A%22rgba(210%2C%20210%2C%20234%2C%200.4)%22%7D%5D" responsive_css="margin_top_medium:60px|padding_top_small:45px|padding_right_small:30px|padding_bottom_small:45px|padding_left_small:30px" column_hover_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2220px%22%2C%22blur_radius%22%3A%2275px%22%2C%22spread_radius%22%3A%22-5px%22%2C%22shadow_color%22%3A%22rgba(210%2C%20210%2C%20234%2C%200.6)%22%7D%5D"][ld_icon_box i_type="image" heading_size="sm" show_label="yes" i_shape="circle" i_size="sm" i_border="" alignment="text-left" enable_shape_shadowbox="yes" title="Digital Marketing" shape_color="rgb(226, 245, 248)" shape_box_shadow="%5B%7B%22x_offset%22%3A%226px%22%2C%22y_offset%22%3A%2215px%22%2C%22blur_radius%22%3A%2230px%22%2C%22shadow_color%22%3A%22rgba(0%2C101%2C150%2C0.08)%22%7D%5D" icon_mb="23" css=".vc_custom_1614709221923{margin-bottom: 55px !important;}" custom_i_size="55px" i_icon_image="4814" label="Exclusive" svg_fill_color="rgb(103, 200, 216)"]<span style="font-size: 14px;">Ceating brand identities, digital experiences, and print materials that communicate clearly.</span>[/ld_icon_box][ld_button style="btn-naked" title="― Learn more" transformation="text-uppercase" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" color="rgb(36, 61, 98)" fs="13px" ls="0.05em" i_icon_linea="lqd-icn-ess icon-md-arrow-forward"][/vc_column][vc_column enable_hover_move="lqd-column-move-onhover" width="1/2" enable_column_shadowbox="yes" enable_column_hover_shadowbox="yes" offset="vc_col-md-3" css=".vc_custom_1612877297832{margin-bottom: 30px !important;padding-top: 30px !important;padding-right: 15px !important;padding-bottom: 30px !important;padding-left: 15px !important;background-color: #ffffff !important;border-radius: 10px !important;}" column_box_shadow="%5B%7B%22x_offset%22%3A%22-5px%22%2C%22y_offset%22%3A%2218px%22%2C%22blur_radius%22%3A%2260px%22%2C%22shadow_color%22%3A%22rgba(210%2C%20210%2C%20234%2C%200.4)%22%7D%5D" responsive_css="padding_top_small:45px|padding_right_small:30px|padding_bottom_small:45px|padding_left_small:30px" column_hover_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2220px%22%2C%22blur_radius%22%3A%2275px%22%2C%22spread_radius%22%3A%22-5px%22%2C%22shadow_color%22%3A%22rgba(210%2C%20210%2C%20234%2C%200.6)%22%7D%5D"][ld_icon_box i_type="image" heading_size="sm" i_shape="circle" i_size="sm" i_border="" alignment="text-left" enable_shape_shadowbox="yes" title="Search Engine Optimization" shape_color="rgb(227, 248, 235)" shape_box_shadow="%5B%7B%22x_offset%22%3A%226px%22%2C%22y_offset%22%3A%2215px%22%2C%22blur_radius%22%3A%2230px%22%2C%22shadow_color%22%3A%22rgba(9%2C191%2C0%2C0.08)%22%7D%5D" icon_mb="23" css=".vc_custom_1614709241285{margin-bottom: 55px !important;}" custom_i_size="55px" i_icon_image="4810" svg_fill_color="rgb(80, 207, 128)"]<span style="font-size: 14px;">Ceating brand identities, digital experiences, and print materials that communicate clearly.</span>[/ld_icon_box][ld_button style="btn-naked" title="― Learn more" transformation="text-uppercase" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" color="rgb(36, 61, 98)" fs="13px" ls="0.05em" i_icon_linea="lqd-icn-ess icon-md-arrow-forward"][/vc_column][vc_column enable_hover_move="lqd-column-move-onhover" width="1/2" enable_column_shadowbox="yes" enable_column_hover_shadowbox="yes" offset="vc_col-md-3" css=".vc_custom_1612877314932{margin-bottom: 30px !important;padding-top: 30px !important;padding-right: 15px !important;padding-bottom: 30px !important;padding-left: 15px !important;background-color: #ffffff !important;border-radius: 10px !important;}" column_box_shadow="%5B%7B%22x_offset%22%3A%22-5px%22%2C%22y_offset%22%3A%2218px%22%2C%22blur_radius%22%3A%2260px%22%2C%22shadow_color%22%3A%22rgba(210%2C%20210%2C%20234%2C%200.4)%22%7D%5D" responsive_css="margin_top_medium:60px|padding_top_small:45px|padding_right_small:30px|padding_bottom_small:45px|padding_left_small:30px" column_hover_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2220px%22%2C%22blur_radius%22%3A%2275px%22%2C%22spread_radius%22%3A%22-5px%22%2C%22shadow_color%22%3A%22rgba(210%2C%20210%2C%20234%2C%200.6)%22%7D%5D"][ld_icon_box i_type="image" heading_size="sm" i_shape="circle" i_size="sm" i_border="" alignment="text-left" enable_shape_shadowbox="yes" title="Social Media" shape_color="rgb(245, 229, 241)" shape_box_shadow="%5B%7B%22x_offset%22%3A%226px%22%2C%22y_offset%22%3A%2215px%22%2C%22blur_radius%22%3A%2230px%22%2C%22shadow_color%22%3A%22rgba(100%2C4%2C151%2C0.08)%22%7D%5D" icon_mb="23" css=".vc_custom_1614709264710{margin-bottom: 55px !important;}" custom_i_size="55px" i_icon_image="4813" svg_fill_color="rgb(221, 116, 195)"]<span style="font-size: 14px;">Ceating brand identities, digital experiences, and print materials that communicate clearly.</span>[/ld_icon_box][ld_button style="btn-naked" title="― Learn more" transformation="text-uppercase" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" color="rgb(36, 61, 98)" fs="13px" ls="0.05em" i_icon_linea="lqd-icn-ess icon-md-arrow-forward"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Promo 27
	$data = array();
	$data['name'] = esc_html__( 'Promo 27', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'promo-27.jpg' );
	$data['sort_name'] = 'Promo';
	$data['custom_class'] = 'general promo';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" css=".vc_custom_1605615466165{padding-bottom: 60px !important;}" responsive_css="margin_bottom_medium:70px|padding_top_medium:50px|padding_bottom_medium:100px"][vc_column offset="vc_col-md-5" responsive_align="text-center text-md-left"][ld_fancy_heading tag="h6" transform="text-lowercase" duration="1600" delay="100" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" enable_bg="yes" fh_border_radius="circle" enable_split="true" margin="bottom_small:0.75em" ca_init_translate_x="0" ca_init_rotate_y="0" ca_init_translate_y="35" color="rgb(255, 90, 61)" padding="top_small:10px|right_small:20px|bottom_small:10px|left_small:20px" fh_bg="rgb(255, 234, 230)"]Digital Experience[/ld_fancy_heading][ld_fancy_heading tag="h2" highlight_offset="0.1em" use_custom_fonts_title="true" enable_fit="true" fs="text_large:48px|text_small:35px" lh="text_small:1.2em" margin="bottom_small:0.65em" minfontsize="36" highlight_color="rgba(255, 185, 158, 0.52)"]The hundred of completed works still [ld_highlight]counting[/ld_highlight][/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="20px" lh="1.5em" margin="bottom_small:2.5em"]Through strategy, design, and planning we build brand identities that connect with your Nesi. We then fine-tune a marketing plan that allows us to laser focus and target your audience through the right channels.[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-offset-2 vc_col-md-5"][ld_images_group_element parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" absolute_pos="yes" image="58" translate_from_y="80" translate_to_y="-80" position="bottom_small:-25px|left_small:-50px"][/ld_images_group_element][vc_row_inner equal_height="yes" content_placement="middle" gap="0" enable_row_shadowbox="yes" css=".vc_custom_1611001202350{padding-top: 15px !important;background-color: #ffffff !important;border-radius: 15px !important;}" row_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2250px%22%2C%22blur_radius%22%3A%2290px%22%2C%22shadow_color%22%3A%22rgba(22%2C17%2C147%2C0.1)%22%7D%5D" responsive_css="padding_top_medium:0px"][vc_column_inner width="1/2" responsive_css="border_right_medium:1px" css=".vc_custom_1605986896192{border-right-width: 0px !important;border-bottom-width: 1px !important;padding-top: 45px !important;padding-bottom: 15px !important;border-right-color: #eeeeee !important;border-right-style: solid !important;border-bottom-color: #eeeeee !important;border-bottom-style: solid !important;}" offset="vc_col-xs-6"][ld_counter content_align="text-center" use_custom_fonts_title="true" counter_mb_checkbox="true" enable_blur="true" count="19+" label="Total Top Services" fs="48px" fw="700" label_color="rgb(153, 153, 153)" counter_mb="13" color="rgb(26, 55, 96)"][/vc_column_inner][vc_column_inner width="1/2" css=".vc_custom_1605986910497{border-right-width: 0px !important;border-bottom-width: 1px !important;padding-top: 45px !important;padding-bottom: 15px !important;border-right-color: #eeeeee !important;border-right-style: solid !important;border-bottom-color: #eeeeee !important;border-bottom-style: solid !important;}" offset="vc_col-xs-6"][ld_counter content_align="text-center" use_custom_fonts_title="true" counter_mb_checkbox="true" enable_blur="true" count="27+" label="Countries" fs="48px" fw="700" color="rgb(26, 55, 96)" label_color="rgb(153, 153, 153)" counter_mb="13"][/vc_column_inner][vc_column_inner width="1/2" responsive_css="border_right_medium:1px" css=".vc_custom_1605986926031{border-right-width: 0px !important;padding-top: 45px !important;padding-bottom: 15px !important;border-right-color: #eeeeee !important;border-right-style: solid !important;}" offset="vc_col-xs-6"][ld_counter content_align="text-center" use_custom_fonts_title="true" counter_mb_checkbox="true" enable_blur="true" count="98%" label="Positive Feedback" fs="48px" fw="700" color="rgb(26, 55, 96)" label_color="rgb(153, 153, 153)" counter_mb="13"][/vc_column_inner][vc_column_inner width="1/2" css=".vc_custom_1605986941269{padding-top: 45px !important;padding-bottom: 15px !important;}" offset="vc_col-xs-6"][ld_counter content_align="text-center" use_custom_fonts_title="true" counter_mb_checkbox="true" enable_blur="true" count="2,663" label="Usual Users" fs="48px" fw="700" color="rgb(26, 55, 96)" label_color="rgb(153, 153, 153)" counter_mb="13"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Promo 28
	$data = array();
	$data['name'] = esc_html__( 'Promo 28', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'promo-28.jpg' );
	$data['sort_name'] = 'Promo';
	$data['custom_class'] = 'general promo';
	$data['content'] = <<<CONTENT
	[vc_row bg_position="right center" enable_gradient="yes" enable_row_dividers="yes" gradient_bg="linear-gradient(40deg, rgb(46, 52, 67) 0.3184713375796178%, rgb(50, 51, 74) 50.318471337579616%, #3b4157 100%)" css=".vc_custom_1606116278929{padding-top: 120px !important;padding-bottom: 90px !important;background-color: #0b1530 !important;background-position: center !important;background-repeat: no-repeat !important;background-size: contain !important;}" row_svg_divider="top_shape_type:6|top_shape_color:%23ffffff|top_shape_height:52|bottom_shape_type:8|bottom_shape_color:%23f7f9fc|bottom_shape_height:103" responsive_css="padding_top_medium:140px|padding_bottom_medium:195px"][vc_column enable_content_animation="yes" animation_preset="Fade In" align="text-center" offset="vc_col-md-offset-2 vc_col-md-8" ca_duration="1800" ca_delay="80" responsive_css="padding_right_medium:7%25|padding_left_medium:7%25" responsive_align="text-md-center"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" use_inheritance="true" color="rgb(255, 255, 255)" margin="bottom_small:0.35em" fs="text_large:50px|text_small:36px"]Global Solutions.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_large:20px|text_small:17px" lh="text_large:34px|text_small:25px" color="rgba(255, 255, 255, 0.7)"]We help our clients succeed by creating brand identities, digital experiences, and print materials that communicate clearly.[/ld_fancy_heading][/vc_column][vc_column][ld_carousel_tab columns="md:3|sm:2|xs:1.15|spacing_sm:20px|spacing_xs:15px" inactiv_opacity="1" enable_item_animation="yes" cellalign="center" pagenationdots="yes" wraparound="yes" adaptiveheight="yes" dots_bottom_offset="-40px" dots_style="carousel-dots-style2" pf_init_scale_x="1" pf_init_scale_y="1" pf_init_opacity="0" pf_an_scale_x="1" pf_an_scale_y="1" pf_an_opacity="1" dots_bg_color="rgba(255, 255, 255, 0.45)" dots_bg_hcolor="rgb(255, 255, 255)" pf_duration="1800" pf_delay="180" mobile_dots_bg_color="rgba(255, 255, 255, 0.3)" mobile_dots_bg_hcolor="rgb(255, 255, 255)"][ld_carousel_section title="Tab" tab_id="lqd-1595324902398-698bca5e-cd7e"][ld_icon_box i_type="animated" heading_size="custom" toggleable="yes" show_button="yes" fill="yes" border_radius="iconbox-round" hover_fill="yes" shadow="iconbox-shadow-hover" ib_style="btn-naked" ib_title="Learn More" ib_i_type="linea" ib_i_add_icon="true" title="Real Time Data" title_mb="15" custom_heading_size="22px" icon_mb="30" css=".vc_custom_1617779612035{margin-top: 60px !important;border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 35px !important;padding-right: 35px !important;padding-bottom: 15px !important;padding-left: 35px !important;border-left-color: rgba(255,255,255,0.09) !important;border-left-style: solid !important;border-right-color: rgba(255,255,255,0.09) !important;border-right-style: solid !important;border-top-color: rgba(255,255,255,0.09) !important;border-top-style: solid !important;border-bottom-color: rgba(255,255,255,0.09) !important;border-bottom-style: solid !important;}" h_color="rgb(255, 255, 255)" hover_fill_color="rgb(255, 255, 255)" hover_text_color="rgb(80, 80, 80)" fill_color="rgba(255, 255, 255, 0)" h_hcolor="rgb(0, 0, 0)" ib_i_icon_linea="lqd-icn-ess icon-md-arrow-forward" ib_color="rgb(39, 176, 97)" i_icon_animated="animated-ecommerce_graph1" custom_size="55px" i_color="rgb(23, 190, 116)"]<span style="color: rgba(255, 255, 255, 0.85); font-size: 16px;">We help our clients succeed by creating brand identities, digital experiences.</span>[/ld_icon_box][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595253352066-9a21350a-2756"][ld_icon_box i_type="animated" heading_size="custom" toggleable="yes" show_label="yes" show_button="yes" fill="yes" border_radius="iconbox-round" hover_fill="yes" scale_bg="iconbox-scale-bg" shadow="iconbox-shadow-hover" ib_style="btn-naked" ib_title="Learn More" ib_i_type="linea" ib_i_add_icon="true" title="Cloud Support" title_mb="15" custom_heading_size="22px" icon_mb="30" css=".vc_custom_1617779620965{margin-top: 60px !important;border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 35px !important;padding-right: 35px !important;padding-bottom: 15px !important;padding-left: 35px !important;border-left-color: rgba(255,255,255,0.09) !important;border-left-style: solid !important;border-right-color: rgba(255,255,255,0.09) !important;border-right-style: solid !important;border-top-color: rgba(255,255,255,0.09) !important;border-top-style: solid !important;border-bottom-color: rgba(255,255,255,0.09) !important;border-bottom-style: solid !important;}" h_color="rgb(255, 255, 255)" hover_fill_color="rgb(255, 255, 255)" hover_text_color="rgb(80, 80, 80)" fill_color="rgba(255, 255, 255, 0)" h_hcolor="rgb(0, 0, 0)" ib_i_icon_linea="lqd-icn-ess icon-md-arrow-forward" ib_color="rgb(39, 176, 97)" custom_size="55px" label="Global" i_icon_animated="animated-basic_elaboration_cloud_check" i_color="rgb(23, 190, 116)"]<span style="color: rgba(255, 255, 255, 0.85); font-size: 16px;">We help our clients succeed by creating brand identities, digital experiences.</span>[/ld_icon_box][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595324903317-13a863d6-7f8d"][ld_icon_box i_type="animated" heading_size="custom" toggleable="yes" show_button="yes" fill="yes" border_radius="iconbox-round" hover_fill="yes" shadow="iconbox-shadow-hover" ib_style="btn-naked" ib_title="Learn More" ib_i_type="linea" ib_i_add_icon="true" title="Collaboration Tools" title_mb="15" custom_heading_size="22px" icon_mb="30" css=".vc_custom_1617779628313{margin-top: 60px !important;border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 35px !important;padding-right: 35px !important;padding-bottom: 15px !important;padding-left: 35px !important;border-left-color: rgba(255,255,255,0.09) !important;border-left-style: solid !important;border-right-color: rgba(255,255,255,0.09) !important;border-right-style: solid !important;border-top-color: rgba(255,255,255,0.09) !important;border-top-style: solid !important;border-bottom-color: rgba(255,255,255,0.09) !important;border-bottom-style: solid !important;}" h_color="rgb(255, 255, 255)" hover_fill_color="rgb(255, 255, 255)" hover_text_color="rgb(80, 80, 80)" fill_color="rgba(255, 255, 255, 0)" h_hcolor="rgb(0, 0, 0)" ib_i_icon_linea="lqd-icn-ess icon-md-arrow-forward" ib_color="rgb(39, 176, 97)" custom_size="55px" i_icon_animated="animated-basic_spread_text" i_color="rgb(23, 190, 116)"]<span style="color: rgba(255, 255, 255, 0.85); font-size: 16px;">We help our clients succeed by creating brand identities, digital experiences.</span>[/ld_icon_box][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595324903700-e225f410-db9a"][ld_icon_box i_type="animated" heading_size="custom" toggleable="yes" show_button="yes" fill="yes" border_radius="iconbox-round" hover_fill="yes" shadow="iconbox-shadow-hover" ib_style="btn-naked" ib_title="Learn More" ib_i_type="linea" ib_i_add_icon="true" title="Collaboration Tools" title_mb="15" custom_heading_size="22px" icon_mb="30" css=".vc_custom_1621427307512{margin-top: 60px !important;border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 35px !important;padding-right: 35px !important;padding-bottom: 15px !important;padding-left: 35px !important;border-left-color: rgba(255,255,255,0.09) !important;border-left-style: solid !important;border-right-color: rgba(255,255,255,0.09) !important;border-right-style: solid !important;border-top-color: rgba(255,255,255,0.09) !important;border-top-style: solid !important;border-bottom-color: rgba(255,255,255,0.09) !important;border-bottom-style: solid !important;}" h_color="rgb(255, 255, 255)" hover_fill_color="rgb(255, 255, 255)" hover_text_color="rgb(80, 80, 80)" fill_color="rgba(255, 255, 255, 0)" h_hcolor="rgb(0, 0, 0)" ib_i_icon_linea="lqd-icn-ess icon-md-arrow-forward" ib_color="rgb(39, 176, 97)" custom_size="55px" i_icon_animated="animated-basic_book_pen" i_color="rgb(23, 190, 116)"]<span style="color: rgba(255, 255, 255, 0.85); font-size: 16px;">We help our clients succeed by creating brand identities, digital experiences.</span>[/ld_icon_box][/ld_carousel_section][/ld_carousel_tab][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Promo 29
	$data = array();
	$data['name'] = esc_html__( 'Promo 29', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'promo-29.jpg' );
	$data['sort_name'] = 'Promo';
	$data['custom_class'] = 'general promo';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" css=".vc_custom_1605971144699{padding-top: 60px !important;padding-bottom: 60px !important;background-color: #f7f9fc !important;}" responsive_css="padding_top_medium:200px|padding_bottom_medium:190px"][vc_column offset="vc_col-md-6"][ld_images_group_container enable_item_animation="yes" pf_init_scale_x="1" pf_init_scale_y="1" pf_init_opacity="1" pf_an_scale_x="1" pf_an_scale_y="1" pf_an_opacity="1" margin="bottom_large:0px|bottom_small:120px"][ld_images_group_element img_size="50%" enable_effects="yes" enable_image_shadow="yes" shadow_style="4" enable_roudness="yes" image_roudness="6" enable_shadow="yes" image="50"][/ld_images_group_element][ld_images_group_element img_size="50%" enable_effects="yes" enable_image_shadow="yes" shadow_style="4" enable_roudness="yes" image_roudness="6" enable_shadow="yes" absolute_pos="yes" image="153" position="right_large:14%25|top_medium:19%25|right_medium:25%25|top_small:25%25|right_small:0px" shadow_delay="1600"][/ld_images_group_element][/ld_images_group_container][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-offset-1 vc_col-md-5" ca_duration="1800" ca_delay="180" ca_init_translate_y="35" ca_init_translate_x="15"][vc_single_image image="41" css=".vc_custom_1575040929631{margin-bottom: 25px !important;}"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" margin="bottom_small:0.35em" fs="text_large:42px|text_small:36px"]Convert more visitors into customers.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px" lh="text_small:26px" margin="bottom_small:1.625em" padding="right_large:12%25"]Hub IT allows your business and technology computers to store, transmit, analyze, and manipulate big data in the digital world.[/ld_fancy_heading][ld_icon_box i_type="linea" heading_size="custom" i_shape="circle" i_border="" position="iconbox-side" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title="Simple Registration System" title_mb="1" custom_heading_size="17px" icon_size="14px" custom_i_size="24px" css=".vc_custom_1607335580086{margin-bottom: 12px !important;}" i_color="rgb(25, 128, 46)" shape_color="rgba(16, 255, 34, 0.13)"][/ld_icon_box][ld_icon_box i_type="linea" heading_size="custom" i_shape="circle" i_border="" position="iconbox-side" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title="Request API Integration" title_mb="1" custom_heading_size="17px" icon_size="14px" custom_i_size="24px" css=".vc_custom_1607335589856{margin-bottom: 35px !important;}" i_color="rgb(25, 128, 46)" shape_color="rgba(16, 255, 34, 0.13)"][/ld_icon_box][ld_button style="btn-solid" title="Get Started Hub" link_type="scroll_to_section" shape="round" size="btn-md" i_type="linea" i_hover_reveal="btn-hover-swp" i_add_icon="true" hover_color="rgb(255, 255, 255)" htext_color="rgb(0, 0, 0)" i_icon_linea="lqd-icn-ess icon-md-arrow-forward"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Promo 30
	$data = array();
	$data['name'] = esc_html__( 'Promo 30', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'promo-30.jpg' );
	$data['sort_name'] = 'Promo';
	$data['custom_class'] = 'general promo';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" responsive_css="padding_top_medium:120px" css=".vc_custom_1608725586069{padding-top: 90px !important;padding-bottom: 30px !important;}"][vc_column width="1/2" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_x="0%" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-5" ca_duration="1600" ca_delay="120" ca_init_translate_y="45" ca_init_rotate_z="3" responsive_css="margin_bottom_small:0px" css=".vc_custom_1608729665449{margin-bottom: 55px !important;}"][vc_text_separator title="CLIENT: HUB IT" title_align="separator_align_left" color="custom" accent_color="rgba(112,112,112,0.2)" css=".vc_custom_1608723651822{margin-bottom: 25px !important;}"][ld_fancy_heading tag="h2" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" highlight_color="rgba(126, 255, 195, 0.4)" fs="text_small:36px" lh="text_small:1.13em" fw="text_small:700" color="rgb(30, 47, 105)"]Apper reduced their support time by [ld_highlight]80% using live chat.[/ld_highlight][/ld_fancy_heading][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgba(70, 77, 101, 0.8)" fs="text_small:18px" lh="text_small:1.44em" margin="bottom_small:2em"]Content-focused grid designs, unique social elements, post-sharing function, author exposure and much more![/ld_fancy_heading][ld_button style="btn-naked" title="Read the story" link_type="lightbox" i_type="linea" i_hover_reveal="btn-hover-swp" i_add_icon="true" link="url:https%3A%2F%2Fyoutu.be%2FJLE228ZuGGA|||" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" fs="18px" color="rgb(30, 47, 105)"][vc_separator color="custom" accent_color="rgba(112,112,112,0.2)" css=".vc_custom_1608723736193{margin-top: 50px !important;margin-bottom: 35px !important;}"][ld_fancy_heading tag="h4" transform="text-uppercase" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(25, 28, 95)" fs="text_small:12px" ls="text_small:0.08em" fw="text_small:700"]Phoebe Nathalia[/ld_fancy_heading][ld_fancy_heading tag="h5" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(86, 104, 130)" fs="text_small:14px" fw="text_small:500"]Netflix Chief Designer[/ld_fancy_heading][/vc_column][vc_column width="1/2" offset="vc_col-md-7" responsive_css="padding_left_medium:5%25"][ld_images_group_container enable_item_animation="yes" pf_init_scale_x="1" pf_init_scale_y="1" pf_init_opacity="0" pf_an_scale_x="1" pf_an_scale_y="1" pf_an_opacity="1" pf_duration="1600" pf_delay="160" pf_init_translate_x="35" pf_init_translate_y="35" pf_init_rotate_y="0" pf_start_delay="650"][ld_images_group_element enable_image_shadow="yes" shadow_style="4" image="246"][/ld_images_group_element][ld_images_group_element absolute_pos="yes" image="248" position="top_small:45px|left_small:45px"][/ld_images_group_element][ld_images_group_element absolute_pos="yes" image="247" position="bottom_small:30px|left_small:45px"][/ld_images_group_element][/ld_images_group_container][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Promo 31
	$data = array();
	$data['name'] = esc_html__( 'Promo 31', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'promo-31.jpg' );
	$data['sort_name'] = 'Promo';
	$data['custom_class'] = 'general promo';
	$data['content'] = <<<CONTENT
	[vc_row equal_height="yes" content_placement="middle" css=".vc_custom_1614769150109{padding-top: 60px !important;padding-bottom: 60px !important;}" el_id="features"][vc_column offset="vc_col-md-6"][ld_images_group_element enable_float_effect="yes" image="244"][/ld_images_group_element][/vc_column][vc_column offset="vc_col-lg-offset-1 vc_col-md-offset-1 vc_col-md-5"][ld_images_group_element image="64" margin="bottom_small:15px"][/ld_images_group_element][ld_fancy_heading tag="h2" highlight_reset_onhover="lqd-highlight-reset-onhover" use_custom_fonts_title="true" fs="text_small:45px" lh="text_small:1.1em" margin="bottom_small:0.35em" highlight_color="rgba(62, 196, 175, 0.47)"]Add calling [ld_highlight]credits[/ld_highlight].[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:18px" lh="text_small:1.666em" ls="text_small:-0.01em" margin="bottom_small:1.5em"]Install any demo or template with a single click. You can mix and match all the demos &amp; templates. Every demo can be turned into one or multi-page. You can also use the shop features for all demos.[/ld_fancy_heading][ld_button style="btn-solid" title="Sign up — It’s Free" size="btn-lg" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" i_icon_linea="icon-md-arrow-round-forward" color="rgb(240, 242, 255)" text_color="rgb(67, 32, 145)" hover_color="rgb(67, 32, 145)" htext_color="rgb(255, 255, 255)" fs="16px" css=".vc_custom_1587623501253{margin-bottom: 25px !important;}"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(111, 120, 128)" fs="text_small:13px" lh="text_small:1.53em" margin="bottom_small:1em"]Choose a pre-built header or create a custom layout that perfectly suits your needs. It’s easy and fast. Your time is precious for us.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(0, 0, 0)" fs="text_small:13px" margin="top_small:1em"]John Doe, Founder of Liquid[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Promo 32
	$data = array();
	$data['name'] = esc_html__( 'Promo 32', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'promo-32.jpg' );
	$data['sort_name'] = 'Promo';
	$data['custom_class'] = 'general promo';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1614769212157{margin-bottom: 40px !important;}" el_id="download"][vc_column parallax="yes" scale_from_x="1.2" scale_from_y="1.2" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" gradient_bg_color="linear-gradient(115deg, rgb(247, 245, 255) 0%, #ebf9ff 100%)" translate_from_y="100" parallax_duration="-=750"][vc_row_inner content_placement="middle"][vc_column_inner css=".vc_custom_1605956339665{padding-top: 55px !important;padding-right: 30px !important;padding-bottom: 40px !important;padding-left: 30px !important;}" offset="vc_col-lg-offset-1 vc_col-lg-4 vc_col-md-5" responsive_css="padding_right_medium:0px|padding_bottom_medium:0px|padding_left_medium:0px"][ld_fancy_heading tag="h2" highlight_reset_onhover="lqd-highlight-reset-onhover" highlight_offset="7px" use_custom_fonts_title="true" fs="text_large:81px|text_small:45px" lh="text_small:0.9em" margin="bottom_small:0.75em" highlight_color="rgba(62, 196, 175, 0.35)"][ld_highlight]Join[/ld_highlight] the Hub.[/ld_fancy_heading][vc_single_image image="336" alignment="center" css=".vc_custom_1615483890427{margin-right: 12% !important;margin-bottom: 0px !important;}"][/vc_column_inner][vc_column_inner offset="vc_col-lg-offset-1 vc_col-lg-4 vc_col-md-5" responsive_css="padding_right_medium:0px|padding_left_medium:0px" css=".vc_custom_1605956349538{padding-right: 30px !important;padding-left: 30px !important;}"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:18px" lh="text_small:1.666em" ls="text_small:-0.01em" margin="bottom_small:2em" color="rgb(0, 0, 0)"]Make a Website You’ll be proud of AI Powered Support Experience – Our support team will get assistance from AI-powered suggestions, making it quicker than ever to handle support requests.[/ld_fancy_heading][ld_button style="btn-solid" title="Sign up — It’s Free" size="btn-lg" i_type="linea" i_hover_reveal="btn-hover-reveal" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" color="rgb(0, 6, 69)" text_color="rgb(255, 255, 255)" hover_color="rgb(67, 32, 145)" fs="16px" css=".vc_custom_1599123659344{margin-bottom: 25px !important;}"][/vc_column_inner][/vc_row_inner][/vc_column][vc_column offset="vc_hidden-sm vc_hidden-xs"][ld_images_group_container move_to_parent_row="yes" absolute_pos="yes" margin="bottom_small:0px" position="bottom_small:-200px|left_small:0px"][ld_images_group_element img_size="50%" parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" image="86" translate_from_y="276" translate_to_y="-250"][/ld_images_group_element][/ld_images_group_container][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Promo 33
	$data = array();
	$data['name'] = esc_html__( 'Promo 33', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'promo-33.jpg' );
	$data['sort_name'] = 'Promo';
	$data['custom_class'] = 'general promo';
	$data['content'] = <<<CONTENT
CONTENT;
	$templates[] = $data;

	//Promo 34
	$data = array();
	$data['name'] = esc_html__( 'Promo 34', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'promo-34.jpg' );
	$data['sort_name'] = 'Promo';
	$data['custom_class'] = 'general promo';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" responsive_css="padding_top_medium:65px|padding_bottom_medium:65px" css=".vc_custom_1621858742456{padding-top: 35px !important;padding-bottom: 35px !important;}"][vc_column offset="vc_col-md-6" responsive_css="margin_bottom_medium:0px" css=".vc_custom_1621859472422{margin-bottom: 30px !important;}"][ld_images_group_element img_size="50%" enable_image_shadow="yes" shadow_style="3" enable_hover3d="yes" enable_roudness="yes" image_roudness="custom" image="104" custom_roundness="15px"][/ld_images_group_element][/vc_column][vc_column offset="vc_col-lg-offset-1 vc_col-lg-5 vc_col-md-6" responsive_css="padding_left_large:9%25"][ld_fancy_heading tag="h6" transform="text-uppercase" enable_bg="yes" fh_border_radius="circle" use_custom_fonts_title="true" color="rgb(0, 0, 0)" fs="text_small:12px" fw="text_small:700" padding="top_small:4px|right_small:11px|bottom_small:4px|left_small:11px" fh_bg="rgb(235, 239, 241)" margin="bottom_small:1.75em" ls="text_small:0.1em"]HOW IT WORKS[/ld_fancy_heading][ld_fancy_heading tag="h2" margin="bottom_small:0.3em"]Business Insight and strategic vision[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(15, 64, 100)" fs="text_small:18px" lh="text_small:1.44em" margin="bottom_small:2.5em"]Our process applies techniques from a variety of disciplines, values distinction in detail and gives careful[/ld_fancy_heading][ld_icon_box i_type="linea" heading_size="custom" heading_weight="font-weight-medium" i_shape="circle" i_border="" position="iconbox-inline" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title="Strategic Vision And Insight" icon_size="16px" custom_i_size="32px" i_color="rgb(15, 64, 100)" shape_color="rgba(21, 81, 83, 0.08)" custom_heading_size="17px" css=".vc_custom_1622018437817{margin-bottom: 15px !important;}" h_i_color="rgb(255, 255, 255)" shape_hcolor="rgb(21, 81, 83)"][/ld_icon_box][ld_icon_box i_type="linea" heading_size="custom" heading_weight="font-weight-medium" i_shape="circle" i_border="" position="iconbox-inline" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title="Business Consultation" icon_size="16px" custom_i_size="32px" i_color="rgb(15, 64, 100)" shape_color="rgba(21, 81, 83, 0.07)" custom_heading_size="17px" css=".vc_custom_1622017464496{margin-bottom: 15px !important;}" h_i_color="rgb(255, 255, 255)" shape_hcolor="rgb(21, 81, 83)"][/ld_icon_box][ld_icon_box i_type="linea" heading_size="custom" heading_weight="font-weight-medium" i_shape="circle" i_border="" position="iconbox-inline" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title="Exceptional Execution" icon_size="16px" custom_i_size="32px" i_color="rgb(15, 64, 100)" shape_color="rgba(21, 81, 83, 0.09)" custom_heading_size="17px" css=".vc_custom_1622017506111{margin-bottom: 15px !important;}" h_i_color="rgb(255, 255, 255)" shape_hcolor="rgb(21, 81, 83)"][/ld_icon_box][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Promo 35
	$data = array();
	$data['name'] = esc_html__( 'Promo 35', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'promo-35.jpg' );
	$data['sort_name'] = 'Promo';
	$data['custom_class'] = 'general promo';
	$data['content'] = <<<CONTENT
	[vc_row responsive_css="padding_top_medium:50px|padding_bottom_medium:75px" css=".vc_custom_1622103224198{padding-top: 35px !important;padding-bottom: 35px !important;}" el_id="practice-area"][vc_column gradient_bg_color="linear-gradient(134deg, rgb(45, 66, 80) 17.197452229299362%, #806b5d 100%)" css=".vc_custom_1622031267284{border-radius: 5px !important;}"][vc_row_inner equal_height="yes" content_placement="middle" gap="0"][vc_column_inner responsive_css="padding_right_large:50px|padding_left_large:50px|border_right_medium:1px|border_bottom_medium:0px|padding_top_medium:75px|padding_right_medium:30px|padding_bottom_medium:75px|padding_left_medium:55px" css=".vc_custom_1622203411148{border-right-width: 0px !important;border-bottom-width: 1px !important;padding-top: 35px !important;padding-right: 15px !important;padding-bottom: 35px !important;padding-left: 15px !important;border-right-color: rgba(255,255,255,0.23) !important;border-right-style: solid !important;border-bottom-color: rgba(255,255,255,0.23) !important;border-bottom-style: solid !important;}" offset="vc_col-md-2/5"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:44px"]Practice Areas.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.75)" fs="text_small:15px" lh="text_small:1.53em" margin="bottom_small:1.85em"]Embrace holistic development and support for employees with the first-choice employer.[/ld_fancy_heading][ld_button style="btn-underlined" title="Case Studies" link_type="scroll_to_section" border="border-thick" border_width="btn-bw-30" color="rgb(255, 255, 255)" hover_color="rgb(255, 255, 255)" lh="text_small:2em" css=".vc_custom_1622101291188{margin-bottom: 25px !important;}"][/vc_column_inner][vc_column_inner responsive_css="padding_right_large:50px|padding_left_large:50px|border_right_medium:1px|border_bottom_medium:0px|padding_top_medium:75px|padding_right_medium:30px|padding_bottom_medium:55px|padding_left_medium:45px" css=".vc_custom_1622203187415{border-right-width: 0px !important;border-bottom-width: 1px !important;padding-top: 35px !important;padding-right: 15px !important;padding-bottom: 15px !important;padding-left: 15px !important;border-right-color: rgba(255,255,255,0.23) !important;border-right-style: solid !important;border-bottom-color: rgba(255,255,255,0.23) !important;border-bottom-style: solid !important;}" offset="vc_col-md-4"][ld_list use_custom_fonts_list="true" items_spacing="22" fs="15px" lh="1.5em" primary_color="rgb(255, 255, 255)" txt_color="rgb(255, 255, 255)"]Citizenship,Aviation and Construction,Workplace Problems,Anti-money Laundering,Immigration Issues[/ld_list][/vc_column_inner][vc_column_inner responsive_css="padding_right_large:40px|padding_left_large:40px|padding_top_medium:65px|padding_right_medium:15px|padding_bottom_medium:55px|padding_left_medium:25px" css=".vc_custom_1622203179666{padding-top: 35px !important;padding-right: 15px !important;padding-bottom: 15px !important;padding-left: 15px !important;}" offset="vc_col-md-3"][ld_list use_custom_fonts_list="true" items_spacing="22" fs="15px" lh="1.5em" primary_color="rgb(255, 255, 255)" txt_color="rgb(255, 255, 255)"]Private Business,Intellectual Property,Corporate and Real Estate,Divorce Attorney,Insurance Services[/ld_list][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Promo 36
	$data = array();
	$data['name'] = esc_html__( 'Promo 36', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'promo-36.jpg' );
	$data['sort_name'] = 'Promo';
	$data['custom_class'] = 'general promo';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" parallax="enable_parallax" enable_overlay="yes" enable_row_dividers="yes" responsive_css="padding_top_medium:125px|padding_bottom_medium:125px" css=".vc_custom_1622009655669{padding-top: 70px !important;padding-bottom: 70px !important;background-image: url(https://staging.liquid-themes.com/kids/wp-content/uploads/2021/05/bg-2@2x.jpg?id=82) !important;background-position: center;background-repeat: no-repeat;background-size:cover;}" overlay_bg="rgba(47, 40, 40, 0.5)" row_svg_divider="bottom_shape_type:7|bottom_shape_color:%23ffffff|bottom_shape_height:16" el_id="events"][vc_column offset="vc_col-md-6" responsive_css="margin_bottom_medium:0px" css=".vc_custom_1621947681326{margin-bottom: 30px !important;}"][ld_fancy_heading tag="h6" enable_bg="yes" fh_border_radius="circle" color="rgb(255, 126, 106)" padding="top_small:0.625em|right_small:1em|bottom_small:0.625em|left_small:1em" fh_bg="rgb(255, 255, 255)" margin="bottom_small:1em"]Spread Love[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" margin="bottom_small:0.35em" color="rgb(255, 255, 255)" fs="text_medium:50px"]Take advantage of many education programs.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.52em" margin="bottom_small:0.35em" color="rgba(255, 255, 255, 0.88)" padding="right_all:25%25|right_large:15%25"]Join us in the 100 campaign, a year-long journey to bring 100 children home to 100 families.[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-offset-2 vc_col-md-4" responsive_align="text-md-center"][ld_images_group_element absolute_pos="yes" image="84" position="top_small:-50px|left_small:-100px" hide_el="hidden-xs hidden-sm"][/ld_images_group_element][ld_counter tag_to_inherite_label="h4" use_custom_fonts_title="true" use_inheritance_label="true" use_custom_fonts_text="true" counter_mb_checkbox="true" count="98%" fs="79px" color="rgb(255, 255, 255)" label="Success Rate" text_fs="23px" label_color="rgb(255, 255, 255)" counter_mb="13"][ld_button style="btn-underlined" title="Become Volunteer" link="url:%23|||" color="rgb(255, 255, 255)" lh="text_small:1em" fw="text_small:400"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Promo 37
	$data = array();
	$data['name'] = esc_html__( 'Promo 37', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'promo-37.jpg' );
	$data['sort_name'] = 'Promo';
	$data['custom_class'] = 'general promo';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" parallax="enable_parallax" enable_overlay="yes" enable_row_dividers="yes" responsive_css="padding_top_medium:125px|padding_bottom_medium:125px" css=".vc_custom_1622009655669{padding-top: 70px !important;padding-bottom: 70px !important;background-image: url(https://staging.liquid-themes.com/kids/wp-content/uploads/2021/05/bg-2@2x.jpg?id=82) !important;background-position: center;background-repeat: no-repeat;background-size:cover;}" overlay_bg="rgba(47, 40, 40, 0.5)" row_svg_divider="bottom_shape_type:7|bottom_shape_color:%23ffffff|bottom_shape_height:16" el_id="events"][vc_column offset="vc_col-md-6" responsive_css="margin_bottom_medium:0px" css=".vc_custom_1621947681326{margin-bottom: 30px !important;}"][ld_fancy_heading tag="h6" enable_bg="yes" fh_border_radius="circle" color="rgb(255, 126, 106)" padding="top_small:0.625em|right_small:1em|bottom_small:0.625em|left_small:1em" fh_bg="rgb(255, 255, 255)" margin="bottom_small:1em"]Spread Love[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" margin="bottom_small:0.35em" color="rgb(255, 255, 255)" fs="text_medium:50px"]Take advantage of many education programs.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.52em" margin="bottom_small:0.35em" color="rgba(255, 255, 255, 0.88)" padding="right_all:25%25|right_large:15%25"]Join us in the 100 campaign, a year-long journey to bring 100 children home to 100 families.[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-offset-2 vc_col-md-4" responsive_align="text-md-center"][ld_images_group_element absolute_pos="yes" image="84" position="top_small:-50px|left_small:-100px" hide_el="hidden-xs hidden-sm"][/ld_images_group_element][ld_counter tag_to_inherite_label="h4" use_custom_fonts_title="true" use_inheritance_label="true" use_custom_fonts_text="true" counter_mb_checkbox="true" count="98%" fs="79px" color="rgb(255, 255, 255)" label="Success Rate" text_fs="23px" label_color="rgb(255, 255, 255)" counter_mb="13"][ld_button style="btn-underlined" title="Become Volunteer" link="url:%23|||" color="rgb(255, 255, 255)" lh="text_small:1em" fw="text_small:400"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Promo 38
	$data = array();
	$data['name'] = esc_html__( 'Promo 38', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'promo-38.jpg' );
	$data['sort_name'] = 'Promo';
	$data['custom_class'] = 'general promo';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1606205965159{padding-top: 40px !important;padding-bottom: 40px !important;background-color: #d5f5ff !important;}" responsive_css="padding_top_medium:10vh|padding_bottom_medium:10vh"][vc_column offset="vc_col-md-offset-1 vc_col-md-10"][ld_promo show_dynamic_shape="yes" show_button="yes" ib_style="btn-naked" ib_title="— view project" ib_transformation="text-uppercase" ib_i_type="linea" ib_i_hover_reveal="btn-hover-reveal" use_custom_fonts_title="true" ib_i_add_icon="true" title="Anti Dote" image="307" ib_i_icon_linea="lqd-icn-ess icon-md-arrow-forward" ib_color="rgb(0, 74, 199)" ib_hover_color="rgb(0, 0, 0)" ib_fs="text_small:13px" ib_ls="text_small:0.1em" color="rgb(0, 74, 199)" overlay_color="rgb(255, 255, 255)" dynamic_shape_bg="rgb(255, 255, 255)" fs="9vw" ib_fw="text_small:700" ib_link="url:http%3A%2F%2Fadaptivecolorspro.liquid-themes.com%2Fportfolio%2Fnexa-mobile%2F|title:Starter%20Kit||" link="url:http%3A%2F%2Fadaptivecolorspro.liquid-themes.com%2Fportfolio%2Fnexa-mobile%2F|||"]Sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<br />
Ut enim ad minim veniam[/ld_promo][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Promo 39
	$data = array();
	$data['name'] = esc_html__( 'Promo 39', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'banner-5.jpg' );
	$data['sort_name'] = 'Promo';
	$data['custom_class'] = 'general promo';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1605626634888{padding-bottom: 60px !important;}" responsive_css="margin_top_medium:100px|padding_top_medium:70px|padding_bottom_medium:70px"][vc_column][ld_bananas_banner use_custom_fonts_heading="true" use_custom_fonts_heading2="true" image="4569" heading="Available on Spotify." heading2="New album is out!" fs="clamp(32px, 7vw, 110px)" fs2="clamp(32px, 7vw, 110px)"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Promo 40
	$data = array();
	$data['name'] = esc_html__( 'Promo 40', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'banner-7.jpg' );
	$data['sort_name'] = 'Promo';
	$data['custom_class'] = 'general promo';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" full_height="yes" content_placement="middle" data_tooltip="Find your music" responsive_css="padding_top_medium:6vh|padding_right_medium:10vw|padding_bottom_medium:0px|padding_left_medium:10vw|padding_bottom_small:100px" css=".vc_custom_1612169239907{padding-top: 160px !important;padding-bottom: 60px !important;background-image: url(https://appblocks.liquid-themes.com/staging/wp-content/uploads/2020/07/lines-5.svg?id=204) !important;background-position: 0 0 !important;background-repeat: repeat !important;}" el_id="home"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-6" responsive_css="margin_bottom_medium:0px" css=".vc_custom_1612169489054{margin-bottom: 35px !important;}" responsive_align="text-center text-sm-left" ca_duration="1600" ca_delay="160" ca_init_translate_y="45"][ld_fancy_heading use_custom_fonts_title="true" lh="text_small:1em" fs="text_large:5vw|text_medium:77px|text_small:17vw" color="rgb(0, 0, 0)" margin="bottom_small:0px" ls="text_small:-0.02em"]Experience[/ld_fancy_heading][ld_fancy_heading use_custom_fonts_title="true" lh="text_small:1.1em" fs="text_large:5vw|text_medium:77px|text_small:23.5vw" gradient="linear-gradient(90deg, rgb(245, 58, 139) 15.923566878980886%, rgb(238, 112, 74) 50.63694267515923%, rgb(107,133,255) 99.68152866242038%)" ls="text_small:-0.02em" margin="bottom_small:0.35em"]magical sound.[/ld_fancy_heading][ld_fancy_heading tag="p" duration="" delay="" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" fs="text_small:21px" lh="text_small:33px" margin="bottom_small:1.67em" padding="right_large:15%25" ca_init_translate_y="0"]Listen to playlists curated for every occasion. Get daily podcasts and music recommendations.[/ld_fancy_heading][vc_row_inner][vc_column_inner][ld_button style="btn-solid" title="App store `{`ld_span`}`Get it for free`{`/ld_span`}`" transformation="text-uppercase" shape="round" size="btn-lg" border="border-none" i_type="fontawesome" i_separator="btn-icon-sep" enable_row_shadowbox="yes" i_add_icon="true" i_icon_fontawesome="fab fa-apple" i_size="22px" color="rgb(44, 46, 49)" text_color="rgb(255, 255, 255)" htext_color="rgb(255, 255, 255)" fs="12px" lh="1.5em" fw="700" ls="0.05em" button_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2220px%22%2C%22blur_radius%22%3A%2240px%22%2C%22shadow_color%22%3A%22rgba(73%2C76%2C137%2C0.13)%22%7D%5D" hover_button_box_shadow="%5B%7B%7D%5D" css=".vc_custom_1611745315515{margin-bottom: 25px !important;padding-top: 0.5em !important;padding-bottom: 0.5em !important;}"][vc_column_text]    Try for free. No credit card required.[/vc_column_text][/vc_column_inner][/vc_row_inner][/vc_column][vc_column column_top_onmobile="yes" align="text-center" offset="vc_col-md-6" css=".vc_custom_1606982949576{margin-bottom: 30px !important;background-position: center !important;background-repeat: no-repeat !important;background-size: contain !important;}" responsive_align="text-center" responsive_css="margin_bottom_small:0px"][ld_images_group_element img_size="100%" image="189" margin="left_large:-18%25"][/ld_images_group_element][/vc_column][vc_column][ld_particles as_bg="yes" color_type="multi_color" opacity="1" enable_random_opacity="yes" enable_anim_opacity="yes" enable_random_size="yes" enable_anim_size="yes" enable_move="yes" move_direction="right" enable_random_move="yes" modes_grab_opacity="1" retina_detect="yes" particle_id="lqd-1595673746671-a27c94f3-ba8e" number="7" multi_color_values="%5B%7B%22scolor%22%3A%22%2340f292%22%7D%2C%7B%22scolor%22%3A%22%2397dff4%22%7D%2C%7B%22scolor%22%3A%22%23ffefd2%22%7D%2C%7B%22scolor%22%3A%22%23ffe3d1%22%7D%5D" anim_opacity_speed="0.2" anim_opacity_min="0.5" size="4" move_speed="1.5" anim_size_speed="1" anim_size_min="70"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Promo 41
	$data = array();
	$data['name'] = esc_html__( 'Promo 41', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'banner-8.jpg' );
	$data['sort_name'] = 'Promo';
	$data['custom_class'] = 'general promo';
	$data['content'] = <<<CONTENT
	[vc_row full_height="yes" content_placement="middle" css=".vc_custom_1612169257837{padding-top: 100px !important;background-image: url(https://appblocks.liquid-themes.com/staging/wp-content/uploads/2020/07/lines-5.svg?id=204) !important;background-position: 0 0 !important;background-repeat: repeat !important;}" data_tooltip="Better Sound" responsive_css="padding_bottom_medium:150px|padding_top_small:150px" el_id="features"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-6" ca_duration="1800" ca_delay="180" ca_init_translate_y="35" responsive_css="padding_top_medium:35px"][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" fs="text_small:12px" fw="text_small:700" ls="text_small:0.05em" margin="bottom_small:1em"]Daily Podcasts[/ld_fancy_heading][ld_fancy_heading tag="h2" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" fs="text_medium:60px|text_small:12vw" lh="text_large:1.1em"]Enjoy live podcasts.[/ld_fancy_heading][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" fs="text_small:21px" lh="text_small:33px" margin="bottom_small:1.67em" ca_init_translate_y="0" start_delay="1150"]All in one  and startup solutions. Endless cases that make it highly flexible and adaptable in the app.[/ld_fancy_heading][ld_icon_box i_type="linea" heading_size="custom" heading_weight="font-weight-normal" position="iconbox-side" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title="High performance gaming mode" title_mb="1" custom_heading_size="18px" icon_size="21px" icon_mb="16" css=".vc_custom_1595835474587{margin-bottom: 15px !important;}"][/ld_icon_box][ld_icon_box i_type="linea" heading_size="custom" heading_weight="font-weight-normal" position="iconbox-side" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title="Smart and affordable mobility solutions" title_mb="1" custom_heading_size="18px" icon_size="21px" icon_mb="16" css=".vc_custom_1595835458681{margin-bottom: 15px !important;}"][/ld_icon_box][ld_spacer][ld_button style="btn-solid" title="See Live Podcasts" shape="round" i_type="fontawesome" i_add_icon="true" fs="18px" lh="1.15em" i_icon_fontawesome="fas fa-play" i_size="10px" i_margin_left="20px" color="rgb(44, 46, 49)" text_color="rgb(255, 255, 255)"][/vc_column][vc_column align="text-center" offset="vc_col-md-6" responsive_align="text-center"][ld_hotspots image="107" identities="%5B%7B%22title%22%3A%22Gaming%20Headphones%22%2C%22description%22%3A%22Focus%20and%20target%20your%20audience%20through%20the%20right%20channels.%22%2C%22position%22%3A%22lqd-hotspot-t%22%2C%22top%22%3A%2235%25%22%2C%22left%22%3A%2235%25%22%7D%2C%7B%22title%22%3A%22Smartphone%20Integration%22%2C%22description%22%3A%22Focus%20and%20target%20your%20audience%20through%20the%20right%20channels.%22%2C%22position%22%3A%22lqd-hotspot-t%22%2C%22top%22%3A%2220%25%22%2C%22right%22%3A%2227%25%22%7D%5D"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Promo 42
	$data = array();
	$data['name'] = esc_html__( 'Promo 42', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'banner-10.jpg' );
	$data['sort_name'] = 'Promo';
	$data['custom_class'] = 'general promo';
	$data['content'] = <<<CONTENT
	[vc_row full_height="yes" content_placement="middle" css=".vc_custom_1612169289087{padding-top: 150px !important;padding-bottom: 150px !important;background-image: url(https://appblocks.liquid-themes.com/staging/wp-content/uploads/2020/07/lines-5.svg?id=204) !important;background-position: 0 0 !important;background-repeat: repeat !important;}" data_tooltip="Available for all devices" el_id="download"][vc_column width="5/6" offset="vc_hidden-lg vc_hidden-md vc_col-xs-offset-1 vc_col-xs-10"][vc_single_image image="222" alignment="center"][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-6" responsive_align="text-center text-md-left" ca_duration="1600" ca_delay="160" ca_init_translate_y="65"][ld_fancy_heading tag="h2" split_type="words" duration="" delay="" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" enable_fit="true" ca_init_translate_x="0" ca_init_translate_y="0" ca_init_translate_z="0" ca_init_rotate_x="0" lh="text_small:1.1em" compressor="0.7" minfontsize="50" fs="text_medium:60px|text_small:12vw" padding="right_large:25%25"]Available for all devices.[/ld_fancy_heading][ld_fancy_heading tag="p" duration="" delay="" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" fs="text_small:21px" lh="text_small:33px" margin="bottom_small:1.67em" padding="right_large:15%25" ca_init_translate_y="0"]All in one  and startup solutions. Endless use-cases that make it highly adaptable.[/ld_fancy_heading][vc_row_inner][vc_column_inner][ld_button style="btn-solid" title="App store `{`ld_span`}`Get it for free`{`/ld_span`}`" transformation="text-uppercase" shape="round" size="btn-lg" border="border-none" i_type="fontawesome" i_separator="btn-icon-sep" enable_row_shadowbox="yes" i_add_icon="true" i_icon_fontawesome="fab fa-apple" i_size="22px" color="rgb(44, 46, 49)" text_color="rgb(255, 255, 255)" htext_color="rgb(255, 255, 255)" fs="12px" lh="1.5em" fw="700" ls="0.05em" button_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2220px%22%2C%22blur_radius%22%3A%2240px%22%2C%22shadow_color%22%3A%22rgba(73%2C76%2C137%2C0.13)%22%7D%5D" hover_button_box_shadow="%5B%7B%7D%5D" css=".vc_custom_1611745327563{margin-bottom: 25px !important;padding-top: 0.5em !important;padding-bottom: 0.5em !important;}"][vc_column_text]    Try for free. No credit card required.[/vc_column_text][/vc_column_inner][/vc_row_inner][/vc_column][vc_column offset="vc_col-md-6 vc_hidden-sm vc_hidden-xs"][ld_images_group_element image="222" margin="bottom_large:-5vw"][/ld_images_group_element][/vc_column][vc_column][ld_particles as_bg="yes" color_type="multi_color" opacity="1" enable_random_opacity="yes" enable_anim_opacity="yes" enable_random_size="yes" enable_anim_size="yes" enable_move="yes" move_direction="right" enable_random_move="yes" modes_grab_opacity="1" retina_detect="yes" particle_id="lqd-ld-1572606562223-6c86d24f-61ae" number="7" multi_color_values="%5B%7B%22scolor%22%3A%22%2340f292%22%7D%2C%7B%22scolor%22%3A%22%2397dff4%22%7D%2C%7B%22scolor%22%3A%22%23ffefd2%22%7D%2C%7B%22scolor%22%3A%22%23ffe3d1%22%7D%5D" anim_opacity_speed="0.2" anim_opacity_min="0.5" size="4" move_speed="1.5" anim_size_speed="1" anim_size_min="70"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Promo 43
	$data = array();
	$data['name'] = esc_html__( 'Promo 43', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'banner-9.jpg' );
	$data['sort_name'] = 'Promo';
	$data['custom_class'] = 'general promo';
	$data['content'] = <<<CONTENT
	[vc_row full_height="yes" content_placement="middle" luminosity="dark" css=".vc_custom_1612169328782{padding-top: 80px !important;padding-bottom: 80px !important;background-color: #000000 !important;background-position: 0 0 !important;background-repeat: repeat !important;}" data_tooltip="Better Sound" responsive_css="padding_top_medium:150px|padding_bottom_medium:150px|padding_top_small:100px|padding_bottom_small:100px"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-6" ca_duration="1800" ca_delay="180" ca_init_translate_y="35"][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" fs="text_small:12px" fw="text_small:700" ls="text_small:0.05em" margin="bottom_small:1em" color="rgba(255, 255, 255, 0.57)"]Live Composition Mode[/ld_fancy_heading][ld_fancy_heading tag="h2" duration="" delay="" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" ca_init_translate_x="0" ca_init_translate_y="0" ca_init_translate_z="0" ca_init_rotate_x="0" lh="text_small:1.1em" padding="right_large:35%25" color="rgb(255, 255, 255)" fs="text_medium:65px|text_small:12vw"]Record and share.[/ld_fancy_heading][ld_fancy_heading tag="p" duration="" delay="" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" fs="text_small:21px" lh="text_small:33px" margin="bottom_small:1.67em" ca_init_translate_y="0" color="rgba(255, 255, 255, 0.57)"]All in one  and startup solutions. Endless use-cases that make it highly flexible, adaptable, and scalable for everyone in the community.[/ld_fancy_heading][ld_button style="btn-solid" title="Explore Daily Mix" shape="round" i_type="fontawesome" i_add_icon="true" fs="18px" lh="1.15em" i_icon_fontawesome="fas fa-music" i_size="13px" i_margin_left="20px" color="rgb(44, 46, 49)"][/vc_column][vc_column column_top_onmobile="yes" align="text-center" offset="vc_col-md-6" responsive_css="padding_top_medium:0px|margin_bottom_small:0px|padding_top_small:60px" css=".vc_custom_1606983223802{margin-bottom: 20px !important;}" responsive_align="text-center"][ld_images_group_element img_size="60%" image="228"][/ld_images_group_element][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;
	
	//Category Services
	//Promo Services 1
	$data = array();
	$data['name'] = esc_html__( 'Services 01', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'services-1.jpg' );
	$data['sort_name'] = 'Services';
	$data['custom_class'] = 'general services';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1614153879083{padding-top: 50px !important;padding-bottom: 50px !important;}" el_id="solutions" responsive_css="padding_bottom_medium:70px"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" align="text-center" offset="vc_col-lg-offset-3 vc_col-lg-6 vc_col-md-offset-2 vc_col-md-8" ca_duration="1800" ca_delay="180" ca_init_translate_y="45" css=".vc_custom_1575034938481{margin-bottom: 45px !important;}" responsive_align="text-center"][ld_fancy_heading tag="h2" use_inheritance="true"]Case Studies[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:19px" lh="text_small:31px" margin="bottom_large:2em"]Choose a pre-built header or create a custom layout that perfectly suits your needs. It’s easy, fast and mobile-friendly.[/ld_fancy_heading][/vc_column][vc_column][vc_row_inner enable_content_animation="yes" gap="30" animation_preset="Fade In" ca_duration="1800" ca_delay="180"][vc_column_inner width="1/2" offset="vc_col-md-4" css=".vc_custom_1574948048040{margin-bottom: 35px !important;}"][ld_content_box template="s09" use_custom_fonts_title="true" title="Product and Branding Strategy" image="37" fs="18px"][/ld_content_box][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-4" css=".vc_custom_1574948048040{margin-bottom: 35px !important;}"][ld_content_box template="s09" use_custom_fonts_title="true" title="Special Data Science" image="36" fs="18px"][/ld_content_box][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-4" css=".vc_custom_1574948048040{margin-bottom: 35px !important;}"][ld_content_box template="s09" use_custom_fonts_title="true" title="Promote your Social Posts" image="35" fs="18px"][/ld_content_box][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-4" css=".vc_custom_1574948048040{margin-bottom: 35px !important;}"][ld_content_box template="s09" use_custom_fonts_title="true" title="Increase your engagement" image="34" fs="18px"][/ld_content_box][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-4" css=".vc_custom_1574948048040{margin-bottom: 35px !important;}"][ld_content_box template="s09" use_custom_fonts_title="true" title="Get Instant Analytics" image="33" fs="18px"][/ld_content_box][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-4" css=".vc_custom_1574948048040{margin-bottom: 35px !important;}"][ld_content_box template="s09" use_custom_fonts_title="true" title="Augmented Reality" image="38" fs="18px"][/ld_content_box][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Promo Services 2
	$data = array();
	$data['name'] = esc_html__( 'Services 02', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'services-2.jpg' );
	$data['sort_name'] = 'Services';
	$data['custom_class'] = 'general services';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1614767798632{padding-top: 120px !important;padding-bottom: 40px !important;}" responsive_css="padding_top_medium:200px|padding_bottom_medium:70px"][vc_column][ld_particles as_bg="yes" enable_density="yes" opacity="1" enable_move="yes" move_direction="right" enable_random_move="yes" modes_grab_opacity="1" retina_detect="yes" particle_id="lqd-1574947035246-eebb4f98-33c1" number="17" size="4" move_speed="1" color="#d8d8d8" density="170"][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" align="text-center" offset="vc_col-lg-offset-3 vc_col-lg-6 vc_col-md-offset-2 vc_col-md-8" responsive_css="padding_right_medium:7%25|padding_left_medium:7%25" ca_duration="1800" ca_delay="180" ca_init_translate_y="45" css=".vc_custom_1574947903895{margin-bottom: 60px !important;}" responsive_align="text-center"][ld_fancy_heading tag="h6" margin="bottom_small:0.75em"]Data Literacy[/ld_fancy_heading][ld_fancy_heading tag="h2" use_inheritance="true" enable_fit="true" minfontsize="32"]Secure transactions for small businesses.[/ld_fancy_heading][/vc_column][vc_column][vc_row_inner enable_content_animation="yes" gap="20" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" ca_duration="1800" ca_delay="180" ca_init_translate_x="35"][vc_column_inner width="1/2" offset="vc_col-md-4" css=".vc_custom_1574948048040{margin-bottom: 35px !important;}"][ld_icon_box i_type="linea" heading_size="xs" i_shape="circle" i_size="md" i_border="" position="iconbox-side" title="Online Task Assignment" i_color="rgb(16, 114, 250)" shape_color="rgb(247, 247, 250)" i_icon_linea="lqd-icn-ess icon-ld-search-2" icon_size="30px"]Open a beautiful store, increase your conversion rates and boost your sales in minutes.[/ld_icon_box][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-4" css=".vc_custom_1574948052887{margin-bottom: 35px !important;}"][ld_icon_box i_type="linea" heading_size="xs" i_shape="circle" i_size="md" i_border="" position="iconbox-side" title="Seamless Integration" shape_color="rgb(247, 247, 250)" i_icon_linea="lqd-icn-ess icon-speech-bubble" i_color="rgb(16, 114, 250)" icon_size="30px"]Open a beautiful store, increase your conversion rates and boost your sales in minutes.[/ld_icon_box][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-4" css=".vc_custom_1574948058434{margin-bottom: 35px !important;}"][ld_icon_box i_type="linea" heading_size="xs" i_shape="circle" i_size="md" i_border="" position="iconbox-side" title="10K Happy Customers" i_color="rgb(16, 114, 250)" shape_color="rgb(247, 247, 250)" i_icon_linea="lqd-icn-ess icon-lqd-check" icon_size="30px"]Open a beautiful store, increase your conversion rates and boost your sales in minutes.[/ld_icon_box][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-4" css=".vc_custom_1574948065445{margin-bottom: 35px !important;}"][ld_icon_box i_type="linea" heading_size="xs" i_shape="circle" i_size="md" i_border="" position="iconbox-side" title="Targeted Accounts" i_color="rgb(16, 114, 250)" shape_color="rgb(247, 247, 250)" i_icon_linea="lqd-icn-ess icon-ld-cart" icon_size="30px"]Open a beautiful store, increase your conversion rates and boost your sales in minutes.[/ld_icon_box][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-4" css=".vc_custom_1574948072744{margin-bottom: 35px !important;}"][ld_icon_box i_type="linea" heading_size="xs" i_shape="circle" i_size="md" i_border="" position="iconbox-side" title="Chat Bot Assistance" i_color="rgb(16, 114, 250)" shape_color="rgb(247, 247, 250)" i_icon_linea="lqd-icn-ess icon-lqd-sync" icon_size="30px"]Open a beautiful store, increase your conversion rates and boost your sales in minutes.[/ld_icon_box][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-4" css=".vc_custom_1574948078045{margin-bottom: 35px !important;}"][ld_icon_box i_type="linea" heading_size="xs" i_shape="circle" i_size="md" i_border="" position="iconbox-side" title="One Click Install" i_color="rgb(16, 114, 250)" shape_color="rgb(247, 247, 250)" i_icon_linea="lqd-icn-ess icon-lqd-envelope" icon_size="30px"]Open a beautiful store, increase your conversion rates and boost your sales in minutes.[/ld_icon_box][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Promo Services 3
	$data = array();
	$data['name'] = esc_html__( 'Services 03', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'services-3.jpg' );
	$data['sort_name'] = 'Services';
	$data['custom_class'] = 'general services';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1612951381107{padding-top: 60px !important;padding-bottom: 40px !important;}" responsive_css="padding_top_medium:90px|padding_bottom_medium:90px"][vc_column align="text-center" offset="vc_col-md-offset-3 vc_col-md-6" responsive_align="text-center" css=".vc_custom_1612951351272{margin-bottom: 15px !important;}"][ld_fancy_heading tag="h2" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" enable_fit="true" ca_init_translate_y="65" ca_init_rotate_z="10" minfontsize="38" fs="text_large:43px|text_small:38px"]Our à services[/ld_fancy_heading][/vc_column][vc_column][vc_row_inner enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" ca_duration="1800" ca_delay="180" ca_init_translate_x="55" ca_start_delay="250"][vc_column_inner enable_hover_move="lqd-column-move-onhover" hover_move_value="-5px" enable_overlay="yes" enable_column_hover_shadowbox="yes" offset="vc_col-md-4" css=".vc_custom_1612951397960{padding-top: 45px !important;padding-right: 10px !important;padding-bottom: 15px !important;padding-left: 10px !important;border-radius: 10px !important;}" responsive_css="padding_right_medium:15px|padding_left_medium:15px" column_hover_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2210px%22%2C%22blur_radius%22%3A%2235px%22%2C%22shadow_color%22%3A%22rgba(0%2C%200%2C%200%2C%200.08)%22%7D%5D" hover_overlay_bg="rgb(255, 255, 255)"][ld_icon_box i_type="image" heading_size="sm" i_shape="custombg" i_size="xl" show_button="yes" ib_style="btn-naked" ib_title="Explore Hub" ib_i_type="linea" ib_i_add_icon="true" i_icon_image="83" title="Click Advertising" title_mb="30" icon_mb="65" i_shape_custom_bg="4521" ib_i_icon_linea="lqd-icn-ess icon-md-arrow-forward"]Ceating brand identities, digital experiences, and print materials that communicate clearly.[/ld_icon_box][/vc_column_inner][vc_column_inner enable_hover_move="lqd-column-move-onhover" hover_move_value="-5px" enable_overlay="yes" enable_column_hover_shadowbox="yes" offset="vc_col-md-4" css=".vc_custom_1612951407262{padding-top: 45px !important;padding-right: 10px !important;padding-bottom: 15px !important;padding-left: 10px !important;border-radius: 10px !important;}" responsive_css="padding_right_medium:15px|padding_left_medium:15px" hover_overlay_bg="rgb(255, 255, 255)" column_hover_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2210px%22%2C%22blur_radius%22%3A%2235px%22%2C%22shadow_color%22%3A%22rgba(0%2C%200%2C%200%2C%200.08)%22%7D%5D"][ld_icon_box i_type="image" heading_size="sm" i_shape="custombg" i_size="xl" show_button="yes" ib_style="btn-naked" ib_title="Explore Hub" ib_link_type="scroll_to_section" ib_hover_txt_effect="btn-hover-txt-liquid-x-alt" ib_i_type="linea" ib_i_hover_reveal="btn-hover-swp" ib_i_add_icon="true" i_icon_image="81" title="SEO Analytics" title_mb="30" icon_mb="65" i_shape_custom_bg="4524" ib_i_icon_linea="lqd-icn-ess icon-md-arrow-forward" ib_fw="700" ib_css=".vc_custom_1598880559650{margin-top: 25px !important;}"]We have an experienced team of production and inspection personnel to ensure quality.[/ld_icon_box][/vc_column_inner][vc_column_inner enable_hover_move="lqd-column-move-onhover" hover_move_value="-5px" enable_overlay="yes" enable_column_hover_shadowbox="yes" offset="vc_col-md-4" responsive_css="padding_right_medium:15px|padding_left_medium:15px" css=".vc_custom_1612951419457{padding-top: 45px !important;padding-right: 10px !important;padding-bottom: 15px !important;padding-left: 10px !important;border-radius: 10px !important;}" hover_overlay_bg="rgb(255, 255, 255)" column_hover_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2210px%22%2C%22blur_radius%22%3A%2235px%22%2C%22shadow_color%22%3A%22rgba(0%2C%200%2C%200%2C%200.08)%22%7D%5D"][ld_icon_box i_type="image" heading_size="sm" i_shape="custombg" i_size="xl" show_button="yes" ib_style="btn-naked" ib_title="Explore Hub" ib_link_type="scroll_to_section" ib_hover_txt_effect="btn-hover-txt-liquid-x-alt" ib_i_type="linea" ib_i_hover_reveal="btn-hover-swp" ib_i_add_icon="true" i_icon_image="82" title="Social Media" title_mb="30" icon_mb="65" i_shape_custom_bg="4522" ib_i_icon_linea="lqd-icn-ess icon-md-arrow-forward" ib_fw="700" ib_css=".vc_custom_1598881241503{margin-top: 25px !important;}"]Uncover, analyze, track, and report on SEO data. Our quality policy: strict to have best product.[/ld_icon_box][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Promo Services 4
	$data = array();
	$data['name'] = esc_html__( 'Services 04', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'services-4.jpg' );
	$data['sort_name'] = 'Services';
	$data['custom_class'] = 'general services';
	$data['content'] = <<<CONTENT
	[vc_row responsive_css="padding_top_medium:0px|padding_bottom_medium:0px" css=".vc_custom_1605999879975{padding-top: 30px !important;padding-bottom: 60px !important;}"][vc_column parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" offset="vc_col-md-4" responsive_css="padding_top_medium:110px" translate_from_y="60" translate_to_y="-150" responsive_align="text-center text-md-left"][ld_icon_box i_type="image" heading_size="md" heading_icon_onhover="yes" toggleable="yes" i_size="xl" show_button="yes" alignment="text-left" fill="yes" border_radius="iconbox-round" hover_fill="yes" shadow="iconbox-shadow-hover" ib_style="btn-naked" ib_title="Explore Landing" ib_hover_txt_effect="btn-hover-txt-liquid-y-alt" ib_i_type="linea" ib_i_hover_reveal="btn-hover-swp" ib_i_add_icon="true" i_icon_image="70" title="Mobile App" icon_mb="20" fill_color="rgb(254, 247, 252)" ib_i_icon_linea="icon-md-arrow-forward" custom_size="63px" css=".vc_custom_1614166098715{margin-bottom: 30px !important;padding-top: 55px !important;padding-right: 35px !important;padding-bottom: 10px !important;padding-left: 40px !important;}" title_mb="10" hover_fill_color="rgb(255, 255, 255)" hover_text_color="rgb(26, 55, 96)"]<span style="font-size: 16px;">We use the Mobile Apps feature of Azure App Service to rapidly build engaging cross-platforms and native apps for iOS, Android, Windows, or Mac; store app data in the cloud or onpremises; or add your custom back-end logic.</span>[/ld_icon_box][ld_icon_box i_type="image" heading_size="md" heading_icon_onhover="yes" toggleable="yes" i_size="xl" show_button="yes" alignment="text-left" fill="yes" border_radius="iconbox-round" hover_fill="yes" shadow="iconbox-shadow-hover" ib_style="btn-naked" ib_title="Explore Landing" ib_hover_txt_effect="btn-hover-txt-liquid-y-alt" ib_i_type="linea" ib_i_hover_reveal="btn-hover-swp" ib_i_add_icon="true" i_icon_image="64" title="Strategy" icon_mb="20" fill_color="rgb(240, 248, 255)" ib_i_icon_linea="icon-md-arrow-forward" custom_size="63px" css=".vc_custom_1614174567679{margin-bottom: 30px !important;padding-top: 55px !important;padding-right: 35px !important;padding-bottom: 10px !important;padding-left: 40px !important;}" title_mb="10" hover_fill_color="rgb(255, 255, 255)" hover_text_color="rgb(26, 55, 96)"]<span style="font-size: 16px;">We’re consultants, guides, and partners for brands on digital transformation journeys. Wherever you’re going, we bring ideas and excitement to help you get there.</span>[/ld_icon_box][/vc_column][vc_column parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" offset="vc_col-md-4" translate_from_y="-50" translate_to_y="80"][ld_icon_box i_type="image" heading_size="md" heading_icon_onhover="yes" toggleable="yes" show_label="yes" i_size="xl" show_button="yes" alignment="text-left" fill="yes" border_radius="iconbox-round" hover_fill="yes" shadow="iconbox-shadow-hover" ib_style="btn-naked" ib_title="Explore Landing" ib_hover_txt_effect="btn-hover-txt-liquid-y-alt" ib_i_type="linea" ib_i_hover_reveal="btn-hover-swp" ib_i_add_icon="true" i_icon_image="68" title="eCommerce" icon_mb="20" fill_color="rgb(249, 243, 255)" ib_i_icon_linea="icon-md-arrow-forward" custom_size="63px" css=".vc_custom_1614174538798{margin-bottom: 30px !important;padding-top: 55px !important;padding-right: 35px !important;padding-bottom: 10px !important;padding-left: 40px !important;}" title_mb="10" hover_fill_color="rgb(255, 255, 255)" hover_text_color="rgb(26, 55, 96)" label="Exclusive"]<span style="font-size: 16px;">In order to safeguard the success of your ecommerce site, Clickworker offers specialty services and solutions. We optimize your online presence to help your business rank in the best possible position, ensuring your customers can easily find.</span>[/ld_icon_box][ld_icon_box i_type="image" heading_size="md" heading_icon_onhover="yes" toggleable="yes" i_size="xl" show_button="yes" alignment="text-left" fill="yes" border_radius="iconbox-round" hover_fill="yes" shadow="iconbox-shadow-hover" ib_style="btn-naked" ib_title="Explore Landing" ib_hover_txt_effect="btn-hover-txt-liquid-y-alt" ib_i_type="linea" ib_i_hover_reveal="btn-hover-swp" ib_i_add_icon="true" i_icon_image="52" title="Branding" icon_mb="20" fill_color="rgb(255, 250, 246)" ib_i_icon_linea="icon-md-arrow-forward" custom_size="63px" css=".vc_custom_1614174561315{margin-bottom: 30px !important;padding-top: 55px !important;padding-right: 35px !important;padding-bottom: 10px !important;padding-left: 40px !important;}" title_mb="10" hover_fill_color="rgb(255, 255, 255)" hover_text_color="rgb(26, 55, 96)"]<span style="font-size: 16px;">Our center of excellence for branding, BFM Brand Lab, shapes brand identities that define the story, guiding vision, and market positioning of human-centered brands.</span>[/ld_icon_box][/vc_column][vc_column parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" offset="vc_col-md-4" responsive_css="padding_top_medium:160px" translate_from_y="110" translate_to_y="-110"][ld_icon_box i_type="image" heading_size="md" heading_icon_onhover="yes" toggleable="yes" i_size="xl" show_button="yes" alignment="text-left" fill="yes" border_radius="iconbox-round" hover_fill="yes" ib_style="btn-naked" ib_title="Explore Landing" ib_hover_txt_effect="btn-hover-txt-liquid-y-alt" ib_i_type="linea" ib_i_hover_reveal="btn-hover-swp" ib_i_add_icon="true" i_icon_image="69" title="Experience Design" icon_mb="20" fill_color="rgb(255, 237, 239)" ib_i_icon_linea="lqd-icn-ess icon-md-arrow-back" custom_size="63px" css=".vc_custom_1614174546576{margin-bottom: 30px !important;padding-top: 55px !important;padding-right: 35px !important;padding-bottom: 10px !important;padding-left: 40px !important;}" title_mb="10" svg_fill_color="rgb(245, 92, 109)" hover_fill_color="rgb(255, 255, 255)" hover_text_color="rgb(26, 55, 96)"]<span style="font-size: 16px;">Great brand experiences persuade,<br />
convert, and inspire –and they’re built on a foundation of brilliant, strategic design.</span>[/ld_icon_box][ld_icon_box i_type="image" heading_size="md" heading_icon_onhover="yes" toggleable="yes" show_label="yes" i_size="xl" show_button="yes" alignment="text-left" fill="yes" border_radius="iconbox-round" hover_fill="yes" shadow="iconbox-shadow-hover" ib_style="btn-naked" ib_title="Explore Landing" ib_hover_txt_effect="btn-hover-txt-liquid-y-alt" ib_i_type="linea" ib_i_hover_reveal="btn-hover-swp" ib_i_add_icon="true" i_icon_image="71" title="Mobile App" icon_mb="20" fill_color="rgb(243, 249, 255)" ib_i_icon_linea="icon-md-arrow-forward" custom_size="63px" css=".vc_custom_1614174658649{margin-bottom: 30px !important;padding-top: 55px !important;padding-right: 35px !important;padding-bottom: 10px !important;padding-left: 40px !important;}" title_mb="10" hover_fill_color="rgb(255, 255, 255)" hover_text_color="rgb(26, 55, 96)" label="New"]<span style="font-size: 16px;">We always focus on technical excellence &amp; strategic partnership, while remaining the platform-agnostic.</span>[/ld_icon_box][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Promo Services 5
	$data = array();
	$data['name'] = esc_html__( 'Services 05', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'services-5.jpg' );
	$data['sort_name'] = 'Services';
	$data['custom_class'] = 'general services';
	$data['content'] = <<<CONTENT
	[vc_row bg_position="right center" enable_gradient="yes" enable_row_dividers="yes" gradient_bg="linear-gradient(40deg, rgb(46, 52, 67) 0.3184713375796178%, rgb(50, 51, 74) 50.318471337579616%, #3b4157 100%)" css=".vc_custom_1606116278929{padding-top: 120px !important;padding-bottom: 90px !important;background-color: #0b1530 !important;background-position: center !important;background-repeat: no-repeat !important;background-size: contain !important;}" row_svg_divider="top_shape_type:6|top_shape_color:%23ffffff|top_shape_height:52|bottom_shape_type:8|bottom_shape_color:%23f7f9fc|bottom_shape_height:103" responsive_css="padding_top_medium:140px|padding_bottom_medium:195px"][vc_column enable_content_animation="yes" animation_preset="Fade In" align="text-center" offset="vc_col-md-offset-2 vc_col-md-8" ca_duration="1800" ca_delay="80" responsive_css="padding_right_medium:7%25|padding_left_medium:7%25" responsive_align="text-md-center"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" use_inheritance="true" color="rgb(255, 255, 255)" margin="bottom_small:0.35em" fs="text_large:50px|text_small:36px"]Global Solutions.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_large:20px|text_small:17px" lh="text_large:34px|text_small:25px" color="rgba(255, 255, 255, 0.7)"]We help our clients succeed by creating brand identities, digital experiences, and print materials that communicate clearly.[/ld_fancy_heading][/vc_column][vc_column][ld_carousel_tab columns="md:3|sm:2|xs:1.15|spacing_sm:20px|spacing_xs:15px" inactiv_opacity="1" enable_item_animation="yes" cellalign="center" pagenationdots="yes" wraparound="yes" adaptiveheight="yes" dots_bottom_offset="-40px" dots_style="carousel-dots-style2" pf_init_scale_x="1" pf_init_scale_y="1" pf_init_opacity="0" pf_an_scale_x="1" pf_an_scale_y="1" pf_an_opacity="1" dots_bg_color="rgba(255, 255, 255, 0.45)" dots_bg_hcolor="rgb(255, 255, 255)" pf_duration="1800" pf_delay="180" mobile_dots_bg_color="rgba(255, 255, 255, 0.3)" mobile_dots_bg_hcolor="rgb(255, 255, 255)"][ld_carousel_section title="Tab" tab_id="lqd-1595324902398-698bca5e-cd7e"][ld_icon_box i_type="animated" heading_size="custom" toggleable="yes" show_button="yes" fill="yes" border_radius="iconbox-round" hover_fill="yes" shadow="iconbox-shadow-hover" ib_style="btn-naked" ib_title="Learn More" ib_i_type="linea" ib_i_add_icon="true" title="Real Time Data" title_mb="15" custom_heading_size="22px" icon_mb="30" css=".vc_custom_1617779612035{margin-top: 60px !important;border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 35px !important;padding-right: 35px !important;padding-bottom: 15px !important;padding-left: 35px !important;border-left-color: rgba(255,255,255,0.09) !important;border-left-style: solid !important;border-right-color: rgba(255,255,255,0.09) !important;border-right-style: solid !important;border-top-color: rgba(255,255,255,0.09) !important;border-top-style: solid !important;border-bottom-color: rgba(255,255,255,0.09) !important;border-bottom-style: solid !important;}" h_color="rgb(255, 255, 255)" hover_fill_color="rgb(255, 255, 255)" hover_text_color="rgb(80, 80, 80)" fill_color="rgba(255, 255, 255, 0)" h_hcolor="rgb(0, 0, 0)" ib_i_icon_linea="lqd-icn-ess icon-md-arrow-forward" ib_color="rgb(39, 176, 97)" i_icon_animated="animated-ecommerce_graph1" custom_size="55px" i_color="rgb(23, 190, 116)"]<span style="color: rgba(255, 255, 255, 0.85); font-size: 16px;">We help our clients succeed by creating brand identities, digital experiences.</span>[/ld_icon_box][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595253352066-9a21350a-2756"][ld_icon_box i_type="animated" heading_size="custom" toggleable="yes" show_label="yes" show_button="yes" fill="yes" border_radius="iconbox-round" hover_fill="yes" scale_bg="iconbox-scale-bg" shadow="iconbox-shadow-hover" ib_style="btn-naked" ib_title="Learn More" ib_i_type="linea" ib_i_add_icon="true" title="Cloud Support" title_mb="15" custom_heading_size="22px" icon_mb="30" css=".vc_custom_1617779620965{margin-top: 60px !important;border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 35px !important;padding-right: 35px !important;padding-bottom: 15px !important;padding-left: 35px !important;border-left-color: rgba(255,255,255,0.09) !important;border-left-style: solid !important;border-right-color: rgba(255,255,255,0.09) !important;border-right-style: solid !important;border-top-color: rgba(255,255,255,0.09) !important;border-top-style: solid !important;border-bottom-color: rgba(255,255,255,0.09) !important;border-bottom-style: solid !important;}" h_color="rgb(255, 255, 255)" hover_fill_color="rgb(255, 255, 255)" hover_text_color="rgb(80, 80, 80)" fill_color="rgba(255, 255, 255, 0)" h_hcolor="rgb(0, 0, 0)" ib_i_icon_linea="lqd-icn-ess icon-md-arrow-forward" ib_color="rgb(39, 176, 97)" custom_size="55px" label="Global" i_icon_animated="animated-basic_elaboration_cloud_check" i_color="rgb(23, 190, 116)"]<span style="color: rgba(255, 255, 255, 0.85); font-size: 16px;">We help our clients succeed by creating brand identities, digital experiences.</span>[/ld_icon_box][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595324903317-13a863d6-7f8d"][ld_icon_box i_type="animated" heading_size="custom" toggleable="yes" show_button="yes" fill="yes" border_radius="iconbox-round" hover_fill="yes" shadow="iconbox-shadow-hover" ib_style="btn-naked" ib_title="Learn More" ib_i_type="linea" ib_i_add_icon="true" title="Collaboration Tools" title_mb="15" custom_heading_size="22px" icon_mb="30" css=".vc_custom_1617779628313{margin-top: 60px !important;border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 35px !important;padding-right: 35px !important;padding-bottom: 15px !important;padding-left: 35px !important;border-left-color: rgba(255,255,255,0.09) !important;border-left-style: solid !important;border-right-color: rgba(255,255,255,0.09) !important;border-right-style: solid !important;border-top-color: rgba(255,255,255,0.09) !important;border-top-style: solid !important;border-bottom-color: rgba(255,255,255,0.09) !important;border-bottom-style: solid !important;}" h_color="rgb(255, 255, 255)" hover_fill_color="rgb(255, 255, 255)" hover_text_color="rgb(80, 80, 80)" fill_color="rgba(255, 255, 255, 0)" h_hcolor="rgb(0, 0, 0)" ib_i_icon_linea="lqd-icn-ess icon-md-arrow-forward" ib_color="rgb(39, 176, 97)" custom_size="55px" i_icon_animated="animated-basic_spread_text" i_color="rgb(23, 190, 116)"]<span style="color: rgba(255, 255, 255, 0.85); font-size: 16px;">We help our clients succeed by creating brand identities, digital experiences.</span>[/ld_icon_box][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595324903700-e225f410-db9a"][ld_icon_box i_type="animated" heading_size="custom" toggleable="yes" show_button="yes" fill="yes" border_radius="iconbox-round" hover_fill="yes" shadow="iconbox-shadow-hover" ib_style="btn-naked" ib_title="Learn More" ib_i_type="linea" ib_i_add_icon="true" title="Collaboration Tools" title_mb="15" custom_heading_size="22px" icon_mb="30" css=".vc_custom_1621427307512{margin-top: 60px !important;border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 35px !important;padding-right: 35px !important;padding-bottom: 15px !important;padding-left: 35px !important;border-left-color: rgba(255,255,255,0.09) !important;border-left-style: solid !important;border-right-color: rgba(255,255,255,0.09) !important;border-right-style: solid !important;border-top-color: rgba(255,255,255,0.09) !important;border-top-style: solid !important;border-bottom-color: rgba(255,255,255,0.09) !important;border-bottom-style: solid !important;}" h_color="rgb(255, 255, 255)" hover_fill_color="rgb(255, 255, 255)" hover_text_color="rgb(80, 80, 80)" fill_color="rgba(255, 255, 255, 0)" h_hcolor="rgb(0, 0, 0)" ib_i_icon_linea="lqd-icn-ess icon-md-arrow-forward" ib_color="rgb(39, 176, 97)" custom_size="55px" i_icon_animated="animated-basic_book_pen" i_color="rgb(23, 190, 116)"]<span style="color: rgba(255, 255, 255, 0.85); font-size: 16px;">We help our clients succeed by creating brand identities, digital experiences.</span>[/ld_icon_box][/ld_carousel_section][/ld_carousel_tab][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Promo Services 13
	$data = array();
	$data['name'] = esc_html__( 'Services 13', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'services-13.jpg' );
	$data['sort_name'] = 'Services';
	$data['custom_class'] = 'general services';
	$data['content'] = <<<CONTENT
	[vc_row gap="0" equal_height="yes" responsive_css="padding_top_medium:50px|padding_right_medium:0px|padding_bottom_medium:100px|padding_left_medium:0px" css=".vc_custom_1622013818717{padding-top: 35px !important;padding-right: 15px !important;padding-bottom: 70px !important;padding-left: 15px !important;}" el_id="programs"][vc_column offset="vc_col-lg-offset-3 vc_col-lg-6 vc_col-md-offset-2 vc_col-md-8" responsive_align="text-center" css=".vc_custom_1621945723059{margin-bottom: 50px !important;}" responsive_css="margin_bottom_medium:80px"][ld_fancy_heading tag="h6" enable_bg="yes" fh_border_radius="circle" color="rgb(120, 95, 255)" padding="top_small:0.625em|right_small:1em|bottom_small:0.625em|left_small:1em" fh_bg="rgba(120, 95, 255, 0.1)" margin="bottom_small:1em"]Programs[/ld_fancy_heading][ld_fancy_heading tag="h2" margin="bottom_small:0.35em"]Volunteer in the campaign.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.52em" margin="bottom_small:0.35em"]Our nearly 8,000 committed staff members are critical to the University of Chicago’s tradition of excellence.[/ld_fancy_heading][/vc_column][vc_column][/vc_column][vc_column width="1/2" offset="vc_col-md-3" css=".vc_custom_1621946297992{margin-bottom: 30px !important;border-right-width: 0px !important;padding-right: 15px !important;padding-left: 15px !important;border-right-color: #e8e8e8 !important;border-right-style: solid !important;}" responsive_css="padding_right_large:10%25|padding_left_large:10%25|margin_bottom_medium:0px|padding_right_medium:7%25|padding_left_medium:7%25|border_right_small:1px|padding_right_small:23px|padding_left_small:23px"][ld_content_box template="s11" title="Creative Thinking" image="71" img_link="url:%23|||" margin="top_large:-30px|bottom_large:30px|bottom_small:0px" heading_hcolor="rgb(120, 95, 255)"][/ld_content_box][/vc_column][vc_column width="1/2" offset="vc_col-md-3" css=".vc_custom_1621946306892{margin-bottom: 30px !important;border-right-width: 0px !important;padding-right: 15px !important;padding-left: 15px !important;border-right-color: #e8e8e8 !important;border-right-style: solid !important;}" responsive_css="padding_right_large:10%25|padding_left_large:10%25|margin_bottom_medium:0px|padding_right_medium:7%25|padding_left_medium:7%25|border_right_small:1px|padding_right_small:23px|padding_left_small:23px"][ld_content_box template="s11" title="Educational Programs" image="74" img_link="url:%23|||" margin="top_large:-30px|bottom_large:30px|bottom_small:0px" heading_hcolor="rgb(255, 126, 106)"][/ld_content_box][/vc_column][vc_column width="1/2" offset="vc_col-md-3" css=".vc_custom_1621946313941{margin-bottom: 30px !important;border-right-width: 0px !important;padding-right: 15px !important;padding-left: 15px !important;border-right-color: #e8e8e8 !important;border-right-style: solid !important;}" responsive_css="padding_right_large:10%25|padding_left_large:10%25|margin_bottom_medium:0px|padding_right_medium:7%25|padding_left_medium:7%25|border_right_small:1px|padding_right_small:23px|padding_left_small:23px"][ld_content_box template="s11" title="Fun Play Times" image="73" img_link="url:%23|||" margin="top_large:-30px|bottom_large:30px|bottom_small:0px" heading_hcolor="rgb(61, 166, 180)"][/ld_content_box][/vc_column][vc_column width="1/2" offset="vc_col-md-3" css=".vc_custom_1621946341312{margin-bottom: 30px !important;padding-right: 15px !important;padding-left: 15px !important;}" responsive_css="padding_right_large:10%25|padding_left_large:10%25|margin_bottom_medium:0px|padding_right_medium:7%25|padding_left_medium:7%25|padding_right_small:23px|padding_left_small:23px"][ld_content_box template="s11" title="Art And Culture" image="72" img_link="url:%23|||" margin="top_large:-30px|bottom_large:30px|bottom_small:0px" heading_hcolor="rgb(255, 95, 167)"][/ld_content_box][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Promo Services 14
	$data = array();
	$data['name'] = esc_html__( 'Services 14', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'services-14.jpg' );
	$data['sort_name'] = 'Services';
	$data['custom_class'] = 'general services';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" enable_gradient="yes" responsive_css="padding_top_medium:85px|padding_bottom_medium:80px" css=".vc_custom_1622015708223{padding-top: 70px !important;padding-bottom: 70px !important;background-color: #f2f4f5 !important;}" el_id="case-studies" gradient_bg="linear-gradient(180deg, rgb(235, 239, 241) 0%, rgb(255, 255, 255) 100%)"][vc_column offset="vc_col-md-5"][ld_fancy_heading tag="h2"]Business Insight and strategic vision..[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-lg-offset-1 vc_col-lg-5 vc_col-md-6" responsive_css="padding_right_large:5%25"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgba(33, 41, 67, 0.8)" fs="text_small:18px" lh="text_small:1.44em"]Our process applies techniques from a variety of disciplines, values distinction in detail and gives careful[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-1" el_id="business-carousel-nav"][/vc_column][vc_column css=".vc_custom_1621852652935{padding-top: 50px !important;}"][ld_carousel_tab columns="md:3|sm:2|xs:1|spacing_xs:10px" inactiv_opacity="1" prevnextbuttons="yes" fullwidthside="yes" groupcells="no" navarrow="custom" navappend="custom_id" navsize="carousel-nav-lg" navfill="carousel-nav-bordered" navshape="carousel-nav-circle" navappend_id="#business-carousel-nav" shapesize="54px" prev="#E-8_JTNDaSUyMGNsYXNzJTNEJTVDJTIybHFkLWljbi1lc3MlMjBpY29uLWlvbi1pb3MtYXJyb3ctYmFjayU1QyUyMiUzRSUzQyUyRmklM0U=" next="#E-8_JTNDaSUyMGNsYXNzJTNEJTVDJTIybHFkLWljbi1lc3MlMjBpY29uLWlvbi1pb3MtYXJyb3ctZm9yd2FyZCU1QyUyMiUzRSUzQyUyRmklM0U="][ld_carousel_section title="Carousel Item" tab_id="lqd-1621852656776-bfb85b8c-3360"][ld_content_box template="s01" use_custom_fonts_title="true" title="Helping companies to build the future" label="Events" fs="24px" fw="700" img_link="url:http%3A%2F%2Fmultipurpose.liquid-themes.com%2Findex.php%2Fservices-2%2F|title:Services||" image="91"]Our process applies techniques from a variety of disciplines, values distinction in detail[/ld_content_box][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1621853132178-9e6d3619-7cbd"][ld_content_box template="s01" use_custom_fonts_title="true" title="Amazing Facilities inside the Building" label="Careers" fs="24px" fw="700" img_link="url:http%3A%2F%2Fmultipurpose.liquid-themes.com%2Findex.php%2Fservices-2%2F|title:Services||" image="92"]Our process applies techniques from a variety of disciplines, values distinction in detail[/ld_content_box][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1621853193746-52fedb4f-41e2"][ld_content_box template="s01" use_custom_fonts_title="true" title="Developing insights that drive impact" label="Events" fs="24px" fw="700" img_link="url:http%3A%2F%2Fmultipurpose.liquid-themes.com%2Findex.php%2Fservices-2%2F|title:Services||" image="93"]Our process applies techniques from a variety of disciplines, values distinction in detail[/ld_content_box][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1621853245199-3eacf8a9-e7d0"][ld_content_box template="s01" use_custom_fonts_title="true" title="Amazing Facilities inside the Campus" label="Careers" fs="24px" fw="700" img_link="url:http%3A%2F%2Fmultipurpose.liquid-themes.com%2Findex.php%2Fservices-2%2F|title:Services||" image="94"]Our process applies techniques from a variety of disciplines, values distinction in detail[/ld_content_box][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1621853372309-8fb88701-4e99"][ld_content_box template="s01" use_custom_fonts_title="true" title="Helping companies to build the future" label="Events" fs="24px" fw="700" img_link="url:http%3A%2F%2Fmultipurpose.liquid-themes.com%2Findex.php%2Fservices-2%2F|title:Services||" image="101"]Our process applies techniques from a variety of disciplines, values distinction in detail[/ld_content_box][/ld_carousel_section][/ld_carousel_tab][/vc_column][vc_column css=".vc_custom_1621853740828{padding-top: 60px !important;}" responsive_align="text-center"][ld_button style="btn-solid" title="Develop Impactful Stories" shape="circle" border="border-none" hover_txt_effect="btn-hover-txt-switch btn-hover-txt-switch-y" i_type="linea" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-forward" color="rgba(21, 81, 83, 0.07)" text_color="rgb(21, 81, 83)" fs="text_small:16px" i_size="1.25em" i_margin_left="13px"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Promo Services 15
	$data = array();
	$data['name'] = esc_html__( 'Services 15', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'services-15.jpg' );
	$data['sort_name'] = 'Services';
	$data['custom_class'] = 'general services';
	$data['content'] = <<<CONTENT
	[vc_row responsive_css="padding_top_medium:50px|padding_bottom_medium:75px" css=".vc_custom_1622103224198{padding-top: 35px !important;padding-bottom: 35px !important;}" el_id="practice-area"][vc_column gradient_bg_color="linear-gradient(134deg, rgb(45, 66, 80) 17.197452229299362%, #806b5d 100%)" css=".vc_custom_1622031267284{border-radius: 5px !important;}"][vc_row_inner equal_height="yes" content_placement="middle" gap="0"][vc_column_inner responsive_css="padding_right_large:50px|padding_left_large:50px|border_right_medium:1px|border_bottom_medium:0px|padding_top_medium:75px|padding_right_medium:30px|padding_bottom_medium:75px|padding_left_medium:55px" css=".vc_custom_1622203411148{border-right-width: 0px !important;border-bottom-width: 1px !important;padding-top: 35px !important;padding-right: 15px !important;padding-bottom: 35px !important;padding-left: 15px !important;border-right-color: rgba(255,255,255,0.23) !important;border-right-style: solid !important;border-bottom-color: rgba(255,255,255,0.23) !important;border-bottom-style: solid !important;}" offset="vc_col-md-2/5"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:44px"]Practice Areas.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgba(255, 255, 255, 0.75)" fs="text_small:15px" lh="text_small:1.53em" margin="bottom_small:1.85em"]Embrace holistic development and support for employees with the first-choice employer.[/ld_fancy_heading][ld_button style="btn-underlined" title="Case Studies" link_type="scroll_to_section" border="border-thick" border_width="btn-bw-30" color="rgb(255, 255, 255)" hover_color="rgb(255, 255, 255)" lh="text_small:2em" css=".vc_custom_1622101291188{margin-bottom: 25px !important;}"][/vc_column_inner][vc_column_inner responsive_css="padding_right_large:50px|padding_left_large:50px|border_right_medium:1px|border_bottom_medium:0px|padding_top_medium:75px|padding_right_medium:30px|padding_bottom_medium:55px|padding_left_medium:45px" css=".vc_custom_1622203187415{border-right-width: 0px !important;border-bottom-width: 1px !important;padding-top: 35px !important;padding-right: 15px !important;padding-bottom: 15px !important;padding-left: 15px !important;border-right-color: rgba(255,255,255,0.23) !important;border-right-style: solid !important;border-bottom-color: rgba(255,255,255,0.23) !important;border-bottom-style: solid !important;}" offset="vc_col-md-4"][ld_list use_custom_fonts_list="true" items_spacing="22" fs="15px" lh="1.5em" primary_color="rgb(255, 255, 255)" txt_color="rgb(255, 255, 255)"]Citizenship,Aviation and Construction,Workplace Problems,Anti-money Laundering,Immigration Issues[/ld_list][/vc_column_inner][vc_column_inner responsive_css="padding_right_large:40px|padding_left_large:40px|padding_top_medium:65px|padding_right_medium:15px|padding_bottom_medium:55px|padding_left_medium:25px" css=".vc_custom_1622203179666{padding-top: 35px !important;padding-right: 15px !important;padding-bottom: 15px !important;padding-left: 15px !important;}" offset="vc_col-md-3"][ld_list use_custom_fonts_list="true" items_spacing="22" fs="15px" lh="1.5em" primary_color="rgb(255, 255, 255)" txt_color="rgb(255, 255, 255)"]Private Business,Intellectual Property,Corporate and Real Estate,Divorce Attorney,Insurance Services[/ld_list][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Promo Services 16
	$data = array();
	$data['name'] = esc_html__( 'Services 16', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'services-16.jpg' );
	$data['sort_name'] = 'Services';
	$data['custom_class'] = 'general services';
	$data['content'] = <<<CONTENT
	[vc_row enable_gradient="yes" css=".vc_custom_1622015682090{padding-top: 65px !important;padding-bottom: 65px !important;}" el_id="services" gradient_bg="linear-gradient(179deg, rgb(235, 239, 241) 1.2738853503184713%, rgb(255, 255, 255) 99.68152866242038%)"][vc_column width="1/2" offset="vc_col-md-4" responsive_css="padding_right_large:15%25"][ld_icon_box i_type="image" heading_size="custom" toggleable="yes" i_shape="circle" i_border="" show_button="yes" alignment="text-left" shadow="iconbox-icon-shadow" ib_style="btn-naked" ib_title="Learn more" ib_i_type="linea" ib_i_hover_reveal="btn-hover-swp" ib_i_add_icon="true" i_icon_image="78" title="Exceptional Execution" custom_heading_size="17px" custom_size="22px" custom_i_size="55px" shape_color="rgb(255, 255, 255)" title_mb="0" icon_mb="23" ib_link="url:%23|||" ib_i_icon_linea="lqd-icn-ess icon-md-arrow-forward" h_svg_fill_color="rgb(255, 255, 255)" shape_hcolor="rgb(21, 81, 83)" css=".vc_custom_1622015410385{margin-bottom: 0px !important;}" h_color="rgb(0, 0, 0)"]<span style="font-size: 15px; line-height: 1.4em; color: #808291;">Our process applies techniques from a variety of disciplines, values distinction in detail and gives careful</span>[/ld_icon_box][/vc_column][vc_column width="1/2" offset="vc_col-md-4" responsive_css="padding_right_large:15%25"][ld_icon_box i_type="image" heading_size="custom" toggleable="yes" i_shape="circle" i_border="" show_button="yes" alignment="text-left" shadow="iconbox-icon-shadow" ib_style="btn-naked" ib_title="Learn more" ib_i_type="linea" ib_i_hover_reveal="btn-hover-swp" ib_i_add_icon="true" i_icon_image="74" title="Insight and Analytics" custom_heading_size="17px" custom_size="22px" custom_i_size="55px" shape_color="rgb(255, 255, 255)" title_mb="0" icon_mb="23" ib_link="url:%23|||" ib_i_icon_linea="lqd-icn-ess icon-md-arrow-forward" h_svg_fill_color="rgb(255, 255, 255)" shape_hcolor="rgb(21, 81, 83)" css=".vc_custom_1622015399214{margin-bottom: 0px !important;}" h_color="rgb(0, 0, 0)"]<span style="font-size: 15px; line-height: 1.4em; color: #808291;">Our process applies techniques from a variety of disciplines, values distinction in detail and gives careful</span>[/ld_icon_box][/vc_column][vc_column width="1/2" offset="vc_col-md-4" responsive_css="padding_right_large:15%25"][ld_icon_box i_type="image" heading_size="custom" toggleable="yes" i_shape="circle" i_border="" show_button="yes" alignment="text-left" shadow="iconbox-icon-shadow" ib_style="btn-naked" ib_title="Learn more" ib_i_type="linea" ib_i_hover_reveal="btn-hover-swp" ib_i_add_icon="true" i_icon_image="75" title="Secure Network" custom_heading_size="17px" custom_size="18px" custom_i_size="55px" shape_color="rgb(255, 255, 255)" title_mb="0" icon_mb="23" ib_link="url:%23|||" ib_i_icon_linea="lqd-icn-ess icon-md-arrow-forward" h_svg_fill_color="rgb(255, 255, 255)" shape_hcolor="rgb(21, 81, 83)" css=".vc_custom_1622015418566{margin-bottom: 0px !important;}" h_color="rgb(0, 0, 0)"]<span style="font-size: 15px; line-height: 1.4em; color: #808291;">Our process applies techniques from a variety of disciplines, values distinction in detail and gives careful</span>[/ld_icon_box][/vc_column][vc_column width="1/2" offset="vc_col-md-4" responsive_css="padding_right_large:15%25"][ld_icon_box i_type="image" heading_size="custom" toggleable="yes" i_shape="circle" i_border="" show_button="yes" alignment="text-left" shadow="iconbox-icon-shadow" ib_style="btn-naked" ib_title="Learn more" ib_i_type="linea" ib_i_hover_reveal="btn-hover-swp" ib_i_add_icon="true" i_icon_image="77" title="Business Consultation" custom_heading_size="17px" custom_size="14px" custom_i_size="55px" shape_color="rgb(255, 255, 255)" title_mb="0" icon_mb="23" ib_link="url:%23|||" ib_i_icon_linea="lqd-icn-ess icon-md-arrow-forward" h_svg_fill_color="rgb(255, 255, 255)" shape_hcolor="rgb(21, 81, 83)" css=".vc_custom_1622015431482{margin-bottom: 0px !important;}" h_color="rgb(0, 0, 0)"]<span style="font-size: 15px; line-height: 1.4em; color: #808291;">Our process applies techniques from a variety of disciplines, values distinction in detail and gives careful</span>[/ld_icon_box][/vc_column][vc_column width="1/2" offset="vc_col-md-4" responsive_css="padding_right_large:15%25"][ld_icon_box i_type="image" heading_size="custom" toggleable="yes" i_shape="circle" i_border="" show_button="yes" alignment="text-left" shadow="iconbox-icon-shadow" ib_style="btn-naked" ib_title="Learn more" ib_i_type="linea" ib_i_hover_reveal="btn-hover-swp" ib_i_add_icon="true" i_icon_image="76" title="Strategic Vision" custom_heading_size="17px" custom_size="22px" custom_i_size="55px" shape_color="rgb(255, 255, 255)" title_mb="0" icon_mb="23" ib_link="url:%23|||" ib_i_icon_linea="lqd-icn-ess icon-md-arrow-forward" h_svg_fill_color="rgb(255, 255, 255)" shape_hcolor="rgb(21, 81, 83)" css=".vc_custom_1622015440076{margin-bottom: 0px !important;}" h_color="rgb(0, 0, 0)"]<span style="font-size: 15px; line-height: 1.4em; color: #808291;">Our process applies techniques from a variety of disciplines, values distinction in detail and gives careful</span>[/ld_icon_box][/vc_column][vc_column width="1/2" offset="vc_col-md-4" responsive_css="padding_right_large:15%25"][ld_icon_box i_type="image" heading_size="custom" toggleable="yes" i_shape="circle" i_border="" show_button="yes" alignment="text-left" shadow="iconbox-icon-shadow" ib_style="btn-naked" ib_title="Learn more" ib_i_type="linea" ib_i_hover_reveal="btn-hover-swp" ib_i_add_icon="true" i_icon_image="78" title="Initial Concept" custom_heading_size="17px" custom_size="22px" custom_i_size="55px" shape_color="rgb(255, 255, 255)" title_mb="0" icon_mb="23" ib_link="url:%23|||" ib_i_icon_linea="lqd-icn-ess icon-md-arrow-forward" h_svg_fill_color="rgb(255, 255, 255)" shape_hcolor="rgb(21, 81, 83)" css=".vc_custom_1622015449497{margin-bottom: 0px !important;}" h_color="rgb(0, 0, 0)"]<span style="font-size: 15px; line-height: 1.4em; color: #808291;">Our process applies techniques from a variety of disciplines, values distinction in detail and gives careful</span>[/ld_icon_box][/vc_column][vc_column responsive_align="text-center" css=".vc_custom_1621849090584{padding-top: 20px !important;}"][ld_button style="btn-solid" title="Develop Impactful Stories" shape="circle" border="border-none" hover_txt_effect="btn-hover-txt-switch btn-hover-txt-switch-y" i_type="linea" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-forward" color="rgba(21, 81, 83, 0.07)" text_color="rgb(21, 81, 83)" fs="text_small:16px" i_size="1.25em" i_margin_left="13px"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Tabs
	//Tabs 1
	$data = array();
	$data['name'] = esc_html__( 'Tabs 01', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'tabs-1.jpg' );
	$data['sort_name'] = 'Tabs';
	$data['custom_class'] = 'general tabs';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" row_scale_bg_onhover="yes" responsive_css="margin_top_large:100px|margin_right_large:10vw|margin_left_large:10vw|margin_right_medium:2vw|margin_left_medium:2vw|padding_top_small:25px" css=".vc_custom_1610621715068{margin-right: 1vw !important;margin-left: 1vw !important;padding-top: 45px !important;padding-bottom: 15px !important;background-color: #1e1f21 !important;border-radius: 10px !important;}" el_id="connect"][vc_column][ld_tabs style="style03" nav_alignment="justify-content-md-center" tab_trigger="hover" use_custom_fonts_nav="true" primary_color="rgba(255, 255, 255, 0.1)" text_color="rgba(255, 255, 255, 0.25)" text_hcolor="rgb(255, 255, 255)" primary_hcolor="rgb(94, 85, 255)" fs="16px" lh="1em"][ld_tab_section title="Buy Stock" tab_id="lqd-1605277170632-fe1c2a8e-b8e3"][vc_row_inner content_placement="middle" css=".vc_custom_1605276852705{padding-top: 40px !important;}"][vc_column_inner offset="vc_col-lg-offset-1 vc_col-lg-5 vc_col-md-6" css=".vc_custom_1605277066426{margin-bottom: 35px !important;}"][ld_fancy_heading tag="h6" use_custom_fonts_title="true" fs="text_small:14px" fw="text_small:500" margin="bottom_small:1.5em"]— 890m Transactions Completed[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_medium:61px|text_small:12vw" lh="text_small:1em" margin="bottom_small:0.35em"]Buy Pre-market Tech Stocks.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:22px" lh="text_small:1.36em" margin="bottom_small:1.5em"]Preferred stock may be hybrid by having the qualities of bonds of fixed returns and common stock voting rightson.[/ld_fancy_heading][ld_button style="btn-default" title="Get the app" transformation="text-uppercase" link_type="scroll_to_section" shape="circle" size="btn-sm" border="border-thick" hover_txt_effect="btn-hover-txt-switch btn-hover-txt-switch-y" i_type="fontawesome" i_position="left" i_add_icon="true" color="rgb(255, 255, 255)" hover_color="rgb(255, 255, 255)" htext_color="rgb(0, 0, 0)" fs="13px" fw="700" ls="0.05em" i_icon_fontawesome="fab fa-apple" i_size="23px" i_margin_right="0.85em" css=".vc_custom_1610622994657{padding-right: 0.75em !important;padding-left: 0.75em !important;}" lh="2.5em"][/vc_column_inner][vc_column_inner width="2/3" offset="vc_col-lg-3 vc_col-md-offset-1 vc_col-md-4 vc_col-xs-10" responsive_align="text-center"][vc_single_image image="116" alignment="center"][/vc_column_inner][/vc_row_inner][/ld_tab_section][ld_tab_section title="Sell Stock" tab_id="lqd-1605276082976-6dd252f5-cbda"][vc_row_inner content_placement="middle" css=".vc_custom_1605276852705{padding-top: 40px !important;}"][vc_column_inner offset="vc_col-lg-offset-1 vc_col-lg-5 vc_col-md-6" css=".vc_custom_1605277066426{margin-bottom: 35px !important;}"][ld_fancy_heading tag="h6" use_custom_fonts_title="true" fs="text_small:14px" fw="text_small:500" margin="bottom_small:1.5em"]— 890m Transactions Completed[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_medium:61px|text_small:12vw" lh="text_small:1em" margin="bottom_small:0.35em"]Connect your Apple Card.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:22px" lh="text_small:1.36em" margin="bottom_small:1.5em"]Preferred stock may be hybrid by having the qualities of bonds of fixed returns and common stock voting rightson.[/ld_fancy_heading][ld_button style="btn-default" title="Get the app" transformation="text-uppercase" link_type="scroll_to_section" shape="circle" size="btn-sm" border="border-thick" hover_txt_effect="btn-hover-txt-switch btn-hover-txt-switch-y" i_type="fontawesome" i_position="left" i_add_icon="true" color="rgb(255, 255, 255)" hover_color="rgb(255, 255, 255)" htext_color="rgb(0, 0, 0)" fs="13px" fw="700" ls="0.05em" i_icon_fontawesome="fab fa-apple" i_size="23px" i_margin_right="0.85em" css=".vc_custom_1610622994657{padding-right: 0.75em !important;padding-left: 0.75em !important;}" lh="2.5em"][/vc_column_inner][vc_column_inner width="2/3" offset="vc_col-lg-3 vc_col-md-offset-1 vc_col-md-4 vc_col-xs-10" responsive_align="text-center"][vc_single_image image="116" alignment="center"][/vc_column_inner][/vc_row_inner][/ld_tab_section][/ld_tabs][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Tabs 2
	$data = array();
	$data['name'] = esc_html__( 'Tabs 02', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'tabs-2.jpg' );
	$data['sort_name'] = 'Tabs';
	$data['custom_class'] = 'general tabs';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1610731698842{padding-top: 30px !important;padding-bottom: 30px !important;}"][vc_column][ld_tabs style="style03" nav_alignment="justify-content-md-center" use_custom_fonts_nav="true" primary_color="rgb(223, 224, 234)" active_color="rgb(0, 0, 0)" fs="17px" fw="700" text_color="rgba(24, 67, 65, 0.71)" primary_hcolor="rgb(24, 67, 65)" text_hcolor="rgb(24, 67, 65)"][ld_tab_section i_type="linea" title="Qualified Team" tab_id="1533026199621-94d7bc08-4b10"][vc_row_inner][vc_column_inner align="text-center" offset="vc_col-md-offset-2 vc_col-md-8" css=".vc_custom_1533026609059{padding-right: 8% !important;padding-left: 8% !important;}" responsive_align="text-center"][vc_column_text]<span style="font-size: 18px; color: #818486;">As a leading college in Paris, we look to engage with our student beyond the conventional design and development school relationship, becoming a partner to the people and companies we work with.</span>[/vc_column_text][/vc_column_inner][/vc_row_inner][/ld_tab_section][ld_tab_section i_type="linea" title="Business Partners" tab_id="ld-1576232120981-c979a48f-113f"][vc_row_inner][vc_column_inner align="text-center" offset="vc_col-md-offset-2 vc_col-md-8" css=".vc_custom_1533026609059{padding-right: 8% !important;padding-left: 8% !important;}" responsive_align="text-center"][vc_column_text]<span style="font-size: 18px; color: #818486;">As a leading college in Paris, we look to engage with our student beyond the conventional design and development school relationship, becoming a partner to the people and companies we work with.</span>[/vc_column_text][/vc_column_inner][/vc_row_inner][/ld_tab_section][ld_tab_section i_type="linea" title="Our Strategy" tab_id="ld-1576232120379-278439b3-5378"][vc_row_inner][vc_column_inner align="text-center" offset="vc_col-md-offset-2 vc_col-md-8" css=".vc_custom_1533026609059{padding-right: 8% !important;padding-left: 8% !important;}" responsive_align="text-center"][vc_column_text]<span style="font-size: 18px; color: #818486;">As a leading college in Paris, we look to engage with our student beyond the conventional design and development school relationship, becoming a partner to the people and companies we work with.</span>[/vc_column_text][/vc_column_inner][/vc_row_inner][/ld_tab_section][/ld_tabs][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Tabs 3
	$data = array();
	$data['name'] = esc_html__( 'Tabs 03', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'tabs-3.jpg' );
	$data['sort_name'] = 'Tabs';
	$data['custom_class'] = 'general tabs';
	$data['content'] = <<<CONTENT
	[vc_row full_height="yes" content_placement="bottom" css=".vc_custom_1606983448726{padding-top: 100px !important;background-image: url(https://appblocks.liquid-themes.com/staging/wp-content/uploads/2020/07/lines-5.svg?id=204) !important;}" data_tooltip="Future. Here." responsive_css="padding_top_medium:0px"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" align="text-center" offset="vc_col-md-offset-3 vc_col-md-6" ca_duration="1800" ca_delay="180" ca_init_translate_y="35" responsive_align="text-center" responsive_css="margin_bottom_medium:0px" css=".vc_custom_1603196621698{margin-bottom: 45px !important;}"][ld_fancy_heading tag="h2" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" use_inheritance="true" enable_split="true" margin="bottom_small:0.5em" fs="text_medium:65px|text_small:12vw"]Enjoy live music.[/ld_fancy_heading][ld_fancy_heading tag="p" alignment="text-center" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" fs="text_large:20px" lh="text_large:1.5em"]All in one  and startup solutions. Endless use-cases that make it highly flexible.[/ld_fancy_heading][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" ca_duration="1800" ca_start_delay="200" ca_delay="180" ca_init_translate_y="35"][ld_tabs style="style05" reverse_direction="true"][ld_tab_section title="Daily mix and playlists" tab_id="ld-1572605326229-8d6bb496-c1ed" desc="Enjoy nonstop music. Offering affordable goods from a global musicians."][vc_row_inner bg_position="center bottom" css=".vc_custom_1609869699461{padding-top: 30px !important;background-position: center !important;background-repeat: no-repeat !important;background-size: contain !important;}"][vc_column_inner align="text-center" offset="vc_col-md-12" responsive_align="text-center"][vc_single_image image="233" alignment="center" css=".vc_custom_1611263315609{margin-bottom: 0px !important;}" image_max_width="250px"][/vc_column_inner][/vc_row_inner][/ld_tab_section][ld_tab_section title="Listen to music Ad-Free" tab_id="lqd-1595839609507-78032ced-fed5" desc="Enjoy nonstop music. Offering affordable goods from a global musicians."][vc_row_inner bg_position="center bottom" css=".vc_custom_1609869687806{padding-top: 30px !important;background-position: center !important;background-repeat: no-repeat !important;background-size: contain !important;}"][vc_column_inner align="text-center" offset="vc_col-md-12" responsive_align="text-center"][vc_single_image image="225" alignment="center" css=".vc_custom_1609869949820{margin-bottom: 0px !important;}" image_max_width="300px"][/vc_column_inner][/vc_row_inner][/ld_tab_section][ld_tab_section title="Automated System" tab_id="ld-1572605342976-8de33163-8234" desc="Ad-free music listening, play offline, on-demand playback for everyone."][vc_row_inner bg_position="center bottom" css=".vc_custom_1609869715085{padding-top: 30px !important;background-position: center !important;background-repeat: no-repeat !important;background-size: contain !important;}"][vc_column_inner align="text-center" offset="vc_col-md-12" responsive_align="text-center"][vc_single_image image="225" alignment="center" css=".vc_custom_1609869943833{margin-bottom: 0px !important;}" image_max_width="300px"][/vc_column_inner][/vc_row_inner][/ld_tab_section][/ld_tabs][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Tabs 4 - startuphub
	$data = array();
	$data['name'] = esc_html__( 'Tabs 04', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'tabs-4.jpg' );
	$data['sort_name'] = 'Tabs';
	$data['custom_class'] = 'general tabs';
	$data['content'] = <<<CONTENT
	[vc_row bg_position="custom" css=".vc_custom_1614256163581{padding-top: 50px !important;padding-bottom: 60px !important;background-image: url(https://startuphub.liquid-themes.com/staging/wp-content/uploads/2020/04/bg-3.svg?id=776) !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}" bg_pos_h="-250px" bg_pos_v="0px" responsive_css="padding_bottom_medium:100px" el_id="solutions"][vc_column][ld_tabs style="style09c" reverse_direction="true" use_custom_fonts_nav="true" text_color="rgb(6, 59, 82)" primary_hcolor="rgb(255, 255, 255)" text_hcolor="rgb(255, 77, 18)" fs="14px" lh="2em" ls="0.02em" nav_bg_color="rgb(235, 240, 243)"][ld_tab_section title="Connect and Start" tab_id="lqd-1595766376021-83e4c2ad-77e6"][vc_row_inner content_placement="middle"][vc_column_inner offset="vc_col-md-5"][vc_single_image image="4402" alignment="right" image_max_width="480px"][/vc_column_inner][vc_column_inner offset="vc_col-lg-offset-2 vc_col-lg-5 vc_col-md-offset-1 vc_col-md-5"][ld_fancy_heading tag="h6" transform="text-uppercase" enable_bg="yes" fh_border_radius="round" use_custom_fonts_title="true" color="rgb(51, 59, 65)" fs="text_small:11px" ls="text_small:0.1em" padding="top_small:7px|right_small:20px|bottom_small:7px|left_small:20px" fh_bg="rgb(237, 243, 247)" margin="bottom_small:1.5em"]Workflow Integration[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_small:50px" lh="text_small:1.02em"]Secure and Affordable.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:20px" lh="text_small:1.45em" margin="bottom_small:1.25em"]Complete Design Toolkit – huge collection of elements, rich customization options, flexible layouts, and instant results! Choose a pre-built header or create a custom layout that perfectly suits your needs.[/ld_fancy_heading][ld_button style="btn-naked" title="Get started" i_type="linea" i_hover_reveal="btn-hover-swp" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-md-arrow-forward"][/vc_column_inner][/vc_row_inner][/ld_tab_section][ld_tab_section title="Private Chat Groups" tab_id="lqd-1588148933707-1ecc953f-1e65"][vc_row_inner content_placement="middle"][vc_column_inner offset="vc_col-md-5"][vc_single_image image="4404" alignment="right" image_max_width="340px"][/vc_column_inner][vc_column_inner offset="vc_col-lg-offset-2 vc_col-lg-5 vc_col-md-offset-1 vc_col-md-5" responsive_align="text-center text-md-left"][ld_fancy_heading tag="h6" transform="text-uppercase" enable_bg="yes" fh_border_radius="round" use_custom_fonts_title="true" color="rgb(51, 59, 65)" fs="text_small:11px" ls="text_small:0.1em" padding="top_small:7px|right_small:20px|bottom_small:7px|left_small:20px" fh_bg="rgb(237, 243, 247)" margin="bottom_small:1.5em"]Workflow Integration[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_small:50px" lh="text_small:1.02em"]Online payment discount[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:20px" lh="text_small:1.45em" margin="bottom_small:1.25em"]Hub is the all-in-one builder with ultra high performance, intuitive editor, exclusive features and award-winning design collection.[/ld_fancy_heading][ld_button style="btn-solid" title="Get started" shape="round" i_type="linea" i_hover_reveal="btn-hover-swp" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-md-arrow-forward"][/vc_column_inner][/vc_row_inner][/ld_tab_section][ld_tab_section title="Edit Contact List" tab_id="lqd-1588151567327-2e3a34a8-3184"][vc_row_inner content_placement="middle"][vc_column_inner offset="vc_col-md-5"][vc_single_image image="4403" alignment="right" image_max_width="410px"][/vc_column_inner][vc_column_inner offset="vc_col-lg-offset-2 vc_col-lg-5 vc_col-md-offset-1 vc_col-md-5" responsive_align="text-center text-md-left"][ld_fancy_heading tag="h6" transform="text-uppercase" enable_bg="yes" fh_border_radius="round" use_custom_fonts_title="true" color="rgb(51, 59, 65)" fs="text_small:11px" ls="text_small:0.1em" padding="top_small:7px|right_small:20px|bottom_small:7px|left_small:20px" fh_bg="rgb(237, 243, 247)" margin="bottom_small:1.5em"]Workflow Integration[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_small:50px" lh="text_small:1.02em"]Track and analyze business reports.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:20px" lh="text_small:1.45em" margin="bottom_small:1.25em"]Hub is the all-in-one builder with ultra high performance, intuitive editor, exclusive features and award-winning design collection.[/ld_fancy_heading][ld_button style="btn-solid" title="Get started" shape="round" i_type="linea" i_hover_reveal="btn-hover-swp" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-md-arrow-forward"][/vc_column_inner][/vc_row_inner][/ld_tab_section][ld_tab_section title="Platform Integration" tab_id="lqd-1595763290229-377fd0f7-fef1"][vc_row_inner content_placement="middle"][vc_column_inner offset="vc_col-md-5"][vc_single_image image="4404" alignment="right" image_max_width="340px"][/vc_column_inner][vc_column_inner offset="vc_col-lg-offset-2 vc_col-lg-5 vc_col-md-offset-1 vc_col-md-5" responsive_align="text-center text-md-left"][ld_fancy_heading tag="h6" transform="text-uppercase" enable_bg="yes" fh_border_radius="round" use_custom_fonts_title="true" color="rgb(51, 59, 65)" fs="text_small:11px" ls="text_small:0.1em" padding="top_small:7px|right_small:20px|bottom_small:7px|left_small:20px" fh_bg="rgb(237, 243, 247)" margin="bottom_small:1.5em"]Workflow Integration[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_small:50px" lh="text_small:1.02em"]Multiple Platform Integration.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:20px" lh="text_small:1.45em" margin="bottom_small:1.25em"]Hub is the all-in-one builder with ultra high performance, intuitive editor, exclusive features and award-winning design collection.[/ld_fancy_heading][ld_button style="btn-solid" title="Get started" shape="round" i_type="linea" i_hover_reveal="btn-hover-swp" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-md-arrow-forward"][/vc_column_inner][/vc_row_inner][/ld_tab_section][/ld_tabs][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Tabs 5 - newsletter
	$data = array();
	$data['name'] = esc_html__( 'Tabs 05', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'tabs-5.jpg' );
	$data['sort_name'] = 'Tabs';
	$data['custom_class'] = 'general tabs';
	$data['content'] = <<<CONTENT
	[vc_row equal_height="yes" content_placement="middle" css=".vc_custom_1605846833928{padding-top: 60px !important;padding-bottom: 40px !important;background-color: #ffffff !important;}" el_id="lqd-features" responsive_css="padding_top_medium:120px|padding_bottom_medium:60px"][vc_column parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" offset="vc_col-lg-6 vc_col-md-7" translate_from_y="30" translate_to_y="-103"][ld_tabs style="style03" nav_alignment="justify-content-md-start" tab_trigger="hover" use_custom_fonts_nav="true" text_color="rgb(132, 141, 156)" fs="18px" lh="0.5em" primary_hcolor="rgb(43, 189, 204)" primary_color="rgba(255, 255, 255, 0)" fw="400" ls="0.01em"][ld_tab_section title="Chat Assistance" tab_id="lqd-1595933910664-4cabc592-ea1e"][vc_row_inner enable_content_animation="yes" content_placement="middle" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" ca_duration="1800" ca_delay="200" ca_init_translate_y="35"][vc_column_inner][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_medium:52px|text_small:44px" margin="bottom_small:0.35em"]Artificial automation customizes process.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:19px" margin="bottom_small:1.5em" lh="text_small:27px"]Intuitive Header Builder – Choose a pre-built header or create a custom layout that perfectly suits your needs. It’s easy, fast and mobile-friendly.[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/2"][ld_button style="btn-solid" title="Let’s get started" shape="circle" i_type="linea" i_add_icon="true" css=".vc_custom_1595933906935{margin-bottom: 15px !important;padding-right: 0.75em !important;padding-left: 0.75em !important;}" fs="16px" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" hover_color="rgb(42, 42, 42)"][/vc_column_inner][/vc_row_inner][/ld_tab_section][ld_tab_section title="AI Suggestions" tab_id="lqd-1573138643738-900ac3c4-91a8"][vc_row_inner enable_content_animation="yes" content_placement="middle" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" ca_duration="1800" ca_delay="200" ca_init_translate_y="35"][vc_column_inner][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_large:52px|text_medium:44px|text_small:38px" margin="bottom_small:0.35em"]Chatbot integration on your dashboard.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:19px" margin="bottom_small:1.5em" lh="text_small:27px"]Install any demo or template with a single click. You can mix and match all the demos &amp; templates. Every demo can be turned into one or multi.[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/2"][ld_button style="btn-solid" title="Let’s get started" shape="circle" i_type="linea" i_add_icon="true" css=".vc_custom_1595933906935{margin-bottom: 15px !important;padding-right: 0.75em !important;padding-left: 0.75em !important;}" fs="16px" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" hover_color="rgb(42, 42, 42)"][/vc_column_inner][/vc_row_inner][/ld_tab_section][/ld_tabs][/vc_column][vc_column column_top_ontablet="yes" column_top_onmobile="yes" align="text-center" offset="vc_col-lg-offset-1 vc_col-lg-5 vc_col-md-5" responsive_align="text-center" responsive_css="margin_bottom_medium:0px" css=".vc_custom_1610356568359{margin-bottom: 35px !important;}"][vc_single_image image="106" alignment="center"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;
	
	//Tabs 6 - newsletter
	$data = array();
	$data['name'] = esc_html__( 'Tabs 06', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'tabs-6.jpg' );
	$data['sort_name'] = 'Tabs';
	$data['custom_class'] = 'general tabs';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" css=".vc_custom_1605398700956{padding-bottom: 40px !important;}" responsive_css="padding_bottom_medium:90px"][vc_column][ld_tabs style="style09c" reverse_direction="true" use_custom_fonts_nav="true" nav_bg_color="rgb(239, 243, 246)" text_color="rgb(3, 51, 80)" primary_hcolor="rgb(255, 255, 255)" text_hcolor="rgb(255, 77, 18)" lh="1.5em"][ld_tab_section title="Share a ride" tab_id="lqd-1614861316206-07e6646b-032f"][vc_row_inner content_placement="middle"][vc_column_inner width="1/2"][ld_fancy_heading tag="h6" transform="text-uppercase" enable_bg="yes" fh_border_radius="circle" use_custom_fonts_title="true" color="rgb(3, 51, 80)" fs="text_small:12px" ls="text_small:0.1em" padding="top_small:7px|right_small:20px|bottom_small:7px|left_small:20px" fh_bg="rgb(238, 243, 247)" margin="bottom_small:1em"]Accept a passenger[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_large:82px|text_medium:60px|text_small:42px" lh="text_small:1em" margin="bottom_small:0.3em"]Request a ride in the city[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(48, 80, 109)" fs="text_large:21px|text_small:18px" margin="right_large:15%25"]The ultimate collection crafted by world-class designers. Import a pre-built section block with a single click or save your own[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/2" responsive_css="padding_right_medium:15%25|padding_left_medium:15%25"][vc_single_image image="41" css=".vc_custom_1614862339198{margin-bottom: 0px !important;}"][/vc_column_inner][/vc_row_inner][/ld_tab_section][ld_tab_section title="Schedule A Meeting" tab_id="lqd-1614862432834-a65382b6-6ba3"][vc_row_inner content_placement="middle"][vc_column_inner width="1/2"][ld_fancy_heading tag="h6" transform="text-uppercase" enable_bg="yes" fh_border_radius="circle" use_custom_fonts_title="true" color="rgb(3, 51, 80)" fs="text_small:12px" ls="text_small:0.1em" padding="top_small:7px|right_small:20px|bottom_small:7px|left_small:20px" fh_bg="rgb(238, 243, 247)" margin="bottom_small:1em"]Accept a passenger[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_large:82px|text_medium:60px|text_small:42px" lh="text_small:1em" margin="bottom_small:0.3em"]Request a ride in the city[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(48, 80, 109)" fs="text_large:21px|text_small:18px" margin="right_large:15%25"]The ultimate collection crafted by world-class designers. Import a pre-built section block with a single click or save your own[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/2" responsive_css="padding_right_medium:15%25|padding_left_medium:15%25"][vc_single_image image="41" css=".vc_custom_1614862339198{margin-bottom: 0px !important;}"][/vc_column_inner][/vc_row_inner][/ld_tab_section][ld_tab_section title="Check Your Balance" tab_id="lqd-1614862458925-c46e393c-6495"][vc_row_inner content_placement="middle"][vc_column_inner width="1/2"][ld_fancy_heading tag="h6" transform="text-uppercase" enable_bg="yes" fh_border_radius="circle" use_custom_fonts_title="true" color="rgb(3, 51, 80)" fs="text_small:12px" ls="text_small:0.1em" padding="top_small:7px|right_small:20px|bottom_small:7px|left_small:20px" fh_bg="rgb(238, 243, 247)" margin="bottom_small:1em"]Accept a passenger[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_large:82px|text_medium:60px|text_small:42px" lh="text_small:1em" margin="bottom_small:0.3em"]Request a ride in the city[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(48, 80, 109)" fs="text_large:21px|text_small:18px" margin="right_large:15%25"]The ultimate collection crafted by world-class designers. Import a pre-built section block with a single click or save your own[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/2" responsive_css="padding_right_medium:15%25|padding_left_medium:15%25"][vc_single_image image="41" css=".vc_custom_1614862339198{margin-bottom: 0px !important;}"][/vc_column_inner][/vc_row_inner][/ld_tab_section][ld_tab_section title="Monthly Payout" tab_id="lqd-1614862482001-6c2a061a-c19d"][vc_row_inner content_placement="middle"][vc_column_inner width="1/2"][ld_fancy_heading tag="h6" transform="text-uppercase" enable_bg="yes" fh_border_radius="circle" use_custom_fonts_title="true" color="rgb(3, 51, 80)" fs="text_small:12px" ls="text_small:0.1em" padding="top_small:7px|right_small:20px|bottom_small:7px|left_small:20px" fh_bg="rgb(238, 243, 247)" margin="bottom_small:1em"]Accept a passenger[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_large:82px|text_medium:60px|text_small:42px" lh="text_small:1em" margin="bottom_small:0.3em"]Request a ride in the city[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(48, 80, 109)" fs="text_large:21px|text_small:18px" margin="right_large:15%25"]The ultimate collection crafted by world-class designers. Import a pre-built section block with a single click or save your own[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/2" responsive_css="padding_right_medium:15%25|padding_left_medium:15%25"][vc_single_image image="41" css=".vc_custom_1614862339198{margin-bottom: 0px !important;}"][/vc_column_inner][/vc_row_inner][/ld_tab_section][/ld_tabs][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Tabs 7 - newsletter
	$data = array();
	$data['name'] = esc_html__( 'Tabs 07', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'tabs-7.jpg' );
	$data['sort_name'] = 'Tabs';
	$data['custom_class'] = 'general tabs';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" responsive_css="padding_top_medium:60px|padding_bottom_medium:40px"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-6" ca_duration="1800" ca_delay="180" ca_init_translate_y="35" responsive_css="margin_bottom_medium:0px" css=".vc_custom_1614328086557{margin-bottom: 35px !important;}"][ld_fancy_heading tag="h6" transform="text-uppercase" enable_bg="yes" fh_border_radius="circle" use_custom_fonts_title="true" fs="text_small:13px" ls="text_small:0.05em" margin="bottom_small:1.75em" fh_bg="rgb(228, 230, 255)" padding="top_small:6px|right_small:13px|bottom_small:6px|left_small:13px"]Explore new places[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" margin="bottom_small:0.3em" padding="right_large:16%25" fs="text_large:39px|text_small:32px"]Discover hidden places curated by Hub.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:20px" lh="text_small:30px" margin="bottom_large:3.35em" padding="right_large:18%25"]The ultimate collection crafted by world-class designers. Import a pre-built section block with a single click or save your own custom block.[/ld_fancy_heading][/vc_column][vc_column][ld_tabs style="style08" tab_trigger="hover" use_custom_fonts_nav="true" fs="18px"][ld_tab_section title="Discover Hidden Places" tab_id="lqd-1596809948239-f44fa49f-7b20"][vc_row_inner][vc_column_inner bg_position="center top" align="text-center" css=".vc_custom_1614691180474{background-position: center !important;background-repeat: no-repeat !important;background-size: contain !important;}" offset="vc_col-md-offset-3 vc_col-md-9" responsive_css="padding_left_large:100px|margin_top_medium:-58%25" responsive_align="text-left"][vc_single_image image="125" img_size="329x641" image_max_width="270px"][/vc_column_inner][/vc_row_inner][/ld_tab_section][ld_tab_section title="Communicate in the Chat app" tab_id="1573116931246-223ad582-bec1"][vc_row_inner][vc_column_inner bg_position="center top" align="text-center" css=".vc_custom_1614691201000{background-position: center !important;background-repeat: no-repeat !important;background-size: contain !important;}" offset="vc_col-md-offset-3 vc_col-md-9" responsive_css="padding_left_large:100px|margin_top_medium:-58%25" responsive_align="text-left"][vc_single_image image="128" img_size="329x641" image_max_width="270px"][/vc_column_inner][/vc_row_inner][/ld_tab_section][ld_tab_section title="Manage your earnings" tab_id="lqd-1596809947757-075a2f8b-e9f7"][vc_row_inner][vc_column_inner bg_position="center top" align="text-center" css=".vc_custom_1614691213574{background-position: center !important;background-repeat: no-repeat !important;background-size: contain !important;}" offset="vc_col-md-offset-3 vc_col-md-9" responsive_css="padding_left_large:100px|margin_top_medium:-58%25" responsive_align="text-left"][vc_single_image image="126" img_size="329x641" image_max_width="270px"][/vc_column_inner][/vc_row_inner][/ld_tab_section][ld_tab_section title="Be verified, be safe." tab_id="lqd-1596809947262-c71cef6d-495d"][vc_row_inner][vc_column_inner bg_position="center top" align="text-center" css=".vc_custom_1614691226593{background-position: center !important;background-repeat: no-repeat !important;background-size: contain !important;}" offset="vc_col-md-offset-3 vc_col-md-9" responsive_css="padding_left_large:100px|margin_top_medium:-58%25" responsive_align="text-left"][vc_single_image image="125" img_size="329x641" image_max_width="270px"][/vc_column_inner][/vc_row_inner][/ld_tab_section][/ld_tabs][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Tabs 8 - newsletter
	$data = array();
	$data['name'] = esc_html__( 'Tabs 08', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'tabs-8.jpg' );
	$data['sort_name'] = 'Tabs';
	$data['custom_class'] = 'general tabs';
	$data['content'] = <<<CONTENT
	[vc_row responsive_css="padding_top_medium:40px|padding_bottom_medium:55px" css=".vc_custom_1621614063873{padding-top: 30px !important;padding-bottom: 30px !important;}" el_id="investment-plans"][vc_column][ld_tabs style="style03" use_custom_fonts_nav="true" border_color="rgba(15, 90, 100, 0.15)" primary_hcolor="rgb(15, 90, 100)" text_color="rgba(16, 58, 64, 0.65)" text_hcolor="rgb(16, 58, 64)" fs="16px" lh="1.15em"][ld_tab_section title="Health Insurance" tab_id="lqd-1621606707710-9716e7e7-7eb0"][vc_row_inner content_placement="middle" css=".vc_custom_1621607075161{padding-top: 20px !important;}"][vc_column_inner css=".vc_custom_1621606809742{margin-bottom: 30px !important;}" offset="vc_col-md-6"][vc_single_image image="3533" enable_link="enable_image_link" link="url:https%3A%2F%2Fthemeforest.net%2Fitem%2Fhub-responsive-multipurpose-wordpress-theme%2F31569152||target:%20_blank|" css=".vc_custom_1621606890599{margin-bottom: 0px !important;}" onclick="custom_link"][/vc_column_inner][vc_column_inner offset="vc_col-md-offset-1 vc_col-md-5" responsive_css="padding_right_large:16%25"][ld_fancy_heading tag="p" enable_bg="yes" fh_border_radius="circle" use_custom_fonts_title="true" color="rgb(15, 90, 100)" fs="text_small:14px" padding="top_small:3px|right_small:15px|bottom_small:3px|left_small:15px" fh_bg="rgba(15, 90, 100, 0.1)" margin="bottom_small:1.5em"]Free Consultation[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_large:47px" lh="text_small:1em" margin="bottom_small:0.25em"]Private Health Insurance.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.35em" margin="bottom_small:2.65em" color="rgba(16, 58, 64, 0.75)"]Holistic development and support for employees the aim of being a first-choice[/ld_fancy_heading][ld_icon_box i_type="linea" heading_size="xs" i_shape="circle" i_border="" position="iconbox-inline" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title="Injuries or Vehicle Damages" title_mb="1" icon_mb="15" custom_i_size="32px" icon_size="17px" i_color="rgb(124, 191, 152)" h_color="rgb(15, 90, 100)" shape_color="rgba(15, 90, 100, 0.1)" css=".vc_custom_1621607320697{margin-bottom: 15px !important;}" h_i_color="rgb(255, 255, 255)" shape_hcolor="rgb(15, 90, 100)"][/ld_icon_box][ld_icon_box i_type="linea" heading_size="xs" i_shape="circle" i_border="" position="iconbox-inline" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title="Protected Policy" title_mb="1" icon_mb="15" custom_i_size="32px" icon_size="17px" i_color="rgb(124, 191, 152)" h_color="rgb(15, 90, 100)" shape_color="rgba(15, 90, 100, 0.1)" css=".vc_custom_1621607342074{margin-bottom: 15px !important;}" h_i_color="rgb(255, 255, 255)" shape_hcolor="rgb(15, 90, 100)"][/ld_icon_box][ld_icon_box i_type="linea" heading_size="xs" i_shape="circle" i_border="" position="iconbox-inline" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title="Annual Bonus and Extras" title_mb="1" icon_mb="15" custom_i_size="32px" icon_size="17px" i_color="rgb(124, 191, 152)" h_color="rgb(15, 90, 100)" shape_color="rgba(15, 90, 100, 0.1)" css=".vc_custom_1621607356029{margin-bottom: 15px !important;}" h_i_color="rgb(255, 255, 255)" shape_hcolor="rgb(15, 90, 100)"][/ld_icon_box][/vc_column_inner][/vc_row_inner][/ld_tab_section][ld_tab_section title="Travel Insurance" tab_id="lqd-1621607366667-5dea8b2e-8e41"][vc_row_inner content_placement="middle" css=".vc_custom_1621607075161{padding-top: 20px !important;}"][vc_column_inner css=".vc_custom_1621606809742{margin-bottom: 30px !important;}" offset="vc_col-md-6"][vc_single_image image="3533" enable_link="enable_image_link" link="url:https%3A%2F%2Fthemeforest.net%2Fitem%2Fhub-responsive-multipurpose-wordpress-theme%2F31569152||target:%20_blank|" css=".vc_custom_1621606890599{margin-bottom: 0px !important;}" onclick="custom_link"][/vc_column_inner][vc_column_inner offset="vc_col-md-offset-1 vc_col-md-5" responsive_css="padding_right_large:16%25"][ld_fancy_heading tag="p" enable_bg="yes" fh_border_radius="circle" use_custom_fonts_title="true" color="rgb(15, 90, 100)" fs="text_small:14px" padding="top_small:3px|right_small:15px|bottom_small:3px|left_small:15px" fh_bg="rgba(15, 90, 100, 0.1)" margin="bottom_small:1.5em"]Free Consultation[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_large:47px" lh="text_small:1em" margin="bottom_small:0.25em"]Private Health Insurance.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.35em" margin="bottom_small:2.65em" color="rgba(16, 58, 64, 0.75)"]Holistic development and support for employees the aim of being a first-choice[/ld_fancy_heading][ld_icon_box i_type="linea" heading_size="xs" i_shape="circle" i_border="" position="iconbox-inline" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title="Injuries or Vehicle Damages" title_mb="1" icon_mb="15" custom_i_size="32px" icon_size="17px" i_color="rgb(124, 191, 152)" h_color="rgb(15, 90, 100)" shape_color="rgba(15, 90, 100, 0.1)" css=".vc_custom_1621607320697{margin-bottom: 15px !important;}" h_i_color="rgb(255, 255, 255)" shape_hcolor="rgb(15, 90, 100)"][/ld_icon_box][ld_icon_box i_type="linea" heading_size="xs" i_shape="circle" i_border="" position="iconbox-inline" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title="Protected Policy" title_mb="1" icon_mb="15" custom_i_size="32px" icon_size="17px" i_color="rgb(124, 191, 152)" h_color="rgb(15, 90, 100)" shape_color="rgba(15, 90, 100, 0.1)" css=".vc_custom_1621607342074{margin-bottom: 15px !important;}" h_i_color="rgb(255, 255, 255)" shape_hcolor="rgb(15, 90, 100)"][/ld_icon_box][ld_icon_box i_type="linea" heading_size="xs" i_shape="circle" i_border="" position="iconbox-inline" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title="Annual Bonus and Extras" title_mb="1" icon_mb="15" custom_i_size="32px" icon_size="17px" i_color="rgb(124, 191, 152)" h_color="rgb(15, 90, 100)" shape_color="rgba(15, 90, 100, 0.1)" css=".vc_custom_1621607356029{margin-bottom: 15px !important;}" h_i_color="rgb(255, 255, 255)" shape_hcolor="rgb(15, 90, 100)"][/ld_icon_box][/vc_column_inner][/vc_row_inner][/ld_tab_section][ld_tab_section title="Private Insurance" tab_id="lqd-1621607374179-5cdd6882-beb0"][vc_row_inner content_placement="middle" css=".vc_custom_1621607075161{padding-top: 20px !important;}"][vc_column_inner css=".vc_custom_1621606809742{margin-bottom: 30px !important;}" offset="vc_col-md-6"][vc_single_image image="3533" enable_link="enable_image_link" link="url:https%3A%2F%2Fthemeforest.net%2Fitem%2Fhub-responsive-multipurpose-wordpress-theme%2F31569152||target:%20_blank|" css=".vc_custom_1621606890599{margin-bottom: 0px !important;}" onclick="custom_link"][/vc_column_inner][vc_column_inner offset="vc_col-md-offset-1 vc_col-md-5" responsive_css="padding_right_large:16%25"][ld_fancy_heading tag="p" enable_bg="yes" fh_border_radius="circle" use_custom_fonts_title="true" color="rgb(15, 90, 100)" fs="text_small:14px" padding="top_small:3px|right_small:15px|bottom_small:3px|left_small:15px" fh_bg="rgba(15, 90, 100, 0.1)" margin="bottom_small:1.5em"]Free Consultation[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_large:47px" lh="text_small:1em" margin="bottom_small:0.25em"]Private Health Insurance.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.35em" margin="bottom_small:2.65em" color="rgba(16, 58, 64, 0.75)"]Holistic development and support for employees the aim of being a first-choice[/ld_fancy_heading][ld_icon_box i_type="linea" heading_size="xs" i_shape="circle" i_border="" position="iconbox-inline" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title="Injuries or Vehicle Damages" title_mb="1" icon_mb="15" custom_i_size="32px" icon_size="17px" i_color="rgb(124, 191, 152)" h_color="rgb(15, 90, 100)" shape_color="rgba(15, 90, 100, 0.1)" css=".vc_custom_1621607320697{margin-bottom: 15px !important;}" h_i_color="rgb(255, 255, 255)" shape_hcolor="rgb(15, 90, 100)"][/ld_icon_box][ld_icon_box i_type="linea" heading_size="xs" i_shape="circle" i_border="" position="iconbox-inline" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title="Protected Policy" title_mb="1" icon_mb="15" custom_i_size="32px" icon_size="17px" i_color="rgb(124, 191, 152)" h_color="rgb(15, 90, 100)" shape_color="rgba(15, 90, 100, 0.1)" css=".vc_custom_1621607342074{margin-bottom: 15px !important;}" h_i_color="rgb(255, 255, 255)" shape_hcolor="rgb(15, 90, 100)"][/ld_icon_box][ld_icon_box i_type="linea" heading_size="xs" i_shape="circle" i_border="" position="iconbox-inline" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title="Annual Bonus and Extras" title_mb="1" icon_mb="15" custom_i_size="32px" icon_size="17px" i_color="rgb(124, 191, 152)" h_color="rgb(15, 90, 100)" shape_color="rgba(15, 90, 100, 0.1)" css=".vc_custom_1621607356029{margin-bottom: 15px !important;}" h_i_color="rgb(255, 255, 255)" shape_hcolor="rgb(15, 90, 100)"][/ld_icon_box][/vc_column_inner][/vc_row_inner][/ld_tab_section][ld_tab_section title="Car Insurance" tab_id="lqd-1621607383112-12e883f3-202e"][vc_row_inner content_placement="middle" css=".vc_custom_1621607075161{padding-top: 20px !important;}"][vc_column_inner css=".vc_custom_1621606809742{margin-bottom: 30px !important;}" offset="vc_col-md-6"][vc_single_image image="3533" enable_link="enable_image_link" link="url:https%3A%2F%2Fthemeforest.net%2Fitem%2Fhub-responsive-multipurpose-wordpress-theme%2F31569152||target:%20_blank|" css=".vc_custom_1621606890599{margin-bottom: 0px !important;}" onclick="custom_link"][/vc_column_inner][vc_column_inner offset="vc_col-md-offset-1 vc_col-md-5" responsive_css="padding_right_large:16%25"][ld_fancy_heading tag="p" enable_bg="yes" fh_border_radius="circle" use_custom_fonts_title="true" color="rgb(15, 90, 100)" fs="text_small:14px" padding="top_small:3px|right_small:15px|bottom_small:3px|left_small:15px" fh_bg="rgba(15, 90, 100, 0.1)" margin="bottom_small:1.5em"]Free Consultation[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_large:47px" lh="text_small:1em" margin="bottom_small:0.25em"]Private Health Insurance.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.35em" margin="bottom_small:2.65em" color="rgba(16, 58, 64, 0.75)"]Holistic development and support for employees the aim of being a first-choice[/ld_fancy_heading][ld_icon_box i_type="linea" heading_size="xs" i_shape="circle" i_border="" position="iconbox-inline" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title="Injuries or Vehicle Damages" title_mb="1" icon_mb="15" custom_i_size="32px" icon_size="17px" i_color="rgb(124, 191, 152)" h_color="rgb(15, 90, 100)" shape_color="rgba(15, 90, 100, 0.1)" css=".vc_custom_1621607320697{margin-bottom: 15px !important;}" h_i_color="rgb(255, 255, 255)" shape_hcolor="rgb(15, 90, 100)"][/ld_icon_box][ld_icon_box i_type="linea" heading_size="xs" i_shape="circle" i_border="" position="iconbox-inline" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title="Protected Policy" title_mb="1" icon_mb="15" custom_i_size="32px" icon_size="17px" i_color="rgb(124, 191, 152)" h_color="rgb(15, 90, 100)" shape_color="rgba(15, 90, 100, 0.1)" css=".vc_custom_1621607342074{margin-bottom: 15px !important;}" h_i_color="rgb(255, 255, 255)" shape_hcolor="rgb(15, 90, 100)"][/ld_icon_box][ld_icon_box i_type="linea" heading_size="xs" i_shape="circle" i_border="" position="iconbox-inline" i_icon_linea="lqd-icn-ess icon-ion-ios-checkmark" title="Annual Bonus and Extras" title_mb="1" icon_mb="15" custom_i_size="32px" icon_size="17px" i_color="rgb(124, 191, 152)" h_color="rgb(15, 90, 100)" shape_color="rgba(15, 90, 100, 0.1)" css=".vc_custom_1621607356029{margin-bottom: 15px !important;}" h_i_color="rgb(255, 255, 255)" shape_hcolor="rgb(15, 90, 100)"][/ld_icon_box][/vc_column_inner][/vc_row_inner][/ld_tab_section][/ld_tabs][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Tabs 9 - newsletter
	$data = array();
	$data['name'] = esc_html__( 'Tabs 09', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'tabs-9.jpg' );
	$data['sort_name'] = 'Tabs';
	$data['custom_class'] = 'general tabs';
	$data['content'] = <<<CONTENT
	[vc_row responsive_css="padding_top_medium:100px|padding_bottom_medium:45px" css=".vc_custom_1614344337910{padding-top: 60px !important;padding-bottom: 30px !important;}" el_id="solutions"][vc_column][ld_tabs style="style02" reverse_direction="true" use_custom_fonts_nav="true" primary_color="rgb(238, 238, 238)" fs="16px" fw="600"][ld_tab_section i_type="linea" title="Adjustable Personal Preferences" tab_id="lqd-1611242032091-3cf80fd5-e8b1" i_icon_linea="lqd-icn-ess icon-lqd-envelope"][vc_row_inner content_placement="middle" css=".vc_custom_1611245530122{padding-bottom: 35px !important;}"][vc_column_inner offset="vc_col-lg-5 vc_col-md-6" responsive_css="padding_right_large:4%25|margin_bottom_medium:0px" css=".vc_custom_1611315614210{margin-bottom: 35px !important;}"][ld_fancy_heading tag="h6" margin="bottom_small:2em"]<a href="https://saaspro.liquid-themes.com/wp-content/uploads/2021/01/Group-32402.svg"><img class="alignnone size-medium wp-image-964" src="https://saaspro.liquid-themes.com/wp-content/uploads/2021/01/Group-32402.svg" alt="" width="110" height="19" /></a>  Next Generation[/ld_fancy_heading][ld_fancy_heading tag="h2" highlight_reset_onhover="lqd-highlight-reset-onhover" highlight_offset="0.15em" use_custom_fonts_title="true" fs="text_medium:51px|text_small:10vw" highlight_color="rgba(177, 204, 255, 0.35)" margin="bottom_small:0.35em"]No more messy [ld_highlight]distribution[/ld_highlight] lists.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.47em"]Open a beautiful store, increase your conversion rates and boost your sales in minutes with object-oriented UX. Adjust responsive spacing, change font size, hide sections on specific devices, append custom column width.[/ld_fancy_heading][/vc_column_inner][vc_column_inner responsive_css="padding_left_medium:9%25" offset="vc_col-lg-7 vc_col-md-6"][vc_single_image image="1034" css=".vc_custom_1614342210707{margin-bottom: 0px !important;border-radius: 4px !important;}"][/vc_column_inner][/vc_row_inner][/ld_tab_section][ld_tab_section i_type="linea" title="Cloud Data Save Synchronization" tab_id="lqd-1611245636533-6ecd4005-beff" i_icon_linea="lqd-icn-ess icon-lqd-compass"][vc_row_inner content_placement="middle" css=".vc_custom_1611245530122{padding-bottom: 35px !important;}"][vc_column_inner offset="vc_col-lg-5 vc_col-md-6" responsive_css="padding_right_large:4%25|margin_bottom_medium:0px" css=".vc_custom_1611315648789{margin-bottom: 35px !important;}"][ld_fancy_heading tag="h6" margin="bottom_small:2em"]<a href="https://saaspro.liquid-themes.com/wp-content/uploads/2021/01/Group-32402.svg"><img class="alignnone size-medium wp-image-964" src="https://saaspro.liquid-themes.com/wp-content/uploads/2021/01/Group-32402.svg" alt="" width="110" height="19" /></a>  Next Generation[/ld_fancy_heading][ld_fancy_heading tag="h2" highlight_reset_onhover="lqd-highlight-reset-onhover" highlight_offset="0.15em" use_custom_fonts_title="true" fs="text_medium:51px|text_small:10vw" highlight_color="rgba(177, 204, 255, 0.35)" margin="bottom_small:0.35em"]Cloud Data Save [ld_highlight]Synchronization.[/ld_highlight][/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.47em"]Open a beautiful store, increase your conversion rates and boost your sales in minutes with object-oriented UX. Adjust responsive spacing, change font size, hide sections on specific devices, append custom column width.[/ld_fancy_heading][/vc_column_inner][vc_column_inner responsive_css="padding_left_medium:9%25" offset="vc_col-lg-7 vc_col-md-6"][vc_single_image image="1030" css=".vc_custom_1614346545248{margin-bottom: 0px !important;border-radius: 4px !important;}"][/vc_column_inner][/vc_row_inner][/ld_tab_section][ld_tab_section i_type="linea" title="Team Management And Collaboration" tab_id="lqd-1611245723470-33dce49c-ab2b" i_icon_linea="lqd-icn-ess icon-lqd-laptop"][vc_row_inner content_placement="middle" css=".vc_custom_1611245530122{padding-bottom: 35px !important;}"][vc_column_inner offset="vc_col-lg-5 vc_col-md-6" css=".vc_custom_1611315767111{margin-bottom: 35px !important;}" responsive_css="margin_bottom_medium:0px"][ld_fancy_heading tag="h6" margin="bottom_small:2em"]<a href="https://saaspro.liquid-themes.com/wp-content/uploads/2021/01/Group-32402.svg"><img class="alignnone size-medium wp-image-964" src="https://saaspro.liquid-themes.com/wp-content/uploads/2021/01/Group-32402.svg" alt="" width="110" height="19" /></a>  Next Generation[/ld_fancy_heading][ld_fancy_heading tag="h2" highlight_reset_onhover="lqd-highlight-reset-onhover" highlight_offset="0.15em" use_custom_fonts_title="true" fs="text_medium:51px|text_small:10vw" highlight_color="rgba(177, 204, 255, 0.35)" margin="bottom_small:0.35em"][ld_highlight]Management[/ld_highlight] And Collaboration[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.47em"]Open a beautiful store, increase your conversion rates and boost your sales in minutes with object-oriented UX. Adjust responsive spacing, change font size, hide sections on specific devices, append custom column width.[/ld_fancy_heading][/vc_column_inner][vc_column_inner responsive_css="padding_left_medium:9%25" offset="vc_col-lg-7 vc_col-md-6"][vc_single_image image="955" style="vc_box_shadow" css=".vc_custom_1614346578574{margin-bottom: 0px !important;border-radius: 4px !important;}"][/vc_column_inner][/vc_row_inner][/ld_tab_section][/ld_tabs][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Tabs 10 - newsletter
	$data = array();
	$data['name'] = esc_html__( 'Tabs 10', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'tabs-10.jpg' );
	$data['sort_name'] = 'Tabs';
	$data['custom_class'] = 'general tabs';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1614344404888{padding-top: 75px !important;padding-bottom: 35px !important;background-color: #f4f7ff !important;}" el_id="usecases"][vc_column responsive_align="text-center" offset="vc_col-md-offset-2 vc_col-md-8" css=".vc_custom_1611315409676{margin-bottom: 35px !important;}" responsive_css="margin_bottom_small:55px"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_medium:42px|text_small:11vw"]Automate your notifications.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:18px" lh="text_small:1.5em" padding="right_all:10%25|left_all:10%25" color="rgb(121, 121, 121)"]Import a pre-built section block with a single click or save your own custom block to re-use on other pages.[/ld_fancy_heading][/vc_column][vc_column][ld_tabs style="style13" show_button="yes" ib_style="btn-naked" ib_title="See How it Works" ib_link_type="lightbox" ib_i_type="linea" ib_i_position="left" ib_i_shape="btn-icon-circle" ib_i_shape_style="btn-icon-solid" ib_i_shape_size="btn-icon-custom-size" reverse_direction="true" use_custom_fonts_nav="true" ib_i_add_icon="true" ib_link="url:https%3A%2F%2Fyoutu.be%2FJLE228ZuGGA|||" ib_i_icon_linea="lqd-icn-ess icon-ion-ios-play" ib_i_size="9px" ib_i_shape_custom_size="19px" ib_i_margin_right="14px" ib_fs="16px" ib_fw="600" text_color="rgb(0, 0, 0)" primary_hcolor="rgb(255, 255, 255)" text_hcolor="rgb(0, 0, 0)" fw="600" fs="16px"][ld_tab_section title="Visual Site Editor" tab_id="lqd-1611239662676-1683a79a-4e15" desc="Adjust responsive spacing, change font size, hide sections on specific devices, append custom column width."][vc_row_inner][vc_column_inner offset="vc_col-lg-offset-2 vc_col-lg-9"][vc_single_image image="955" alignment="center" style="vc_box_shadow_circle" css=".vc_custom_1611315428838{margin-bottom: 0px !important;border-radius: 4px !important;}"][/vc_column_inner][/vc_row_inner][/ld_tab_section][ld_tab_section title="Responsive Settings" tab_id="lqd-1611240475254-7a4e1572-293f" desc="Adjust responsive spacing, change font size, hide sections on specific devices, append custom column width."][vc_row_inner][vc_column_inner offset="vc_col-lg-offset-2 vc_col-lg-9"][vc_single_image image="1032" alignment="center" css=".vc_custom_1614341798064{margin-bottom: 0px !important;border-radius: 4px !important;}" image_max_width="70%"][/vc_column_inner][/vc_row_inner][/ld_tab_section][ld_tab_section title="Live Theme Customizer" tab_id="lqd-1611240499336-ce4259f2-6a31" desc="Adjust responsive spacing, change font size, hide sections on specific devices, append custom column width."][vc_row_inner][vc_column_inner offset="vc_col-lg-offset-2 vc_col-lg-9"][vc_single_image image="1030" alignment="center" css=".vc_custom_1614341832014{margin-bottom: 0px !important;border-radius: 4px !important;}"][/vc_column_inner][/vc_row_inner][/ld_tab_section][ld_tab_section title="Hub Collection" tab_id="lqd-1611240522154-2610ef27-6061" desc="Adjust responsive spacing, change font size, hide sections on specific devices, append custom column width."][vc_row_inner][vc_column_inner offset="vc_col-lg-offset-2 vc_col-lg-9"][vc_single_image image="955" alignment="center" style="vc_box_shadow_circle" css=".vc_custom_1611240571721{margin-bottom: 0px !important;border-radius: 4px !important;}"][/vc_column_inner][/vc_row_inner][/ld_tab_section][ld_tab_section title="Backend mode" tab_id="lqd-1611240540502-32841f7c-5ea8" desc="Adjust responsive spacing, change font size, hide sections on specific devices, append custom column width."][vc_row_inner][vc_column_inner offset="vc_col-lg-offset-2 vc_col-lg-9"][vc_single_image image="955" alignment="center" style="vc_box_shadow_circle" css=".vc_custom_1611240604853{margin-bottom: 0px !important;border-radius: 4px !important;}"][/vc_column_inner][/vc_row_inner][/ld_tab_section][/ld_tabs][/vc_column][vc_column][ld_images_group_element img_size="50%" absolute_pos="yes" image="958" position="top_small:-110px|right_small:0px|left_small:0px"][/ld_images_group_element][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Tabs 11 - newsletter
	$data = array();
	$data['name'] = esc_html__( 'Tabs 11', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'tabs-11.jpg' );
	$data['sort_name'] = 'Tabs';
	$data['custom_class'] = 'general tabs';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1614777369250{padding-top: 20px !important;padding-bottom: 25px !important;}" responsive_css="padding_top_medium:30px|padding_bottom_medium:45px"][vc_column][ld_tabs style="style09c" reverse_direction="true" use_custom_fonts_nav="true" primary_color="rgb(247, 250, 255)" text_color="rgb(3, 51, 80)" primary_hcolor="rgb(255, 255, 255)" text_hcolor="rgb(255, 77, 18)" fs="14px" fw="600" ls="0.02em" nav_bg_color="rgb(250, 251, 255)"][ld_tab_section title="Digital Solutions" tab_id="lqd-1588587395594-e455dcf0-5a3c"][vc_row_inner content_placement="middle"][vc_column_inner offset="vc_col-md-offset-1 vc_col-md-4"][vc_single_image image="4928" img_size="full"][/vc_column_inner][vc_column_inner offset="vc_col-md-offset-1 vc_col-md-6"][ld_fancy_heading tag="h6" transform="text-lowercase" duration="1600" delay="100" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" enable_bg="yes" fh_border_radius="circle" enable_split="true" margin="bottom_small:0.75em" ca_init_translate_x="0" ca_init_rotate_y="0" ca_init_translate_y="35" color="rgb(255, 90, 61)" padding="top_small:10px|right_small:20px|bottom_small:10px|left_small:20px" fh_bg="rgb(255, 234, 230)"]Digital Experience[/ld_fancy_heading][ld_fancy_heading tag="h2" highlight_offset="5px" highlight_color="rgba(255, 119, 119, 0.18)"]Social marketing and [ld_highlight]advertising.[/ld_highlight][/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:19px" lh="text_small:1.5em" color="rgb(49, 63, 88)" margin="bottom_small:2em"]We provide digital experience services to startups and small businesses. We help our clients succeed by creating brand identities, digital experiences, and print materials. Install any demo, plugin or template in a matter of seconds.[/ld_fancy_heading][ld_button style="btn-naked" title="Learn more" transformation="text-uppercase" hover_txt_effect="btn-hover-txt-liquid-x" i_type="linea" i_hover_reveal="btn-hover-swp" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" fs="12px" ls="0.1em" i_size="1.25em"][/vc_column_inner][/vc_row_inner][/ld_tab_section][ld_tab_section title="eCommerce Systems" tab_id="lqd-1588588397439-593175ba-fc56"][vc_row_inner content_placement="middle"][vc_column_inner offset="vc_col-md-offset-1 vc_col-md-4"][vc_single_image image="4930" img_size="full"][/vc_column_inner][vc_column_inner offset="vc_col-md-offset-1 vc_col-md-6"][ld_fancy_heading tag="h6" margin="bottom_small:1.5em"]Increase Values[/ld_fancy_heading][ld_fancy_heading tag="h2"]Full eCommerce Integration.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:19px" lh="text_small:1.5em" color="rgb(49, 63, 88)" margin="bottom_small:2em"]We provide digital experience services to startups and small businesses. We help our clients succeed by creating brand identities, digital experiences, and print materials. Install any demo, plugin or template in a matter of seconds.[/ld_fancy_heading][ld_button style="btn-naked" title="Learn more" transformation="text-uppercase" hover_txt_effect="btn-hover-txt-liquid-x" i_type="linea" i_hover_reveal="btn-hover-swp" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" fs="12px" ls="0.1em" i_size="1.25em"][/vc_column_inner][/vc_row_inner][/ld_tab_section][ld_tab_section title="Web Development" tab_id="lqd-1588588404498-193736f7-71cf"][vc_row_inner content_placement="middle"][vc_column_inner offset="vc_col-md-offset-1 vc_col-md-4"][vc_single_image image="4928" img_size="full"][/vc_column_inner][vc_column_inner offset="vc_col-md-offset-1 vc_col-md-6"][ld_fancy_heading tag="h6" margin="bottom_small:1.5em"]Increase Values[/ld_fancy_heading][ld_fancy_heading tag="h2"]Search Engine Optimization.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:19px" lh="text_small:1.5em" color="rgb(49, 63, 88)" margin="bottom_small:2em"]We provide digital experience services to startups and small businesses. We help our clients succeed by creating brand identities, digital experiences, and print materials. Install any demo, plugin or template in a matter of seconds.[/ld_fancy_heading][ld_button style="btn-naked" title="Learn more" transformation="text-uppercase" hover_txt_effect="btn-hover-txt-liquid-x" i_type="linea" i_hover_reveal="btn-hover-swp" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" fs="12px" ls="0.1em" i_size="1.25em"][/vc_column_inner][/vc_row_inner][/ld_tab_section][ld_tab_section title="Mobile Apps" tab_id="lqd-1588588411765-99d8f082-68e1"][vc_row_inner content_placement="middle"][vc_column_inner offset="vc_col-md-offset-1 vc_col-md-4"][vc_single_image image="4930" img_size="full" image_max_width="370px"][/vc_column_inner][vc_column_inner offset="vc_col-md-offset-1 vc_col-md-6"][ld_fancy_heading tag="h6" margin="bottom_small:1.5em"]Increase Values[/ld_fancy_heading][ld_fancy_heading tag="h2"]Social marketing and advertising.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:19px" lh="text_small:1.5em" color="rgb(49, 63, 88)" margin="bottom_small:2em"]We provide digital experience services to startups and small businesses. We help our clients succeed by creating brand identities, digital experiences, and print materials. Install any demo, plugin or template in a matter of seconds.[/ld_fancy_heading][ld_button style="btn-naked" title="Learn more" transformation="text-uppercase" hover_txt_effect="btn-hover-txt-liquid-x" i_type="linea" i_hover_reveal="btn-hover-swp" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" fs="12px" ls="0.1em" i_size="1.25em"][/vc_column_inner][/vc_row_inner][/ld_tab_section][/ld_tabs][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Tabs 12 - newsletter
	$data = array();
	$data['name'] = esc_html__( 'Tabs 12', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'tabs-12.jpg' );
	$data['sort_name'] = 'Tabs';
	$data['custom_class'] = 'general tabs';
	$data['content'] = <<<CONTENT
	[vc_row responsive_css="padding_top_medium:75px|padding_bottom_medium:75px" css=".vc_custom_1620647925251{padding-top: 60px !important;padding-bottom: 30px !important;}" el_id="features"][vc_column column_content_align="justify-content-center" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-offset-2 vc_col-md-8" responsive_css="margin_bottom_medium:120px" css=".vc_custom_1621702243898{margin-bottom: 35px !important;}" ca_duration="1600" ca_start_delay="850" ca_delay="160" ca_init_translate_y="35" ca_init_rotate_z="0"][ld_fancy_heading tag="h2" alignment="text-center" use_custom_fonts_title="true" color="rgb(17, 36, 70)" fs="text_medium:38px|text_small:36px" ls="text_small:-0.01em"]Mobile-first approach.[/ld_fancy_heading][ld_fancy_heading tag="p" alignment="text-center" use_custom_fonts_title="true" color="rgb(74, 98, 126)" fs="text_small:16px" lh="text_small:1.375em" padding="right_large:12%25|left_large:12%25"]Complete Design Toolkit – huge collection of elements, rich customization options, flexible layouts, and instant results![/ld_fancy_heading][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-offset-8 vc_col-md-4" ca_duration="1600" ca_delay="160" ca_init_translate_y="35" responsive_css="padding_left_large:20px"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" color="rgb(17, 36, 70)" fs="text_small:38px" ls="text_small:-0.01em" margin="bottom_small:0.35em"]Highly Flexible[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(74, 98, 126)" fs="text_small:16px" lh="text_small:1.375em" margin="bottom_small:2em"]Complete Design Toolkit – huge collection of elements, rich customization options, flexible layouts, and instant results![/ld_fancy_heading][/vc_column][vc_column offset="vc_hidden-sm vc_hidden-xs"][ld_custom_menu source="custom" localscroll="yes" menu_alignment="text-center" sticky="yes" cm_sticky_type="lqd-sticky-menu-floating" use_custom_fonts_menu="true" items="%5B%7B%22label%22%3A%22Installaton%22%2C%22url%22%3A%22%23installation%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Features%22%2C%22url%22%3A%22%23features%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Pricing%22%2C%22url%22%3A%22%23pricing%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%2C%7B%22label%22%3A%22Download%22%2C%22url%22%3A%22%23download%22%2C%22icon_alignment%22%3A%22left-icon%22%7D%5D" bgcolor="rgb(255, 255, 255)" color="rgb(0, 0, 0)" hcolor="rgb(255, 255, 255)" bg_hcolor="rgb(10, 98, 115)" fs="14px" lh="1em"][/vc_column][vc_column][ld_tabs style="style08" reverse_direction="true" text_color="rgba(89, 105, 129, 0.75)" primary_hcolor="rgb(27, 193, 155)" text_hcolor="rgb(34, 43, 56)"][ld_tab_section title="Adaptive Colors" tab_id="lqd-1608818693908-495a3196-6662"][vc_row_inner][vc_column_inner responsive_css="margin_top_medium:-200px"][vc_single_image image="232" alignment="center"][/vc_column_inner][/vc_row_inner][/ld_tab_section][ld_tab_section title="One Click Installation" tab_id="lqd-1608819302315-af987b08-2be5"][vc_row_inner][vc_column_inner responsive_css="margin_top_medium:-200px"][vc_single_image image="234" alignment="center"][/vc_column_inner][/vc_row_inner][/ld_tab_section][ld_tab_section title="Section Pinning" tab_id="lqd-1608819327246-7b0e1120-b506"][vc_row_inner][vc_column_inner responsive_css="margin_top_medium:-200px"][vc_single_image image="232" alignment="center"][/vc_column_inner][/vc_row_inner][/ld_tab_section][/ld_tabs][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Tabs 13 - newsletter
	$data = array();
	$data['name'] = esc_html__( 'Tabs 13', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'tabs-13.jpg' );
	$data['sort_name'] = 'Tabs';
	$data['custom_class'] = 'general tabs';
	$data['content'] = <<<CONTENT
	[vc_row equal_height="yes" content_placement="middle" responsive_css="padding_top_medium:80px|padding_bottom_medium:45px" el_id="developers"][vc_column][ld_tabs style="style09" reverse_direction="true" use_custom_fonts_nav="true" primary_color="rgb(247, 250, 255)" border_color="rgb(247, 250, 255)" text_color="rgb(3, 51, 80)" primary_hcolor="rgb(255, 255, 255)" border_hcolor="rgb(247, 250, 255)" text_hcolor="rgb(255, 77, 18)" fs="14px" ls="0.02em"][ld_tab_section title="Connect and Start" tab_id="lqd-1610920276902-79c796ec-4970"][vc_row_inner content_placement="middle"][vc_column_inner offset="vc_col-md-offset-0 vc_col-md-6"][vc_single_image image="318" alignment="center" style="vc_box_shadow"][/vc_column_inner][vc_column_inner offset="vc_col-md-offset-1 vc_col-md-5" css=".vc_custom_1611151715368{margin-bottom: 35px !important;}"][ld_fancy_heading tag="h6" enable_bg="yes" fh_border_radius="round" use_custom_fonts_title="true" margin="bottom_small:1.5em" padding="top_small:10px|right_small:10px|bottom_small:10px|left_small:10px" fh_bg="rgb(250, 244, 255)" fs="text_small:15px"]Increase Values[/ld_fancy_heading][ld_fancy_heading tag="h2"]Start a private group video call.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:19px" lh="text_small:1.5em" color="rgb(49, 63, 88)" margin="bottom_small:2em"]Complete Design Toolkit – huge collection of elements, rich customization options, flexible layouts, and instant results![/ld_fancy_heading][ld_button style="btn-naked" title="Learn more" transformation="text-uppercase" hover_txt_effect="btn-hover-txt-liquid-x" i_type="linea" i_hover_reveal="btn-hover-swp" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" fs="text_small:12px" ls="text_small:0.1em" i_size="1.25em"][/vc_column_inner][/vc_row_inner][/ld_tab_section][ld_tab_section title="Private Chat Groups" tab_id="lqd-1588587395594-e455dcf0-5a3c"][vc_row_inner content_placement="middle"][vc_column_inner offset="vc_col-md-offset-0 vc_col-md-6"][vc_single_image image="287" alignment="center"][/vc_column_inner][vc_column_inner offset="vc_col-md-offset-1 vc_col-md-5" css=".vc_custom_1611151694889{margin-bottom: 35px !important;}"][ld_fancy_heading tag="h6" enable_bg="yes" fh_border_radius="round" use_custom_fonts_title="true" margin="bottom_small:1.5em" padding="top_small:10px|right_small:10px|bottom_small:10px|left_small:10px" fh_bg="rgb(250, 244, 255)" fs="text_small:15px"]Increase Values[/ld_fancy_heading][ld_fancy_heading tag="h2"]Track your daily activity.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:19px" lh="text_small:1.5em" color="rgb(49, 63, 88)" margin="bottom_small:2em"]Complete Design Toolkit – huge collection of elements, rich customization options, flexible layouts, and instant results![/ld_fancy_heading][ld_button style="btn-naked" title="Learn more" transformation="text-uppercase" hover_txt_effect="btn-hover-txt-liquid-x" i_type="linea" i_position="left" i_hover_reveal="btn-hover-swp" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" fs="12px" ls="0.1em" i_size="1.25em"][/vc_column_inner][/vc_row_inner][/ld_tab_section][ld_tab_section title="Edit Contact List" tab_id="lqd-1610920280123-0370cdf5-13d3"][vc_row_inner content_placement="middle"][vc_column_inner offset="vc_col-md-offset-0 vc_col-md-6"][vc_single_image image="318" alignment="center" style="vc_box_shadow"][/vc_column_inner][vc_column_inner offset="vc_col-md-offset-1 vc_col-md-5" css=".vc_custom_1611151687604{margin-bottom: 35px !important;}"][ld_fancy_heading tag="h6" enable_bg="yes" fh_border_radius="round" use_custom_fonts_title="true" margin="bottom_small:1.5em" padding="top_small:10px|right_small:10px|bottom_small:10px|left_small:10px" fh_bg="rgb(250, 244, 255)" fs="text_small:15px"]Increase Values[/ld_fancy_heading][ld_fancy_heading tag="h2"]Start a private group chat.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:19px" lh="text_small:1.5em" color="rgb(49, 63, 88)" margin="bottom_small:2em"]Complete Design Toolkit – huge collection of elements, rich customization options, flexible layouts, and instant results![/ld_fancy_heading][ld_button style="btn-naked" title="Learn more" transformation="text-uppercase" hover_txt_effect="btn-hover-txt-liquid-x" i_type="linea" i_position="left" i_hover_reveal="btn-hover-swp" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" fs="12px" ls="0.1em" i_size="1.25em"][/vc_column_inner][/vc_row_inner][/ld_tab_section][ld_tab_section title="Track Daily Activity" tab_id="lqd-1610920278883-bff88772-4170"][vc_row_inner content_placement="middle"][vc_column_inner offset="vc_col-md-offset-0 vc_col-md-6"][vc_single_image image="287" alignment="center"][/vc_column_inner][vc_column_inner offset="vc_col-md-offset-1 vc_col-md-5" css=".vc_custom_1611151708617{margin-bottom: 35px !important;}"][ld_fancy_heading tag="h6" enable_bg="yes" fh_border_radius="round" use_custom_fonts_title="true" margin="bottom_small:1.5em" padding="top_small:10px|right_small:10px|bottom_small:10px|left_small:10px" fh_bg="rgb(250, 244, 255)" fs="text_small:15px"]Increase Values[/ld_fancy_heading][ld_fancy_heading tag="h2"]Start a private group chat.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:19px" lh="text_small:1.5em" color="rgb(49, 63, 88)" margin="bottom_small:2em"]Complete Design Toolkit – huge collection of elements, rich customization options, flexible layouts, and instant results![/ld_fancy_heading][ld_button style="btn-naked" title="Learn more" transformation="text-uppercase" hover_txt_effect="btn-hover-txt-liquid-x" i_type="linea" i_position="left" i_hover_reveal="btn-hover-swp" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" fs="12px" ls="0.1em" i_size="1.25em"][/vc_column_inner][/vc_row_inner][/ld_tab_section][/ld_tabs][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Tabs 14 - newsletter
	$data = array();
	$data['name'] = esc_html__( 'Tabs 14', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'tabs-14.jpg' );
	$data['sort_name'] = 'Tabs';
	$data['custom_class'] = 'general tabs';
	$data['content'] = <<<CONTENT
	[vc_row enable_gradient="yes" enable_row_dividers="yes" css=".vc_custom_1573299623507{padding-top: 180px !important;padding-bottom: 60px !important;}" gradient_bg="linear-gradient(180deg, rgba(236,243,255,0.45) 0%, rgba(255,255,255,0.45) 54.77707006369427%)" row_svg_divider="top_shape_type:1|top_shape_color:%23ffffff|top_shape_height:83" responsive_css="padding_bottom_medium:130px"][vc_column][ld_tabs style="style03" use_custom_fonts_nav="true" lh="1.25em" fs="16px" text_color="rgb(134, 142, 156)" text_hcolor="rgb(32, 49, 82)"][ld_tab_section title="Artificial Intelligence" tab_id="ld-1572769456008-197003c3-53bf"][vc_row_inner content_placement="middle" css=".vc_custom_1573297982002{padding-top: 25px !important;}"][vc_column_inner enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-offset-1 vc_col-md-5" ca_duration="1800" ca_delay="180" ca_init_translate_y="30"][ld_fancy_heading tag="h2"]No more messy distribution lists.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:32px" margin="bottom_small:2em" padding="right_large:5%25"]Install any demo or template with a single click. You can mix and match all the demos &amp; templates. Every demo can be turned into one or multi-page. You can also use the shop features for all demos.[/ld_fancy_heading][ld_button style="btn-solid" title="Get started" shape="circle" border="border-none" i_type="linea" i_hover_reveal="btn-hover-swp" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" i_margin_left="18px" color="rgba(17, 36, 70, 0.04)" text_color="rgb(0, 0, 0)" htext_color="rgb(255, 255, 255)" fs="16px" lh="1.35em"][/vc_column_inner][vc_column_inner parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" offset="vc_col-md-6" translate_from_y="50" translate_to_y="-80"][vc_single_image image="232"][/vc_column_inner][/vc_row_inner][/ld_tab_section][ld_tab_section title="Header Builder" tab_id="lqd-1610356843066-63178068-38cb"][vc_row_inner content_placement="middle" css=".vc_custom_1573297982002{padding-top: 25px !important;}"][vc_column_inner enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-offset-1 vc_col-md-5" ca_duration="1800" ca_delay="180" ca_init_translate_y="30"][ld_fancy_heading tag="h2"]Exclusive header builder included.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:32px" margin="bottom_small:2em" padding="right_small:5%25"]Install any demo or template with a single click. You can mix and match all the demos &amp; templates. Every demo can be turned into one or multi-page. You can also use the shop features for all demos.[/ld_fancy_heading][ld_button style="btn-solid" title="Get started" shape="circle" border="border-none" i_type="linea" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" i_margin_left="18px" color="rgba(17, 36, 70, 0.04)" hover_color="rgb(0, 0, 0)" text_color="rgb(0, 0, 0)" htext_color="rgb(255, 255, 255)" fs="16px" lh="1.35em"][/vc_column_inner][vc_column_inner parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" offset="vc_col-md-6" translate_from_y="50" translate_to_y="-80"][vc_single_image image="234"][/vc_column_inner][/vc_row_inner][/ld_tab_section][ld_tab_section title="Safe and Private" tab_id="lqd-1610356877832-ac8759c1-616e"][vc_row_inner content_placement="middle" css=".vc_custom_1573297982002{padding-top: 25px !important;}"][vc_column_inner enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-offset-1 vc_col-md-5" ca_duration="1800" ca_delay="180" ca_init_translate_y="30"][ld_fancy_heading tag="h2"]No more messy distribution lists.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:32px" margin="bottom_small:2em" padding="right_small:5%25"]Install any demo or template with a single click. You can mix and match all the demos &amp; templates. Every demo can be turned into one or multi-page. You can also use the shop features for all demos.[/ld_fancy_heading][ld_button style="btn-solid" title="Get started" shape="circle" border="border-none" i_type="linea" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-md-arrow-forward" i_margin_left="18px" color="rgba(17, 36, 70, 0.04)" hover_color="rgb(0, 0, 0)" text_color="rgb(0, 0, 0)" htext_color="rgb(255, 255, 255)" fs="16px" lh="1.35em"][/vc_column_inner][vc_column_inner parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" offset="vc_col-md-6" translate_from_y="50" translate_to_y="-80"][vc_single_image image="232"][/vc_column_inner][/vc_row_inner][/ld_tab_section][ld_tab_section title="Mobility Solutions" tab_id="ld-1572870974852-fa0288e0-096d"][vc_row_inner content_placement="middle" css=".vc_custom_1573298011276{padding-top: 25px !important;}"][vc_column_inner enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-offset-1 vc_col-md-5" ca_duration="1800" ca_delay="180" ca_init_translate_y="30"][ld_fancy_heading tag="h2"]No more messy page builders.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:32px" margin="bottom_small:2em" padding="right_large:5%25"]Install any demo or template with a single click. You can mix and match all the demos &amp; templates. Every demo can be turned into one or multi-page. You can also use the shop features for all demos.[/ld_fancy_heading][ld_button style="btn-solid" title="Get started" shape="circle" border="border-none" i_type="linea" i_add_icon="true" i_icon_linea="icon-arrow-right-material" i_margin_left="18px" color="rgba(17, 36, 70, 0.04)" hover_color="rgb(0, 0, 0)" text_color="rgb(0, 0, 0)" htext_color="rgb(255, 255, 255)" fs="16px" lh="1.35em"][/vc_column_inner][vc_column_inner parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" offset="vc_col-md-6" translate_from_y="50" translate_to_y="-80"][vc_single_image image="234"][/vc_column_inner][/vc_row_inner][/ld_tab_section][/ld_tabs][/vc_column][vc_column responsive_css="margin_top_medium:25px|border_top_medium:1px|border_right_medium:1px|border_bottom_medium:1px|border_left_medium:1px|padding_top_medium:36px|padding_right_medium:65px|padding_bottom_medium:36px|padding_left_medium:65px|padding_right_small:30px|padding_left_small:30px" custom_border_radius="500px" css=".vc_custom_1610355506397{border-top-width: 0px !important;border-right-width: 0px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;border-left-color: #eaeaea !important;border-left-style: solid !important;border-right-color: #eaeaea !important;border-right-style: solid !important;border-top-color: #eaeaea !important;border-top-style: solid !important;border-bottom-color: #eaeaea !important;border-bottom-style: solid !important;}"][ld_process_box_container template="style05"][ld_process_box title="Register your personal email" title_color="rgb(17, 36, 70)"][/ld_process_box][ld_process_box title="Accept Invitations" title_color="rgb(17, 36, 70)"][/ld_process_box][ld_process_box title="Start using your email" title_color="rgb(17, 36, 70)"][/ld_process_box][/ld_process_box_container][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Tabs 15 - newsletter
	$data = array();
	$data['name'] = esc_html__( 'Tabs 15', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'tabs-15.jpg' );
	$data['sort_name'] = 'Tabs';
	$data['custom_class'] = 'general tabs';
	$data['content'] = <<<CONTENT
	[vc_row responsive_css="padding_top_medium:150px|padding_top_small:80px" css=".vc_custom_1610108838714{padding-top: 60px !important;padding-bottom: 20px !important;}"][vc_column offset="vc_col-md-5" css=".vc_custom_1610108416482{margin-bottom: 30px !important;}"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" color="rgb(31, 42, 88)" fs="text_small:39px" lh="text_small:1.05em" highlight_color="rgba(21, 118, 255, 0.2)"]Las [ld_highlight]services[/ld_highlight] de sont disponibles.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:16px" lh="text_small:1.5em" margin="right_all:10%25"]Les services de paiement sont disponibles via des applications mobiles et de bureau.[/ld_fancy_heading][/vc_column][vc_column][ld_tabs style="style06" use_custom_fonts_nav="true" primary_hcolor="rgb(0, 203, 153)" fs="17px" lh="1.5em"][ld_tab_section i_type="linea" title="Make an Appointment" tab_id="1571993482466-866be5b0-1be5" i_icon_linea="lqd-icn-ess icon-num-1"][vc_row_inner responsive_css="margin_top_medium:-40%25"][vc_column_inner parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" align="text-right" offset="vc_col-md-offset-2 vc_col-md-11" translate_from_y="70" translate_to_y="-81" css=".vc_custom_1573289223292{margin-bottom: -370px !important;}" responsive_css="margin_bottom_medium:-450px" responsive_align="text-right"][vc_single_image image="319" alignment="right"][/vc_column_inner][vc_column_inner parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" offset="vc_col-md-offset-2 vc_col-md-8" translate_from_y="135" translate_to_y="-230" css=".vc_custom_1572006813545{padding-right: 5% !important;padding-left: 5% !important;}"][vc_single_image image="318"][/vc_column_inner][/vc_row_inner][/ld_tab_section][ld_tab_section i_type="linea" title="Business Consultation" tab_id="ld-1572006892557-78869ffb-9135" i_icon_linea="lqd-icn-ess icon-num-2"][vc_row_inner responsive_css="margin_top_medium:-40%25"][vc_column_inner parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" align="text-right" offset="vc_col-md-offset-2 vc_col-md-11" translate_from_y="70" translate_to_y="-81" css=".vc_custom_1573289234259{margin-bottom: -370px !important;}" responsive_css="margin_bottom_medium:-450px" responsive_align="text-right"][vc_single_image image="317" alignment="right"][/vc_column_inner][vc_column_inner parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" offset="vc_col-md-offset-2 vc_col-md-8" translate_from_y="135" translate_to_y="-230" css=".vc_custom_1572006813545{padding-right: 5% !important;padding-left: 5% !important;}"][vc_single_image image="318"][/vc_column_inner][/vc_row_inner][/ld_tab_section][ld_tab_section i_type="linea" title="Business Analytics" tab_id="ld-1572006902459-d8356ed9-2186" i_icon_linea="lqd-icn-ess icon-num-3"][vc_row_inner responsive_css="margin_top_medium:-40%25"][vc_column_inner parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" align="text-right" offset="vc_col-md-offset-2 vc_col-md-11" translate_from_y="70" translate_to_y="-81" css=".vc_custom_1573289247777{margin-bottom: -370px !important;}" responsive_css="margin_bottom_medium:-450px" responsive_align="text-right"][vc_single_image image="319" alignment="right"][/vc_column_inner][vc_column_inner parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" offset="vc_col-md-offset-2 vc_col-md-8" translate_from_y="135" translate_to_y="-230" css=".vc_custom_1572006813545{padding-right: 5% !important;padding-left: 5% !important;}"][vc_single_image image="318"][/vc_column_inner][/vc_row_inner][/ld_tab_section][/ld_tabs][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	//Category Team
	//Team 1
	$data = array();
	$data['name'] = esc_html__( 'Team 01', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'team-1.jpg' );
	$data['sort_name'] = 'Team';
	$data['custom_class'] = 'general team';
	$data['content'] = <<<CONTENT
	[vc_row equal_height="yes" css=".vc_custom_1596223143045{padding-top: 60px !important;padding-bottom: 15px !important;}" responsive_css="padding_top_medium:130px|padding_top_small:70px"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" align="text-center" offset="vc_col-md-offset-3 vc_col-md-6" ca_duration="1800" ca_delay="180" ca_init_translate_y="35" responsive_align="text-center"][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" color="rgb(122, 118, 100)" fs="11px" margin="bottom_small:2em" fw="700" ls="0.2em"]Our Barbers[/ld_fancy_heading][ld_fancy_heading tag="h2" split_type="words" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" enable_split="true" use_mask="true" ca_init_translate_y="70"]Hair Stylists[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true"]Hold ourselves at the standard shaving of perfection in the barber special double zero cut.[/ld_fancy_heading][ld_spacer height="22px"][/vc_column][/vc_row][vc_row full_width="stretch_row" gap="0" equal_height="yes"][vc_column width="1/2" offset="vc_col-md-3"][ld_team_member template="style05" image="124" name="Jamie Vox" position="Hair Stylist" socials="%5B%7B%22network%22%3A%22fa-behance%22%7D%5D" accent_color="linear-gradient(0deg, rgba(0, 0, 0, 0.9) 0%, rgba(0, 0, 0, 0) 80.2547770700637%)" title_color="rgb(255, 255, 255)" pos_color="rgba(255, 255, 255, 0.6)"][/ld_team_member][/vc_column][vc_column width="1/2" offset="vc_col-md-3"][ld_team_member template="style05" image="125" name="Rob Kye" position="Beard Stylist" socials="%5B%7B%22network%22%3A%22fa-behance%22%7D%5D" accent_color="linear-gradient(0deg, rgba(0, 0, 0, 0.9) 0%, rgba(0, 0, 0, 0) 80.2547770700637%)" title_color="rgb(255, 255, 255)" pos_color="rgba(255, 255, 255, 0.6)"][/ld_team_member][/vc_column][vc_column width="1/2" offset="vc_col-md-3"][ld_team_member template="style05" image="126" name="Erik Genie" position="Hair Stylist" socials="%5B%7B%22network%22%3A%22fa-behance%22%7D%5D" accent_color="linear-gradient(0deg, rgba(0, 0, 0, 0.9) 0%, rgba(0, 0, 0, 0) 80.2547770700637%)" title_color="rgb(255, 255, 255)" pos_color="rgba(255, 255, 255, 0.6)"][/ld_team_member][/vc_column][vc_column width="1/2" offset="vc_col-md-3"][ld_team_member template="style05" image="127" name="Jack Dan" position="Hair Stylist" socials="%5B%7B%22network%22%3A%22fa-behance%22%7D%5D" accent_color="linear-gradient(0deg, rgba(0, 0, 0, 0.9) 0%, rgba(0, 0, 0, 0) 80.2547770700637%)" title_color="rgb(255, 255, 255)" pos_color="rgba(255, 255, 255, 0.6)"][/ld_team_member][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Team 2
	$data = array();
	$data['name'] = esc_html__( 'Team 02', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'team-2.jpg' );
	$data['sort_name'] = 'Team';
	$data['custom_class'] = 'general team';
	$data['content'] = <<<CONTENT
	[vc_row gap="30" equal_height="yes" content_placement="middle" css=".vc_custom_1576240468850{margin-top: 110px !important;padding-bottom: 40px !important;}"][vc_column align="text-center" responsive_align="text-center" offset="vc_col-md-offset-2 vc_col-md-8" css=".vc_custom_1576240186399{margin-bottom: 45px !important;}"][ld_fancy_heading tag="h2" alignment="text-center" use_custom_fonts_title="true" fw="text_small:700"]Our Team[/ld_fancy_heading][vc_column_text]<span style="font-size: 18px; color: #818486;">As a leading college in Paris, we look to engage with our student beyond the conventional design and development school relationship, becoming a partner to the people.</span>[/vc_column_text][/vc_column][vc_column width="2/3" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-offset-0 vc_col-md-4" ca_init_translate_y="20" ca_duration="1200" ca_delay="150"][vc_single_image image="9093" css=".vc_custom_1610723814216{margin-bottom: 22px !important;}"][ld_fancy_heading tag="h4" use_custom_fonts_title="true" fw="text_small:700" fs="text_small:25px"]Gilbert Hughes[/ld_fancy_heading][ld_fancy_heading tag="h6" transform="text-uppercase" enable_bg="yes" fh_border_radius="semi-round" use_custom_fonts_title="true" color="rgb(144, 145, 151)" fs="text_small:10px" fw="text_small:400" ls="text_small:0.1em" padding="top_small:6px|right_small:6px|bottom_small:6px|left_small:6px" fh_bg="rgb(241, 244, 245)" margin="bottom_small:1em"]Proffessor[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:15px" lh="text_small:1.6em" margin="right_large:10%25"]Gilbert Hughes joined Hub Constructon in 1955 as an estimator/project manager, after previously working months as a laborer.[/ld_fancy_heading][/vc_column][vc_column width="2/3" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-offset-0 vc_col-md-4" ca_init_translate_y="20" ca_start_delay="200" ca_duration="1200" ca_delay="150"][vc_single_image image="9092" css=".vc_custom_1610723823375{margin-bottom: 22px !important;}"][ld_fancy_heading tag="h4" use_custom_fonts_title="true" fs="text_small:25px" fw="text_small:700"]Erik Genie[/ld_fancy_heading][ld_fancy_heading tag="h6" transform="text-uppercase" enable_bg="yes" fh_border_radius="semi-round" use_custom_fonts_title="true" color="rgb(144, 145, 151)" fs="text_small:10px" fw="text_small:400" ls="text_small:0.1em" padding="top_small:6px|right_small:6px|bottom_small:6px|left_small:6px" fh_bg="rgb(241, 244, 245)" margin="bottom_small:1em"]Proffessor[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:15px" lh="text_small:1.6em" margin="right_large:10%25"]Gilbert Hughes joined Hub Constructon in 1955 as an estimator/project manager, after previously working months as a laborer.[/ld_fancy_heading][/vc_column][vc_column width="2/3" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" offset="vc_col-md-4" ca_init_translate_y="20" ca_start_delay="400" ca_duration="1200" ca_delay="150"][vc_single_image image="9091" css=".vc_custom_1610723901525{margin-bottom: 22px !important;}"][ld_fancy_heading tag="h4" use_custom_fonts_title="true" fs="text_small:25px" fw="text_small:700"]Mary Hughes[/ld_fancy_heading][ld_fancy_heading tag="h6" transform="text-uppercase" enable_bg="yes" fh_border_radius="semi-round" use_custom_fonts_title="true" color="rgb(144, 145, 151)" fs="text_small:10px" fw="text_small:400" ls="text_small:0.1em" padding="top_small:6px|right_small:6px|bottom_small:6px|left_small:6px" fh_bg="rgb(241, 244, 245)" margin="bottom_small:1em"]Proffessor[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:15px" lh="text_small:1.6em" margin="right_large:10%25"]Gilbert Hughes joined Hub Constructon in 1955 as an estimator/project manager, after previously working months as a laborer.[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Team 3
	$data = array();
	$data['name'] = esc_html__( 'Team 03', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'team-3.jpg' );
	$data['sort_name'] = 'Team';
	$data['custom_class'] = 'general team';
	$data['content'] = <<<CONTENT
	[vc_row equal_height="yes" bg_position="center center" css=".vc_custom_1610731024155{padding-top: 40px !important;padding-bottom: 80px !important;background-image: url(http://education.liquid-themes.com/wp-content/uploads/2019/12/map.jpg?id=53) !important;}" responsive_css="padding_bottom_medium:100px"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" align="text-center" offset="vc_col-md-offset-3 vc_col-md-6" css=".vc_custom_1575461297173{margin-bottom: 50px !important;}" ca_duration="1800" ca_delay="180" ca_init_translate_y="35" responsive_align="text-center"][ld_fancy_heading tag="h6"]A deep commitment to diversity[/ld_fancy_heading][ld_fancy_heading tag="h2" enable_fit="true" minfontsize="32"]Business Partners[/ld_fancy_heading][/vc_column][vc_column width="1/2" offset="vc_col-md-6" css=".vc_custom_1607932308970{margin-bottom: 40px !important;}"][vc_row_inner equal_height="yes" gap="0"][vc_column_inner offset="vc_col-md-4" css=".vc_custom_1610724018562{background-image: url(https://companyhub.liquid-themes.com/staging/wp-content/uploads/2021/01/img-asas1@2x.jpg?id=9096) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}"][vc_single_image image="9096" invisible="yes" css=".vc_custom_1610723997273{margin-bottom: 0px !important;}"][/vc_column_inner][vc_column_inner offset="vc_col-md-8" css=".vc_custom_1607932340189{border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 45px !important;padding-right: 15px !important;padding-bottom: 45px !important;padding-left: 15px !important;border-left-color: #f5f5f5 !important;border-left-style: solid !important;border-right-color: #f5f5f5 !important;border-right-style: solid !important;border-top-color: #f5f5f5 !important;border-top-style: solid !important;border-bottom-color: #f5f5f5 !important;border-bottom-style: solid !important;}" responsive_css="padding_right_medium:55px|padding_left_medium:55px|padding_right_small:35px|padding_left_small:35px"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:16px" margin="bottom_small:20px"]Daniel James, Stripe[/ld_fancy_heading][ld_fancy_heading tag="p"]By enrolling in the Four Bear Program, UM guarantees you will graduate in four years with a bachelor’s degree. Discover the global city—filled with inspiration, opportunities to explore.[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/vc_column][vc_column width="1/2" offset="vc_col-md-6" css=".vc_custom_1607932321876{margin-bottom: 40px !important;}"][vc_row_inner equal_height="yes" gap="0"][vc_column_inner offset="vc_col-md-4" css=".vc_custom_1610724030425{background-image: url(https://companyhub.liquid-themes.com/staging/wp-content/uploads/2021/01/img-ss2@2x.jpg?id=9095) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}"][vc_single_image image="9095" invisible="yes" css=".vc_custom_1610724039178{margin-bottom: 0px !important;}"][/vc_column_inner][vc_column_inner offset="vc_col-md-8" css=".vc_custom_1607932352733{border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 45px !important;padding-right: 15px !important;padding-bottom: 45px !important;padding-left: 15px !important;border-left-color: #f5f5f5 !important;border-left-style: solid !important;border-right-color: #f5f5f5 !important;border-right-style: solid !important;border-top-color: #f5f5f5 !important;border-top-style: solid !important;border-bottom-color: #f5f5f5 !important;border-bottom-style: solid !important;}" responsive_css="padding_right_medium:55px|padding_left_medium:55px|padding_right_small:35px|padding_left_small:35px"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:16px" margin="bottom_small:20px"]Shane Dore, PayPal[/ld_fancy_heading][ld_fancy_heading tag="p"]By enrolling in the Four Bear Program, UM guarantees you will graduate in four years with a bachelor’s degree. Discover the global city—filled with inspiration, opportunities to explore.[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/vc_column][vc_column align="text-center" responsive_align="text-center"][ld_fancy_heading tag="p"]Our nearly 8,000 committed staff members are ready to help.[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Team 4
	$data = array();
	$data['name'] = esc_html__( 'Team 04', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'team-4.jpg' );
	$data['sort_name'] = 'Team';
	$data['custom_class'] = 'general team';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" css=".vc_custom_1620634906766{padding-top: 60px !important;padding-bottom: 30px !important;}" responsive_css="padding_bottom_medium:60px"][vc_column width="1/2"][ld_fancy_heading tag="h2" tag_to_inherite="h3" use_inheritance="true"]Architecture Team_[/ld_fancy_heading][/vc_column][vc_column width="1/2" responsive_align="text-md-right"][ld_fancy_heading tag="h6"]— meet the team[/ld_fancy_heading][/vc_column][vc_column css=".vc_custom_1584960242903{margin-top: 70px !important;}"][vc_row_inner gap="30"][vc_column_inner width="1/3"][ld_team_member template="style06" image="4142" name="Alex Martinez" position="Villa Architect" socials="%5B%7B%22network%22%3A%22fa-behance%22%7D%5D" accent_color="rgba(255, 218, 1, 0.9)"][/ld_team_member][/vc_column_inner][vc_column_inner width="1/3"][ld_team_member template="style06" image="4436" name="Alex Martinez" position="Villa Architect" socials="%5B%7B%22network%22%3A%22fa-behance%22%7D%5D" accent_color="rgba(255, 218, 1, 0.9)"][/ld_team_member][/vc_column_inner][vc_column_inner width="1/3"][ld_team_member template="style06" image="4143" name="Alex Martinez" position="Villa Architect" socials="%5B%7B%22network%22%3A%22fa-behance%22%7D%5D" accent_color="rgba(255, 218, 1, 0.9)"][/ld_team_member][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Team 5
	$data = array();
	$data['name'] = esc_html__( 'Team 05', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'team-5.jpg' );
	$data['sort_name'] = 'Team';
	$data['custom_class'] = 'general team';
	$data['content'] = <<<CONTENT
	[vc_row equal_height="yes" enable_content_animation="yes" animation_preset="Fade In" bg_position="center center" css=".vc_custom_1610196168548{padding-top: 30px !important;padding-bottom: 30px !important;background-image: url(http://education.liquid-themes.com/wp-content/uploads/2019/12/map.jpg?id=53) !important;}" ca_delay="80" responsive_css="padding_top_medium:55px|padding_bottom_medium:55px|padding_top_small:40px|padding_bottom_small:40px"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" align="text-center" offset="vc_col-md-offset-3 vc_col-md-6" css=".vc_custom_1610196538761{margin-bottom: 20px !important;}" ca_duration="1800" ca_delay="180" ca_init_translate_y="35" responsive_align="text-center" responsive_css="margin_bottom_medium:50px"][ld_fancy_heading tag="h6" use_custom_fonts_title="true" color="rgb(98, 105, 116)" fs="text_small:18px" fw="text_small:400"]A deep commitment to diversity[/ld_fancy_heading][ld_fancy_heading tag="h2" enable_fit="true" minfontsize="32"]International Students[/ld_fancy_heading][/vc_column][vc_column enable_hover_move="lqd-column-move-onhover" width="1/2" css=".vc_custom_1614673287592{margin-bottom: 40px !important;}"][vc_row_inner equal_height="yes" gap="0"][vc_column_inner bg_position="center top" offset="vc_col-md-5" css=".vc_custom_1610194761399{padding-top: 135px !important;padding-bottom: 135px !important;background-image: url(https://itbusinesspro.liquid-themes.com/wp-content/uploads/2021/01/img-1@2x.jpg?id=8898) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}"][/vc_column_inner][vc_column_inner offset="vc_col-md-7" css=".vc_custom_1614673275860{border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 45px !important;padding-right: 15px !important;padding-bottom: 45px !important;padding-left: 15px !important;border-left-color: #f5f5f5 !important;border-left-style: solid !important;border-right-color: #f5f5f5 !important;border-right-style: solid !important;border-top-color: #f5f5f5 !important;border-top-style: solid !important;border-bottom-color: #f5f5f5 !important;border-bottom-style: solid !important;}" responsive_css="padding_right_medium:50px|padding_left_medium:50px|padding_right_small:20px|padding_left_small:20px"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:16px" margin="bottom_small:20px"]Clara, Stripe[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:15px" lh="text_small:1.46em"]By enrolling in the Four Bear Program, UM guarantees you will graduate in four years with a bachelor’s degree. Discover the global city—filled with inspiration, opportunities to explore.[/ld_fancy_heading][/vc_column_inner][vc_column_inner offset="vc_col-md-5"][/vc_column_inner][vc_column_inner offset="vc_col-md-7" css=".vc_custom_1610195445116{border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 15px !important;padding-right: 15px !important;padding-bottom: 15px !important;padding-left: 15px !important;border-left-color: #f5f5f5 !important;border-left-style: solid !important;border-right-color: #f5f5f5 !important;border-right-style: solid !important;border-bottom-color: #f5f5f5 !important;border-bottom-style: solid !important;}" responsive_css="padding_right_medium:50px|padding_left_medium:50px|padding_right_small:20px|padding_left_small:20px"][ld_button style="btn-naked" title="Explore diversity at UChicago" i_type="linea" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-forward" color="rgb(137, 32, 32)" fs="14px"][/vc_column_inner][/vc_row_inner][/vc_column][vc_column enable_hover_move="lqd-column-move-onhover" width="1/2" css=".vc_custom_1614673306249{margin-bottom: 40px !important;}"][vc_row_inner equal_height="yes" gap="0"][vc_column_inner bg_position="center top" offset="vc_col-md-5" css=".vc_custom_1610195503927{padding-top: 135px !important;padding-bottom: 135px !important;background-image: url(https://itbusinesspro.liquid-themes.com/wp-content/uploads/2021/01/img-2@2x.jpg?id=8899) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}"][/vc_column_inner][vc_column_inner offset="vc_col-md-7" css=".vc_custom_1610195366359{border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 45px !important;padding-right: 15px !important;padding-bottom: 45px !important;padding-left: 15px !important;border-left-color: #f5f5f5 !important;border-left-style: solid !important;border-right-color: #f5f5f5 !important;border-right-style: solid !important;border-top-color: #f5f5f5 !important;border-top-style: solid !important;border-bottom-color: #f5f5f5 !important;border-bottom-style: solid !important;}" responsive_css="padding_right_medium:50px|padding_left_medium:50px|padding_right_small:20px|padding_left_small:20px"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:16px" margin="bottom_small:20px"]Shane, PayPal[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:15px" lh="text_small:1.46em"]By enrolling in the Four Bear Program, UM guarantees you will graduate in four years with a bachelor’s degree. Discover the global city—filled with inspiration, opportunities to explore.[/ld_fancy_heading][/vc_column_inner][vc_column_inner offset="vc_col-md-5"][/vc_column_inner][vc_column_inner offset="vc_col-md-7" css=".vc_custom_1610195445116{border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 15px !important;padding-right: 15px !important;padding-bottom: 15px !important;padding-left: 15px !important;border-left-color: #f5f5f5 !important;border-left-style: solid !important;border-right-color: #f5f5f5 !important;border-right-style: solid !important;border-bottom-color: #f5f5f5 !important;border-bottom-style: solid !important;}" responsive_css="padding_right_medium:50px|padding_left_medium:50px|padding_right_small:20px|padding_left_small:20px"][ld_button style="btn-naked" title="Explore diversity at UChicago" i_type="linea" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-forward" color="rgb(137, 32, 32)" fs="14px"][/vc_column_inner][/vc_row_inner][/vc_column][vc_column align="text-center" responsive_align="text-center"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(0, 0, 0)" fs="text_small:18px"]Our nearly 8,000 committed <a style="text-decoration: underline;" href="#">staff members</a> are ready to help.[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Team 6
	$data = array();
	$data['name'] = esc_html__( 'Team 06', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'team-6.jpg' );
	$data['sort_name'] = 'Team';
	$data['custom_class'] = 'general team';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" bg_position="custom" css=".vc_custom_1615296791069{padding-top: 60px !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}" bg_pos_h="-1100px" bg_pos_v="50%" el_id="lqd-services" responsive_css="padding_top_medium:80px|padding_bottom_medium:25px"][vc_column align="text-center" offset="vc_col-md-offset-0 vc_col-md-6" responsive_css="padding_right_medium:0px|padding_left_medium:0px" css=".vc_custom_1609842596471{padding-right: 20px !important;padding-left: 20px !important;}" responsive_align="text-left"][ld_fancy_heading tag="h2" highlight_animation="lqd-highlight-grow-bottom" highlight_offset="0.2em" highlight_color="rgba(56, 231, 128, 0.31)"]Our à [ld_highlight]team[/ld_highlight][/ld_fancy_heading][/vc_column][vc_column align="text-right" offset="vc_col-md-6" responsive_align="text-left text-md-right" responsive_css="padding_right_medium:0px|padding_bottom_medium:0px|padding_left_medium:0px" css=".vc_custom_1607328260088{padding-right: 20px !important;padding-bottom: 20px !important;padding-left: 20px !important;}"][ld_button style="btn-naked" title="Explore Advertising" transformation="text-uppercase" i_type="linea" i_add_icon="true" color="rgb(14, 82, 74)" hover_color="rgb(0, 0, 0)" i_size="20px" i_icon_linea="lqd-icn-ess icon-md-arrow-forward"][/vc_column][vc_column css=".vc_custom_1606080636089{margin-top: 20px !important;padding-right: 20px !important;padding-left: 20px !important;}" responsive_css="padding_right_medium:0px|padding_left_medium:0px"][vc_row_inner enable_content_animation="yes" gap="20" animation_preset="Fade In" ca_duration="1800" ca_delay="200" responsive_css="margin_right_medium:-65px|margin_bottom_medium:90px|margin_left_medium:-65px" css=".vc_custom_1606080149868{margin-bottom: 70px !important;}"][vc_column_inner enable_hover_move="lqd-column-move-onhover" offset="vc_col-md-4" responsive_css="padding_right_medium:50px|padding_bottom_medium:0px|padding_left_medium:50px" css=".vc_custom_1614708828572{padding-bottom: 30px !important;}"][ld_team_member template="style02" image="4825" name="Claudia Aria" position="Senior Designer" socials="%5B%7B%22network%22%3A%22fa-behance%22%7D%5D" pos_color="rgba(0, 35, 82, 0.35)" stop_color="rgba(248, 249, 255, 0.9)" title_color="rgb(0, 35, 82)" stop_color2="rgb(248, 249, 255)"][/ld_team_member][/vc_column_inner][vc_column_inner enable_hover_move="lqd-column-move-onhover" offset="vc_col-md-4" responsive_css="padding_right_medium:50px|padding_bottom_medium:0px|padding_left_medium:50px" css=".vc_custom_1614708832949{padding-bottom: 30px !important;}"][ld_team_member template="style02" image="4427" name="Lena Meki" position="Consultation" socials="%5B%7B%22network%22%3A%22fa-behance%22%7D%5D" pos_color="rgba(0, 35, 82, 0.35)" stop_color="rgba(248, 249, 255, 0.9)" title_color="rgb(0, 35, 82)" stop_color2="rgba(248, 249, 255, 0.9)"][/ld_team_member][/vc_column_inner][vc_column_inner enable_hover_move="lqd-column-move-onhover" offset="vc_col-md-4" responsive_css="padding_right_medium:50px|padding_left_medium:50px"][ld_team_member template="style02" image="4426" name="Erik Genie" position="Senior Developer" socials="%5B%7B%22network%22%3A%22fa-behance%22%7D%5D" pos_color="rgba(0, 35, 82, 0.35)" stop_color="rgba(248, 249, 255, 0.9)" title_color="rgb(0, 35, 82)" stop_color2="rgba(248, 249, 255, 0.9)"][/ld_team_member][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Team 7
	$data = array();
	$data['name'] = esc_html__( 'Team 07', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'team-7.jpg' );
	$data['sort_name'] = 'Team';
	$data['custom_class'] = 'general team';
	$data['content'] = <<<CONTENT
CONTENT;
	$templates[] = $data;

	//Team 9
	$data = array();
	$data['name'] = esc_html__( 'Team 09', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'team-9.jpg' );
	$data['sort_name'] = 'Team';
	$data['custom_class'] = 'general team';
	$data['content'] = <<<CONTENT
	[vc_row gap="25" responsive_css="padding_top_medium:40px|padding_bottom_medium:40px" css=".vc_custom_1610701410728{padding-top: 60px !important;padding-bottom: 30px !important;}"][vc_column responsive_align="text-center" css=".vc_custom_1610699611647{margin-bottom: 25px !important;}"][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" margin="bottom_small:0.75em" color="rgb(86, 154, 204)" fs="text_small:16px"]What we achieved[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" enable_fit="true" fs="text_small:39px" lh="text_small:1.05em" margin="bottom_small:0.65em" minfontsize="36" color="rgb(31, 42, 88)"]Our Amazing Team[/ld_fancy_heading][/vc_column][vc_column width="1/2" offset="vc_col-md-3" css=".vc_custom_1610699645970{margin-bottom: 30px !important;}"][ld_images_group_element enable_roudness="yes" image_roudness="6" image="389"][/ld_images_group_element][vc_row_inner gap="0" enable_row_shadowbox="yes" css=".vc_custom_1610701438738{margin-top: -40px !important;margin-right: 10px !important;margin-left: 10px !important;padding-top: 15px !important;padding-right: 15px !important;padding-bottom: 15px !important;padding-left: 15px !important;background-color: #ffffff !important;border-radius: 5px !important;}" row_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2220px%22%2C%22blur_radius%22%3A%2250px%22%2C%22shadow_color%22%3A%22rgba(0%2C0%2C0%2C0.1)%22%7D%5D" responsive_css="margin_right_small:15px|margin_left_small:15px"][vc_column_inner responsive_align="text-center"][ld_fancy_heading tag="h4" use_custom_fonts_title="true" color="rgb(31, 42, 88)" fs="text_small:16px" fw="text_small:600" margin="bottom_small:0.2em"]Alex Martinez[/ld_fancy_heading][ld_fancy_heading tag="h6" use_custom_fonts_title="true" color="rgba(60, 69, 85, 0.5)" fs="text_small:14px" fw="text_small:400" margin="bottom_small:0px"]Chief Designer[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/vc_column][vc_column width="1/2" offset="vc_col-md-3" css=".vc_custom_1610699653587{margin-bottom: 30px !important;}"][ld_images_group_element enable_roudness="yes" image_roudness="6" image="388"][/ld_images_group_element][vc_row_inner gap="0" enable_row_shadowbox="yes" css=".vc_custom_1610701446706{margin-top: -40px !important;margin-right: 10px !important;margin-left: 10px !important;padding-top: 15px !important;padding-right: 15px !important;padding-bottom: 15px !important;padding-left: 15px !important;background-color: #ffffff !important;border-radius: 5px !important;}" row_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2220px%22%2C%22blur_radius%22%3A%2250px%22%2C%22shadow_color%22%3A%22rgba(0%2C0%2C0%2C0.1)%22%7D%5D" responsive_css="margin_right_small:15px|margin_left_small:15px"][vc_column_inner responsive_align="text-center"][ld_fancy_heading tag="h4" use_custom_fonts_title="true" color="rgb(31, 42, 88)" fs="text_small:16px" fw="text_small:600" margin="bottom_small:0.2em"]Claudia Aria[/ld_fancy_heading][ld_fancy_heading tag="h6" use_custom_fonts_title="true" color="rgba(60, 69, 85, 0.5)" fs="text_small:14px" fw="text_small:400" margin="bottom_small:0px"]Chief Designer[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/vc_column][vc_column width="1/2" offset="vc_col-md-3" css=".vc_custom_1610699660967{margin-bottom: 30px !important;}"][ld_images_group_element enable_roudness="yes" image_roudness="6" image="387"][/ld_images_group_element][vc_row_inner gap="0" enable_row_shadowbox="yes" css=".vc_custom_1610701459810{margin-top: -40px !important;margin-right: 10px !important;margin-left: 10px !important;padding-top: 15px !important;padding-right: 15px !important;padding-bottom: 15px !important;padding-left: 15px !important;background-color: #ffffff !important;border-radius: 5px !important;}" row_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2220px%22%2C%22blur_radius%22%3A%2250px%22%2C%22shadow_color%22%3A%22rgba(0%2C0%2C0%2C0.1)%22%7D%5D" responsive_css="margin_right_small:15px|margin_left_small:15px"][vc_column_inner responsive_align="text-center"][ld_fancy_heading tag="h4" use_custom_fonts_title="true" color="rgb(31, 42, 88)" fs="text_small:16px" fw="text_small:600" margin="bottom_small:0.2em"]Phoebe Aria[/ld_fancy_heading][ld_fancy_heading tag="h6" use_custom_fonts_title="true" color="rgba(60, 69, 85, 0.5)" fs="text_small:14px" fw="text_small:400" margin="bottom_small:0px"]Chief Designer[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/vc_column][vc_column width="1/2" offset="vc_col-md-3" css=".vc_custom_1610699668650{margin-bottom: 30px !important;}"][ld_images_group_element enable_roudness="yes" image_roudness="6" image="386"][/ld_images_group_element][vc_row_inner gap="0" enable_row_shadowbox="yes" css=".vc_custom_1610701470401{margin-top: -40px !important;margin-right: 10px !important;margin-left: 10px !important;padding-top: 15px !important;padding-right: 15px !important;padding-bottom: 15px !important;padding-left: 15px !important;background-color: #ffffff !important;border-radius: 5px !important;}" row_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2220px%22%2C%22blur_radius%22%3A%2250px%22%2C%22shadow_color%22%3A%22rgba(0%2C0%2C0%2C0.1)%22%7D%5D" responsive_css="margin_right_small:15px|margin_left_small:15px"][vc_column_inner responsive_align="text-center"][ld_fancy_heading tag="h4" use_custom_fonts_title="true" color="rgb(31, 42, 88)" fs="text_small:16px" fw="text_small:600" margin="bottom_small:0.2em"]Erik Genie[/ld_fancy_heading][ld_fancy_heading tag="h6" use_custom_fonts_title="true" color="rgba(60, 69, 85, 0.5)" fs="text_small:14px" fw="text_small:400" margin="bottom_small:0px"]Chief Designer[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/vc_column][vc_column responsive_align="text-center" css=".vc_custom_1610699761261{padding-top: 20px !important;}"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(0, 0, 0)" fs="text_small:15px"]Our nearly 8,000 committed <a style="text-decoration: underline;" href="#">staff members</a> are ready to help.[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Team 10
	$data = array();
	$data['name'] = esc_html__( 'Team 10', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'team-10.jpg' );
	$data['sort_name'] = 'Team';
	$data['custom_class'] = 'general team';
	$data['content'] = <<<CONTENT
	[vc_row gap="30" equal_height="yes" responsive_css="padding_top_medium:100px|padding_bottom_medium:100px" css=".vc_custom_1622013828612{padding-top: 70px !important;padding-bottom: 70px !important;}" el_id="teachers"][vc_column offset="vc_col-lg-offset-3 vc_col-lg-6 vc_col-md-offset-2 vc_col-md-8" responsive_align="text-center" css=".vc_custom_1621948335611{margin-bottom: 20px !important;}" responsive_css="margin_bottom_medium:50px"][ld_fancy_heading tag="h6" enable_bg="yes" fh_border_radius="circle" color="rgb(95, 157, 255)" padding="top_small:0.625em|right_small:1em|bottom_small:0.625em|left_small:1em" fh_bg="rgba(95, 157, 255, 0.1)" margin="bottom_small:1em"]Our Teachers[/ld_fancy_heading][ld_fancy_heading tag="h2" margin="bottom_small:0.35em"]Experienced Teachers[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.52em" margin="bottom_small:0.35em"]Our nearly 8,000 committed staff members are critical to the University of Chicago’s tradition of excellence.[/ld_fancy_heading][/vc_column][vc_column][/vc_column][vc_column enable_link="enable_column_link" enable_hover_move="lqd-column-move-onhover" hover_move_value="-5px" width="1/2" responsive_css="margin_bottom_medium:0px" css=".vc_custom_1622131874136{margin-bottom: 30px !important;}" offset="vc_col-md-3" responsive_align="text-center" link="url:https%3A%2F%2Fstaging.liquid-themes.com%2Fkids%2Fteam-member-alex-martinex%2F|title:Team%20member%20%E2%80%93%20Alex%20Martinex||"][ld_images_group_element img_size="50%" enable_image_shadow="yes" shadow_style="4" enable_hover3d="yes" enable_border="yes" border_width="custom" enable_roudness="yes" image_roudness="50em" image="92" custom_border_width="11px" border_color="rgb(255, 255, 255)" margin="bottom_small:30px"][/ld_images_group_element][ld_fancy_heading tag="h4" use_custom_fonts_title="true" fs="text_small:19px"]Olivia Robert[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:14px"]Maputo, Africa[/ld_fancy_heading][/vc_column][vc_column enable_link="enable_column_link" enable_hover_move="lqd-column-move-onhover" hover_move_value="-5px" width="1/2" responsive_css="margin_bottom_medium:0px" css=".vc_custom_1622131886600{margin-bottom: 30px !important;}" offset="vc_col-md-3" responsive_align="text-center" link="url:https%3A%2F%2Fstaging.liquid-themes.com%2Fkids%2Fteam-member-alex-martinex%2F|title:Team%20member%20%E2%80%93%20Alex%20Martinex||"][ld_images_group_element img_size="50%" enable_image_shadow="yes" shadow_style="4" enable_hover3d="yes" enable_border="yes" border_width="custom" enable_roudness="yes" image_roudness="50em" image="94" custom_border_width="11px" border_color="rgb(255, 255, 255)" margin="bottom_small:30px"][/ld_images_group_element][ld_fancy_heading tag="h4" use_custom_fonts_title="true" fs="text_small:19px"]David Richards[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:14px"]Maputo, Africa[/ld_fancy_heading][/vc_column][vc_column enable_link="enable_column_link" enable_hover_move="lqd-column-move-onhover" hover_move_value="-5px" width="1/2" responsive_css="margin_bottom_medium:0px" css=".vc_custom_1622131894747{margin-bottom: 30px !important;}" offset="vc_col-md-3" responsive_align="text-center" link="url:https%3A%2F%2Fstaging.liquid-themes.com%2Fkids%2Fteam-member-alex-martinex%2F|title:Team%20member%20%E2%80%93%20Alex%20Martinex||"][ld_images_group_element img_size="50%" enable_image_shadow="yes" shadow_style="4" enable_hover3d="yes" enable_border="yes" border_width="custom" enable_roudness="yes" image_roudness="50em" image="95" custom_border_width="11px" border_color="rgb(255, 255, 255)" margin="bottom_small:30px"][/ld_images_group_element][ld_fancy_heading tag="h4" use_custom_fonts_title="true" fs="text_small:19px"]Marrion Miller[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:14px"]Maputo, Africa[/ld_fancy_heading][/vc_column][vc_column enable_link="enable_column_link" enable_hover_move="lqd-column-move-onhover" hover_move_value="-5px" width="1/2" responsive_css="margin_bottom_medium:0px" css=".vc_custom_1622131904439{margin-bottom: 30px !important;}" offset="vc_col-md-3" responsive_align="text-center" link="url:https%3A%2F%2Fstaging.liquid-themes.com%2Fkids%2Fteam-member-alex-martinex%2F|title:Team%20member%20%E2%80%93%20Alex%20Martinex||"][ld_images_group_element img_size="50%" enable_image_shadow="yes" shadow_style="4" enable_hover3d="yes" enable_border="yes" border_width="custom" enable_roudness="yes" image_roudness="50em" image="93" custom_border_width="11px" border_color="rgb(255, 255, 255)" margin="bottom_small:30px"][/ld_images_group_element][ld_fancy_heading tag="h4" use_custom_fonts_title="true" fs="text_small:19px"]Gilbert Huges[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:14px"]Maputo, Africa[/ld_fancy_heading][/vc_column][vc_column responsive_align="text-center" responsive_css="padding_top_medium:65px" css=".vc_custom_1621948416860{padding-top: 30px !important;}"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(36, 20, 13)" fs="text_small:14px"]We want to change the world. Why not join us? <a href="#">Become Volunteer</a>[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Team 11
	$data = array();
	$data['name'] = esc_html__( 'Team 11', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'team-11.jpg' );
	$data['sort_name'] = 'Team';
	$data['custom_class'] = 'general team';
	$data['content'] = <<<CONTENT
	<p>[vc_row css=".vc_custom_1622106834780{padding-top: 70px !important;padding-bottom: 70px !important;}"][vc_column offset="vc_col-md-6"][ld_images_group_element enable_roudness="yes" image_roudness="8" image="3676" margin="bottom_small:35px"][/ld_images_group_element][ld_fancy_heading tag="h6" color="rgba(0, 0, 0, 0.4)" margin="bottom_small:1em"]Hi, i’m daniel.[/ld_fancy_heading][ld_fancy_heading tag="h2" margin="bottom_small:0.75em"]Daniel Kim[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:1.25em"]Our process applies techniques from a variety of disciplines, values distinction in detail and gives careful. <a href="#">Our process</a> applies techniques from a variety of disciplines, values distinction in detail and gives careful[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:1.25em"]Our process applies techniques from a variety of disciplines distinction in detail and gives careful attention.[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:1.25em"]Their business to develop <mark>successful digital ideas</mark> and strategies that engage and convert significant, targeted traffic develop successful digital ideas and strategies that engage and convert significant, targeted traffic.[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:1.25em"]We embrace holistic development and support for the aim of being a first-choice employer within our sectors.[/ld_fancy_heading][ld_spacer height="20px"][ld_tabs style="style12" nav_alignment="justify-content-md-start" use_custom_fonts_nav="true" primary_color="rgba(0, 0, 0, 0.92)" primary_hcolor="rgb(163, 129, 106)" text_color="rgba(0, 0, 0, 0.92)" text_hcolor="rgb(163, 129, 106)" fs="16px" fw="500"][ld_tab_section title="Biography" tab_id="lqd-1622107076977-c33585f5-ab80"][ld_fancy_heading tag="p" margin="bottom_small:1.25em"]Their business to develop successful digital ideas and strategies that engage and convert significant, targeted traffic develop successful digital ideas and strategies that engage and convert significant, targeted traffic.[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:1.25em"]We embrace holistic development and support for the aim of being a first-choice employer within our sectors.[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:1.25em"]Our process applies techniques from a variety of disciplines distinction in detail and gives careful attention.[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:1.25em"]Their business to <a href="#">develop successful</a> digital ideas and strategies that engage and convert significant, targeted traffic develop successful digital ideas and strategies that engage and convert significant, targeted traffic.[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:1.25em"]We embrace holistic development and support for the aim of being a first-choice employer within our sectors.[/ld_fancy_heading][/ld_tab_section][ld_tab_section title="Education" tab_id="lqd-1622107266657-debf6a9e-20d5"][ld_fancy_heading tag="p" margin="bottom_small:1.25em"]Their business to develop successful digital ideas and strategies that engage and convert significant, targeted traffic develop successful digital ideas and strategies that engage and convert significant, targeted traffic.[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:1.25em"]We embrace holistic development and support for the aim of being a first-choice employer within our sectors.[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:1.25em"]Our process applies techniques from a variety of disciplines distinction in detail and gives careful attention.[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:1.25em"]Their business to <a href="#">develop successful</a> digital ideas and strategies that engage and convert significant, targeted traffic develop successful digital ideas and strategies that engage and convert significant, targeted traffic.[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:1.25em"]We embrace holistic development and support for the aim of being a first-choice employer within our sectors.[/ld_fancy_heading][/ld_tab_section][ld_tab_section title="Awards" tab_id="lqd-1622107272414-f60a1c3b-80eb"][ld_fancy_heading tag="p" margin="bottom_small:1.25em"]Their business to develop successful digital ideas and strategies that engage and convert significant, targeted traffic develop successful digital ideas and strategies that engage and convert significant, targeted traffic.[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:1.25em"]We embrace holistic development and support for the aim of being a first-choice employer within our sectors.[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:1.25em"]Our process applies techniques from a variety of disciplines distinction in detail and gives careful attention.[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:1.25em"]Their business to <a href="#">develop successful</a> digital ideas and strategies that engage and convert significant, targeted traffic develop successful digital ideas and strategies that engage and convert significant, targeted traffic.[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:1.25em"]We embrace holistic development and support for the aim of being a first-choice employer within our sectors.[/ld_fancy_heading][/ld_tab_section][/ld_tabs][/vc_column][vc_column enable_pin="enable_pin" enable_column_shadowbox="yes" column_top_ontablet="yes" column_top_onmobile="yes" offset="vc_col-md-offset-1 vc_col-md-5" css=".vc_custom_1622107800595{margin-bottom: 30px !important;background-color: #ffffff !important;border-radius: 15px !important;}" column_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2220px%22%2C%22blur_radius%22%3A%2250px%22%2C%22shadow_color%22%3A%22rgba(0%2C%200%2C%200%2C%200.08)%22%7D%5D"][vc_row_inner responsive_css="padding_right_large:40px|padding_left_large:55px|padding_right_medium:30px|padding_left_medium:30px" css=".vc_custom_1622107431463{padding-top: 40px !important;padding-right: 15px !important;padding-bottom: 40px !important;padding-left: 15px !important;}"][vc_column_inner][ld_fancy_heading tag="h6" color="rgb(175, 123, 91)" margin="bottom_small:1em"]Send a message[/ld_fancy_heading][ld_fancy_heading tag="h3" use_custom_fonts_title="true" margin="bottom_small:0.35em" fs="text_small:34px"]Contact Daniel[/ld_fancy_heading][ld_fancy_heading tag="p" margin="bottom_small:0px"]<a href="#">Our process</a> applies techniques from a variety of disciplines, values distinction in detail and gives careful[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][vc_row_inner gap="0" css=".vc_custom_1622107645039{border-bottom-width: 1px !important;padding-top: 25px !important;padding-right: 15px !important;padding-bottom: 25px !important;padding-left: 15px !important;background-color: #f7f7f7 !important;border-bottom-color: rgba(112,112,112,0.12) !important;border-bottom-style: solid !important;}" responsive_css="padding_right_large:55px|padding_left_large:55px|padding_right_medium:30px|padding_left_medium:30px"][vc_column_inner width="1/2" responsive_css="margin_bottom_small:0px" css=".vc_custom_1622107725639{margin-bottom: 10px !important;}"][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" color="rgba(0, 0, 0, 0.6)" fs="text_small:9px" margin="bottom_small:0px"]Email US DIRECTLY[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/2" responsive_css="margin_bottom_small:0px"][ld_fancy_heading tag="h5" use_custom_fonts_title="true" color="rgb(0, 0, 0)" fs="text_small:18px" margin="bottom_small:0px"]info@liquid.com[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][vc_row_inner gap="0" css=".vc_custom_1622107645039{border-bottom-width: 1px !important;padding-top: 25px !important;padding-right: 15px !important;padding-bottom: 25px !important;padding-left: 15px !important;background-color: #f7f7f7 !important;border-bottom-color: rgba(112,112,112,0.12) !important;border-bottom-style: solid !important;}" responsive_css="padding_right_large:55px|padding_left_large:55px|padding_right_medium:30px|padding_left_medium:30px"][vc_column_inner width="1/2" responsive_css="margin_bottom_small:0px" css=".vc_custom_1622107725639{margin-bottom: 10px !important;}"][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" color="rgba(0, 0, 0, 0.6)" fs="text_small:9px" margin="bottom_small:0px"]CALL US DIRECTLY[/ld_fancy_heading][/vc_column_inner][vc_column_inner width="1/2" responsive_css="margin_bottom_small:0px"][ld_fancy_heading tag="h5" use_custom_fonts_title="true" color="rgb(0, 0, 0)" fs="text_small:18px" margin="bottom_small:0px"](123) 567 8901[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][vc_row_inner gap="0" css=".vc_custom_1622107929682{padding-top: 25px !important;padding-right: 15px !important;padding-bottom: 25px !important;padding-left: 15px !important;background-color: #f7f7f7 !important;}" responsive_css="padding_right_large:55px|padding_left_large:55px|padding_right_medium:30px|padding_left_medium:30px"][vc_column_inner responsive_css="margin_bottom_small:0px" css=".vc_custom_1622107841712{margin-bottom: 10px !important;}"][ld_social_icons style="" size="social-icon-lg" shape="circle" border="social-icon-border-1" identities="%5B%7B%22network%22%3A%22fa-linkedin%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-twitter%22%2C%22url%22%3A%22%23%22%7D%2C%7B%22network%22%3A%22fa-instagram%22%2C%22url%22%3A%22%23%22%7D%5D" font_size="20px" custom_size="47px" primary_color="rgba(0, 0, 0, 0.45)" hover_color="rgb(255, 255, 255)" hbg_color="rgb(0, 0, 0)" border_color="rgba(151, 151, 151, 0.15)" hborder_color="rgb(0, 0, 0)" bg_color="rgba(255, 255, 255, 0)"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]</p>
CONTENT;
	$templates[] = $data;

	//Category Testimonials
	//Testimonials 1
	$data = array();
	$data['name'] = esc_html__( 'Testimonials 01', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'testimonials-1.jpg' );
	$data['sort_name'] = 'Testimonials';
	$data['custom_class'] = 'general testimonials';
	$data['content'] = <<<CONTENT
	[vc_row enable_overlay="yes" css=".vc_custom_1583755466862{padding-bottom: 110px !important;background-position: center !important;background-repeat: no-repeat !important;background-size: contain !important;}" responsive_css="padding_bottom_medium:110px" overlay_bg="rgba(255, 255, 255, 0.76)"][vc_column align="text-center" offset="vc_col-md-offset-2 vc_col-md-8" responsive_align="text-center"][ld_images_group_element image="89" position="top_small:65px"][/ld_images_group_element][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" color="rgb(122, 118, 100)" fs="11px" margin="bottom_small:2em" fw="700" ls="0.2em"]Testimonials[/ld_fancy_heading][ld_fancy_heading alignment="text-center" split_type="words" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" color="rgb(0, 0, 0)" fs="text_small:33px" lh="text_small:1.33em" ca_init_translate_y="70"]Hear from our buddies.[/ld_fancy_heading][ld_spacer][ld_carousel_tab columns="xs:1|spacing_xs:15px" inactiv_opacity="1" cellalign="center" prevnextbuttons="yes" navarrow="6" navhalign="carousel-nav-center" navfloated="carousel-nav-floated" navvalign="carousel-nav-top" prevoffset="-150px" nextoffset="-150px"][ld_carousel_section title="Tab" tab_id="lqd-1595406417906-accc0f08-7be7"][vc_row_inner css=".vc_custom_1575635408408{margin-bottom: 25px !important;}"][vc_column_inner][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="16px" lh="27px" margin="bottom_small:1em" color="rgb(0, 0, 0)"]"I love the way they shave the beard!" It is a standard shaving of perfection in the barber special. Service and top-notch barbers, have the ability to consistently deals field in London."[/ld_fancy_heading][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" color="rgb(100, 74, 52)" fs="10px" ls="0.075em" fw="700"]Jack from Harlem[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595406575959-6535116b-53f3"][vc_row_inner css=".vc_custom_1575635408408{margin-bottom: 25px !important;}"][vc_column_inner][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="16px" lh="27px" margin="bottom_small:1em" color="rgb(0, 0, 0)"]"I love the way they shave the beard!" It is a standard shaving of perfection in the barber special. Service and top-notch barbers, have the ability to consistently deals field in London."[/ld_fancy_heading][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" color="rgb(100, 74, 52)" fs="10px" ls="0.075em" fw="700"]Jack from Harlem[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595406575323-9dfa4b1f-5906"][vc_row_inner css=".vc_custom_1575635408408{margin-bottom: 25px !important;}"][vc_column_inner][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="16px" lh="27px" margin="bottom_small:1em" color="rgb(0, 0, 0)"]"I love the way they shave the beard!" It is a standard shaving of perfection in the barber special. Service and top-notch barbers, have the ability to consistently deals field in London."[/ld_fancy_heading][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" color="rgb(100, 74, 52)" fs="10px" ls="0.075em" fw="700"]Jack from Harlem[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595406574165-e927da7a-4067"][vc_row_inner css=".vc_custom_1575635408408{margin-bottom: 25px !important;}"][vc_column_inner][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="16px" lh="27px" margin="bottom_small:1em" color="rgb(0, 0, 0)"]"I love the way they shave the beard!" It is a standard shaving of perfection in the barber special. Service and top-notch barbers, have the ability to consistently deals field in London."[/ld_fancy_heading][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" color="rgb(100, 74, 52)" fs="10px" ls="0.075em" fw="700"]Jack from Harlem[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_carousel_section][/ld_carousel_tab][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;
	
	//Testimonials 2
	$data = array();
	$data['name'] = esc_html__( 'Testimonials 02', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'testimonials-2.jpg' );
	$data['sort_name'] = 'Testimonials';
	$data['custom_class'] = 'general testimonials carousel';
	$data['content'] = <<<CONTENT
	[vc_row bg_position="center center" enable_overlay="yes" css=".vc_custom_1610476534217{background-image: url(https://companyhub.liquid-themes.com/staging/wp-content/uploads/2021/01/testimonials-bg@2x2@2x.jpg?id=9081) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" overlay_bg="linear-gradient(115deg, rgb(24,67,65) 48.089171974522294%, rgba(0,0,0,0) 75.1592356687898%)" responsive_css="margin_top_medium:100px"][vc_column width="5/6" enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" css=".vc_custom_1606899031019{padding-top: 60px !important;padding-bottom: 60px !important;}" ca_duration="1800" ca_delay="180" ca_init_translate_y="50" responsive_css="padding_top_medium:120px|padding_bottom_medium:120px"][ld_images_group_element parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" image="8689" margin="bottom_large:-3%25|left_large:-10%25" translate_from_y="52" translate_to_y="-90"][/ld_images_group_element][ld_fancy_heading tag="h2" padding="right_large:14%25" color="rgb(250, 213, 91)" margin="bottom_small:1em"]testimonials[/ld_fancy_heading][ld_carousel_tab columns="xs:1|spacing_xs:15px" inactiv_opacity="1" prevnextbuttons="yes" navarrow="6" navslidernumberstoarrows="yes" nav_arrow_color="rgb(255, 255, 255)" nav_arrow_numbers="rgb(255, 255, 255)" mobile_dots_bg_color="rgb(255, 255, 255)"][ld_carousel_section title="Tab" tab_id="lqd-1595349907264-81e36071-bb63"][vc_row_inner css=".vc_custom_1576847855744{margin-bottom: 20px !important;}"][vc_column_inner offset="vc_col-md-9"][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" color="rgb(255, 255, 255)" fs="text_large:25px|text_small:20px" lh="text_small:39px" margin="bottom_small:1em"]“You made it so simple. My site is so much faster and easier to work with than my old site. I just choose the page, make the change and click save.”[/ld_fancy_heading][ld_fancy_heading tag="h6" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" enable_split="true" color="rgba(255, 255, 255, 0.55)"]Liquid, Founder[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595349907403-1f27b8d2-9642"][vc_row_inner css=".vc_custom_1576847855744{margin-bottom: 20px !important;}"][vc_column_inner offset="vc_col-md-9"][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" color="rgb(255, 255, 255)" fs="text_large:25px|text_small:20px" lh="text_small:39px" margin="bottom_small:1em"]“You made it so simple. My site is so much faster and easier to work with than my old site. I just choose the page, make the change and click save.”[/ld_fancy_heading][ld_fancy_heading tag="h6" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" enable_split="true" color="rgba(255, 255, 255, 0.55)"]Liquid, Founder[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595349907531-bec55896-e0b5"][vc_row_inner css=".vc_custom_1576847855744{margin-bottom: 20px !important;}"][vc_column_inner offset="vc_col-md-9"][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" color="rgb(255, 255, 255)" fs="text_large:25px|text_small:20px" lh="text_small:39px" margin="bottom_small:1em"]“You made it so simple. My site is so much faster and easier to work with than my old site. I just choose the page, make the change and click save.”[/ld_fancy_heading][ld_fancy_heading tag="h6" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" enable_split="true" color="rgba(255, 255, 255, 0.55)"]Liquid, Founder[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_carousel_section][/ld_carousel_tab][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;
	
	//Testimonials 3
	$data = array();
	$data['name'] = esc_html__( 'Testimonials 03', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'testimonials-3.jpg' );
	$data['sort_name'] = 'Testimonials';
	$data['custom_class'] = 'general testimonials carousel clients';
	$data['content'] = <<<CONTENT
	[vc_row equal_height="yes" content_placement="middle" css=".vc_custom_1612274798849{padding-top: 35px !important;padding-bottom: 85px !important;}" responsive_css="padding_top_medium:45px|padding_bottom_medium:45px" el_id="testimonials"][vc_column enable_column_shadowbox="yes" css=".vc_custom_1614760945508{margin-top: 85px !important;background-color: #ffffff !important;border-radius: 4px !important;}" offset="vc_col-lg-4 vc_col-md-5" column_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2235px%22%2C%22blur_radius%22%3A%2255px%22%2C%22shadow_color%22%3A%22rgba(83%2C%2083%2C%2097%2C%200.09)%22%7D%5D"][vc_row_inner enable_content_animation="yes" equal_height="yes" content_placement="middle" gap="0" animation_preset="Fade In" ca_duration="1800" ca_delay="80"][vc_column_inner width="1/2" enable_overlay="yes" hover_overlay_bg="rgb(254, 249, 246)" css=".vc_custom_1589206754553{padding-top: 60px !important;padding-right: 25px !important;padding-bottom: 60px !important;padding-left: 25px !important;}" overlay_bg="rgb(255, 255, 255)" offset="vc_col-xs-6" responsive_css="padding_right_medium:15px|padding_left_medium:15px"][vc_single_image image="6168" alignment="center" image_max_width="95px" css=".vc_custom_1610889250721{margin-bottom: 0px !important;}"][/vc_column_inner][vc_column_inner width="1/2" enable_overlay="yes" hover_overlay_bg="rgb(246, 254, 247)" css=".vc_custom_1589206742447{padding-top: 60px !important;padding-right: 25px !important;padding-bottom: 60px !important;padding-left: 25px !important;}" overlay_bg="rgb(255, 255, 255)" offset="vc_col-xs-6" responsive_css="padding_right_medium:15px|padding_left_medium:15px"][vc_single_image image="6185" alignment="center" css=".vc_custom_1611261468336{margin-bottom: 0px !important;}" image_max_width="105px"][/vc_column_inner][vc_column_inner width="1/2" enable_overlay="yes" hover_overlay_bg="rgb(243, 243, 248)" css=".vc_custom_1589359018360{padding-top: 60px !important;padding-right: 25px !important;padding-bottom: 60px !important;padding-left: 25px !important;}" overlay_bg="rgb(255, 255, 255)" offset="vc_col-xs-6" responsive_css="padding_right_medium:15px|padding_left_medium:15px"][vc_single_image image="6164" alignment="center" image_max_width="105px" css=".vc_custom_1610887808174{margin-bottom: 0px !important;}"][/vc_column_inner][vc_column_inner width="1/2" enable_overlay="yes" hover_overlay_bg="rgb(246, 252, 254)" css=".vc_custom_1573385372520{padding-top: 60px !important;padding-right: 25px !important;padding-bottom: 60px !important;padding-left: 25px !important;}" overlay_bg="rgb(255, 255, 255)" offset="vc_col-xs-6" responsive_css="padding_right_medium:15px|padding_left_medium:15px"][vc_single_image image="6165" alignment="center" image_max_width="115px" css=".vc_custom_1610887790310{margin-bottom: 0px !important;}"][/vc_column_inner][vc_column_inner width="1/2" enable_overlay="yes" hover_overlay_bg="rgb(250, 246, 254)" css=".vc_custom_1589206775026{padding-top: 60px !important;padding-right: 25px !important;padding-bottom: 60px !important;padding-left: 25px !important;}" overlay_bg="rgb(255, 255, 255)" offset="vc_col-xs-6" responsive_css="padding_right_medium:15px|padding_left_medium:15px"][vc_single_image image="6186" alignment="center" image_max_width="95px" css=".vc_custom_1611261243408{margin-bottom: 0px !important;}"][/vc_column_inner][vc_column_inner width="1/2" enable_overlay="yes" hover_overlay_bg="rgb(252, 254, 246)" css=".vc_custom_1589206782722{padding-top: 60px !important;padding-right: 25px !important;padding-bottom: 60px !important;padding-left: 25px !important;}" overlay_bg="rgb(255, 255, 255)" offset="vc_col-xs-6" responsive_css="padding_right_medium:15px|padding_left_medium:15px"][vc_single_image image="6187" alignment="center" css=".vc_custom_1611261234336{margin-bottom: 0px !important;}" image_max_width="105px"][/vc_column_inner][/vc_row_inner][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" column_top_ontablet="yes" column_top_onmobile="yes" bg_position="left top" offset="vc_col-lg-8 vc_col-md-7" responsive_css="padding_top_medium:80px|padding_left_medium:8.5%25" css=".vc_custom_1612275026913{padding-top: 15px !important;background-image: url(https://marketinghub.liquid-themes.com/staging/wp-content/uploads/2019/11/world.png?id=5822) !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}" ca_duration="1800" ca_delay="180" ca_init_translate_y="35" responsive_align="text-left"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_large:40px|text_small:32px"]Hear from our happy clients.[/ld_fancy_heading][ld_carousel_tab columns="xs:1" inactiv_opacity="1" cellalign="center" prevnextbuttons="yes" navarrow="6" navsize="carousel-nav-sm" navfill="carousel-nav-bordered" navshape="carousel-nav-circle" shapesize="47px" nav_border_color="rgb(223, 223, 223)" nav_bg_hcolor="rgb(42, 42, 42)" nav_arrow_color_hover="rgb(255, 255, 255)"][ld_carousel_section title="Tab" tab_id="lqd-1595577808765-230a4d56-128a"][ld_testimonial template="style13" title="Matt Sanchez" position="ThemeForest Exclusive" avatar="6008"]“I think Hub is the best theme I ever saw this year. Amazing design, easy to customize and a design quality superlative account on its cloud platform.for the optimized performance”[/ld_testimonial][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595577265551-a0a6c56a-225f"][ld_testimonial template="style13" title="Daniel Rock" position="ThemeForest Exclusive" avatar="6010"]“I think Hub is the best theme I ever saw this year. Amazing design, easy to customize and a design quality superlative account on its cloud platform.for the optimized performance”[/ld_testimonial][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595577809214-bbaa1329-bddd"][ld_testimonial template="style13" title="Daniel Rock" position="ThemeForest Exclusive" avatar="6009"]“I think Hub is the best theme I ever saw this year. Amazing design, easy to customize and a design quality superlative account on its cloud platform.for the optimized performance”[/ld_testimonial][/ld_carousel_section][/ld_carousel_tab][ld_particles as_bg="yes" absolute_pos="yes" enable_density="yes" color_type="multi_color" opacity="1" enable_random_size="yes" enable_anim_size="yes" enable_move="yes" move_direction="top" enable_random_move="yes" modes_grab_opacity="1" retina_detect="yes" particle_id="lqd-1579874781983-fb436513-72aa" height="100vh" position="right_small:0px|bottom_small:0px" number="7" multi_color_values="%5B%7B%22scolor%22%3A%22%23f27e3f%22%7D%2C%7B%22scolor%22%3A%22%230fbbb4%22%7D%2C%7B%22scolor%22%3A%22%2348bb0f%22%7D%2C%7B%22scolor%22%3A%22%233ff292%22%7D%2C%7B%22scolor%22%3A%22%23899bff%22%7D%5D" size="5" anim_size_speed="1" anim_size_min="50" density="200"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;
	
	//Testimonials 4 - startuphub
	$data = array();
	$data['name'] = esc_html__( 'Testimonials 04', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'testimonials-4.jpg' );
	$data['sort_name'] = 'Testimonials';
	$data['custom_class'] = 'general testimonials';
	$data['content'] = <<<CONTENT
	[vc_row equal_height="yes" content_placement="middle" bg_position="center center" css=".vc_custom_1607067543054{border-top-width: 0px !important;border-right-width: 0px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;padding-top: 50px !important;padding-bottom: 40px !important;background-position: 0 0 !important;background-repeat: no-repeat !important;border-left-color: #f2f2f2 !important;border-right-color: #f2f2f2 !important;border-top-color: #f2f2f2 !important;border-bottom-color: #f2f2f2 !important;}" responsive_css="padding_bottom_medium:75px"][vc_column offset="vc_col-md-6"][ld_testimonial template="style04" network="fa-twitter" title="Maria Sanchez, Hub CEO" avatar="4478"]“Les services de paiement sont disponibles via des applications mobilese bureau. “[/ld_testimonial][ld_testimonial template="style04" network="fa-whatsapp" title="Maria Sanchez, Hub CEO" avatar="4479" margin="right_large:-65px|left_large:65px"]“Les services de paiement sont disponibles via des applications mobilese bureau. “[/ld_testimonial][ld_testimonial template="style04" network="fa-twitter" title="Tom Becks, Hub CEO" avatar="4477"]“Les services de paiement sont disponibles via des applications mobilese bureau. “[/ld_testimonial][/vc_column][vc_column column_top_ontablet="yes" column_top_onmobile="yes" offset="vc_col-md-offset-1 vc_col-md-5" responsive_css="margin_bottom_medium:0px" css=".vc_custom_1607067598266{margin-bottom: 35px !important;}"][ld_fancy_heading tag="h6" transform="text-uppercase" enable_bg="yes" fh_border_radius="round" use_custom_fonts_title="true" color="rgb(51, 59, 65)" fs="text_small:11px" ls="text_small:0.1em" padding="top_small:7px|right_small:20px|bottom_small:7px|left_small:20px" fh_bg="rgb(237, 243, 247)" margin="bottom_small:1.5em"]Workflow Integration[/ld_fancy_heading][ld_fancy_heading tag="h2" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" enable_split="true" use_mask="true" gradient="linear-gradient(90deg, rgb(11, 79, 238) 0%, #ac1de1 100%)"]Why StartupHub[/ld_fancy_heading][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" fs="text_small:20px" lh="text_small:29px" margin="bottom_small:1.75em"]Complete Design Toolkit – huge collection of elements, rich customization options, flexible layouts, and instant results! Choose a pre-built header or create a custom layout that perfectly suits your needs.[/ld_fancy_heading][ld_button style="btn-solid" title="Get started" shape="round" hover_txt_effect="btn-hover-txt-liquid-x-alt" i_type="linea" i_hover_reveal="btn-hover-reveal" enable_row_shadowbox="yes" i_add_icon="true" fs="17px" button_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%228px%22%2C%22blur_radius%22%3A%2220px%22%2C%22shadow_color%22%3A%22rgba(132%2C92%2C255%2C0.2)%22%7D%5D" hover_button_box_shadow="%5B%7B%7D%5D" lh="1.25em" css=".vc_custom_1588154661739{padding-right: 0.75em !important;padding-left: 0.75em !important;}" i_icon_linea="icon-md-arrow-round-forward"][ld_particles as_bg="yes" color_type="multi_color" opacity="1" enable_random_opacity="yes" enable_anim_opacity="yes" enable_random_size="yes" enable_anim_size="yes" enable_move="yes" move_direction="right" enable_random_move="yes" modes_grab_opacity="1" retina_detect="yes" particle_id="lqd-1595673746671-a27c94f3-ba8e" number="7" multi_color_values="%5B%7B%22scolor%22%3A%22%2340f292%22%7D%2C%7B%22scolor%22%3A%22%2397dff4%22%7D%2C%7B%22scolor%22%3A%22%23ffefd2%22%7D%2C%7B%22scolor%22%3A%22%23ffe3d1%22%7D%5D" anim_opacity_speed="0.2" anim_opacity_min="0.5" size="4" move_speed="1.5" anim_size_speed="1" anim_size_min="70"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;
	
	//Testimonials 5 - newsletter
	$data = array();
	$data['name'] = esc_html__( 'Testimonials 05', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'testimonials-5.jpg' );
	$data['sort_name'] = 'Testimonials';
	$data['custom_class'] = 'general testimonials';
	$data['content'] = <<<CONTENT
	[vc_row equal_height="yes" content_placement="middle" bg_position="center top" css=".vc_custom_1605846739489{padding-bottom: 40px !important;background-color: #ffffff !important;background-position: center !important;background-repeat: no-repeat !important;background-size: contain !important;}" el_id="lqd-testimonials" responsive_css="padding_top_medium:50px|padding_bottom_medium:80px"][vc_column offset="vc_col-md-6"][ld_fancy_heading tag="h2" highlight_offset="10px" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" fs="text_large:52px|text_medium:44px|text_small:38px" margin="bottom_small:0.85em" highlight_color="rgba(0, 233, 135, 0.37)"]Hear from [ld_highlight]community[/ld_highlight][/ld_fancy_heading][ld_carousel_tab columns="xs:1|spacing_xs:15px" inactiv_opacity="1" prevnextbuttons="yes" adaptiveheight="yes" navarrow="6" navsize="carousel-nav-lg" navfill="carousel-nav-solid" navshape="carousel-nav-circle" navshadow="carousel-nav-shadowed-onhover" nav_arrow_color="rgb(32, 30, 37)" nav_arrow_color_hover="rgb(255, 255, 255)" nav_border_color="rgb(234, 239, 240)" nav_border_hcolor="rgb(32, 30, 37)" nav_bg_color="rgb(234, 239, 240)" nav_bg_hcolor="rgb(32, 30, 37)" navoffset="left: 15px"][ld_carousel_section title="Tab" tab_id="lqd-1595937964872-620d79f9-4454"][vc_row_inner css=".vc_custom_1573202975286{margin-bottom: 30px !important;}"][vc_column_inner][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:19px" color="rgb(77, 85, 116)" margin="bottom_small:1em" lh="text_small:27px"]“The experience with Ave has been nothing short of amazing. So much better than other themes I’ve used – wish I had seen this one first and saved my wasted time and money on other themes! I’d recommend this theme in a heartbeat!”[/ld_fancy_heading][ld_spacer height="15px"][ld_fancy_heading tag="h5" use_custom_fonts_title="true" fs="text_small:17px" fw="text_small:500" margin="bottom_small:0px"]Daniel Rock[/ld_fancy_heading][ld_fancy_heading tag="h6" use_custom_fonts_title="true" fs="text_small:14px" fw="text_small:400" margin="bottom_small:0px" color="rgb(157, 175, 189)"]ThemeForest Exclusive[/ld_fancy_heading][ld_spacer height="15px"][/vc_column_inner][/vc_row_inner][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595939090504-d9086944-9c86"][vc_row_inner css=".vc_custom_1573202975286{margin-bottom: 30px !important;}"][vc_column_inner][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:19px" lh="text_small:27px" color="rgb(77, 85, 116)" margin="bottom_small:1em"]“Not only easy to use but also impressed with the functionality, Ave is already shedding light on 2019 website trends. Excellent performance from this lightweight theme, UX is excellent, all these specs enables you to have the perfect website. I’m in love with it.”[/ld_fancy_heading][ld_spacer height="15px"][ld_fancy_heading tag="h5" use_custom_fonts_title="true" fs="text_small:17px" fw="text_small:500" margin="bottom_small:0px"]Marta Wealth[/ld_fancy_heading][ld_fancy_heading tag="h6" use_custom_fonts_title="true" fs="text_small:14px" fw="text_small:400" margin="bottom_small:0px" color="rgb(157, 175, 189)"]ThemeForest Exclusive[/ld_fancy_heading][ld_spacer height="15px"][/vc_column_inner][/vc_row_inner][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595939089759-0f2a36cc-8780"][vc_row_inner css=".vc_custom_1573202975286{margin-bottom: 30px !important;}"][vc_column_inner][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:19px" lh="text_small:27px" color="rgb(77, 85, 116)" margin="bottom_small:1em"]“A beautiful theme, with excellent scores on pingdom speed tool and gtmetrix, that is one of the main reasons for my purchase. Well designed, demos also present elements in a useful way. “[/ld_fancy_heading][ld_spacer height="15px"][ld_fancy_heading tag="h5" use_custom_fonts_title="true" fs="text_small:17px" fw="text_small:500" margin="bottom_small:0px"]Daniel Rock[/ld_fancy_heading][ld_fancy_heading tag="h6" use_custom_fonts_title="true" fs="text_small:14px" fw="text_small:400" margin="bottom_small:0px" color="rgb(157, 175, 189)"]ThemeForest Exclusive[/ld_fancy_heading][ld_spacer height="15px"][/vc_column_inner][/vc_row_inner][/ld_carousel_section][/ld_carousel_tab][/vc_column][vc_column offset="vc_col-md-6 vc_hidden-sm vc_hidden-xs"][ld_images_group_container enable_item_animation="yes" pf_init_scale_x="0.75" pf_init_scale_y="0.75" pf_init_opacity="0" pf_an_scale_x="1" pf_an_scale_y="1" pf_an_opacity="1" pf_duration="1800" pf_delay="180" pf_start_delay="350"][ld_images_group_element image="53"][/ld_images_group_element][ld_images_group_element img_size="50%" parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" absolute_pos="yes" image="55" position="top_large:42%25|right_large:29%25" translate_from_y="20" translate_to_y="-30"][/ld_images_group_element][ld_images_group_element img_size="50%" parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" absolute_pos="yes" image="59" position="top_large:17%25|left_large:9%25" translate_from_y="70" translate_to_y="-70"][/ld_images_group_element][ld_images_group_element img_size="50%" parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" absolute_pos="yes" image="54" position="top_large:13%25|right_large:18%25" translate_from_y="50" translate_to_y="-60"][/ld_images_group_element][ld_images_group_element img_size="50%" parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" absolute_pos="yes" image="58" position="bottom_large:26%25|left_large:16%25" translate_from_y="100" translate_to_y="-110"][/ld_images_group_element][ld_images_group_element img_size="50%" parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" absolute_pos="yes" image="57" position="bottom_large:11%25|left_large:41%25" translate_from_y="75" translate_to_y="-80"][/ld_images_group_element][ld_images_group_element img_size="50%" parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" absolute_pos="yes" image="56" position="right_large:15%25|bottom_large:30%25" translate_from_y="55" translate_to_y="-100"][/ld_images_group_element][/ld_images_group_container][/vc_column][vc_column width="2/3" offset="vc_hidden-lg vc_hidden-md vc_col-sm-offset-2"][vc_single_image image="98" alignment="center" css=".vc_custom_1573311244574{margin-top: 35px !important;}"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;
	
	//Testimonials 6 - classic
	$data = array();
	$data['name'] = esc_html__( 'Testimonials 06', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'testimonials-6.jpg' );
	$data['sort_name'] = 'Testimonials';
	$data['custom_class'] = 'general testimonials carousel';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1602158512448{border-bottom-width: 1px !important;padding-top: 60px !important;padding-bottom: 60px !important;border-bottom-color: rgba(0,0,0,0.07) !important;border-bottom-style: solid !important;}" responsive_css="padding_top_medium:90px|padding_bottom_medium:80px|padding_top_small:90px|padding_bottom_small:80px"][vc_column align="text-center" offset="vc_col-md-offset-2 vc_col-md-8" css=".vc_custom_1606176912954{margin-bottom: 35px !important;}" responsive_align="text-left text-md-center"][ld_fancy_heading tag="h6" transform="text-uppercase"]Digital Products[/ld_fancy_heading][ld_fancy_heading tag="h2" padding="right_all:14%25|left_all:14%25"]Hear from our clients.[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-4" css=".vc_custom_1606895363427{margin-bottom: 20px !important;}"][ld_carousel_tab columns="xs:1|spacing_xs:15px" inactiv_opacity="1" wraparound="yes" el_id="testi-avatars"][ld_carousel_section title="Tab" tab_id="lqd-1595347850721-ecc362b9-2c20"][vc_column_text] Matt Atwell Founder [/vc_column_text][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595347850841-d00f696d-7795"][vc_column_text] Matt Atwell Founder [/vc_column_text][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595347850951-53dce317-6bd9"][vc_column_text] Matt Atwell Founder [/vc_column_text][/ld_carousel_section][/ld_carousel_tab][/vc_column][vc_column offset="vc_col-md-8"][ld_carousel_tab columns="xs:1|spacing_xs:15px" inactiv_opacity="1" prevnextbuttons="yes" wraparound="yes" navarrow="6" navsize="carousel-nav-lg" navslidernumberstoarrows="yes" mobile_dots_bottom_offset_outside="-0.5em" controllingcarousels="#testi-avatars"][ld_carousel_section title="Tab" tab_id="lqd-1595347863097-4b39de55-bca3"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="18px" lh="32px" color="rgb(78, 78, 78)" margin="bottom_small:2em"]“I think Hub is the best theme I ever seen this year. Amazing design, easy to customize and a design quality superlative. A startup or start-up is started by individual founders or entrepreneurs.”[/ld_fancy_heading][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595347863217-fce914be-bece"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="18px" lh="32px" color="rgb(78, 78, 78)" margin="bottom_small:2em"]“I think Hub is the best theme I ever seen this year. Amazing design, easy to customize and a design quality superlative. A startup or start-up is started by individual founders or entrepreneurs.”[/ld_fancy_heading][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595347863333-3c669e95-7ee7"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="18px" lh="32px" color="rgb(78, 78, 78)" margin="bottom_small:2em"]“I think Hub is the best theme I ever seen this year. Amazing design, easy to customize and a design quality superlative. A startup or start-up is started by individual founders or entrepreneurs.”[/ld_fancy_heading][/ld_carousel_section][/ld_carousel_tab][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Testimonials 7 - classic
	$data = array();
	$data['name'] = esc_html__( 'Testimonials 07', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'testimonials-7.jpg' );
	$data['sort_name'] = 'Testimonials';
	$data['custom_class'] = 'general testimonials carousel';
	$data['content'] = <<<CONTENT
	[vc_row full_width="stretch_row" equal_height="yes" content_placement="middle" css=".vc_custom_1611649459988{padding-bottom: 60px !important;}" responsive_css="padding_right_large:5vw|padding_left_large:5vw|margin_left_medium:100px|padding_top_medium:70px|padding_bottom_medium:70px"][vc_column offset="vc_col-lg-4 vc_col-md-5"][ld_fancy_heading tag="h2"]La testimony à vos mobile online payments[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-lg-offset-3 vc_col-lg-5 vc_col-md-offset-1 vc_col-md-6"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:18px" lh="text_small:1.666em"]Les services de paiement sont disponibles via des applications mobiles et de bureau.[/ld_fancy_heading][/vc_column][vc_column css=".vc_custom_1587039540134{padding-top: 40px !important;}"][ld_carousel_tab columns="md:3|sm:2|xs:1|spacing_md:25px|spacing_xs:15px" inactiv_opacity="1" prevnextbuttons="yes" groupcells="no" wraparound="yes" navarrow="6" navsize="carousel-nav-lg" navhalign="carousel-nav-center" navslidernumberstoarrows="yes" mobile_dots_position="carousel-dots-mobile-inside" navoffset="bottom: -10px"][ld_carousel_section title="Tab" tab_id="lqd-1595406219058-1996a45a-61db"][ld_testimonial template="style17" title="- Marry Delicate" avatar="4347" bg_color="rgb(243, 243, 249)"]<span style="font-size: 16px; line-height: 28px;">Very happy with this theme, the website loads much faster than any other theme I have used so far</span>[/ld_testimonial][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595406219188-6438d0ba-0098"][ld_testimonial template="style17" title="- Marry Delicate" avatar="4346" bg_color="rgb(243, 243, 249)"]<span style="font-size: 16px; line-height: 28px;">Very good theme and amazing customer support. Rapid feedback. Solved my problem.</span>[/ld_testimonial][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595406219303-16660760-86b4"][ld_testimonial template="style17" title="- Marry Delicate" avatar="4348" bg_color="rgb(243, 243, 249)"]<span style="font-size: 16px; line-height: 28px;">Very happy with this theme, the website loads much faster than any other theme I have used so far</span>[/ld_testimonial][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1611576520636-e294ee07-aaf7"][ld_testimonial template="style17" title="- Marry Delicate" avatar="4348" bg_color="rgb(243, 243, 249)"]<span style="font-size: 16px; line-height: 28px;">Very happy with this theme, the website loads much faster than any other theme I have used so far</span>[/ld_testimonial][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1611576520197-9022cace-ae4d"][ld_testimonial template="style17" title="- Marry Delicate" avatar="4348" bg_color="rgb(243, 243, 249)"]<span style="font-size: 16px; line-height: 28px;">Very happy with this theme, the website loads much faster than any other theme I have used so far</span>[/ld_testimonial][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1611576519556-26465707-9eae"][ld_testimonial template="style17" title="- Marry Delicate" avatar="4348" bg_color="rgb(243, 243, 249)"]<span style="font-size: 16px; line-height: 28px;">Very happy with this theme, the website loads much faster than any other theme I have used so far</span>[/ld_testimonial][/ld_carousel_section][/ld_carousel_tab][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Testimonials 8 - classic
	$data = array();
	$data['name'] = esc_html__( 'Testimonials 08', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'testimonials-8.jpg' );
	$data['sort_name'] = 'Testimonials';
	$data['custom_class'] = 'general testimonials carousel';
	$data['content'] = <<<CONTENT
	[vc_row equal_height="yes" content_placement="middle" bg_position="center center" css=".vc_custom_1611671648213{padding-bottom: 70px !important;background-image: url(https://digitalstudiopro.liquid-themes.com/wp-content/uploads/2020/07/asset-22.png?id=4496) !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}" row_hide="hidden-xs hidden-sm" el_id="desktop-row" responsive_css="padding_top_medium:20px|padding_bottom_medium:70px"][vc_column offset="vc_col-md-6" responsive_css="margin_bottom_medium:0px|padding_right_medium:5%25" css=".vc_custom_1595852540017{margin-bottom: 45px !important;}"][ld_testimonial template="style04" network="fa-twitter" title="Lana Del Rey, Hub CEO" avatar="4497"]<span style="font-size: 16px;">“Les services de paiement sont disponibles via des applications mobilese bureau. “</span>[/ld_testimonial][ld_testimonial template="style04" network="fa-twitter" title="Lana Del Rey, Hub CEO" avatar="4498" margin="right_large:-70px|left_large:70px"]<span style="font-size: 16px;">“Les services de paiement sont disponibles via des applications mobilese bureau. “</span>[/ld_testimonial][ld_testimonial template="style04" network="fa-twitter" title="Lana Del Rey, Hub CEO" avatar="4499"]<span style="font-size: 16px;">“Les services de paiement sont disponibles via des applications mobilese bureau. “</span>[/ld_testimonial][/vc_column][vc_column offset="vc_col-lg-offset-1 vc_col-lg-5 vc_col-md-6"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:45px"]😍[/ld_fancy_heading][ld_fancy_heading tag="h6" margin="bottom_small:1.5em"]Testimonials[/ld_fancy_heading][ld_fancy_heading tag="h2"]Hear from them[/ld_fancy_heading][ld_fancy_heading tag="p" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" fs="text_small:20px" lh="text_small:29px" margin="bottom_small:1.75em" ls="text_small:-0.01em"]As a leading digital agency in Paris, we look to engage with our clients beyond the conventional design and development agency relationship, becoming a partner to the people and companies we work with.[/ld_fancy_heading][ld_button style="btn-solid" title="Get started" shape="circle" hover_txt_effect="btn-hover-txt-liquid-x-alt" i_type="linea" i_shape="btn-icon-circle" i_hover_reveal="btn-hover-swp" i_add_icon="true" fs="17px" lh="1.25em" css=".vc_custom_1595845887781{padding-right: 0.75em !important;padding-left: 0.75em !important;}" i_icon_linea="lqd-icn-ess icon-md-arrow-forward"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Testimonials 9 - classic
	$data = array();
	$data['name'] = esc_html__( 'Testimonials 09', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'testimonials-9.jpg' );
	$data['sort_name'] = 'Testimonials';
	$data['custom_class'] = 'general testimonials carousel';
	$data['content'] = <<<CONTENT
	[vc_row bg_position="center center" css=".vc_custom_1614328250330{padding-top: 60px !important;background-image: url(https://mobilepro.liquid-themes.com/wp-content/uploads/2019/11/circles.svg?id=51) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: contain !important;}" responsive_css="padding_top_medium:80px|padding_bottom_medium:80px" el_id="testimonials"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" align="text-center" offset="vc_col-md-offset-2 vc_col-md-8" ca_duration="1800" ca_delay="180" ca_init_translate_y="35" responsive_css="margin_bottom_medium:80px" responsive_align="text-center" css=".vc_custom_1605398055025{margin-bottom: 20px !important;}"][ld_fancy_heading tag="h6" transform="text-uppercase" enable_bg="yes" fh_border_radius="circle" use_custom_fonts_title="true" fs="text_small:13px" ls="text_small:0.05em" margin="bottom_small:1.75em" fh_bg="rgb(228, 230, 255)" padding="top_small:6px|right_small:13px|bottom_small:6px|left_small:13px"]Explore new places[/ld_fancy_heading][ld_fancy_heading tag="h2" highlight_type="lqd-highlight-custom-underline" use_custom_fonts_title="true" enable_fit="true" fs="text_large:39px|text_small:32px" compressor="0.7" minfontsize="38"]They enjoy HubApp[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-offset-1 vc_col-md-10" css=".vc_custom_1573123868086{margin-bottom: 30px !important;}"][ld_carousel_tab columns="xs:1|spacing_xs:15px" inactiv_opacity="1" enable_item_animation="yes" prevnextbuttons="yes" adaptiveheight="yes" navarrow="6" navsize="carousel-nav-xl" navhalign="carousel-nav-center" navfloated="carousel-nav-floated" navvalign="carousel-nav-middle" pf_init_scale_x="1" pf_init_scale_y="1" pf_init_opacity="0" pf_an_scale_x="1" pf_an_scale_y="1" pf_an_opacity="1" nav_arrow_color="rgb(29, 39, 78)" prevoffset="-10%" nextoffset="-10%" pf_duration="1800" pf_delay="100" pf_init_translate_y="35"][ld_carousel_section title="Carousel Item" tab_id="lqd-1599142005913-0c1d5ef6-5d8e"][vc_row_inner][vc_column_inner width="1/2" offset="vc_col-md-offset-0 vc_col-md-4 vc_col-xs-offset-3 vc_col-xs-6" responsive_css="margin_right_medium:0px|margin_bottom_medium:0px|margin_left_medium:0px|margin_right_small:75px|margin_left_small:0px" css=".vc_custom_1573390562319{margin-bottom: -50px !important;margin-left: -70px !important;}"][vc_single_image image="54"][/vc_column_inner][vc_column_inner offset="vc_col-md-7" responsive_css="padding_left_medium:7%25" responsive_align="text-center text-md-left"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:22px" lh="text_small:33px" color="rgb(77, 85, 116)" margin="bottom_small:1em"]All in one landing and startup solutions. Endless use-cases that make it highly flexible, adaptable, and scalable for everyone in the community. Focused on providing smart, Route each conversation to the right recipient.[/ld_fancy_heading][ld_fancy_heading tag="h5" use_custom_fonts_title="true" fs="15px" color="rgb(29, 39, 78)"]Clarissa Dalloway, Hub CEO[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1599142006163-4945c6c7-ba1d"][vc_row_inner][vc_column_inner width="1/2" offset="vc_col-md-offset-0 vc_col-md-4 vc_col-xs-offset-3 vc_col-xs-6" responsive_css="margin_right_medium:0px|margin_bottom_medium:0px|margin_left_medium:0px|margin_right_small:75px|margin_left_small:0px" css=".vc_custom_1573390562319{margin-bottom: -50px !important;margin-left: -70px !important;}"][vc_single_image image="54"][/vc_column_inner][vc_column_inner offset="vc_col-md-7" responsive_css="padding_left_medium:7%25"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:22px" lh="text_small:33px" color="rgb(77, 85, 116)" margin="bottom_small:1em"]All in one landing and startup solutions. Endless use-cases that make it highly flexible, adaptable, and scalable for everyone in the community. Focused on providing smart, Route each conversation to the right recipient.[/ld_fancy_heading][ld_fancy_heading tag="h5" use_custom_fonts_title="true" fs="15px" color="rgb(29, 39, 78)"]Clarissa Dalloway, Hub CEO[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1599142006327-bbc6db18-0c01"][vc_row_inner][vc_column_inner width="1/2" offset="vc_col-md-offset-0 vc_col-md-4 vc_col-xs-offset-3 vc_col-xs-6" responsive_css="margin_right_medium:0px|margin_bottom_medium:0px|margin_left_medium:0px|margin_right_small:75px|margin_left_small:0px" css=".vc_custom_1573390562319{margin-bottom: -50px !important;margin-left: -70px !important;}"][vc_single_image image="54"][/vc_column_inner][vc_column_inner offset="vc_col-md-7" responsive_css="padding_left_medium:7%25"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:22px" lh="text_small:33px" color="rgb(77, 85, 116)" margin="bottom_small:1em"]All in one landing and startup solutions. Endless use-cases that make it highly flexible, adaptable, and scalable for everyone in the community. Focused on providing smart, Route each conversation to the right recipient.[/ld_fancy_heading][ld_fancy_heading tag="h5" use_custom_fonts_title="true" fs="15px" color="rgb(29, 39, 78)"]Clarissa Dalloway, Hub CEO[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_carousel_section][/ld_carousel_tab][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Testimonials 10 - classic
	$data = array();
	$data['name'] = esc_html__( 'Testimonials 10', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'testimonials-10.jpg' );
	$data['sort_name'] = 'Testimonials';
	$data['custom_class'] = 'general testimonials carousel';
	$data['content'] = <<<CONTENT
	[vc_row bg_position="center center" css=".vc_custom_1620634864308{padding-top: 60px !important;padding-bottom: 30px !important;background-image: url(https://architecturepro.liquid-themes.com/wp-content/uploads/2021/01/bg@2x.jpg?id=4417) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: contain !important;}" responsive_css="padding_top_medium:120px|padding_bottom_medium:120px"][vc_column align="text-center" offset="vc_col-md-offset-2 vc_col-md-8" responsive_css="padding_right_medium:4%25|padding_left_medium:4%25" responsive_align="text-center"][ld_carousel_tab columns="xs:1|spacing_xs:15px" inactiv_opacity="1" prevnextbuttons="yes" pagenationdots="yes" adaptiveheight="yes" navarrow="6" navhalign="carousel-nav-center" navfloated="carousel-nav-floated" navvalign="carousel-nav-middle" dots_type="numbers" number_style="line" mobile_dots_bottom_offset_outside="-10px" navoffset="left: -20%, right: -20%"][ld_carousel_section title="Tab" tab_id="lqd-1596454083730-28436312-bdda"][ld_fancy_heading tag="p" tag_to_inherite="h5" use_custom_fonts_title="true" use_inheritance="true" color="rgb(29, 29, 29)" fs="text_small:23px" lh="text_small:1.65em" margin="bottom_small:2em"]Dan, Chief Designer — “Hub began as a collaborative architectural and landscape workshop, and has remained true to its trans-disciplinary way of thinking since its inception.”[/ld_fancy_heading][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1600434646478-88ebb09b-aaad"][ld_fancy_heading tag="p" tag_to_inherite="h5" use_custom_fonts_title="true" use_inheritance="true" color="rgb(29, 29, 29)" fs="text_small:23px" lh="text_small:1.65em" margin="bottom_small:2em"]Dan, Chief Designer — “Hub began as a collaborative architectural and landscape workshop, and has remained true to its trans-disciplinary way of thinking since its inception.”[/ld_fancy_heading][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1600434646134-bdae6447-e479"][ld_fancy_heading tag="p" tag_to_inherite="h5" use_custom_fonts_title="true" use_inheritance="true" color="rgb(29, 29, 29)" fs="text_small:23px" lh="text_small:1.65em" margin="bottom_small:2em"]Dan, Chief Designer — “Hub began as a collaborative architectural and landscape workshop, and has remained true to its trans-disciplinary way of thinking since its inception.”[/ld_fancy_heading][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1600434645783-7157c369-b1d9"][ld_fancy_heading tag="p" tag_to_inherite="h5" use_custom_fonts_title="true" use_inheritance="true" color="rgb(29, 29, 29)" fs="text_small:23px" lh="text_small:1.65em" margin="bottom_small:2em"]Dan, Chief Designer — “Hub began as a collaborative architectural and landscape workshop, and has remained true to its trans-disciplinary way of thinking since its inception.”[/ld_fancy_heading][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1600434645190-4f4d7e9a-b883"][ld_fancy_heading tag="p" tag_to_inherite="h5" use_custom_fonts_title="true" use_inheritance="true" color="rgb(29, 29, 29)" fs="text_small:23px" lh="text_small:1.65em" margin="bottom_small:2em"]Dan, Chief Designer — “Hub began as a collaborative architectural and landscape workshop, and has remained true to its trans-disciplinary way of thinking since its inception.”[/ld_fancy_heading][/ld_carousel_section][/ld_carousel_tab][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Testimonials 11 - classic
	$data = array();
	$data['name'] = esc_html__( 'Testimonials 11', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'testimonials-11.jpg' );
	$data['sort_name'] = 'Testimonials';
	$data['custom_class'] = 'general testimonials carousel';
	$data['content'] = <<<CONTENT
	[vc_row bg_position="center center" responsive_css="padding_top_medium:160px|padding_bottom_medium:160px|padding_top_small:80px|padding_bottom_small:80px" css=".vc_custom_1610034860769{padding-top: 60px !important;padding-bottom: 60px !important;background-image: url(https://architecturepro.liquid-themes.com/wp-content/uploads/2021/01/bg@2x.jpg?id=4417) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: contain !important;}"][vc_column responsive_align="text-center" css=".vc_custom_1610013523945{margin-bottom: 30px !important;}"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_small:43px" fw="text_small:500"]Hear from our clients[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-lg-offset-1 vc_col-lg-10"][ld_carousel_tab columns="xs:1|spacing_xs:15px" inactiv_opacity="1" cellalign="center" prevnextbuttons="yes" pagenationdots="yes" wraparound="yes" navarrow="6" navhalign="carousel-nav-center" navfloated="carousel-nav-floated" navvalign="carousel-nav-middle" dots_type="numbers" number_style="line" align_dots="carousel-dots-center"][ld_carousel_section title="Carousel Item" tab_id="lqd-1610013868139-bf9fb94a-6e00"][vc_row_inner responsive_css="padding_right_large:85px|padding_left_large:85px|padding_right_medium:60px|padding_left_medium:60px|padding_right_small:30px|padding_left_small:30px" css=".vc_custom_1610013908591{margin-bottom: 25px !important;}"][vc_column_inner responsive_align="text-center"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:21px" lh="text_small:1.5em" color="rgb(0, 0, 0)" margin="bottom_small:2em"]Hub unleashed our business potential by maximising the innovation. Hub allows your business and technology computers to store and analyze. Thanks Hub![/ld_fancy_heading][ld_fancy_heading tag="h4" transform="text-uppercase" use_custom_fonts_title="true" fs="text_small:13px" fw="text_small:600" ls="text_small:0.1em"]Alex Porad[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1610013919632-0a5c12be-ef60"][vc_row_inner responsive_css="padding_right_large:85px|padding_left_large:85px|padding_right_medium:60px|padding_left_medium:60px|padding_right_small:30px|padding_left_small:30px" css=".vc_custom_1610013908591{margin-bottom: 25px !important;}"][vc_column_inner responsive_align="text-center"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:21px" lh="text_small:1.5em" color="rgb(0, 0, 0)" margin="bottom_small:2em"]Hub unleashed our business potential by maximising the innovation. Hub allows your business and technology computers to store and analyze. Thanks Hub![/ld_fancy_heading][ld_fancy_heading tag="h4" transform="text-uppercase" use_custom_fonts_title="true" fs="text_small:13px" fw="text_small:600" ls="text_small:0.1em"]Alex Porad[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1610013923179-110cecb9-0dba"][vc_row_inner responsive_css="padding_right_large:85px|padding_left_large:85px|padding_right_medium:60px|padding_left_medium:60px|padding_right_small:30px|padding_left_small:30px" css=".vc_custom_1610013908591{margin-bottom: 25px !important;}"][vc_column_inner responsive_align="text-center"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:21px" lh="text_small:1.5em" color="rgb(0, 0, 0)" margin="bottom_small:2em"]Hub unleashed our business potential by maximising the innovation. Hub allows your business and technology computers to store and analyze. Thanks Hub![/ld_fancy_heading][ld_fancy_heading tag="h4" transform="text-uppercase" use_custom_fonts_title="true" fs="text_small:13px" fw="text_small:600" ls="text_small:0.1em"]Alex Porad[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1610013926147-93cd010f-e4d3"][vc_row_inner responsive_css="padding_right_large:85px|padding_left_large:85px|padding_right_medium:60px|padding_left_medium:60px|padding_right_small:30px|padding_left_small:30px" css=".vc_custom_1610013908591{margin-bottom: 25px !important;}"][vc_column_inner responsive_align="text-center"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:21px" lh="text_small:1.5em" color="rgb(0, 0, 0)" margin="bottom_small:2em"]Hub unleashed our business potential by maximising the innovation. Hub allows your business and technology computers to store and analyze. Thanks Hub![/ld_fancy_heading][ld_fancy_heading tag="h4" transform="text-uppercase" use_custom_fonts_title="true" fs="text_small:13px" fw="text_small:600" ls="text_small:0.1em"]Alex Porad[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1610013928927-6ea38479-328f"][vc_row_inner responsive_css="padding_right_large:85px|padding_left_large:85px|padding_right_medium:60px|padding_left_medium:60px|padding_right_small:30px|padding_left_small:30px" css=".vc_custom_1610013908591{margin-bottom: 25px !important;}"][vc_column_inner responsive_align="text-center"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:21px" lh="text_small:1.5em" color="rgb(0, 0, 0)" margin="bottom_small:2em"]Hub unleashed our business potential by maximising the innovation. Hub allows your business and technology computers to store and analyze. Thanks Hub![/ld_fancy_heading][ld_fancy_heading tag="h4" transform="text-uppercase" use_custom_fonts_title="true" fs="text_small:13px" fw="text_small:600" ls="text_small:0.1em"]Alex Porad[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_carousel_section][/ld_carousel_tab][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Testimonials 12 - classic
	$data = array();
	$data['name'] = esc_html__( 'Testimonials 12', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'testimonials-12.jpg' );
	$data['sort_name'] = 'Testimonials';
	$data['custom_class'] = 'general testimonials carousel';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1614153893840{padding-top: 75px !important;padding-bottom: 50px !important;background-color: #f8f9fc !important;}" el_id="testimonials"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" align="text-center" offset="vc_col-lg-offset-3 vc_col-lg-6 vc_col-md-offset-2 vc_col-md-8" ca_duration="1800" ca_delay="180" ca_init_translate_y="45" css=".vc_custom_1575035240166{margin-bottom: 30px !important;}" responsive_align="text-center"][ld_fancy_heading tag="h2" use_inheritance="true"]Hear from our customers[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:19px" lh="text_small:31px" margin="bottom_small:2em"]Choose a pre-built header or create a custom layout that perfectly suits your needs. It’s easy, fast and mobile-friendly.[/ld_fancy_heading][/vc_column][vc_column][vc_row_inner enable_content_animation="yes" ca_init_scale_x="0.75" ca_init_scale_y="0.75" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" ca_duration="1800" ca_delay="180" ca_init_translate_x="0" ca_init_translate_y="60"][vc_column_inner width="1/2" offset="vc_col-md-4" css=".vc_custom_1574948048040{margin-bottom: 35px !important;}"][ld_testimonial template="style17" title="Helen Keller" position="Founder of CEO" avatar="128"]Holy sh*tballs, what have you created? This is a game-changing theme! The level of functionality and detail is incredible. What a debut![/ld_testimonial][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-4" css=".vc_custom_1574948048040{margin-bottom: 35px !important;}"][ld_testimonial template="style17" title="Helen Keller" position="Founder of CEO" avatar="127"]Holy sh*tballs, what have you created? This is a game-changing theme! The level of functionality and detail is incredible. What a debut![/ld_testimonial][/vc_column_inner][vc_column_inner width="1/2" offset="vc_col-md-4" css=".vc_custom_1574948048040{margin-bottom: 35px !important;}"][ld_testimonial template="style17" title="Helen Keller" position="Founder of CEO" avatar="126"]Holy sh*tballs, what have you created? This is a game-changing theme! The level of functionality and detail is incredible. What a debut![/ld_testimonial][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Testimonials 13 - classic
	$data = array();
	$data['name'] = esc_html__( 'Testimonials 13', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'testimonials-13.jpg' );
	$data['sort_name'] = 'Testimonials';
	$data['custom_class'] = 'general testimonials carousel';
	$data['content'] = <<<CONTENT
	[vc_row bg_position="center center" responsive_css="padding_top_medium:100px|padding_bottom_medium:150px" css=".vc_custom_1605894339565{padding-bottom: 60px !important;background-image: url(https://multiusepro.liquid-themes.com/wp-content/uploads/2020/01/map.jpg?id=62) !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}"][vc_column offset="vc_hidden-sm vc_hidden-xs"][ld_images_group_container enable_item_animation="yes" move_to_parent_row="yes" pf_init_scale_x="0.3" pf_init_scale_y="0.3" pf_init_opacity="0" pf_an_scale_x="1" pf_an_scale_y="1" pf_an_opacity="1" absolute_pos="yes" pf_duration="1800" pf_delay="180" pf_init_translate_y="36" position="top_small:0px|right_small:0px|bottom_small:0px|left_small:0px"][ld_images_group_element img_size="50%" parallax="yes" enable_image_shadow="yes" shadow_style="3" enable_roudness="yes" image_roudness="50em" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" absolute_pos="yes" image="107" position="bottom_small:32vh|left_small:5vw" translate_from_y="90" translate_to_y="-140"][/ld_images_group_element][ld_images_group_element img_size="50%" parallax="yes" enable_image_shadow="yes" shadow_style="3" enable_roudness="yes" image_roudness="50em" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" absolute_pos="yes" image="108" position="bottom_small:18vh|left_small:15vw" translate_from_y="60" translate_to_y="-85"][/ld_images_group_element][ld_images_group_element img_size="50%" parallax="yes" enable_image_shadow="yes" shadow_style="3" enable_roudness="yes" image_roudness="50em" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" absolute_pos="yes" image="109" position="bottom_small:40vh|left_small:20vw" translate_from_y="90" translate_to_y="-200"][/ld_images_group_element][ld_images_group_element img_size="50%" parallax="yes" enable_image_shadow="yes" shadow_style="3" enable_roudness="yes" image_roudness="50em" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" absolute_pos="yes" image="111" position="right_small:3vw|bottom_small:30vh" translate_from_y="90" translate_to_y="-140"][/ld_images_group_element][ld_images_group_element img_size="50%" parallax="yes" enable_image_shadow="yes" shadow_style="3" enable_roudness="yes" image_roudness="50em" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" absolute_pos="yes" image="110" position="right_small:13vw|bottom_small:20vh" translate_from_y="40" translate_to_y="-50"][/ld_images_group_element][ld_images_group_element img_size="50%" parallax="yes" enable_image_shadow="yes" shadow_style="3" enable_roudness="yes" image_roudness="50em" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" absolute_pos="yes" image="112" position="right_small:12vw|bottom_small:35vh" translate_from_y="40" translate_to_y="-120"][/ld_images_group_element][/ld_images_group_container][/vc_column][vc_column align="text-center" offset="vc_col-md-offset-1 vc_col-md-10" css=".vc_custom_1607345746700{margin-bottom: 70px !important;}" responsive_align="text-md-center"][ld_fancy_heading tag="h6" margin="bottom_small:1em"]What we achieved[/ld_fancy_heading][ld_fancy_heading tag="h2" split_type="words" duration="1000" delay="120" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="1" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" use_custom_fonts_title="true" enable_split="true" use_mask="true" enable_fit="true" minfontsize="40" fs="text_large:48px|text_small:40px" ca_init_translate_y="70"]Don't just take our word for it[/ld_fancy_heading][/vc_column][vc_column align="text-center" offset="vc_col-md-offset-1 vc_col-md-10" responsive_align="text-md-center"][ld_images_group_element parallax="yes" scale_from_x="0.8" scale_from_y="0.8" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" absolute_pos="yes" image="64" position="top_small:-10%25|left_small:35%25" translate_from_y="20" translate_to_y="-190"][/ld_images_group_element][ld_carousel_tab columns="xs:1|spacing_xs:15px" inactiv_opacity="1" pagenationdots="yes" wraparound="yes" dots_right_offset="0" dots_bottom_offset="-20px" dots_left_offset="0" size_dots="carousel-dots-custom" dotscustomsize="30px" dotscustomsize_height="2px" dots_bg_color="rgba(6, 61, 174, 0.2)" dots_bg_hcolor="rgb(1, 209, 50)"][ld_carousel_section title="Tab" tab_id="lqd-1595668633656-4131b1cf-5a17"][vc_row_inner][vc_column_inner align="text-center" responsive_align="text-md-center"][vc_single_image image="63" img_size="95x95" alignment="center" style="vc_box_border_circle" border_color="white"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:22px" lh="text_small:1.53em" margin="bottom_small:1.5em"]“Greatest appreciation to you &amp; your team for the awesome and outstanding job you did for us. The website is just what we wanted, and we were thrilled with the speed your team exercised. We feel privileged to have Hub Coporation as our online marketing partner!”[/ld_fancy_heading][ld_fancy_heading tag="h4" tag_to_inherite="h6" use_inheritance="true" color="rgb(0, 0, 0)"]Rochus Sabah, CEO &amp; Co-Founder[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1599660131503-c223b229-c189"][vc_row_inner][vc_column_inner align="text-center" responsive_align="text-md-center"][vc_single_image image="110" img_size="95x95" alignment="center" style="vc_box_border_circle" border_color="white"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:22px" lh="text_small:1.53em" margin="bottom_small:1.5em"]“Greatest appreciation to you &amp; your team for the awesome and outstanding job you did for us. The website is just what we wanted, and we were thrilled with the speed your team exercised. We feel privileged to have Hub Coporation as our online marketing partner!”[/ld_fancy_heading][ld_fancy_heading tag="h4" tag_to_inherite="h6" use_inheritance="true" color="rgb(0, 0, 0)"]Rochus Sabah, CEO &amp; Co-Founder[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1599660130278-a39e322f-2278"][vc_row_inner][vc_column_inner align="text-center" responsive_align="text-md-center"][vc_single_image image="63" img_size="95x95" alignment="center" style="vc_box_border_circle" border_color="white"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:22px" lh="text_small:1.53em" margin="bottom_small:1.5em"]“Greatest appreciation to you &amp; your team for the awesome and outstanding job you did for us. The website is just what we wanted, and we were thrilled with the speed your team exercised. We feel privileged to have Hub Coporation as our online marketing partner!”[/ld_fancy_heading][ld_fancy_heading tag="h4" tag_to_inherite="h6" use_inheritance="true" color="rgb(0, 0, 0)"]Rochus Sabah, CEO &amp; Co-Founder[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_carousel_section][/ld_carousel_tab][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Testimonials 14 - classic
	$data = array();
	$data['name'] = esc_html__( 'Testimonials 14', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'testimonials-14.jpg' );
	$data['sort_name'] = 'Testimonials';
	$data['custom_class'] = 'general testimonials carousel';
	$data['content'] = <<<CONTENT
	[vc_row gap="0" equal_height="yes" content_placement="middle" css=".vc_custom_1621616954523{padding-top: 90px !important;padding-right: 15px !important;padding-bottom: 100px !important;padding-left: 15px !important;background: #005153 url(https://insurance.liquid-themes.com/wp-content/uploads/2021/05/lines-2.svg?id=3536) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" responsive_css="padding_right_medium:0px|padding_left_medium:0px"][vc_column offset="vc_col-lg-4 vc_col-md-5"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_large:51px" lh="text_small:1.2em"]Happy families since 1987.[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-lg-offset-4 vc_col-lg-4 vc_col-md-offset-2 vc_col-md-5"][ld_fancy_heading tag="h4" use_custom_fonts_title="true" use_inheritance="true" color="rgb(255, 255, 255)" fs="text_small:54px" margin="bottom_small:0.2em"]50m[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:14px" lh="text_small:1.35em"]We embrace holistic development and support for employees the aim of being a first-choice employer within our sectors. Our process applies techniques[/ld_fancy_heading][/vc_column][vc_column][ld_spacer height="55px"][/vc_column][vc_column css=".vc_custom_1621608971265{background-image: url(https://insurance.liquid-themes.com/wp-content/uploads/2021/05/Testimonial-Image@2x.jpg?id=3537) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" offset="vc_col-md-4"][vc_single_image image="3537" invisible="yes" css=".vc_custom_1621609002160{margin-bottom: 0px !important;}"][/vc_column][vc_column offset="vc_col-md-8" responsive_css="padding_right_large:12%25|padding_left_large:12%25|padding_top_medium:45px|padding_right_medium:7%25|padding_bottom_medium:50px|padding_left_medium:7%25" css=".vc_custom_1621609399810{padding-top: 35px !important;padding-right: 20px !important;padding-bottom: 35px !important;padding-left: 20px !important;background-color: #ffffff !important;}"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_medium:44px" margin="bottom_small:0.65em"]Testimonials[/ld_fancy_heading][ld_carousel_tab columns="xs:1|spacing_xs:15px" inactiv_opacity="1" prevnextbuttons="yes" groupcells="no" wraparound="yes" adaptiveheight="yes" navarrow="6" navsize="carousel-nav-sm" navslidernumberstoarrows="yes"][ld_carousel_section title="Carousel Item" tab_id="lqd-1621609117947-75a81532-640d"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgba(16, 58, 64, 0.8)" fs="text_small:19px" lh="text_small:1.31em" fw="text_small:400" margin="bottom_small:1.15em"]Their business to develop successful digital ideas and strategies that engage and convert significant, targeted traffic develop successful digital ideas and strategies that engage and convert[/ld_fancy_heading][ld_fancy_heading tag="h4" tag_to_inherite="h3" use_custom_fonts_title="true" use_inheritance="true" color="rgba(16, 58, 64, 0.8)" fs="text_small:17px" fw="text_small:500" margin="bottom_small:2em"]Rachel Scarlett, Envato Ceo[/ld_fancy_heading][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1621609435988-f72c1506-c4a9"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgba(16, 58, 64, 0.8)" fs="text_small:19px" lh="text_small:1.31em" fw="text_small:400" margin="bottom_small:1.15em"]Their business to develop successful digital ideas and strategies that engage and convert significant, targeted traffic develop successful digital ideas and strategies that engage and convert[/ld_fancy_heading][ld_fancy_heading tag="h4" tag_to_inherite="h3" use_custom_fonts_title="true" use_inheritance="true" color="rgba(16, 58, 64, 0.8)" fs="text_small:17px" fw="text_small:500" margin="bottom_small:2em"]Rachel Scarlett, Envato Ceo[/ld_fancy_heading][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1621609442231-45a6733b-b2fd"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgba(16, 58, 64, 0.8)" fs="text_small:19px" lh="text_small:1.31em" fw="text_small:400" margin="bottom_small:1.15em"]Their business to develop successful digital ideas and strategies that engage and convert significant, targeted traffic develop successful digital ideas and strategies that engage and convert[/ld_fancy_heading][ld_fancy_heading tag="h4" tag_to_inherite="h3" use_custom_fonts_title="true" use_inheritance="true" color="rgba(16, 58, 64, 0.8)" fs="text_small:17px" fw="text_small:500" margin="bottom_small:2em"]Rachel Scarlett, Envato Ceo[/ld_fancy_heading][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1621609451461-01d3ab58-e7a6"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgba(16, 58, 64, 0.8)" fs="text_small:19px" lh="text_small:1.31em" fw="text_small:400" margin="bottom_small:1.15em"]Their business to develop successful digital ideas and strategies that engage and convert significant, targeted traffic develop successful digital ideas and strategies that engage and convert[/ld_fancy_heading][ld_fancy_heading tag="h4" tag_to_inherite="h3" use_custom_fonts_title="true" use_inheritance="true" color="rgba(16, 58, 64, 0.8)" fs="text_small:17px" fw="text_small:500" margin="bottom_small:2em"]Rachel Scarlett, Envato Ceo[/ld_fancy_heading][/ld_carousel_section][/ld_carousel_tab][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Testimonials 15 - classic
	$data = array();
	$data['name'] = esc_html__( 'Testimonials 15', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'testimonials-15.jpg' );
	$data['sort_name'] = 'Testimonials';
	$data['custom_class'] = 'general testimonials carousel';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1605609910041{padding-bottom: 60px !important;}" responsive_css="padding_top_medium:100px|padding_bottom_medium:100px"][vc_column offset="vc_col-md-6 vc_hidden-sm vc_hidden-xs"][ld_images_group_container][ld_images_group_element parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" to_easy="easeOutCirc" image="4129" parallax_from="``-webkit-clip-path``: ``circle(0% at 0 50%)``, ``clip-path``: ``circle(0% at 0 50%)``" parallax_to="``-webkit-clip-path``: ``circle(115% at 0 50%)``, ``clip-path``: ``circle(115% at 0 50%)``" parallax_duration="1150"][/ld_images_group_element][ld_images_group_element img_size="50%" parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" to_easy="easeOutCirc" absolute_pos="yes" image="4130" parallax_from="``-webkit-clip-path``: ``circle(0% at 0 50%)``, ``clip-path``: ``circle(0% at 0 50%)``" parallax_to="``-webkit-clip-path``: ``circle(115% at 0 50%)``, ``clip-path``: ``circle(115% at 0 50%)``" position="top_small:33px|left_small:-33px" parallax_offset="100" parallax_duration="1150"][/ld_images_group_element][/ld_images_group_container][/vc_column][vc_column offset="vc_col-md-6" responsive_css="padding_left_medium:7%25" responsive_align="text-center text-md-left"][ld_images_group_element parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" absolute_pos="yes" image="4128" position="top_small:-90px|left_small:-100px" translate_from_y="5" translate_to_y="-120"][/ld_images_group_element][ld_fancy_heading tag="h6" margin="bottom_small:1em|left_small:15px"]Grow your business[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" enable_fit="true" minfontsize="38" margin="left_small:15px" fs="text_large:43px|text_small:38px"]What Our Customer Are Saying?[/ld_fancy_heading][ld_carousel_tab columns="xs:1|spacing_xs:15px" inactiv_opacity="1" prevnextbuttons="yes" navarrow="6" navsize="carousel-nav-lg" navshape="carousel-nav-circle" mobile_dots_bottom_offset_outside="-0.5em" navoffset="left:8px"][ld_carousel_section title="Tab" tab_id="lqd-1596026521978-5dae30de-6679"][vc_row_inner css=".vc_custom_1577874026644{margin-bottom: 35px !important;}"][vc_column_inner][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:22px" lh="text_small:39px" margin="bottom_small:1em"]We help our clients succeed by creating brand identities, digital experiences, and print materials that communicate clearly, achieve marketing goals, and look fantastic.Through a deep understanding of our audience’s makeup and motivations.[/ld_fancy_heading][ld_fancy_heading tag="h6"]Alex, Founder[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1596026522168-285735ed-2adf"][vc_row_inner css=".vc_custom_1577874034752{margin-bottom: 35px !important;}"][vc_column_inner][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:22px" lh="text_small:39px" margin="bottom_small:1em"]We help our clients succeed by creating brand identities, digital experiences, and print materials that communicate clearly, achieve marketing goals, and look fantastic.Through a deep understanding of our audience’s makeup and motivations.[/ld_fancy_heading][ld_fancy_heading tag="h6"]Alex, Founder[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1596026522327-f7595723-9a97"][vc_row_inner css=".vc_custom_1577874096799{margin-bottom: 30px !important;}"][vc_column_inner][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:22px" lh="text_small:39px" margin="bottom_small:1em"]We help our clients succeed by creating brand identities, digital experiences, and print materials that communicate clearly, achieve marketing goals, and look fantastic.Through a deep understanding of our audience’s makeup and motivations.[/ld_fancy_heading][ld_fancy_heading tag="h6"]Alex, Founder[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_carousel_section][/ld_carousel_tab][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Testimonials 16 - classic
	$data = array();
	$data['name'] = esc_html__( 'Testimonials 16', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'testimonials-16.jpg' );
	$data['sort_name'] = 'Testimonials';
	$data['custom_class'] = 'general testimonials carousel';
	$data['content'] = <<<CONTENT
	[vc_row equal_height="yes" content_placement="middle" bg_position="custom" css=".vc_custom_1614669957656{padding-top: 60px !important;background-image: url(https://itbusinesspro.liquid-themes.com/wp-content/uploads/2020/01/Shape-BG.png?id=54) !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}" bg_pos_h="center" bg_pos_v="35%" el_id="trustedexperience" responsive_css="padding_top_medium:120px|padding_bottom_medium:100px"][vc_column offset="vc_col-md-5" responsive_css="padding_left_medium:15px"][ld_fancy_heading tag="h2"]Our clients praise us for great results.[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-offset-3 vc_col-md-4" responsive_align="text-md-right" el_id="testi-carousel-nav-container"][/vc_column][vc_column css=".vc_custom_1578913192884{padding-top: 30px !important;padding-bottom: 60px !important;}"][ld_carousel_tab columns="md:3|sm:2.5|xs:1|spacing_xs:15px" inactiv_opacity="1" enable_item_animation="yes" prevnextbuttons="yes" pagenationdots="yes" fullwidthside="yes" navarrow="6" navappend="custom_id" navsize="carousel-nav-xl" align_dots="carousel-dots-left" dots_right_offset="0" dots_left_offset="15px" size_dots="carousel-dots-custom" pf_init_scale_x="1" pf_init_scale_y="1" pf_init_opacity="0" pf_an_scale_x="1" pf_an_scale_y="1" pf_an_opacity="1" navappend_id="#testi-carousel-nav-container" dotscustomsize="29px" dotscustomsize_height="4px" dots_bg_color="rgb(226, 228, 232)" dots_bg_hcolor="rgb(37, 138, 255)" pf_duration="1800" pf_delay="180" pf_init_translate_x="0"][ld_carousel_section title="Section 1" tab_id="1592381954489-ddb33467-5d40"][ld_testimonial template="style09" rating="0" title="Marry Delicate" avatar="8717" bg_color="rgb(255, 255, 255)"]Very good theme and amazing customer support. Rapid feedback. Solved my problem.[/ld_testimonial][/ld_carousel_section][ld_carousel_section title="Section 1" tab_id="lqd-1592382009321-fa0749fa-4a56"][ld_testimonial template="style09" rating="0" title="Marry Delicate" avatar="8716" bg_color="rgb(255, 255, 255)"]Very good theme and amazing customer support. Rapid feedback. Solved my problem.[/ld_testimonial][/ld_carousel_section][ld_carousel_section title="Section 1" tab_id="lqd-1592382010220-727cb0d4-8d04"][ld_testimonial template="style09" rating="0" title="Marry Delicate" avatar="8715" bg_color="rgb(255, 255, 255)"]Very good theme and amazing customer support. Rapid feedback. Solved my problem.[/ld_testimonial][/ld_carousel_section][ld_carousel_section title="Section 1" tab_id="lqd-1592382010750-1ee70ce0-9715"][ld_testimonial template="style09" rating="0" title="Marry Delicate" avatar="58" bg_color="rgb(255, 255, 255)"]Very good theme and amazing customer support. Rapid feedback. Solved my problem.[/ld_testimonial][/ld_carousel_section][ld_carousel_section title="Section 1" tab_id="lqd-1592382008418-2614ef30-f2c0"][ld_testimonial template="style09" rating="0" title="Marry Delicate" avatar="58" bg_color="rgb(255, 255, 255)"]Very good theme and amazing customer support. Rapid feedback. Solved my problem.[/ld_testimonial][/ld_carousel_section][ld_carousel_section title="Section 1" tab_id="lqd-1592382003099-4cdff01a-cb6d"][ld_testimonial template="style09" rating="0" title="Marry Delicate" avatar="58" bg_color="rgb(255, 255, 255)"]Very good theme and amazing customer support. Rapid feedback. Solved my problem.[/ld_testimonial][/ld_carousel_section][ld_carousel_section title="Section 1" tab_id="lqd-1592382002139-98fc8e81-5604"][ld_testimonial template="style09" rating="0" title="Marry Delicate" avatar="58" bg_color="rgb(255, 255, 255)"]Very good theme and amazing customer support. Rapid feedback. Solved my problem.[/ld_testimonial][/ld_carousel_section][ld_carousel_section title="Section 1" tab_id="lqd-1592382001097-e032cdb9-a41b"][ld_testimonial template="style09" rating="0" title="Marry Delicate" avatar="58" bg_color="rgb(255, 255, 255)"]Very good theme and amazing customer support. Rapid feedback. Solved my problem.[/ld_testimonial][/ld_carousel_section][/ld_carousel_tab][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Testimonials 17 - classic
	$data = array();
	$data['name'] = esc_html__( 'Testimonials 17', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'testimonials-17.jpg' );
	$data['sort_name'] = 'Testimonials';
	$data['custom_class'] = 'general testimonials carousel';
	$data['content'] = <<<CONTENT
	[vc_row equal_height="yes" enable_content_animation="yes" animation_preset="Fade In" bg_position="center center" css=".vc_custom_1610196168548{padding-top: 30px !important;padding-bottom: 30px !important;background-image: url(http://education.liquid-themes.com/wp-content/uploads/2019/12/map.jpg?id=53) !important;}" ca_delay="80" responsive_css="padding_top_medium:55px|padding_bottom_medium:55px|padding_top_small:40px|padding_bottom_small:40px"][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" align="text-center" offset="vc_col-md-offset-3 vc_col-md-6" css=".vc_custom_1610196538761{margin-bottom: 20px !important;}" ca_duration="1800" ca_delay="180" ca_init_translate_y="35" responsive_align="text-center" responsive_css="margin_bottom_medium:50px"][ld_fancy_heading tag="h6" use_custom_fonts_title="true" color="rgb(98, 105, 116)" fs="text_small:18px" fw="text_small:400"]A deep commitment to diversity[/ld_fancy_heading][ld_fancy_heading tag="h2" enable_fit="true" minfontsize="32"]International Students[/ld_fancy_heading][/vc_column][vc_column enable_hover_move="lqd-column-move-onhover" width="1/2" css=".vc_custom_1614673287592{margin-bottom: 40px !important;}"][vc_row_inner equal_height="yes" gap="0"][vc_column_inner bg_position="center top" offset="vc_col-md-5" css=".vc_custom_1610194761399{padding-top: 135px !important;padding-bottom: 135px !important;background-image: url(https://itbusinesspro.liquid-themes.com/wp-content/uploads/2021/01/img-1@2x.jpg?id=8898) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}"][/vc_column_inner][vc_column_inner offset="vc_col-md-7" css=".vc_custom_1614673275860{border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 45px !important;padding-right: 15px !important;padding-bottom: 45px !important;padding-left: 15px !important;border-left-color: #f5f5f5 !important;border-left-style: solid !important;border-right-color: #f5f5f5 !important;border-right-style: solid !important;border-top-color: #f5f5f5 !important;border-top-style: solid !important;border-bottom-color: #f5f5f5 !important;border-bottom-style: solid !important;}" responsive_css="padding_right_medium:50px|padding_left_medium:50px|padding_right_small:20px|padding_left_small:20px"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:16px" margin="bottom_small:20px"]Clara, Stripe[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:15px" lh="text_small:1.46em"]By enrolling in the Four Bear Program, UM guarantees you will graduate in four years with a bachelor’s degree. Discover the global city—filled with inspiration, opportunities to explore.[/ld_fancy_heading][/vc_column_inner][vc_column_inner offset="vc_col-md-5"][/vc_column_inner][vc_column_inner offset="vc_col-md-7" css=".vc_custom_1610195445116{border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 15px !important;padding-right: 15px !important;padding-bottom: 15px !important;padding-left: 15px !important;border-left-color: #f5f5f5 !important;border-left-style: solid !important;border-right-color: #f5f5f5 !important;border-right-style: solid !important;border-bottom-color: #f5f5f5 !important;border-bottom-style: solid !important;}" responsive_css="padding_right_medium:50px|padding_left_medium:50px|padding_right_small:20px|padding_left_small:20px"][ld_button style="btn-naked" title="Explore diversity at UChicago" i_type="linea" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-forward" color="rgb(137, 32, 32)" fs="14px"][/vc_column_inner][/vc_row_inner][/vc_column][vc_column enable_hover_move="lqd-column-move-onhover" width="1/2" css=".vc_custom_1614673306249{margin-bottom: 40px !important;}"][vc_row_inner equal_height="yes" gap="0"][vc_column_inner bg_position="center top" offset="vc_col-md-5" css=".vc_custom_1610195503927{padding-top: 135px !important;padding-bottom: 135px !important;background-image: url(https://itbusinesspro.liquid-themes.com/wp-content/uploads/2021/01/img-2@2x.jpg?id=8899) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}"][/vc_column_inner][vc_column_inner offset="vc_col-md-7" css=".vc_custom_1610195366359{border-top-width: 1px !important;border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 45px !important;padding-right: 15px !important;padding-bottom: 45px !important;padding-left: 15px !important;border-left-color: #f5f5f5 !important;border-left-style: solid !important;border-right-color: #f5f5f5 !important;border-right-style: solid !important;border-top-color: #f5f5f5 !important;border-top-style: solid !important;border-bottom-color: #f5f5f5 !important;border-bottom-style: solid !important;}" responsive_css="padding_right_medium:50px|padding_left_medium:50px|padding_right_small:20px|padding_left_small:20px"][ld_fancy_heading tag="h3" use_custom_fonts_title="true" fs="text_small:16px" margin="bottom_small:20px"]Shane, PayPal[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:15px" lh="text_small:1.46em"]By enrolling in the Four Bear Program, UM guarantees you will graduate in four years with a bachelor’s degree. Discover the global city—filled with inspiration, opportunities to explore.[/ld_fancy_heading][/vc_column_inner][vc_column_inner offset="vc_col-md-5"][/vc_column_inner][vc_column_inner offset="vc_col-md-7" css=".vc_custom_1610195445116{border-right-width: 1px !important;border-bottom-width: 1px !important;border-left-width: 1px !important;padding-top: 15px !important;padding-right: 15px !important;padding-bottom: 15px !important;padding-left: 15px !important;border-left-color: #f5f5f5 !important;border-left-style: solid !important;border-right-color: #f5f5f5 !important;border-right-style: solid !important;border-bottom-color: #f5f5f5 !important;border-bottom-style: solid !important;}" responsive_css="padding_right_medium:50px|padding_left_medium:50px|padding_right_small:20px|padding_left_small:20px"][ld_button style="btn-naked" title="Explore diversity at UChicago" i_type="linea" i_add_icon="true" i_icon_linea="lqd-icn-ess icon-ion-ios-arrow-forward" color="rgb(137, 32, 32)" fs="14px"][/vc_column_inner][/vc_row_inner][/vc_column][vc_column align="text-center" responsive_align="text-center"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(0, 0, 0)" fs="text_small:18px"]Our nearly 8,000 committed <a style="text-decoration: underline;" href="#">staff members</a> are ready to help.[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Testimonials 18 - classic
	$data = array();
	$data['name'] = esc_html__( 'Testimonials 18', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'testimonials-18.jpg' );
	$data['sort_name'] = 'Testimonials';
	$data['custom_class'] = 'general testimonials carousel';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" css=".vc_custom_1614346774247{padding-top: 90px !important;padding-bottom: 90px !important;background-color: #e3f0ff !important;}" el_id="testimonials" responsive_css="padding_top_medium:120px|padding_bottom_medium:120px"][vc_column offset="vc_col-md-6"][ld_fancy_heading tag="h6" margin="bottom_small:2em"]<a href="https://saaspro.liquid-themes.com/wp-content/uploads/2021/01/Group-32402.svg"><img class="alignnone size-medium wp-image-964" src="https://saaspro.liquid-themes.com/wp-content/uploads/2021/01/Group-32402.svg" alt="" width="110" height="19" /></a>  Next Generation[/ld_fancy_heading][ld_fancy_heading tag="h2" highlight_offset="0.15em" use_custom_fonts_title="true" fs="text_medium:51px|text_small:10vw" highlight_color="rgba(177, 204, 255, 0.35)" margin="bottom_small:0.35em"]Trusted by global companies.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.47em" margin="right_small:10%25"]Install any demo or template with a single click. You can mix and match all the demos.[/ld_fancy_heading][vc_row_inner][vc_column_inner width="1/2"][ld_counter use_custom_fonts_title="true" counter_mb_checkbox="true" count="1m+" fs="44px" lh="1em" color="rgb(0, 6, 69)" counter_mb="1" el_class="mb-2"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(29, 41, 63)" fs="text_small:14px"]Installations[/ld_fancy_heading][vc_single_image image="976" css=".vc_custom_1611305229104{margin-bottom: 10px !important;}"][/vc_column_inner][vc_column_inner width="1/2"][ld_counter use_custom_fonts_title="true" counter_mb_checkbox="true" count="4.58" fs="44px" lh="1em" color="rgb(0, 6, 69)" counter_mb="1" el_class="mb-2"][vc_single_image image="976" css=".vc_custom_1611305229104{margin-bottom: 10px !important;}"][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(29, 41, 63)" fs="text_small:14px"]The Best Rated App[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/vc_column][vc_column offset="vc_col-md-6"][ld_carousel_tab columns="xs:1|spacing_xs:15px" inactiv_opacity="1" pagenationdots="yes" wraparound="yes" fadeeffect="yes" dots_type="numbers" number_style="line" align_dots="carousel-dots-left" dots_left_offset="20px"][ld_carousel_section title="Carousel Item" tab_id="lqd-1611306071737-b2e05e32-b299"][vc_row_inner content_placement="middle"][vc_column_inner offset="vc_col-md-12"][ld_testimonial template="style13" title="Martin Sanez" position="Nike Designer" avatar="977"]<span style="font-size: 21px; line-height: 33px;">Install any demo or template with a single click. You can mix and match all the demos &amp; templates. Every demo can be turned into one or multi-page. You can also use the shop features for all demos.</span>[/ld_testimonial][/vc_column_inner][/vc_row_inner][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1614343385080-61b206c6-ecb6"][vc_row_inner content_placement="middle"][vc_column_inner offset="vc_col-md-12"][ld_testimonial template="style13" title="Martin Sanez" position="Nike Designer" avatar="977"]<span style="font-size: 21px; line-height: 33px;">Install any demo or template with a single click. You can mix and match all the demos &amp; templates. Every demo can be turned into one or multi-page. You can also use the shop features for all demos.</span>[/ld_testimonial][/vc_column_inner][/vc_row_inner][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1614343383362-fca8c6e7-104b"][vc_row_inner content_placement="middle"][vc_column_inner offset="vc_col-md-12"][ld_testimonial template="style13" title="Martin Sanez" position="Nike Designer" avatar="977"]<span style="font-size: 21px; line-height: 33px;">Install any demo or template with a single click. You can mix and match all the demos &amp; templates. Every demo can be turned into one or multi-page. You can also use the shop features for all demos.</span>[/ld_testimonial][/vc_column_inner][/vc_row_inner][/ld_carousel_section][/ld_carousel_tab][/vc_column][vc_column][ld_images_group_container parallax="yes" move_to_parent_row="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" absolute_pos="yes" position="right_small:15vw|bottom_small:0px" translate_from_x="63" translate_to_y="-118" margin="bottom_small:0px"][ld_images_group_element img_size="50%" enable_float_effect="yes" float_easing="ease-in" image="998"][/ld_images_group_element][/ld_images_group_container][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Testimonials 19 - classic
	$data = array();
	$data['name'] = esc_html__( 'Testimonials 19', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'testimonials-19.jpg' );
	$data['sort_name'] = 'Testimonials';
	$data['custom_class'] = 'general testimonials carousel';
	$data['content'] = <<<CONTENT
	[vc_row equal_height="yes" content_placement="middle" bg_position="custom" css=".vc_custom_1609858475925{padding-top: 20px !important;background-image: url(https://itbusinesspro.liquid-themes.com/wp-content/uploads/2020/12/World-Map.png?id=8800) !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}" bg_pos_h="center" bg_pos_v="35%" el_id="integration"][vc_column][vc_text_separator title="TESTIMONIALS" title_align="separator_align_left" color="custom" accent_color="rgba(0,0,0,0.12)"][/vc_column][vc_column offset="vc_col-md-6" responsive_css="padding_left_medium:15px"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" color="rgb(35, 46, 108)" fs="text_small:39px" lh="text_small:1.05em" highlight_color="rgba(0, 203, 153, 0.2)"]La testimony à [ld_highlight]vos mobile[/ld_highlight] online payments[/ld_fancy_heading][/vc_column][vc_column offset="vc_col-md-offset-2 vc_col-md-4"][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:18px" lh="text_small:1.66em"]Les services de paiement sont disponibles via des applications mobiles et de bureau.[/ld_fancy_heading][/vc_column][vc_column css=".vc_custom_1578913192884{padding-top: 30px !important;padding-bottom: 60px !important;}"][ld_carousel_tab columns="md:3|sm:2.5|xs:1|spacing_xs:15px" inactiv_opacity="1" enable_item_animation="yes" prevnextbuttons="yes" fullwidthside="yes" navarrow="6" navsize="carousel-nav-xl" navslidernumberstoarrows="yes" dots_right_offset="0" dots_left_offset="15px" pf_init_scale_x="1" pf_init_scale_y="1" pf_init_opacity="0" pf_an_scale_x="1" pf_an_scale_y="1" pf_an_opacity="1" pf_duration="1800" pf_delay="180" pf_init_translate_x="0"][ld_carousel_section title="Section 1" tab_id="1592381954489-ddb33467-5d40"][ld_testimonial template="style09" rating="5" title="Marry Delicate" avatar="8717" bg_color="rgb(255, 255, 255)" star_color="rgb(15, 20, 78)"]Very good theme and amazing customer support. Rapid feedback. Solved my problem.[/ld_testimonial][/ld_carousel_section][ld_carousel_section title="Section 1" tab_id="lqd-1592382009321-fa0749fa-4a56"][ld_testimonial template="style09" rating="5" title="Marry Delicate" avatar="8716" bg_color="rgb(255, 255, 255)" star_color="rgb(15, 20, 78)"]Very good theme and amazing customer support. Rapid feedback. Solved my problem.[/ld_testimonial][/ld_carousel_section][ld_carousel_section title="Section 1" tab_id="lqd-1592382010220-727cb0d4-8d04"][ld_testimonial template="style09" rating="5" title="Marry Delicate" avatar="8715" bg_color="rgb(255, 255, 255)" star_color="rgb(15, 20, 78)"]Very good theme and amazing customer support. Rapid feedback. Solved my problem.[/ld_testimonial][/ld_carousel_section][ld_carousel_section title="Section 1" tab_id="lqd-1592382010750-1ee70ce0-9715"][ld_testimonial template="style09" rating="5" title="Marry Delicate" avatar="58" bg_color="rgb(255, 255, 255)" star_color="rgb(15, 20, 78)"]Very good theme and amazing customer support. Rapid feedback. Solved my problem.[/ld_testimonial][/ld_carousel_section][ld_carousel_section title="Section 1" tab_id="lqd-1592382008418-2614ef30-f2c0"][ld_testimonial template="style09" rating="5" title="Marry Delicate" avatar="58" bg_color="rgb(255, 255, 255)" star_color="rgb(15, 20, 78)"]Very good theme and amazing customer support. Rapid feedback. Solved my problem.[/ld_testimonial][/ld_carousel_section][ld_carousel_section title="Section 1" tab_id="lqd-1592382003099-4cdff01a-cb6d"][ld_testimonial template="style09" rating="5" title="Marry Delicate" avatar="58" bg_color="rgb(255, 255, 255)" star_color="rgb(15, 20, 78)"]Very good theme and amazing customer support. Rapid feedback. Solved my problem.[/ld_testimonial][/ld_carousel_section][ld_carousel_section title="Section 1" tab_id="lqd-1592382002139-98fc8e81-5604"][ld_testimonial template="style09" rating="5" title="Marry Delicate" avatar="58" bg_color="rgb(255, 255, 255)" star_color="rgb(15, 20, 78)"]Very good theme and amazing customer support. Rapid feedback. Solved my problem.[/ld_testimonial][/ld_carousel_section][ld_carousel_section title="Section 1" tab_id="lqd-1592382001097-e032cdb9-a41b"][ld_testimonial template="style09" rating="5" title="Marry Delicate" avatar="58" bg_color="rgb(255, 255, 255)" star_color="rgb(15, 20, 78)"]Very good theme and amazing customer support. Rapid feedback. Solved my problem.[/ld_testimonial][/ld_carousel_section][/ld_carousel_tab][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Testimonials 20 - classic
	$data = array();
	$data['name'] = esc_html__( 'Testimonials 20', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'testimonials-20.jpg' );
	$data['sort_name'] = 'Testimonials';
	$data['custom_class'] = 'general testimonials carousel';
	$data['content'] = <<<CONTENT
	[vc_row equal_height="yes" content_placement="middle" css=".vc_custom_1598607112057{padding-top: 60px !important;padding-bottom: 50px !important;}" responsive_css="padding_bottom_medium:100px"][vc_column offset="vc_hidden-lg vc_hidden-md"][ld_images_group_container][ld_images_group_element absolute_pos="yes" image="4139" position="top_small:-90px"][/ld_images_group_element][ld_images_group_element absolute_pos="yes" image="58" position="right_small:-3vw|bottom_small:-50px"][/ld_images_group_element][ld_images_group_element image="4138" margin="right_large:-15vw"][/ld_images_group_element][/ld_images_group_container][/vc_column][vc_column offset="vc_col-md-6" responsive_align="text-center text-md-left"][ld_fancy_heading tag="h6" transform="text-lowercase" duration="1600" delay="100" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" enable_bg="yes" fh_border_radius="circle" enable_split="true" margin="bottom_small:0.75em" ca_init_translate_x="0" ca_init_rotate_y="0" ca_init_translate_y="35" color="rgb(255, 90, 61)" padding="top_small:10px|right_small:20px|bottom_small:10px|left_small:20px" fh_bg="rgb(255, 234, 230)"]Digital Experience[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" enable_fit="true" fs="text_large:48px|text_small:35px" lh="text_small:1.2em" margin="bottom_small:0.65em" minfontsize="36"]Our clients praise us for our great results[/ld_fancy_heading][ld_carousel_tab columns="xs:1|spacing_xs:15px" inactiv_opacity="1" prevnextbuttons="yes" navarrow="6" navsize="carousel-nav-lg" navslidernumberstoarrows="yes" navoffset="bottom: 30px"][ld_carousel_section title="Tab" tab_id="lqd-1596472205130-5a804e91-9c58"][vc_row_inner css=".vc_custom_1580389377962{margin-bottom: 40px !important;}" responsive_css="margin_bottom_medium:65px"][vc_column_inner][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:25px" lh="text_small:1.6em" margin="bottom_small:1.5em"]“Greatest appreciation to you &amp; your team for the awesome and outstanding job you did for us. The website is just what we wanted, and we were thrilled with the speed your team exercised. We feel privileged to have Hub Coporation as our online marketing partner!”[/ld_fancy_heading][ld_fancy_heading tag="h5"]Ray Sanchez[/ld_fancy_heading][ld_fancy_heading tag="p"]CEO &amp; Co-Founder, Sen Group[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1596472922480-49a20fb2-5f0b"][vc_row_inner css=".vc_custom_1580389377962{margin-bottom: 40px !important;}" responsive_css="margin_bottom_medium:65px"][vc_column_inner][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:25px" lh="text_small:1.6em" margin="bottom_small:1.5em"]<em>“Greatest appreciation to you &amp; your team for the awesome and outstanding job you did for us. The website is just what we wanted, and we were thrilled with the speed your team exercised. We feel privileged to have Hub Coporation as our online marketing partner!”</em>[/ld_fancy_heading][ld_fancy_heading tag="h5"]Rochus Sabah[/ld_fancy_heading][ld_fancy_heading tag="p"]CEO &amp; Co-Founder, Sen Group[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1596472921280-55835549-0eac"][vc_row_inner css=".vc_custom_1580389377962{margin-bottom: 40px !important;}" responsive_css="margin_bottom_medium:65px"][vc_column_inner][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:25px" lh="text_small:1.6em" margin="bottom_small:1.5em"]<em>“Greatest appreciation to you &amp; your team for the awesome and outstanding job you did for us. The website is just what we wanted, and we were thrilled with the speed your team exercised. We feel privileged to have Hub Coporation as our online marketing partner!”</em>[/ld_fancy_heading][ld_fancy_heading tag="h5"]Rochus Sabah[/ld_fancy_heading][ld_fancy_heading tag="p"]CEO &amp; Co-Founder, Sen Group[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_carousel_section][/ld_carousel_tab][/vc_column][vc_column offset="vc_col-md-5 vc_hidden-sm vc_hidden-xs"][ld_images_group_container][ld_images_group_element parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" absolute_pos="yes" image="4139" position="top_small:-90px" translate_from_y="80" translate_to_y="-110" translate_from_x="80"][/ld_images_group_element][ld_images_group_element parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" absolute_pos="yes" image="58" position="right_small:-3vw|bottom_small:-50px" translate_from_y="60"][/ld_images_group_element][ld_images_group_element parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" image="4138" margin="right_large:-15vw" translate_from_x="0" translate_from_y="0"][/ld_images_group_element][/ld_images_group_container][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Testimonials 21 - classic
	$data = array();
	$data['name'] = esc_html__( 'Testimonials 21', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'testimonials-21.jpg' );
	$data['sort_name'] = 'Testimonials';
	$data['custom_class'] = 'general testimonials carousel';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" enable_gradient="yes" css=".vc_custom_1605087860715{margin-top: 50px !important;margin-bottom: 50px !important;padding-top: 70px !important;padding-bottom: 70px !important;}" gradient_bg="linear-gradient(115deg, rgb(255,199,199) 0.9554140127388535%, rgb(232, 226, 255) 50.318471337579616%, rgb(230,255,251) 100%)" responsive_css="margin_right_large:12vw|margin_left_large:12vw|margin_right_medium:7vw|margin_left_medium:7vw" el_id="testimonials"][vc_column offset="vc_col-md-offset-1 vc_col-md-5" responsive_css="margin_bottom_medium:0px" css=".vc_custom_1605956052194{margin-bottom: 50px !important;}" responsive_align="text-center text-md-left"][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_large:51px|text_small:45px" margin="bottom_small:0.75em"]Testimonials[/ld_fancy_heading][ld_carousel_tab columns="xs:1|spacing_xs:0px" inactiv_opacity="1" pagenationdots="yes" wraparound="yes" fadeeffect="yes" autoplay="yes" dots_type="numbers" number_style="line" dots_position="carousel-dots-inside" dots_left_offset="-20px" mobile_dots_bottom_offset_outside="0.5em" dots_bg_color="rgba(0, 0, 0, 0.3)" dots_bg_hcolor="rgb(0, 0, 0)"][ld_carousel_section title="Tab" tab_id="lqd-1595516195668-4a8eead6-45b5"][vc_row_inner css=".vc_custom_1587630083222{margin-bottom: 30px !important;}"][vc_column_inner][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:20px" lh="text_small:1.8em" margin="bottom_small:1em" color="rgb(0, 0, 0)"]“I think Hub is the best theme I ever seen this year. Amazing design, easy to customize and a design quality superlative account on its cloud platform for the optimized performance”[/ld_fancy_heading][ld_fancy_heading tag="h5" use_custom_fonts_title="true" fs="text_small:16px" margin="bottom_small:0px" lh="text_small:1.15em"]Alex Martinez[/ld_fancy_heading][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" fs="text_small:11px" margin="bottom_small:0px" ls="text_small:0.1em" lh="text_small:1.15em" color="rgb(29, 41, 63)"]Solid CEO[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595516195842-360cd22f-01c3"][vc_row_inner css=".vc_custom_1587630083222{margin-bottom: 30px !important;}"][vc_column_inner][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:20px" lh="text_small:1.8em" margin="bottom_small:1em" color="rgb(0, 0, 0)"]Such a solid theme. Well coded, organized and easy to set up and customize. Customer support has also been great when I have had questions. Online documentation is very comprehensive.[/ld_fancy_heading][ld_fancy_heading tag="h5" use_custom_fonts_title="true" fs="text_small:16px" margin="bottom_small:0px" lh="text_small:1.15em"]Alex Martinez[/ld_fancy_heading][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" fs="text_small:11px" margin="bottom_small:0px" ls="text_small:0.1em" lh="text_small:1.15em" color="rgb(29, 41, 63)"]Solid CEO[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595516196011-43b3a3b4-9ffb"][vc_row_inner css=".vc_custom_1587630083222{margin-bottom: 30px !important;}"][vc_column_inner][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:20px" lh="text_small:1.8em" margin="bottom_small:1em" color="rgb(0, 0, 0)"]Such a solid theme. Well coded, organized and easy to set up and customize. Customer support has also been great when I have had questions. Online documentation is very comprehensive.[/ld_fancy_heading][ld_fancy_heading tag="h5" use_custom_fonts_title="true" fs="text_small:16px" margin="bottom_small:0px" lh="text_small:1.15em"]Shane Martinez[/ld_fancy_heading][ld_fancy_heading tag="h6" transform="text-uppercase" use_custom_fonts_title="true" fs="text_small:11px" margin="bottom_small:0px" ls="text_small:0.1em" lh="text_small:1.15em" color="rgb(29, 41, 63)"]Solid CEO[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_carousel_section][/ld_carousel_tab][/vc_column][vc_column align="text-center" offset="vc_col-lg-offset-1 vc_col-lg-4 vc_col-md-5" responsive_align="text-center"][ld_images_group_container][ld_images_group_element absolute_pos="yes" image="77" position="top_small:20px|right_small:0px|left_small:0px"][/ld_images_group_element][ld_images_group_element img_size="50%" parallax="yes" enable_roudness="yes" image_roudness="6" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" image="248"][/ld_images_group_element][ld_images_group_element img_size="50%" absolute_pos="yes" image="75" position="top_small:-20%25|right_small:-30%25"][/ld_images_group_element][/ld_images_group_container][/vc_column][vc_column][ld_images_group_container move_to_parent_row="yes" absolute_pos="yes" position="top_small:80%25|right_small:0px|left_small:0px"][ld_images_group_element img_size="55%" image="78"][/ld_images_group_element][/ld_images_group_container][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Testimonials 22 - classic
	$data = array();
	$data['name'] = esc_html__( 'Testimonials 22', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'testimonials-22.jpg' );
	$data['sort_name'] = 'Testimonials';
	$data['custom_class'] = 'general testimonials carousel';
	$data['content'] = <<<CONTENT
	[vc_row css=".vc_custom_1609754903806{padding-bottom: 60px !important;}" responsive_css="padding_bottom_medium:90px"][vc_column offset="vc_col-md-offset-1 vc_col-md-10"][ld_carousel_stack][ld_carousel_stack_section title="Tab" tab_id="lqd-1610997082427-1072bb78-393b"][ld_testimonial template="style16" title="TeamLiquid" avatar="277" image="144" position="ThemeForest Exclusive"]As a leading digital platform in Paris, we look to engage with our clients beyond the conventional design and development agency relationship, becoming a partner to the people and companies we work with.[/ld_testimonial][/ld_carousel_stack_section][ld_carousel_stack_section title="Tab" tab_id="lqd-1597330700705-8f38ab85-1ed1"][ld_testimonial template="style16" title="TeamLiquid" avatar="452" image="144" position="ThemeForest Exclusive"]As a leading digital platform in Paris, we look to engage with our clients beyond the conventional design and development agency relationship, becoming a partner to the people and companies we work with.[/ld_testimonial][/ld_carousel_stack_section][ld_carousel_stack_section title="Tab" tab_id="lqd-1609228638890-e52ec8c6-6c48"][ld_testimonial template="style16" title="TeamLiquid" avatar="451" image="144" position="ThemeForest Exclusive"]As a leading digital platform in Paris, we look to engage with our clients beyond the conventional design and development agency relationship, becoming a partner to the people and companies we work with.[/ld_testimonial][/ld_carousel_stack_section][ld_carousel_stack_section title="Tab" tab_id="lqd-1610997082767-50897d7d-31ae"][ld_testimonial template="style16" title="TeamLiquid" avatar="455" image="144" position="ThemeForest Exclusive"]As a leading digital platform in Paris, we look to engage with our clients beyond the conventional design and development agency relationship, becoming a partner to the people and companies we work with.[/ld_testimonial][/ld_carousel_stack_section][/ld_carousel_stack][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Testimonials 23 - classic
	$data = array();
	$data['name'] = esc_html__( 'Testimonials 23', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'testimonials-23.jpg' );
	$data['sort_name'] = 'Testimonials';
	$data['custom_class'] = 'general testimonials carousel';
	$data['content'] = <<<CONTENT
	[vc_row_inner css=".vc_custom_1573202975286{margin-bottom: 30px !important;}"][vc_column_inner][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:19px" lh="text_small:27px" color="rgb(77, 85, 116)" margin="bottom_small:1em"]“Not only easy to use but also impressed with the functionality, Ave is already shedding light on 2019 website trends. Excellent performance from this lightweight theme, UX is excellent, all these specs enables you to have the perfect website. I’m in love with it.”[/ld_fancy_heading][ld_spacer height="15px"][ld_fancy_heading tag="h5" use_custom_fonts_title="true" fs="text_small:17px" fw="text_small:500" margin="bottom_small:0px"]Marta Wealth[/ld_fancy_heading][ld_fancy_heading tag="h6" use_custom_fonts_title="true" fs="text_small:14px" fw="text_small:400" margin="bottom_small:0px" color="rgb(157, 175, 189)"]ThemeForest Exclusive[/ld_fancy_heading][ld_spacer height="15px"][/vc_column_inner][/vc_row_inner][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595939089759-0f2a36cc-8780"][vc_row_inner css=".vc_custom_1573202975286{margin-bottom: 30px !important;}"][vc_column_inner][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:19px" lh="text_small:27px" color="rgb(77, 85, 116)" margin="bottom_small:1em"]“A beautiful theme, with excellent scores on pingdom speed tool and gtmetrix, that is one of the main reasons for my purchase. Well designed, demos also present elements in a useful way. “[/ld_fancy_heading][ld_spacer height="15px"][ld_fancy_heading tag="h5" use_custom_fonts_title="true" fs="text_small:17px" fw="text_small:500" margin="bottom_small:0px"]Daniel Rock[/ld_fancy_heading][ld_fancy_heading tag="h6" use_custom_fonts_title="true" fs="text_small:14px" fw="text_small:400" margin="bottom_small:0px" color="rgb(157, 175, 189)"]ThemeForest Exclusive[/ld_fancy_heading][ld_spacer height="15px"][/vc_column_inner][/vc_row_inner][/ld_carousel_section][/ld_carousel_tab][/vc_column][vc_column offset="vc_col-md-6 vc_hidden-sm vc_hidden-xs"][ld_images_group_container enable_item_animation="yes" pf_init_scale_x="0.75" pf_init_scale_y="0.75" pf_init_opacity="0" pf_an_scale_x="1" pf_an_scale_y="1" pf_an_opacity="1" pf_duration="1800" pf_delay="180" pf_start_delay="350"][ld_images_group_element image="487"][/ld_images_group_element][ld_images_group_element img_size="50%" parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" absolute_pos="yes" image="488" position="top_large:42%25|right_large:29%25" translate_from_y="20" translate_to_y="-30"][/ld_images_group_element][ld_images_group_element img_size="50%" parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" absolute_pos="yes" image="492" position="top_large:17%25|left_large:9%25" translate_from_y="70" translate_to_y="-70"][/ld_images_group_element][ld_images_group_element img_size="50%" parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" absolute_pos="yes" image="491" position="top_large:13%25|right_large:18%25" translate_from_y="50" translate_to_y="-60"][/ld_images_group_element][ld_images_group_element img_size="50%" parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" absolute_pos="yes" image="58" position="bottom_large:26%25|left_large:16%25" translate_from_y="100" translate_to_y="-110"][/ld_images_group_element][ld_images_group_element img_size="50%" parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" absolute_pos="yes" image="490" position="bottom_large:11%25|left_large:41%25" translate_from_y="75" translate_to_y="-80"][/ld_images_group_element][ld_images_group_element img_size="50%" parallax="yes" scale_from_x="1" scale_from_y="1" scale_from_z="1" from_opacity="1" scale_to_x="1" scale_to_y="1" scale_to_z="1" to_opacity="1" absolute_pos="yes" image="489" position="right_large:15%25|bottom_large:30%25" translate_from_y="55" translate_to_y="-100"][/ld_images_group_element][/ld_images_group_container][/vc_column][vc_column width="2/3" offset="vc_hidden-lg vc_hidden-md vc_col-sm-offset-2"][vc_single_image image="98" alignment="center" css=".vc_custom_1573311244574{margin-top: 35px !important;}"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Testimonials 24 - classic
	$data = array();
	$data['name'] = esc_html__( 'Testimonials 24', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'testimonials-24.jpg' );
	$data['sort_name'] = 'Testimonials';
	$data['custom_class'] = 'general testimonials carousel';
	$data['content'] = <<<CONTENT
CONTENT;
	$templates[] = $data;

	//Testimonials 25 - classic
	$data = array();
	$data['name'] = esc_html__( 'Testimonials 25', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'testimonials-25.jpg' );
	$data['sort_name'] = 'Testimonials';
	$data['custom_class'] = 'general testimonials carousel';
	$data['content'] = <<<CONTENT
	[vc_row equal_height="yes" content_placement="middle" css=".vc_custom_1621002151380{padding-top: 15px !important;padding-bottom: 85px !important;}" responsive_css="padding_top_medium:45px|padding_bottom_medium:45px" el_id="testimonials"][vc_column enable_column_shadowbox="yes" css=".vc_custom_1614154485960{margin-top: 85px !important;background-color: #ffffff !important;border-radius: 4px !important;}" offset="vc_col-lg-4 vc_col-md-5" column_box_shadow="%5B%7B%22x_offset%22%3A%220%22%2C%22y_offset%22%3A%2223px%22%2C%22blur_radius%22%3A%2255px%22%2C%22shadow_color%22%3A%22rgba(19%2C%2030%2C%2056%2C%200.05)%22%7D%5D"][vc_row_inner enable_content_animation="yes" equal_height="yes" content_placement="middle" gap="0" animation_preset="Fade In" ca_duration="1800" ca_delay="80"][vc_column_inner width="1/2" enable_overlay="yes" hover_overlay_bg="rgb(254, 249, 246)" css=".vc_custom_1589206754553{padding-top: 60px !important;padding-right: 25px !important;padding-bottom: 60px !important;padding-left: 25px !important;}" overlay_bg="rgb(255, 255, 255)" offset="vc_col-xs-6" responsive_css="padding_right_medium:15px|padding_left_medium:15px"][vc_single_image image="416" alignment="center" image_max_width="95px" css=".vc_custom_1610970609510{margin-bottom: 0px !important;}"][/vc_column_inner][vc_column_inner width="1/2" enable_overlay="yes" hover_overlay_bg="rgb(246, 254, 247)" css=".vc_custom_1589206742447{padding-top: 60px !important;padding-right: 25px !important;padding-bottom: 60px !important;padding-left: 25px !important;}" overlay_bg="rgb(255, 255, 255)" offset="vc_col-xs-6" responsive_css="padding_right_medium:15px|padding_left_medium:15px"][vc_single_image image="421" alignment="center" image_max_width="80px" css=".vc_custom_1610970900464{margin-bottom: 0px !important;}"][/vc_column_inner][vc_column_inner width="1/2" enable_overlay="yes" hover_overlay_bg="rgb(243, 243, 248)" css=".vc_custom_1589359018360{padding-top: 60px !important;padding-right: 25px !important;padding-bottom: 60px !important;padding-left: 25px !important;}" overlay_bg="rgb(255, 255, 255)" offset="vc_col-xs-6" responsive_css="padding_right_medium:15px|padding_left_medium:15px"][vc_single_image image="418" alignment="center" image_max_width="105px" css=".vc_custom_1610970636157{margin-bottom: 0px !important;}"][/vc_column_inner][vc_column_inner width="1/2" enable_overlay="yes" hover_overlay_bg="rgb(246, 252, 254)" css=".vc_custom_1573385372520{padding-top: 60px !important;padding-right: 25px !important;padding-bottom: 60px !important;padding-left: 25px !important;}" overlay_bg="rgb(255, 255, 255)" offset="vc_col-xs-6" responsive_css="padding_right_medium:15px|padding_left_medium:15px"][vc_single_image image="419" alignment="center" image_max_width="115px" css=".vc_custom_1610970649432{margin-bottom: 0px !important;}"][/vc_column_inner][vc_column_inner width="1/2" enable_overlay="yes" hover_overlay_bg="rgb(250, 246, 254)" css=".vc_custom_1589206775026{padding-top: 60px !important;padding-right: 25px !important;padding-bottom: 60px !important;padding-left: 25px !important;}" overlay_bg="rgb(255, 255, 255)" offset="vc_col-xs-6" responsive_css="padding_right_medium:15px|padding_left_medium:15px"][vc_single_image image="427" alignment="center" image_max_width="95px" css=".vc_custom_1611581046810{margin-bottom: 0px !important;}"][/vc_column_inner][vc_column_inner width="1/2" enable_overlay="yes" hover_overlay_bg="rgb(252, 254, 246)" css=".vc_custom_1589206782722{padding-top: 60px !important;padding-right: 25px !important;padding-bottom: 60px !important;padding-left: 25px !important;}" overlay_bg="rgb(255, 255, 255)" offset="vc_col-xs-6" responsive_css="padding_right_medium:15px|padding_left_medium:15px"][vc_single_image image="426" alignment="center" css=".vc_custom_1611581061011{margin-bottom: 0px !important;}" image_max_width="105px"][/vc_column_inner][/vc_row_inner][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" column_top_ontablet="yes" column_top_onmobile="yes" bg_position="left top" offset="vc_col-lg-8 vc_col-md-7" responsive_css="padding_top_medium:80px|padding_left_medium:8.5%25" css=".vc_custom_1610105371336{padding-top: 15px !important;background-image: url(https://marketinghub.liquid-themes.com/staging/wp-content/uploads/2019/11/world.png?id=5822) !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}" ca_duration="1800" ca_delay="180" ca_init_translate_y="35" responsive_align="text-center text-md-left"][ld_fancy_heading tag="h2"]Hear from our happy clients<span style="font-family: Playfair Display, palatino, serif; font-weight: bold;"><em>.</em></span>[/ld_fancy_heading][ld_carousel_tab columns="xs:1" inactiv_opacity="1" cellalign="center" prevnextbuttons="yes" navarrow="6" navsize="carousel-nav-sm" navfill="carousel-nav-bordered" navshape="carousel-nav-circle" shapesize="47px" nav_border_color="rgb(223, 223, 223)" nav_bg_hcolor="rgb(42, 42, 42)" nav_arrow_color_hover="rgb(255, 255, 255)"][ld_carousel_section title="Tab" tab_id="lqd-1595577808765-230a4d56-128a"][ld_testimonial template="style13" title="Matt Sanchez" position="ThemeForest Exclusive" avatar="150"]<span style="font-size: 24px; line-height: 39px; color: #5d6371;">“I think Hub is the best theme I ever saw this year. Amazing design, easy to customize and a design quality superlative account on its cloud platform.</span><span style="font-size: 24px; color: #5d6371;">for the optimized performance”</span>[/ld_testimonial][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595577265551-a0a6c56a-225f"][ld_testimonial template="style13" title="Daniel Rock" position="ThemeForest Exclusive" avatar="151"]<span style="font-size: 24px; line-height: 39px; color: #5d6371;">“I think Hub is the best theme I ever saw this year. Amazing design, easy to customize and a design quality superlative account on its cloud platform.</span><span style="font-size: 24px; color: #5d6371;">for the optimized performance”</span>[/ld_testimonial][/ld_carousel_section][ld_carousel_section title="Tab" tab_id="lqd-1595577809214-bbaa1329-bddd"][ld_testimonial template="style13" title="Daniel Rock" position="ThemeForest Exclusive" avatar="152"]<span style="font-size: 24px; line-height: 39px; color: #5d6371;">“I think Hub is the best theme I ever saw this year. Amazing design, easy to customize and a design quality superlative account on its cloud platform.</span><span style="font-size: 24px; color: #5d6371;">for the optimized performance”</span>[/ld_testimonial][/ld_carousel_section][/ld_carousel_tab][ld_particles as_bg="yes" absolute_pos="yes" enable_density="yes" opacity="1" enable_random_size="yes" enable_anim_size="yes" enable_move="yes" move_direction="top" enable_random_move="yes" modes_grab_opacity="1" retina_detect="yes" particle_id="lqd-1579874781983-fb436513-72aa" height="100vh" position="right_small:0px|bottom_small:0px" number="7" size="3" anim_size_speed="1" anim_size_min="50" density="200" color="#d5dfe2"][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Testimonials 26 - classic
	$data = array();
	$data['name'] = esc_html__( 'Testimonials 26', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'testimonials-26.jpg' );
	$data['sort_name'] = 'Testimonials';
	$data['custom_class'] = 'general testimonials carousel';
	$data['content'] = <<<CONTENT
	[vc_row content_placement="middle" bg_position="center top" enable_row_dividers="yes" css=".vc_custom_1598358991956{padding-top: 170px !important;padding-bottom: 80px !important;background-color: #f8f9ff !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" el_id="testimonials" row_svg_divider="top_shape_type:12|top_shape_color:%23ffffff|top_shape_height:100"][vc_column align="text-center" offset="vc_col-lg-offset-1 vc_col-lg-4 vc_col-md-5" responsive_align="text-center"][ld_images_group_element img_size="50%" enable_effects="yes" enable_hover3d="yes" image="4416"][/ld_images_group_element][/vc_column][vc_column offset="vc_col-lg-offset-1 vc_col-md-offset-1 vc_col-md-6"][ld_fancy_heading tag="h3" transform="text-uppercase" highlight_height="1px" use_custom_fonts_title="true" color="rgb(14, 82, 74)" highlight_color="rgb(14, 82, 74)" fs="text_small:15px" margin="bottom_small:1.5em" fw="text_small:700" ls="text_small:0.12em"]Real stories[/ld_fancy_heading][ld_carousel_tab columns="xs:1|spacing_xs:15px" inactiv_opacity="1" prevnextbuttons="yes" navarrow="6" navsize="carousel-nav-lg" navfill="carousel-nav-solid" navshape="carousel-nav-circle" nav_arrow_color="rgb(0, 0, 0)" nav_arrow_color_hover="rgb(255, 255, 255)" nav_bg_color="rgb(255, 255, 255)" nav_bg_hcolor="rgb(0, 0, 0)"][ld_carousel_section title="Carousel Item" tab_id="lqd-1600252862133-dea9b4c6-8f5e"][vc_row_inner css=".vc_custom_1572352241177{margin-bottom: 35px !important;}"][vc_column_inner enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" ca_duration="1800" ca_delay="180" ca_init_translate_y="45"][ld_fancy_heading tag="h5" use_custom_fonts_title="true" color="rgb(4, 1, 76)" fs="text_small:23px" lh="text_small:35px" margin="bottom_small:1.25em" fw="text_small:400" ls="text_small:0.01em"]“I think Hub is the best theme I ever seen this year. Amazing design, easy to customize and a design quality superlative.”[/ld_fancy_heading][ld_fancy_heading tag="h3" transform="text-uppercase" use_custom_fonts_title="true" color="rgb(0, 35, 82)" fs="text_small:15px" margin="bottom_small:0px" ls="text_small:0.07em"]Felicia Marci[/ld_fancy_heading][ld_fancy_heading tag="h6" transform="text-uppercase" color="rgba(0, 35, 82, 0.35)" margin="bottom_small:0px"]Twitter CEO[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1600252862282-7d97eb31-9805"][vc_row_inner css=".vc_custom_1572352241177{margin-bottom: 35px !important;}"][vc_column_inner enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" ca_duration="1800" ca_delay="180" ca_init_translate_y="45"][ld_fancy_heading tag="h5" use_custom_fonts_title="true" color="rgb(4, 1, 76)" fs="text_small:23px" lh="text_small:35px" margin="bottom_small:1.25em" fw="text_small:400" ls="text_small:0.01em"]“I think Hub is the best theme I ever seen this year. Amazing design, easy to customize and a design quality superlative.”[/ld_fancy_heading][ld_fancy_heading tag="h3" transform="text-uppercase" use_custom_fonts_title="true" color="rgb(0, 35, 82)" fs="text_small:15px" margin="bottom_small:0px" ls="text_small:0.07em"]Felicia Marci[/ld_fancy_heading][ld_fancy_heading tag="h6" transform="text-uppercase" color="rgba(0, 35, 82, 0.35)" margin="bottom_small:0px"]Twitter CEO[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_carousel_section][ld_carousel_section title="Carousel Item" tab_id="lqd-1600252902933-680b53b4-3ea9"][vc_row_inner css=".vc_custom_1572352241177{margin-bottom: 35px !important;}"][vc_column_inner enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_opacity="1" ca_duration="1800" ca_delay="180" ca_init_translate_y="45"][ld_fancy_heading tag="h5" use_custom_fonts_title="true" color="rgb(4, 1, 76)" fs="text_small:23px" lh="text_small:35px" margin="bottom_small:1.25em" fw="text_small:400" ls="text_small:0.01em"]“I think Hub is the best theme I ever seen this year. Amazing design, easy to customize and a design quality superlative.”[/ld_fancy_heading][ld_fancy_heading tag="h3" transform="text-uppercase" use_custom_fonts_title="true" color="rgb(0, 35, 82)" fs="text_small:15px" margin="bottom_small:0px" ls="text_small:0.07em"]Felicia Marci[/ld_fancy_heading][ld_fancy_heading tag="h6" transform="text-uppercase" color="rgba(0, 35, 82, 0.35)" margin="bottom_small:0px"]Twitter CEO[/ld_fancy_heading][/vc_column_inner][/vc_row_inner][/ld_carousel_section][/ld_carousel_tab][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;

	//Testimonials 27 - classic
	$data = array();
	$data['name'] = esc_html__( 'Testimonials 27', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'testimonials-27.jpg' );
	$data['sort_name'] = 'Testimonials';
	$data['custom_class'] = 'general testimonials carousel';
	$data['content'] = <<<CONTENT
	[vc_section bg_position="center center" css=".vc_custom_1620638316568{padding-top: 120px !important;padding-bottom: 60px !important;background-image: url(https://mobilemodern.liquid-themes.com/wp-content/uploads/2021/03/glow-fig.svg?id=87) !important;background-position: 0 0 !important;background-repeat: no-repeat !important;}"][vc_row responsive_css="padding_top_medium:50px|padding_bottom_medium:50px" css=".vc_custom_1614256641431{padding-top: 30px !important;padding-bottom: 30px !important;}"][vc_column offset="vc_hidden-sm vc_hidden-xs"][ld_particles as_bg="yes" shape_type="image" opacity="1" enable_move="yes" move_out_mode="bounce" enable_bounce_move="yes" modes_grab_opacity="1" particle_id="lqd-1614869946417-306a9263-8727" number="1" image="4907" size="45" el_class="hidden-xs hidden-sm"][ld_particles as_bg="yes" shape_type="image" opacity="1" enable_move="yes" move_out_mode="bounce" enable_bounce_move="yes" modes_grab_opacity="1" particle_id="lqd-1614870476008-6329acb8-f972" number="1" image="4906" size="40" el_class="hidden-xs hidden-sm"][/vc_column][vc_column enable_content_animation="yes" ca_init_scale_x="1" ca_init_scale_y="1" ca_init_origin_x="20%" ca_init_opacity="0" ca_an_scale_x="1" ca_an_scale_y="1" ca_an_origin_x="80%" ca_an_opacity="1" offset="vc_col-md-offset-2 vc_col-md-8" responsive_align="text-center" ca_duration="1600" ca_delay="160" ca_init_translate_y="65" ca_init_rotate_y="25"][ld_fancy_heading tag="p" absolute_pos="yes" use_custom_fonts_title="true" use_inheritance="true" gradient="linear-gradient(180deg, rgba(34, 43, 60, 0.1) 0%, rgba(255, 255, 255, 0.1) 100%)" fs="text_large:300px|text_small:39vw" position="bottom_medium:-350px|right_small:0px|bottom_small:-80px|left_small:0px" lh="text_small:0.8em" margin="bottom_small:0px" fw="text_small:700" ls="text_small:-0.025"]4.87[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" gradient="linear-gradient(90deg, rgb(181,201,212) 0%, rgb(242,171,53) 27.38853503184713%, rgb(247,135,75) 68.59872611464968%, #c6b5bd 100%)" fs="text_large:74px|text_medium:54px|text_small:14vw" lh="text_small:1em" margin="top_small:-0.15em|bottom_small:0px"]The best rated[/ld_fancy_heading][ld_fancy_heading tag="h2" use_custom_fonts_title="true" fs="text_large:74px|text_medium:54px|text_small:14vw" lh="text_small:1em" margin="bottom_small:0.2em" color="rgb(49, 49, 49)"]theme[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgba(0, 0, 0, 0.6)" fs="text_small:18px" lh="text_small:1.4em" margin="right_large:18%25|left_large:18%25|bottom_small:1em"]They enjoy Hub as much as we do. So, why don’t you join us and be a part of the fastest growing community?[/ld_fancy_heading][/vc_column][/vc_row][vc_row full_width="stretch_row" gap="0"][vc_column][ld_carousel_marquee_tab columns="md:3.95|sm:2.5|xs:1|spacing_xs:15px" cellalign="center" inactiv_opacity="1" groupcells="no" wraparound="yes" mobile_dots_bottom_offset_outside="0px"][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1614259738802-47276269-95c2"][ld_testimonial title="Alex De Sanchez" position="Freelancer Designer"]Great design templates which are quite easy to adapt. The customer support is very helpful.[/ld_testimonial][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1614261032484-7586d1ec-1e99"][ld_testimonial title="Alex De Sanchez" position="Freelancer Designer"]Great design templates which are quite easy to adapt. The customer support is very helpful.[/ld_testimonial][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1614259933121-93dd082b-2525"][ld_testimonial title="Alex De Sanchez" position="Freelancer Designer"]Great design templates which are quite easy to adapt. The customer support is very helpful.[/ld_testimonial][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1614259931722-01422873-c280"][ld_testimonial title="Alex De Sanchez" position="Freelancer Designer"]Great design templates which are quite easy to adapt. The customer support is very helpful.[/ld_testimonial][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1614259930032-54fb41d0-fa8b"][ld_testimonial title="Alex De Sanchez" position="Freelancer Designer"]Great design templates which are quite easy to adapt. The customer support is very helpful.[/ld_testimonial][/ld_carousel_marquee_section][ld_carousel_marquee_section title="Carousel Item" tab_id="lqd-1614259928521-9c81606f-f5ae"][ld_testimonial title="Alex De Sanchez" position="Freelancer Designer"]Great design templates which are quite easy to adapt. The customer support is very helpful.[/ld_testimonial][/ld_carousel_marquee_section][/ld_carousel_marquee_tab][/vc_column][/vc_row][/vc_section]
CONTENT;
	$templates[] = $data;

	//Testimonials 28 - classic
	$data = array();
	$data['name'] = esc_html__( 'Testimonials 28', 'hub' );
	$data['disabled'] = true; //disable it to not show in the default tab
	$data['image_path'] = preg_replace( '/\s/', '%20',  $sections_uri . 'testimonials-28.jpg' );
	$data['sort_name'] = 'Testimonials';
	$data['custom_class'] = 'general testimonials carousel';
	$data['content'] = <<<CONTENT
	[vc_row enable_row_dividers="yes" responsive_css="padding_top_medium:130px|padding_bottom_medium:130px" css=".vc_custom_1621949257015{padding-top: 100px !important;padding-bottom: 100px !important;background-color: #f2f5f8 !important;}" row_svg_divider="top_shape_type:9|top_shape_color:%23ffffff|top_shape_height:31|bottom_shape_type:9|bottom_shape_color:%23ffffff|bottom_shape_height:32"][vc_column offset="vc_col-md-6" responsive_css="padding_right_large:10%25"][ld_fancy_heading tag="h6" enable_bg="yes" fh_border_radius="circle" color="rgb(42, 195, 177)" padding="top_small:0.625em|right_small:1em|bottom_small:0.625em|left_small:1em" fh_bg="rgba(42, 195, 177, 0.1)" margin="bottom_small:1em"]Testimonials[/ld_fancy_heading][ld_fancy_heading tag="h2" margin="bottom_small:0.35em"]So that one day, like magic, children will no longer need us.[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" fs="text_small:17px" lh="text_small:1.52em" margin="bottom_small:0.35em"]There’s even magic in our motivation: our unblinking belief that we can eradicae childhood disease — so that one day, like magic, children will no longer need us.[/ld_fancy_heading][/vc_column][/vc_row][vc_row css=".vc_custom_1621949959063{padding-top: 25px !important;padding-bottom: 25px !important;}"][vc_column width="1/3" offset="vc_col-md-2"][ld_counter use_custom_fonts_title="true" use_custom_fonts_text="true" counter_mb_checkbox="true" count="66K" label="STUDENTS LEANING" fs="50px" text_fs="10px" text_ls="0.1em" text_fw="700" counter_mb="5"][/vc_column][vc_column width="1/3" offset="vc_col-md-2"][ld_counter use_custom_fonts_title="true" use_custom_fonts_text="true" counter_mb_checkbox="true" count="90+" label="LOCAL SCHOOLS" fs="50px" text_fs="10px" text_ls="0.1em" text_fw="700" counter_mb="5" start_delay="250"][/vc_column][vc_column width="1/3" offset="vc_col-md-2"][ld_counter use_custom_fonts_title="true" use_custom_fonts_text="true" counter_mb_checkbox="true" count="11m" label="ENGLISH TEACHERS" fs="50px" text_fs="10px" text_ls="0.1em" text_fw="700" counter_mb="5" start_delay="500"][/vc_column][vc_column offset="vc_col-md-6" responsive_css="margin_top_medium:-388px|margin_right_medium:6%25|margin_left_medium:6%25|padding_right_medium:45px|padding_left_medium:45px" css=".vc_custom_1621952551902{margin-top: 25px !important;padding-top: 55px !important;padding-right: 20px !important;padding-bottom: 55px !important;padding-left: 20px !important;background: #32494c url(https://staging.liquid-themes.com/kids/wp-content/uploads/2021/05/overlay@2x.png?id=105) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;border-radius: 10px !important;}" responsive_align="text-center"][ld_fancy_heading tag="h4" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:26px" lh="text_small:1.3em" margin="bottom_small:1.75em"]By enrolling in the Four Bear Program, Hub guarantees you will graduate in four years with a bachelor’s degree. Discover the global city—filled with inspiration, opportunities to explore.[/ld_fancy_heading][vc_separator color="custom" style="dashed" accent_color="rgba(255, 255, 255, 0.2)" css=".vc_custom_1621950334338{margin-bottom: 45px !important;}"][ld_images_group_element absolute_pos="yes" image="106" position="bottom_small:-95px|left_small:-40px"][/ld_images_group_element][ld_fancy_heading tag="h4" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:19px" margin="bottom_small:0.25em"]Marrion Miller[/ld_fancy_heading][ld_fancy_heading tag="p" use_custom_fonts_title="true" color="rgb(255, 255, 255)" fs="text_small:14px" margin="bottom_small:0.25em"]Maputo, Africa[/ld_fancy_heading][/vc_column][/vc_row]
CONTENT;
	$templates[] = $data;


	return $templates;
}